#include <gracelib.h>
#include <stdlib.h>
static char compilerRevision[] = "fda180857cfbe794cf5b4190f62470c38dba523a";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "parser";
Object module_StandardPrelude_init();
static char *originalSourceLines[] = {
  "#pragma DefaultVisibility=public",
  "import \"io\" as io",
  "import \"ast\" as ast",
  "import \"util\" as util",
  "import \"mgcollections\" as collections",
  "import \"errormessages\" as errormessages",
  "",
  "def don'tBreak = true",
  "var lastline := 0",
  "var linenum := 0",
  "var lastIndent := 0",
  "var indentFreePass := false",
  "var minIndentLevel := 0",
  "var statementIndent := 0",
  "var statementToken",
  "var tokens := false",
  "var values := []",
  "var auto_count := 0",
  "var don'tTakeBlock := false",
  "var braceIsType := false",
  "var defaultDefVisibility := \"confidential\"",
  "var defaultVarVisibility := \"confidential\"",
  "var defaultMethodVisibility := \"public\"",
  "",
  "// Global object containing the current token",
  "var sym",
  "var lastToken := object {",
  "    var kind := \"start\"",
  "    var line := 1",
  "    var linePos := 0",
  "    var indent := 0",
  "    var value := \"\"",
  "    def size = 0",
  "}",
  "",
  "var comment := false",
  "",
  "// Advance to the next token in the stream, with special handling",
  "// so the magic \"line\" tokens update the line number for error output.",
  "method next {",
  "    lastToken := sym",
  "    if (tokens.size > 0) then {",
  "        lastline := linenum",
  "        lastIndent := sym.indent",
  "        sym := tokens.poll",
  "        if (sym.kind == \"comment\") then {",
  "            comment := \"\"",
  "            while {(sym.kind == \"comment\").andAlso {tokens.size > 0}} do {",
  "                comment := comment ++ sym.value",
  "                sym := tokens.poll",
  "            }",
  "        }",
  "        linenum := sym.line",
  "        util.setPosition(sym.line, sym.linePos)",
  "    } else {",
  "        sym := object {",
  "            var kind := \"eof\"",
  "            var line := lastToken.line",
  "            var linePos := util.lines[lastToken.line].size + 1",
  "            var indent := 0",
  "            var value := \"\"",
  "            def size = 0",
  "        }",
  "    }",
  "}",
  "",
  "// Search for the next token that the given block returns true for.",
  "// Used for generating suggestions.",
  "method findNextToken(tokenMatcher) {",
  "    if(tokenMatcher.apply(sym)) then {",
  "        return sym",
  "    }",
  "    var nextTok := false",
  "    var n := sym",
  "    while {(n != false).andAlso { nextTok == false }.andAlso { n.indent >= lastToken.indent }} do {",
  "        if(tokenMatcher.apply(n)) then {",
  "            nextTok := n",
  "        }",
  "        n := n.next",
  "    }",
  "    nextTok",
  "}",
  "",
  "method findNextTokenIndentedAt(tok) {",
  "    if(((sym.line > tok.line) && (sym.indent <= tok.indent)) || (sym.kind == \"eof\")) then {",
  "        return sym",
  "    }",
  "    var nextTok := false",
  "    var n := sym",
  "    while {(n != false).andAlso { nextTok == false }} do {",
  "        if(((n.line > tok.line) && (n.indent <= tok.indent)) || (sym.kind == \"eof\")) then {",
  "            nextTok := n",
  "        }",
  "        n := n.next",
  "    }",
  "    nextTok",
  "}",
  "",
  "method findNextValidToken(*validFollowTokens) {",
  "    // Tokens that cannot start an expression.",
  "    def invalidTokens = [\"dot\", \"comma\", \"colon\", \"rparen\", \"rbrace\", \"rsquare\", \"arrow\", \"bind\"];",
  "    var validToken := sym",
  "    while {validToken.kind != \"eof\"} do {",
  "        // If the token is a valid follow token, then return that token.",
  "        if(validFollowTokens.contains(validToken.kind)) then {",
  "            return validToken",
  "        }",
  "        // If the token is not an invalid token for starting an expression, return that token.",
  "        if(!invalidTokens.contains(validToken.kind)) then {",
  "            return validToken",
  "        }",
  "        // The token is invalid, go to the next one.",
  "        validToken := validToken.next",
  "    }",
  "    return validToken",
  "}",
  "",
  "// Finds the closing brace for a given token (that is the beginning of a control",
  "// structure with an opening brace. Returns an object with two fields: found",
  "// and tok. If a closing brace is found, found is set to true, and tok is set to",
  "// the closing brace. Otherwise found is set to false, and tok is set to the",
  "// token that the closing brace should appear after.",
  "method findClosingBrace(tok, inserted) {",
  "    var n := sym",
  "    var numOpening := if(inserted) then {1} else {0}",
  "    var numClosing := 0",
  "    def result = object {",
  "        var found",
  "        var tok",
  "    }",
  "    // Skip all tokens on the same line first.",
  "    while {(n.kind != \"eof\") && (n.line == tok.line)} do {",
  "        if(n.kind == \"lbrace\") then { numOpening := numOpening + 1 }",
  "        elseif(n.kind == \"rbrace\") then { numClosing := numClosing + 1 }",
  "        n := n.next",
  "    }",
  "    // Skip all tokens that have greater indent than the target closing brace.",
  "    while {(n.kind != \"eof\") && (n.indent > tok.indent)} do {",
  "        if(n.kind == \"lbrace\") then { numOpening := numOpening + 1 }",
  "        elseif(n.kind == \"rbrace\") then { numClosing := numClosing + 1 }",
  "        n := n.next",
  "    }",
  "    if(n.kind == \"rbrace\") then {",
  "        result.found := true",
  "        result.tok := n",
  "    } elseif((n.prev.kind == \"rbrace\") && (numOpening == numClosing)) then {",
  "        // Check that the number of opening and closing braces matches.",
  "        result.found := true",
  "        result.tok := n.prev",
  "    } else {",
  "        result.found := false",
  "        result.tok := n.prev",
  "    }",
  "    result",
  "}",
  "",
  "// True if the current token (next to be processed) is a t, where",
  "// t is \"num\", \"string\", \"method\", etc.",
  "method accept(t) {",
  "    sym.kind == t",
  "}",
  "",
  "// True if the current token is a t, and it is on the same logical",
  "// line (either because it's on the same physical line, or because",
  "// it's on an indented continuation line).",
  "method acceptSameLine(t) {",
  "    (sym.kind == t) && ((lastline == sym.line) ||",
  "        (sym.indent > lastIndent))",
  "}",
  "",
  "// True if the current token is a t, and it is on the same logical",
  "// line as a provided token.",
  "method accept(t)onLineOf(other) {",
  "    (sym.kind == t) && ((other.line == sym.line) ||",
  "        (sym.indent > other.indent))",
  "}",
  "// True if the current token is a t, and it is on the same logical",
  "// line as a provided token.",
  "method accept(t)onLineOfLastOr(other) {",
  "    (sym.kind == t) && (((other.line == sym.line) ||",
  "        (sym.indent > other.indent)) || (lastToken.line == sym.line))",
  "}",
  "// True if there is a token on the same logical line",
  "method tokenOnSameLine {",
  "    (lastline == sym.line) || (sym.indent > lastIndent)",
  "}",
  "// Check if block did consume at least one token.",
  "method didConsume(ablock) {",
  "    var sz := tokens.size",
  "    ablock.apply",
  "    tokens.size != sz",
  "}",
  "// Expect block to consume at least one token, or call fallback code.",
  "method ifConsume(ablock)then(tblock) {",
  "    var sz := tokens.size",
  "    ablock.apply",
  "    if (tokens.size != sz) then {",
  "        tblock.apply",
  "    }",
  "}",
  "",
  "// Push the current token onto the output stack as a number",
  "method pushnum {",
  "    var o := ast.numNode.new(sym.value)",
  "    values.push(o)",
  "    next",
  "}",
  "",
  "// Push the current token onto the output stack as an octet literal",
  "method pushoctets {",
  "    var o := ast.octetsNode.new(sym.value)",
  "    values.push(o)",
  "    next",
  "}",
  "",
  "// Push the current token onto the output stack as a string",
  "method pushstring {",
  "    var o := ast.stringNode.new(sym.value)",
  "    values.push(o)",
  "    next",
  "}",
  "",
  "// Push the current token onto the output stack as an identifier.",
  "// false means that this identifier has not been assigned a dtype (yet).",
  "method pushidentifier {",
  "    util.setline(sym.line)",
  "    var o := ast.identifierNode.new(sym.value, false)",
  "    if (o.value == \"_\") then {",
  "        o.value := \"__\" ++ auto_count",
  "        o.wildcard := true",
  "        auto_count := auto_count + 1",
  "    }",
  "    values.push(o)",
  "    next",
  "}",
  "method checkAnnotation(ann) {",
  "    if (ann.kind == \"call\") then {",
  "        for (ann.with) do {p->",
  "            for (p.args) do {a->",
  "                if ((a.kind == \"identifier\").andAlso {a.dtype != false}) then {",
  "                    var tok := sym",
  "                    // Look back from the current token to try and find the tokens that cause this error.",
  "                    while {tok.value != \":\"} do { tok := tok.prev }",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(tok, tok.next)leading(true)trailing(false)",
  "                    errormessages.syntaxError(\"An argument to an annotation cannot have a type.\")atRange(",
  "                        tok.line, tok.linePos, tok.next.linePos + tok.next.size - 1)withSuggestion(suggestion)",
  "                }",
  "            }",
  "        }",
  "    }",
  "    ann",
  "}",
  "method doannotation {",
  "    if ((!accept(\"keyword\")).orElse {sym.value != \"is\"}) then {",
  "        return false",
  "    }",
  "    next",
  "    def anns = collections.list.new",
  "    don'tTakeBlock := true",
  "    if(didConsume({expression}).not) then {",
  "        def suggestions = []",
  "        var suggestion := errormessages.suggestion.new",
  "        def nextTok = findNextValidToken(\"bind\")",
  "        if(nextTok == sym) then {",
  "            suggestion.insert(\" «annotation»\")afterToken(lastToken)",
  "        } else {",
  "            suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «annotation»\")",
  "        }",
  "        suggestions.push(suggestion)",
  "        suggestion := errormessages.suggestion.new",
  "        suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "        suggestions.push(suggestion)",
  "        errormessages.syntaxError(\"One or more annotations separated by commas must follow 'is'.\")atPosition(",
  "            lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestions(suggestions)",
  "    }",
  "    while {accept(\"comma\")} do {",
  "        anns.push(checkAnnotation(values.pop))",
  "        next",
  "        if(didConsume({expression}).not) then {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            def nextTok = findNextValidToken(\"bind\")",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\" «annotation»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «annotation»\")",
  "            }",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"One or more annotations separated by commas must follow 'is'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestions(suggestions)",
  "        }",
  "    }",
  "    don'tTakeBlock := false",
  "    anns.push(checkAnnotation(values.pop))",
  "    anns",
  "}",
  "",
  "method blank {",
  "    if (sym.line > (lastToken.line + 1)) then {",
  "        if (values.size > 0) then {",
  "            if (values.last.kind != \"blank\") then {",
  "                values.push(ast.blankNode.new)",
  "            }",
  "        }",
  "    }",
  "}",
  "",
  "method dotypeterm {",
  "    if (accept(\"identifier\")) then {",
  "        pushidentifier",
  "        generic",
  "        don'tTakeBlock := true",
  "        dotrest",
  "        don'tTakeBlock := false",
  "    } else {",
  "        if (accept(\"keyword\").andAlso { sym.value == \"type\" }) then {",
  "            doanontype",
  "        }",
  "    }",
  "}",
  "",
  "method dotyperef {",
  "    var overallType := false",
  "    var tp := false",
  "    var op := false",
  "    def unionTypes = []",
  "    if(didConsume({dotypeterm}).not) then {",
  "        checkBadAnonymousType",
  "        def suggestions = []",
  "        var suggestion := errormessages.suggestion.new",
  "        suggestion := errormessages.suggestion.new",
  "        suggestion.insert(\" «type name»\")afterToken(lastToken)",
  "        suggestions.push(suggestion)",
  "        suggestion := errormessages.suggestion.new",
  "        suggestion.deleteToken(lastToken)",
  "        suggestions.push(suggestion)",
  "        suggestion := errormessages.suggestion.new",
  "        suggestion.replaceToken(lastToken)with(\":=\")",
  "        suggestions.push(suggestion)",
  "        errormessages.syntaxError(\"A type name or type expression must follow ':'.\")atPosition(",
  "            sym.line, sym.linePos)withSuggestions(suggestions)",
  "    }",
  "    overallType := values.pop",
  "    while {acceptSameLine(\"op\") && (sym.value == \"|\")} do {",
  "        if (unionTypes.size == 0) then {",
  "            unionTypes.push(overallType)",
  "        }",
  "        next",
  "        if(didConsume({dotypeterm}).not) then {",
  "            checkBadAnonymousType",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\" «type name»\")afterToken(lastToken)",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.deleteToken(lastToken)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"A type name or type expression must follow '|'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        unionTypes.push(values.pop)",
  "    }",
  "    if (unionTypes.size > 0) then {",
  "        var unionName := \"Union<\"",
  "        for (unionTypes) do {ut->",
  "            unionName := \"{unionName}|{ut.value}\"",
  "        }",
  "        unionName := \"{unionName}|>\"",
  "        overallType := ast.typeNode.new(unionName, [])",
  "        for (unionTypes) do {ut->",
  "            overallType.unionTypes.push(ut)",
  "        }",
  "    }",
  "    def intersectionTypes = []",
  "    while {acceptSameLine(\"op\") && (sym.value == \"&\")} do {",
  "        if (intersectionTypes.size == 0) then {",
  "            intersectionTypes.push(overallType)",
  "        }",
  "        next",
  "        if(didConsume({dotypeterm}).not) then {",
  "            checkBadAnonymousType",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\" «type name»\")afterToken(lastToken)",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.deleteToken(lastToken)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"A type name or type expression must follow '&'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        intersectionTypes.push(values.pop)",
  "    }",
  "    if (intersectionTypes.size > 0) then {",
  "        var intersectionName := \"Intersection<\"",
  "        for (intersectionTypes) do {it->",
  "            intersectionName := \"{intersectionName}&{it.value}\"",
  "        }",
  "        intersectionName := intersectionName ++ \"&>\"",
  "        overallType := ast.typeNode.new(intersectionName, [])",
  "        for (intersectionTypes) do {it->",
  "            overallType.intersectionTypes.push(it)",
  "        }",
  "    }",
  "    values.push(overallType)",
  "}",
  "",
  "// Accept a block",
  "method block {",
  "    if (accept(\"lbrace\")) then {",
  "        def btok = sym",
  "        next",
  "        var minInd := statementIndent + 1",
  "        var startIndent := statementIndent",
  "        var ident1",
  "        var s := sym",
  "        var tmp",
  "        var params := []",
  "        var body := []",
  "        var havearrow := true",
  "        var found := false",
  "        var i := 0",
  "        var isMatchingBlock := false",
  "        statementToken := sym",
  "        if (sym.kind == \"lparen\") then {",
  "            isMatchingBlock := true",
  "        }",
  "        ifConsume {expression} then {",
  "            if (accept(\"comma\") || accept(\"arrow\") || accept(\"colon\")) then {",
  "                // This block has parameters",
  "                ident1 := values.pop",
  "                if (accept(\"colon\")) then {",
  "                    // We allow an expression here for the case of v : T",
  "                    // patterns, where T may be \"Pair(hd, tl)\" or similar.",
  "                    next",
  "                    braceIsType := true",
  "                    if(didConsume({expression}).not) then {",
  "                        def suggestions = []",
  "                        var suggestion := errormessages.suggestion.new",
  "                        def nextTok = findNextValidToken(\"arrow\", \"rbrace\")",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                        } else {",
  "                            suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                        }",
  "                        suggestions.push(suggestion)",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                        suggestions.push(suggestion)",
  "                        errormessages.syntaxError(\"A block must have an expression after the ':'.\")atPosition(",
  "                            sym.line, sym.linePos)withSuggestions(suggestions)",
  "                    }",
  "                    braceIsType := false",
  "                    ident1.dtype := values.pop",
  "                }",
  "                params.push(ident1)",
  "                if (ident1.kind != \"identifier\") then {",
  "                    isMatchingBlock := true",
  "                }",
  "                if (isMatchingBlock && {accept(\"comma\")}) then {",
  "                    def suggestions = []",
  "                    var suggestion",
  "                    def arrow = findNextToken({ t -> t.kind == \"arrow\" })",
  "                    if(arrow != false) then {",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteTokenRange(sym, arrow.prev)",
  "                        suggestions.push(suggestion)",
  "                    }",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.replaceToken(sym)leading(true)trailing(false)with(\" |\")",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A matching block may only have one parameter.\")atRange(",
  "                        sym.line, sym.linePos, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "                while {accept(\"comma\")} do {",
  "                    // Keep doing the above for the rest of the parameters.",
  "                    next",
  "                    pushidentifier",
  "                    ident1 := values.pop",
  "                    if (accept(\"colon\")) then {",
  "                        next",
  "                        dotyperef",
  "                        ident1.dtype := values.pop",
  "                    }",
  "                    params.push(ident1)",
  "                }",
  "                if ((accept(\"arrow\")).not) then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    if((sym.kind == \"bind\") || (sym.value == \"=\")) then {",
  "                        suggestion.replaceToken(sym)with(\"->\")",
  "                    } else {",
  "                        suggestion.insert(\" ->\")afterToken(lastToken)",
  "                    }",
  "                    errormessages.syntaxError(\"A block must have one or more parameters followed by '->' and an expression.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "                next",
  "            } elseif (accept(\"semicolon\")) then {",
  "                body.push(values.pop)",
  "                next",
  "                if (accept(\"semicolon\")) then {",
  "                    next",
  "                    if (sym.line == lastToken.line) then {",
  "                        indentFreePass := true",
  "                    }",
  "                }",
  "            } elseif (((values.last.kind == \"member\")",
  "                || (values.last.kind == \"identifier\")",
  "                || (values.last.kind == \"index\"))",
  "                && accept(\"bind\")) then {",
  "                var lhs := values.pop",
  "                next",
  "                if(didConsume({expression}).not) then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"rbrace\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A valid expression must follow ':='.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "                var rhs := values.pop",
  "                body.push(ast.bindNode.new(lhs, rhs))",
  "                if (accept(\"semicolon\")) then {",
  "                    next",
  "                    if (sym.line == lastToken.line) then {",
  "                        indentFreePass := true",
  "                    }",
  "                }",
  "            } else {",
  "                checkUnexpectedTokenAfterStatement",
  "                body.push(values.pop)",
  "            }",
  "        }",
  "        if (accept(\"arrow\")) then {",
  "            next",
  "        }",
  "        var ln := values.size",
  "        if (sym.line == lastToken.line) then {",
  "            minIndentLevel := sym.linePos - 1",
  "        } else {",
  "            minIndentLevel := minInd",
  "        }",
  "        while {(accept(\"rbrace\")).not} do {",
  "            // Take the body of the block",
  "            if(didConsume({statement}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\"}\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"A block must end with a '}'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            tmp := values.pop",
  "            body.push(tmp)",
  "        }",
  "        minIndentLevel := minInd - 1",
  "        statementIndent := startIndent",
  "        next",
  "        util.setline(btok.line)",
  "        var o := ast.blockNode.new(params, body)",
  "        if (isMatchingBlock) then {",
  "            if (params.size > 0) then {",
  "                o.matchingPattern := params.first",
  "            }",
  "        }",
  "        values.push(o)",
  "    }",
  "}",
  "",
  "// Accept an \"if\" statement. This is a special syntactic case, rather",
  "// than just a call with a multi-part method name - it might be possible",
  "// to change that and compensate later on.",
  "method doif {",
  "    if (accept(\"identifier\") && (sym.value == \"if\")) then {",
  "        def btok = sym",
  "        next",
  "        if(sym.kind != \"lparen\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            // Look ahead for a rparen or then.",
  "            def nextTok = findNextToken({ t -> (t.line == btok.line)",
  "                && ((t.kind == \"rparen\") || (t.kind == \"lbrace\")",
  "                || ((t.kind == \"identifier\") && (t.value == \"then\"))) })",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" («expression») then \\{\")afterToken(btok)",
  "            } elseif(nextTok.kind == \"rparen\") then {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"(«expression»\")beforeToken(sym)",
  "                } else {",
  "                    suggestion.insert(\"(\")beforeToken(sym)",
  "                }",
  "            } elseif(nextTok.kind == \"lbrace\") then {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" («expression») then\")afterToken(btok)",
  "                } else {",
  "                    suggestion.insert(\"(\")beforeToken(sym)",
  "                    suggestion.insert(\") then\")afterToken(nextTok.prev)andTrailingSpace(true)",
  "                }",
  "            } elseif(nextTok.kind == \"identifier\") then {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"(«expression») \")beforeToken(sym)",
  "                } else {",
  "                    suggestion.insert(\"(\")beforeToken(sym)",
  "                    suggestion.insert(\")\")afterToken(nextTok.prev)andTrailingSpace(true)",
  "                }",
  "            }",
  "            errormessages.syntaxError(\"An if statement must have an expression in parentheses after the 'if'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        if(didConsume({expression}).not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            // Look ahead for a rparen.",
  "            var nextTok := findNextToken({ t -> (t.line == lastToken.line) && (t.kind == \"rparen\") })",
  "            if(nextTok == false) then {",
  "                nextTok := findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression») then \\{\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression») then \\{\")",
  "                }",
  "                errormessages.syntaxError(\"An if statement must have an expression in parentheses after the 'if'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            } else {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"An if statement must have an expression in parentheses after the 'if'.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(false)trailing(true)with(\"«expression»\")",
  "                    errormessages.syntaxError(\"An if statement must have an expression in parentheses after the 'if'.\")atRange(",
  "                        sym.line, sym.linePos, nextTok.linePos - 1)withSuggestion(suggestion)",
  "                }",
  "            }",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            checkBadOperators",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        var cond := values.pop",
  "        var body := []",
  "",
  "        // These two are for else/elseif handling. elseif is turned into",
  "        // nested if statements for the AST, so curelse points to the",
  "        // most deeply-nested of those (where any eventual \"else\" block's",
  "        // statements will go). elseblock contains the statements of the",
  "        // top-level \"else\" block - if there are any elseifs, that",
  "        // consists of only one statement, another if.",
  "        var elseblock := []",
  "        var curelse := elseblock",
  "        var v",
  "        def localMin = minIndentLevel",
  "        def localStatementIndent = statementIndent",
  "        var minInd := statementIndent + 1",
  "        if (accept(\"identifier\") && (sym.value == \"then\")) then {",
  "            next",
  "            if(sym.kind != \"lbrace\") then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def closingBrace = findClosingBrace(btok, true)",
  "                if(closingBrace.found == false) then {",
  "                    if(closingBrace.tok == lastToken) then {",
  "                        suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{}\")",
  "                    } else {",
  "                        suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                        suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{\")",
  "                    }",
  "                } else {",
  "                    suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{\")",
  "                }",
  "                errormessages.syntaxError(\"An if statement must have a '\\{' after the 'then'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "            if (sym.line == lastToken.line) then {",
  "                minIndentLevel := sym.linePos - 1",
  "            } else {",
  "                minIndentLevel := minInd",
  "            }",
  "            while {(accept(\"rbrace\")).not} do {",
  "                if(didConsume({statement}).not) then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    def closingBrace = findClosingBrace(btok, false)",
  "                    if(closingBrace.found == false) then {",
  "                        if(closingBrace.tok == lastToken) then {",
  "                            suggestion.insert(\"}\")afterToken(lastToken)",
  "                        } else {",
  "                            suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                        }",
  "                    }",
  "                    suggestion.deleteToken(sym)",
  "                    errormessages.syntaxError(\"An if statement must end with a '}'.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "                v := values.pop",
  "                body.push(v)",
  "            }",
  "            next",
  "            var econd",
  "            var eif",
  "            var newelse",
  "            var ebody",
  "            while {accept(\"identifier\") && (sym.value == \"elseif\")} do {",
  "                // Currently, the parser just accepts arbitrarily many",
  "                // \"elseifs\", turning them into ifs inside the else.",
  "                statementToken := sym",
  "                next",
  "                if(sym.kind != \"lparen\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    // Look ahead for a rparen or then.",
  "                    def nextTok = findNextToken({ t -> (t.line == statementToken.line)",
  "                        && ((t.kind == \"rparen\") || (t.kind == \"lbrace\")",
  "                        || ((t.kind == \"identifier\") && (t.value == \"then\"))) })",
  "                    if(nextTok == false) then {",
  "                        suggestion.insert(\" («expression») then \\{\")afterToken(statementToken)",
  "                    } elseif(nextTok.kind == \"rparen\") then {",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\"(«expression»\")beforeToken(sym)",
  "                        } else {",
  "                            suggestion.insert(\"(\")beforeToken(sym)",
  "                        }",
  "                    } elseif(nextTok.kind == \"lbrace\") then {",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\" («expression») then\")afterToken(statementToken)",
  "                        } else {",
  "                            suggestion.insert(\"(\")beforeToken(sym)",
  "                            suggestion.insert(\") then\")afterToken(nextTok.prev)andTrailingSpace(true)",
  "                        }",
  "                    } elseif(nextTok.kind == \"identifier\") then {",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\"(«expression») \")beforeToken(sym)",
  "                        } else {",
  "                            suggestion.insert(\"(\")beforeToken(sym)",
  "                            suggestion.insert(\")\")afterToken(nextTok.prev)andTrailingSpace(true)",
  "                        }",
  "                    }",
  "                    errormessages.syntaxError(\"An elseif statement must have an expression in parentheses after the 'elseif'.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "                next",
  "                if(didConsume({expression}).not) then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    // Look ahead for a rparen or then.",
  "                    var nextTok := findNextToken({ t -> (t.line == lastToken.line) && (t.kind == \"rparen\") })",
  "                    if(nextTok == false) then {",
  "                        nextTok := findNextValidToken(\"rparen\")",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\"«expression») then \\{\")afterToken(lastToken)",
  "                        } else {",
  "                            suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression») then \\{\")",
  "                        }",
  "                        errormessages.syntaxError(\"An elseif statement must have an expression in parentheses after the 'elseif'.\")atPosition(",
  "                            sym.line, sym.linePos)withSuggestion(suggestion)",
  "                    } else {",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                            errormessages.syntaxError(\"An elseif statement must have an expression in parentheses after the 'elseif'.\")atPosition(",
  "                                sym.line, sym.linePos)withSuggestion(suggestion)",
  "                        } else {",
  "                            //checkInvalidExpression",
  "                            suggestion.replaceTokenRange(sym, nextTok.prev)leading(false)trailing(true)with(\"«expression»\")",
  "                            errormessages.syntaxError(\"An elseif statement must have an expression in parentheses after the 'elseif'.\")atRange(",
  "                                sym.line, sym.linePos, nextTok.linePos - 1)withSuggestion(suggestion)",
  "                        }",
  "                    }",
  "                }",
  "                if(sym.kind != \"rparen\") then {",
  "                    checkBadOperators",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\")\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "                next",
  "                econd := values.pop",
  "                if ((accept(\"identifier\") &&",
  "                    (sym.value == \"then\"))) then {",
  "                    next",
  "                    ebody := []",
  "                } else {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    if(sym.kind == \"lbrace\") then {",
  "                        def closingBrace = findClosingBrace(statementToken, false)",
  "                        if(closingBrace.found == false) then {",
  "                            if(closingBrace.tok == sym) then {",
  "                                suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{}\")",
  "                            } else {",
  "                                suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{\")",
  "                                suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            }",
  "                        } else {",
  "                            suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{\")",
  "                        }",
  "                    } else {",
  "                        def closingBrace = findClosingBrace(statementToken, true)",
  "                        if(closingBrace.found == false) then {",
  "                            if(closingBrace.tok == lastToken) then {",
  "                                suggestion.insert(\" then \\{}\")afterToken(lastToken)",
  "                            } else {",
  "                                suggestion.insert(\" then \\{\")afterToken(lastToken)",
  "                                suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            }",
  "                        } else {",
  "                            suggestion.insert(\" then \\{\")afterToken(lastToken)",
  "                        }",
  "                    }",
  "                    errormessages.syntaxError(\"An elseif statement must have 'then' after the expression in parentheses.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "                if(sym.kind != \"lbrace\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    def closingBrace = findClosingBrace(btok, true)",
  "                    if(closingBrace.found == false) then {",
  "                        if(closingBrace.tok == lastToken) then {",
  "                            suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{}\")",
  "                        } else {",
  "                            suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{\")",
  "                        }",
  "                    } else {",
  "                        suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{\")",
  "                    }",
  "                    errormessages.syntaxError(\"An elseif statement must have a '\\{' after the 'then'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "                next",
  "                if (sym.line == lastToken.line) then {",
  "                    minIndentLevel := sym.linePos - 1",
  "                } else {",
  "                    minIndentLevel := minInd",
  "                }",
  "                while {(accept(\"rbrace\")).not} do {",
  "                    if(didConsume({statement}).not) then {",
  "                        def suggestion = errormessages.suggestion.new",
  "                        def closingBrace = findClosingBrace(btok, false)",
  "                        if(closingBrace.found == false) then {",
  "                            if(closingBrace.tok == lastToken) then {",
  "                                suggestion.insert(\"}\")afterToken(lastToken)",
  "                            } else {",
  "                                suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            }",
  "                        }",
  "                        suggestion.deleteToken(sym)",
  "                        errormessages.syntaxError(\"An elseif statement must end with a '}'.\")atPosition(",
  "                            sym.line, sym.linePos)withSuggestion(suggestion)",
  "                    }",
  "                    v := values.pop",
  "                    ebody.push(v)",
  "                }",
  "                next",
  "                newelse := []",
  "                eif := ast.ifNode.new(econd, ebody, newelse)",
  "                // Construct the inner \"if\" AST node, and then push it",
  "                // inside the current \"else\" block.",
  "                curelse.push(eif)",
  "                // Update curelse to point to the new, empty, nested",
  "                // else block.",
  "                curelse := newelse",
  "            }",
  "            if (accept(\"identifier\") && (sym.value == \"else\")) then {",
  "                next",
  "                if(sym.kind != \"lbrace\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    def closingBrace = findClosingBrace(btok, true)",
  "                    if(closingBrace.found == false) then {",
  "                        if(closingBrace.tok == lastToken) then {",
  "                            suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"else \\{}\")",
  "                        } else {",
  "                            suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"else \\{\")",
  "                        }",
  "                    } else {",
  "                        suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"else \\{\")",
  "                    }",
  "                    errormessages.syntaxError(\"An else statement must have a '\\{' after the 'else'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "                next",
  "                // Just take all the statements and put them into",
  "                // curelse.",
  "                if (sym.line == lastToken.line) then {",
  "                    minIndentLevel := sym.linePos - 1",
  "                } else {",
  "                    minIndentLevel := minInd",
  "                }",
  "                while {(accept(\"rbrace\")).not} do {",
  "                    if(didConsume({statement}).not) then {",
  "                        def suggestion = errormessages.suggestion.new",
  "                        def closingBrace = findClosingBrace(btok, false)",
  "                        if(closingBrace.found == false) then {",
  "                            if(closingBrace.tok == lastToken) then {",
  "                                suggestion.insert(\"}\")afterToken(lastToken)",
  "                            } else {",
  "                                suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            }",
  "                        }",
  "                        suggestion.deleteToken(sym)",
  "                        errormessages.syntaxError(\"An else statement must end with a '}'.\")atPosition(",
  "                            sym.line, sym.linePos)withSuggestion(suggestion)",
  "                    }",
  "                    v := values.pop",
  "                    curelse.push(v)",
  "                }",
  "                next",
  "            }",
  "            var o := ast.ifNode.new(cond, body, elseblock)",
  "            values.push(o)",
  "        } else {",
  "            // Raise an error here, or it will spin nastily forever.",
  "            def suggestion = errormessages.suggestion.new",
  "            if(sym.kind == \"lbrace\") then {",
  "                def closingBrace = findClosingBrace(btok, false)",
  "                if(closingBrace.found == false) then {",
  "                    if(closingBrace.tok == sym) then {",
  "                        suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{}\")",
  "                    } else {",
  "                        suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{\")",
  "                        suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                    }",
  "                } else {",
  "                    suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{\")",
  "                }",
  "            } else {",
  "                def closingBrace = findClosingBrace(btok, true)",
  "                if(closingBrace.found == false) then {",
  "                    if(closingBrace.tok == lastToken) then {",
  "                        suggestion.insert(\" then \\{}\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.insert(\" then \\{\")afterToken(lastToken)",
  "                        suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                    }",
  "                } else {",
  "                    suggestion.insert(\" then \\{\")afterToken(lastToken)",
  "                }",
  "            }",
  "            errormessages.syntaxError(\"An if statement must have 'then' after the expression in parentheses.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        minIndentLevel := localMin",
  "        statementIndent := localStatementIndent",
  "    }",
  "}",
  "",
  "// Accept an identifier. Handle \"if\", \"while\", and \"for\" specially by",
  "// passing them on to the appropriate method above.",
  "method identifier {",
  "    if (accept(\"identifier\")) then {",
  "        if (sym.value == \"if\") then {",
  "            doif",
  "        } else {",
  "            pushidentifier",
  "        }",
  "    }",
  "}",
  "",
  "method prefixop {",
  "    if (accept(\"op\")) then {",
  "        var op := sym.value",
  "        var val",
  "        next",
  "        if (accept(\"lparen\")) then {",
  "            next",
  "            if(didConsume({expression}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"Parentheses must contain a valid expression.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            if(didConsume({term}).not) then {",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                suggestions.push(suggestion)",
  "                if(lastToken.prev.kind == \"bind\") then {",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestion.deleteToken(lastToken.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                }",
  "                errormessages.syntaxError(\"A prefix operator must be followed by an expression.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "            }",
  "        }",
  "        dotrest",
  "        callrest",
  "        postfixsquare",
  "        val := values.pop",
  "        var mem := ast.memberNode.new(\"prefix\" ++ op, val)",
  "        var call := ast.callNode.new(mem, [ast.callWithPart.new(mem.value)])",
  "        values.push(call)",
  "    }",
  "}",
  "",
  "method generic {",
  "    if (accept(\"lgeneric\")) then {",
  "        def id = values.pop",
  "        def gens = []",
  "        def startToken = sym",
  "        next",
  "        while {accept(\"identifier\")} do {",
  "            identifier",
  "            while {accept(\"dot\")} do {",
  "                next",
  "                def memberIn = values.pop",
  "                if(sym.kind != \"identifier\") then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    suggestion.insert(\"«type name»\")afterToken(lastToken)",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteToken(lastToken)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A type name must follow the '.'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + 1)withSuggestions(suggestions)",
  "                }",
  "                identifier",
  "                def memberName = values.pop",
  "                values.push(ast.memberNode.new(memberName.value, memberIn))",
  "            }",
  "            generic",
  "            gens.push(values.pop)",
  "            if (accept(\"comma\")) then {",
  "                next",
  "            } else {",
  "                if(sym.kind != \"rgeneric\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\">\")afterToken(lastToken)",
  "                    def suggestion2 = errormessages.suggestion.new",
  "                    suggestion2.insert(\" \")beforeToken(startToken)",
  "                    def suggestions = [suggestion, suggestion2]",
  "                    errormessages.syntaxError(\"A type containing a '<' must end with a '>', or the '<' operator must have a space before it.\")atPosition(",
  "                            lastToken.line, lastToken.linePos + lastToken.size)",
  "                        withSuggestions(suggestions)",
  "                }",
  "            }",
  "        }",
  "        if(sym.kind != \"rgeneric\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\">\")afterToken(lastToken)",
  "            def suggestion2 = errormessages.suggestion.new",
  "            suggestion2.insert(\" \")beforeToken(startToken)",
  "            def suggestions = [suggestion, suggestion2]",
  "            errormessages.syntaxError(\"A type containing a '<' must end with a '>', or the '<' operator must have a space before it.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)",
  "                withSuggestions(suggestions)",
  "        }",
  "        next",
  "        values.push(ast.genericNode.new(id, gens))",
  "    }",
  "}",
  "method trycatch {",
  "    if (!(accept(\"identifier\") && (sym.value == \"try\"))) then {",
  "        return 0",
  "    }",
  "    def localmin = minIndentLevel",
  "    def catchTok = sym",
  "    next",
  "    if (accept(\"lbrace\")) then {",
  "        block",
  "    } else {",
  "        if(sym.kind != \"lparen\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            // Look ahead for a rbrace, rparen, or catch.",
  "            def nextTok = findNextToken({ t -> (t.kind == \"rbrace\")",
  "                || ((t.kind == \"rparen\") && (t.line == catchTok.line))",
  "                || ((t.kind == \"identifier\") && (t.value == \"catch\")) })",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" \\{}\")afterToken(catchTok)",
  "            } elseif(nextTok.kind == \"rbrace\") then {",
  "                suggestion.insert(\" \\{\")afterToken(catchTok)",
  "            } elseif(nextTok.kind == \"rparen\") then {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"(«expression»\")afterToken(lastToken)andTrailingSpace(true)",
  "                } else {",
  "                    suggestion.insert(\"(\")afterToken(lastToken)andTrailingSpace(true)",
  "                }",
  "            } elseif(nextTok.kind == \"identifier\") then {",
  "                suggestion.insert(\" \\{\")afterToken(catchTok)",
  "                suggestion.insert(\"\\} \")beforeToken(nextTok)",
  "            }",
  "            errormessages.syntaxError(\"A catch statement must have either a block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                catchTok.line, catchTok.linePos + catchTok.size + 1)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        if(didConsume({expression}).not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextTok = findNextValidToken(\"rparen\")",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "            }",
  "            errormessages.syntaxError(\"A catch statement must have either a block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            checkBadOperators",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        next",
  "    }",
  "    def mainblock = values.pop",
  "    def cases = []",
  "    var finally := false",
  "    while {accept(\"identifier\") && (sym.value == \"catch\")} do {",
  "        next",
  "        if (accept(\"lbrace\")) then {",
  "            block",
  "        } elseif (accept(\"lparen\")) then {",
  "            next",
  "            if(didConsume({expression}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"A try-catch statement must have either a matching block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            def suggestions = []",
  "            def nextTok = findNextTokenIndentedAt(lastToken)",
  "            var suggestion := errormessages.suggestion.new",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" }\")afterToken(tokens.last)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } elseif(nextTok == sym) then {",
  "                suggestion.insert(\" («expression»)\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \\{ «match expression» }\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion.insert(\" }\")afterToken(nextTok.prev)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A try-catch statement must have either a matching block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        cases.push(values.pop)",
  "    }",
  "    if (accept(\"identifier\")onLineOf(catchTok) && (sym.value == \"case\")) then {",
  "        def suggestion = errormessages.suggestion.new",
  "        suggestion.replaceToken(sym)with(\"catch\")",
  "        errormessages.syntaxError(\"A try-catch statement starts with a \"",
  "                ++ \"'try' and then zero or more 'catch' blocks; there \"",
  "                ++ \"are no 'case' blocks.\")",
  "            atRange(sym.line, sym.linePos, sym.linePos + 3)",
  "            withSuggestion(suggestion)",
  "    }",
  "    if (accept(\"identifier\") && (sym.value == \"finally\")) then {",
  "        next",
  "        if (accept(\"lbrace\")) then {",
  "            block",
  "        } elseif (accept(\"lparen\")) then {",
  "            next",
  "            if(didConsume({expression}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"A catch statement must have either a block or an expression in parentheses after the 'finally'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            def suggestions = []",
  "            def nextTok = findNextTokenIndentedAt(lastToken)",
  "            var suggestion := errormessages.suggestion.new",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" }\")afterToken(tokens.first)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } elseif(nextTok == sym) then {",
  "                suggestion.insert(\" («expression»)\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \\{ «expression» }\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion.insert(\" }\")afterToken(nextTok.prev)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A try-finally statement must have either a block or an expression in parentheses after the 'finally'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        finally := values.pop",
  "    }",
  "    values.push(ast.catchCaseNode.new(mainblock, cases, finally))",
  "    minIndentLevel := localmin",
  "}",
  "method catchcase { // TODO: This construct is DEPRECATED. Remove it.",
  "    if (!(accept(\"identifier\") && (sym.value == \"catch\"))) then {",
  "        return 0",
  "    }",
  "    def localmin = minIndentLevel",
  "    def catchTok = sym",
  "    next",
  "    util.warning(\"The catch-case statement is deprecated and will be \"",
  "        ++ \"removed in a future version of the compiler. Use try-catch \"",
  "        ++ \"instead.\")",
  "    if (accept(\"lbrace\")) then {",
  "        block",
  "    } else {",
  "        if(sym.kind != \"lparen\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            // Look ahead for a rbrace, rparen, or case.",
  "            def nextTok = findNextToken({ t -> (t.kind == \"rbrace\")",
  "                || ((t.kind == \"rparen\") && (t.line == catchTok.line))",
  "                || ((t.kind == \"identifier\") && (t.value == \"case\")) })",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" \\{}\")afterToken(catchTok)",
  "            } elseif(nextTok.kind == \"rbrace\") then {",
  "                suggestion.insert(\" \\{\")afterToken(catchTok)",
  "            } elseif(nextTok.kind == \"rparen\") then {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"(«expression»\")afterToken(lastToken)andTrailingSpace(true)",
  "                } else {",
  "                    suggestion.insert(\"(\")afterToken(lastToken)andTrailingSpace(true)",
  "                }",
  "            } elseif(nextTok.kind == \"identifier\") then {",
  "                suggestion.insert(\" \\{\")afterToken(catchTok)",
  "                suggestion.insert(\"\\} \")beforeToken(nextTok)",
  "            }",
  "            errormessages.syntaxError(\"A catch statement must have either a block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                catchTok.line, catchTok.linePos + catchTok.size + 1)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        if(didConsume({expression}).not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextTok = findNextValidToken(\"rparen\")",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "            }",
  "            errormessages.syntaxError(\"A catch statement must have either a block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            checkBadOperators",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        next",
  "    }",
  "    def mainblock = values.pop",
  "    def cases = []",
  "    var finally := false",
  "    while {accept(\"identifier\") && (sym.value == \"case\")} do {",
  "        next",
  "        if (accept(\"lbrace\")) then {",
  "            block",
  "        } elseif (accept(\"lparen\")) then {",
  "            next",
  "            if(didConsume({expression}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"A catch statement must have either a matching block or an expression in parentheses after the 'case'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            def suggestions = []",
  "            def nextTok = findNextTokenIndentedAt(lastToken)",
  "            var suggestion := errormessages.suggestion.new",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" }\")afterToken(tokens.last)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } elseif(nextTok == sym) then {",
  "                suggestion.insert(\" («expression»)\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \\{ «match expression» }\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion.insert(\" }\")afterToken(nextTok.prev)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A catch statement must have either a matching block or an expression in parentheses after the 'case'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        cases.push(values.pop)",
  "    }",
  "    if (accept(\"identifier\") && (sym.value == \"finally\")) then {",
  "        next",
  "        if (accept(\"lbrace\")) then {",
  "            block",
  "        } elseif (accept(\"lparen\")) then {",
  "            next",
  "            if(didConsume({expression}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"A catch statement must have either a block or an expression in parentheses after the 'finally'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            def suggestions = []",
  "            def nextTok = findNextTokenIndentedAt(lastToken)",
  "            var suggestion := errormessages.suggestion.new",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" }\")afterToken(tokens.first)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } elseif(nextTok == sym) then {",
  "                suggestion.insert(\" («expression»)\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \\{ «expression» }\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion.insert(\" }\")afterToken(nextTok.prev)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A catch statement must have either a block or an expression in parentheses after the 'finally'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        finally := values.pop",
  "    }",
  "    values.push(ast.catchCaseNode.new(mainblock, cases, finally))",
  "    minIndentLevel := localmin",
  "}",
  "method matchcase {",
  "    if (!(accept(\"identifier\") && (sym.value == \"match\"))) then {",
  "        return 0",
  "    }",
  "    def localmin = minIndentLevel",
  "    def matchTok = sym",
  "    next",
  "    if(sym.kind != \"lparen\") then {",
  "        def suggestion = errormessages.suggestion.new",
  "        // Look ahead for a rparen or case.",
  "        def nextTok = findNextToken({ t -> ((t.kind == \"rparen\") && (t.line == matchTok.line))",
  "            || ((t.kind == \"identifier\") && (t.value == \"case\")) })",
  "        if(nextTok == false) then {",
  "            suggestion.insert(\"(«expression»)\")afterToken(matchTok)",
  "        } elseif(nextTok.kind == \"rparen\") then {",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\"(«expression»\")beforeToken(sym)",
  "            } else {",
  "                suggestion.insert(\"(\")beforeToken(sym)",
  "            }",
  "        } elseif(nextTok.kind == \"identifier\") then {",
  "            suggestion.insert(\"(\")beforeToken(sym)",
  "            suggestion.insert(\")\")afterToken(nextTok.prev)andTrailingSpace(true)",
  "        }",
  "        errormessages.syntaxError(\"A match statement must have an expression in parentheses after the 'match'.\")atPosition(",
  "            matchTok.line, matchTok.linePos + matchTok.size)withSuggestion(suggestion)",
  "    }",
  "    next",
  "    if(didConsume({expression}).not) then {",
  "        def suggestion = errormessages.suggestion.new",
  "        def nextTok = findNextValidToken(\"rparen\")",
  "        if(nextTok == sym) then {",
  "            suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "        } else {",
  "            suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "        }",
  "        errormessages.syntaxError(\"A match statement must have an expression in parentheses after the 'match'.\")atPosition(",
  "            sym.line, sym.linePos)withSuggestion(suggestion)",
  "    }",
  "    def matchee = values.pop",
  "    if(sym.kind != \"rparen\") then {",
  "        checkBadOperators",
  "        def suggestion = errormessages.suggestion.new",
  "        suggestion.insert(\")\")afterToken(lastToken)",
  "        errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "            lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "    }",
  "    next",
  "    def cases = []",
  "    var elsecase := false",
  "    while {accept(\"identifier\") && (sym.value == \"case\")} do {",
  "        next",
  "        if (accept(\"lbrace\")) then {",
  "            block",
  "        } elseif (accept(\"lparen\")) then {",
  "            next",
  "            if(didConsume({expression}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"A match statement must have either a matching block or an expression in parentheses after the 'case'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            def suggestions = []",
  "            def nextTok = findNextTokenIndentedAt(lastToken)",
  "            var suggestion := errormessages.suggestion.new",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" }\")afterToken(tokens.last)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } elseif(nextTok == sym) then {",
  "                suggestion.insert(\" («expression»)\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \\{ «match expression» }\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion.insert(\" }\")afterToken(nextTok.prev)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A match statement must have either a matching block or an expression in parentheses after the 'case'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        cases.push(values.pop)",
  "    }",
  "    if (accept(\"identifier\") && (sym.value == \"else\")) then {",
  "        next",
  "        if (accept(\"lbrace\")) then {",
  "            block",
  "        } elseif (accept(\"lparen\")) then {",
  "            next",
  "            if(didConsume({expression}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rparen\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"A match statement must have either a block or an expression in parentheses after the 'else'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            def suggestions = []",
  "            def nextTok = findNextTokenIndentedAt(lastToken)",
  "            var suggestion := errormessages.suggestion.new",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" }\")afterToken(tokens.first)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } elseif(nextTok == sym) then {",
  "                suggestion.insert(\" («expression»)\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \\{ «expression» }\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion.insert(\" }\")afterToken(nextTok.prev)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A match statement must have either a block or an expression in parentheses after the 'else'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        elsecase := values.pop",
  "    }",
  "    values.push(ast.matchCaseNode.new(matchee, cases, elsecase))",
  "    minIndentLevel := localmin",
  "}",
  "// Accept a term. Terms consist only of single syntactic units and",
  "// do not contain any operators or parentheses, unlike expression.",
  "method term {",
  "    if (accept(\"num\")) then {",
  "        pushnum",
  "    } elseif (accept(\"string\")) then {",
  "        pushstring",
  "    } elseif (accept(\"octets\")) then {",
  "        pushoctets",
  "    } elseif(accept(\"identifier\") && (sym.value == \"match\")) then {",
  "        matchcase",
  "    } elseif(accept(\"identifier\") && (sym.value == \"catch\")) then {",
  "        catchcase",
  "    } elseif(accept(\"identifier\") && (sym.value == \"try\")) then {",
  "        trycatch",
  "    } elseif (accept(\"identifier\")) then {",
  "        identifier",
  "    } elseif (accept(\"keyword\") && (sym.value == \"object\")) then {",
  "        doobject",
  "    } elseif (accept(\"keyword\").andAlso { sym.value == \"type\" }) then {",
  "        doanontype",
  "    } elseif (accept(\"lbrace\")) then {",
  "        block",
  "    } elseif (accept(\"lsquare\")) then {",
  "        doarray",
  "    } elseif (accept(\"op\")) then {",
  "        // Prefix operator",
  "        prefixop",
  "    }",
  "}",
  "",
  "// Accept an expression. Expressions may consist of parenthesised",
  "// subexpressions or terms, which may be followed by method invocations",
  "// (dotrest), postcircumfix square brackets, the rest of a method call,",
  "// or an operator expression.",
  "method expression {",
  "    var sz := values.size",
  "    if (accept(\"lparen\")) then {",
  "        def tmpStatementToken = statementToken",
  "        statementToken := sym",
  "        next",
  "        if(didConsume({expression}).not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextTok = findNextValidToken(\"rparen\")",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "            }",
  "            errormessages.syntaxError(\"Parentheses must contain a valid expression.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            checkBadOperators",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        statementToken := tmpStatementToken",
  "        next",
  "    } else {",
  "        term",
  "    }",
  "    if (values.size > sz) then {",
  "        dotrest",
  "        callrest",
  "        postfixsquare",
  "        expressionrest",
  "    }",
  "}",
  "",
  "// Accept postcircumfix square brackets (as in x[y]) and replace the",
  "// preceding expression with an index node into itself.",
  "method postfixsquare {",
  "    if (acceptSameLine(\"lsquare\")) then {",
  "        next",
  "        var expr := values.pop",
  "        if(didConsume({expression}).not) then {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            def nextTok = findNextValidToken(\"rsquare\")",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\"«index»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«index»\")",
  "            }",
  "            suggestions.push(suggestion)",
  "            if(nextTok.kind == \"rsquare\") then {",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.deleteTokenRange(lastToken, nextTok)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A '[' in an expression must be followed by another expression and a ']'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        var index := values.pop",
  "        if(sym.kind != \"rsquare\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\"]\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A '[' in an expression must be followed by another expression and a ']'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        var o := ast.indexNode.new(expr, index)",
  "        values.push(o)",
  "        dotrest",
  "        callrest",
  "        postfixsquare",
  "    }",
  "}",
  "",
  "// Calculate the precedence of an operator. In this case, only",
  "// multiplication and division have nontrivial precedence. Used in",
  "// expressionrest.",
  "method oprec(o) {",
  "    if (o == \"*\") then {",
  "        return 10",
  "    } elseif (o == \"/\") then {",
  "        return 10",
  "    }",
  "    return 5",
  "}",
  "",
  "// Return the precedence of the operator at the top of the \"ops\" stack.",
  "method toprec(ops) {",
  "    if (ops.size > 0) then {",
  "        var o := ops.last",
  "        return oprec(o)",
  "    }",
  "    0",
  "}",
  "",
  "// Process the rest of an operator expression using the shunting-yard",
  "// algorithm. This method uses the oprec and toprec methods above to",
  "// ensure the correct precedence, and treats all operators as",
  "// left-associative.",
  "method expressionrest {",
  "    if (accept(\"op\")) then {",
  "        var terms := [] // List of operands yet to be used",
  "        var ops := [] // Operator stack",
  "        var o",
  "        var o2",
  "        var tmp2",
  "        var tmp := values.pop",
  "        terms.push(tmp)",
  "        var prec",
  "        var allarith := true // Consists only of arithmetic operators",
  "        var opcount := 0",
  "        var opdtype := \"\" // The single operator being used in this expression",
  "        while {accept(\"op\")onLineOfLastOr(statementToken).andAlso",
  "                {sym.value != \"=\"}} do {",
  "            opcount := opcount + 1",
  "            o := sym.value",
  "            next",
  "            prec := oprec(o)",
  "            if ((o != \"*\") && (o != \"/\") && (o != \"+\") && (o != \"-\")) then {",
  "                allarith := false",
  "            }",
  "            if ((opdtype != \"\") && (opdtype != o) && (allarith.not)) then {",
  "                // If: this is not the first operator, it is not the same",
  "                // as the last operator, and the expression has not been",
  "                // entirely arithmetic, raise a syntax error.",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(sym)",
  "                suggestion.insert(\"(\")beforeToken(lastToken.prev)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken.prev)",
  "                suggestion.insert(\"(\")beforeToken(lastToken.prev.prev.prev)",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"An expression containing both mathematical and non-mathematical operators requires parentheses.\")atPosition(",
  "                    lastToken.prev.line, lastToken.prev.linePos)withSuggestions(suggestions)",
  "            }",
  "            opdtype := o",
  "            while {(ops.size > 0) && (prec <= toprec(ops))} do {",
  "                // Do the shunting: for as long as the current operator",
  "                // has lesser or equal precedence than the one on the",
  "                // top of the stack, take the operator off the stack and",
  "                // replace its two operands with the combined operator node.",
  "                // This corresponds to left-associative operators only.",
  "                o2 := ops.pop",
  "                tmp2 := terms.pop",
  "                tmp := terms.pop",
  "                tmp := ast.opNode.new(o2, tmp, tmp2)",
  "                terms.push(tmp)",
  "            }",
  "            ops.push(o)",
  "            if (accept(\"lparen\")) then {",
  "                // When a parenthesis is found, take an expression from",
  "                // *within* the parentheses and add it to the stack. Do",
  "                // not delegate entirely to expression, because it will",
  "                // then consume all the following operators and break",
  "                // precedence. Possibly parenthesised expressions could",
  "                // be allowed in term above?",
  "                next",
  "                if(didConsume({expression}).not) then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"rparen\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                    }",
  "                    errormessages.syntaxError(\"Parentheses must contain a valid expression.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "                if(sym.kind != \"rparen\") then {",
  "                    checkBadOperators",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\")\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"An expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "                next",
  "            } else {",
  "                if (!tokenOnSameLine) then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteToken(lastToken)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.insert(\" \" ++ util.lines[sym.line])afterToken(lastToken)",
  "                    suggestion.deleteLine(sym.line)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A valid expression must follow '{lastToken.value}'. This is often caused by a new line in the middle of an expression.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "                }",
  "                if(didConsume({term}).not) then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"comma\", \"rparen\", \"rsquare\", \"rbrace\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A valid expression must follow '{lastToken.value}'. This is often caused by a new line in the middle of an expression.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "                }",
  "            }",
  "",
  "            // Regardless of where the last value came from, it may have",
  "            // method invocations, indexes, or method call happening to it,",
  "            // which should be applied and the result put into the operands",
  "            // list.",
  "            dotrest",
  "            callrest",
  "            postfixsquare",
  "            tmp := values.pop",
  "            terms.push(tmp)",
  "        }",
  "        while {ops.size > 0} do {",
  "            // Shunt off any remaining operators at the end",
  "            o := ops.pop",
  "            tmp2 := terms.pop",
  "            tmp := terms.pop",
  "            tmp := ast.opNode.new(o, tmp, tmp2)",
  "            terms.push(tmp)",
  "        }",
  "        tmp := terms.pop",
  "        values.push(tmp)",
  "        if (terms.size > 0) then {",
  "            errormessages.syntaxError(\"Values left on term stack.\")atPosition(sym.line, sym.linePos)",
  "        }",
  "    }",
  "}",
  "",
  "// Accept a member lookup with \".\". This consumes the dot and",
  "// a following identifier, and will pass along to further lookups or",
  "// method calls on the result.",
  "method dotrest {",
  "    if (acceptSameLine(\"dot\")) then {",
  "        var lookuptarget := values.pop",
  "        next",
  "        if (accept(\"identifier\")) then {",
  "            var dro := ast.memberNode.new(sym.value, lookuptarget)",
  "            values.push(dro)",
  "            next",
  "            if (accept(\"dot\")) then {",
  "                dotrest",
  "            } elseif (accept(\"lparen\") || accept(\"lbrace\")",
  "                || accept(\"num\") || accept(\"string\") || accept(\"lsquare\")",
  "                || accept(\"lgeneric\")",
  "                ) then {",
  "                callrest",
  "            }",
  "        } else {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.deleteToken(lastToken)",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\"«method name»\")afterToken(lastToken)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"A field or method name must follow a '.'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "    }",
  "}",
  "",
  "// Accept a method invocation indicated by parentheses. Unparenthesised",
  "// method calls are left as \"member\" AST nodes and processed correctly at",
  "// a later stage.",
  "method callrest {",
  "    if (values.size == 0) then {",
  "        return 0",
  "    }",
  "    var meth := values.pop",
  "    var lnum := linenum",
  "    var lpos := 1",
  "    if (meth.kind != \"identifier\") then {",
  "        if (meth.kind != \"member\") then {",
  "            values.push(meth)",
  "            return 0",
  "        }",
  "    }",
  "    if (meth.kind == \"identifier\") then {",
  "        lnum := meth.line",
  "        lpos := meth.linePos",
  "    }",
  "    var methn",
  "    def btok = sym",
  "    var tmp",
  "    var ln := false",
  "    var signature := []",
  "    var part := ast.callWithPart.new",
  "    signature.push(part)",
  "    var hadcall := false",
  "    var tok := lastToken",
  "    var startInd := minIndentLevel",
  "    var genericIdents := false",
  "    if (acceptSameLine \"lgeneric\") then {",
  "        // Generic!",
  "        def startToken = sym",
  "        next",
  "        genericIdents := collections.list.new",
  "        while {accept(\"identifier\")} do {",
  "            identifier",
  "            genericIdents.push(values.pop)",
  "            if (accept(\"comma\")) then {",
  "                next",
  "            }",
  "        }",
  "        if(sym.kind != \"rgeneric\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\">\")afterToken(lastToken)",
  "            def suggestion2 = errormessages.suggestion.new",
  "            suggestion2.insert(\" \")beforeToken(startToken)",
  "            def suggestions = [suggestion, suggestion2]",
  "            errormessages.syntaxError(\"A method request containing a '<' must have a matching '>', or the '<' operator must have a space before it.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)",
  "                withSuggestions(suggestions)",
  "        }",
  "        next",
  "    }",
  "    if (acceptSameLine(\"lparen\")) then {",
  "        part.line := sym.line",
  "        part.linePos := sym.linePos",
  "        tok := sym",
  "        hadcall := true",
  "        methn := meth.value",
  "        part.name := methn",
  "        next",
  "        ifConsume {expression} then {",
  "            // For matching blocks - same as below",
  "            if (accept(\"colon\")) then {",
  "                tmp := values.pop",
  "                if (tmp.kind != \"identifier\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    if(sym.next.kind == \"identifier\") then {",
  "                        suggestion.deleteTokenRange(sym, sym.next)leading(true)trailing(false)",
  "                        errormessages.syntaxError(\"Only variables and constants may be followed by a ':' and a type.\")atRange(",
  "                            sym.line, sym.linePos, sym.next.linePos + sym.next.size - 1)withSuggestion(suggestion)",
  "                    } else {",
  "                        suggestion.deleteToken(sym)leading(true)trailing(false)",
  "                        errormessages.syntaxError(\"Only variables and constants may be followed by a ':' and a type.\")atRange(",
  "                            sym.line, sym.linePos, sym.linePos)withSuggestion(suggestion)",
  "                    }",
  "                }",
  "                next",
  "                if(didConsume({expression}).not) then {",
  "                    checkBadAnonymousType",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"rparen\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «type name»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «type name»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A type name or type expression must follow ':'.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "                tmp.dtype := values.pop",
  "                values.push(tmp)",
  "            }",
  "            while {accept(\"comma\")} do {",
  "                tmp := values.pop",
  "                part.args.push(tmp)",
  "                next",
  "                if(didConsume({expression}).not) then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"rparen\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A method request must have an expression after a ','.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "                // For matching blocks - same as above",
  "                if (accept(\"colon\")) then {",
  "                    tmp := values.pop",
  "                    if (tmp.kind != \"identifier\") then {",
  "                        def suggestion = errormessages.suggestion.new",
  "                        if(sym.next.kind == \"identifier\") then {",
  "                            suggestion.deleteTokenRange(sym, sym.next)leading(true)trailing(false)",
  "                            errormessages.syntaxError(\"Only variables and constants may be followed by a ':' and a type.\")atRange(",
  "                                sym.line, sym.linePos, sym.next.linePos + sym.next.size - 1)withSuggestion(suggestion)",
  "                        } else {",
  "                            suggestion.deleteToken(sym)",
  "                            errormessages.syntaxError(\"Only variables and constants may be followed by a ':' and a type.\")atRange(",
  "                                sym.line, sym.linePos, sym.linePos)withSuggestion(suggestion)",
  "                        }",
  "                    }",
  "                    next",
  "                    if(didConsume({expression}).not) then {",
  "                        checkBadAnonymousType",
  "                        def suggestions = []",
  "                        var suggestion := errormessages.suggestion.new",
  "                        def nextTok = findNextValidToken(\"rparen\")",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\" «type name»\")afterToken(lastToken)",
  "                        } else {",
  "                            suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «type name»\")",
  "                        }",
  "                        suggestions.push(suggestion)",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                        suggestions.push(suggestion)",
  "                        errormessages.syntaxError(\"A type name or type expression must follow ':'.\")atPosition(",
  "                            sym.line, sym.linePos)withSuggestions(suggestions)",
  "                    }",
  "                    tmp.dtype := values.pop",
  "                    values.push(tmp)",
  "                }",
  "            }",
  "            tmp := values.pop",
  "            part.args.push(tmp)",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            checkBadOperators",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A method request beginning with a '(' must end with a ')'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        if (sym.line == part.line) then {",
  "            part.lineLength := sym.linePos - part.linePos",
  "        }",
  "        ln := linenum",
  "        next",
  "    } elseif (don'tTakeBlock && {accept(\"lbrace\")onLineOf(tok)}) then {",
  "        values.push(meth)",
  "    } elseif (accept(\"string\")onLineOf(tok) || accept(\"num\")onLineOf(tok)",
  "        || accept(\"lbrace\")onLineOf(tok)",
  "        || (accept(\"identifier\")onLineOf(tok) && ((sym.value == \"true\")",
  "                                   || (sym.value == \"false\")))) then {",
  "        tok := sym",
  "        hadcall := true",
  "        methn := meth.value",
  "        part.name := methn",
  "        ln := linenum",
  "        term",
  "        var ar := values.pop",
  "        part.args.push(ar)",
  "    } elseif (meth.kind == \"identifier\") then {",
  "        values.push(meth)",
  "    } elseif (meth.kind == \"member\") then {",
  "        var root := meth.in",
  "        var outroot := meth",
  "        while {root.kind == \"member\"} do {",
  "            outroot := root",
  "            root := root.in",
  "        }",
  "        if (root.kind == \"identifier\") then {",
  "            values.push(meth)",
  "        } else {",
  "            values.push(meth)",
  "        }",
  "    } else {",
  "        values.push(meth)",
  "    }",
  "    if (hadcall) then {",
  "        if (accept(\"identifier\")onLineOfLastOr(tok)) then {",
  "            // Multi-part method name",
  "            def meth' = ast.identifierNode.new(methn, false)",
  "            meth'.line := lnum",
  "            meth'.linePos := lpos",
  "            methn := callmprest(meth', signature, tok)",
  "            if (meth.kind == \"member\") then {",
  "                // callmprest loses this information, so restore",
  "                // the member lookup (for x.between(3)and(10)-type",
  "                // calls).",
  "                meth := ast.memberNode.new(methn.value, meth.in)",
  "            } else {",
  "                meth := methn",
  "            }",
  "        }",
  "        util.setline(lnum)",
  "        tmp := ast.callNode.new(meth, signature)",
  "        tmp.generics := genericIdents",
  "        values.push(tmp)",
  "    }",
  "    minIndentLevel := startInd",
  "    dotrest",
  "}",
  "",
  "// Process the rest of a multi-part method name. Returns an identifier",
  "// to replace the one passed in, in which each word is joined by \"\",",
  "// and updates params in place.",
  "method callmprest(meth, signature, tok) {",
  "    var methname := meth.value",
  "    var nxt",
  "    var ln := linenum",
  "    var lp := meth.linePos",
  "    var part",
  "    while {accept(\"identifier\")onLineOf(tok)",
  "           || accept(\"identifier\")onLineOf(lastToken)} do {",
  "        // Each word must start on the same line as the preceding parameter",
  "        // ended.",
  "        part := ast.callWithPart.new",
  "        signature.push(part)",
  "        methname := methname ++ \"()\"",
  "        pushidentifier",
  "        nxt := values.pop",
  "        methname := methname ++ nxt.value",
  "        part.name := nxt.value",
  "        var isTerm := false",
  "        if ((accept(\"lparen\")).not && (accept(\"lbrace\")).not",
  "            && accept(\"string\").not && accept(\"num\").not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            if(sym.kind == \"identifier\") then {",
  "                suggestion.replaceToken(sym)leading(true)trailing(false)with(\"({sym.value})\")",
  "                if(methname == \"while()do\") then {",
  "                    errormessages.syntaxError(\"A while loop must have either a loop body in braces, or a block in parentheses.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                } elseif(methname == \"for()do\") then {",
  "                    errormessages.syntaxError(\"A for loop must have either a loop body in braces, or a block in parentheses.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "                errormessages.syntaxError(\"A multi-part method request must have parentheses around each part of the method.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            } else {",
  "                if(methname == \"while()do\") then {",
  "                    suggestion.insert(\" \\{}\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"A while loop must have a body.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                } elseif(methname == \"for()do\") then {",
  "                    suggestion.insert(\" \\{}\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"A for loop must have a body.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                } else {",
  "                    suggestion.insert(\"()\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"A multi-part method request must end with '()'.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "            }",
  "        }",
  "        if (accept(\"lbrace\")onLineOfLastOr(tok)",
  "            || accept(\"string\")onLineOfLastOr(tok)",
  "            || accept(\"num\")onLineOfLastOr(tok)",
  "            || (accept(\"identifier\")onLineOfLastOr(tok)",
  "                && ((sym.value == \"true\")",
  "                    || (sym.value == \"false\")))) then {",
  "            isTerm := true",
  "        } else {",
  "            next",
  "        }",
  "        var isEmpty := false",
  "        if (accept \"rparen\") then {",
  "            isEmpty := true",
  "        }",
  "        if (isTerm) then {",
  "            ln := lastline",
  "            term",
  "        } else {",
  "            if(sym.kind != \"rparen\") then {",
  "                if(didConsume({expression}).not) then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"rparen\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                        suggestions.push(suggestion)",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteTokenRange(sym, nextTok.prev)leading(true)trailing(false)",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A method request must have an expression or a ')' after a '('.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "            }",
  "            while {accept(\"comma\")} do {",
  "                nxt := values.pop",
  "                part.args.push(nxt)",
  "                next",
  "                if(didConsume({expression}).not) then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"rparen\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A method request must have an expression after a ','.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "            }",
  "        }",
  "        if (!isEmpty) then {",
  "            nxt := values.pop",
  "            part.args.push(nxt)",
  "        }",
  "        if (isTerm.not) then {",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"A part of a multi-part method request beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "        }",
  "        if (accept(\"rparen\") && isTerm.not) then {",
  "            ln := lastline",
  "            next",
  "        }",
  "    }",
  "    def meth' = ast.identifierNode.new(methname, false)",
  "    meth'.line := meth.line",
  "    meth'.linePos := meth.linePos",
  "    meth'",
  "}",
  "",
  "// Accept a const declaration",
  "method defdec {",
  "    if (accept(\"keyword\") && (sym.value == \"def\")) then {",
  "        def line = sym.line",
  "        def pos = sym.linePos",
  "        def defTok = sym",
  "        next",
  "        if(sym.kind != \"identifier\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextToken = findNextToken({ t -> (t.kind == \"op\")",
  "                && (t.value == \"=\") && (t.line == sym.line)})",
  "            if(nextToken == false) then {",
  "                suggestion.insert(\" «name» =\")afterToken(lastToken)",
  "            } elseif(nextToken == sym) then {",
  "                suggestion.insert(\" «name»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextToken.prev)leading(false)trailing(true)with(\"«name» \")",
  "            }",
  "            errormessages.syntaxError(\"A constant declaration must have a name, a '=', and a value after the 'def'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        pushidentifier",
  "        var val := false",
  "        var dtype := ast.identifierNode.new(\"Unknown\", false)",
  "        var name := values.pop",
  "        if (accept(\"colon\")) then {",
  "            next",
  "            dotyperef",
  "            dtype := values.pop",
  "        }",
  "        def anns = doannotation",
  "        if (accept(\"op\") && (sym.value == \"=\")) then {",
  "            next",
  "            if(didConsume({expression}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken()",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                }",
  "                errormessages.syntaxError(\"A constant declaration must have a value after the '='.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            val := values.pop",
  "        } elseif (accept(\"bind\")) then {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.replaceToken(sym)with(\"=\")",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.replaceToken(defTok)with(\"var\")",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"A constant declaration must use '=' instead of ':='. A variable declaration uses 'var' and ':='.\")atRange(",
  "                sym.line, sym.linePos, sym.linePos + 1)withSuggestions(suggestions)",
  "        } else {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\" = «expression»\")afterToken(lastToken)",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.replaceToken(defTok)with(\"var\")",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"A constant declaration must have a '=' and a value after the name. \"",
  "                ++ \"A variable declaration does not require a value and uses 'var' instead of 'def'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        var o := ast.defDecNode.new(name, val, dtype)",
  "        var hasVisibility := false",
  "        var hasAccessibility := false",
  "        if (anns != false) then {",
  "            for (anns) do {a->",
  "                if ((a.kind == \"identifier\").andAlso {",
  "                    (a.value == \"public\")",
  "                     || (a.value == \"confidential\")}) then {",
  "                    hasVisibility := true",
  "                }",
  "                if ((a.kind == \"identifier\").andAlso {",
  "                    (a.value == \"readable\")",
  "                     || (a.value == \"writable\")}) then {",
  "                    hasAccessibility := true",
  "                }",
  "            }",
  "            o.annotations.extend(anns)",
  "        }",
  "        if ((!hasVisibility) && (!hasAccessibility)) then {",
  "            if (defaultDefVisibility == \"public\") then {",
  "                o.annotations.push(ast.identifierNode.new(\"public\", false))",
  "            }",
  "        }",
  "        o.startToken := defTok",
  "        values.push(o)",
  "    }",
  "}",
  "",
  "// Accept a var declaration",
  "method vardec {",
  "    if (accept(\"keyword\") && (sym.value == \"var\")) then {",
  "        def line = sym.line",
  "        def pos = sym.linePos",
  "        def varTok = sym",
  "        next",
  "        if(sym.kind != \"identifier\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextToken = findNextToken({ t -> (t.kind == \"bind\")",
  "                && (t.line == sym.line)})",
  "            if((nextToken == false).orElse({nextToken == sym})) then {",
  "                suggestion.insert(\" «name»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextToken.prev)leading(false)trailing(true)with(\"«name» \")",
  "            }",
  "            errormessages.syntaxError(\"A variable declaration must have a name after the 'var'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        pushidentifier",
  "        var val := false",
  "        var dtype := ast.identifierNode.new(\"Unknown\", false)",
  "        var name := values.pop",
  "        if (accept(\"colon\")) then {",
  "            next",
  "            dotyperef",
  "            dtype := values.pop",
  "        }",
  "        def anns = doannotation",
  "        if (accept(\"bind\")) then {",
  "            next",
  "            if(didConsume({expression}).not) then {",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                def nextTok = findNextValidToken()",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                }",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"A variable declaration must have a value after the ':='. \"",
  "                    ++ \"A variable without a value can be declared with 'var' followed only by the variable name.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "            }",
  "            val := values.pop",
  "        } else {",
  "            if (accept(\"op\") && (sym.value == \"=\")) then {",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                suggestion.replaceToken(sym)with(\":=\")",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.replaceToken(varTok)with(\"def\")",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"A variable declaration must use ':=' instead of '='. A constant declaration uses 'def' and '='.\")",
  "                    atRange(sym.line, sym.linePos, sym.linePos)",
  "                    withSuggestions(suggestions)",
  "            }",
  "        }",
  "        var o := ast.varDecNode.new(name, val, dtype)",
  "        var hasVisibility := false",
  "        var hasAccessibility := false",
  "        if (anns != false) then {",
  "            for (anns) do {a->",
  "                if ((a.kind == \"identifier\").andAlso {",
  "                    (a.value == \"public\")",
  "                     || (a.value == \"confidential\")}) then {",
  "                    hasVisibility := true",
  "                }",
  "                if ((a.kind == \"identifier\").andAlso {",
  "                    (a.value == \"readable\")",
  "                     || (a.value == \"writable\")}) then {",
  "                    hasAccessibility := true",
  "                }",
  "            }",
  "            o.annotations.extend(anns)",
  "        }",
  "        if ((!hasVisibility) && (!hasAccessibility)) then {",
  "            if (defaultVarVisibility == \"public\") then {",
  "                o.annotations.push(ast.identifierNode.new(\"readable\",",
  "                    false))",
  "                o.annotations.push(ast.identifierNode.new(\"writable\",",
  "                    false))",
  "            }",
  "        }",
  "        values.push(o)",
  "    }",
  "}",
  "",
  "// Accept a square-bracketed list literal like [1,2,3].",
  "method doarray {",
  "    if (accept(\"lsquare\")) then {",
  "        next",
  "        var tmp",
  "        var params := []",
  "        ifConsume {expression} then {",
  "            while {accept(\"comma\")} do {",
  "                tmp := values.pop",
  "                params.push(tmp)",
  "                next",
  "                if(didConsume({expression}).not) then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"rsquare\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A list must contain zero or more valid expressions separated by commas.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "            }",
  "            tmp := values.pop",
  "            params.push(tmp)",
  "        }",
  "        if(sym.kind != \"rsquare\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\"]\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A list beginning with a '[' must end with a ']'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        var o := ast.arrayNode.new(params)",
  "        values.push(o)",
  "        next",
  "    }",
  "}",
  "",
  "// Accept \"dialect \"X\"\"",
  "method dodialect {",
  "    if (accept(\"keyword\") && (sym.value == \"dialect\")) then {",
  "        next",
  "        if(sym.kind != \"string\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            var errorPos",
  "            if((sym.kind == \"identifier\") && (sym.line == lastToken.line)) then {",
  "                suggestion.replaceToken(sym)with(\"\\\"{sym.value}\\\"\")",
  "                errorPos := sym.linePos",
  "            } else {",
  "                suggestion.insert(\" \\\"«dialect name»\\\"\")afterToken(lastToken)",
  "                errorPos := lastToken.linePos + lastToken.size + 1",
  "            }",
  "            errormessages.syntaxError(\"A dialect statement must have the name of the dialect in quotes after the 'dialect'.\")atPosition(",
  "                lastToken.line, errorPos)withSuggestion(suggestion)",
  "        }",
  "        values.push(ast.dialectNode.new(sym.value))",
  "        next",
  "    }",
  "}",
  "",
  "// Accept \"inherits X.new\"",
  "method inheritsdec {",
  "    if (accept(\"keyword\") && (sym.value == \"inherits\")) then {",
  "        checkIndent",
  "        next",
  "        if(didConsume({expression}).not) then {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            def nextTok = findNextValidToken(\"rsquare\")",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\" «parent»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «parent»\")",
  "            }",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"An inheritance statement must have the object being inherited from after the 'inherits'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestions(suggestions)",
  "        }",
  "        var tmp := values.pop",
  "        values.push(ast.inheritsNode.new(tmp))",
  "    }",
  "}",
  "",
  "// Accept an object literal.",
  "method doobject {",
  "    // doobject because \"object\" is a keyword",
  "    if (accept(\"keyword\") && (sym.value == \"object\")) then {",
  "        def btok = sym",
  "        def localMinIndentLevel = minIndentLevel",
  "        next",
  "        var superclass := false",
  "        if(sym.kind != \"lbrace\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextTok = findNextToken({ t -> t.kind == \"rbrace\" })",
  "            if(nextTok == false) then {",
  "                suggestion.insert(\" \\{}\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "            }",
  "            errormessages.syntaxError(\"An object must have a '\\{' afer the 'object'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        values.push(object {",
  "            var kind := \"lbrace\"",
  "            var register := \"\"",
  "        })",
  "        next",
  "        if (sym.line == statementToken.line) then {",
  "            minIndentLevel := sym.linePos - 1",
  "        } else {",
  "            minIndentLevel := statementToken.indent + 1",
  "        }",
  "        var sz := values.size",
  "        while {(accept(\"rbrace\")).not} do {",
  "            // An object body contains zero or more var declarations,",
  "            // const declarations, and method declarations. If anything",
  "            // else appears before the closing brace, it is a syntax error.",
  "            methoddec",
  "            inheritsdec",
  "            statement",
  "            if (sym.kind == \"eof\") then {",
  "                if(sym.kind != \"rbrace\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\"}\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"An object must end with a '}'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "            } elseif ((values.size == sz) && (lastToken.kind != \"semicolon\")) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.deleteToken(sym)",
  "                errormessages.syntaxError(\"An object can only contain variable, constant, and method declarations; and statements.\")atRange(",
  "                    sym.line, sym.linePos, sym.linePos + sym.size - 1)withSuggestion(suggestion)",
  "            }",
  "            sz := values.size",
  "        }",
  "        next",
  "        var rbody := []",
  "        var n := values.pop",
  "        while {n.kind != \"lbrace\"} do {",
  "            rbody.push(n)",
  "            n := values.pop",
  "        }",
  "        var body := []",
  "        for (rbody.indices) do { x ->",
  "            // Reorder the list",
  "            var p := rbody.pop",
  "            body.push(p)",
  "        }",
  "        util.setline(btok.line)",
  "        var o := ast.objectNode.new(body, superclass)",
  "        values.push(o)",
  "        minIndentLevel := localMinIndentLevel",
  "    }",
  "}",
  "",
  "// Accept a class declaration",
  "// Class declarations are currently of the form:",
  "//   class classname [extends Foo.new(...)] { param1, param2 ->",
  "//     var x",
  "//     method y(z) { ... }",
  "//   }",
  "method doclass {",
  "    if (accept(\"keyword\") && (sym.value == \"class\")) then {",
  "        def btok = sym",
  "        next",
  "        def localMinIndentLevel = minIndentLevel",
  "        if(sym.kind != \"identifier\") then {",
  "            def suggestions = []",
  "            if(sym.kind == \"lbrace\") then {",
  "                var suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" «class name».new\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.replaceToken(lastToken)with(\"object\")",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\" «class name».new \\{}\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"A class must have a name after the 'class'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestions(suggestions)",
  "        }",
  "        def cname = if (tokens.first.kind == \"dot\") then {",
  "            pushidentifier // A class currently cannot be anonymous",
  "            def cname' = values.pop",
  "            if (!accept(\"dot\")) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.replaceToken(sym) with(\".\")",
  "                errormessages.syntaxError \"A class must have a dot after the object name.\"",
  "                    atPosition(lastToken.line, lastToken.linePos + lastToken.size + 1)",
  "                    withSuggestion(suggestion)",
  "            }",
  "            next",
  "            cname'",
  "        } else {",
  "            false",
  "        }",
  "        var s := methodsignature(false)",
  "        var csig := s.sig",
  "        var constructorName := s.m",
  "        var dtype := s.rtype",
  "        def anns = doannotation",
  "        if (!accept(\"lbrace\")) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\" \\{\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A class must have a '\\{' after the name.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        if (sym.line == statementToken.line) then {",
  "            minIndentLevel := sym.linePos - 1",
  "        } else {",
  "            minIndentLevel := statementToken.indent + 1",
  "        }",
  "        def body = []",
  "        while {(accept(\"rbrace\")).not} do {",
  "            ifConsume {methoddec} then {",
  "                body.push(values.pop)",
  "            }",
  "            ifConsume {inheritsdec} then {",
  "                body.push(values.pop)",
  "            }",
  "            ifConsume {statement} then {",
  "                body.push(values.pop)",
  "            }",
  "        }",
  "        next",
  "        util.setline(btok.line)",
  "        def o = if (false == cname) then {",
  "            ast.methodNode.new(constructorName, csig,",
  "                [ast.objectNode.new(body, false)], false)",
  "        } else {",
  "            ast.classNode.new(cname, csig, body, false, constructorName, dtype)",
  "        }",
  "        o.generics := s.generics",
  "        if (false != anns) then {",
  "            o.annotations.extend(anns)",
  "        } else {",
  "            if (defaultMethodVisibility == \"confidential\") then {",
  "                o.annotations.push(ast.identifierNode.new(\"confidential\",",
  "                    false))",
  "            }",
  "        }",
  "        values.push(o)",
  "        minIndentLevel := localMinIndentLevel",
  "    }",
  "}",
  "",
  "// Accept a method declaration",
  "method methoddec {",
  "    if (accept(\"keyword\") && (sym.value == \"method\")) then {",
  "        def btok = sym",
  "        checkIndent",
  "        var stok := sym",
  "        next",
  "        var m := methodsignature(false)",
  "        var meth := m.m",
  "        var signature := m.sig",
  "        var dtype := m.rtype",
  "        var varargs := m.v",
  "        var generics := m.generics",
  "        var body := []",
  "        var localMin",
  "        def anns = doannotation",
  "        if (accept(\"lbrace\")) then {",
  "            next",
  "            localMin := minIndentLevel",
  "            if (sym.line == stok.line) then {",
  "                minIndentLevel := sym.linePos - 1",
  "            } else {",
  "                minIndentLevel := stok.indent + 1",
  "            }",
  "            values.push(object {",
  "                var kind := \"lbrace\"",
  "                var register := \"\"",
  "            })",
  "            statement",
  "            var s := values.pop",
  "            while {s.kind != \"lbrace\"} do {",
  "                // The body is a sequence of statements, and",
  "                // the method ends when no further statement",
  "                // is found.",
  "                body.push(s)",
  "                statement",
  "                s := values.pop",
  "            }",
  "            if(sym.kind != \"rbrace\") then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def closingBrace = findClosingBrace(btok, false)",
  "                if(closingBrace.found == false) then {",
  "                    if(closingBrace.tok == sym) then {",
  "                        suggestion.insert(\"}\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                    }",
  "                }",
  "                suggestion.deleteToken(sym)",
  "                errormessages.syntaxError(\"A method must end with a '}'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            next",
  "            minIndentLevel := localMin",
  "        } else {",
  "            def suggestion = errormessages.suggestion.new",
  "            def closingBrace = findClosingBrace(btok, true)",
  "            if(closingBrace.found == false) then {",
  "                if(closingBrace.tok == lastToken) then {",
  "                    suggestion.insert(\" \\{}\")afterToken(lastToken)andTrailingSpace(true)",
  "                } else {",
  "                    suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                    suggestion.insert(\" \\{\")afterToken(lastToken)andTrailingSpace(true)",
  "                }",
  "            } else {",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)andTrailingSpace(true)",
  "            }",
  "            errormessages.syntaxError(\"A method must have a '\\{' after the name.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        util.setline(btok.line)",
  "        var o := ast.methodNode.new(meth, signature, body, dtype)",
  "        if (varargs) then {",
  "            o.varargs := true",
  "        }",
  "        o.generics := generics",
  "        if (false != anns) then {",
  "            o.annotations.extend(anns)",
  "        } else {",
  "            if (defaultMethodVisibility == \"confidential\") then {",
  "                o.annotations.push(ast.identifierNode.new(\"confidential\",",
  "                    false))",
  "            }",
  "        }",
  "        values.push(o)",
  "    }",
  "}",
  "",
  "// Process the declaration of a multi-part method name. These follow",
  "// mostly the same rules as calls, but aren't strictly enforced to be on",
  "// a single line (because they are ended by \"{\" or \"->\"). This method",
  "// returns a replacement method name identifier and modifies params in",
  "// place.",
  "method parsempmndecrest(tm, sameline) {",
  "    var methname := tm.value.value",
  "    var signature := tm.signature",
  "    var nxt",
  "    while {(!sameline && accept(\"identifier\")) || acceptSameLine(\"identifier\")} do {",
  "        methname := methname ++ \"()\"",
  "        var part := ast.signaturePart.new",
  "        pushidentifier",
  "        nxt := values.pop",
  "        methname := methname ++ nxt.value",
  "        part.name := nxt.value",
  "        var vararg := false",
  "        if ((accept(\"lparen\")).not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\"()\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A multi-part method must have parentheses around each part of the method.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        var comma := false",
  "        while {accept(\"identifier\")",
  "                || (accept(\"op\") && (sym.value == \"*\"))} do {",
  "            if (accept(\"op\")) then {",
  "                next",
  "                vararg := true",
  "                if(sym.kind != \"identifier\") then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    suggestion.insert(\"«parameter name»\")afterToken(lastToken)",
  "                    suggestions.push(suggestion)",
  "                    if(comma == false) then {",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteToken(lastToken)",
  "                        suggestions.push(suggestion)",
  "                    } else {",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteTokenRange(comma, lastToken)",
  "                        suggestions.push(suggestion)",
  "                    }",
  "                    errormessages.syntaxError(\"A variable length parameter (a parameter beginning with a '*') must have a name after the '*'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "                }",
  "            }",
  "            pushidentifier",
  "            nxt := values.pop",
  "            if (accept(\"colon\")) then {",
  "                next",
  "                dotyperef",
  "                var tp := values.pop",
  "                nxt.dtype := tp",
  "            }",
  "            if (vararg) then {",
  "                part.vararg := nxt",
  "                tm.varargs := true",
  "                if(sym.kind != \"rparen\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\")\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"A part of a multi-part method beginning with a '(' must end with a ')'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "            } else {",
  "                part.params.push(nxt)",
  "            }",
  "            if (accept(\"comma\")) then {",
  "                comma := sym",
  "                next",
  "            }",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A part of a multi-part method beginning with a '(' must end with a ')'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        signature.push(part)",
  "    }",
  "    ast.identifierNode.new(methname, false)",
  "}",
  "",
  "// Accept a method signature",
  "method methodsignature(sameline) {",
  "    if((sym.kind != \"identifier\") && (sym.kind != \"op\") && (sym.kind != \"lsquare\")) then {",
  "        def suggestion = errormessages.suggestion.new",
  "        suggestion.insert(\" «method name»\")afterToken(lastToken)",
  "        errormessages.syntaxError(\"A method name must either start with an identifier or '[]'.\")atPosition(",
  "            lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "    }",
  "    pushidentifier",
  "    var meth := values.pop",
  "    var signature := []",
  "    var part := ast.signaturePart.new(meth.value)",
  "    var genericIdents := []",
  "    signature.push(part)",
  "    if (meth.value == \"[\") then {",
  "        if(sym.kind != \"rsquare\") then {",
  "            if((sym.kind == \"identifier\") && ((tokens.size == 0).orElse",
  "                {tokens.first.kind == \"rsquare\"})) then {",
  "                def suggestions = []",
  "                def suggestion = errormessages.suggestion.new",
  "                if(tokens.size == 0) then {",
  "                    suggestion.replaceToken(sym)with(\"]({sym.value})\")",
  "                    suggestions.push(suggestion)",
  "                } elseif(tokens.first.line == meth.line) then {",
  "                    suggestion.replaceTokenRange(sym, tokens.first)with(\"]({sym.value})\")",
  "                    suggestions.push(suggestion)",
  "                }",
  "                errormessages.syntaxError(\"A method name beginning with '[]' must have the parameter name in parentheses after the '[]'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "            } else {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\"]\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"A method name must either start with an identifier or '[]'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "        }",
  "        next",
  "        meth.value := \"[]\"",
  "    }",
  "    if (accept(\"lgeneric\")) then {",
  "        // Generic!",
  "        next",
  "        genericIdents := part.generics",
  "        while {accept(\"identifier\")} do {",
  "            identifier",
  "            genericIdents.push(values.pop)",
  "            if (accept(\"comma\")) then {",
  "                next",
  "            }",
  "        }",
  "        if(sym.kind != \"rgeneric\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\">\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A type containing a '<' must end with a '>'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        next",
  "    }",
  "    if (accept(\"bind\")) then {",
  "        next",
  "        meth.value := meth.value ++ \":=\"",
  "        part.name := part.name ++ \":=\"",
  "    } elseif (accept(\"op\") && (meth.value == \"prefix\")) then {",
  "        meth.value := meth.value ++ sym.value",
  "        part.name := part.name ++ sym.value",
  "        next",
  "    }",
  "    var dtype := false",
  "    var varargs := false",
  "    var vararg := false",
  "    if (accept(\"lparen\")) then {",
  "        def lparen = sym",
  "        part.linePos := sym.linePos",
  "        next",
  "        var id",
  "        var comma := false",
  "        while {accept(\"identifier\") ||",
  "                (accept(\"op\") && (sym.value == \"*\"))} do {",
  "            // Parse the parameter list, including optional dtype",
  "            // annotations.",
  "            if (accept(\"op\")) then {",
  "                next",
  "                if(sym.kind != \"identifier\") then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    suggestion.insert(\"«parameter name»\")afterToken(lastToken)",
  "                    suggestions.push(suggestion)",
  "                    if(comma == false) then {",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteToken(lastToken)",
  "                        suggestions.push(suggestion)",
  "                    } else {",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteTokenRange(comma, lastToken)",
  "                        suggestions.push(suggestion)",
  "                    }",
  "                    errormessages.syntaxError(\"A variable length parameter (a parameter beginning with a '*') must have a name after the '*'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "                }",
  "                vararg := true",
  "                varargs := true",
  "            }",
  "            pushidentifier",
  "            id := values.pop",
  "            dtype := false",
  "            if (accept(\"colon\")) then {",
  "                next",
  "                if (didConsume { dotyperef }) then {",
  "                    dtype := values.pop",
  "                } else {",
  "                    checkBadAnonymousType",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    suggestion.insert(\" «type name»\")afterToken(lastToken)",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteToken(lastToken)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A type name or type expression must follow ':'.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "            }",
  "            id.dtype := dtype",
  "            if (vararg) then {",
  "                part.vararg := id",
  "                if(sym.kind != \"rparen\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    def rparen = findNextToken({ t -> (t.kind == \"rparen\") && (t.line == sym.line) })",
  "                    if((sym.kind == \"comma\") && (rparen != false)) then {",
  "                        suggestion.insert(\",*{id.value}\")beforeToken(rparen)",
  "                        suggestion.deleteTokenRange(lparen.next, sym)leading(true)trailing(false)",
  "                        errormessages.syntaxError(\"A variable length parameter (a parameter beginning with a '*') cannot have any more parameters after it.\")atRange(",
  "                            lastToken.line, sym.linePos, rparen.linePos - 1)withSuggestion(suggestion)",
  "                    } else {",
  "                        suggestion.insert(\")\")afterToken(lastToken)",
  "                        errormessages.syntaxError(\"A part of a method beginning with a '(' must end with a ')'.\")atPosition(",
  "                            lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                    }",
  "                }",
  "            } else {",
  "                part.params.push(id)",
  "            }",
  "            if (accept(\"comma\")) then {",
  "                comma := sym",
  "                next",
  "            } elseif (sym.kind != \"rparen\") then {",
  "                if(sym.kind != \"rparen\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\")\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"A part of a method beginning with a '(' must end with a ')'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "            }",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def rparen = findNextToken({ t -> (t.kind == \"rparen\") && (t.line == lastToken.line) })",
  "            if(rparen == false) then {",
  "                suggestion.replaceToken(lastToken)with(\")\")",
  "            } else {",
  "                suggestion.deleteToken(sym)",
  "            }",
  "            errormessages.syntaxError(\"A part of a method beginning with a '(' must end with a ')'.\")atRange(",
  "                lastToken.line, lastToken.linePos, lastToken.linePos)withSuggestion(suggestion)",
  "        }",
  "        if (sym.line == part.line) then {",
  "            part.lineLength := sym.linePos - part.linePos",
  "        }",
  "        next",
  "        if ((!sameline && accept(\"identifier\")) ||",
  "            acceptSameLine(\"identifier\")) then {",
  "            // The presence of an identifier here means",
  "            // a multi-part method name.",
  "            var tm := ast.methodNode.new(meth, signature, [], false)",
  "            meth := parsempmndecrest(tm, sameline)",
  "            varargs := varargs || tm.varargs",
  "        }",
  "    }",
  "    if (accept(\"arrow\")) then {",
  "        // Return dtype",
  "        next",
  "        dotyperef",
  "        dtype := values.pop",
  "    } else {",
  "        dtype := false",
  "    }",
  "    var o := object {",
  "        var m := meth",
  "        var sig := signature",
  "        var rtype := dtype",
  "        var v := varargs",
  "        var generics := genericIdents",
  "    }",
  "    o",
  "}",
  "",
  "// Accept an import statement. import takes a single identifier",
  "// following, as in \"import parser\".",
  "method doimport {",
  "    if (accept(\"keyword\") && (sym.value == \"import\")) then {",
  "        def importline = sym.line",
  "        next",
  "        if(sym.kind != \"string\") then {",
  "            var suggestion := errormessages.suggestion.new",
  "            var errorPos",
  "            if((sym.kind == \"identifier\") && (sym.line == lastToken.line)) then {",
  "                suggestion.replaceToken(sym)with(\"\\\"{sym.value}\\\"\")",
  "                errorPos := sym.linePos",
  "            } else {",
  "                suggestion.insert(\" \\\"«module name»\\\"\")afterToken(lastToken)",
  "                errorPos := lastToken.linePos + lastToken.size + 1",
  "            }",
  "            errormessages.syntaxError(\"An import statement must have the name of the module in quotes, 'as', and an identifier after 'import'.\")atPosition(",
  "                lastToken.line, errorPos)withSuggestion(suggestion)",
  "        }",
  "        pushstring",
  "        def p = values.pop",
  "        if((sym.kind != \"identifier\") || (sym.value != \"as\")) then {",
  "            var suggestion := errormessages.suggestion.new",
  "            if((sym.kind == \"identifier\") && (sym.line == lastToken.line)) then {",
  "                suggestion.insert(\" as\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.insert(\" as {p.value}\")afterToken(lastToken)",
  "            }",
  "            errormessages.syntaxError(\"An import statement must have 'as', and an identifier after the name of the module in quotes.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        if(sym.kind != \"identifier\") then {",
  "            var suggestion := errormessages.suggestion.new",
  "            var errorPos",
  "            if((sym.kind == \"string\") && (sym.line == lastToken.line)) then {",
  "                suggestion.replaceToken(sym)with(\"{sym.value}\")",
  "                errorPos := sym.linePos",
  "            } else {",
  "                suggestion.insert(\" {p.value}\")afterToken(lastToken)",
  "                errorPos := lastToken.linePos + lastToken.size + 1",
  "            }",
  "            errormessages.syntaxError(\"An import statement must have an identifier after 'as'.\")atPosition(",
  "                lastToken.line, errorPos)withSuggestion(suggestion)",
  "        }",
  "        pushidentifier",
  "        def n = values.pop",
  "        util.setline(importline)",
  "        def o = ast.importNode.new(p.value, n.value)",
  "        if (accept(\"colon\")) then {",
  "            next",
  "            dotypeterm",
  "            o.dtype := values.pop",
  "        }",
  "        values.push(o)",
  "    }",
  "}",
  "",
  "// Accept a return statement. return takes a mandatory argument,",
  "// of the form \"return x\". x may be any expression.",
  "method doreturn {",
  "    if (accept(\"keyword\") && (sym.value == \"return\")) then {",
  "        next",
  "        var retval",
  "        if (tokenOnSameLine) then {",
  "            if(didConsume({expression}).not) then {",
  "                def suggestions = []",
  "                var suggestion := errormessages.suggestion.new",
  "                def nextTok = findNextValidToken(\"rbrace\")",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteToken(sym)leading(true)trailing(false)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(sym, nextTok.prev)leading(true)trailing(false)",
  "                }",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"A return statement must have either an expression or a new-line after 'return'.\")atRange(",
  "                    sym.line, sym.linePos, sym.linePos + sym.size - 1)withSuggestions(suggestions)",
  "            }",
  "            retval := values.pop",
  "        } else {",
  "            retval := ast.identifierNode.new(\"done\", false)",
  "        }",
  "        var o := ast.returnNode.new(retval)",
  "        values.push(o)",
  "    }",
  "}",
  "",
  "method domethodtype {",
  "    var m := methodsignature(true)",
  "    var meth := m.m",
  "    var signature := m.sig",
  "    var dtype := m.rtype",
  "    var varargs := m.v",
  "    if (dtype == false) then {",
  "        dtype := ast.identifierNode.new(\"Done\", false)",
  "    }",
  "    var o := ast.methodTypeNode.new(meth.value, signature, dtype)",
  "    o.generics := m.generics",
  "    values.push(o)",
  "    if (accept(\"semicolon\")) then {",
  "        next",
  "    } else {",
  "        if (!accept(\"rbrace\")) then {",
  "            if (lastToken.line == sym.line) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def newLine = util.lines[sym.line].substringFrom(1)to(lastToken.linePos - 1) ++ sym.value",
  "                suggestion.addLine(sym.line + 0.1, newLine)",
  "                suggestion.deleteToken(sym)leading(true)trailing(true)",
  "                errormessages.syntaxError(\"Each method must be on a separate line in a type.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "        }",
  "    }",
  "}",
  "",
  "method doanontype {",
  "    if (accept(\"keyword\").andAlso { sym.value == \"type\" }) then {",
  "        next",
  "        if (!accept(\"lbrace\")) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.replaceToken(sym) with(\"\\{\")",
  "            errormessages.syntaxError \"Anonymous types must open with braces.\"",
  "                atPosition(sym.line, sym.linePos) withSuggestion(suggestion)",
  "        }",
  "        def methods = []",
  "        def mc = auto_count",
  "        auto_count := auto_count + 1",
  "        next",
  "        while {accept(\"rbrace\").not} do {",
  "            domethodtype",
  "            methods.push(values.pop)",
  "        }",
  "        next",
  "        def t = ast.typeNode.new(\"<Anon_{mc}>\", methods)",
  "        t.anonymous := true",
  "        values.push(t)",
  "    }",
  "}",
  "// Accept a type declaration.",
  "method dotype {",
  "    if (accept(\"keyword\") && (sym.value == \"type\")) then {",
  "        next",
  "        if(sym.kind != \"identifier\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\" «type name»\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"A type declaration must have a name after the 'type'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestion(suggestion)",
  "        }",
  "        pushidentifier",
  "        generic",
  "        var p := values.pop",
  "        var gens := []",
  "        if (p.kind == \"generic\") then {",
  "            gens := p.params",
  "            p := p.value",
  "        }",
  "        def anns = doannotation",
  "        if((sym.kind != \"op\") || (sym.value != \"=\")) then {",
  "            var suggestion := errormessages.suggestion.new",
  "            def nextTok = findNextToken({ t -> t.kind == \"lbrace\" })",
  "            if((nextTok == false).orElse({nextTok == sym})) then {",
  "                suggestion.insert(\" =\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)with(\"=\")",
  "            }",
  "            errormessages.syntaxError(\"A type declaration must have a '=' after the type name.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        def methods = []",
  "        // Special case for type declarations.",
  "        if (accept(\"lbrace\")) then {",
  "            next",
  "            while {accept(\"rbrace\").not} do {",
  "                domethodtype",
  "                methods.push(values.pop)",
  "            }",
  "            next",
  "            def t = ast.typeNode.new(p.value, methods)",
  "            t.generics := gens",
  "            if (false != anns) then {",
  "                t.annotations.extend(anns)",
  "            }",
  "            values.push(t)",
  "        } else {",
  "            dotyperef",
  "            def ot = values.pop",
  "            var nt",
  "            if (ot.kind == \"type\") then {",
  "                nt := ast.typeNode.new(p.value, ot.methods)",
  "                nt.generics := nt.generics",
  "                for (ot.unionTypes) do {ut->",
  "                    nt.unionTypes.push(ut)",
  "                }",
  "                for (ot.intersectionTypes) do {ut->",
  "                    nt.intersectionTypes.push(ut)",
  "                }",
  "                nt.generics := gens",
  "            } else {",
  "                nt := ast.typeNode.new(p.value, [])",
  "            }",
  "            if (false != anns) then {",
  "                nt.annotations.extend(anns)",
  "            }",
  "            values.push(nt)",
  "        }",
  "    }",
  "}",
  "",
  "method checkIndent {",
  "    if (indentFreePass) then {",
  "        indentFreePass := false",
  "    } elseif (sym.kind == \"semicolon\") then {",
  "        // pass",
  "    } elseif ((sym.kind == \"rbrace\") || (sym.kind == \"rparen\")",
  "        || (sym.kind == \"rsquare\")) then {",
  "        // pass",
  "    } elseif (sym.kind == \"eof\") then {",
  "    } elseif (sym.indent < minIndentLevel) then {",
  "        if ((sym.linePos - 1) != minIndentLevel) then {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            for(1..(minIndentLevel - (sym.linePos - 1))) do {",
  "                suggestion.insert(\" \")atPosition(1)onLine(sym.line)",
  "            }",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            // Find the indent level for the opening brace.",
  "            var tok := lastToken",
  "            while {(tok.linePos != (tok.indent + 1)) || (tok.indent >= minIndentLevel)} do { tok := tok.prev }",
  "            var line := \"\"",
  "            for(1..(tok.indent)) do {",
  "                line := line ++ \" \"",
  "            }",
  "            line := line ++ \"}\"",
  "            suggestion.addLine(sym.line - 0.9, line)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"The indentation for this line must be at least {minIndentLevel}. This is often caused by a missing '}'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "    } elseif (sym.indent > minIndentLevel) then {",
  "        minIndentLevel := sym.indent",
  "    }",
  "}",
  "",
  "// Accept a statement. A statement is any of the above that may exist",
  "// at the top level, and includes expressions.",
  "// A statement may also be a bind statement x := y, which creates a",
  "// bind AST node out of the expressions on either side (which at this point",
  "// can be any arbitrary expression).",
  "method statement {",
  "    statementIndent := sym.indent",
  "    statementToken := sym",
  "    checkIndent",
  "    if (accept(\"keyword\")) then {",
  "        if (sym.value == \"var\") then {",
  "            vardec",
  "        } elseif (sym.value == \"def\") then {",
  "            defdec",
  "        } elseif (sym.value == \"import\") then {",
  "            doimport",
  "        } elseif (sym.value == \"dialect\") then {",
  "            dodialect",
  "        } elseif (sym.value == \"type\") then {",
  "            dotype",
  "        } elseif (sym.value == \"class\") then {",
  "            doclass",
  "        } elseif (sym.value == \"return\") then {",
  "            doreturn",
  "        } else {",
  "            expression",
  "        }",
  "    } else {",
  "        ifConsume {expression} then {",
  "            if (((values.last.kind == \"identifier\")",
  "                || (values.last.kind == \"member\")",
  "                || (values.last.kind == \"index\"))",
  "                && accept(\"bind\")) then {",
  "                var dest := values.pop",
  "                next",
  "                if(didConsume({expression}).not) then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken(\"rbrace\")",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"A valid expression must follow ':='.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "                var val := values.pop",
  "                var o := ast.bindNode.new(dest, val)",
  "                values.push(o)",
  "            }",
  "        }",
  "    }",
  "    if (accept(\"eof\")) then {",
  "        return true",
  "    }",
  "    if (accept(\"semicolon\")) then {",
  "        def oldLine = sym.line",
  "        next",
  "        if (sym.line == oldLine) then {",
  "            indentFreePass := true",
  "        }",
  "    } else {",
  "        checkUnexpectedTokenAfterStatement",
  "    }",
  "}",
  "",
  "method checkBadOperators {",
  "    if (sym.value == \"=\") then {",
  "        def sugg = errormessages.suggestion.new",
  "        sugg.insert(\"=\")afterToken(sym)",
  "        errormessages.syntaxError(\"Use '==' to test equality, not '='.\")",
  "            atRange(sym.line, sym.linePos, sym.linePos)",
  "            withSuggestion(sugg)",
  "    }",
  "    if (sym.kind == \"rgeneric\") then {",
  "        def sugg = errormessages.suggestion.new",
  "        sugg.insert(\" \")beforeToken(sym)",
  "        errormessages.syntaxError(\"The '>' operator requires a space before it.\")",
  "            atRange(sym.line, sym.linePos, sym.linePos)",
  "            withSuggestion(sugg)",
  "    }",
  "}",
  "",
  "method checkBadAnonymousType {",
  "    if (sym.kind == \"lbrace\") then {",
  "        def sugg = errormessages.suggestion.new",
  "        sugg.insert(\"type \") beforeToken(sym)",
  "        errormessages.syntaxError(\"Anonymous type literals must be written with the 'type' keyword'.\")",
  "            atRange(sym.line, sym.linePos, sym.linePos)",
  "            withSuggestion(sugg)",
  "    }",
  "}",
  "",
  "method checkUnexpectedTokenAfterStatement {",
  "    if (sym.line == lastToken.line) then {",
  "        if ((sym.kind == \"op\") && (sym.value == \"=\")",
  "            && (lastToken.kind == \"identifier\")) then {",
  "            def sugg = errormessages.suggestion.new",
  "            def suggestions = []",
  "            sugg.replaceToken(sym)leading(false)trailing(false)with(\":=\")",
  "            suggestions.push(sugg)",
  "            def sugg2 = errormessages.suggestion.new",
  "            sugg2.replaceToken(sym)leading(false)trailing(false)with \"==\"",
  "            suggestions.push(sugg2)",
  "            errormessages.syntaxError(\"Assignment uses ':=', not '='.\")",
  "                atRange(sym.line, sym.linePos, sym.linePos)",
  "                withSuggestions (suggestions)",
  "        }",
  "        if (sym.kind == \"rgeneric\") then {",
  "            def sugg = errormessages.suggestion.new",
  "            sugg.insert(\" \")atPosition(sym.linePos)onLine(sym.line)",
  "            errormessages.syntaxError(",
  "                    \"The '>' operator must have a space before it.\")",
  "                atRange(sym.line, sym.linePos, sym.linePos)",
  "                withSuggestion(sugg)",
  "        }",
  "        if (sym.kind != \"rbrace\") then {",
  "            def suggestions = []",
  "            var suggestion",
  "            if ((values.size > 0).andAlso {",
  "                    (values.last.kind == \"identifier\").orElse {",
  "                        values.last.kind == \"member\"",
  "                    }.andAlso {",
  "                        sym.kind == \"identifier\"",
  "                    }",
  "                }) then {",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.replaceToken(sym)leading(true)trailing(false)with(\"({sym.value})\")",
  "                suggestions.push(suggestion)",
  "                if (false != sym.next) then {",
  "                    def n = sym.next",
  "                    if (n.line == sym.line) then {",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.replaceToken(sym)leading(true)trailing(false)with(\"({sym.value}\")",
  "                        suggestion.append \")\" onLine(sym.line)",
  "                        suggestions.push(suggestion)",
  "                    }",
  "                }",
  "                if (values.last.kind == \"identifier\") then {",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.replaceToken(sym)leading(false)trailing(false)with(\"\\\"{sym.value}\\\"\")",
  "                    suggestions.push(suggestion)",
  "                }",
  "            }",
  "            def nextTok = findNextValidToken(\"rbrace\")",
  "            if(nextTok == sym) then {",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.addLine(lastToken.line, util.lines[lastToken.line].substringFrom(1)to(lastToken.linePos + lastToken.size - 1))",
  "                def newLine = util.lines[sym.line].substringFrom(sym.linePos)to(util.lines[sym.line].size)",
  "                suggestion.addLine(lastToken.line + 0.1, newLine)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.deleteTokenRange(sym, nextTok.prev)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"Multiple statements must be separated by a newline or a semicolon. This is often caused by missing parentheses.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "    }",
  "}",
  "",
  "// Parse the given list of tokens, returning a list of AST nodes",
  "// corresponding to it.",
  "method parse(toks) {",
  "    util.log_verbose(\"processing tokens.\")",
  "    values := []",
  "    if (util.extensions.contains(\"DefaultVisibility\")) then {",
  "        defaultDefVisibility := util.extensions.get(\"DefaultVisibility\")",
  "        defaultVarVisibility := util.extensions.get(\"DefaultVisibility\")",
  "        defaultMethodVisibility := util.extensions.get(\"DefaultVisibility\")",
  "    }",
  "    if (util.extensions.contains(\"DefaultDefVisibility\")) then {",
  "        defaultDefVisibility := util.extensions.get(\"DefaultDefVisibility\")",
  "    }",
  "    if (util.extensions.contains(\"DefaultVarVisibility\")) then {",
  "        defaultVarVisibility := util.extensions.get(\"DefaultVarVisibility\")",
  "    }",
  "    if (util.extensions.contains(\"DefaultMethodVisibility\")) then {",
  "        defaultMethodVisibility := util.extensions.get(\"DefaultMethodVisibility\")",
  "    }",
  "    if (toks.size == 0) then {",
  "        return []",
  "    }",
  "    tokens := toks",
  "    sym := tokens.first",
  "    sym.prev := lastToken",
  "// TODO: Do this in lexer.",
  "    tokens.push(object {",
  "        var kind := \"eof\"",
  "        var line := tokens.last.line",
  "        var linePos := util.lines[tokens.last.line].size + 1",
  "        var indent := 0",
  "        var value := \"\"",
  "        def size = 0",
  "        var next := false",
  "        var prev := false",
  "    })",
  "    util.log_verbose(\"parsing.\")",
  "    linenum := 1",
  "    next",
  "    var oldlength := tokens.size",
  "    while {tokens.size > 0} do {",
  "        blank",
  "        methoddec",
  "        blank",
  "        inheritsdec",
  "        blank",
  "        statement",
  "        if (tokens.size == oldlength) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.deleteToken(sym)",
  "            errormessages.syntaxError(\"Invalid statement. This is often caused by an extra '}', ')', or ']'.\")atRange(",
  "                sym.line, sym.linePos, sym.linePos + sym.size - 1)withSuggestion(suggestion)",
  "        }",
  "        oldlength := tokens.size",
  "    }",
  "    statement",
  "    values",
  "}",
  NULL
};
Object reader_parser_outer_69(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_kind_70(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_kind_70(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_line_71(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_line_71(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_linePos_72(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_parser_linePos_72(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_parser_indent_73(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_parser_indent_73(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_parser_value_74(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_parser_value_74(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_parser_size_75(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object reader_parser_outer_265(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_found_266(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_found_266(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_tok_267(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_tok_267(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_outer_8233(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_kind_8234(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_kind_8234(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_register_8235(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_register_8235(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_outer_8769(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_kind_8770(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_kind_8770(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_register_8771(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_register_8771(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_outer_9922(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_m_9923(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_m_9923(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_sig_9924(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_sig_9924(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_rtype_9925(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_parser_rtype_9925(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_parser_v_9926(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_parser_v_9926(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_parser_generics_9927(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_parser_generics_9927(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_parser_outer_11594(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_kind_11595(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_kind_11595(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_line_11596(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_line_11596(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_linePos_11597(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_parser_linePos_11597(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_parser_indent_11598(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_parser_indent_11598(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_parser_value_11599(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_parser_value_11599(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_parser_size_11600(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object reader_parser_next_11601(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_parser_next_11601(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_parser_prev_11602(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object writer_parser_prev_11602(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[8] = args[0];
  return done;
}
Object reader_parser_outer_11763(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_kind_11764(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_kind_11764(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_line_11765(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_line_11765(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_linePos_11766(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_parser_linePos_11766(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_parser_indent_11767(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_parser_indent_11767(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_parser_value_11768(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_parser_value_11768(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_parser_size_11769(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
static Object strlit18;
static Object strlit23;
static Object strlit39;
static ClassData objclass68;
static Object strlit76;
static Object strlit91;
static Object strlit143;
static Object strlit190;
static Object strlit222;
static Object strlit223;
static Object strlit224;
static Object strlit225;
static Object strlit226;
static Object strlit227;
static Object strlit228;
static Object strlit229;
static Object strlit234;
static ClassData objclass264;
static Object strlit281;
static Object strlit292;
static Object strlit304;
static Object strlit332;
static Object strlit343;
static Object strlit355;
static Object strlit372;
static Object strlit389;
static Object strlit586;
static Object strlit594;
static Object strlit612;
static Object strlit639;
static Object strlit649;
static Object strlit673;
static Object strlit704;
static Object strlit712;
static Object strlit741;
static Object strlit748;
static Object strlit755;
static Object strlit773;
static Object strlit792;
static Object strlit821;
static Object strlit828;
static Object strlit835;
static Object strlit853;
static Object strlit900;
static Object strlit916;
static Object strlit933;
static Object strlit940;
static Object strlit973;
static Object strlit992;
static Object strlit997;
static Object strlit1011;
static Object strlit1018;
static Object strlit1053;
static Object strlit1067;
static Object strlit1086;
static Object strlit1091;
static Object strlit1098;
static Object strlit1102;
static Object strlit1111;
static Object strlit1115;
static Object strlit1140;
static Object strlit1147;
static Object strlit1182;
static Object strlit1196;
static Object strlit1215;
static Object strlit1220;
static Object strlit1227;
static Object strlit1231;
static Object strlit1240;
static Object strlit1264;
static Object strlit1281;
static Object strlit1299;
static Object strlit1304;
static Object strlit1308;
static Object strlit1317;
static Object strlit1339;
static Object strlit1340;
static Object strlit1347;
static Object strlit1354;
static Object strlit1372;
static Object strlit1388;
static Object strlit1400;
static Object strlit1410;
static Object strlit1441;
static Object strlit1446;
static Object strlit1458;
static Object strlit1472;
static Object strlit1489;
static Object strlit1499;
static Object strlit1506;
static Object strlit1513;
static Object strlit1516;
static Object strlit1519;
static Object strlit1529;
static Object strlit1539;
static Object strlit1556;
static Object strlit1561;
static Object strlit1571;
static Object strlit1580;
static Object strlit1610;
static Object strlit1617;
static Object strlit1624;
static Object strlit1642;
static Object strlit1658;
static Object strlit1682;
static Object strlit1709;
static Object strlit1730;
static Object strlit1733;
static Object strlit1780;
static Object strlit1787;
static Object strlit1794;
static Object strlit1810;
static Object strlit1817;
static Object strlit1826;
static Object strlit1833;
static Object strlit1857;
static Object strlit1861;
static Object strlit1871;
static Object strlit1874;
static Object strlit1878;
static Object strlit1888;
static Object strlit1891;
static Object strlit1894;
static Object strlit1901;
static Object strlit1911;
static Object strlit1914;
static Object strlit1917;
static Object strlit1923;
static Object strlit1950;
static Object strlit1972;
static Object strlit1980;
static Object strlit1987;
static Object strlit1990;
static Object strlit2001;
static Object strlit2004;
static Object strlit2015;
static Object strlit2018;
static Object strlit2032;
static Object strlit2044;
static Object strlit2047;
static Object strlit2071;
static Object strlit2078;
static Object strlit2085;
static Object strlit2113;
static Object strlit2124;
static Object strlit2129;
static Object strlit2134;
static Object strlit2137;
static Object strlit2171;
static Object strlit2208;
static Object strlit2219;
static Object strlit2224;
static Object strlit2244;
static Object strlit2251;
static Object strlit2262;
static Object strlit2278;
static Object strlit2285;
static Object strlit2294;
static Object strlit2301;
static Object strlit2325;
static Object strlit2329;
static Object strlit2339;
static Object strlit2342;
static Object strlit2346;
static Object strlit2356;
static Object strlit2359;
static Object strlit2362;
static Object strlit2369;
static Object strlit2379;
static Object strlit2382;
static Object strlit2385;
static Object strlit2391;
static Object strlit2418;
static Object strlit2440;
static Object strlit2448;
static Object strlit2455;
static Object strlit2458;
static Object strlit2469;
static Object strlit2472;
static Object strlit2483;
static Object strlit2486;
static Object strlit2500;
static Object strlit2512;
static Object strlit2515;
static Object strlit2534;
static Object strlit2541;
static Object strlit2554;
static Object strlit2578;
static Object strlit2583;
static Object strlit2594;
static Object strlit2599;
static Object strlit2618;
static Object strlit2621;
static Object strlit2632;
static Object strlit2635;
static Object strlit2638;
static Object strlit2646;
static Object strlit2674;
static Object strlit2685;
static Object strlit2690;
static Object strlit2695;
static Object strlit2698;
static Object strlit2732;
static Object strlit2769;
static Object strlit2780;
static Object strlit2785;
static Object strlit2815;
static Object strlit2822;
static Object strlit2829;
static Object strlit2857;
static Object strlit2868;
static Object strlit2873;
static Object strlit2878;
static Object strlit2881;
static Object strlit2915;
static Object strlit2952;
static Object strlit2963;
static Object strlit2968;
static Object strlit2995;
static Object strlit3019;
static Object strlit3024;
static Object strlit3035;
static Object strlit3040;
static Object strlit3059;
static Object strlit3062;
static Object strlit3073;
static Object strlit3076;
static Object strlit3079;
static Object strlit3090;
static Object strlit3094;
static Object strlit3106;
static Object strlit3114;
static Object strlit3133;
static Object strlit3140;
static Object strlit3147;
static Object strlit3150;
static Object strlit3158;
static Object strlit3170;
static Object strlit3173;
static Object strlit3202;
static Object strlit3209;
static Object strlit3216;
static Object strlit3222;
static Object strlit3249;
static Object strlit3272;
static Object strlit3293;
static Object strlit3304;
static Object strlit3315;
static Object strlit3326;
static Object strlit3337;
static Object strlit3351;
static Object strlit3383;
static Object strlit3389;
static Object strlit3399;
static Object strlit3406;
static Object strlit3410;
static Object strlit3425;
static Object strlit3435;
static Object strlit3442;
static Object strlit3446;
static Object strlit3470;
static Object strlit3477;
static Object strlit3486;
static Object strlit3492;
static Object strlit3507;
static Object strlit3514;
static Object strlit3532;
static Object strlit3540;
static Object strlit3555;
static Object strlit3559;
static Object strlit3565;
static Object strlit3569;
static Object strlit3579;
static Object strlit3583;
static Object strlit3588;
static Object strlit3594;
static Object strlit3597;
static Object strlit3600;
static Object strlit3632;
static Object strlit3639;
static Object strlit3646;
static Object strlit3649;
static Object strlit3657;
static Object strlit3669;
static Object strlit3672;
static Object strlit3694;
static Object strlit3701;
static Object strlit3711;
static Object strlit3717;
static Object strlit3736;
static Object strlit3743;
static Object strlit3750;
static Object strlit3753;
static Object strlit3761;
static Object strlit3773;
static Object strlit3776;
static Object strlit3802;
static Object strlit3807;
static Object strlit3816;
static Object strlit3826;
static Object strlit3831;
static Object strlit3836;
static Object strlit3841;
static Object strlit3856;
static Object strlit3863;
static Object strlit3871;
static Object strlit3875;
static Object strlit3878;
static Object strlit3880;
static Object strlit3897;
static Object strlit3904;
static Object strlit3911;
static Object strlit3917;
static Object strlit3936;
static Object strlit3943;
static Object strlit3950;
static Object strlit3953;
static Object strlit3961;
static Object strlit3973;
static Object strlit3976;
static Object strlit4002;
static Object strlit4007;
static Object strlit4016;
static Object strlit4026;
static Object strlit4031;
static Object strlit4036;
static Object strlit4041;
static Object strlit4062;
static Object strlit4069;
static Object strlit4078;
static Object strlit4081;
static Object strlit4083;
static Object strlit4089;
static Object strlit4095;
static Object strlit4110;
static Object strlit4117;
static Object strlit4135;
static Object strlit4143;
static Object strlit4158;
static Object strlit4162;
static Object strlit4168;
static Object strlit4172;
static Object strlit4182;
static Object strlit4186;
static Object strlit4191;
static Object strlit4197;
static Object strlit4200;
static Object strlit4203;
static Object strlit4235;
static Object strlit4242;
static Object strlit4249;
static Object strlit4252;
static Object strlit4260;
static Object strlit4272;
static Object strlit4275;
static Object strlit4297;
static Object strlit4304;
static Object strlit4314;
static Object strlit4320;
static Object strlit4339;
static Object strlit4346;
static Object strlit4353;
static Object strlit4356;
static Object strlit4364;
static Object strlit4376;
static Object strlit4379;
static Object strlit4405;
static Object strlit4410;
static Object strlit4419;
static Object strlit4429;
static Object strlit4434;
static Object strlit4439;
static Object strlit4444;
static Object strlit4459;
static Object strlit4466;
static Object strlit4473;
static Object strlit4479;
static Object strlit4498;
static Object strlit4505;
static Object strlit4512;
static Object strlit4515;
static Object strlit4523;
static Object strlit4535;
static Object strlit4538;
static Object strlit4564;
static Object strlit4569;
static Object strlit4578;
static Object strlit4588;
static Object strlit4593;
static Object strlit4598;
static Object strlit4603;
static Object strlit4624;
static Object strlit4631;
static Object strlit4640;
static Object strlit4655;
static Object strlit4662;
static Object strlit4679;
static Object strlit4694;
static Object strlit4698;
static Object strlit4708;
static Object strlit4711;
static Object strlit4715;
static Object strlit4721;
static Object strlit4724;
static Object strlit4730;
static Object strlit4758;
static Object strlit4765;
static Object strlit4772;
static Object strlit4775;
static Object strlit4785;
static Object strlit4797;
static Object strlit4800;
static Object strlit4820;
static Object strlit4827;
static Object strlit4837;
static Object strlit4843;
static Object strlit4862;
static Object strlit4869;
static Object strlit4876;
static Object strlit4879;
static Object strlit4887;
static Object strlit4899;
static Object strlit4902;
static Object strlit4928;
static Object strlit4933;
static Object strlit4942;
static Object strlit4952;
static Object strlit4957;
static Object strlit4962;
static Object strlit4967;
static Object strlit4982;
static Object strlit4989;
static Object strlit4996;
static Object strlit5002;
static Object strlit5021;
static Object strlit5028;
static Object strlit5035;
static Object strlit5038;
static Object strlit5046;
static Object strlit5058;
static Object strlit5061;
static Object strlit5087;
static Object strlit5092;
static Object strlit5101;
static Object strlit5111;
static Object strlit5116;
static Object strlit5121;
static Object strlit5126;
static Object strlit5145;
static Object strlit5151;
static Object strlit5157;
static Object strlit5164;
static Object strlit5171;
static Object strlit5179;
static Object strlit5186;
static Object strlit5194;
static Object strlit5201;
static Object strlit5208;
static Object strlit5215;
static Object strlit5222;
static Object strlit5232;
static Object strlit5239;
static Object strlit5246;
static Object strlit5252;
static Object strlit5258;
static Object strlit5267;
static Object strlit5287;
static Object strlit5294;
static Object strlit5301;
static Object strlit5304;
static Object strlit5312;
static Object strlit5324;
static Object strlit5327;
static Object strlit5360;
static Object strlit5382;
static Object strlit5389;
static Object strlit5396;
static Object strlit5402;
static Object strlit5419;
static Object strlit5429;
static Object strlit5439;
static Object strlit5442;
static Object strlit5470;
static Object strlit5476;
static Object strlit5497;
static Object strlit5507;
static Object strlit5515;
static Object strlit5522;
static Object strlit5544;
static Object strlit5550;
static Object strlit5556;
static Object strlit5561;
static Object strlit5580;
static Object strlit5591;
static Object strlit5594;
static Object strlit5606;
static Object strlit5611;
static Object strlit5622;
static Object strlit5675;
static Object strlit5694;
static Object strlit5701;
static Object strlit5708;
static Object strlit5711;
static Object strlit5719;
static Object strlit5731;
static Object strlit5734;
static Object strlit5769;
static Object strlit5786;
static Object strlit5797;
static Object strlit5803;
static Object strlit5832;
static Object strlit5833;
static Object strlit5834;
static Object strlit5835;
static Object strlit5842;
static Object strlit5849;
static Object strlit5868;
static Object strlit5874;
static Object strlit5943;
static Object strlit5952;
static Object strlit5960;
static Object strlit5974;
static Object strlit5981;
static Object strlit5986;
static Object strlit5991;
static Object strlit5996;
static Object strlit6001;
static Object strlit6005;
static Object strlit6029;
static Object strlit6034;
static Object strlit6054;
static Object strlit6061;
static Object strlit6071;
static Object strlit6094;
static Object strlit6107;
static Object strlit6120;
static Object strlit6128;
static Object strlit6138;
static Object strlit6145;
static Object strlit6149;
static Object strlit6164;
static Object strlit6194;
static Object strlit6201;
static Object strlit6212;
static Object strlit6226;
static Object strlit6252;
static Object strlit6280;
static Object strlit6287;
static Object strlit6294;
static Object strlit6312;
static Object strlit6328;
static Object strlit6358;
static Object strlit6365;
static Object strlit6372;
static Object strlit6390;
static Object strlit6398;
static Object strlit6405;
static Object strlit6416;
static Object strlit6430;
static Object strlit6454;
static Object strlit6482;
static Object strlit6489;
static Object strlit6496;
static Object strlit6514;
static Object strlit6539;
static Object strlit6551;
static Object strlit6554;
static Object strlit6590;
static Object strlit6602;
static Object strlit6609;
static Object strlit6617;
static Object strlit6623;
static Object strlit6628;
static Object strlit6632;
static Object strlit6656;
static Object strlit6665;
static Object strlit6676;
static Object strlit6692;
static Object strlit6706;
static Object strlit6722;
static Object strlit6761;
static Object strlit6765;
static Object strlit6779;
static Object strlit6803;
static Object strlit6810;
static Object strlit6817;
static Object strlit6823;
static Object strlit6835;
static Object strlit6844;
static Object strlit6850;
static Object strlit6856;
static Object strlit6860;
static Object strlit6868;
static Object strlit6872;
static Object strlit6879;
static Object strlit6887;
static Object strlit6891;
static Object strlit6894;
static Object strlit6902;
static Object strlit6906;
static Object strlit6909;
static Object strlit6916;
static Object strlit6919;
static Object strlit6930;
static Object strlit6937;
static Object strlit6945;
static Object strlit6951;
static Object strlit6956;
static Object strlit6960;
static Object strlit6972;
static Object strlit6982;
static Object strlit7003;
static Object strlit7010;
static Object strlit7017;
static Object strlit7035;
static Object strlit7045;
static Object strlit7075;
static Object strlit7082;
static Object strlit7089;
static Object strlit7107;
static Object strlit7130;
static Object strlit7142;
static Object strlit7145;
static Object strlit7162;
static Object strlit7187;
static Object strlit7194;
static Object strlit7205;
static Object strlit7228;
static Object strlit7235;
static Object strlit7250;
static Object strlit7257;
static Object strlit7264;
static Object strlit7267;
static Object strlit7277;
static Object strlit7286;
static Object strlit7300;
static Object strlit7307;
static Object strlit7333;
static Object strlit7340;
static Object strlit7343;
static Object strlit7359;
static Object strlit7367;
static Object strlit7377;
static Object strlit7382;
static Object strlit7400;
static Object strlit7410;
static Object strlit7416;
static Object strlit7418;
static Object strlit7445;
static Object strlit7452;
static Object strlit7460;
static Object strlit7474;
static Object strlit7481;
static Object strlit7489;
static Object strlit7513;
static Object strlit7518;
static Object strlit7534;
static Object strlit7541;
static Object strlit7552;
static Object strlit7574;
static Object strlit7596;
static Object strlit7603;
static Object strlit7606;
static Object strlit7616;
static Object strlit7625;
static Object strlit7638;
static Object strlit7664;
static Object strlit7671;
static Object strlit7690;
static Object strlit7692;
static Object strlit7710;
static Object strlit7717;
static Object strlit7726;
static Object strlit7736;
static Object strlit7741;
static Object strlit7769;
static Object strlit7776;
static Object strlit7784;
static Object strlit7798;
static Object strlit7805;
static Object strlit7813;
static Object strlit7837;
static Object strlit7842;
static Object strlit7852;
static Object strlit7865;
static Object strlit7882;
static Object strlit7910;
static Object strlit7917;
static Object strlit7924;
static Object strlit7942;
static Object strlit7959;
static Object strlit7969;
static Object strlit7972;
static Object strlit7995;
static Object strlit8002;
static Object strlit8009;
static Object strlit8029;
static Object strlit8037;
static Object strlit8043;
static Object strlit8051;
static Object strlit8066;
static Object strlit8084;
static Object strlit8091;
static Object strlit8114;
static Object strlit8121;
static Object strlit8128;
static Object strlit8146;
static Object strlit8173;
static Object strlit8180;
static Object strlit8188;
static Object strlit8201;
static Object strlit8214;
static Object strlit8217;
static Object strlit8220;
static ClassData objclass8232;
static Object strlit8236;
static Object strlit8237;
static Object strlit8270;
static Object strlit8284;
static Object strlit8291;
static Object strlit8301;
static Object strlit8304;
static Object strlit8318;
static Object strlit8337;
static Object strlit8368;
static Object strlit8410;
static Object strlit8417;
static Object strlit8424;
static Object strlit8432;
static Object strlit8442;
static Object strlit8452;
static Object strlit8461;
static Object strlit8466;
static Object strlit8483;
static Object strlit8497;
static Object strlit8505;
static Object strlit8508;
static Object strlit8540;
static Object strlit8548;
static Object strlit8551;
static Object strlit8596;
static Object strlit8688;
static Object strlit8693;
static Object strlit8708;
static Object strlit8715;
static Object strlit8740;
static ClassData objclass8768;
static Object strlit8772;
static Object strlit8773;
static Object strlit8783;
static Object strlit8802;
static Object strlit8828;
static Object strlit8839;
static Object strlit8844;
static Object strlit8874;
static Object strlit8886;
static Object strlit8889;
static Object strlit8893;
static Object strlit8897;
static Object strlit8933;
static Object strlit8938;
static Object strlit8960;
static Object strlit8965;
static Object strlit8976;
static Object strlit9003;
static Object strlit9011;
static Object strlit9014;
static Object strlit9029;
static Object strlit9036;
static Object strlit9041;
static Object strlit9049;
static Object strlit9057;
static Object strlit9068;
static Object strlit9096;
static Object strlit9114;
static Object strlit9132;
static Object strlit9142;
static Object strlit9145;
static Object strlit9162;
static Object strlit9171;
static Object strlit9181;
static Object strlit9184;
static Object strlit9210;
static Object strlit9218;
static Object strlit9225;
static Object strlit9237;
static Object strlit9240;
static Object strlit9267;
static Object strlit9274;
static Object strlit9285;
static Object strlit9302;
static Object strlit9322;
static Object strlit9328;
static Object strlit9348;
static Object strlit9354;
static Object strlit9361;
static Object strlit9377;
static Object strlit9380;
static Object strlit9394;
static Object strlit9398;
static Object strlit9409;
static Object strlit9422;
static Object strlit9430;
static Object strlit9440;
static Object strlit9443;
static Object strlit9458;
static Object strlit9464;
static Object strlit9472;
static Object strlit9481;
static Object strlit9488;
static Object strlit9516;
static Object strlit9531;
static Object strlit9538;
static Object strlit9543;
static Object strlit9551;
static Object strlit9557;
static Object strlit9568;
static Object strlit9596;
static Object strlit9620;
static Object strlit9643;
static Object strlit9659;
static Object strlit9672;
static Object strlit9694;
static Object strlit9710;
static Object strlit9718;
static Object strlit9724;
static Object strlit9735;
static Object strlit9748;
static Object strlit9751;
static Object strlit9768;
static Object strlit9775;
static Object strlit9782;
static Object strlit9792;
static Object strlit9795;
static Object strlit9810;
static Object strlit9832;
static Object strlit9846;
static Object strlit9851;
static Object strlit9881;
static Object strlit9886;
static Object strlit9910;
static ClassData objclass9921;
static Object strlit9933;
static Object strlit9940;
static Object strlit9949;
static Object strlit9969;
static Object strlit9977;
static Object strlit9983;
static Object strlit9991;
static Object strlit10006;
static Object strlit10017;
static Object strlit10024;
static Object strlit10045;
static Object strlit10052;
static Object strlit10056;
static Object strlit10062;
static Object strlit10067;
static Object strlit10086;
static Object strlit10106;
static Object strlit10114;
static Object strlit10120;
static Object strlit10129;
static Object strlit10135;
static Object strlit10152;
static Object strlit10172;
static Object strlit10188;
static Object strlit10195;
static Object strlit10219;
static Object strlit10226;
static Object strlit10244;
static Object strlit10262;
static Object strlit10283;
static Object strlit10313;
static Object strlit10333;
static Object strlit10340;
static Object strlit10387;
static Object strlit10399;
static Object strlit10406;
static Object strlit10414;
static Object strlit10422;
static Object strlit10425;
static Object strlit10444;
static Object strlit10462;
static Object strlit10466;
static Object strlit10481;
static Object strlit10488;
static Object strlit10495;
static Object strlit10505;
static Object strlit10508;
static Object strlit10532;
static Object strlit10548;
static Object strlit10555;
static Object strlit10569;
static Object strlit10590;
static Object strlit10595;
static Object strlit10598;
static Object strlit10618;
static Object strlit10627;
static Object strlit10668;
static Object strlit10735;
static Object strlit10743;
static Object strlit10751;
static Object strlit10758;
static Object strlit10767;
static Object strlit10810;
static Object strlit10854;
static Object strlit10865;
static Object strlit10872;
static Object strlit10888;
static Object strlit10892;
static Object strlit10918;
static Object strlit10922;
static Object strlit10931;
static Object strlit10940;
static Object strlit10949;
static Object strlit10958;
static Object strlit10967;
static Object strlit10976;
static Object strlit10996;
static Object strlit11001;
static Object strlit11011;
static Object strlit11020;
static Object strlit11050;
static Object strlit11057;
static Object strlit11064;
static Object strlit11082;
static Object strlit11100;
static Object strlit11105;
static Object strlit11124;
static Object strlit11134;
static Object strlit11137;
static Object strlit11147;
static Object strlit11157;
static Object strlit11160;
static Object strlit11171;
static Object strlit11181;
static Object strlit11184;
static Object strlit11204;
static Object strlit11212;
static Object strlit11219;
static Object strlit11234;
static Object strlit11245;
static Object strlit11250;
static Object strlit11260;
static Object strlit11270;
static Object strlit11277;
static Object strlit11287;
static Object strlit11301;
static Object strlit11311;
static Object strlit11320;
static Object strlit11346;
static Object strlit11352;
static Object strlit11384;
static Object strlit11390;
static Object strlit11395;
static Object strlit11403;
static Object strlit11419;
static Object strlit11425;
static Object strlit11432;
static Object strlit11506;
static Object strlit11514;
static Object strlit11520;
static Object strlit11525;
static Object strlit11531;
static Object strlit11537;
static Object strlit11544;
static Object strlit11549;
static Object strlit11556;
static Object strlit11561;
static Object strlit11568;
static Object strlit11573;
static ClassData objclass11593;
static Object strlit11603;
static Object strlit11622;
static Object strlit11628;
static Object strlit11673;
Object module_io;
Object module_io_init();
Object module_ast;
Object module_ast_init();
Object module_util;
Object module_util_init();
Object module_mgcollections;
Object module_mgcollections_init();
Object module_errormessages;
Object module_errormessages_init();
static Object strlit11747;
static Object strlit11751;
static Object strlit11755;
static ClassData objclass11762;
static Object strlit11770;
static Object strlit11774;
Object meth_parser__apply30(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object num32 = alloc_Float64(0);
// compilenode returning num32
  int op_slot_right_31 = gc_frame_newslot(num32);
  int callframe34 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call35 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe34);
// compilenode returning call35
// compilenode returning call35
  int op_slot_left_31 = gc_frame_newslot(call35);
  params[0] = num32;
  partcv[0] = 1;
  Object opresult36 = callmethod(call35, ">", 1, partcv, params);
// compilenode returning opresult36
  gc_frame_end(frame);
  return opresult36;
}
Object meth_parser__apply27(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe28 = gc_frame_new();
  Object block29 = alloc_Block(NULL, NULL, "parser", 48);
  gc_frame_newslot(block29);
  block_savedest(block29);
  Object closure30 = createclosure(2, "_apply");
setclosureframe(closure30, stackframe);
  addtoclosure(closure30, var_tokens);
  addtoclosure(closure30, selfslot);
  struct UserObject *uo30 = (struct UserObject*)block29;
  uo30->data[0] = (Object)closure30;
  Method *meth_meth_parser__apply30 = addmethod2pos(block29, "_apply", &meth_parser__apply30, 0);
int argcv_meth_parser__apply30[] = {0};
meth_meth_parser__apply30->type = alloc_MethodType(1, argcv_meth_parser__apply30);
  meth_meth_parser__apply30->definitionModule = modulename;
  meth_meth_parser__apply30->definitionLine = 46;
// compilenode returning block29
  gc_frame_newslot(block29);
  if (strlit39 == NULL) {
    strlit39 = alloc_String("comment");
    gc_root(strlit39);
  }
// compilenode returning strlit39
  int op_slot_right_38 = gc_frame_newslot(strlit39);
  int callframe41 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call42 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe41);
// compilenode returning call42
// compilenode returning call42
  int op_slot_left_38 = gc_frame_newslot(call42);
  params[0] = strlit39;
  partcv[0] = 1;
  Object opresult43 = callmethod(call42, "==", 1, partcv, params);
// compilenode returning opresult43
  params[0] = block29;
  partcv[0] = 1;
  Object call44 = callmethod(opresult43, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe28);
// compilenode returning call44
  gc_frame_end(frame);
  return call44;
}
Object meth_parser__apply47(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_comment = getfromclosure(closure, 1);
  Object *var_tokens = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 49
  setline(49);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe49 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call50 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe49);
// compilenode returning call50
// compilenode returning call50
  int op_slot_right_48 = gc_frame_newslot(call50);
// compilenode returning *var_comment
  int op_slot_left_48 = gc_frame_newslot(*var_comment);
  params[0] = call50;
  partcv[0] = 1;
  Object opresult52 = callmethod(*var_comment, "++", 1, partcv, params);
// compilenode returning opresult52
  *var_comment = opresult52;
  if (opresult52 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 51
  setline(51);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe54 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call55 = callmethod(*var_tokens, "poll",
    1, partcv, params);
  gc_frame_end(callframe54);
// compilenode returning call55
// compilenode returning call55
  *var_sym = call55;
  if (call55 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_next0(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  Object *var_tokens = getfromclosure(closure, 2);
  Object *var_linenum = getfromclosure(closure, 3);
  Object *var_lastline = getfromclosure(closure, 4);
  Object *var_lastIndent = getfromclosure(closure, 5);
  Object *var_comment = getfromclosure(closure, 6);
  Object *var_util = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for next (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for next");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 42
  setline(42);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_lastToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 65
  setline(65);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 42
  setline(42);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num4 = alloc_Float64(0);
// compilenode returning num4
  int op_slot_right_3 = gc_frame_newslot(num4);
  int callframe6 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call7 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe6);
// compilenode returning call7
// compilenode returning call7
  int op_slot_left_3 = gc_frame_newslot(call7);
  params[0] = num4;
  partcv[0] = 1;
  Object opresult8 = callmethod(call7, ">", 1, partcv, params);
// compilenode returning opresult8
  Object if2 = done;
  if (istrue(opresult8)) {
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_linenum
  *var_lastline = *var_linenum;
  if (*var_linenum == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 45
  setline(45);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe10);
// compilenode returning call11
// compilenode returning call11
  *var_lastIndent = call11;
  if (call11 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 46
  setline(46);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 45
  setline(45);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe13 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call14 = callmethod(*var_tokens, "poll",
    1, partcv, params);
  gc_frame_end(callframe13);
// compilenode returning call14
// compilenode returning call14
  *var_sym = call14;
  if (call14 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 46
  setline(46);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit18 == NULL) {
    strlit18 = alloc_String("comment");
    gc_root(strlit18);
  }
// compilenode returning strlit18
  int op_slot_right_17 = gc_frame_newslot(strlit18);
  int callframe20 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call21 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe20);
// compilenode returning call21
// compilenode returning call21
  int op_slot_left_17 = gc_frame_newslot(call21);
  params[0] = strlit18;
  partcv[0] = 1;
  Object opresult22 = callmethod(call21, "==", 1, partcv, params);
// compilenode returning opresult22
  Object if16 = done;
  if (istrue(opresult22)) {
// Begin line 48
  setline(48);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit23 == NULL) {
    strlit23 = alloc_String("");
    gc_root(strlit23);
  }
// compilenode returning strlit23
  *var_comment = strlit23;
  if (strlit23 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 48
  setline(48);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe25 = gc_frame_new();
  Object block26 = alloc_Block(NULL, NULL, "parser", 48);
  gc_frame_newslot(block26);
  block_savedest(block26);
  Object closure27 = createclosure(3, "_apply");
setclosureframe(closure27, stackframe);
  addtoclosure(closure27, var_tokens);
  addtoclosure(closure27, var_sym);
  addtoclosure(closure27, selfslot);
  struct UserObject *uo27 = (struct UserObject*)block26;
  uo27->data[0] = (Object)closure27;
  Method *meth_meth_parser__apply27 = addmethod2pos(block26, "_apply", &meth_parser__apply27, 0);
int argcv_meth_parser__apply27[] = {0};
meth_meth_parser__apply27->type = alloc_MethodType(1, argcv_meth_parser__apply27);
  meth_meth_parser__apply27->definitionModule = modulename;
  meth_meth_parser__apply27->definitionLine = 46;
// compilenode returning block26
  gc_frame_newslot(block26);
  Object block46 = alloc_Block(NULL, NULL, "parser", 48);
  gc_frame_newslot(block46);
  block_savedest(block46);
  Object closure47 = createclosure(4, "_apply");
setclosureframe(closure47, stackframe);
  addtoclosure(closure47, var_sym);
  addtoclosure(closure47, var_comment);
  addtoclosure(closure47, var_tokens);
  addtoclosure(closure47, selfslot);
  struct UserObject *uo47 = (struct UserObject*)block46;
  uo47->data[0] = (Object)closure47;
  Method *meth_meth_parser__apply47 = addmethod2pos(block46, "_apply", &meth_parser__apply47, 0);
int argcv_meth_parser__apply47[] = {0};
meth_meth_parser__apply47->type = alloc_MethodType(1, argcv_meth_parser__apply47);
  meth_meth_parser__apply47->definitionModule = modulename;
  meth_meth_parser__apply47->definitionLine = 48;
// compilenode returning block46
  gc_frame_newslot(block46);
  params[0] = block26;
  params[1] = block46;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call58 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe25);
// compilenode returning call58
    gc_frame_newslot(call58);
    if16 = call58;
  } else {
  }
// compilenode returning if16
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe59 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call60 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe59);
// compilenode returning call60
// compilenode returning call60
  *var_linenum = call60;
  if (call60 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe62 = gc_frame_new();
  int callframe63 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call64 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe63);
// compilenode returning call64
// compilenode returning call64
  gc_frame_newslot(call64);
  int callframe65 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call66 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe65);
// compilenode returning call66
// compilenode returning call66
  gc_frame_newslot(call66);
// compilenode returning *var_util
  params[0] = call64;
  params[1] = call66;
  partcv[0] = 2;
  Object call67 = callmethod(*var_util, "setPosition",
    1, partcv, params);
  gc_frame_end(callframe62);
// compilenode returning call67
    gc_frame_newslot(call67);
    if2 = call67;
  } else {
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject68 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj68 = alloc_userobj2(11,7, objclass68);
  gc_frame_newslot(obj68);
// OBJECT OUTER DEC outer
  adddatum2(obj68, self, 0);
  addmethodreal(obj68,"outer", &reader_parser_outer_69);
  Object oldself68 = self;
  struct StackFrameObject *oldstackframe68 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe68);
  gc_frame_newslot((Object)stackframe);
  self = obj68;
  Object *oldselfslot68 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter68 = (*(struct UserObject *)self).data[0], lowerouter68 = thisouter68;
  if (inheritingObject68) {
    struct UserObject *inho68 = (struct UserObject *)inheritingObject68;
    while (inho68->super != GraceDefaultObject) inho68 = (struct UserObject *)inho68->super;
    inho68->super = obj68;
    self = inheritingObject68;
    *selfslot = self;
    lowerouter68 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter68;
  }
if (objclass68 == NULL) {
  Method *reader70 = addmethodrealflags(obj68, "kind",&reader_parser_kind_70, 0);
  Method *writer70 = addmethodrealflags(obj68, "kind:=",&writer_parser_kind_70, 0);
  reader70->definitionModule = modulename;
  writer70->definitionModule = modulename;
  reader70->definitionLine = 58;
  writer70->definitionLine = 58;
}
obj68->flags |= OFLAG_MUTABLE;
adddatum2(obj68, alloc_Undefined(), 1);
if (objclass68 == NULL) {
  Method *reader71 = addmethodrealflags(obj68, "line",&reader_parser_line_71, 0);
  Method *writer71 = addmethodrealflags(obj68, "line:=",&writer_parser_line_71, 0);
  reader71->definitionModule = modulename;
  writer71->definitionModule = modulename;
  reader71->definitionLine = 59;
  writer71->definitionLine = 59;
}
obj68->flags |= OFLAG_MUTABLE;
adddatum2(obj68, alloc_Undefined(), 2);
if (objclass68 == NULL) {
  Method *reader72 = addmethodrealflags(obj68, "linePos",&reader_parser_linePos_72, 0);
  Method *writer72 = addmethodrealflags(obj68, "linePos:=",&writer_parser_linePos_72, 0);
  reader72->definitionModule = modulename;
  writer72->definitionModule = modulename;
  reader72->definitionLine = 60;
  writer72->definitionLine = 60;
}
obj68->flags |= OFLAG_MUTABLE;
adddatum2(obj68, alloc_Undefined(), 3);
if (objclass68 == NULL) {
  Method *reader73 = addmethodrealflags(obj68, "indent",&reader_parser_indent_73, 0);
  Method *writer73 = addmethodrealflags(obj68, "indent:=",&writer_parser_indent_73, 0);
  reader73->definitionModule = modulename;
  writer73->definitionModule = modulename;
  reader73->definitionLine = 61;
  writer73->definitionLine = 61;
}
obj68->flags |= OFLAG_MUTABLE;
adddatum2(obj68, alloc_Undefined(), 4);
if (objclass68 == NULL) {
  Method *reader74 = addmethodrealflags(obj68, "value",&reader_parser_value_74, 0);
  Method *writer74 = addmethodrealflags(obj68, "value:=",&writer_parser_value_74, 0);
  reader74->definitionModule = modulename;
  writer74->definitionModule = modulename;
  reader74->definitionLine = 62;
  writer74->definitionLine = 62;
}
obj68->flags |= OFLAG_MUTABLE;
adddatum2(obj68, alloc_Undefined(), 5);
if (objclass68 == NULL) {
  Method *reader75 = addmethodrealflags(obj68, "size",&reader_parser_size_75, MFLAG_DEF);
  reader75->definitionModule = modulename;
  reader75->definitionLine = 63;
}
adddatum2(obj68, alloc_Undefined(), 6);
  sourceObject = obj68;
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit76 == NULL) {
    strlit76 = alloc_String("eof");
    gc_root(strlit76);
  }
// compilenode returning strlit76
  adddatum2(obj68, strlit76, 1);
  sourceObject = obj68;
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe77 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call78 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe77);
// compilenode returning call78
// compilenode returning call78
  adddatum2(obj68, call78, 2);
  sourceObject = obj68;
// Begin line 60
  setline(60);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num80 = alloc_Float64(1);
// compilenode returning num80
  int op_slot_right_79 = gc_frame_newslot(num80);
  int callframe82 = gc_frame_new();
  int callframe83 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call84 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe83);
// compilenode returning call84
// compilenode returning call84
  int callframe85 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call86 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe85);
// compilenode returning call86
// compilenode returning call86
  params[0] = call86;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres87 = callmethod(call84, "[]", 1, partcv, params);
// compilenode returning idxres87
  partcv[0] = 0;
  Object call88 = callmethod(idxres87, "size",
    1, partcv, params);
  gc_frame_end(callframe82);
// compilenode returning call88
// compilenode returning call88
  int op_slot_left_79 = gc_frame_newslot(call88);
  params[0] = num80;
  partcv[0] = 1;
  Object sum89 = callmethod(call88, "+", 1, partcv, params);
// compilenode returning sum89
  adddatum2(obj68, sum89, 3);
  sourceObject = obj68;
// Begin line 60
  setline(60);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num90 = alloc_Float64(0);
// compilenode returning num90
  adddatum2(obj68, num90, 4);
  sourceObject = obj68;
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit91 == NULL) {
    strlit91 = alloc_String("");
    gc_root(strlit91);
  }
// compilenode returning strlit91
  adddatum2(obj68, strlit91, 5);
  sourceObject = obj68;
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num92 = alloc_Float64(0);
// compilenode returning num92
  adddatum2(obj68, num92, 6);
objclass68 = obj68->class;
  objclass68->definitionModule = modulename;
  objclass68->definitionLine = 56;
  (*(struct UserObject *)self).data[0] = lowerouter68;
  self = oldself68;
  selfslot = oldselfslot68;
  stackframe = oldstackframe68;
// compilenode returning obj68
  *var_sym = obj68;
  if (obj68 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2 = done;
  }
// compilenode returning if2
  gc_frame_end(frame);
  return if2;
}
Object meth_parser__apply104(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe106 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call107 = callmethod(*var_lastToken, "indent",
    1, partcv, params);
  gc_frame_end(callframe106);
// compilenode returning call107
// compilenode returning call107
  int op_slot_right_105 = gc_frame_newslot(call107);
  int callframe109 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call110 = callmethod(*var_n, "indent",
    1, partcv, params);
  gc_frame_end(callframe109);
// compilenode returning call110
// compilenode returning call110
  int op_slot_left_105 = gc_frame_newslot(call110);
  params[0] = call107;
  partcv[0] = 1;
  Object opresult111 = callmethod(call110, ">=", 1, partcv, params);
// compilenode returning opresult111
  gc_frame_end(frame);
  return opresult111;
}
Object meth_parser__apply115(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextTok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object bool117 = alloc_Boolean(0);
// compilenode returning bool117
  int op_slot_right_116 = gc_frame_newslot(bool117);
// compilenode returning *var_nextTok
  int op_slot_left_116 = gc_frame_newslot(*var_nextTok);
  params[0] = bool117;
  partcv[0] = 1;
  Object opresult119 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult119
  gc_frame_end(frame);
  return opresult119;
}
Object meth_parser__apply101(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object *var_nextTok = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe102 = gc_frame_new();
  Object block103 = alloc_Block(NULL, NULL, "parser", 75);
  gc_frame_newslot(block103);
  block_savedest(block103);
  Object closure104 = createclosure(3, "_apply");
setclosureframe(closure104, stackframe);
  addtoclosure(closure104, var_lastToken);
  addtoclosure(closure104, var_n);
  addtoclosure(closure104, selfslot);
  struct UserObject *uo104 = (struct UserObject*)block103;
  uo104->data[0] = (Object)closure104;
  Method *meth_meth_parser__apply104 = addmethod2pos(block103, "_apply", &meth_parser__apply104, 0);
int argcv_meth_parser__apply104[] = {0};
meth_meth_parser__apply104->type = alloc_MethodType(1, argcv_meth_parser__apply104);
  meth_meth_parser__apply104->definitionModule = modulename;
  meth_meth_parser__apply104->definitionLine = 59;
// compilenode returning block103
  gc_frame_newslot(block103);
  int callframe113 = gc_frame_new();
  Object block114 = alloc_Block(NULL, NULL, "parser", 75);
  gc_frame_newslot(block114);
  block_savedest(block114);
  Object closure115 = createclosure(2, "_apply");
setclosureframe(closure115, stackframe);
  addtoclosure(closure115, var_nextTok);
  addtoclosure(closure115, selfslot);
  struct UserObject *uo115 = (struct UserObject*)block114;
  uo115->data[0] = (Object)closure115;
  Method *meth_meth_parser__apply115 = addmethod2pos(block114, "_apply", &meth_parser__apply115, 0);
int argcv_meth_parser__apply115[] = {0};
meth_meth_parser__apply115->type = alloc_MethodType(1, argcv_meth_parser__apply115);
  meth_meth_parser__apply115->definitionModule = modulename;
  meth_meth_parser__apply115->definitionLine = 75;
// compilenode returning block114
  gc_frame_newslot(block114);
  Object bool122 = alloc_Boolean(0);
// compilenode returning bool122
  int op_slot_right_121 = gc_frame_newslot(bool122);
// compilenode returning *var_n
  int op_slot_left_121 = gc_frame_newslot(*var_n);
  params[0] = bool122;
  partcv[0] = 1;
  Object opresult124 = callmethod(*var_n, "!=", 1, partcv, params);
// compilenode returning opresult124
  params[0] = block114;
  partcv[0] = 1;
  Object call125 = callmethod(opresult124, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe113);
// compilenode returning call125
  params[0] = block103;
  partcv[0] = 1;
  Object call126 = callmethod(call125, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe102);
// compilenode returning call126
  gc_frame_end(frame);
  return call126;
}
Object meth_parser__apply129(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_tokenMatcher = getfromclosure(closure, 1);
  Object *var_nextTok = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 79
  setline(79);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe131 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_tokenMatcher
  params[0] = *var_n;
  partcv[0] = 1;
  Object call132 = callmethod(*var_tokenMatcher, "apply",
    1, partcv, params);
  gc_frame_end(callframe131);
// compilenode returning call132
  Object if130 = done;
  if (istrue(call132)) {
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 77
  setline(77);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  *var_nextTok = *var_n;
  if (*var_n == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if130 = done;
  } else {
  }
// compilenode returning if130
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 79
  setline(79);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe134 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call135 = callmethod(*var_n, "next",
    1, partcv, params);
  gc_frame_end(callframe134);
// compilenode returning call135
// compilenode returning call135
  *var_n = call135;
  if (call135 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_findNextToken94(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findNextToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findNextToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tokenMatcher = &(stackframe->slots[0]);
  *var_tokenMatcher = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for findNextToken");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_nextTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextTok");
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 70
  setline(70);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe96 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_tokenMatcher
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call97 = callmethod(*var_tokenMatcher, "apply",
    1, partcv, params);
  gc_frame_end(callframe96);
// compilenode returning call97
  Object if95 = done;
  if (istrue(call97)) {
// Begin line 72
  setline(72);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 71
  setline(71);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  return *var_sym;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if95 = undefined;
  } else {
  }
// compilenode returning if95
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool98 = alloc_Boolean(0);
// compilenode returning bool98
  *var_nextTok = bool98;
  if (bool98 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 75
  setline(75);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_n = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 75
  setline(75);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe99 = gc_frame_new();
  Object block100 = alloc_Block(NULL, NULL, "parser", 75);
  gc_frame_newslot(block100);
  block_savedest(block100);
  Object closure101 = createclosure(4, "_apply");
setclosureframe(closure101, stackframe);
  addtoclosure(closure101, var_lastToken);
  addtoclosure(closure101, var_n);
  addtoclosure(closure101, var_nextTok);
  addtoclosure(closure101, selfslot);
  struct UserObject *uo101 = (struct UserObject*)block100;
  uo101->data[0] = (Object)closure101;
  Method *meth_meth_parser__apply101 = addmethod2pos(block100, "_apply", &meth_parser__apply101, 0);
int argcv_meth_parser__apply101[] = {0};
meth_meth_parser__apply101->type = alloc_MethodType(1, argcv_meth_parser__apply101);
  meth_meth_parser__apply101->definitionModule = modulename;
  meth_meth_parser__apply101->definitionLine = 59;
// compilenode returning block100
  gc_frame_newslot(block100);
  Object block128 = alloc_Block(NULL, NULL, "parser", 75);
  gc_frame_newslot(block128);
  block_savedest(block128);
  Object closure129 = createclosure(4, "_apply");
setclosureframe(closure129, stackframe);
  addtoclosure(closure129, var_n);
  addtoclosure(closure129, var_tokenMatcher);
  addtoclosure(closure129, var_nextTok);
  addtoclosure(closure129, selfslot);
  struct UserObject *uo129 = (struct UserObject*)block128;
  uo129->data[0] = (Object)closure129;
  Method *meth_meth_parser__apply129 = addmethod2pos(block128, "_apply", &meth_parser__apply129, 0);
int argcv_meth_parser__apply129[] = {0};
meth_meth_parser__apply129->type = alloc_MethodType(1, argcv_meth_parser__apply129);
  meth_meth_parser__apply129->definitionModule = modulename;
  meth_meth_parser__apply129->definitionLine = 75;
// compilenode returning block128
  gc_frame_newslot(block128);
  params[0] = block100;
  params[1] = block128;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call138 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe99);
// compilenode returning call138
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_nextTok
  gc_frame_end(frame);
  return *var_nextTok;
}
Object meth_parser__apply173(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextTok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object bool175 = alloc_Boolean(0);
// compilenode returning bool175
  int op_slot_right_174 = gc_frame_newslot(bool175);
// compilenode returning *var_nextTok
  int op_slot_left_174 = gc_frame_newslot(*var_nextTok);
  params[0] = bool175;
  partcv[0] = 1;
  Object opresult177 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult177
  gc_frame_end(frame);
  return opresult177;
}
Object meth_parser__apply170(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextTok = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe171 = gc_frame_new();
  Object block172 = alloc_Block(NULL, NULL, "parser", 90);
  gc_frame_newslot(block172);
  block_savedest(block172);
  Object closure173 = createclosure(2, "_apply");
setclosureframe(closure173, stackframe);
  addtoclosure(closure173, var_nextTok);
  addtoclosure(closure173, selfslot);
  struct UserObject *uo173 = (struct UserObject*)block172;
  uo173->data[0] = (Object)closure173;
  Method *meth_meth_parser__apply173 = addmethod2pos(block172, "_apply", &meth_parser__apply173, 0);
int argcv_meth_parser__apply173[] = {0};
meth_meth_parser__apply173->type = alloc_MethodType(1, argcv_meth_parser__apply173);
  meth_meth_parser__apply173->definitionModule = modulename;
  meth_meth_parser__apply173->definitionLine = 85;
// compilenode returning block172
  gc_frame_newslot(block172);
  Object bool180 = alloc_Boolean(0);
// compilenode returning bool180
  int op_slot_right_179 = gc_frame_newslot(bool180);
// compilenode returning *var_n
  int op_slot_left_179 = gc_frame_newslot(*var_n);
  params[0] = bool180;
  partcv[0] = 1;
  Object opresult182 = callmethod(*var_n, "!=", 1, partcv, params);
// compilenode returning opresult182
  params[0] = block172;
  partcv[0] = 1;
  Object call183 = callmethod(opresult182, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe171);
// compilenode returning call183
  gc_frame_end(frame);
  return call183;
}
Object meth_parser__apply186(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_tok = getfromclosure(closure, 1);
  Object *var_n = getfromclosure(closure, 2);
  Object *var_nextTok = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit190 == NULL) {
    strlit190 = alloc_String("eof");
    gc_root(strlit190);
  }
// compilenode returning strlit190
  int op_slot_right_189 = gc_frame_newslot(strlit190);
  int callframe192 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call193 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe192);
// compilenode returning call193
// compilenode returning call193
  int op_slot_left_189 = gc_frame_newslot(call193);
  params[0] = strlit190;
  partcv[0] = 1;
  Object opresult194 = callmethod(call193, "==", 1, partcv, params);
// compilenode returning opresult194
  int op_slot_right_188 = gc_frame_newslot(opresult194);
  int callframe198 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call199 = callmethod(*var_tok, "indent",
    1, partcv, params);
  gc_frame_end(callframe198);
// compilenode returning call199
// compilenode returning call199
  int op_slot_right_197 = gc_frame_newslot(call199);
  int callframe201 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call202 = callmethod(*var_n, "indent",
    1, partcv, params);
  gc_frame_end(callframe201);
// compilenode returning call202
// compilenode returning call202
  int op_slot_left_197 = gc_frame_newslot(call202);
  params[0] = call199;
  partcv[0] = 1;
  Object opresult203 = callmethod(call202, "<=", 1, partcv, params);
// compilenode returning opresult203
  int op_slot_right_196 = gc_frame_newslot(opresult203);
  int callframe206 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call207 = callmethod(*var_tok, "line",
    1, partcv, params);
  gc_frame_end(callframe206);
// compilenode returning call207
// compilenode returning call207
  int op_slot_right_205 = gc_frame_newslot(call207);
  int callframe209 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call210 = callmethod(*var_n, "line",
    1, partcv, params);
  gc_frame_end(callframe209);
// compilenode returning call210
// compilenode returning call210
  int op_slot_left_205 = gc_frame_newslot(call210);
  params[0] = call207;
  partcv[0] = 1;
  Object opresult211 = callmethod(call210, ">", 1, partcv, params);
// compilenode returning opresult211
  int op_slot_left_196 = gc_frame_newslot(opresult211);
  params[0] = opresult203;
  partcv[0] = 1;
  Object opresult212 = callmethod(opresult211, "&&", 1, partcv, params);
// compilenode returning opresult212
  int op_slot_left_188 = gc_frame_newslot(opresult212);
  params[0] = opresult194;
  partcv[0] = 1;
  Object opresult213 = callmethod(opresult212, "||", 1, partcv, params);
// compilenode returning opresult213
  Object if187 = done;
  if (istrue(opresult213)) {
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  *var_nextTok = *var_n;
  if (*var_n == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if187 = done;
  } else {
  }
// compilenode returning if187
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe215 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call216 = callmethod(*var_n, "next",
    1, partcv, params);
  gc_frame_end(callframe215);
// compilenode returning call216
// compilenode returning call216
  *var_n = call216;
  if (call216 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_findNextTokenIndentedAt139(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findNextTokenIndentedAt");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findNextTokenIndentedAt (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tok = &(stackframe->slots[0]);
  *var_tok = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for findNextTokenIndentedAt");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_nextTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextTok");
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit143 == NULL) {
    strlit143 = alloc_String("eof");
    gc_root(strlit143);
  }
// compilenode returning strlit143
  int op_slot_right_142 = gc_frame_newslot(strlit143);
  int callframe145 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call146 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe145);
// compilenode returning call146
// compilenode returning call146
  int op_slot_left_142 = gc_frame_newslot(call146);
  params[0] = strlit143;
  partcv[0] = 1;
  Object opresult147 = callmethod(call146, "==", 1, partcv, params);
// compilenode returning opresult147
  int op_slot_right_141 = gc_frame_newslot(opresult147);
  int callframe151 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call152 = callmethod(*var_tok, "indent",
    1, partcv, params);
  gc_frame_end(callframe151);
// compilenode returning call152
// compilenode returning call152
  int op_slot_right_150 = gc_frame_newslot(call152);
  int callframe154 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call155 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe154);
// compilenode returning call155
// compilenode returning call155
  int op_slot_left_150 = gc_frame_newslot(call155);
  params[0] = call152;
  partcv[0] = 1;
  Object opresult156 = callmethod(call155, "<=", 1, partcv, params);
// compilenode returning opresult156
  int op_slot_right_149 = gc_frame_newslot(opresult156);
  int callframe159 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call160 = callmethod(*var_tok, "line",
    1, partcv, params);
  gc_frame_end(callframe159);
// compilenode returning call160
// compilenode returning call160
  int op_slot_right_158 = gc_frame_newslot(call160);
  int callframe162 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call163 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe162);
// compilenode returning call163
// compilenode returning call163
  int op_slot_left_158 = gc_frame_newslot(call163);
  params[0] = call160;
  partcv[0] = 1;
  Object opresult164 = callmethod(call163, ">", 1, partcv, params);
// compilenode returning opresult164
  int op_slot_left_149 = gc_frame_newslot(opresult164);
  params[0] = opresult156;
  partcv[0] = 1;
  Object opresult165 = callmethod(opresult164, "&&", 1, partcv, params);
// compilenode returning opresult165
  int op_slot_left_141 = gc_frame_newslot(opresult165);
  params[0] = opresult147;
  partcv[0] = 1;
  Object opresult166 = callmethod(opresult165, "||", 1, partcv, params);
// compilenode returning opresult166
  Object if140 = done;
  if (istrue(opresult166)) {
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  return *var_sym;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if140 = undefined;
  } else {
  }
// compilenode returning if140
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool167 = alloc_Boolean(0);
// compilenode returning bool167
  *var_nextTok = bool167;
  if (bool167 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 90
  setline(90);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_n = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 90
  setline(90);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe168 = gc_frame_new();
  Object block169 = alloc_Block(NULL, NULL, "parser", 90);
  gc_frame_newslot(block169);
  block_savedest(block169);
  Object closure170 = createclosure(3, "_apply");
setclosureframe(closure170, stackframe);
  addtoclosure(closure170, var_nextTok);
  addtoclosure(closure170, var_n);
  addtoclosure(closure170, selfslot);
  struct UserObject *uo170 = (struct UserObject*)block169;
  uo170->data[0] = (Object)closure170;
  Method *meth_meth_parser__apply170 = addmethod2pos(block169, "_apply", &meth_parser__apply170, 0);
int argcv_meth_parser__apply170[] = {0};
meth_meth_parser__apply170->type = alloc_MethodType(1, argcv_meth_parser__apply170);
  meth_meth_parser__apply170->definitionModule = modulename;
  meth_meth_parser__apply170->definitionLine = 85;
// compilenode returning block169
  gc_frame_newslot(block169);
  Object block185 = alloc_Block(NULL, NULL, "parser", 90);
  gc_frame_newslot(block185);
  block_savedest(block185);
  Object closure186 = createclosure(5, "_apply");
setclosureframe(closure186, stackframe);
  addtoclosure(closure186, var_sym);
  addtoclosure(closure186, var_tok);
  addtoclosure(closure186, var_n);
  addtoclosure(closure186, var_nextTok);
  addtoclosure(closure186, selfslot);
  struct UserObject *uo186 = (struct UserObject*)block185;
  uo186->data[0] = (Object)closure186;
  Method *meth_meth_parser__apply186 = addmethod2pos(block185, "_apply", &meth_parser__apply186, 0);
int argcv_meth_parser__apply186[] = {0};
meth_meth_parser__apply186->type = alloc_MethodType(1, argcv_meth_parser__apply186);
  meth_meth_parser__apply186->definitionModule = modulename;
  meth_meth_parser__apply186->definitionLine = 85;
// compilenode returning block185
  gc_frame_newslot(block185);
  params[0] = block169;
  params[1] = block185;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call219 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe168);
// compilenode returning call219
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_nextTok
  gc_frame_end(frame);
  return *var_nextTok;
}
Object meth_parser__apply232(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_validToken = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit234 == NULL) {
    strlit234 = alloc_String("eof");
    gc_root(strlit234);
  }
// compilenode returning strlit234
  int op_slot_right_233 = gc_frame_newslot(strlit234);
  int callframe236 = gc_frame_new();
// compilenode returning *var_validToken
  partcv[0] = 0;
  Object call237 = callmethod(*var_validToken, "kind",
    1, partcv, params);
  gc_frame_end(callframe236);
// compilenode returning call237
// compilenode returning call237
  int op_slot_left_233 = gc_frame_newslot(call237);
  params[0] = strlit234;
  partcv[0] = 1;
  Object opresult238 = callmethod(call237, "!=", 1, partcv, params);
// compilenode returning opresult238
  gc_frame_end(frame);
  return opresult238;
}
Object meth_parser__apply241(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_validToken = getfromclosure(closure, 0);
  Object *var_validFollowTokens = getfromclosure(closure, 1);
  Object *var_invalidTokens = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 109
  setline(109);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 105
  setline(105);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe243 = gc_frame_new();
  int callframe244 = gc_frame_new();
// compilenode returning *var_validToken
  partcv[0] = 0;
  Object call245 = callmethod(*var_validToken, "kind",
    1, partcv, params);
  gc_frame_end(callframe244);
// compilenode returning call245
// compilenode returning call245
  gc_frame_newslot(call245);
// compilenode returning *var_validFollowTokens
  params[0] = call245;
  partcv[0] = 1;
  Object call246 = callmethod(*var_validFollowTokens, "contains",
    1, partcv, params);
  gc_frame_end(callframe243);
// compilenode returning call246
  Object if242 = done;
  if (istrue(call246)) {
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_validToken
  block_return(realself, *var_validToken);
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if242 = undefined;
  } else {
  }
// compilenode returning if242
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 109
  setline(109);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe248 = gc_frame_new();
  int callframe249 = gc_frame_new();
  int callframe250 = gc_frame_new();
// compilenode returning *var_validToken
  partcv[0] = 0;
  Object call251 = callmethod(*var_validToken, "kind",
    1, partcv, params);
  gc_frame_end(callframe250);
// compilenode returning call251
// compilenode returning call251
  gc_frame_newslot(call251);
// compilenode returning *var_invalidTokens
  params[0] = call251;
  partcv[0] = 1;
  Object call252 = callmethod(*var_invalidTokens, "contains",
    1, partcv, params);
  gc_frame_end(callframe249);
// compilenode returning call252
  partcv[0] = 0;
  Object call253 = callmethod(call252, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe248);
// compilenode returning call253
  Object if247 = done;
  if (istrue(call253)) {
// Begin line 111
  setline(111);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_validToken
  block_return(realself, *var_validToken);
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if247 = undefined;
  } else {
  }
// compilenode returning if247
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe254 = gc_frame_new();
// compilenode returning *var_validToken
  partcv[0] = 0;
  Object call255 = callmethod(*var_validToken, "next",
    1, partcv, params);
  gc_frame_end(callframe254);
// compilenode returning call255
// compilenode returning call255
  *var_validToken = call255;
  if (call255 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_findNextValidToken220(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findNextValidToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findNextValidToken (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_validFollowTokens = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_validFollowTokens, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_validFollowTokens = &(stackframe->slots[0]);
  *var_validFollowTokens = var_init_validFollowTokens;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_invalidTokens = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "invalidTokens");
  Object *var_validToken = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "validToken");
// Begin line 101
  setline(101);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array221 = alloc_BuiltinList();
  gc_pause();
  if (strlit222 == NULL) {
    strlit222 = alloc_String("dot");
    gc_root(strlit222);
  }
// compilenode returning strlit222
  params[0] = strlit222;
  partcv[0] = 1;
  callmethod(array221, "push", 1, partcv, params);
  if (strlit223 == NULL) {
    strlit223 = alloc_String("comma");
    gc_root(strlit223);
  }
// compilenode returning strlit223
  params[0] = strlit223;
  partcv[0] = 1;
  callmethod(array221, "push", 1, partcv, params);
  if (strlit224 == NULL) {
    strlit224 = alloc_String("colon");
    gc_root(strlit224);
  }
// compilenode returning strlit224
  params[0] = strlit224;
  partcv[0] = 1;
  callmethod(array221, "push", 1, partcv, params);
  if (strlit225 == NULL) {
    strlit225 = alloc_String("rparen");
    gc_root(strlit225);
  }
// compilenode returning strlit225
  params[0] = strlit225;
  partcv[0] = 1;
  callmethod(array221, "push", 1, partcv, params);
  if (strlit226 == NULL) {
    strlit226 = alloc_String("rbrace");
    gc_root(strlit226);
  }
// compilenode returning strlit226
  params[0] = strlit226;
  partcv[0] = 1;
  callmethod(array221, "push", 1, partcv, params);
  if (strlit227 == NULL) {
    strlit227 = alloc_String("rsquare");
    gc_root(strlit227);
  }
// compilenode returning strlit227
  params[0] = strlit227;
  partcv[0] = 1;
  callmethod(array221, "push", 1, partcv, params);
  if (strlit228 == NULL) {
    strlit228 = alloc_String("arrow");
    gc_root(strlit228);
  }
// compilenode returning strlit228
  params[0] = strlit228;
  partcv[0] = 1;
  callmethod(array221, "push", 1, partcv, params);
  if (strlit229 == NULL) {
    strlit229 = alloc_String("bind");
    gc_root(strlit229);
  }
// compilenode returning strlit229
  params[0] = strlit229;
  partcv[0] = 1;
  callmethod(array221, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array221
  *var_invalidTokens = array221;
  if (array221 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 103
  setline(103);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_validToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 103
  setline(103);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe230 = gc_frame_new();
  Object block231 = alloc_Block(NULL, NULL, "parser", 103);
  gc_frame_newslot(block231);
  block_savedest(block231);
  Object closure232 = createclosure(2, "_apply");
setclosureframe(closure232, stackframe);
  addtoclosure(closure232, var_validToken);
  addtoclosure(closure232, selfslot);
  struct UserObject *uo232 = (struct UserObject*)block231;
  uo232->data[0] = (Object)closure232;
  Method *meth_meth_parser__apply232 = addmethod2pos(block231, "_apply", &meth_parser__apply232, 0);
int argcv_meth_parser__apply232[] = {0};
meth_meth_parser__apply232->type = alloc_MethodType(1, argcv_meth_parser__apply232);
  meth_meth_parser__apply232->definitionModule = modulename;
  meth_meth_parser__apply232->definitionLine = 94;
// compilenode returning block231
  gc_frame_newslot(block231);
  Object block240 = alloc_Block(NULL, NULL, "parser", 103);
  gc_frame_newslot(block240);
  block_savedest(block240);
  Object closure241 = createclosure(4, "_apply");
setclosureframe(closure241, stackframe);
  addtoclosure(closure241, var_validToken);
  addtoclosure(closure241, var_validFollowTokens);
  addtoclosure(closure241, var_invalidTokens);
  addtoclosure(closure241, selfslot);
  struct UserObject *uo241 = (struct UserObject*)block240;
  uo241->data[0] = (Object)closure241;
  Method *meth_meth_parser__apply241 = addmethod2pos(block240, "_apply", &meth_parser__apply241, 0);
int argcv_meth_parser__apply241[] = {0};
meth_meth_parser__apply241->type = alloc_MethodType(1, argcv_meth_parser__apply241);
  meth_meth_parser__apply241->definitionModule = modulename;
  meth_meth_parser__apply241->definitionLine = 103;
// compilenode returning block240
  gc_frame_newslot(block240);
  params[0] = block231;
  params[1] = block240;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call258 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe230);
// compilenode returning call258
// Begin line 116
  setline(116);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 115
  setline(115);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_validToken
  return *var_validToken;
// compilenode returning undefined
  gc_frame_end(frame);
  return undefined;
}
Object meth_parser__apply270(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tok = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe273 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call274 = callmethod(*var_tok, "line",
    1, partcv, params);
  gc_frame_end(callframe273);
// compilenode returning call274
// compilenode returning call274
  int op_slot_right_272 = gc_frame_newslot(call274);
  int callframe276 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call277 = callmethod(*var_n, "line",
    1, partcv, params);
  gc_frame_end(callframe276);
// compilenode returning call277
// compilenode returning call277
  int op_slot_left_272 = gc_frame_newslot(call277);
  params[0] = call274;
  partcv[0] = 1;
  Object opresult278 = callmethod(call277, "==", 1, partcv, params);
// compilenode returning opresult278
  int op_slot_right_271 = gc_frame_newslot(opresult278);
  if (strlit281 == NULL) {
    strlit281 = alloc_String("eof");
    gc_root(strlit281);
  }
// compilenode returning strlit281
  int op_slot_right_280 = gc_frame_newslot(strlit281);
  int callframe283 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call284 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe283);
// compilenode returning call284
// compilenode returning call284
  int op_slot_left_280 = gc_frame_newslot(call284);
  params[0] = strlit281;
  partcv[0] = 1;
  Object opresult285 = callmethod(call284, "!=", 1, partcv, params);
// compilenode returning opresult285
  int op_slot_left_271 = gc_frame_newslot(opresult285);
  params[0] = opresult278;
  partcv[0] = 1;
  Object opresult286 = callmethod(opresult285, "&&", 1, partcv, params);
// compilenode returning opresult286
  gc_frame_end(frame);
  return opresult286;
}
Object meth_parser__apply289(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_numOpening = getfromclosure(closure, 1);
  Object *var_numClosing = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 135
  setline(135);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit292 == NULL) {
    strlit292 = alloc_String("lbrace");
    gc_root(strlit292);
  }
// compilenode returning strlit292
  int op_slot_right_291 = gc_frame_newslot(strlit292);
  int callframe294 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call295 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe294);
// compilenode returning call295
// compilenode returning call295
  int op_slot_left_291 = gc_frame_newslot(call295);
  params[0] = strlit292;
  partcv[0] = 1;
  Object opresult296 = callmethod(call295, "==", 1, partcv, params);
// compilenode returning opresult296
  Object if290 = done;
  if (istrue(opresult296)) {
  Object num298 = alloc_Float64(1);
// compilenode returning num298
  int op_slot_right_297 = gc_frame_newslot(num298);
// compilenode returning *var_numOpening
  int op_slot_left_297 = gc_frame_newslot(*var_numOpening);
  params[0] = num298;
  partcv[0] = 1;
  Object sum300 = callmethod(*var_numOpening, "+", 1, partcv, params);
// compilenode returning sum300
  *var_numOpening = sum300;
  if (sum300 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if290 = done;
  } else {
// Begin line 135
  setline(135);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 134
  setline(134);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit304 == NULL) {
    strlit304 = alloc_String("rbrace");
    gc_root(strlit304);
  }
// compilenode returning strlit304
  int op_slot_right_303 = gc_frame_newslot(strlit304);
  int callframe306 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call307 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe306);
// compilenode returning call307
// compilenode returning call307
  int op_slot_left_303 = gc_frame_newslot(call307);
  params[0] = strlit304;
  partcv[0] = 1;
  Object opresult308 = callmethod(call307, "==", 1, partcv, params);
// compilenode returning opresult308
  Object if302 = done;
  if (istrue(opresult308)) {
  Object num310 = alloc_Float64(1);
// compilenode returning num310
  int op_slot_right_309 = gc_frame_newslot(num310);
// compilenode returning *var_numClosing
  int op_slot_left_309 = gc_frame_newslot(*var_numClosing);
  params[0] = num310;
  partcv[0] = 1;
  Object sum312 = callmethod(*var_numClosing, "+", 1, partcv, params);
// compilenode returning sum312
  *var_numClosing = sum312;
  if (sum312 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if302 = done;
  } else {
  }
// compilenode returning if302
    gc_frame_newslot(if302);
    if290 = if302;
  }
// compilenode returning if290
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 135
  setline(135);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe314 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call315 = callmethod(*var_n, "next",
    1, partcv, params);
  gc_frame_end(callframe314);
// compilenode returning call315
// compilenode returning call315
  *var_n = call315;
  if (call315 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply321(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tok = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe324 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call325 = callmethod(*var_tok, "indent",
    1, partcv, params);
  gc_frame_end(callframe324);
// compilenode returning call325
// compilenode returning call325
  int op_slot_right_323 = gc_frame_newslot(call325);
  int callframe327 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call328 = callmethod(*var_n, "indent",
    1, partcv, params);
  gc_frame_end(callframe327);
// compilenode returning call328
// compilenode returning call328
  int op_slot_left_323 = gc_frame_newslot(call328);
  params[0] = call325;
  partcv[0] = 1;
  Object opresult329 = callmethod(call328, ">", 1, partcv, params);
// compilenode returning opresult329
  int op_slot_right_322 = gc_frame_newslot(opresult329);
  if (strlit332 == NULL) {
    strlit332 = alloc_String("eof");
    gc_root(strlit332);
  }
// compilenode returning strlit332
  int op_slot_right_331 = gc_frame_newslot(strlit332);
  int callframe334 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call335 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe334);
// compilenode returning call335
// compilenode returning call335
  int op_slot_left_331 = gc_frame_newslot(call335);
  params[0] = strlit332;
  partcv[0] = 1;
  Object opresult336 = callmethod(call335, "!=", 1, partcv, params);
// compilenode returning opresult336
  int op_slot_left_322 = gc_frame_newslot(opresult336);
  params[0] = opresult329;
  partcv[0] = 1;
  Object opresult337 = callmethod(opresult336, "&&", 1, partcv, params);
// compilenode returning opresult337
  gc_frame_end(frame);
  return opresult337;
}
Object meth_parser__apply340(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_numOpening = getfromclosure(closure, 1);
  Object *var_numClosing = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit343 == NULL) {
    strlit343 = alloc_String("lbrace");
    gc_root(strlit343);
  }
// compilenode returning strlit343
  int op_slot_right_342 = gc_frame_newslot(strlit343);
  int callframe345 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call346 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe345);
// compilenode returning call346
// compilenode returning call346
  int op_slot_left_342 = gc_frame_newslot(call346);
  params[0] = strlit343;
  partcv[0] = 1;
  Object opresult347 = callmethod(call346, "==", 1, partcv, params);
// compilenode returning opresult347
  Object if341 = done;
  if (istrue(opresult347)) {
  Object num349 = alloc_Float64(1);
// compilenode returning num349
  int op_slot_right_348 = gc_frame_newslot(num349);
// compilenode returning *var_numOpening
  int op_slot_left_348 = gc_frame_newslot(*var_numOpening);
  params[0] = num349;
  partcv[0] = 1;
  Object sum351 = callmethod(*var_numOpening, "+", 1, partcv, params);
// compilenode returning sum351
  *var_numOpening = sum351;
  if (sum351 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if341 = done;
  } else {
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit355 == NULL) {
    strlit355 = alloc_String("rbrace");
    gc_root(strlit355);
  }
// compilenode returning strlit355
  int op_slot_right_354 = gc_frame_newslot(strlit355);
  int callframe357 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call358 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe357);
// compilenode returning call358
// compilenode returning call358
  int op_slot_left_354 = gc_frame_newslot(call358);
  params[0] = strlit355;
  partcv[0] = 1;
  Object opresult359 = callmethod(call358, "==", 1, partcv, params);
// compilenode returning opresult359
  Object if353 = done;
  if (istrue(opresult359)) {
  Object num361 = alloc_Float64(1);
// compilenode returning num361
  int op_slot_right_360 = gc_frame_newslot(num361);
// compilenode returning *var_numClosing
  int op_slot_left_360 = gc_frame_newslot(*var_numClosing);
  params[0] = num361;
  partcv[0] = 1;
  Object sum363 = callmethod(*var_numClosing, "+", 1, partcv, params);
// compilenode returning sum363
  *var_numClosing = sum363;
  if (sum363 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if353 = done;
  } else {
  }
// compilenode returning if353
    gc_frame_newslot(if353);
    if341 = if353;
  }
// compilenode returning if341
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe365 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call366 = callmethod(*var_n, "next",
    1, partcv, params);
  gc_frame_end(callframe365);
// compilenode returning call366
// compilenode returning call366
  *var_n = call366;
  if (call366 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_findClosingBrace259(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findClosingBrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findClosingBrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tok = &(stackframe->slots[0]);
  *var_tok = args[curarg];
  curarg++;
  Object *var_inserted = &(stackframe->slots[1]);
  *var_inserted = args[curarg];
  curarg++;
if (argcv && argcv[0] > 2)
  gracedie("too many arguments for findClosingBrace");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_numOpening = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "numOpening");
  Object *var_numClosing = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "numClosing");
  Object *var_result = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "result");
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_n = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_inserted
  Object if260 = done;
struct StackFrameObject *iftmpstackframe260 = stackframe;
  if (istrue(*var_inserted)) {
stackframe = alloc_StackFrame(0, iftmpstackframe260);
gc_frame_newslot((Object)stackframe);
  Object num261 = alloc_Float64(1);
// compilenode returning num261
    gc_frame_newslot(num261);
    if260 = num261;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe260);
gc_frame_newslot((Object)stackframe);
  Object num262 = alloc_Float64(0);
// compilenode returning num262
    gc_frame_newslot(num262);
    if260 = num262;
  }
stackframe = iftmpstackframe260;
// compilenode returning if260
  *var_numOpening = if260;
  if (if260 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num263 = alloc_Float64(0);
// compilenode returning num263
  *var_numClosing = num263;
  if (num263 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject264 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj264 = alloc_userobj2(4,4, objclass264);
  gc_frame_newslot(obj264);
// OBJECT OUTER DEC outer
  adddatum2(obj264, self, 0);
  addmethodreal(obj264,"outer", &reader_parser_outer_265);
  Object oldself264 = self;
  struct StackFrameObject *oldstackframe264 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe264);
  gc_frame_newslot((Object)stackframe);
  self = obj264;
  Object *oldselfslot264 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter264 = (*(struct UserObject *)self).data[0], lowerouter264 = thisouter264;
  if (inheritingObject264) {
    struct UserObject *inho264 = (struct UserObject *)inheritingObject264;
    while (inho264->super != GraceDefaultObject) inho264 = (struct UserObject *)inho264->super;
    inho264->super = obj264;
    self = inheritingObject264;
    *selfslot = self;
    lowerouter264 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter264;
  }
if (objclass264 == NULL) {
  Method *reader266 = addmethodrealflags(obj264, "found",&reader_parser_found_266, 0);
  Method *writer266 = addmethodrealflags(obj264, "found:=",&writer_parser_found_266, 0);
  reader266->definitionModule = modulename;
  writer266->definitionModule = modulename;
  reader266->definitionLine = 129;
  writer266->definitionLine = 129;
}
obj264->flags |= OFLAG_MUTABLE;
adddatum2(obj264, alloc_Undefined(), 1);
if (objclass264 == NULL) {
  Method *reader267 = addmethodrealflags(obj264, "tok",&reader_parser_tok_267, 0);
  Method *writer267 = addmethodrealflags(obj264, "tok:=",&writer_parser_tok_267, 0);
  reader267->definitionModule = modulename;
  writer267->definitionModule = modulename;
  reader267->definitionLine = 130;
  writer267->definitionLine = 130;
}
obj264->flags |= OFLAG_MUTABLE;
adddatum2(obj264, alloc_Undefined(), 2);
  sourceObject = obj264;
  adddatum2(obj264, undefined, 1);
  sourceObject = obj264;
  adddatum2(obj264, undefined, 2);
objclass264 = obj264->class;
  objclass264->definitionModule = modulename;
  objclass264->definitionLine = 127;
  (*(struct UserObject *)self).data[0] = lowerouter264;
  self = oldself264;
  selfslot = oldselfslot264;
  stackframe = oldstackframe264;
// compilenode returning obj264
  *var_result = obj264;
  if (obj264 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe268 = gc_frame_new();
  Object block269 = alloc_Block(NULL, NULL, "parser", 132);
  gc_frame_newslot(block269);
  block_savedest(block269);
  Object closure270 = createclosure(3, "_apply");
setclosureframe(closure270, stackframe);
  addtoclosure(closure270, var_tok);
  addtoclosure(closure270, var_n);
  addtoclosure(closure270, selfslot);
  struct UserObject *uo270 = (struct UserObject*)block269;
  uo270->data[0] = (Object)closure270;
  Method *meth_meth_parser__apply270 = addmethod2pos(block269, "_apply", &meth_parser__apply270, 0);
int argcv_meth_parser__apply270[] = {0};
meth_meth_parser__apply270->type = alloc_MethodType(1, argcv_meth_parser__apply270);
  meth_meth_parser__apply270->definitionModule = modulename;
  meth_meth_parser__apply270->definitionLine = 113;
// compilenode returning block269
  gc_frame_newslot(block269);
  Object block288 = alloc_Block(NULL, NULL, "parser", 132);
  gc_frame_newslot(block288);
  block_savedest(block288);
  Object closure289 = createclosure(4, "_apply");
setclosureframe(closure289, stackframe);
  addtoclosure(closure289, var_n);
  addtoclosure(closure289, var_numOpening);
  addtoclosure(closure289, var_numClosing);
  addtoclosure(closure289, selfslot);
  struct UserObject *uo289 = (struct UserObject*)block288;
  uo289->data[0] = (Object)closure289;
  Method *meth_meth_parser__apply289 = addmethod2pos(block288, "_apply", &meth_parser__apply289, 0);
int argcv_meth_parser__apply289[] = {0};
meth_meth_parser__apply289->type = alloc_MethodType(1, argcv_meth_parser__apply289);
  meth_meth_parser__apply289->definitionModule = modulename;
  meth_meth_parser__apply289->definitionLine = 132;
// compilenode returning block288
  gc_frame_newslot(block288);
  params[0] = block269;
  params[1] = block288;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call318 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe268);
// compilenode returning call318
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe319 = gc_frame_new();
  Object block320 = alloc_Block(NULL, NULL, "parser", 138);
  gc_frame_newslot(block320);
  block_savedest(block320);
  Object closure321 = createclosure(3, "_apply");
setclosureframe(closure321, stackframe);
  addtoclosure(closure321, var_tok);
  addtoclosure(closure321, var_n);
  addtoclosure(closure321, selfslot);
  struct UserObject *uo321 = (struct UserObject*)block320;
  uo321->data[0] = (Object)closure321;
  Method *meth_meth_parser__apply321 = addmethod2pos(block320, "_apply", &meth_parser__apply321, 0);
int argcv_meth_parser__apply321[] = {0};
meth_meth_parser__apply321->type = alloc_MethodType(1, argcv_meth_parser__apply321);
  meth_meth_parser__apply321->definitionModule = modulename;
  meth_meth_parser__apply321->definitionLine = 135;
// compilenode returning block320
  gc_frame_newslot(block320);
  Object block339 = alloc_Block(NULL, NULL, "parser", 138);
  gc_frame_newslot(block339);
  block_savedest(block339);
  Object closure340 = createclosure(4, "_apply");
setclosureframe(closure340, stackframe);
  addtoclosure(closure340, var_n);
  addtoclosure(closure340, var_numOpening);
  addtoclosure(closure340, var_numClosing);
  addtoclosure(closure340, selfslot);
  struct UserObject *uo340 = (struct UserObject*)block339;
  uo340->data[0] = (Object)closure340;
  Method *meth_meth_parser__apply340 = addmethod2pos(block339, "_apply", &meth_parser__apply340, 0);
int argcv_meth_parser__apply340[] = {0};
meth_meth_parser__apply340->type = alloc_MethodType(1, argcv_meth_parser__apply340);
  meth_meth_parser__apply340->definitionModule = modulename;
  meth_meth_parser__apply340->definitionLine = 138;
// compilenode returning block339
  gc_frame_newslot(block339);
  params[0] = block320;
  params[1] = block339;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call369 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe319);
// compilenode returning call369
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit372 == NULL) {
    strlit372 = alloc_String("rbrace");
    gc_root(strlit372);
  }
// compilenode returning strlit372
  int op_slot_right_371 = gc_frame_newslot(strlit372);
  int callframe374 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call375 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe374);
// compilenode returning call375
// compilenode returning call375
  int op_slot_left_371 = gc_frame_newslot(call375);
  params[0] = strlit372;
  partcv[0] = 1;
  Object opresult376 = callmethod(call375, "==", 1, partcv, params);
// compilenode returning opresult376
  Object if370 = done;
  if (istrue(opresult376)) {
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe377 = gc_frame_new();
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool378 = alloc_Boolean(1);
// compilenode returning bool378
  gc_frame_newslot(bool378);
// compilenode returning *var_result
  params[0] = bool378;
  partcv[0] = 1;
  Object call379 = callmethod(*var_result, "found:=",
    1, partcv, params);
  gc_frame_end(callframe377);
// compilenode returning call379
// compilenode returning done
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe380 = gc_frame_new();
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_result
  params[0] = *var_n;
  partcv[0] = 1;
  Object call381 = callmethod(*var_result, "tok:=",
    1, partcv, params);
  gc_frame_end(callframe380);
// compilenode returning call381
// compilenode returning done
    gc_frame_newslot(done);
    if370 = done;
  } else {
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_numClosing
  int op_slot_right_384 = gc_frame_newslot(*var_numClosing);
// compilenode returning *var_numOpening
  int op_slot_left_384 = gc_frame_newslot(*var_numOpening);
  params[0] = *var_numClosing;
  partcv[0] = 1;
  Object opresult386 = callmethod(*var_numOpening, "==", 1, partcv, params);
// compilenode returning opresult386
  int op_slot_right_383 = gc_frame_newslot(opresult386);
  if (strlit389 == NULL) {
    strlit389 = alloc_String("rbrace");
    gc_root(strlit389);
  }
// compilenode returning strlit389
  int op_slot_right_388 = gc_frame_newslot(strlit389);
  int callframe391 = gc_frame_new();
  int callframe392 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call393 = callmethod(*var_n, "prev",
    1, partcv, params);
  gc_frame_end(callframe392);
// compilenode returning call393
// compilenode returning call393
  partcv[0] = 0;
  Object call394 = callmethod(call393, "kind",
    1, partcv, params);
  gc_frame_end(callframe391);
// compilenode returning call394
// compilenode returning call394
  int op_slot_left_388 = gc_frame_newslot(call394);
  params[0] = strlit389;
  partcv[0] = 1;
  Object opresult395 = callmethod(call394, "==", 1, partcv, params);
// compilenode returning opresult395
  int op_slot_left_383 = gc_frame_newslot(opresult395);
  params[0] = opresult386;
  partcv[0] = 1;
  Object opresult396 = callmethod(opresult395, "&&", 1, partcv, params);
// compilenode returning opresult396
  Object if382 = done;
  if (istrue(opresult396)) {
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe397 = gc_frame_new();
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool398 = alloc_Boolean(1);
// compilenode returning bool398
  gc_frame_newslot(bool398);
// compilenode returning *var_result
  params[0] = bool398;
  partcv[0] = 1;
  Object call399 = callmethod(*var_result, "found:=",
    1, partcv, params);
  gc_frame_end(callframe397);
// compilenode returning call399
// compilenode returning done
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe400 = gc_frame_new();
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe401 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call402 = callmethod(*var_n, "prev",
    1, partcv, params);
  gc_frame_end(callframe401);
// compilenode returning call402
// compilenode returning call402
  gc_frame_newslot(call402);
// compilenode returning *var_result
  params[0] = call402;
  partcv[0] = 1;
  Object call403 = callmethod(*var_result, "tok:=",
    1, partcv, params);
  gc_frame_end(callframe400);
// compilenode returning call403
// compilenode returning done
    gc_frame_newslot(done);
    if382 = done;
  } else {
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe404 = gc_frame_new();
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool405 = alloc_Boolean(0);
// compilenode returning bool405
  gc_frame_newslot(bool405);
// compilenode returning *var_result
  params[0] = bool405;
  partcv[0] = 1;
  Object call406 = callmethod(*var_result, "found:=",
    1, partcv, params);
  gc_frame_end(callframe404);
// compilenode returning call406
// compilenode returning done
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe407 = gc_frame_new();
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe408 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call409 = callmethod(*var_n, "prev",
    1, partcv, params);
  gc_frame_end(callframe408);
// compilenode returning call409
// compilenode returning call409
  gc_frame_newslot(call409);
// compilenode returning *var_result
  params[0] = call409;
  partcv[0] = 1;
  Object call410 = callmethod(*var_result, "tok:=",
    1, partcv, params);
  gc_frame_end(callframe407);
// compilenode returning call410
// compilenode returning done
    gc_frame_newslot(done);
    if382 = done;
  }
// compilenode returning if382
    gc_frame_newslot(if382);
    if370 = if382;
  }
// compilenode returning if370
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_result
  gc_frame_end(frame);
  return *var_result;
}
Object meth_parser_findClosingBrace259_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findClosingBrace()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findClosingBrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tok = &(stackframe->slots[0]);
  *var_tok = args[curarg];
  curarg++;
  Object *var_inserted = &(stackframe->slots[1]);
  *var_inserted = args[curarg];
  curarg++;
if (argcv && argcv[0] > 2)
  gracedie("too many arguments for findClosingBrace");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_numOpening = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "numOpening");
  Object *var_numClosing = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "numClosing");
  Object *var_result = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "result");
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_n = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_inserted
  Object if260 = done;
struct StackFrameObject *iftmpstackframe260 = stackframe;
  if (istrue(*var_inserted)) {
stackframe = alloc_StackFrame(0, iftmpstackframe260);
gc_frame_newslot((Object)stackframe);
  Object num261 = alloc_Float64(1);
// compilenode returning num261
    gc_frame_newslot(num261);
    if260 = num261;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe260);
gc_frame_newslot((Object)stackframe);
  Object num262 = alloc_Float64(0);
// compilenode returning num262
    gc_frame_newslot(num262);
    if260 = num262;
  }
stackframe = iftmpstackframe260;
// compilenode returning if260
  *var_numOpening = if260;
  if (if260 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num263 = alloc_Float64(0);
// compilenode returning num263
  *var_numClosing = num263;
  if (num263 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject264 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj264 = alloc_userobj2(4,4, objclass264);
  gc_frame_newslot(obj264);
// OBJECT OUTER DEC outer
  adddatum2(obj264, self, 0);
  addmethodreal(obj264,"outer", &reader_parser_outer_265);
  Object oldself264 = self;
  struct StackFrameObject *oldstackframe264 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe264);
  gc_frame_newslot((Object)stackframe);
  self = obj264;
  Object *oldselfslot264 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter264 = (*(struct UserObject *)self).data[0], lowerouter264 = thisouter264;
  if (inheritingObject264) {
    struct UserObject *inho264 = (struct UserObject *)inheritingObject264;
    while (inho264->super != GraceDefaultObject) inho264 = (struct UserObject *)inho264->super;
    inho264->super = obj264;
    self = inheritingObject264;
    *selfslot = self;
    lowerouter264 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter264;
  }
if (objclass264 == NULL) {
  Method *reader266 = addmethodrealflags(obj264, "found",&reader_parser_found_266, 0);
  Method *writer266 = addmethodrealflags(obj264, "found:=",&writer_parser_found_266, 0);
  reader266->definitionModule = modulename;
  writer266->definitionModule = modulename;
  reader266->definitionLine = 129;
  writer266->definitionLine = 129;
}
obj264->flags |= OFLAG_MUTABLE;
adddatum2(obj264, alloc_Undefined(), 1);
if (objclass264 == NULL) {
  Method *reader267 = addmethodrealflags(obj264, "tok",&reader_parser_tok_267, 0);
  Method *writer267 = addmethodrealflags(obj264, "tok:=",&writer_parser_tok_267, 0);
  reader267->definitionModule = modulename;
  writer267->definitionModule = modulename;
  reader267->definitionLine = 130;
  writer267->definitionLine = 130;
}
obj264->flags |= OFLAG_MUTABLE;
adddatum2(obj264, alloc_Undefined(), 2);
  sourceObject = obj264;
  adddatum2(obj264, undefined, 1);
  sourceObject = obj264;
  adddatum2(obj264, undefined, 2);
objclass264 = obj264->class;
  objclass264->definitionModule = modulename;
  objclass264->definitionLine = 127;
  (*(struct UserObject *)self).data[0] = lowerouter264;
  self = oldself264;
  selfslot = oldselfslot264;
  stackframe = oldstackframe264;
// compilenode returning obj264
  *var_result = obj264;
  if (obj264 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe268 = gc_frame_new();
  Object block269 = alloc_Block(NULL, NULL, "parser", 132);
  gc_frame_newslot(block269);
  block_savedest(block269);
  Object closure270 = createclosure(3, "_apply");
setclosureframe(closure270, stackframe);
  addtoclosure(closure270, var_tok);
  addtoclosure(closure270, var_n);
  addtoclosure(closure270, selfslot);
  struct UserObject *uo270 = (struct UserObject*)block269;
  uo270->data[0] = (Object)closure270;
  Method *meth_meth_parser__apply270 = addmethod2pos(block269, "_apply", &meth_parser__apply270, 0);
int argcv_meth_parser__apply270[] = {0};
meth_meth_parser__apply270->type = alloc_MethodType(1, argcv_meth_parser__apply270);
  meth_meth_parser__apply270->definitionModule = modulename;
  meth_meth_parser__apply270->definitionLine = 113;
// compilenode returning block269
  gc_frame_newslot(block269);
  Object block288 = alloc_Block(NULL, NULL, "parser", 132);
  gc_frame_newslot(block288);
  block_savedest(block288);
  Object closure289 = createclosure(4, "_apply");
setclosureframe(closure289, stackframe);
  addtoclosure(closure289, var_n);
  addtoclosure(closure289, var_numOpening);
  addtoclosure(closure289, var_numClosing);
  addtoclosure(closure289, selfslot);
  struct UserObject *uo289 = (struct UserObject*)block288;
  uo289->data[0] = (Object)closure289;
  Method *meth_meth_parser__apply289 = addmethod2pos(block288, "_apply", &meth_parser__apply289, 0);
int argcv_meth_parser__apply289[] = {0};
meth_meth_parser__apply289->type = alloc_MethodType(1, argcv_meth_parser__apply289);
  meth_meth_parser__apply289->definitionModule = modulename;
  meth_meth_parser__apply289->definitionLine = 132;
// compilenode returning block288
  gc_frame_newslot(block288);
  params[0] = block269;
  params[1] = block288;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call318 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe268);
// compilenode returning call318
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe319 = gc_frame_new();
  Object block320 = alloc_Block(NULL, NULL, "parser", 138);
  gc_frame_newslot(block320);
  block_savedest(block320);
  Object closure321 = createclosure(3, "_apply");
setclosureframe(closure321, stackframe);
  addtoclosure(closure321, var_tok);
  addtoclosure(closure321, var_n);
  addtoclosure(closure321, selfslot);
  struct UserObject *uo321 = (struct UserObject*)block320;
  uo321->data[0] = (Object)closure321;
  Method *meth_meth_parser__apply321 = addmethod2pos(block320, "_apply", &meth_parser__apply321, 0);
int argcv_meth_parser__apply321[] = {0};
meth_meth_parser__apply321->type = alloc_MethodType(1, argcv_meth_parser__apply321);
  meth_meth_parser__apply321->definitionModule = modulename;
  meth_meth_parser__apply321->definitionLine = 135;
// compilenode returning block320
  gc_frame_newslot(block320);
  Object block339 = alloc_Block(NULL, NULL, "parser", 138);
  gc_frame_newslot(block339);
  block_savedest(block339);
  Object closure340 = createclosure(4, "_apply");
setclosureframe(closure340, stackframe);
  addtoclosure(closure340, var_n);
  addtoclosure(closure340, var_numOpening);
  addtoclosure(closure340, var_numClosing);
  addtoclosure(closure340, selfslot);
  struct UserObject *uo340 = (struct UserObject*)block339;
  uo340->data[0] = (Object)closure340;
  Method *meth_meth_parser__apply340 = addmethod2pos(block339, "_apply", &meth_parser__apply340, 0);
int argcv_meth_parser__apply340[] = {0};
meth_meth_parser__apply340->type = alloc_MethodType(1, argcv_meth_parser__apply340);
  meth_meth_parser__apply340->definitionModule = modulename;
  meth_meth_parser__apply340->definitionLine = 138;
// compilenode returning block339
  gc_frame_newslot(block339);
  params[0] = block320;
  params[1] = block339;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call369 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe319);
// compilenode returning call369
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit372 == NULL) {
    strlit372 = alloc_String("rbrace");
    gc_root(strlit372);
  }
// compilenode returning strlit372
  int op_slot_right_371 = gc_frame_newslot(strlit372);
  int callframe374 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call375 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe374);
// compilenode returning call375
// compilenode returning call375
  int op_slot_left_371 = gc_frame_newslot(call375);
  params[0] = strlit372;
  partcv[0] = 1;
  Object opresult376 = callmethod(call375, "==", 1, partcv, params);
// compilenode returning opresult376
  Object if370 = done;
  if (istrue(opresult376)) {
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe377 = gc_frame_new();
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool378 = alloc_Boolean(1);
// compilenode returning bool378
  gc_frame_newslot(bool378);
// compilenode returning *var_result
  params[0] = bool378;
  partcv[0] = 1;
  Object call379 = callmethod(*var_result, "found:=",
    1, partcv, params);
  gc_frame_end(callframe377);
// compilenode returning call379
// compilenode returning done
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe380 = gc_frame_new();
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_result
  params[0] = *var_n;
  partcv[0] = 1;
  Object call381 = callmethod(*var_result, "tok:=",
    1, partcv, params);
  gc_frame_end(callframe380);
// compilenode returning call381
// compilenode returning done
    gc_frame_newslot(done);
    if370 = done;
  } else {
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_numClosing
  int op_slot_right_384 = gc_frame_newslot(*var_numClosing);
// compilenode returning *var_numOpening
  int op_slot_left_384 = gc_frame_newslot(*var_numOpening);
  params[0] = *var_numClosing;
  partcv[0] = 1;
  Object opresult386 = callmethod(*var_numOpening, "==", 1, partcv, params);
// compilenode returning opresult386
  int op_slot_right_383 = gc_frame_newslot(opresult386);
  if (strlit389 == NULL) {
    strlit389 = alloc_String("rbrace");
    gc_root(strlit389);
  }
// compilenode returning strlit389
  int op_slot_right_388 = gc_frame_newslot(strlit389);
  int callframe391 = gc_frame_new();
  int callframe392 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call393 = callmethod(*var_n, "prev",
    1, partcv, params);
  gc_frame_end(callframe392);
// compilenode returning call393
// compilenode returning call393
  partcv[0] = 0;
  Object call394 = callmethod(call393, "kind",
    1, partcv, params);
  gc_frame_end(callframe391);
// compilenode returning call394
// compilenode returning call394
  int op_slot_left_388 = gc_frame_newslot(call394);
  params[0] = strlit389;
  partcv[0] = 1;
  Object opresult395 = callmethod(call394, "==", 1, partcv, params);
// compilenode returning opresult395
  int op_slot_left_383 = gc_frame_newslot(opresult395);
  params[0] = opresult386;
  partcv[0] = 1;
  Object opresult396 = callmethod(opresult395, "&&", 1, partcv, params);
// compilenode returning opresult396
  Object if382 = done;
  if (istrue(opresult396)) {
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe397 = gc_frame_new();
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool398 = alloc_Boolean(1);
// compilenode returning bool398
  gc_frame_newslot(bool398);
// compilenode returning *var_result
  params[0] = bool398;
  partcv[0] = 1;
  Object call399 = callmethod(*var_result, "found:=",
    1, partcv, params);
  gc_frame_end(callframe397);
// compilenode returning call399
// compilenode returning done
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe400 = gc_frame_new();
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe401 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call402 = callmethod(*var_n, "prev",
    1, partcv, params);
  gc_frame_end(callframe401);
// compilenode returning call402
// compilenode returning call402
  gc_frame_newslot(call402);
// compilenode returning *var_result
  params[0] = call402;
  partcv[0] = 1;
  Object call403 = callmethod(*var_result, "tok:=",
    1, partcv, params);
  gc_frame_end(callframe400);
// compilenode returning call403
// compilenode returning done
    gc_frame_newslot(done);
    if382 = done;
  } else {
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe404 = gc_frame_new();
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool405 = alloc_Boolean(0);
// compilenode returning bool405
  gc_frame_newslot(bool405);
// compilenode returning *var_result
  params[0] = bool405;
  partcv[0] = 1;
  Object call406 = callmethod(*var_result, "found:=",
    1, partcv, params);
  gc_frame_end(callframe404);
// compilenode returning call406
// compilenode returning done
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe407 = gc_frame_new();
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe408 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call409 = callmethod(*var_n, "prev",
    1, partcv, params);
  gc_frame_end(callframe408);
// compilenode returning call409
// compilenode returning call409
  gc_frame_newslot(call409);
// compilenode returning *var_result
  params[0] = call409;
  partcv[0] = 1;
  Object call410 = callmethod(*var_result, "tok:=",
    1, partcv, params);
  gc_frame_end(callframe407);
// compilenode returning call410
// compilenode returning done
    gc_frame_newslot(done);
    if382 = done;
  }
// compilenode returning if382
    gc_frame_newslot(if382);
    if370 = if382;
  }
// compilenode returning if370
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_result
  gc_frame_end(frame);
  return *var_result;
}
Object meth_parser_accept412(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 161
  setline(161);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 160
  setline(160);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_t
  int op_slot_right_413 = gc_frame_newslot(*var_t);
  int callframe415 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call416 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe415);
// compilenode returning call416
// compilenode returning call416
  int op_slot_left_413 = gc_frame_newslot(call416);
  params[0] = *var_t;
  partcv[0] = 1;
  Object opresult417 = callmethod(call416, "==", 1, partcv, params);
// compilenode returning opresult417
  gc_frame_end(frame);
  return opresult417;
}
Object meth_parser_acceptSameLine418(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "acceptSameLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_lastIndent = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_lastline = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for acceptSameLine (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for acceptSameLine");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastIndent
  int op_slot_right_421 = gc_frame_newslot(*var_lastIndent);
  int callframe423 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call424 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe423);
// compilenode returning call424
// compilenode returning call424
  int op_slot_left_421 = gc_frame_newslot(call424);
  params[0] = *var_lastIndent;
  partcv[0] = 1;
  Object opresult425 = callmethod(call424, ">", 1, partcv, params);
// compilenode returning opresult425
  int op_slot_right_420 = gc_frame_newslot(opresult425);
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe428 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call429 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe428);
// compilenode returning call429
// compilenode returning call429
  int op_slot_right_427 = gc_frame_newslot(call429);
// compilenode returning *var_lastline
  int op_slot_left_427 = gc_frame_newslot(*var_lastline);
  params[0] = call429;
  partcv[0] = 1;
  Object opresult431 = callmethod(*var_lastline, "==", 1, partcv, params);
// compilenode returning opresult431
  int op_slot_left_420 = gc_frame_newslot(opresult431);
  params[0] = opresult425;
  partcv[0] = 1;
  Object opresult432 = callmethod(opresult431, "||", 1, partcv, params);
// compilenode returning opresult432
  int op_slot_right_419 = gc_frame_newslot(opresult432);
// compilenode returning *var_t
  int op_slot_right_434 = gc_frame_newslot(*var_t);
  int callframe436 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call437 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe436);
// compilenode returning call437
// compilenode returning call437
  int op_slot_left_434 = gc_frame_newslot(call437);
  params[0] = *var_t;
  partcv[0] = 1;
  Object opresult438 = callmethod(call437, "==", 1, partcv, params);
// compilenode returning opresult438
  int op_slot_left_419 = gc_frame_newslot(opresult438);
  params[0] = opresult432;
  partcv[0] = 1;
  Object opresult439 = callmethod(opresult438, "&&", 1, partcv, params);
// compilenode returning opresult439
  gc_frame_end(frame);
  return opresult439;
}
Object meth_parser_accept_40__41_onLineOf440(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "accept()onLineOf");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()onLineOf (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for accept");
  Object *var_other = &(stackframe->slots[1]);
  *var_other = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for onLineOf");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 176
  setline(176);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe444 = gc_frame_new();
// compilenode returning *var_other
  partcv[0] = 0;
  Object call445 = callmethod(*var_other, "indent",
    1, partcv, params);
  gc_frame_end(callframe444);
// compilenode returning call445
// compilenode returning call445
  int op_slot_right_443 = gc_frame_newslot(call445);
  int callframe447 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call448 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe447);
// compilenode returning call448
// compilenode returning call448
  int op_slot_left_443 = gc_frame_newslot(call448);
  params[0] = call445;
  partcv[0] = 1;
  Object opresult449 = callmethod(call448, ">", 1, partcv, params);
// compilenode returning opresult449
  int op_slot_right_442 = gc_frame_newslot(opresult449);
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe452 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call453 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe452);
// compilenode returning call453
// compilenode returning call453
  int op_slot_right_451 = gc_frame_newslot(call453);
  int callframe455 = gc_frame_new();
// compilenode returning *var_other
  partcv[0] = 0;
  Object call456 = callmethod(*var_other, "line",
    1, partcv, params);
  gc_frame_end(callframe455);
// compilenode returning call456
// compilenode returning call456
  int op_slot_left_451 = gc_frame_newslot(call456);
  params[0] = call453;
  partcv[0] = 1;
  Object opresult457 = callmethod(call456, "==", 1, partcv, params);
// compilenode returning opresult457
  int op_slot_left_442 = gc_frame_newslot(opresult457);
  params[0] = opresult449;
  partcv[0] = 1;
  Object opresult458 = callmethod(opresult457, "||", 1, partcv, params);
// compilenode returning opresult458
  int op_slot_right_441 = gc_frame_newslot(opresult458);
// compilenode returning *var_t
  int op_slot_right_460 = gc_frame_newslot(*var_t);
  int callframe462 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call463 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe462);
// compilenode returning call463
// compilenode returning call463
  int op_slot_left_460 = gc_frame_newslot(call463);
  params[0] = *var_t;
  partcv[0] = 1;
  Object opresult464 = callmethod(call463, "==", 1, partcv, params);
// compilenode returning opresult464
  int op_slot_left_441 = gc_frame_newslot(opresult464);
  params[0] = opresult458;
  partcv[0] = 1;
  Object opresult465 = callmethod(opresult464, "&&", 1, partcv, params);
// compilenode returning opresult465
  gc_frame_end(frame);
  return opresult465;
}
Object meth_parser_accept_40__41_onLineOfLastOr466(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "accept()onLineOfLastOr");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()onLineOfLastOr (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for accept");
  Object *var_other = &(stackframe->slots[1]);
  *var_other = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for onLineOfLastOr");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 181
  setline(181);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe470 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call471 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe470);
// compilenode returning call471
// compilenode returning call471
  int op_slot_right_469 = gc_frame_newslot(call471);
  int callframe473 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call474 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe473);
// compilenode returning call474
// compilenode returning call474
  int op_slot_left_469 = gc_frame_newslot(call474);
  params[0] = call471;
  partcv[0] = 1;
  Object opresult475 = callmethod(call474, "==", 1, partcv, params);
// compilenode returning opresult475
  int op_slot_right_468 = gc_frame_newslot(opresult475);
  int callframe479 = gc_frame_new();
// compilenode returning *var_other
  partcv[0] = 0;
  Object call480 = callmethod(*var_other, "indent",
    1, partcv, params);
  gc_frame_end(callframe479);
// compilenode returning call480
// compilenode returning call480
  int op_slot_right_478 = gc_frame_newslot(call480);
  int callframe482 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call483 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe482);
// compilenode returning call483
// compilenode returning call483
  int op_slot_left_478 = gc_frame_newslot(call483);
  params[0] = call480;
  partcv[0] = 1;
  Object opresult484 = callmethod(call483, ">", 1, partcv, params);
// compilenode returning opresult484
  int op_slot_right_477 = gc_frame_newslot(opresult484);
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe487 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call488 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe487);
// compilenode returning call488
// compilenode returning call488
  int op_slot_right_486 = gc_frame_newslot(call488);
  int callframe490 = gc_frame_new();
// compilenode returning *var_other
  partcv[0] = 0;
  Object call491 = callmethod(*var_other, "line",
    1, partcv, params);
  gc_frame_end(callframe490);
// compilenode returning call491
// compilenode returning call491
  int op_slot_left_486 = gc_frame_newslot(call491);
  params[0] = call488;
  partcv[0] = 1;
  Object opresult492 = callmethod(call491, "==", 1, partcv, params);
// compilenode returning opresult492
  int op_slot_left_477 = gc_frame_newslot(opresult492);
  params[0] = opresult484;
  partcv[0] = 1;
  Object opresult493 = callmethod(opresult492, "||", 1, partcv, params);
// compilenode returning opresult493
  int op_slot_left_468 = gc_frame_newslot(opresult493);
  params[0] = opresult475;
  partcv[0] = 1;
  Object opresult494 = callmethod(opresult493, "||", 1, partcv, params);
// compilenode returning opresult494
  int op_slot_right_467 = gc_frame_newslot(opresult494);
// compilenode returning *var_t
  int op_slot_right_496 = gc_frame_newslot(*var_t);
  int callframe498 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call499 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe498);
// compilenode returning call499
// compilenode returning call499
  int op_slot_left_496 = gc_frame_newslot(call499);
  params[0] = *var_t;
  partcv[0] = 1;
  Object opresult500 = callmethod(call499, "==", 1, partcv, params);
// compilenode returning opresult500
  int op_slot_left_467 = gc_frame_newslot(opresult500);
  params[0] = opresult494;
  partcv[0] = 1;
  Object opresult501 = callmethod(opresult500, "&&", 1, partcv, params);
// compilenode returning opresult501
  gc_frame_end(frame);
  return opresult501;
}
Object meth_parser_tokenOnSameLine502(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "tokenOnSameLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastIndent = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_lastline = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for tokenOnSameLine (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for tokenOnSameLine");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 186
  setline(186);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 185
  setline(185);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastIndent
  int op_slot_right_504 = gc_frame_newslot(*var_lastIndent);
  int callframe506 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call507 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe506);
// compilenode returning call507
// compilenode returning call507
  int op_slot_left_504 = gc_frame_newslot(call507);
  params[0] = *var_lastIndent;
  partcv[0] = 1;
  Object opresult508 = callmethod(call507, ">", 1, partcv, params);
// compilenode returning opresult508
  int op_slot_right_503 = gc_frame_newslot(opresult508);
  int callframe511 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call512 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe511);
// compilenode returning call512
// compilenode returning call512
  int op_slot_right_510 = gc_frame_newslot(call512);
// compilenode returning *var_lastline
  int op_slot_left_510 = gc_frame_newslot(*var_lastline);
  params[0] = call512;
  partcv[0] = 1;
  Object opresult514 = callmethod(*var_lastline, "==", 1, partcv, params);
// compilenode returning opresult514
  int op_slot_left_503 = gc_frame_newslot(opresult514);
  params[0] = opresult508;
  partcv[0] = 1;
  Object opresult515 = callmethod(opresult514, "||", 1, partcv, params);
// compilenode returning opresult515
  gc_frame_end(frame);
  return opresult515;
}
Object meth_parser_didConsume516(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "didConsume");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for didConsume (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ablock = &(stackframe->slots[0]);
  *var_ablock = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for didConsume");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sz = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "sz");
// Begin line 190
  setline(190);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 189
  setline(189);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe517 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call518 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe517);
// compilenode returning call518
// compilenode returning call518
  *var_sz = call518;
  if (call518 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 190
  setline(190);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe519 = gc_frame_new();
// compilenode returning *var_ablock
  partcv[0] = 0;
  Object call520 = callmethod(*var_ablock, "apply",
    1, partcv, params);
  gc_frame_end(callframe519);
// compilenode returning call520
// compilenode returning call520
// Begin line 192
  setline(192);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 191
  setline(191);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sz
  int op_slot_right_521 = gc_frame_newslot(*var_sz);
  int callframe523 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call524 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe523);
// compilenode returning call524
// compilenode returning call524
  int op_slot_left_521 = gc_frame_newslot(call524);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult525 = callmethod(call524, "!=", 1, partcv, params);
// compilenode returning opresult525
  gc_frame_end(frame);
  return opresult525;
}
Object meth_parser_ifConsume_40__41_then526(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ifConsume()then");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for ifConsume()then (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_ablock = &(stackframe->slots[0]);
  *var_ablock = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for ifConsume");
  Object *var_tblock = &(stackframe->slots[1]);
  *var_tblock = args[curarg];
  curarg++;
if (argcv && argcv[1] > 1)
  gracedie("too many arguments for then");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sz = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "sz");
// Begin line 196
  setline(196);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 195
  setline(195);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe527 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call528 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe527);
// compilenode returning call528
// compilenode returning call528
  *var_sz = call528;
  if (call528 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 196
  setline(196);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe529 = gc_frame_new();
// compilenode returning *var_ablock
  partcv[0] = 0;
  Object call530 = callmethod(*var_ablock, "apply",
    1, partcv, params);
  gc_frame_end(callframe529);
// compilenode returning call530
// compilenode returning call530
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 197
  setline(197);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sz
  int op_slot_right_532 = gc_frame_newslot(*var_sz);
  int callframe534 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call535 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe534);
// compilenode returning call535
// compilenode returning call535
  int op_slot_left_532 = gc_frame_newslot(call535);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult536 = callmethod(call535, "!=", 1, partcv, params);
// compilenode returning opresult536
  Object if531 = done;
  if (istrue(opresult536)) {
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe537 = gc_frame_new();
// compilenode returning *var_tblock
  partcv[0] = 0;
  Object call538 = callmethod(*var_tblock, "apply",
    1, partcv, params);
  gc_frame_end(callframe537);
// compilenode returning call538
// compilenode returning call538
    gc_frame_newslot(call538);
    if531 = call538;
  } else {
  }
// compilenode returning if531
  gc_frame_end(frame);
  return if531;
}
Object meth_parser_pushnum539(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pushnum");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pushnum (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for pushnum");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_o = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "o");
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe540 = gc_frame_new();
  int callframe541 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call542 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe541);
// compilenode returning call542
// compilenode returning call542
  gc_frame_newslot(call542);
  int callframe543 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call544 = callmethod(*var_ast, "numNode",
    1, partcv, params);
  gc_frame_end(callframe543);
// compilenode returning call544
// compilenode returning call544
  params[0] = call542;
  partcv[0] = 1;
  Object call545 = callmethod(call544, "new",
    1, partcv, params);
  gc_frame_end(callframe540);
// compilenode returning call545
  *var_o = call545;
  if (call545 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 205
  setline(205);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe546 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call547 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe546);
// compilenode returning call547
// Begin line 206
  setline(206);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe548 = gc_frame_new();
  partcv[0] = 0;
  Object call549 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe548);
// compilenode returning call549
  gc_frame_end(frame);
  return call549;
}
Object meth_parser_pushoctets550(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pushoctets");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pushoctets (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for pushoctets");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_o = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "o");
// Begin line 211
  setline(211);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe551 = gc_frame_new();
  int callframe552 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call553 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe552);
// compilenode returning call553
// compilenode returning call553
  gc_frame_newslot(call553);
  int callframe554 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call555 = callmethod(*var_ast, "octetsNode",
    1, partcv, params);
  gc_frame_end(callframe554);
// compilenode returning call555
// compilenode returning call555
  params[0] = call553;
  partcv[0] = 1;
  Object call556 = callmethod(call555, "new",
    1, partcv, params);
  gc_frame_end(callframe551);
// compilenode returning call556
  *var_o = call556;
  if (call556 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 212
  setline(212);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe557 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call558 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe557);
// compilenode returning call558
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe559 = gc_frame_new();
  partcv[0] = 0;
  Object call560 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe559);
// compilenode returning call560
  gc_frame_end(frame);
  return call560;
}
Object meth_parser_pushstring561(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pushstring");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pushstring (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for pushstring");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_o = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "o");
// Begin line 218
  setline(218);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe562 = gc_frame_new();
  int callframe563 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call564 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe563);
// compilenode returning call564
// compilenode returning call564
  gc_frame_newslot(call564);
  int callframe565 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call566 = callmethod(*var_ast, "stringNode",
    1, partcv, params);
  gc_frame_end(callframe565);
// compilenode returning call566
// compilenode returning call566
  params[0] = call564;
  partcv[0] = 1;
  Object call567 = callmethod(call566, "new",
    1, partcv, params);
  gc_frame_end(callframe562);
// compilenode returning call567
  *var_o = call567;
  if (call567 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe568 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call569 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe568);
// compilenode returning call569
// Begin line 220
  setline(220);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe570 = gc_frame_new();
  partcv[0] = 0;
  Object call571 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe570);
// compilenode returning call571
  gc_frame_end(frame);
  return call571;
}
Object meth_parser_pushidentifier572(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pushidentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_ast = getfromclosure(closure, 2);
  Object *var_auto_count = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pushidentifier (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for pushidentifier");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_o = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "o");
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe573 = gc_frame_new();
  int callframe574 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call575 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe574);
// compilenode returning call575
// compilenode returning call575
  gc_frame_newslot(call575);
// compilenode returning *var_util
  params[0] = call575;
  partcv[0] = 1;
  Object call576 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe573);
// compilenode returning call576
// Begin line 227
  setline(227);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe577 = gc_frame_new();
  int callframe578 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call579 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe578);
// compilenode returning call579
// compilenode returning call579
  gc_frame_newslot(call579);
  Object bool580 = alloc_Boolean(0);
// compilenode returning bool580
  gc_frame_newslot(bool580);
  int callframe581 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call582 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe581);
// compilenode returning call582
// compilenode returning call582
  params[0] = call579;
  params[1] = bool580;
  partcv[0] = 2;
  Object call583 = callmethod(call582, "new",
    1, partcv, params);
  gc_frame_end(callframe577);
// compilenode returning call583
  *var_o = call583;
  if (call583 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit586 == NULL) {
    strlit586 = alloc_String("_");
    gc_root(strlit586);
  }
// compilenode returning strlit586
  int op_slot_right_585 = gc_frame_newslot(strlit586);
  int callframe588 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call589 = callmethod(*var_o, "value",
    1, partcv, params);
  gc_frame_end(callframe588);
// compilenode returning call589
// compilenode returning call589
  int op_slot_left_585 = gc_frame_newslot(call589);
  params[0] = strlit586;
  partcv[0] = 1;
  Object opresult590 = callmethod(call589, "==", 1, partcv, params);
// compilenode returning opresult590
  Object if584 = done;
  if (istrue(opresult590)) {
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe591 = gc_frame_new();
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_auto_count
  int op_slot_right_592 = gc_frame_newslot(*var_auto_count);
  if (strlit594 == NULL) {
    strlit594 = alloc_String("__");
    gc_root(strlit594);
  }
// compilenode returning strlit594
  int op_slot_left_592 = gc_frame_newslot(strlit594);
  params[0] = *var_auto_count;
  partcv[0] = 1;
  Object opresult595 = callmethod(strlit594, "++", 1, partcv, params);
// compilenode returning opresult595
  gc_frame_newslot(opresult595);
// compilenode returning *var_o
  params[0] = opresult595;
  partcv[0] = 1;
  Object call596 = callmethod(*var_o, "value:=",
    1, partcv, params);
  gc_frame_end(callframe591);
// compilenode returning call596
// compilenode returning done
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe597 = gc_frame_new();
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool598 = alloc_Boolean(1);
// compilenode returning bool598
  gc_frame_newslot(bool598);
// compilenode returning *var_o
  params[0] = bool598;
  partcv[0] = 1;
  Object call599 = callmethod(*var_o, "wildcard:=",
    1, partcv, params);
  gc_frame_end(callframe597);
// compilenode returning call599
// compilenode returning done
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num601 = alloc_Float64(1);
// compilenode returning num601
  int op_slot_right_600 = gc_frame_newslot(num601);
// compilenode returning *var_auto_count
  int op_slot_left_600 = gc_frame_newslot(*var_auto_count);
  params[0] = num601;
  partcv[0] = 1;
  Object sum603 = callmethod(*var_auto_count, "+", 1, partcv, params);
// compilenode returning sum603
  *var_auto_count = sum603;
  if (sum603 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if584 = done;
  } else {
  }
// compilenode returning if584
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe605 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call606 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe605);
// compilenode returning call606
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe607 = gc_frame_new();
  partcv[0] = 0;
  Object call608 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe607);
// compilenode returning call608
  gc_frame_end(frame);
  return call608;
}
Object meth_parser__apply630(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object bool632 = alloc_Boolean(0);
// compilenode returning bool632
  int op_slot_right_631 = gc_frame_newslot(bool632);
  int callframe634 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call635 = callmethod(*var_a, "dtype",
    1, partcv, params);
  gc_frame_end(callframe634);
// compilenode returning call635
// compilenode returning call635
  int op_slot_left_631 = gc_frame_newslot(call635);
  params[0] = bool632;
  partcv[0] = 1;
  Object opresult636 = callmethod(call635, "!=", 1, partcv, params);
// compilenode returning opresult636
  gc_frame_end(frame);
  return opresult636;
}
Object meth_parser__apply647(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit649 == NULL) {
    strlit649 = alloc_String(":");
    gc_root(strlit649);
  }
// compilenode returning strlit649
  int op_slot_right_648 = gc_frame_newslot(strlit649);
  int callframe651 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call652 = callmethod(*var_tok, "value",
    1, partcv, params);
  gc_frame_end(callframe651);
// compilenode returning call652
// compilenode returning call652
  int op_slot_left_648 = gc_frame_newslot(call652);
  params[0] = strlit649;
  partcv[0] = 1;
  Object opresult653 = callmethod(call652, "!=", 1, partcv, params);
// compilenode returning opresult653
  gc_frame_end(frame);
  return opresult653;
}
Object meth_parser__apply656(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe657 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call658 = callmethod(*var_tok, "prev",
    1, partcv, params);
  gc_frame_end(callframe657);
// compilenode returning call658
// compilenode returning call658
  *var_tok = call658;
  if (call658 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply626(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_tok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "tok");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe628 = gc_frame_new();
  Object block629 = alloc_Block(NULL, NULL, "parser", 240);
  gc_frame_newslot(block629);
  block_savedest(block629);
  Object closure630 = createclosure(2, "_apply");
setclosureframe(closure630, stackframe);
  addtoclosure(closure630, var_a);
  addtoclosure(closure630, selfslot);
  struct UserObject *uo630 = (struct UserObject*)block629;
  uo630->data[0] = (Object)closure630;
  Method *meth_meth_parser__apply630 = addmethod2pos(block629, "_apply", &meth_parser__apply630, 0);
int argcv_meth_parser__apply630[] = {0};
meth_meth_parser__apply630->type = alloc_MethodType(1, argcv_meth_parser__apply630);
  meth_meth_parser__apply630->definitionModule = modulename;
  meth_meth_parser__apply630->definitionLine = 239;
// compilenode returning block629
  gc_frame_newslot(block629);
  if (strlit639 == NULL) {
    strlit639 = alloc_String("identifier");
    gc_root(strlit639);
  }
// compilenode returning strlit639
  int op_slot_right_638 = gc_frame_newslot(strlit639);
  int callframe641 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call642 = callmethod(*var_a, "kind",
    1, partcv, params);
  gc_frame_end(callframe641);
// compilenode returning call642
// compilenode returning call642
  int op_slot_left_638 = gc_frame_newslot(call642);
  params[0] = strlit639;
  partcv[0] = 1;
  Object opresult643 = callmethod(call642, "==", 1, partcv, params);
// compilenode returning opresult643
  params[0] = block629;
  partcv[0] = 1;
  Object call644 = callmethod(opresult643, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe628);
// compilenode returning call644
  Object if627 = done;
  if (istrue(call644)) {
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 241
  setline(241);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_tok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe645 = gc_frame_new();
  Object block646 = alloc_Block(NULL, NULL, "parser", 243);
  gc_frame_newslot(block646);
  block_savedest(block646);
  Object closure647 = createclosure(2, "_apply");
setclosureframe(closure647, stackframe);
  addtoclosure(closure647, var_tok);
  addtoclosure(closure647, selfslot);
  struct UserObject *uo647 = (struct UserObject*)block646;
  uo647->data[0] = (Object)closure647;
  Method *meth_meth_parser__apply647 = addmethod2pos(block646, "_apply", &meth_parser__apply647, 0);
int argcv_meth_parser__apply647[] = {0};
meth_meth_parser__apply647->type = alloc_MethodType(1, argcv_meth_parser__apply647);
  meth_meth_parser__apply647->definitionModule = modulename;
  meth_meth_parser__apply647->definitionLine = 240;
// compilenode returning block646
  gc_frame_newslot(block646);
  Object block655 = alloc_Block(NULL, NULL, "parser", 243);
  gc_frame_newslot(block655);
  block_savedest(block655);
  Object closure656 = createclosure(2, "_apply");
setclosureframe(closure656, stackframe);
  addtoclosure(closure656, var_tok);
  addtoclosure(closure656, selfslot);
  struct UserObject *uo656 = (struct UserObject*)block655;
  uo656->data[0] = (Object)closure656;
  Method *meth_meth_parser__apply656 = addmethod2pos(block655, "_apply", &meth_parser__apply656, 0);
int argcv_meth_parser__apply656[] = {0};
meth_meth_parser__apply656->type = alloc_MethodType(1, argcv_meth_parser__apply656);
  meth_meth_parser__apply656->definitionModule = modulename;
  meth_meth_parser__apply656->definitionLine = 243;
// compilenode returning block655
  gc_frame_newslot(block655);
  params[0] = block646;
  params[1] = block655;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call661 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe645);
// compilenode returning call661
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe662 = gc_frame_new();
  int callframe663 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call664 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe663);
// compilenode returning call664
// compilenode returning call664
  partcv[0] = 0;
  Object call665 = callmethod(call664, "new",
    1, partcv, params);
  gc_frame_end(callframe662);
// compilenode returning call665
// compilenode returning call665
  *var_suggestion = call665;
  if (call665 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe666 = gc_frame_new();
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  int callframe667 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call668 = callmethod(*var_tok, "next",
    1, partcv, params);
  gc_frame_end(callframe667);
// compilenode returning call668
// compilenode returning call668
  gc_frame_newslot(call668);
  Object bool669 = alloc_Boolean(1);
// compilenode returning bool669
  gc_frame_newslot(bool669);
  Object bool670 = alloc_Boolean(0);
// compilenode returning bool670
  gc_frame_newslot(bool670);
// compilenode returning *var_suggestion
  params[0] = *var_tok;
  params[1] = call668;
  params[2] = bool669;
  params[3] = bool670;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call671 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe666);
// compilenode returning call671
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe672 = gc_frame_new();
  if (strlit673 == NULL) {
    strlit673 = alloc_String("An argument to an annotation cannot have a type.");
    gc_root(strlit673);
  }
// compilenode returning strlit673
  gc_frame_newslot(strlit673);
// Begin line 247
  setline(247);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe674 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call675 = callmethod(*var_tok, "line",
    1, partcv, params);
  gc_frame_end(callframe674);
// compilenode returning call675
// compilenode returning call675
  gc_frame_newslot(call675);
  int callframe676 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call677 = callmethod(*var_tok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe676);
// compilenode returning call677
// compilenode returning call677
  gc_frame_newslot(call677);
  Object num679 = alloc_Float64(1);
// compilenode returning num679
  int op_slot_right_678 = gc_frame_newslot(num679);
  int callframe682 = gc_frame_new();
  int callframe683 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call684 = callmethod(*var_tok, "next",
    1, partcv, params);
  gc_frame_end(callframe683);
// compilenode returning call684
// compilenode returning call684
  partcv[0] = 0;
  Object call685 = callmethod(call684, "size",
    1, partcv, params);
  gc_frame_end(callframe682);
// compilenode returning call685
// compilenode returning call685
  int op_slot_right_681 = gc_frame_newslot(call685);
  int callframe687 = gc_frame_new();
  int callframe688 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call689 = callmethod(*var_tok, "next",
    1, partcv, params);
  gc_frame_end(callframe688);
// compilenode returning call689
// compilenode returning call689
  partcv[0] = 0;
  Object call690 = callmethod(call689, "linePos",
    1, partcv, params);
  gc_frame_end(callframe687);
// compilenode returning call690
// compilenode returning call690
  int op_slot_left_681 = gc_frame_newslot(call690);
  params[0] = call685;
  partcv[0] = 1;
  Object sum691 = callmethod(call690, "+", 1, partcv, params);
// compilenode returning sum691
  int op_slot_left_678 = gc_frame_newslot(sum691);
  params[0] = num679;
  partcv[0] = 1;
  Object diff692 = callmethod(sum691, "-", 1, partcv, params);
// compilenode returning diff692
  gc_frame_newslot(diff692);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit673;
  params[1] = call675;
  params[2] = call677;
  params[3] = diff692;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call693 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe672);
// compilenode returning call693
    gc_frame_newslot(call693);
    if627 = call693;
  } else {
  }
// compilenode returning if627
  gc_frame_end(frame);
  return if627;
}
Object meth_parser__apply621(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 239
  setline(239);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe622 = gc_frame_new();
  int callframe623 = gc_frame_new();
// compilenode returning *var_p
  partcv[0] = 0;
  Object call624 = callmethod(*var_p, "args",
    1, partcv, params);
  gc_frame_end(callframe623);
// compilenode returning call624
// compilenode returning call624
  gc_frame_newslot(call624);
  Object block625 = alloc_Block(NULL, NULL, "parser", 239);
  gc_frame_newslot(block625);
  block_savedest(block625);
  Object closure626 = createclosure(3, "_apply");
setclosureframe(closure626, stackframe);
  addtoclosure(closure626, var_sym);
  addtoclosure(closure626, var_errormessages);
  addtoclosure(closure626, selfslot);
  struct UserObject *uo626 = (struct UserObject*)block625;
  uo626->data[0] = (Object)closure626;
  Method *meth_meth_parser__apply626 = addmethod2pos(block625, "_apply", &meth_parser__apply626, 0);
int argcv_meth_parser__apply626[] = {1};
meth_meth_parser__apply626->type = alloc_MethodType(1, argcv_meth_parser__apply626);
  meth_meth_parser__apply626->definitionModule = modulename;
  meth_meth_parser__apply626->definitionLine = 239;
// compilenode returning block625
  gc_frame_newslot(block625);
  params[0] = call624;
  params[1] = block625;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call695 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe622);
// compilenode returning call695
  gc_frame_end(frame);
  return call695;
}
Object meth_parser_checkAnnotation609(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkAnnotation");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for checkAnnotation (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for checkAnnotation");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit612 == NULL) {
    strlit612 = alloc_String("call");
    gc_root(strlit612);
  }
// compilenode returning strlit612
  int op_slot_right_611 = gc_frame_newslot(strlit612);
  int callframe614 = gc_frame_new();
// compilenode returning *var_ann
  partcv[0] = 0;
  Object call615 = callmethod(*var_ann, "kind",
    1, partcv, params);
  gc_frame_end(callframe614);
// compilenode returning call615
// compilenode returning call615
  int op_slot_left_611 = gc_frame_newslot(call615);
  params[0] = strlit612;
  partcv[0] = 1;
  Object opresult616 = callmethod(call615, "==", 1, partcv, params);
// compilenode returning opresult616
  Object if610 = done;
  if (istrue(opresult616)) {
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe617 = gc_frame_new();
  int callframe618 = gc_frame_new();
// compilenode returning *var_ann
  partcv[0] = 0;
  Object call619 = callmethod(*var_ann, "with",
    1, partcv, params);
  gc_frame_end(callframe618);
// compilenode returning call619
// compilenode returning call619
  gc_frame_newslot(call619);
  Object block620 = alloc_Block(NULL, NULL, "parser", 238);
  gc_frame_newslot(block620);
  block_savedest(block620);
  Object closure621 = createclosure(3, "_apply");
setclosureframe(closure621, stackframe);
  addtoclosure(closure621, var_sym);
  addtoclosure(closure621, var_errormessages);
  addtoclosure(closure621, selfslot);
  struct UserObject *uo621 = (struct UserObject*)block620;
  uo621->data[0] = (Object)closure621;
  Method *meth_meth_parser__apply621 = addmethod2pos(block620, "_apply", &meth_parser__apply621, 0);
int argcv_meth_parser__apply621[] = {1};
meth_meth_parser__apply621->type = alloc_MethodType(1, argcv_meth_parser__apply621);
  meth_meth_parser__apply621->definitionModule = modulename;
  meth_meth_parser__apply621->definitionLine = 238;
// compilenode returning block620
  gc_frame_newslot(block620);
  params[0] = call619;
  params[1] = block620;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call697 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe617);
// compilenode returning call697
    gc_frame_newslot(call697);
    if610 = call697;
  } else {
  }
// compilenode returning if610
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_ann
  gc_frame_end(frame);
  return *var_ann;
}
Object meth_parser__apply702(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit704 == NULL) {
    strlit704 = alloc_String("is");
    gc_root(strlit704);
  }
// compilenode returning strlit704
  int op_slot_right_703 = gc_frame_newslot(strlit704);
  int callframe706 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call707 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe706);
// compilenode returning call707
// compilenode returning call707
  int op_slot_left_703 = gc_frame_newslot(call707);
  params[0] = strlit704;
  partcv[0] = 1;
  Object opresult708 = callmethod(call707, "!=", 1, partcv, params);
// compilenode returning opresult708
  gc_frame_end(frame);
  return opresult708;
}
Object meth_parser__apply729(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe730 = gc_frame_new();
  partcv[0] = 0;
  Object call731 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe730);
// compilenode returning call731
  gc_frame_end(frame);
  return call731;
}
Object meth_parser__apply790(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe791 = gc_frame_new();
  if (strlit792 == NULL) {
    strlit792 = alloc_String("comma");
    gc_root(strlit792);
  }
// compilenode returning strlit792
  gc_frame_newslot(strlit792);
  params[0] = strlit792;
  partcv[0] = 1;
  Object call793 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe791);
// compilenode returning call793
  gc_frame_end(frame);
  return call793;
}
Object meth_parser__apply809(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe810 = gc_frame_new();
  partcv[0] = 0;
  Object call811 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe810);
// compilenode returning call811
  gc_frame_end(frame);
  return call811;
}
Object meth_parser__apply796(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_anns = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
// Begin line 278
  setline(278);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe797 = gc_frame_new();
  int callframe798 = gc_frame_new();
  int callframe799 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call800 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe799);
// compilenode returning call800
// compilenode returning call800
  gc_frame_newslot(call800);
  params[0] = call800;
  partcv[0] = 1;
  Object call801 = callmethodflags(self, "checkAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe798);
// compilenode returning call801
  gc_frame_newslot(call801);
// compilenode returning *var_anns
  params[0] = call801;
  partcv[0] = 1;
  Object call802 = callmethod(*var_anns, "push",
    1, partcv, params);
  gc_frame_end(callframe797);
// compilenode returning call802
// Begin line 279
  setline(279);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe803 = gc_frame_new();
  partcv[0] = 0;
  Object call804 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe803);
// compilenode returning call804
// Begin line 296
  setline(296);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe806 = gc_frame_new();
  int callframe807 = gc_frame_new();
  Object block808 = alloc_Block(NULL, NULL, "parser", 280);
  gc_frame_newslot(block808);
  block_savedest(block808);
  Object closure809 = createclosure(1, "_apply");
setclosureframe(closure809, stackframe);
  addtoclosure(closure809, selfslot);
  struct UserObject *uo809 = (struct UserObject*)block808;
  uo809->data[0] = (Object)closure809;
  Method *meth_meth_parser__apply809 = addmethod2pos(block808, "_apply", &meth_parser__apply809, 0);
int argcv_meth_parser__apply809[] = {0};
meth_meth_parser__apply809->type = alloc_MethodType(1, argcv_meth_parser__apply809);
  meth_meth_parser__apply809->definitionModule = modulename;
  meth_meth_parser__apply809->definitionLine = 280;
// compilenode returning block808
  gc_frame_newslot(block808);
  params[0] = block808;
  partcv[0] = 1;
  Object call813 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe807);
// compilenode returning call813
  partcv[0] = 0;
  Object call814 = callmethod(call813, "not",
    1, partcv, params);
  gc_frame_end(callframe806);
// compilenode returning call814
// compilenode returning call814
  Object if805 = done;
  if (istrue(call814)) {
// Begin line 282
  setline(282);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 281
  setline(281);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array815 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array815
  *var_suggestions = array815;
  if (array815 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 283
  setline(283);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 282
  setline(282);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe816 = gc_frame_new();
  int callframe817 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call818 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe817);
// compilenode returning call818
// compilenode returning call818
  partcv[0] = 0;
  Object call819 = callmethod(call818, "new",
    1, partcv, params);
  gc_frame_end(callframe816);
// compilenode returning call819
// compilenode returning call819
  *var_suggestion = call819;
  if (call819 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 283
  setline(283);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe820 = gc_frame_new();
  if (strlit821 == NULL) {
    strlit821 = alloc_String("bind");
    gc_root(strlit821);
  }
// compilenode returning strlit821
  gc_frame_newslot(strlit821);
  params[0] = strlit821;
  partcv[0] = 1;
  Object call822 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe820);
// compilenode returning call822
  *var_nextTok = call822;
  if (call822 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 284
  setline(284);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_824 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_824 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult826 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult826
  Object if823 = done;
  if (istrue(opresult826)) {
// Begin line 285
  setline(285);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe827 = gc_frame_new();
  if (strlit828 == NULL) {
    strlit828 = alloc_String(" ""\xc2""""\xab""annotation""\xc2""""\xbb""");
    gc_root(strlit828);
  }
// compilenode returning strlit828
  gc_frame_newslot(strlit828);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit828;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call829 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe827);
// compilenode returning call829
    gc_frame_newslot(call829);
    if823 = call829;
  } else {
// Begin line 287
  setline(287);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe830 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe831 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call832 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe831);
// compilenode returning call832
// compilenode returning call832
  gc_frame_newslot(call832);
  Object bool833 = alloc_Boolean(1);
// compilenode returning bool833
  gc_frame_newslot(bool833);
  Object bool834 = alloc_Boolean(0);
// compilenode returning bool834
  gc_frame_newslot(bool834);
  if (strlit835 == NULL) {
    strlit835 = alloc_String(" ""\xc2""""\xab""annotation""\xc2""""\xbb""");
    gc_root(strlit835);
  }
// compilenode returning strlit835
  gc_frame_newslot(strlit835);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call832;
  params[2] = bool833;
  params[3] = bool834;
  params[4] = strlit835;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call836 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe830);
// compilenode returning call836
    gc_frame_newslot(call836);
    if823 = call836;
  }
// compilenode returning if823
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe837 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call838 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe837);
// compilenode returning call838
// Begin line 291
  setline(291);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 290
  setline(290);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe839 = gc_frame_new();
  int callframe840 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call841 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe840);
// compilenode returning call841
// compilenode returning call841
  partcv[0] = 0;
  Object call842 = callmethod(call841, "new",
    1, partcv, params);
  gc_frame_end(callframe839);
// compilenode returning call842
// compilenode returning call842
  *var_suggestion = call842;
  if (call842 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 291
  setline(291);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe844 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe845 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call846 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe845);
// compilenode returning call846
// compilenode returning call846
  gc_frame_newslot(call846);
  Object bool847 = alloc_Boolean(1);
// compilenode returning bool847
  gc_frame_newslot(bool847);
  Object bool848 = alloc_Boolean(0);
// compilenode returning bool848
  gc_frame_newslot(bool848);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call846;
  params[2] = bool847;
  params[3] = bool848;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call849 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe844);
// compilenode returning call849
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe850 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call851 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe850);
// compilenode returning call851
// Begin line 293
  setline(293);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe852 = gc_frame_new();
  if (strlit853 == NULL) {
    strlit853 = alloc_String("One or more annotations separated by commas must follow 'is'.");
    gc_root(strlit853);
  }
// compilenode returning strlit853
  gc_frame_newslot(strlit853);
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe854 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call855 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe854);
// compilenode returning call855
// compilenode returning call855
  gc_frame_newslot(call855);
  Object num857 = alloc_Float64(1);
// compilenode returning num857
  int op_slot_right_856 = gc_frame_newslot(num857);
  int callframe860 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call861 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe860);
// compilenode returning call861
// compilenode returning call861
  int op_slot_right_859 = gc_frame_newslot(call861);
  int callframe863 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call864 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe863);
// compilenode returning call864
// compilenode returning call864
  int op_slot_left_859 = gc_frame_newslot(call864);
  params[0] = call861;
  partcv[0] = 1;
  Object sum865 = callmethod(call864, "+", 1, partcv, params);
// compilenode returning sum865
  int op_slot_left_856 = gc_frame_newslot(sum865);
  params[0] = num857;
  partcv[0] = 1;
  Object sum866 = callmethod(sum865, "+", 1, partcv, params);
// compilenode returning sum866
  gc_frame_newslot(sum866);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 293
  setline(293);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit853;
  params[1] = call855;
  params[2] = sum866;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call867 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe852);
// compilenode returning call867
    gc_frame_newslot(call867);
    if805 = call867;
  } else {
  }
// compilenode returning if805
  gc_frame_end(frame);
  return if805;
}
Object meth_parser_doannotation698(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doannotation");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_collections = getfromclosure(closure, 1);
  Object *var_don_39_tTakeBlock = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doannotation (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for doannotation");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_anns = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "anns");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 255
  setline(255);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe700 = gc_frame_new();
  Object block701 = alloc_Block(NULL, NULL, "parser", 255);
  gc_frame_newslot(block701);
  block_savedest(block701);
  Object closure702 = createclosure(2, "_apply");
setclosureframe(closure702, stackframe);
  addtoclosure(closure702, var_sym);
  addtoclosure(closure702, selfslot);
  struct UserObject *uo702 = (struct UserObject*)block701;
  uo702->data[0] = (Object)closure702;
  Method *meth_meth_parser__apply702 = addmethod2pos(block701, "_apply", &meth_parser__apply702, 0);
int argcv_meth_parser__apply702[] = {0};
meth_meth_parser__apply702->type = alloc_MethodType(1, argcv_meth_parser__apply702);
  meth_meth_parser__apply702->definitionModule = modulename;
  meth_meth_parser__apply702->definitionLine = 247;
// compilenode returning block701
  gc_frame_newslot(block701);
  int callframe710 = gc_frame_new();
  int callframe711 = gc_frame_new();
  if (strlit712 == NULL) {
    strlit712 = alloc_String("keyword");
    gc_root(strlit712);
  }
// compilenode returning strlit712
  gc_frame_newslot(strlit712);
  params[0] = strlit712;
  partcv[0] = 1;
  Object call713 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe711);
// compilenode returning call713
  partcv[0] = 0;
  Object call714 = callmethod(call713, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe710);
// compilenode returning call714
  params[0] = block701;
  partcv[0] = 1;
  Object call715 = callmethod(call714, "orElse",
    1, partcv, params);
  gc_frame_end(callframe700);
// compilenode returning call715
  Object if699 = done;
  if (istrue(call715)) {
// Begin line 257
  setline(257);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool716 = alloc_Boolean(0);
// compilenode returning bool716
  return bool716;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if699 = undefined;
  } else {
  }
// compilenode returning if699
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe717 = gc_frame_new();
  partcv[0] = 0;
  Object call718 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe717);
// compilenode returning call718
// Begin line 260
  setline(260);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 259
  setline(259);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe719 = gc_frame_new();
  int callframe720 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call721 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe720);
// compilenode returning call721
// compilenode returning call721
  partcv[0] = 0;
  Object call722 = callmethod(call721, "new",
    1, partcv, params);
  gc_frame_end(callframe719);
// compilenode returning call722
// compilenode returning call722
  *var_anns = call722;
  if (call722 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 260
  setline(260);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool723 = alloc_Boolean(1);
// compilenode returning bool723
  *var_don_39_tTakeBlock = bool723;
  if (bool723 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe726 = gc_frame_new();
  int callframe727 = gc_frame_new();
  Object block728 = alloc_Block(NULL, NULL, "parser", 261);
  gc_frame_newslot(block728);
  block_savedest(block728);
  Object closure729 = createclosure(1, "_apply");
setclosureframe(closure729, stackframe);
  addtoclosure(closure729, selfslot);
  struct UserObject *uo729 = (struct UserObject*)block728;
  uo729->data[0] = (Object)closure729;
  Method *meth_meth_parser__apply729 = addmethod2pos(block728, "_apply", &meth_parser__apply729, 0);
int argcv_meth_parser__apply729[] = {0};
meth_meth_parser__apply729->type = alloc_MethodType(1, argcv_meth_parser__apply729);
  meth_meth_parser__apply729->definitionModule = modulename;
  meth_meth_parser__apply729->definitionLine = 261;
// compilenode returning block728
  gc_frame_newslot(block728);
  params[0] = block728;
  partcv[0] = 1;
  Object call733 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe727);
// compilenode returning call733
  partcv[0] = 0;
  Object call734 = callmethod(call733, "not",
    1, partcv, params);
  gc_frame_end(callframe726);
// compilenode returning call734
// compilenode returning call734
  Object if725 = done;
  if (istrue(call734)) {
// Begin line 263
  setline(263);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array735 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array735
  *var_suggestions = array735;
  if (array735 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 264
  setline(264);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 263
  setline(263);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe736 = gc_frame_new();
  int callframe737 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call738 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe737);
// compilenode returning call738
// compilenode returning call738
  partcv[0] = 0;
  Object call739 = callmethod(call738, "new",
    1, partcv, params);
  gc_frame_end(callframe736);
// compilenode returning call739
// compilenode returning call739
  *var_suggestion = call739;
  if (call739 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 264
  setline(264);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe740 = gc_frame_new();
  if (strlit741 == NULL) {
    strlit741 = alloc_String("bind");
    gc_root(strlit741);
  }
// compilenode returning strlit741
  gc_frame_newslot(strlit741);
  params[0] = strlit741;
  partcv[0] = 1;
  Object call742 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe740);
// compilenode returning call742
  *var_nextTok = call742;
  if (call742 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 265
  setline(265);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_744 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_744 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult746 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult746
  Object if743 = done;
  if (istrue(opresult746)) {
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe747 = gc_frame_new();
  if (strlit748 == NULL) {
    strlit748 = alloc_String(" ""\xc2""""\xab""annotation""\xc2""""\xbb""");
    gc_root(strlit748);
  }
// compilenode returning strlit748
  gc_frame_newslot(strlit748);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit748;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call749 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe747);
// compilenode returning call749
    gc_frame_newslot(call749);
    if743 = call749;
  } else {
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe750 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe751 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call752 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe751);
// compilenode returning call752
// compilenode returning call752
  gc_frame_newslot(call752);
  Object bool753 = alloc_Boolean(1);
// compilenode returning bool753
  gc_frame_newslot(bool753);
  Object bool754 = alloc_Boolean(0);
// compilenode returning bool754
  gc_frame_newslot(bool754);
  if (strlit755 == NULL) {
    strlit755 = alloc_String(" ""\xc2""""\xab""annotation""\xc2""""\xbb""");
    gc_root(strlit755);
  }
// compilenode returning strlit755
  gc_frame_newslot(strlit755);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call752;
  params[2] = bool753;
  params[3] = bool754;
  params[4] = strlit755;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call756 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe750);
// compilenode returning call756
    gc_frame_newslot(call756);
    if743 = call756;
  }
// compilenode returning if743
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe757 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call758 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe757);
// compilenode returning call758
// Begin line 272
  setline(272);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 271
  setline(271);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe759 = gc_frame_new();
  int callframe760 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call761 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe760);
// compilenode returning call761
// compilenode returning call761
  partcv[0] = 0;
  Object call762 = callmethod(call761, "new",
    1, partcv, params);
  gc_frame_end(callframe759);
// compilenode returning call762
// compilenode returning call762
  *var_suggestion = call762;
  if (call762 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 272
  setline(272);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe764 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe765 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call766 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe765);
// compilenode returning call766
// compilenode returning call766
  gc_frame_newslot(call766);
  Object bool767 = alloc_Boolean(1);
// compilenode returning bool767
  gc_frame_newslot(bool767);
  Object bool768 = alloc_Boolean(0);
// compilenode returning bool768
  gc_frame_newslot(bool768);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call766;
  params[2] = bool767;
  params[3] = bool768;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call769 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe764);
// compilenode returning call769
// Begin line 273
  setline(273);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe770 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call771 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe770);
// compilenode returning call771
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe772 = gc_frame_new();
  if (strlit773 == NULL) {
    strlit773 = alloc_String("One or more annotations separated by commas must follow 'is'.");
    gc_root(strlit773);
  }
// compilenode returning strlit773
  gc_frame_newslot(strlit773);
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe774 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call775 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe774);
// compilenode returning call775
// compilenode returning call775
  gc_frame_newslot(call775);
  Object num777 = alloc_Float64(1);
// compilenode returning num777
  int op_slot_right_776 = gc_frame_newslot(num777);
  int callframe780 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call781 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe780);
// compilenode returning call781
// compilenode returning call781
  int op_slot_right_779 = gc_frame_newslot(call781);
  int callframe783 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call784 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe783);
// compilenode returning call784
// compilenode returning call784
  int op_slot_left_779 = gc_frame_newslot(call784);
  params[0] = call781;
  partcv[0] = 1;
  Object sum785 = callmethod(call784, "+", 1, partcv, params);
// compilenode returning sum785
  int op_slot_left_776 = gc_frame_newslot(sum785);
  params[0] = num777;
  partcv[0] = 1;
  Object sum786 = callmethod(sum785, "+", 1, partcv, params);
// compilenode returning sum786
  gc_frame_newslot(sum786);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit773;
  params[1] = call775;
  params[2] = sum786;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call787 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe772);
// compilenode returning call787
    gc_frame_newslot(call787);
    if725 = call787;
  } else {
  }
// compilenode returning if725
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe788 = gc_frame_new();
  Object block789 = alloc_Block(NULL, NULL, "parser", 277);
  gc_frame_newslot(block789);
  block_savedest(block789);
  Object closure790 = createclosure(1, "_apply");
setclosureframe(closure790, stackframe);
  addtoclosure(closure790, selfslot);
  struct UserObject *uo790 = (struct UserObject*)block789;
  uo790->data[0] = (Object)closure790;
  Method *meth_meth_parser__apply790 = addmethod2pos(block789, "_apply", &meth_parser__apply790, 0);
int argcv_meth_parser__apply790[] = {0};
meth_meth_parser__apply790->type = alloc_MethodType(1, argcv_meth_parser__apply790);
  meth_meth_parser__apply790->definitionModule = modulename;
  meth_meth_parser__apply790->definitionLine = 275;
// compilenode returning block789
  gc_frame_newslot(block789);
  Object block795 = alloc_Block(NULL, NULL, "parser", 277);
  gc_frame_newslot(block795);
  block_savedest(block795);
  Object closure796 = createclosure(6, "_apply");
setclosureframe(closure796, stackframe);
  addtoclosure(closure796, var_values);
  addtoclosure(closure796, var_anns);
  addtoclosure(closure796, var_errormessages);
  addtoclosure(closure796, var_sym);
  addtoclosure(closure796, var_lastToken);
  addtoclosure(closure796, selfslot);
  struct UserObject *uo796 = (struct UserObject*)block795;
  uo796->data[0] = (Object)closure796;
  Method *meth_meth_parser__apply796 = addmethod2pos(block795, "_apply", &meth_parser__apply796, 0);
int argcv_meth_parser__apply796[] = {0};
meth_meth_parser__apply796->type = alloc_MethodType(1, argcv_meth_parser__apply796);
  meth_meth_parser__apply796->definitionModule = modulename;
  meth_meth_parser__apply796->definitionLine = 275;
// compilenode returning block795
  gc_frame_newslot(block795);
  params[0] = block789;
  params[1] = block795;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call869 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe788);
// compilenode returning call869
// Begin line 298
  setline(298);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 297
  setline(297);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool870 = alloc_Boolean(0);
// compilenode returning bool870
  *var_don_39_tTakeBlock = bool870;
  if (bool870 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 298
  setline(298);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe872 = gc_frame_new();
  int callframe873 = gc_frame_new();
  int callframe874 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call875 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe874);
// compilenode returning call875
// compilenode returning call875
  gc_frame_newslot(call875);
  params[0] = call875;
  partcv[0] = 1;
  Object call876 = callmethodflags(self, "checkAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe873);
// compilenode returning call876
  gc_frame_newslot(call876);
// compilenode returning *var_anns
  params[0] = call876;
  partcv[0] = 1;
  Object call877 = callmethod(*var_anns, "push",
    1, partcv, params);
  gc_frame_end(callframe872);
// compilenode returning call877
// Begin line 299
  setline(299);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_anns
  gc_frame_end(frame);
  return *var_anns;
}
Object meth_parser_blank878(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "blank");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  Object *var_ast = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for blank (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for blank");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 303
  setline(303);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num882 = alloc_Float64(1);
// compilenode returning num882
  int op_slot_right_881 = gc_frame_newslot(num882);
  int callframe884 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call885 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe884);
// compilenode returning call885
// compilenode returning call885
  int op_slot_left_881 = gc_frame_newslot(call885);
  params[0] = num882;
  partcv[0] = 1;
  Object sum886 = callmethod(call885, "+", 1, partcv, params);
// compilenode returning sum886
  int op_slot_right_880 = gc_frame_newslot(sum886);
  int callframe888 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call889 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe888);
// compilenode returning call889
// compilenode returning call889
  int op_slot_left_880 = gc_frame_newslot(call889);
  params[0] = sum886;
  partcv[0] = 1;
  Object opresult890 = callmethod(call889, ">", 1, partcv, params);
// compilenode returning opresult890
  Object if879 = done;
  if (istrue(opresult890)) {
// Begin line 309
  setline(309);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 304
  setline(304);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num893 = alloc_Float64(0);
// compilenode returning num893
  int op_slot_right_892 = gc_frame_newslot(num893);
  int callframe895 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call896 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe895);
// compilenode returning call896
// compilenode returning call896
  int op_slot_left_892 = gc_frame_newslot(call896);
  params[0] = num893;
  partcv[0] = 1;
  Object opresult897 = callmethod(call896, ">", 1, partcv, params);
// compilenode returning opresult897
  Object if891 = done;
  if (istrue(opresult897)) {
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 305
  setline(305);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit900 == NULL) {
    strlit900 = alloc_String("blank");
    gc_root(strlit900);
  }
// compilenode returning strlit900
  int op_slot_right_899 = gc_frame_newslot(strlit900);
  int callframe902 = gc_frame_new();
  int callframe903 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call904 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe903);
// compilenode returning call904
// compilenode returning call904
  partcv[0] = 0;
  Object call905 = callmethod(call904, "kind",
    1, partcv, params);
  gc_frame_end(callframe902);
// compilenode returning call905
// compilenode returning call905
  int op_slot_left_899 = gc_frame_newslot(call905);
  params[0] = strlit900;
  partcv[0] = 1;
  Object opresult906 = callmethod(call905, "!=", 1, partcv, params);
// compilenode returning opresult906
  Object if898 = done;
  if (istrue(opresult906)) {
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe907 = gc_frame_new();
  int callframe908 = gc_frame_new();
  int callframe909 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call910 = callmethod(*var_ast, "blankNode",
    1, partcv, params);
  gc_frame_end(callframe909);
// compilenode returning call910
// compilenode returning call910
  partcv[0] = 0;
  Object call911 = callmethod(call910, "new",
    1, partcv, params);
  gc_frame_end(callframe908);
// compilenode returning call911
// compilenode returning call911
  gc_frame_newslot(call911);
// compilenode returning *var_values
  params[0] = call911;
  partcv[0] = 1;
  Object call912 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe907);
// compilenode returning call912
    gc_frame_newslot(call912);
    if898 = call912;
  } else {
  }
// compilenode returning if898
    gc_frame_newslot(if898);
    if891 = if898;
  } else {
  }
// compilenode returning if891
    gc_frame_newslot(if891);
    if879 = if891;
  } else {
  }
// compilenode returning if879
  gc_frame_end(frame);
  return if879;
}
Object meth_parser__apply931(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit933 == NULL) {
    strlit933 = alloc_String("type");
    gc_root(strlit933);
  }
// compilenode returning strlit933
  int op_slot_right_932 = gc_frame_newslot(strlit933);
  int callframe935 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call936 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe935);
// compilenode returning call936
// compilenode returning call936
  int op_slot_left_932 = gc_frame_newslot(call936);
  params[0] = strlit933;
  partcv[0] = 1;
  Object opresult937 = callmethod(call936, "==", 1, partcv, params);
// compilenode returning opresult937
  gc_frame_end(frame);
  return opresult937;
}
Object meth_parser_dotypeterm913(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dotypeterm");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_don_39_tTakeBlock = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for dotypeterm (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for dotypeterm");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 313
  setline(313);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe915 = gc_frame_new();
  if (strlit916 == NULL) {
    strlit916 = alloc_String("identifier");
    gc_root(strlit916);
  }
// compilenode returning strlit916
  gc_frame_newslot(strlit916);
  params[0] = strlit916;
  partcv[0] = 1;
  Object call917 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe915);
// compilenode returning call917
  Object if914 = done;
  if (istrue(call917)) {
// Begin line 314
  setline(314);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe918 = gc_frame_new();
  partcv[0] = 0;
  Object call919 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe918);
// compilenode returning call919
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe920 = gc_frame_new();
  partcv[0] = 0;
  Object call921 = callmethodflags(self, "generic", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe920);
// compilenode returning call921
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 316
  setline(316);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool922 = alloc_Boolean(1);
// compilenode returning bool922
  *var_don_39_tTakeBlock = bool922;
  if (bool922 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe924 = gc_frame_new();
  partcv[0] = 0;
  Object call925 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe924);
// compilenode returning call925
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool926 = alloc_Boolean(0);
// compilenode returning bool926
  *var_don_39_tTakeBlock = bool926;
  if (bool926 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if914 = done;
  } else {
// Begin line 323
  setline(323);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe929 = gc_frame_new();
  Object block930 = alloc_Block(NULL, NULL, "parser", 320);
  gc_frame_newslot(block930);
  block_savedest(block930);
  Object closure931 = createclosure(2, "_apply");
setclosureframe(closure931, stackframe);
  addtoclosure(closure931, var_sym);
  addtoclosure(closure931, selfslot);
  struct UserObject *uo931 = (struct UserObject*)block930;
  uo931->data[0] = (Object)closure931;
  Method *meth_meth_parser__apply931 = addmethod2pos(block930, "_apply", &meth_parser__apply931, 0);
int argcv_meth_parser__apply931[] = {0};
meth_meth_parser__apply931->type = alloc_MethodType(1, argcv_meth_parser__apply931);
  meth_meth_parser__apply931->definitionModule = modulename;
  meth_meth_parser__apply931->definitionLine = 306;
// compilenode returning block930
  gc_frame_newslot(block930);
  int callframe939 = gc_frame_new();
  if (strlit940 == NULL) {
    strlit940 = alloc_String("keyword");
    gc_root(strlit940);
  }
// compilenode returning strlit940
  gc_frame_newslot(strlit940);
  params[0] = strlit940;
  partcv[0] = 1;
  Object call941 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe939);
// compilenode returning call941
  params[0] = block930;
  partcv[0] = 1;
  Object call942 = callmethod(call941, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe929);
// compilenode returning call942
  Object if928 = done;
  if (istrue(call942)) {
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe943 = gc_frame_new();
  partcv[0] = 0;
  Object call944 = callmethodflags(self, "doanontype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe943);
// compilenode returning call944
    gc_frame_newslot(call944);
    if928 = call944;
  } else {
  }
// compilenode returning if928
    gc_frame_newslot(if928);
    if914 = if928;
  }
// compilenode returning if914
  gc_frame_end(frame);
  return if914;
}
Object meth_parser__apply954(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe955 = gc_frame_new();
  partcv[0] = 0;
  Object call956 = callmethodflags(self, "dotypeterm", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe955);
// compilenode returning call956
  gc_frame_end(frame);
  return call956;
}
Object meth_parser__apply1008(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit1011 == NULL) {
    strlit1011 = alloc_String("|");
    gc_root(strlit1011);
  }
// compilenode returning strlit1011
  int op_slot_right_1010 = gc_frame_newslot(strlit1011);
  int callframe1013 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1014 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe1013);
// compilenode returning call1014
// compilenode returning call1014
  int op_slot_left_1010 = gc_frame_newslot(call1014);
  params[0] = strlit1011;
  partcv[0] = 1;
  Object opresult1015 = callmethod(call1014, "==", 1, partcv, params);
// compilenode returning opresult1015
  int op_slot_right_1009 = gc_frame_newslot(opresult1015);
  int callframe1017 = gc_frame_new();
  if (strlit1018 == NULL) {
    strlit1018 = alloc_String("op");
    gc_root(strlit1018);
  }
// compilenode returning strlit1018
  gc_frame_newslot(strlit1018);
  params[0] = strlit1018;
  partcv[0] = 1;
  Object call1019 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1017);
// compilenode returning call1019
  int op_slot_left_1009 = gc_frame_newslot(call1019);
  params[0] = opresult1015;
  partcv[0] = 1;
  Object opresult1020 = callmethod(call1019, "&&", 1, partcv, params);
// compilenode returning opresult1020
  gc_frame_end(frame);
  return opresult1020;
}
Object meth_parser__apply1039(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1040 = gc_frame_new();
  partcv[0] = 0;
  Object call1041 = callmethodflags(self, "dotypeterm", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1040);
// compilenode returning call1041
  gc_frame_end(frame);
  return call1041;
}
Object meth_parser__apply1023(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_unionTypes = getfromclosure(closure, 0);
  Object *var_overallType = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_sym = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
// Begin line 352
  setline(352);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 349
  setline(349);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1026 = alloc_Float64(0);
// compilenode returning num1026
  int op_slot_right_1025 = gc_frame_newslot(num1026);
  int callframe1028 = gc_frame_new();
// compilenode returning *var_unionTypes
  partcv[0] = 0;
  Object call1029 = callmethod(*var_unionTypes, "size",
    1, partcv, params);
  gc_frame_end(callframe1028);
// compilenode returning call1029
// compilenode returning call1029
  int op_slot_left_1025 = gc_frame_newslot(call1029);
  params[0] = num1026;
  partcv[0] = 1;
  Object opresult1030 = callmethod(call1029, "==", 1, partcv, params);
// compilenode returning opresult1030
  Object if1024 = done;
  if (istrue(opresult1030)) {
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1031 = gc_frame_new();
// compilenode returning *var_overallType
  gc_frame_newslot(*var_overallType);
// compilenode returning *var_unionTypes
  params[0] = *var_overallType;
  partcv[0] = 1;
  Object call1032 = callmethod(*var_unionTypes, "push",
    1, partcv, params);
  gc_frame_end(callframe1031);
// compilenode returning call1032
    gc_frame_newslot(call1032);
    if1024 = call1032;
  } else {
  }
// compilenode returning if1024
// Begin line 352
  setline(352);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1033 = gc_frame_new();
  partcv[0] = 0;
  Object call1034 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1033);
// compilenode returning call1034
// Begin line 365
  setline(365);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1036 = gc_frame_new();
  int callframe1037 = gc_frame_new();
  Object block1038 = alloc_Block(NULL, NULL, "parser", 353);
  gc_frame_newslot(block1038);
  block_savedest(block1038);
  Object closure1039 = createclosure(1, "_apply");
setclosureframe(closure1039, stackframe);
  addtoclosure(closure1039, selfslot);
  struct UserObject *uo1039 = (struct UserObject*)block1038;
  uo1039->data[0] = (Object)closure1039;
  Method *meth_meth_parser__apply1039 = addmethod2pos(block1038, "_apply", &meth_parser__apply1039, 0);
int argcv_meth_parser__apply1039[] = {0};
meth_meth_parser__apply1039->type = alloc_MethodType(1, argcv_meth_parser__apply1039);
  meth_meth_parser__apply1039->definitionModule = modulename;
  meth_meth_parser__apply1039->definitionLine = 353;
// compilenode returning block1038
  gc_frame_newslot(block1038);
  params[0] = block1038;
  partcv[0] = 1;
  Object call1043 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1037);
// compilenode returning call1043
  partcv[0] = 0;
  Object call1044 = callmethod(call1043, "not",
    1, partcv, params);
  gc_frame_end(callframe1036);
// compilenode returning call1044
// compilenode returning call1044
  Object if1035 = done;
  if (istrue(call1044)) {
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1045 = gc_frame_new();
  partcv[0] = 0;
  Object call1046 = callmethodflags(self, "checkBadAnonymousType", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1045);
// compilenode returning call1046
// Begin line 356
  setline(356);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1047 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1047
  *var_suggestions = array1047;
  if (array1047 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 357
  setline(357);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 356
  setline(356);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1048 = gc_frame_new();
  int callframe1049 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1050 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1049);
// compilenode returning call1050
// compilenode returning call1050
  partcv[0] = 0;
  Object call1051 = callmethod(call1050, "new",
    1, partcv, params);
  gc_frame_end(callframe1048);
// compilenode returning call1051
// compilenode returning call1051
  *var_suggestion = call1051;
  if (call1051 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 357
  setline(357);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1052 = gc_frame_new();
  if (strlit1053 == NULL) {
    strlit1053 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit1053);
  }
// compilenode returning strlit1053
  gc_frame_newslot(strlit1053);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit1053;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1054 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1052);
// compilenode returning call1054
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1055 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1056 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1055);
// compilenode returning call1056
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 359
  setline(359);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1057 = gc_frame_new();
  int callframe1058 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1059 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1058);
// compilenode returning call1059
// compilenode returning call1059
  partcv[0] = 0;
  Object call1060 = callmethod(call1059, "new",
    1, partcv, params);
  gc_frame_end(callframe1057);
// compilenode returning call1060
// compilenode returning call1060
  *var_suggestion = call1060;
  if (call1060 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1062 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call1063 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe1062);
// compilenode returning call1063
// Begin line 361
  setline(361);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1064 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1065 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1064);
// compilenode returning call1065
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1066 = gc_frame_new();
  if (strlit1067 == NULL) {
    strlit1067 = alloc_String("A type name or type expression must follow '|'.");
    gc_root(strlit1067);
  }
// compilenode returning strlit1067
  gc_frame_newslot(strlit1067);
// Begin line 363
  setline(363);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1068 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1069 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1068);
// compilenode returning call1069
// compilenode returning call1069
  gc_frame_newslot(call1069);
  int callframe1070 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1071 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1070);
// compilenode returning call1071
// compilenode returning call1071
  gc_frame_newslot(call1071);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1067;
  params[1] = call1069;
  params[2] = call1071;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1072 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe1066);
// compilenode returning call1072
    gc_frame_newslot(call1072);
    if1035 = call1072;
  } else {
  }
// compilenode returning if1035
// Begin line 365
  setline(365);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1073 = gc_frame_new();
  int callframe1074 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1075 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1074);
// compilenode returning call1075
// compilenode returning call1075
  gc_frame_newslot(call1075);
// compilenode returning *var_unionTypes
  params[0] = call1075;
  partcv[0] = 1;
  Object call1076 = callmethod(*var_unionTypes, "push",
    1, partcv, params);
  gc_frame_end(callframe1073);
// compilenode returning call1076
  gc_frame_end(frame);
  return call1076;
}
Object meth_parser__apply1089(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_unionName = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ut = &(stackframe->slots[0]);
  *var_ut = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 371
  setline(371);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1091 == NULL) {
    strlit1091 = alloc_String("");
    gc_root(strlit1091);
  }
// compilenode returning strlit1091
  int op_slot_right_1090 = gc_frame_newslot(strlit1091);
  int callframe1094 = gc_frame_new();
// compilenode returning *var_ut
  partcv[0] = 0;
  Object call1095 = callmethod(*var_ut, "value",
    1, partcv, params);
  gc_frame_end(callframe1094);
// compilenode returning call1095
// compilenode returning call1095
  int op_slot_right_1093 = gc_frame_newslot(call1095);
  if (strlit1098 == NULL) {
    strlit1098 = alloc_String("|");
    gc_root(strlit1098);
  }
// compilenode returning strlit1098
  int op_slot_right_1097 = gc_frame_newslot(strlit1098);
// compilenode returning *var_unionName
  int op_slot_right_1100 = gc_frame_newslot(*var_unionName);
  if (strlit1102 == NULL) {
    strlit1102 = alloc_String("");
    gc_root(strlit1102);
  }
// compilenode returning strlit1102
  int op_slot_left_1100 = gc_frame_newslot(strlit1102);
  params[0] = *var_unionName;
  partcv[0] = 1;
  Object opresult1103 = callmethod(strlit1102, "++", 1, partcv, params);
// compilenode returning opresult1103
  int op_slot_left_1097 = gc_frame_newslot(opresult1103);
  params[0] = strlit1098;
  partcv[0] = 1;
  Object opresult1104 = callmethod(opresult1103, "++", 1, partcv, params);
// compilenode returning opresult1104
  int op_slot_left_1093 = gc_frame_newslot(opresult1104);
  params[0] = call1095;
  partcv[0] = 1;
  Object opresult1105 = callmethod(opresult1104, "++", 1, partcv, params);
// compilenode returning opresult1105
  int op_slot_left_1090 = gc_frame_newslot(opresult1105);
  params[0] = strlit1091;
  partcv[0] = 1;
  Object opresult1106 = callmethod(opresult1105, "++", 1, partcv, params);
// compilenode returning opresult1106
  *var_unionName = opresult1106;
  if (opresult1106 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply1127(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_overallType = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ut = &(stackframe->slots[0]);
  *var_ut = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 375
  setline(375);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1128 = gc_frame_new();
// compilenode returning *var_ut
  gc_frame_newslot(*var_ut);
  int callframe1129 = gc_frame_new();
// compilenode returning *var_overallType
  partcv[0] = 0;
  Object call1130 = callmethod(*var_overallType, "unionTypes",
    1, partcv, params);
  gc_frame_end(callframe1129);
// compilenode returning call1130
// compilenode returning call1130
  params[0] = *var_ut;
  partcv[0] = 1;
  Object call1131 = callmethod(call1130, "push",
    1, partcv, params);
  gc_frame_end(callframe1128);
// compilenode returning call1131
  gc_frame_end(frame);
  return call1131;
}
Object meth_parser__apply1137(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit1140 == NULL) {
    strlit1140 = alloc_String("&");
    gc_root(strlit1140);
  }
// compilenode returning strlit1140
  int op_slot_right_1139 = gc_frame_newslot(strlit1140);
  int callframe1142 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1143 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe1142);
// compilenode returning call1143
// compilenode returning call1143
  int op_slot_left_1139 = gc_frame_newslot(call1143);
  params[0] = strlit1140;
  partcv[0] = 1;
  Object opresult1144 = callmethod(call1143, "==", 1, partcv, params);
// compilenode returning opresult1144
  int op_slot_right_1138 = gc_frame_newslot(opresult1144);
  int callframe1146 = gc_frame_new();
  if (strlit1147 == NULL) {
    strlit1147 = alloc_String("op");
    gc_root(strlit1147);
  }
// compilenode returning strlit1147
  gc_frame_newslot(strlit1147);
  params[0] = strlit1147;
  partcv[0] = 1;
  Object call1148 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1146);
// compilenode returning call1148
  int op_slot_left_1138 = gc_frame_newslot(call1148);
  params[0] = opresult1144;
  partcv[0] = 1;
  Object opresult1149 = callmethod(call1148, "&&", 1, partcv, params);
// compilenode returning opresult1149
  gc_frame_end(frame);
  return opresult1149;
}
Object meth_parser__apply1168(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1169 = gc_frame_new();
  partcv[0] = 0;
  Object call1170 = callmethodflags(self, "dotypeterm", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1169);
// compilenode returning call1170
  gc_frame_end(frame);
  return call1170;
}
Object meth_parser__apply1152(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_intersectionTypes = getfromclosure(closure, 0);
  Object *var_overallType = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_sym = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1155 = alloc_Float64(0);
// compilenode returning num1155
  int op_slot_right_1154 = gc_frame_newslot(num1155);
  int callframe1157 = gc_frame_new();
// compilenode returning *var_intersectionTypes
  partcv[0] = 0;
  Object call1158 = callmethod(*var_intersectionTypes, "size",
    1, partcv, params);
  gc_frame_end(callframe1157);
// compilenode returning call1158
// compilenode returning call1158
  int op_slot_left_1154 = gc_frame_newslot(call1158);
  params[0] = num1155;
  partcv[0] = 1;
  Object opresult1159 = callmethod(call1158, "==", 1, partcv, params);
// compilenode returning opresult1159
  Object if1153 = done;
  if (istrue(opresult1159)) {
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1160 = gc_frame_new();
// compilenode returning *var_overallType
  gc_frame_newslot(*var_overallType);
// compilenode returning *var_intersectionTypes
  params[0] = *var_overallType;
  partcv[0] = 1;
  Object call1161 = callmethod(*var_intersectionTypes, "push",
    1, partcv, params);
  gc_frame_end(callframe1160);
// compilenode returning call1161
    gc_frame_newslot(call1161);
    if1153 = call1161;
  } else {
  }
// compilenode returning if1153
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1162 = gc_frame_new();
  partcv[0] = 0;
  Object call1163 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1162);
// compilenode returning call1163
// Begin line 396
  setline(396);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 384
  setline(384);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1165 = gc_frame_new();
  int callframe1166 = gc_frame_new();
  Object block1167 = alloc_Block(NULL, NULL, "parser", 384);
  gc_frame_newslot(block1167);
  block_savedest(block1167);
  Object closure1168 = createclosure(1, "_apply");
setclosureframe(closure1168, stackframe);
  addtoclosure(closure1168, selfslot);
  struct UserObject *uo1168 = (struct UserObject*)block1167;
  uo1168->data[0] = (Object)closure1168;
  Method *meth_meth_parser__apply1168 = addmethod2pos(block1167, "_apply", &meth_parser__apply1168, 0);
int argcv_meth_parser__apply1168[] = {0};
meth_meth_parser__apply1168->type = alloc_MethodType(1, argcv_meth_parser__apply1168);
  meth_meth_parser__apply1168->definitionModule = modulename;
  meth_meth_parser__apply1168->definitionLine = 384;
// compilenode returning block1167
  gc_frame_newslot(block1167);
  params[0] = block1167;
  partcv[0] = 1;
  Object call1172 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1166);
// compilenode returning call1172
  partcv[0] = 0;
  Object call1173 = callmethod(call1172, "not",
    1, partcv, params);
  gc_frame_end(callframe1165);
// compilenode returning call1173
// compilenode returning call1173
  Object if1164 = done;
  if (istrue(call1173)) {
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1174 = gc_frame_new();
  partcv[0] = 0;
  Object call1175 = callmethodflags(self, "checkBadAnonymousType", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1174);
// compilenode returning call1175
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 386
  setline(386);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1176 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1176
  *var_suggestions = array1176;
  if (array1176 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 388
  setline(388);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1177 = gc_frame_new();
  int callframe1178 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1179 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1178);
// compilenode returning call1179
// compilenode returning call1179
  partcv[0] = 0;
  Object call1180 = callmethod(call1179, "new",
    1, partcv, params);
  gc_frame_end(callframe1177);
// compilenode returning call1180
// compilenode returning call1180
  *var_suggestion = call1180;
  if (call1180 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 388
  setline(388);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1181 = gc_frame_new();
  if (strlit1182 == NULL) {
    strlit1182 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit1182);
  }
// compilenode returning strlit1182
  gc_frame_newslot(strlit1182);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit1182;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1183 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1181);
// compilenode returning call1183
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1184 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1185 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1184);
// compilenode returning call1185
// Begin line 391
  setline(391);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1186 = gc_frame_new();
  int callframe1187 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1188 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1187);
// compilenode returning call1188
// compilenode returning call1188
  partcv[0] = 0;
  Object call1189 = callmethod(call1188, "new",
    1, partcv, params);
  gc_frame_end(callframe1186);
// compilenode returning call1189
// compilenode returning call1189
  *var_suggestion = call1189;
  if (call1189 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 391
  setline(391);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1191 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call1192 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe1191);
// compilenode returning call1192
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1193 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1194 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1193);
// compilenode returning call1194
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1195 = gc_frame_new();
  if (strlit1196 == NULL) {
    strlit1196 = alloc_String("A type name or type expression must follow '&'.");
    gc_root(strlit1196);
  }
// compilenode returning strlit1196
  gc_frame_newslot(strlit1196);
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1197 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1198 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1197);
// compilenode returning call1198
// compilenode returning call1198
  gc_frame_newslot(call1198);
  int callframe1199 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1200 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1199);
// compilenode returning call1200
// compilenode returning call1200
  gc_frame_newslot(call1200);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1196;
  params[1] = call1198;
  params[2] = call1200;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1201 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe1195);
// compilenode returning call1201
    gc_frame_newslot(call1201);
    if1164 = call1201;
  } else {
  }
// compilenode returning if1164
// Begin line 396
  setline(396);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1202 = gc_frame_new();
  int callframe1203 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1204 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1203);
// compilenode returning call1204
// compilenode returning call1204
  gc_frame_newslot(call1204);
// compilenode returning *var_intersectionTypes
  params[0] = call1204;
  partcv[0] = 1;
  Object call1205 = callmethod(*var_intersectionTypes, "push",
    1, partcv, params);
  gc_frame_end(callframe1202);
// compilenode returning call1205
  gc_frame_end(frame);
  return call1205;
}
Object meth_parser__apply1218(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_intersectionName = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_it = &(stackframe->slots[0]);
  *var_it = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 402
  setline(402);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 401
  setline(401);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1220 == NULL) {
    strlit1220 = alloc_String("");
    gc_root(strlit1220);
  }
// compilenode returning strlit1220
  int op_slot_right_1219 = gc_frame_newslot(strlit1220);
  int callframe1223 = gc_frame_new();
// compilenode returning *var_it
  partcv[0] = 0;
  Object call1224 = callmethod(*var_it, "value",
    1, partcv, params);
  gc_frame_end(callframe1223);
// compilenode returning call1224
// compilenode returning call1224
  int op_slot_right_1222 = gc_frame_newslot(call1224);
  if (strlit1227 == NULL) {
    strlit1227 = alloc_String("&");
    gc_root(strlit1227);
  }
// compilenode returning strlit1227
  int op_slot_right_1226 = gc_frame_newslot(strlit1227);
// compilenode returning *var_intersectionName
  int op_slot_right_1229 = gc_frame_newslot(*var_intersectionName);
  if (strlit1231 == NULL) {
    strlit1231 = alloc_String("");
    gc_root(strlit1231);
  }
// compilenode returning strlit1231
  int op_slot_left_1229 = gc_frame_newslot(strlit1231);
  params[0] = *var_intersectionName;
  partcv[0] = 1;
  Object opresult1232 = callmethod(strlit1231, "++", 1, partcv, params);
// compilenode returning opresult1232
  int op_slot_left_1226 = gc_frame_newslot(opresult1232);
  params[0] = strlit1227;
  partcv[0] = 1;
  Object opresult1233 = callmethod(opresult1232, "++", 1, partcv, params);
// compilenode returning opresult1233
  int op_slot_left_1222 = gc_frame_newslot(opresult1233);
  params[0] = call1224;
  partcv[0] = 1;
  Object opresult1234 = callmethod(opresult1233, "++", 1, partcv, params);
// compilenode returning opresult1234
  int op_slot_left_1219 = gc_frame_newslot(opresult1234);
  params[0] = strlit1220;
  partcv[0] = 1;
  Object opresult1235 = callmethod(opresult1234, "++", 1, partcv, params);
// compilenode returning opresult1235
  *var_intersectionName = opresult1235;
  if (opresult1235 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply1252(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_overallType = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_it = &(stackframe->slots[0]);
  *var_it = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 406
  setline(406);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1253 = gc_frame_new();
// compilenode returning *var_it
  gc_frame_newslot(*var_it);
  int callframe1254 = gc_frame_new();
// compilenode returning *var_overallType
  partcv[0] = 0;
  Object call1255 = callmethod(*var_overallType, "intersectionTypes",
    1, partcv, params);
  gc_frame_end(callframe1254);
// compilenode returning call1255
// compilenode returning call1255
  params[0] = *var_it;
  partcv[0] = 1;
  Object call1256 = callmethod(call1255, "push",
    1, partcv, params);
  gc_frame_end(callframe1253);
// compilenode returning call1256
  gc_frame_end(frame);
  return call1256;
}
Object meth_parser_dotyperef945(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(10, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dotyperef");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for dotyperef (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for dotyperef");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_overallType = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "overallType");
  Object *var_tp = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "tp");
  Object *var_op = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "op");
  Object *var_unionTypes = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "unionTypes");
  Object *var_suggestions = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "suggestions");
  Object *var_suggestion = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "suggestion");
  Object *var_unionName = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "unionName");
  Object *var_intersectionTypes = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "intersectionTypes");
  Object *var_intersectionName = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "intersectionName");
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool946 = alloc_Boolean(0);
// compilenode returning bool946
  *var_overallType = bool946;
  if (bool946 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool947 = alloc_Boolean(0);
// compilenode returning bool947
  *var_tp = bool947;
  if (bool947 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool948 = alloc_Boolean(0);
// compilenode returning bool948
  *var_op = bool948;
  if (bool948 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array949 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array949
  *var_unionTypes = array949;
  if (array949 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 347
  setline(347);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe951 = gc_frame_new();
  int callframe952 = gc_frame_new();
  Object block953 = alloc_Block(NULL, NULL, "parser", 331);
  gc_frame_newslot(block953);
  block_savedest(block953);
  Object closure954 = createclosure(1, "_apply");
setclosureframe(closure954, stackframe);
  addtoclosure(closure954, selfslot);
  struct UserObject *uo954 = (struct UserObject*)block953;
  uo954->data[0] = (Object)closure954;
  Method *meth_meth_parser__apply954 = addmethod2pos(block953, "_apply", &meth_parser__apply954, 0);
int argcv_meth_parser__apply954[] = {0};
meth_meth_parser__apply954->type = alloc_MethodType(1, argcv_meth_parser__apply954);
  meth_meth_parser__apply954->definitionModule = modulename;
  meth_meth_parser__apply954->definitionLine = 331;
// compilenode returning block953
  gc_frame_newslot(block953);
  params[0] = block953;
  partcv[0] = 1;
  Object call958 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe952);
// compilenode returning call958
  partcv[0] = 0;
  Object call959 = callmethod(call958, "not",
    1, partcv, params);
  gc_frame_end(callframe951);
// compilenode returning call959
// compilenode returning call959
  Object if950 = done;
  if (istrue(call959)) {
// Begin line 332
  setline(332);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe960 = gc_frame_new();
  partcv[0] = 0;
  Object call961 = callmethodflags(self, "checkBadAnonymousType", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe960);
// compilenode returning call961
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 333
  setline(333);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array962 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array962
  *var_suggestions = array962;
  if (array962 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe963 = gc_frame_new();
  int callframe964 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call965 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe964);
// compilenode returning call965
// compilenode returning call965
  partcv[0] = 0;
  Object call966 = callmethod(call965, "new",
    1, partcv, params);
  gc_frame_end(callframe963);
// compilenode returning call966
// compilenode returning call966
  *var_suggestion = call966;
  if (call966 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 336
  setline(336);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe967 = gc_frame_new();
  int callframe968 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call969 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe968);
// compilenode returning call969
// compilenode returning call969
  partcv[0] = 0;
  Object call970 = callmethod(call969, "new",
    1, partcv, params);
  gc_frame_end(callframe967);
// compilenode returning call970
// compilenode returning call970
  *var_suggestion = call970;
  if (call970 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 336
  setline(336);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe972 = gc_frame_new();
  if (strlit973 == NULL) {
    strlit973 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit973);
  }
// compilenode returning strlit973
  gc_frame_newslot(strlit973);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit973;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call974 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe972);
// compilenode returning call974
// Begin line 337
  setline(337);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe975 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call976 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe975);
// compilenode returning call976
// Begin line 339
  setline(339);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe977 = gc_frame_new();
  int callframe978 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call979 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe978);
// compilenode returning call979
// compilenode returning call979
  partcv[0] = 0;
  Object call980 = callmethod(call979, "new",
    1, partcv, params);
  gc_frame_end(callframe977);
// compilenode returning call980
// compilenode returning call980
  *var_suggestion = call980;
  if (call980 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 339
  setline(339);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe982 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call983 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe982);
// compilenode returning call983
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe984 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call985 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe984);
// compilenode returning call985
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe986 = gc_frame_new();
  int callframe987 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call988 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe987);
// compilenode returning call988
// compilenode returning call988
  partcv[0] = 0;
  Object call989 = callmethod(call988, "new",
    1, partcv, params);
  gc_frame_end(callframe986);
// compilenode returning call989
// compilenode returning call989
  *var_suggestion = call989;
  if (call989 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe991 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  if (strlit992 == NULL) {
    strlit992 = alloc_String(":=");
    gc_root(strlit992);
  }
// compilenode returning strlit992
  gc_frame_newslot(strlit992);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = strlit992;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call993 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe991);
// compilenode returning call993
// Begin line 343
  setline(343);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe994 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call995 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe994);
// compilenode returning call995
// Begin line 344
  setline(344);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe996 = gc_frame_new();
  if (strlit997 == NULL) {
    strlit997 = alloc_String("A type name or type expression must follow ':'.");
    gc_root(strlit997);
  }
// compilenode returning strlit997
  gc_frame_newslot(strlit997);
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe998 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call999 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe998);
// compilenode returning call999
// compilenode returning call999
  gc_frame_newslot(call999);
  int callframe1000 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1001 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1000);
// compilenode returning call1001
// compilenode returning call1001
  gc_frame_newslot(call1001);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 344
  setline(344);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit997;
  params[1] = call999;
  params[2] = call1001;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1002 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe996);
// compilenode returning call1002
    gc_frame_newslot(call1002);
    if950 = call1002;
  } else {
  }
// compilenode returning if950
// Begin line 348
  setline(348);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 347
  setline(347);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1003 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1004 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1003);
// compilenode returning call1004
// compilenode returning call1004
  *var_overallType = call1004;
  if (call1004 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 348
  setline(348);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1006 = gc_frame_new();
  Object block1007 = alloc_Block(NULL, NULL, "parser", 348);
  gc_frame_newslot(block1007);
  block_savedest(block1007);
  Object closure1008 = createclosure(2, "_apply");
setclosureframe(closure1008, stackframe);
  addtoclosure(closure1008, var_sym);
  addtoclosure(closure1008, selfslot);
  struct UserObject *uo1008 = (struct UserObject*)block1007;
  uo1008->data[0] = (Object)closure1008;
  Method *meth_meth_parser__apply1008 = addmethod2pos(block1007, "_apply", &meth_parser__apply1008, 0);
int argcv_meth_parser__apply1008[] = {0};
meth_meth_parser__apply1008->type = alloc_MethodType(1, argcv_meth_parser__apply1008);
  meth_meth_parser__apply1008->definitionModule = modulename;
  meth_meth_parser__apply1008->definitionLine = 347;
// compilenode returning block1007
  gc_frame_newslot(block1007);
  Object block1022 = alloc_Block(NULL, NULL, "parser", 348);
  gc_frame_newslot(block1022);
  block_savedest(block1022);
  Object closure1023 = createclosure(7, "_apply");
setclosureframe(closure1023, stackframe);
  addtoclosure(closure1023, var_unionTypes);
  addtoclosure(closure1023, var_overallType);
  addtoclosure(closure1023, var_errormessages);
  addtoclosure(closure1023, var_lastToken);
  addtoclosure(closure1023, var_sym);
  addtoclosure(closure1023, var_values);
  addtoclosure(closure1023, selfslot);
  struct UserObject *uo1023 = (struct UserObject*)block1022;
  uo1023->data[0] = (Object)closure1023;
  Method *meth_meth_parser__apply1023 = addmethod2pos(block1022, "_apply", &meth_parser__apply1023, 0);
int argcv_meth_parser__apply1023[] = {0};
meth_meth_parser__apply1023->type = alloc_MethodType(1, argcv_meth_parser__apply1023);
  meth_meth_parser__apply1023->definitionModule = modulename;
  meth_meth_parser__apply1023->definitionLine = 348;
// compilenode returning block1022
  gc_frame_newslot(block1022);
  params[0] = block1007;
  params[1] = block1022;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1078 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1006);
// compilenode returning call1078
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1081 = alloc_Float64(0);
// compilenode returning num1081
  int op_slot_right_1080 = gc_frame_newslot(num1081);
  int callframe1083 = gc_frame_new();
// compilenode returning *var_unionTypes
  partcv[0] = 0;
  Object call1084 = callmethod(*var_unionTypes, "size",
    1, partcv, params);
  gc_frame_end(callframe1083);
// compilenode returning call1084
// compilenode returning call1084
  int op_slot_left_1080 = gc_frame_newslot(call1084);
  params[0] = num1081;
  partcv[0] = 1;
  Object opresult1085 = callmethod(call1084, ">", 1, partcv, params);
// compilenode returning opresult1085
  Object if1079 = done;
  if (istrue(opresult1085)) {
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 368
  setline(368);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1086 == NULL) {
    strlit1086 = alloc_String("Union<");
    gc_root(strlit1086);
  }
// compilenode returning strlit1086
  *var_unionName = strlit1086;
  if (strlit1086 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1087 = gc_frame_new();
// compilenode returning *var_unionTypes
  gc_frame_newslot(*var_unionTypes);
  Object block1088 = alloc_Block(NULL, NULL, "parser", 369);
  gc_frame_newslot(block1088);
  block_savedest(block1088);
  Object closure1089 = createclosure(2, "_apply");
setclosureframe(closure1089, stackframe);
  addtoclosure(closure1089, var_unionName);
  addtoclosure(closure1089, selfslot);
  struct UserObject *uo1089 = (struct UserObject*)block1088;
  uo1089->data[0] = (Object)closure1089;
  Method *meth_meth_parser__apply1089 = addmethod2pos(block1088, "_apply", &meth_parser__apply1089, 0);
int argcv_meth_parser__apply1089[] = {1};
meth_meth_parser__apply1089->type = alloc_MethodType(1, argcv_meth_parser__apply1089);
  meth_meth_parser__apply1089->definitionModule = modulename;
  meth_meth_parser__apply1089->definitionLine = 367;
// compilenode returning block1088
  gc_frame_newslot(block1088);
  params[0] = *var_unionTypes;
  params[1] = block1088;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1109 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1087);
// compilenode returning call1109
// Begin line 373
  setline(373);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 372
  setline(372);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1111 == NULL) {
    strlit1111 = alloc_String("|>");
    gc_root(strlit1111);
  }
// compilenode returning strlit1111
  int op_slot_right_1110 = gc_frame_newslot(strlit1111);
// compilenode returning *var_unionName
  int op_slot_right_1113 = gc_frame_newslot(*var_unionName);
  if (strlit1115 == NULL) {
    strlit1115 = alloc_String("");
    gc_root(strlit1115);
  }
// compilenode returning strlit1115
  int op_slot_left_1113 = gc_frame_newslot(strlit1115);
  params[0] = *var_unionName;
  partcv[0] = 1;
  Object opresult1116 = callmethod(strlit1115, "++", 1, partcv, params);
// compilenode returning opresult1116
  int op_slot_left_1110 = gc_frame_newslot(opresult1116);
  params[0] = strlit1111;
  partcv[0] = 1;
  Object opresult1117 = callmethod(opresult1116, "++", 1, partcv, params);
// compilenode returning opresult1117
  *var_unionName = opresult1117;
  if (opresult1117 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 373
  setline(373);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1119 = gc_frame_new();
// compilenode returning *var_unionName
  gc_frame_newslot(*var_unionName);
  Object array1120 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1120
  gc_frame_newslot(array1120);
  int callframe1121 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call1122 = callmethod(*var_ast, "typeNode",
    1, partcv, params);
  gc_frame_end(callframe1121);
// compilenode returning call1122
// compilenode returning call1122
  params[0] = *var_unionName;
  params[1] = array1120;
  partcv[0] = 2;
  Object call1123 = callmethod(call1122, "new",
    1, partcv, params);
  gc_frame_end(callframe1119);
// compilenode returning call1123
  *var_overallType = call1123;
  if (call1123 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1125 = gc_frame_new();
// compilenode returning *var_unionTypes
  gc_frame_newslot(*var_unionTypes);
  Object block1126 = alloc_Block(NULL, NULL, "parser", 374);
  gc_frame_newslot(block1126);
  block_savedest(block1126);
  Object closure1127 = createclosure(2, "_apply");
setclosureframe(closure1127, stackframe);
  addtoclosure(closure1127, var_overallType);
  addtoclosure(closure1127, selfslot);
  struct UserObject *uo1127 = (struct UserObject*)block1126;
  uo1127->data[0] = (Object)closure1127;
  Method *meth_meth_parser__apply1127 = addmethod2pos(block1126, "_apply", &meth_parser__apply1127, 0);
int argcv_meth_parser__apply1127[] = {1};
meth_meth_parser__apply1127->type = alloc_MethodType(1, argcv_meth_parser__apply1127);
  meth_meth_parser__apply1127->definitionModule = modulename;
  meth_meth_parser__apply1127->definitionLine = 373;
// compilenode returning block1126
  gc_frame_newslot(block1126);
  params[0] = *var_unionTypes;
  params[1] = block1126;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1133 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1125);
// compilenode returning call1133
    gc_frame_newslot(call1133);
    if1079 = call1133;
  } else {
  }
// compilenode returning if1079
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1134 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1134
  *var_intersectionTypes = array1134;
  if (array1134 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1135 = gc_frame_new();
  Object block1136 = alloc_Block(NULL, NULL, "parser", 379);
  gc_frame_newslot(block1136);
  block_savedest(block1136);
  Object closure1137 = createclosure(2, "_apply");
setclosureframe(closure1137, stackframe);
  addtoclosure(closure1137, var_sym);
  addtoclosure(closure1137, selfslot);
  struct UserObject *uo1137 = (struct UserObject*)block1136;
  uo1137->data[0] = (Object)closure1137;
  Method *meth_meth_parser__apply1137 = addmethod2pos(block1136, "_apply", &meth_parser__apply1137, 0);
int argcv_meth_parser__apply1137[] = {0};
meth_meth_parser__apply1137->type = alloc_MethodType(1, argcv_meth_parser__apply1137);
  meth_meth_parser__apply1137->definitionModule = modulename;
  meth_meth_parser__apply1137->definitionLine = 375;
// compilenode returning block1136
  gc_frame_newslot(block1136);
  Object block1151 = alloc_Block(NULL, NULL, "parser", 379);
  gc_frame_newslot(block1151);
  block_savedest(block1151);
  Object closure1152 = createclosure(7, "_apply");
setclosureframe(closure1152, stackframe);
  addtoclosure(closure1152, var_intersectionTypes);
  addtoclosure(closure1152, var_overallType);
  addtoclosure(closure1152, var_errormessages);
  addtoclosure(closure1152, var_lastToken);
  addtoclosure(closure1152, var_sym);
  addtoclosure(closure1152, var_values);
  addtoclosure(closure1152, selfslot);
  struct UserObject *uo1152 = (struct UserObject*)block1151;
  uo1152->data[0] = (Object)closure1152;
  Method *meth_meth_parser__apply1152 = addmethod2pos(block1151, "_apply", &meth_parser__apply1152, 0);
int argcv_meth_parser__apply1152[] = {0};
meth_meth_parser__apply1152->type = alloc_MethodType(1, argcv_meth_parser__apply1152);
  meth_meth_parser__apply1152->definitionModule = modulename;
  meth_meth_parser__apply1152->definitionLine = 379;
// compilenode returning block1151
  gc_frame_newslot(block1151);
  params[0] = block1136;
  params[1] = block1151;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1207 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1135);
// compilenode returning call1207
// Begin line 409
  setline(409);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1210 = alloc_Float64(0);
// compilenode returning num1210
  int op_slot_right_1209 = gc_frame_newslot(num1210);
  int callframe1212 = gc_frame_new();
// compilenode returning *var_intersectionTypes
  partcv[0] = 0;
  Object call1213 = callmethod(*var_intersectionTypes, "size",
    1, partcv, params);
  gc_frame_end(callframe1212);
// compilenode returning call1213
// compilenode returning call1213
  int op_slot_left_1209 = gc_frame_newslot(call1213);
  params[0] = num1210;
  partcv[0] = 1;
  Object opresult1214 = callmethod(call1213, ">", 1, partcv, params);
// compilenode returning opresult1214
  Object if1208 = done;
  if (istrue(opresult1214)) {
// Begin line 400
  setline(400);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1215 == NULL) {
    strlit1215 = alloc_String("Intersection<");
    gc_root(strlit1215);
  }
// compilenode returning strlit1215
  *var_intersectionName = strlit1215;
  if (strlit1215 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 400
  setline(400);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1216 = gc_frame_new();
// compilenode returning *var_intersectionTypes
  gc_frame_newslot(*var_intersectionTypes);
  Object block1217 = alloc_Block(NULL, NULL, "parser", 400);
  gc_frame_newslot(block1217);
  block_savedest(block1217);
  Object closure1218 = createclosure(2, "_apply");
setclosureframe(closure1218, stackframe);
  addtoclosure(closure1218, var_intersectionName);
  addtoclosure(closure1218, selfslot);
  struct UserObject *uo1218 = (struct UserObject*)block1217;
  uo1218->data[0] = (Object)closure1218;
  Method *meth_meth_parser__apply1218 = addmethod2pos(block1217, "_apply", &meth_parser__apply1218, 0);
int argcv_meth_parser__apply1218[] = {1};
meth_meth_parser__apply1218->type = alloc_MethodType(1, argcv_meth_parser__apply1218);
  meth_meth_parser__apply1218->definitionModule = modulename;
  meth_meth_parser__apply1218->definitionLine = 398;
// compilenode returning block1217
  gc_frame_newslot(block1217);
  params[0] = *var_intersectionTypes;
  params[1] = block1217;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1238 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1216);
// compilenode returning call1238
// Begin line 404
  setline(404);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 403
  setline(403);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1240 == NULL) {
    strlit1240 = alloc_String("&>");
    gc_root(strlit1240);
  }
// compilenode returning strlit1240
  int op_slot_right_1239 = gc_frame_newslot(strlit1240);
// compilenode returning *var_intersectionName
  int op_slot_left_1239 = gc_frame_newslot(*var_intersectionName);
  params[0] = strlit1240;
  partcv[0] = 1;
  Object opresult1242 = callmethod(*var_intersectionName, "++", 1, partcv, params);
// compilenode returning opresult1242
  *var_intersectionName = opresult1242;
  if (opresult1242 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 404
  setline(404);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1244 = gc_frame_new();
// compilenode returning *var_intersectionName
  gc_frame_newslot(*var_intersectionName);
  Object array1245 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1245
  gc_frame_newslot(array1245);
  int callframe1246 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call1247 = callmethod(*var_ast, "typeNode",
    1, partcv, params);
  gc_frame_end(callframe1246);
// compilenode returning call1247
// compilenode returning call1247
  params[0] = *var_intersectionName;
  params[1] = array1245;
  partcv[0] = 2;
  Object call1248 = callmethod(call1247, "new",
    1, partcv, params);
  gc_frame_end(callframe1244);
// compilenode returning call1248
  *var_overallType = call1248;
  if (call1248 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1250 = gc_frame_new();
// compilenode returning *var_intersectionTypes
  gc_frame_newslot(*var_intersectionTypes);
  Object block1251 = alloc_Block(NULL, NULL, "parser", 405);
  gc_frame_newslot(block1251);
  block_savedest(block1251);
  Object closure1252 = createclosure(2, "_apply");
setclosureframe(closure1252, stackframe);
  addtoclosure(closure1252, var_overallType);
  addtoclosure(closure1252, selfslot);
  struct UserObject *uo1252 = (struct UserObject*)block1251;
  uo1252->data[0] = (Object)closure1252;
  Method *meth_meth_parser__apply1252 = addmethod2pos(block1251, "_apply", &meth_parser__apply1252, 0);
int argcv_meth_parser__apply1252[] = {1};
meth_meth_parser__apply1252->type = alloc_MethodType(1, argcv_meth_parser__apply1252);
  meth_meth_parser__apply1252->definitionModule = modulename;
  meth_meth_parser__apply1252->definitionLine = 404;
// compilenode returning block1251
  gc_frame_newslot(block1251);
  params[0] = *var_intersectionTypes;
  params[1] = block1251;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1258 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1250);
// compilenode returning call1258
    gc_frame_newslot(call1258);
    if1208 = call1258;
  } else {
  }
// compilenode returning if1208
// Begin line 409
  setline(409);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1259 = gc_frame_new();
// compilenode returning *var_overallType
  gc_frame_newslot(*var_overallType);
// compilenode returning *var_values
  params[0] = *var_overallType;
  partcv[0] = 1;
  Object call1260 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe1259);
// compilenode returning call1260
  gc_frame_end(frame);
  return call1260;
}
Object meth_parser__apply1290(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1291 = gc_frame_new();
  partcv[0] = 0;
  Object call1292 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1291);
// compilenode returning call1292
  gc_frame_end(frame);
  return call1292;
}
Object meth_parser__apply1327(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1328 = gc_frame_new();
  partcv[0] = 0;
  Object call1329 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1328);
// compilenode returning call1329
  gc_frame_end(frame);
  return call1329;
}
Object meth_parser__apply1398(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1399 = gc_frame_new();
  if (strlit1400 == NULL) {
    strlit1400 = alloc_String("comma");
    gc_root(strlit1400);
  }
// compilenode returning strlit1400
  gc_frame_newslot(strlit1400);
  params[0] = strlit1400;
  partcv[0] = 1;
  Object call1401 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1399);
// compilenode returning call1401
  gc_frame_end(frame);
  return call1401;
}
Object meth_parser__apply1408(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit1410 == NULL) {
    strlit1410 = alloc_String("arrow");
    gc_root(strlit1410);
  }
// compilenode returning strlit1410
  int op_slot_right_1409 = gc_frame_newslot(strlit1410);
  int callframe1412 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call1413 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe1412);
// compilenode returning call1413
// compilenode returning call1413
  int op_slot_left_1409 = gc_frame_newslot(call1413);
  params[0] = strlit1410;
  partcv[0] = 1;
  Object opresult1414 = callmethod(call1413, "==", 1, partcv, params);
// compilenode returning opresult1414
  gc_frame_end(frame);
  return opresult1414;
}
Object meth_parser__apply1456(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1457 = gc_frame_new();
  if (strlit1458 == NULL) {
    strlit1458 = alloc_String("comma");
    gc_root(strlit1458);
  }
// compilenode returning strlit1458
  gc_frame_newslot(strlit1458);
  params[0] = strlit1458;
  partcv[0] = 1;
  Object call1459 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1457);
// compilenode returning call1459
  gc_frame_end(frame);
  return call1459;
}
Object meth_parser__apply1462(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_ident1 = getfromclosure(closure, 1);
  Object *var_params = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 481
  setline(481);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1463 = gc_frame_new();
  partcv[0] = 0;
  Object call1464 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1463);
// compilenode returning call1464
// Begin line 482
  setline(482);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1465 = gc_frame_new();
  partcv[0] = 0;
  Object call1466 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1465);
// compilenode returning call1466
// Begin line 484
  setline(484);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 483
  setline(483);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1467 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1468 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1467);
// compilenode returning call1468
// compilenode returning call1468
  *var_ident1 = call1468;
  if (call1468 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 489
  setline(489);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 484
  setline(484);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1471 = gc_frame_new();
  if (strlit1472 == NULL) {
    strlit1472 = alloc_String("colon");
    gc_root(strlit1472);
  }
// compilenode returning strlit1472
  gc_frame_newslot(strlit1472);
  params[0] = strlit1472;
  partcv[0] = 1;
  Object call1473 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1471);
// compilenode returning call1473
  Object if1470 = done;
  if (istrue(call1473)) {
// Begin line 485
  setline(485);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1474 = gc_frame_new();
  partcv[0] = 0;
  Object call1475 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1474);
// compilenode returning call1475
// Begin line 486
  setline(486);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1476 = gc_frame_new();
  partcv[0] = 0;
  Object call1477 = callmethodflags(self, "dotyperef", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1476);
// compilenode returning call1477
// Begin line 488
  setline(488);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 483
  setline(483);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1478 = gc_frame_new();
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1479 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1480 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1479);
// compilenode returning call1480
// compilenode returning call1480
  gc_frame_newslot(call1480);
// compilenode returning *var_ident1
  params[0] = call1480;
  partcv[0] = 1;
  Object call1481 = callmethod(*var_ident1, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe1478);
// compilenode returning call1481
// compilenode returning done
    gc_frame_newslot(done);
    if1470 = done;
  } else {
  }
// compilenode returning if1470
// Begin line 489
  setline(489);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1482 = gc_frame_new();
// compilenode returning *var_ident1
  gc_frame_newslot(*var_ident1);
// compilenode returning *var_params
  params[0] = *var_ident1;
  partcv[0] = 1;
  Object call1483 = callmethod(*var_params, "push",
    1, partcv, params);
  gc_frame_end(callframe1482);
// compilenode returning call1483
  gc_frame_end(frame);
  return call1483;
}
Object meth_parser__apply1598(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1599 = gc_frame_new();
  partcv[0] = 0;
  Object call1600 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1599);
// compilenode returning call1600
  gc_frame_end(frame);
  return call1600;
}
Object meth_parser__apply1295(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(13, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_ident1 = getfromclosure(closure, 1);
  Object *var_braceIsType = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_sym = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  Object *var_params = getfromclosure(closure, 6);
  Object *var_isMatchingBlock = getfromclosure(closure, 7);
  Object *var_body = getfromclosure(closure, 8);
  Object *var_indentFreePass = getfromclosure(closure, 9);
  Object *var_ast = getfromclosure(closure, 10);
  Object self = *(getfromclosure(closure, 11));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
  Object *var_arrow = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "arrow");
  Object *var_lhs = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "lhs");
  Object *var_rhs = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "rhs");
// Begin line 545
  setline(545);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 433
  setline(433);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1298 = gc_frame_new();
  if (strlit1299 == NULL) {
    strlit1299 = alloc_String("colon");
    gc_root(strlit1299);
  }
// compilenode returning strlit1299
  gc_frame_newslot(strlit1299);
  params[0] = strlit1299;
  partcv[0] = 1;
  Object call1300 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1298);
// compilenode returning call1300
  int op_slot_right_1297 = gc_frame_newslot(call1300);
  int callframe1303 = gc_frame_new();
  if (strlit1304 == NULL) {
    strlit1304 = alloc_String("arrow");
    gc_root(strlit1304);
  }
// compilenode returning strlit1304
  gc_frame_newslot(strlit1304);
  params[0] = strlit1304;
  partcv[0] = 1;
  Object call1305 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1303);
// compilenode returning call1305
  int op_slot_right_1302 = gc_frame_newslot(call1305);
  int callframe1307 = gc_frame_new();
  if (strlit1308 == NULL) {
    strlit1308 = alloc_String("comma");
    gc_root(strlit1308);
  }
// compilenode returning strlit1308
  gc_frame_newslot(strlit1308);
  params[0] = strlit1308;
  partcv[0] = 1;
  Object call1309 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1307);
// compilenode returning call1309
  int op_slot_left_1302 = gc_frame_newslot(call1309);
  params[0] = call1305;
  partcv[0] = 1;
  Object opresult1310 = callmethod(call1309, "||", 1, partcv, params);
// compilenode returning opresult1310
  int op_slot_left_1297 = gc_frame_newslot(opresult1310);
  params[0] = call1300;
  partcv[0] = 1;
  Object opresult1311 = callmethod(opresult1310, "||", 1, partcv, params);
// compilenode returning opresult1311
  Object if1296 = done;
  if (istrue(opresult1311)) {
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1312 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1313 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1312);
// compilenode returning call1313
// compilenode returning call1313
  *var_ident1 = call1313;
  if (call1313 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 460
  setline(460);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1316 = gc_frame_new();
  if (strlit1317 == NULL) {
    strlit1317 = alloc_String("colon");
    gc_root(strlit1317);
  }
// compilenode returning strlit1317
  gc_frame_newslot(strlit1317);
  params[0] = strlit1317;
  partcv[0] = 1;
  Object call1318 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1316);
// compilenode returning call1318
  Object if1315 = done;
  if (istrue(call1318)) {
// Begin line 439
  setline(439);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1319 = gc_frame_new();
  partcv[0] = 0;
  Object call1320 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1319);
// compilenode returning call1320
// Begin line 441
  setline(441);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1321 = alloc_Boolean(1);
// compilenode returning bool1321
  *var_braceIsType = bool1321;
  if (bool1321 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 457
  setline(457);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 441
  setline(441);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1324 = gc_frame_new();
  int callframe1325 = gc_frame_new();
  Object block1326 = alloc_Block(NULL, NULL, "parser", 441);
  gc_frame_newslot(block1326);
  block_savedest(block1326);
  Object closure1327 = createclosure(1, "_apply");
setclosureframe(closure1327, stackframe);
  addtoclosure(closure1327, selfslot);
  struct UserObject *uo1327 = (struct UserObject*)block1326;
  uo1327->data[0] = (Object)closure1327;
  Method *meth_meth_parser__apply1327 = addmethod2pos(block1326, "_apply", &meth_parser__apply1327, 0);
int argcv_meth_parser__apply1327[] = {0};
meth_meth_parser__apply1327->type = alloc_MethodType(1, argcv_meth_parser__apply1327);
  meth_meth_parser__apply1327->definitionModule = modulename;
  meth_meth_parser__apply1327->definitionLine = 441;
// compilenode returning block1326
  gc_frame_newslot(block1326);
  params[0] = block1326;
  partcv[0] = 1;
  Object call1331 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1325);
// compilenode returning call1331
  partcv[0] = 0;
  Object call1332 = callmethod(call1331, "not",
    1, partcv, params);
  gc_frame_end(callframe1324);
// compilenode returning call1332
// compilenode returning call1332
  Object if1323 = done;
  if (istrue(call1332)) {
// Begin line 443
  setline(443);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1333 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1333
  *var_suggestions = array1333;
  if (array1333 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 443
  setline(443);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1334 = gc_frame_new();
  int callframe1335 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1336 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1335);
// compilenode returning call1336
// compilenode returning call1336
  partcv[0] = 0;
  Object call1337 = callmethod(call1336, "new",
    1, partcv, params);
  gc_frame_end(callframe1334);
// compilenode returning call1337
// compilenode returning call1337
  *var_suggestion = call1337;
  if (call1337 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1338 = gc_frame_new();
  if (strlit1339 == NULL) {
    strlit1339 = alloc_String("arrow");
    gc_root(strlit1339);
  }
// compilenode returning strlit1339
  gc_frame_newslot(strlit1339);
  if (strlit1340 == NULL) {
    strlit1340 = alloc_String("rbrace");
    gc_root(strlit1340);
  }
// compilenode returning strlit1340
  gc_frame_newslot(strlit1340);
  params[0] = strlit1339;
  params[1] = strlit1340;
  partcv[0] = 2;
  Object call1341 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1338);
// compilenode returning call1341
  *var_nextTok = call1341;
  if (call1341 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 445
  setline(445);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_1343 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_1343 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1345 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult1345
  Object if1342 = done;
  if (istrue(opresult1345)) {
// Begin line 446
  setline(446);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1346 = gc_frame_new();
  if (strlit1347 == NULL) {
    strlit1347 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1347);
  }
// compilenode returning strlit1347
  gc_frame_newslot(strlit1347);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit1347;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1348 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1346);
// compilenode returning call1348
    gc_frame_newslot(call1348);
    if1342 = call1348;
  } else {
// Begin line 448
  setline(448);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1349 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe1350 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1351 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1350);
// compilenode returning call1351
// compilenode returning call1351
  gc_frame_newslot(call1351);
  Object bool1352 = alloc_Boolean(1);
// compilenode returning bool1352
  gc_frame_newslot(bool1352);
  Object bool1353 = alloc_Boolean(0);
// compilenode returning bool1353
  gc_frame_newslot(bool1353);
  if (strlit1354 == NULL) {
    strlit1354 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1354);
  }
// compilenode returning strlit1354
  gc_frame_newslot(strlit1354);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call1351;
  params[2] = bool1352;
  params[3] = bool1353;
  params[4] = strlit1354;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1355 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe1349);
// compilenode returning call1355
    gc_frame_newslot(call1355);
    if1342 = call1355;
  }
// compilenode returning if1342
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1356 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1357 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1356);
// compilenode returning call1357
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1358 = gc_frame_new();
  int callframe1359 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1360 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1359);
// compilenode returning call1360
// compilenode returning call1360
  partcv[0] = 0;
  Object call1361 = callmethod(call1360, "new",
    1, partcv, params);
  gc_frame_end(callframe1358);
// compilenode returning call1361
// compilenode returning call1361
  *var_suggestion = call1361;
  if (call1361 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1363 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe1364 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1365 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1364);
// compilenode returning call1365
// compilenode returning call1365
  gc_frame_newslot(call1365);
  Object bool1366 = alloc_Boolean(1);
// compilenode returning bool1366
  gc_frame_newslot(bool1366);
  Object bool1367 = alloc_Boolean(0);
// compilenode returning bool1367
  gc_frame_newslot(bool1367);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call1365;
  params[2] = bool1366;
  params[3] = bool1367;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1368 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe1363);
// compilenode returning call1368
// Begin line 453
  setline(453);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1369 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1370 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1369);
// compilenode returning call1370
// Begin line 454
  setline(454);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1371 = gc_frame_new();
  if (strlit1372 == NULL) {
    strlit1372 = alloc_String("A block must have an expression after the ':'.");
    gc_root(strlit1372);
  }
// compilenode returning strlit1372
  gc_frame_newslot(strlit1372);
// Begin line 455
  setline(455);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1373 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1374 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1373);
// compilenode returning call1374
// compilenode returning call1374
  gc_frame_newslot(call1374);
  int callframe1375 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1376 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1375);
// compilenode returning call1376
// compilenode returning call1376
  gc_frame_newslot(call1376);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 454
  setline(454);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1372;
  params[1] = call1374;
  params[2] = call1376;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1377 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe1371);
// compilenode returning call1377
    gc_frame_newslot(call1377);
    if1323 = call1377;
  } else {
  }
// compilenode returning if1323
// Begin line 458
  setline(458);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 457
  setline(457);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1378 = alloc_Boolean(0);
// compilenode returning bool1378
  *var_braceIsType = bool1378;
  if (bool1378 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 459
  setline(459);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 455
  setline(455);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1380 = gc_frame_new();
// Begin line 458
  setline(458);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1381 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1382 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1381);
// compilenode returning call1382
// compilenode returning call1382
  gc_frame_newslot(call1382);
// compilenode returning *var_ident1
  params[0] = call1382;
  partcv[0] = 1;
  Object call1383 = callmethod(*var_ident1, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe1380);
// compilenode returning call1383
// compilenode returning done
    gc_frame_newslot(done);
    if1315 = done;
  } else {
  }
// compilenode returning if1315
// Begin line 460
  setline(460);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1384 = gc_frame_new();
// compilenode returning *var_ident1
  gc_frame_newslot(*var_ident1);
// compilenode returning *var_params
  params[0] = *var_ident1;
  partcv[0] = 1;
  Object call1385 = callmethod(*var_params, "push",
    1, partcv, params);
  gc_frame_end(callframe1384);
// compilenode returning call1385
// Begin line 464
  setline(464);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 461
  setline(461);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1388 == NULL) {
    strlit1388 = alloc_String("identifier");
    gc_root(strlit1388);
  }
// compilenode returning strlit1388
  int op_slot_right_1387 = gc_frame_newslot(strlit1388);
  int callframe1390 = gc_frame_new();
// compilenode returning *var_ident1
  partcv[0] = 0;
  Object call1391 = callmethod(*var_ident1, "kind",
    1, partcv, params);
  gc_frame_end(callframe1390);
// compilenode returning call1391
// compilenode returning call1391
  int op_slot_left_1387 = gc_frame_newslot(call1391);
  params[0] = strlit1388;
  partcv[0] = 1;
  Object opresult1392 = callmethod(call1391, "!=", 1, partcv, params);
// compilenode returning opresult1392
  Object if1386 = done;
  if (istrue(opresult1392)) {
// Begin line 463
  setline(463);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 462
  setline(462);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1393 = alloc_Boolean(1);
// compilenode returning bool1393
  *var_isMatchingBlock = bool1393;
  if (bool1393 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1386 = done;
  } else {
  }
// compilenode returning if1386
// Begin line 479
  setline(479);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 464
  setline(464);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block1397 = alloc_Block(NULL, NULL, "parser", 464);
  gc_frame_newslot(block1397);
  block_savedest(block1397);
  Object closure1398 = createclosure(1, "_apply");
setclosureframe(closure1398, stackframe);
  addtoclosure(closure1398, selfslot);
  struct UserObject *uo1398 = (struct UserObject*)block1397;
  uo1398->data[0] = (Object)closure1398;
  Method *meth_meth_parser__apply1398 = addmethod2pos(block1397, "_apply", &meth_parser__apply1398, 0);
int argcv_meth_parser__apply1398[] = {0};
meth_meth_parser__apply1398->type = alloc_MethodType(1, argcv_meth_parser__apply1398);
  meth_meth_parser__apply1398->definitionModule = modulename;
  meth_meth_parser__apply1398->definitionLine = 461;
// compilenode returning block1397
  int op_slot_right_1396 = gc_frame_newslot(block1397);
// compilenode returning *var_isMatchingBlock
  int op_slot_left_1396 = gc_frame_newslot(*var_isMatchingBlock);
  params[0] = block1397;
  partcv[0] = 1;
  Object opresult1404 = callmethod(*var_isMatchingBlock, "&&", 1, partcv, params);
// compilenode returning opresult1404
  Object if1395 = done;
  if (istrue(opresult1404)) {
// Begin line 466
  setline(466);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 465
  setline(465);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1405 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1405
  *var_suggestions = array1405;
  if (array1405 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 467
  setline(467);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_suggestion = undefined;
// compilenode returning done
  int callframe1406 = gc_frame_new();
  Object block1407 = alloc_Block(NULL, NULL, "parser", 467);
  gc_frame_newslot(block1407);
  block_savedest(block1407);
  Object closure1408 = createclosure(1, "_apply");
setclosureframe(closure1408, stackframe);
  addtoclosure(closure1408, selfslot);
  struct UserObject *uo1408 = (struct UserObject*)block1407;
  uo1408->data[0] = (Object)closure1408;
  Method *meth_meth_parser__apply1408 = addmethod2pos(block1407, "_apply", &meth_parser__apply1408, 0);
int argcv_meth_parser__apply1408[] = {1};
meth_meth_parser__apply1408->type = alloc_MethodType(1, argcv_meth_parser__apply1408);
  meth_meth_parser__apply1408->definitionModule = modulename;
  meth_meth_parser__apply1408->definitionLine = 461;
// compilenode returning block1407
  gc_frame_newslot(block1407);
  params[0] = block1407;
  partcv[0] = 1;
  Object call1416 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1406);
// compilenode returning call1416
  *var_arrow = call1416;
  if (call1416 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 473
  setline(473);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 468
  setline(468);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1419 = alloc_Boolean(0);
// compilenode returning bool1419
  int op_slot_right_1418 = gc_frame_newslot(bool1419);
// compilenode returning *var_arrow
  int op_slot_left_1418 = gc_frame_newslot(*var_arrow);
  params[0] = bool1419;
  partcv[0] = 1;
  Object opresult1421 = callmethod(*var_arrow, "!=", 1, partcv, params);
// compilenode returning opresult1421
  Object if1417 = done;
  if (istrue(opresult1421)) {
// Begin line 470
  setline(470);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 469
  setline(469);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1422 = gc_frame_new();
  int callframe1423 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1424 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1423);
// compilenode returning call1424
// compilenode returning call1424
  partcv[0] = 0;
  Object call1425 = callmethod(call1424, "new",
    1, partcv, params);
  gc_frame_end(callframe1422);
// compilenode returning call1425
// compilenode returning call1425
  *var_suggestion = call1425;
  if (call1425 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 470
  setline(470);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1427 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe1428 = gc_frame_new();
// compilenode returning *var_arrow
  partcv[0] = 0;
  Object call1429 = callmethod(*var_arrow, "prev",
    1, partcv, params);
  gc_frame_end(callframe1428);
// compilenode returning call1429
// compilenode returning call1429
  gc_frame_newslot(call1429);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call1429;
  partcv[0] = 2;
  Object call1430 = callmethod(*var_suggestion, "deleteTokenRange",
    1, partcv, params);
  gc_frame_end(callframe1427);
// compilenode returning call1430
// Begin line 471
  setline(471);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1431 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1432 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1431);
// compilenode returning call1432
    gc_frame_newslot(call1432);
    if1417 = call1432;
  } else {
  }
// compilenode returning if1417
// Begin line 474
  setline(474);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 473
  setline(473);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1433 = gc_frame_new();
  int callframe1434 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1435 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1434);
// compilenode returning call1435
// compilenode returning call1435
  partcv[0] = 0;
  Object call1436 = callmethod(call1435, "new",
    1, partcv, params);
  gc_frame_end(callframe1433);
// compilenode returning call1436
// compilenode returning call1436
  *var_suggestion = call1436;
  if (call1436 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 474
  setline(474);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1438 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool1439 = alloc_Boolean(1);
// compilenode returning bool1439
  gc_frame_newslot(bool1439);
  Object bool1440 = alloc_Boolean(0);
// compilenode returning bool1440
  gc_frame_newslot(bool1440);
  if (strlit1441 == NULL) {
    strlit1441 = alloc_String(" |");
    gc_root(strlit1441);
  }
// compilenode returning strlit1441
  gc_frame_newslot(strlit1441);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool1439;
  params[2] = bool1440;
  params[3] = strlit1441;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1442 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe1438);
// compilenode returning call1442
// Begin line 475
  setline(475);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1443 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1444 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1443);
// compilenode returning call1444
// Begin line 476
  setline(476);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1445 = gc_frame_new();
  if (strlit1446 == NULL) {
    strlit1446 = alloc_String("A matching block may only have one parameter.");
    gc_root(strlit1446);
  }
// compilenode returning strlit1446
  gc_frame_newslot(strlit1446);
// Begin line 477
  setline(477);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1447 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1448 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1447);
// compilenode returning call1448
// compilenode returning call1448
  gc_frame_newslot(call1448);
  int callframe1449 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1450 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1449);
// compilenode returning call1450
// compilenode returning call1450
  gc_frame_newslot(call1450);
  int callframe1451 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1452 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1451);
// compilenode returning call1452
// compilenode returning call1452
  gc_frame_newslot(call1452);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 476
  setline(476);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1446;
  params[1] = call1448;
  params[2] = call1450;
  params[3] = call1452;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1453 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe1445);
// compilenode returning call1453
    gc_frame_newslot(call1453);
    if1395 = call1453;
  } else {
  }
// compilenode returning if1395
// Begin line 479
  setline(479);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1454 = gc_frame_new();
  Object block1455 = alloc_Block(NULL, NULL, "parser", 479);
  gc_frame_newslot(block1455);
  block_savedest(block1455);
  Object closure1456 = createclosure(1, "_apply");
setclosureframe(closure1456, stackframe);
  addtoclosure(closure1456, selfslot);
  struct UserObject *uo1456 = (struct UserObject*)block1455;
  uo1456->data[0] = (Object)closure1456;
  Method *meth_meth_parser__apply1456 = addmethod2pos(block1455, "_apply", &meth_parser__apply1456, 0);
int argcv_meth_parser__apply1456[] = {0};
meth_meth_parser__apply1456->type = alloc_MethodType(1, argcv_meth_parser__apply1456);
  meth_meth_parser__apply1456->definitionModule = modulename;
  meth_meth_parser__apply1456->definitionLine = 477;
// compilenode returning block1455
  gc_frame_newslot(block1455);
  Object block1461 = alloc_Block(NULL, NULL, "parser", 479);
  gc_frame_newslot(block1461);
  block_savedest(block1461);
  Object closure1462 = createclosure(4, "_apply");
setclosureframe(closure1462, stackframe);
  addtoclosure(closure1462, var_values);
  addtoclosure(closure1462, var_ident1);
  addtoclosure(closure1462, var_params);
  addtoclosure(closure1462, selfslot);
  struct UserObject *uo1462 = (struct UserObject*)block1461;
  uo1462->data[0] = (Object)closure1462;
  Method *meth_meth_parser__apply1462 = addmethod2pos(block1461, "_apply", &meth_parser__apply1462, 0);
int argcv_meth_parser__apply1462[] = {0};
meth_meth_parser__apply1462->type = alloc_MethodType(1, argcv_meth_parser__apply1462);
  meth_meth_parser__apply1462->definitionModule = modulename;
  meth_meth_parser__apply1462->definitionLine = 477;
// compilenode returning block1461
  gc_frame_newslot(block1461);
  params[0] = block1455;
  params[1] = block1461;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1485 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1454);
// compilenode returning call1485
// Begin line 501
  setline(501);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 491
  setline(491);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1487 = gc_frame_new();
  int callframe1488 = gc_frame_new();
  if (strlit1489 == NULL) {
    strlit1489 = alloc_String("arrow");
    gc_root(strlit1489);
  }
// compilenode returning strlit1489
  gc_frame_newslot(strlit1489);
  params[0] = strlit1489;
  partcv[0] = 1;
  Object call1490 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1488);
// compilenode returning call1490
  partcv[0] = 0;
  Object call1491 = callmethod(call1490, "not",
    1, partcv, params);
  gc_frame_end(callframe1487);
// compilenode returning call1491
// compilenode returning call1491
  Object if1486 = done;
  if (istrue(call1491)) {
// Begin line 493
  setline(493);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 492
  setline(492);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1492 = gc_frame_new();
  int callframe1493 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1494 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1493);
// compilenode returning call1494
// compilenode returning call1494
  partcv[0] = 0;
  Object call1495 = callmethod(call1494, "new",
    1, partcv, params);
  gc_frame_end(callframe1492);
// compilenode returning call1495
// compilenode returning call1495
  *var_suggestion = call1495;
  if (call1495 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 498
  setline(498);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 493
  setline(493);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1499 == NULL) {
    strlit1499 = alloc_String("=");
    gc_root(strlit1499);
  }
// compilenode returning strlit1499
  int op_slot_right_1498 = gc_frame_newslot(strlit1499);
  int callframe1501 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1502 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe1501);
// compilenode returning call1502
// compilenode returning call1502
  int op_slot_left_1498 = gc_frame_newslot(call1502);
  params[0] = strlit1499;
  partcv[0] = 1;
  Object opresult1503 = callmethod(call1502, "==", 1, partcv, params);
// compilenode returning opresult1503
  int op_slot_right_1497 = gc_frame_newslot(opresult1503);
  if (strlit1506 == NULL) {
    strlit1506 = alloc_String("bind");
    gc_root(strlit1506);
  }
// compilenode returning strlit1506
  int op_slot_right_1505 = gc_frame_newslot(strlit1506);
  int callframe1508 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1509 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe1508);
// compilenode returning call1509
// compilenode returning call1509
  int op_slot_left_1505 = gc_frame_newslot(call1509);
  params[0] = strlit1506;
  partcv[0] = 1;
  Object opresult1510 = callmethod(call1509, "==", 1, partcv, params);
// compilenode returning opresult1510
  int op_slot_left_1497 = gc_frame_newslot(opresult1510);
  params[0] = opresult1503;
  partcv[0] = 1;
  Object opresult1511 = callmethod(opresult1510, "||", 1, partcv, params);
// compilenode returning opresult1511
  Object if1496 = done;
  if (istrue(opresult1511)) {
// Begin line 494
  setline(494);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1512 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit1513 == NULL) {
    strlit1513 = alloc_String("->");
    gc_root(strlit1513);
  }
// compilenode returning strlit1513
  gc_frame_newslot(strlit1513);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = strlit1513;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1514 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe1512);
// compilenode returning call1514
    gc_frame_newslot(call1514);
    if1496 = call1514;
  } else {
// Begin line 496
  setline(496);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1515 = gc_frame_new();
  if (strlit1516 == NULL) {
    strlit1516 = alloc_String(" ->");
    gc_root(strlit1516);
  }
// compilenode returning strlit1516
  gc_frame_newslot(strlit1516);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit1516;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1517 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1515);
// compilenode returning call1517
    gc_frame_newslot(call1517);
    if1496 = call1517;
  }
// compilenode returning if1496
// Begin line 498
  setline(498);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1518 = gc_frame_new();
  if (strlit1519 == NULL) {
    strlit1519 = alloc_String("A block must have one or more parameters followed by '->' and an expression.");
    gc_root(strlit1519);
  }
// compilenode returning strlit1519
  gc_frame_newslot(strlit1519);
// Begin line 499
  setline(499);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1520 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1521 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1520);
// compilenode returning call1521
// compilenode returning call1521
  gc_frame_newslot(call1521);
  int callframe1522 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1523 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1522);
// compilenode returning call1523
// compilenode returning call1523
  gc_frame_newslot(call1523);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 498
  setline(498);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1519;
  params[1] = call1521;
  params[2] = call1523;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1524 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1518);
// compilenode returning call1524
    gc_frame_newslot(call1524);
    if1486 = call1524;
  } else {
  }
// compilenode returning if1486
// Begin line 501
  setline(501);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1525 = gc_frame_new();
  partcv[0] = 0;
  Object call1526 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1525);
// compilenode returning call1526
    gc_frame_newslot(call1526);
    if1296 = call1526;
  } else {
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1528 = gc_frame_new();
  if (strlit1529 == NULL) {
    strlit1529 = alloc_String("semicolon");
    gc_root(strlit1529);
  }
// compilenode returning strlit1529
  gc_frame_newslot(strlit1529);
  params[0] = strlit1529;
  partcv[0] = 1;
  Object call1530 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1528);
// compilenode returning call1530
  Object if1527 = done;
  if (istrue(call1530)) {
// Begin line 503
  setline(503);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1531 = gc_frame_new();
  int callframe1532 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1533 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1532);
// compilenode returning call1533
// compilenode returning call1533
  gc_frame_newslot(call1533);
// compilenode returning *var_body
  params[0] = call1533;
  partcv[0] = 1;
  Object call1534 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe1531);
// compilenode returning call1534
// Begin line 504
  setline(504);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1535 = gc_frame_new();
  partcv[0] = 0;
  Object call1536 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1535);
// compilenode returning call1536
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 505
  setline(505);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1538 = gc_frame_new();
  if (strlit1539 == NULL) {
    strlit1539 = alloc_String("semicolon");
    gc_root(strlit1539);
  }
// compilenode returning strlit1539
  gc_frame_newslot(strlit1539);
  params[0] = strlit1539;
  partcv[0] = 1;
  Object call1540 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1538);
// compilenode returning call1540
  Object if1537 = done;
  if (istrue(call1540)) {
// Begin line 506
  setline(506);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1541 = gc_frame_new();
  partcv[0] = 0;
  Object call1542 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1541);
// compilenode returning call1542
// Begin line 510
  setline(510);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 507
  setline(507);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1545 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call1546 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe1545);
// compilenode returning call1546
// compilenode returning call1546
  int op_slot_right_1544 = gc_frame_newslot(call1546);
  int callframe1548 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1549 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1548);
// compilenode returning call1549
// compilenode returning call1549
  int op_slot_left_1544 = gc_frame_newslot(call1549);
  params[0] = call1546;
  partcv[0] = 1;
  Object opresult1550 = callmethod(call1549, "==", 1, partcv, params);
// compilenode returning opresult1550
  Object if1543 = done;
  if (istrue(opresult1550)) {
// Begin line 509
  setline(509);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 508
  setline(508);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1551 = alloc_Boolean(1);
// compilenode returning bool1551
  *var_indentFreePass = bool1551;
  if (bool1551 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1543 = done;
  } else {
  }
// compilenode returning if1543
    gc_frame_newslot(if1543);
    if1537 = if1543;
  } else {
  }
// compilenode returning if1537
    gc_frame_newslot(if1537);
    if1527 = if1537;
  } else {
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 514
  setline(514);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1555 = gc_frame_new();
  if (strlit1556 == NULL) {
    strlit1556 = alloc_String("bind");
    gc_root(strlit1556);
  }
// compilenode returning strlit1556
  gc_frame_newslot(strlit1556);
  params[0] = strlit1556;
  partcv[0] = 1;
  Object call1557 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1555);
// compilenode returning call1557
  int op_slot_right_1554 = gc_frame_newslot(call1557);
// Begin line 513
  setline(513);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1561 == NULL) {
    strlit1561 = alloc_String("index");
    gc_root(strlit1561);
  }
// compilenode returning strlit1561
  int op_slot_right_1560 = gc_frame_newslot(strlit1561);
  int callframe1563 = gc_frame_new();
  int callframe1564 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1565 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe1564);
// compilenode returning call1565
// compilenode returning call1565
  partcv[0] = 0;
  Object call1566 = callmethod(call1565, "kind",
    1, partcv, params);
  gc_frame_end(callframe1563);
// compilenode returning call1566
// compilenode returning call1566
  int op_slot_left_1560 = gc_frame_newslot(call1566);
  params[0] = strlit1561;
  partcv[0] = 1;
  Object opresult1567 = callmethod(call1566, "==", 1, partcv, params);
// compilenode returning opresult1567
  int op_slot_right_1559 = gc_frame_newslot(opresult1567);
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1571 == NULL) {
    strlit1571 = alloc_String("identifier");
    gc_root(strlit1571);
  }
// compilenode returning strlit1571
  int op_slot_right_1570 = gc_frame_newslot(strlit1571);
  int callframe1573 = gc_frame_new();
  int callframe1574 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1575 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe1574);
// compilenode returning call1575
// compilenode returning call1575
  partcv[0] = 0;
  Object call1576 = callmethod(call1575, "kind",
    1, partcv, params);
  gc_frame_end(callframe1573);
// compilenode returning call1576
// compilenode returning call1576
  int op_slot_left_1570 = gc_frame_newslot(call1576);
  params[0] = strlit1571;
  partcv[0] = 1;
  Object opresult1577 = callmethod(call1576, "==", 1, partcv, params);
// compilenode returning opresult1577
  int op_slot_right_1569 = gc_frame_newslot(opresult1577);
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1580 == NULL) {
    strlit1580 = alloc_String("member");
    gc_root(strlit1580);
  }
// compilenode returning strlit1580
  int op_slot_right_1579 = gc_frame_newslot(strlit1580);
  int callframe1582 = gc_frame_new();
  int callframe1583 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1584 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe1583);
// compilenode returning call1584
// compilenode returning call1584
  partcv[0] = 0;
  Object call1585 = callmethod(call1584, "kind",
    1, partcv, params);
  gc_frame_end(callframe1582);
// compilenode returning call1585
// compilenode returning call1585
  int op_slot_left_1579 = gc_frame_newslot(call1585);
  params[0] = strlit1580;
  partcv[0] = 1;
  Object opresult1586 = callmethod(call1585, "==", 1, partcv, params);
// compilenode returning opresult1586
  int op_slot_left_1569 = gc_frame_newslot(opresult1586);
  params[0] = opresult1577;
  partcv[0] = 1;
  Object opresult1587 = callmethod(opresult1586, "||", 1, partcv, params);
// compilenode returning opresult1587
  int op_slot_left_1559 = gc_frame_newslot(opresult1587);
  params[0] = opresult1567;
  partcv[0] = 1;
  Object opresult1588 = callmethod(opresult1587, "||", 1, partcv, params);
// compilenode returning opresult1588
  int op_slot_left_1554 = gc_frame_newslot(opresult1588);
  params[0] = call1557;
  partcv[0] = 1;
  Object opresult1589 = callmethod(opresult1588, "&&", 1, partcv, params);
// compilenode returning opresult1589
  Object if1553 = done;
  if (istrue(opresult1589)) {
// Begin line 516
  setline(516);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1590 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1591 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1590);
// compilenode returning call1591
// compilenode returning call1591
  *var_lhs = call1591;
  if (call1591 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 516
  setline(516);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1592 = gc_frame_new();
  partcv[0] = 0;
  Object call1593 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1592);
// compilenode returning call1593
// Begin line 533
  setline(533);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 517
  setline(517);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1595 = gc_frame_new();
  int callframe1596 = gc_frame_new();
  Object block1597 = alloc_Block(NULL, NULL, "parser", 517);
  gc_frame_newslot(block1597);
  block_savedest(block1597);
  Object closure1598 = createclosure(1, "_apply");
setclosureframe(closure1598, stackframe);
  addtoclosure(closure1598, selfslot);
  struct UserObject *uo1598 = (struct UserObject*)block1597;
  uo1598->data[0] = (Object)closure1598;
  Method *meth_meth_parser__apply1598 = addmethod2pos(block1597, "_apply", &meth_parser__apply1598, 0);
int argcv_meth_parser__apply1598[] = {0};
meth_meth_parser__apply1598->type = alloc_MethodType(1, argcv_meth_parser__apply1598);
  meth_meth_parser__apply1598->definitionModule = modulename;
  meth_meth_parser__apply1598->definitionLine = 517;
// compilenode returning block1597
  gc_frame_newslot(block1597);
  params[0] = block1597;
  partcv[0] = 1;
  Object call1602 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1596);
// compilenode returning call1602
  partcv[0] = 0;
  Object call1603 = callmethod(call1602, "not",
    1, partcv, params);
  gc_frame_end(callframe1595);
// compilenode returning call1603
// compilenode returning call1603
  Object if1594 = done;
  if (istrue(call1603)) {
// Begin line 519
  setline(519);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 518
  setline(518);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1604 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1604
  *var_suggestions = array1604;
  if (array1604 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 520
  setline(520);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 519
  setline(519);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1605 = gc_frame_new();
  int callframe1606 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1607 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1606);
// compilenode returning call1607
// compilenode returning call1607
  partcv[0] = 0;
  Object call1608 = callmethod(call1607, "new",
    1, partcv, params);
  gc_frame_end(callframe1605);
// compilenode returning call1608
// compilenode returning call1608
  *var_suggestion = call1608;
  if (call1608 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 520
  setline(520);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1609 = gc_frame_new();
  if (strlit1610 == NULL) {
    strlit1610 = alloc_String("rbrace");
    gc_root(strlit1610);
  }
// compilenode returning strlit1610
  gc_frame_newslot(strlit1610);
  params[0] = strlit1610;
  partcv[0] = 1;
  Object call1611 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1609);
// compilenode returning call1611
  *var_nextTok = call1611;
  if (call1611 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 526
  setline(526);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 521
  setline(521);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_1613 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_1613 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1615 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult1615
  Object if1612 = done;
  if (istrue(opresult1615)) {
// Begin line 522
  setline(522);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1616 = gc_frame_new();
  if (strlit1617 == NULL) {
    strlit1617 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1617);
  }
// compilenode returning strlit1617
  gc_frame_newslot(strlit1617);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit1617;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1618 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1616);
// compilenode returning call1618
    gc_frame_newslot(call1618);
    if1612 = call1618;
  } else {
// Begin line 524
  setline(524);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1619 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe1620 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1621 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1620);
// compilenode returning call1621
// compilenode returning call1621
  gc_frame_newslot(call1621);
  Object bool1622 = alloc_Boolean(1);
// compilenode returning bool1622
  gc_frame_newslot(bool1622);
  Object bool1623 = alloc_Boolean(0);
// compilenode returning bool1623
  gc_frame_newslot(bool1623);
  if (strlit1624 == NULL) {
    strlit1624 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1624);
  }
// compilenode returning strlit1624
  gc_frame_newslot(strlit1624);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call1621;
  params[2] = bool1622;
  params[3] = bool1623;
  params[4] = strlit1624;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1625 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe1619);
// compilenode returning call1625
    gc_frame_newslot(call1625);
    if1612 = call1625;
  }
// compilenode returning if1612
// Begin line 526
  setline(526);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1626 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1627 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1626);
// compilenode returning call1627
// Begin line 528
  setline(528);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 527
  setline(527);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1628 = gc_frame_new();
  int callframe1629 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1630 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1629);
// compilenode returning call1630
// compilenode returning call1630
  partcv[0] = 0;
  Object call1631 = callmethod(call1630, "new",
    1, partcv, params);
  gc_frame_end(callframe1628);
// compilenode returning call1631
// compilenode returning call1631
  *var_suggestion = call1631;
  if (call1631 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 528
  setline(528);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1633 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe1634 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1635 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1634);
// compilenode returning call1635
// compilenode returning call1635
  gc_frame_newslot(call1635);
  Object bool1636 = alloc_Boolean(1);
// compilenode returning bool1636
  gc_frame_newslot(bool1636);
  Object bool1637 = alloc_Boolean(0);
// compilenode returning bool1637
  gc_frame_newslot(bool1637);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call1635;
  params[2] = bool1636;
  params[3] = bool1637;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1638 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe1633);
// compilenode returning call1638
// Begin line 529
  setline(529);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1639 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1640 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe1639);
// compilenode returning call1640
// Begin line 530
  setline(530);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1641 = gc_frame_new();
  if (strlit1642 == NULL) {
    strlit1642 = alloc_String("A valid expression must follow ':='.");
    gc_root(strlit1642);
  }
// compilenode returning strlit1642
  gc_frame_newslot(strlit1642);
// Begin line 531
  setline(531);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1643 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1644 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1643);
// compilenode returning call1644
// compilenode returning call1644
  gc_frame_newslot(call1644);
  int callframe1645 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1646 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1645);
// compilenode returning call1646
// compilenode returning call1646
  gc_frame_newslot(call1646);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 530
  setline(530);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1642;
  params[1] = call1644;
  params[2] = call1646;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1647 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe1641);
// compilenode returning call1647
    gc_frame_newslot(call1647);
    if1594 = call1647;
  } else {
  }
// compilenode returning if1594
// Begin line 534
  setline(534);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 533
  setline(533);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1648 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1649 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1648);
// compilenode returning call1649
// compilenode returning call1649
  *var_rhs = call1649;
  if (call1649 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 534
  setline(534);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1650 = gc_frame_new();
  int callframe1651 = gc_frame_new();
// compilenode returning *var_lhs
  gc_frame_newslot(*var_lhs);
// compilenode returning *var_rhs
  gc_frame_newslot(*var_rhs);
  int callframe1652 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call1653 = callmethod(*var_ast, "bindNode",
    1, partcv, params);
  gc_frame_end(callframe1652);
// compilenode returning call1653
// compilenode returning call1653
  params[0] = *var_lhs;
  params[1] = *var_rhs;
  partcv[0] = 2;
  Object call1654 = callmethod(call1653, "new",
    1, partcv, params);
  gc_frame_end(callframe1651);
// compilenode returning call1654
  gc_frame_newslot(call1654);
// compilenode returning *var_body
  params[0] = call1654;
  partcv[0] = 1;
  Object call1655 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe1650);
// compilenode returning call1655
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1657 = gc_frame_new();
  if (strlit1658 == NULL) {
    strlit1658 = alloc_String("semicolon");
    gc_root(strlit1658);
  }
// compilenode returning strlit1658
  gc_frame_newslot(strlit1658);
  params[0] = strlit1658;
  partcv[0] = 1;
  Object call1659 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1657);
// compilenode returning call1659
  Object if1656 = done;
  if (istrue(call1659)) {
// Begin line 536
  setline(536);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1660 = gc_frame_new();
  partcv[0] = 0;
  Object call1661 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1660);
// compilenode returning call1661
// Begin line 540
  setline(540);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 537
  setline(537);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1664 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call1665 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe1664);
// compilenode returning call1665
// compilenode returning call1665
  int op_slot_right_1663 = gc_frame_newslot(call1665);
  int callframe1667 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1668 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1667);
// compilenode returning call1668
// compilenode returning call1668
  int op_slot_left_1663 = gc_frame_newslot(call1668);
  params[0] = call1665;
  partcv[0] = 1;
  Object opresult1669 = callmethod(call1668, "==", 1, partcv, params);
// compilenode returning opresult1669
  Object if1662 = done;
  if (istrue(opresult1669)) {
// Begin line 539
  setline(539);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 538
  setline(538);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1670 = alloc_Boolean(1);
// compilenode returning bool1670
  *var_indentFreePass = bool1670;
  if (bool1670 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1662 = done;
  } else {
  }
// compilenode returning if1662
    gc_frame_newslot(if1662);
    if1656 = if1662;
  } else {
  }
// compilenode returning if1656
    gc_frame_newslot(if1656);
    if1553 = if1656;
  } else {
// Begin line 542
  setline(542);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1672 = gc_frame_new();
  partcv[0] = 0;
  Object call1673 = callmethodflags(self, "checkUnexpectedTokenAfterStatement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1672);
// compilenode returning call1673
// Begin line 543
  setline(543);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1674 = gc_frame_new();
  int callframe1675 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1676 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1675);
// compilenode returning call1676
// compilenode returning call1676
  gc_frame_newslot(call1676);
// compilenode returning *var_body
  params[0] = call1676;
  partcv[0] = 1;
  Object call1677 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe1674);
// compilenode returning call1677
    gc_frame_newslot(call1677);
    if1553 = call1677;
  }
// compilenode returning if1553
    gc_frame_newslot(if1553);
    if1527 = if1553;
  }
// compilenode returning if1527
    gc_frame_newslot(if1527);
    if1296 = if1527;
  }
// compilenode returning if1296
  gc_frame_end(frame);
  return if1296;
}
Object meth_parser__apply1706(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1707 = gc_frame_new();
  int callframe1708 = gc_frame_new();
  if (strlit1709 == NULL) {
    strlit1709 = alloc_String("rbrace");
    gc_root(strlit1709);
  }
// compilenode returning strlit1709
  gc_frame_newslot(strlit1709);
  params[0] = strlit1709;
  partcv[0] = 1;
  Object call1710 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1708);
// compilenode returning call1710
  partcv[0] = 0;
  Object call1711 = callmethod(call1710, "not",
    1, partcv, params);
  gc_frame_end(callframe1707);
// compilenode returning call1711
// compilenode returning call1711
  gc_frame_end(frame);
  return call1711;
}
Object meth_parser__apply1719(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1720 = gc_frame_new();
  partcv[0] = 0;
  Object call1721 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1720);
// compilenode returning call1721
  gc_frame_end(frame);
  return call1721;
}
Object meth_parser__apply1714(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_tmp = getfromclosure(closure, 4);
  Object *var_body = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
// Begin line 563
  setline(563);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 557
  setline(557);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1716 = gc_frame_new();
  int callframe1717 = gc_frame_new();
  Object block1718 = alloc_Block(NULL, NULL, "parser", 557);
  gc_frame_newslot(block1718);
  block_savedest(block1718);
  Object closure1719 = createclosure(1, "_apply");
setclosureframe(closure1719, stackframe);
  addtoclosure(closure1719, selfslot);
  struct UserObject *uo1719 = (struct UserObject*)block1718;
  uo1719->data[0] = (Object)closure1719;
  Method *meth_meth_parser__apply1719 = addmethod2pos(block1718, "_apply", &meth_parser__apply1719, 0);
int argcv_meth_parser__apply1719[] = {0};
meth_meth_parser__apply1719->type = alloc_MethodType(1, argcv_meth_parser__apply1719);
  meth_meth_parser__apply1719->definitionModule = modulename;
  meth_meth_parser__apply1719->definitionLine = 557;
// compilenode returning block1718
  gc_frame_newslot(block1718);
  params[0] = block1718;
  partcv[0] = 1;
  Object call1723 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1717);
// compilenode returning call1723
  partcv[0] = 0;
  Object call1724 = callmethod(call1723, "not",
    1, partcv, params);
  gc_frame_end(callframe1716);
// compilenode returning call1724
// compilenode returning call1724
  Object if1715 = done;
  if (istrue(call1724)) {
// Begin line 559
  setline(559);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 558
  setline(558);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1725 = gc_frame_new();
  int callframe1726 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1727 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1726);
// compilenode returning call1727
// compilenode returning call1727
  partcv[0] = 0;
  Object call1728 = callmethod(call1727, "new",
    1, partcv, params);
  gc_frame_end(callframe1725);
// compilenode returning call1728
// compilenode returning call1728
  *var_suggestion = call1728;
  if (call1728 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 559
  setline(559);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1729 = gc_frame_new();
  if (strlit1730 == NULL) {
    strlit1730 = alloc_String("}");
    gc_root(strlit1730);
  }
// compilenode returning strlit1730
  gc_frame_newslot(strlit1730);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit1730;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1731 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1729);
// compilenode returning call1731
// Begin line 560
  setline(560);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1732 = gc_frame_new();
  if (strlit1733 == NULL) {
    strlit1733 = alloc_String("A block must end with a '}'.");
    gc_root(strlit1733);
  }
// compilenode returning strlit1733
  gc_frame_newslot(strlit1733);
// Begin line 561
  setline(561);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1734 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1735 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1734);
// compilenode returning call1735
// compilenode returning call1735
  gc_frame_newslot(call1735);
  int callframe1736 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1737 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1736);
// compilenode returning call1737
// compilenode returning call1737
  gc_frame_newslot(call1737);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 560
  setline(560);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1733;
  params[1] = call1735;
  params[2] = call1737;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1738 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1732);
// compilenode returning call1738
    gc_frame_newslot(call1738);
    if1715 = call1738;
  } else {
  }
// compilenode returning if1715
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 563
  setline(563);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1739 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1740 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe1739);
// compilenode returning call1740
// compilenode returning call1740
  *var_tmp = call1740;
  if (call1740 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1742 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_body
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call1743 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe1742);
// compilenode returning call1743
  gc_frame_end(frame);
  return call1743;
}
Object meth_parser_block1261(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(15, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "block");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_statementIndent = getfromclosure(closure, 1);
  Object *var_statementToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_braceIsType = getfromclosure(closure, 4);
  Object *var_errormessages = getfromclosure(closure, 5);
  Object *var_lastToken = getfromclosure(closure, 6);
  Object *var_indentFreePass = getfromclosure(closure, 7);
  Object *var_ast = getfromclosure(closure, 8);
  Object *var_minIndentLevel = getfromclosure(closure, 9);
  Object *var_util = getfromclosure(closure, 10);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for block (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for block");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_minInd = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "minInd");
  Object *var_startIndent = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "startIndent");
  Object *var_ident1 = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "ident1");
  Object *var_s = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "s");
  Object *var_tmp = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "tmp");
  Object *var_params = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "params");
  Object *var_body = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "body");
  Object *var_havearrow = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "havearrow");
  Object *var_found = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "found");
  Object *var_i = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "i");
  Object *var_isMatchingBlock = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "isMatchingBlock");
  Object *var_ln = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "ln");
  Object *var_o = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "o");
// Begin line 578
  setline(578);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 414
  setline(414);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1263 = gc_frame_new();
  if (strlit1264 == NULL) {
    strlit1264 = alloc_String("lbrace");
    gc_root(strlit1264);
  }
// compilenode returning strlit1264
  gc_frame_newslot(strlit1264);
  params[0] = strlit1264;
  partcv[0] = 1;
  Object call1265 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1263);
// compilenode returning call1265
  Object if1262 = done;
  if (istrue(call1265)) {
// Begin line 416
  setline(416);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 415
  setline(415);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 416
  setline(416);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1266 = gc_frame_new();
  partcv[0] = 0;
  Object call1267 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1266);
// compilenode returning call1267
// Begin line 418
  setline(418);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 417
  setline(417);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1269 = alloc_Float64(1);
// compilenode returning num1269
  int op_slot_right_1268 = gc_frame_newslot(num1269);
// compilenode returning *var_statementIndent
  int op_slot_left_1268 = gc_frame_newslot(*var_statementIndent);
  params[0] = num1269;
  partcv[0] = 1;
  Object sum1271 = callmethod(*var_statementIndent, "+", 1, partcv, params);
// compilenode returning sum1271
  *var_minInd = sum1271;
  if (sum1271 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 419
  setline(419);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 418
  setline(418);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_statementIndent
  *var_startIndent = *var_statementIndent;
  if (*var_statementIndent == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 420
  setline(420);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_ident1 = undefined;
// compilenode returning done
// Begin line 421
  setline(421);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 420
  setline(420);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_s = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_tmp = undefined;
// compilenode returning done
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1272 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1272
  *var_params = array1272;
  if (array1272 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 424
  setline(424);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array1273 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array1273
  *var_body = array1273;
  if (array1273 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 425
  setline(425);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 424
  setline(424);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1274 = alloc_Boolean(1);
// compilenode returning bool1274
  *var_havearrow = bool1274;
  if (bool1274 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 426
  setline(426);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 425
  setline(425);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1275 = alloc_Boolean(0);
// compilenode returning bool1275
  *var_found = bool1275;
  if (bool1275 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 426
  setline(426);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1276 = alloc_Float64(0);
// compilenode returning num1276
  *var_i = num1276;
  if (num1276 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1277 = alloc_Boolean(0);
// compilenode returning bool1277
  *var_isMatchingBlock = bool1277;
  if (bool1277 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 432
  setline(432);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1281 == NULL) {
    strlit1281 = alloc_String("lparen");
    gc_root(strlit1281);
  }
// compilenode returning strlit1281
  int op_slot_right_1280 = gc_frame_newslot(strlit1281);
  int callframe1283 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1284 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe1283);
// compilenode returning call1284
// compilenode returning call1284
  int op_slot_left_1280 = gc_frame_newslot(call1284);
  params[0] = strlit1281;
  partcv[0] = 1;
  Object opresult1285 = callmethod(call1284, "==", 1, partcv, params);
// compilenode returning opresult1285
  Object if1279 = done;
  if (istrue(opresult1285)) {
// Begin line 431
  setline(431);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 430
  setline(430);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1286 = alloc_Boolean(1);
// compilenode returning bool1286
  *var_isMatchingBlock = bool1286;
  if (bool1286 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1279 = done;
  } else {
  }
// compilenode returning if1279
// Begin line 432
  setline(432);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1288 = gc_frame_new();
  Object block1289 = alloc_Block(NULL, NULL, "parser", 432);
  gc_frame_newslot(block1289);
  block_savedest(block1289);
  Object closure1290 = createclosure(1, "_apply");
setclosureframe(closure1290, stackframe);
  addtoclosure(closure1290, selfslot);
  struct UserObject *uo1290 = (struct UserObject*)block1289;
  uo1290->data[0] = (Object)closure1290;
  Method *meth_meth_parser__apply1290 = addmethod2pos(block1289, "_apply", &meth_parser__apply1290, 0);
int argcv_meth_parser__apply1290[] = {0};
meth_meth_parser__apply1290->type = alloc_MethodType(1, argcv_meth_parser__apply1290);
  meth_meth_parser__apply1290->definitionModule = modulename;
  meth_meth_parser__apply1290->definitionLine = 429;
// compilenode returning block1289
  gc_frame_newslot(block1289);
  Object block1294 = alloc_Block(NULL, NULL, "parser", 432);
  gc_frame_newslot(block1294);
  block_savedest(block1294);
  Object closure1295 = createclosure(12, "_apply");
setclosureframe(closure1295, stackframe);
  addtoclosure(closure1295, var_values);
  addtoclosure(closure1295, var_ident1);
  addtoclosure(closure1295, var_braceIsType);
  addtoclosure(closure1295, var_errormessages);
  addtoclosure(closure1295, var_sym);
  addtoclosure(closure1295, var_lastToken);
  addtoclosure(closure1295, var_params);
  addtoclosure(closure1295, var_isMatchingBlock);
  addtoclosure(closure1295, var_body);
  addtoclosure(closure1295, var_indentFreePass);
  addtoclosure(closure1295, var_ast);
  addtoclosure(closure1295, selfslot);
  struct UserObject *uo1295 = (struct UserObject*)block1294;
  uo1295->data[0] = (Object)closure1295;
  Method *meth_meth_parser__apply1295 = addmethod2pos(block1294, "_apply", &meth_parser__apply1295, 0);
int argcv_meth_parser__apply1295[] = {0};
meth_meth_parser__apply1295->type = alloc_MethodType(1, argcv_meth_parser__apply1295);
  meth_meth_parser__apply1295->definitionModule = modulename;
  meth_meth_parser__apply1295->definitionLine = 429;
// compilenode returning block1294
  gc_frame_newslot(block1294);
  params[0] = block1289;
  params[1] = block1294;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1679 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1288);
// compilenode returning call1679
// Begin line 549
  setline(549);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1681 = gc_frame_new();
  if (strlit1682 == NULL) {
    strlit1682 = alloc_String("arrow");
    gc_root(strlit1682);
  }
// compilenode returning strlit1682
  gc_frame_newslot(strlit1682);
  params[0] = strlit1682;
  partcv[0] = 1;
  Object call1683 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1681);
// compilenode returning call1683
  Object if1680 = done;
  if (istrue(call1683)) {
// Begin line 547
  setline(547);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1684 = gc_frame_new();
  partcv[0] = 0;
  Object call1685 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1684);
// compilenode returning call1685
    gc_frame_newslot(call1685);
    if1680 = call1685;
  } else {
  }
// compilenode returning if1680
// Begin line 550
  setline(550);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 549
  setline(549);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1686 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call1687 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe1686);
// compilenode returning call1687
// compilenode returning call1687
  *var_ln = call1687;
  if (call1687 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 555
  setline(555);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 550
  setline(550);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1690 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call1691 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe1690);
// compilenode returning call1691
// compilenode returning call1691
  int op_slot_right_1689 = gc_frame_newslot(call1691);
  int callframe1693 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1694 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1693);
// compilenode returning call1694
// compilenode returning call1694
  int op_slot_left_1689 = gc_frame_newslot(call1694);
  params[0] = call1691;
  partcv[0] = 1;
  Object opresult1695 = callmethod(call1694, "==", 1, partcv, params);
// compilenode returning opresult1695
  Object if1688 = done;
  if (istrue(opresult1695)) {
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 551
  setline(551);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1697 = alloc_Float64(1);
// compilenode returning num1697
  int op_slot_right_1696 = gc_frame_newslot(num1697);
  int callframe1699 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1700 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1699);
// compilenode returning call1700
// compilenode returning call1700
  int op_slot_left_1696 = gc_frame_newslot(call1700);
  params[0] = num1697;
  partcv[0] = 1;
  Object diff1701 = callmethod(call1700, "-", 1, partcv, params);
// compilenode returning diff1701
  *var_minIndentLevel = diff1701;
  if (diff1701 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1688 = done;
  } else {
// Begin line 554
  setline(554);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 553
  setline(553);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minInd
  *var_minIndentLevel = *var_minInd;
  if (*var_minInd == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1688 = done;
  }
// compilenode returning if1688
// Begin line 555
  setline(555);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1704 = gc_frame_new();
  Object block1705 = alloc_Block(NULL, NULL, "parser", 555);
  gc_frame_newslot(block1705);
  block_savedest(block1705);
  Object closure1706 = createclosure(1, "_apply");
setclosureframe(closure1706, stackframe);
  addtoclosure(closure1706, selfslot);
  struct UserObject *uo1706 = (struct UserObject*)block1705;
  uo1706->data[0] = (Object)closure1706;
  Method *meth_meth_parser__apply1706 = addmethod2pos(block1705, "_apply", &meth_parser__apply1706, 0);
int argcv_meth_parser__apply1706[] = {0};
meth_meth_parser__apply1706->type = alloc_MethodType(1, argcv_meth_parser__apply1706);
  meth_meth_parser__apply1706->definitionModule = modulename;
  meth_meth_parser__apply1706->definitionLine = 551;
// compilenode returning block1705
  gc_frame_newslot(block1705);
  Object block1713 = alloc_Block(NULL, NULL, "parser", 555);
  gc_frame_newslot(block1713);
  block_savedest(block1713);
  Object closure1714 = createclosure(7, "_apply");
setclosureframe(closure1714, stackframe);
  addtoclosure(closure1714, var_errormessages);
  addtoclosure(closure1714, var_lastToken);
  addtoclosure(closure1714, var_sym);
  addtoclosure(closure1714, var_values);
  addtoclosure(closure1714, var_tmp);
  addtoclosure(closure1714, var_body);
  addtoclosure(closure1714, selfslot);
  struct UserObject *uo1714 = (struct UserObject*)block1713;
  uo1714->data[0] = (Object)closure1714;
  Method *meth_meth_parser__apply1714 = addmethod2pos(block1713, "_apply", &meth_parser__apply1714, 0);
int argcv_meth_parser__apply1714[] = {0};
meth_meth_parser__apply1714->type = alloc_MethodType(1, argcv_meth_parser__apply1714);
  meth_meth_parser__apply1714->definitionModule = modulename;
  meth_meth_parser__apply1714->definitionLine = 555;
// compilenode returning block1713
  gc_frame_newslot(block1713);
  params[0] = block1705;
  params[1] = block1713;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1745 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1704);
// compilenode returning call1745
// Begin line 567
  setline(567);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 566
  setline(566);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1747 = alloc_Float64(1);
// compilenode returning num1747
  int op_slot_right_1746 = gc_frame_newslot(num1747);
// compilenode returning *var_minInd
  int op_slot_left_1746 = gc_frame_newslot(*var_minInd);
  params[0] = num1747;
  partcv[0] = 1;
  Object diff1749 = callmethod(*var_minInd, "-", 1, partcv, params);
// compilenode returning diff1749
  *var_minIndentLevel = diff1749;
  if (diff1749 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 568
  setline(568);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 567
  setline(567);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_startIndent
  *var_statementIndent = *var_startIndent;
  if (*var_startIndent == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 568
  setline(568);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1752 = gc_frame_new();
  partcv[0] = 0;
  Object call1753 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1752);
// compilenode returning call1753
// Begin line 569
  setline(569);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1754 = gc_frame_new();
  int callframe1755 = gc_frame_new();
// compilenode returning *var_btok
  partcv[0] = 0;
  Object call1756 = callmethod(*var_btok, "line",
    1, partcv, params);
  gc_frame_end(callframe1755);
// compilenode returning call1756
// compilenode returning call1756
  gc_frame_newslot(call1756);
// compilenode returning *var_util
  params[0] = call1756;
  partcv[0] = 1;
  Object call1757 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe1754);
// compilenode returning call1757
// Begin line 570
  setline(570);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1758 = gc_frame_new();
// compilenode returning *var_params
  gc_frame_newslot(*var_params);
// compilenode returning *var_body
  gc_frame_newslot(*var_body);
  int callframe1759 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call1760 = callmethod(*var_ast, "blockNode",
    1, partcv, params);
  gc_frame_end(callframe1759);
// compilenode returning call1760
// compilenode returning call1760
  params[0] = *var_params;
  params[1] = *var_body;
  partcv[0] = 2;
  Object call1761 = callmethod(call1760, "new",
    1, partcv, params);
  gc_frame_end(callframe1758);
// compilenode returning call1761
  *var_o = call1761;
  if (call1761 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 576
  setline(576);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 571
  setline(571);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_isMatchingBlock
  Object if1762 = done;
  if (istrue(*var_isMatchingBlock)) {
// Begin line 575
  setline(575);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 572
  setline(572);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num1765 = alloc_Float64(0);
// compilenode returning num1765
  int op_slot_right_1764 = gc_frame_newslot(num1765);
  int callframe1767 = gc_frame_new();
// compilenode returning *var_params
  partcv[0] = 0;
  Object call1768 = callmethod(*var_params, "size",
    1, partcv, params);
  gc_frame_end(callframe1767);
// compilenode returning call1768
// compilenode returning call1768
  int op_slot_left_1764 = gc_frame_newslot(call1768);
  params[0] = num1765;
  partcv[0] = 1;
  Object opresult1769 = callmethod(call1768, ">", 1, partcv, params);
// compilenode returning opresult1769
  Object if1763 = done;
  if (istrue(opresult1769)) {
// Begin line 574
  setline(574);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 572
  setline(572);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1770 = gc_frame_new();
// Begin line 573
  setline(573);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1771 = gc_frame_new();
// compilenode returning *var_params
  partcv[0] = 0;
  Object call1772 = callmethod(*var_params, "first",
    1, partcv, params);
  gc_frame_end(callframe1771);
// compilenode returning call1772
// compilenode returning call1772
  gc_frame_newslot(call1772);
// compilenode returning *var_o
  params[0] = call1772;
  partcv[0] = 1;
  Object call1773 = callmethod(*var_o, "matchingPattern:=",
    1, partcv, params);
  gc_frame_end(callframe1770);
// compilenode returning call1773
// compilenode returning done
    gc_frame_newslot(done);
    if1763 = done;
  } else {
  }
// compilenode returning if1763
    gc_frame_newslot(if1763);
    if1762 = if1763;
  } else {
  }
// compilenode returning if1762
// Begin line 576
  setline(576);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1774 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1775 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe1774);
// compilenode returning call1775
    gc_frame_newslot(call1775);
    if1262 = call1775;
  } else {
  }
// compilenode returning if1262
  gc_frame_end(frame);
  return if1262;
}
Object meth_parser__apply1805(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_btok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1810 == NULL) {
    strlit1810 = alloc_String("then");
    gc_root(strlit1810);
  }
// compilenode returning strlit1810
  int op_slot_right_1809 = gc_frame_newslot(strlit1810);
  int callframe1812 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call1813 = callmethod(*var_t, "value",
    1, partcv, params);
  gc_frame_end(callframe1812);
// compilenode returning call1813
// compilenode returning call1813
  int op_slot_left_1809 = gc_frame_newslot(call1813);
  params[0] = strlit1810;
  partcv[0] = 1;
  Object opresult1814 = callmethod(call1813, "==", 1, partcv, params);
// compilenode returning opresult1814
  int op_slot_right_1808 = gc_frame_newslot(opresult1814);
  if (strlit1817 == NULL) {
    strlit1817 = alloc_String("identifier");
    gc_root(strlit1817);
  }
// compilenode returning strlit1817
  int op_slot_right_1816 = gc_frame_newslot(strlit1817);
  int callframe1819 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call1820 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe1819);
// compilenode returning call1820
// compilenode returning call1820
  int op_slot_left_1816 = gc_frame_newslot(call1820);
  params[0] = strlit1817;
  partcv[0] = 1;
  Object opresult1821 = callmethod(call1820, "==", 1, partcv, params);
// compilenode returning opresult1821
  int op_slot_left_1808 = gc_frame_newslot(opresult1821);
  params[0] = opresult1814;
  partcv[0] = 1;
  Object opresult1822 = callmethod(opresult1821, "&&", 1, partcv, params);
// compilenode returning opresult1822
  int op_slot_right_1807 = gc_frame_newslot(opresult1822);
// Begin line 591
  setline(591);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1826 == NULL) {
    strlit1826 = alloc_String("lbrace");
    gc_root(strlit1826);
  }
// compilenode returning strlit1826
  int op_slot_right_1825 = gc_frame_newslot(strlit1826);
  int callframe1828 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call1829 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe1828);
// compilenode returning call1829
// compilenode returning call1829
  int op_slot_left_1825 = gc_frame_newslot(call1829);
  params[0] = strlit1826;
  partcv[0] = 1;
  Object opresult1830 = callmethod(call1829, "==", 1, partcv, params);
// compilenode returning opresult1830
  int op_slot_right_1824 = gc_frame_newslot(opresult1830);
  if (strlit1833 == NULL) {
    strlit1833 = alloc_String("rparen");
    gc_root(strlit1833);
  }
// compilenode returning strlit1833
  int op_slot_right_1832 = gc_frame_newslot(strlit1833);
  int callframe1835 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call1836 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe1835);
// compilenode returning call1836
// compilenode returning call1836
  int op_slot_left_1832 = gc_frame_newslot(call1836);
  params[0] = strlit1833;
  partcv[0] = 1;
  Object opresult1837 = callmethod(call1836, "==", 1, partcv, params);
// compilenode returning opresult1837
  int op_slot_left_1824 = gc_frame_newslot(opresult1837);
  params[0] = opresult1830;
  partcv[0] = 1;
  Object opresult1838 = callmethod(opresult1837, "||", 1, partcv, params);
// compilenode returning opresult1838
  int op_slot_left_1807 = gc_frame_newslot(opresult1838);
  params[0] = opresult1822;
  partcv[0] = 1;
  Object opresult1839 = callmethod(opresult1838, "||", 1, partcv, params);
// compilenode returning opresult1839
  int op_slot_right_1806 = gc_frame_newslot(opresult1839);
// Begin line 590
  setline(590);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1842 = gc_frame_new();
// compilenode returning *var_btok
  partcv[0] = 0;
  Object call1843 = callmethod(*var_btok, "line",
    1, partcv, params);
  gc_frame_end(callframe1842);
// compilenode returning call1843
// compilenode returning call1843
  int op_slot_right_1841 = gc_frame_newslot(call1843);
  int callframe1845 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call1846 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe1845);
// compilenode returning call1846
// compilenode returning call1846
  int op_slot_left_1841 = gc_frame_newslot(call1846);
  params[0] = call1843;
  partcv[0] = 1;
  Object opresult1847 = callmethod(call1846, "==", 1, partcv, params);
// compilenode returning opresult1847
  int op_slot_left_1806 = gc_frame_newslot(opresult1847);
  params[0] = opresult1839;
  partcv[0] = 1;
  Object opresult1848 = callmethod(opresult1847, "&&", 1, partcv, params);
// compilenode returning opresult1848
  gc_frame_end(frame);
  return opresult1848;
}
Object meth_parser__apply1935(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe1936 = gc_frame_new();
  partcv[0] = 0;
  Object call1937 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1936);
// compilenode returning call1937
  gc_frame_end(frame);
  return call1937;
}
Object meth_parser__apply1947(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit1950 == NULL) {
    strlit1950 = alloc_String("rparen");
    gc_root(strlit1950);
  }
// compilenode returning strlit1950
  int op_slot_right_1949 = gc_frame_newslot(strlit1950);
  int callframe1952 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call1953 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe1952);
// compilenode returning call1953
// compilenode returning call1953
  int op_slot_left_1949 = gc_frame_newslot(call1953);
  params[0] = strlit1950;
  partcv[0] = 1;
  Object opresult1954 = callmethod(call1953, "==", 1, partcv, params);
// compilenode returning opresult1954
  int op_slot_right_1948 = gc_frame_newslot(opresult1954);
  int callframe1957 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call1958 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe1957);
// compilenode returning call1958
// compilenode returning call1958
  int op_slot_right_1956 = gc_frame_newslot(call1958);
  int callframe1960 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call1961 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe1960);
// compilenode returning call1961
// compilenode returning call1961
  int op_slot_left_1956 = gc_frame_newslot(call1961);
  params[0] = call1958;
  partcv[0] = 1;
  Object opresult1962 = callmethod(call1961, "==", 1, partcv, params);
// compilenode returning opresult1962
  int op_slot_left_1948 = gc_frame_newslot(opresult1962);
  params[0] = opresult1954;
  partcv[0] = 1;
  Object opresult1963 = callmethod(opresult1962, "&&", 1, partcv, params);
// compilenode returning opresult1963
  gc_frame_end(frame);
  return opresult1963;
}
Object meth_parser__apply2168(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe2169 = gc_frame_new();
  int callframe2170 = gc_frame_new();
  if (strlit2171 == NULL) {
    strlit2171 = alloc_String("rbrace");
    gc_root(strlit2171);
  }
// compilenode returning strlit2171
  gc_frame_newslot(strlit2171);
  params[0] = strlit2171;
  partcv[0] = 1;
  Object call2172 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2170);
// compilenode returning call2172
  partcv[0] = 0;
  Object call2173 = callmethod(call2172, "not",
    1, partcv, params);
  gc_frame_end(callframe2169);
// compilenode returning call2173
// compilenode returning call2173
  gc_frame_end(frame);
  return call2173;
}
Object meth_parser__apply2181(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe2182 = gc_frame_new();
  partcv[0] = 0;
  Object call2183 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2182);
// compilenode returning call2183
  gc_frame_end(frame);
  return call2183;
}
Object meth_parser__apply2176(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_btok = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_v = getfromclosure(closure, 5);
  Object *var_body = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_closingBrace = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "closingBrace");
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 693
  setline(693);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2178 = gc_frame_new();
  int callframe2179 = gc_frame_new();
  Object block2180 = alloc_Block(NULL, NULL, "parser", 693);
  gc_frame_newslot(block2180);
  block_savedest(block2180);
  Object closure2181 = createclosure(1, "_apply");
setclosureframe(closure2181, stackframe);
  addtoclosure(closure2181, selfslot);
  struct UserObject *uo2181 = (struct UserObject*)block2180;
  uo2181->data[0] = (Object)closure2181;
  Method *meth_meth_parser__apply2181 = addmethod2pos(block2180, "_apply", &meth_parser__apply2181, 0);
int argcv_meth_parser__apply2181[] = {0};
meth_meth_parser__apply2181->type = alloc_MethodType(1, argcv_meth_parser__apply2181);
  meth_meth_parser__apply2181->definitionModule = modulename;
  meth_meth_parser__apply2181->definitionLine = 693;
// compilenode returning block2180
  gc_frame_newslot(block2180);
  params[0] = block2180;
  partcv[0] = 1;
  Object call2185 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2179);
// compilenode returning call2185
  partcv[0] = 0;
  Object call2186 = callmethod(call2185, "not",
    1, partcv, params);
  gc_frame_end(callframe2178);
// compilenode returning call2186
// compilenode returning call2186
  Object if2177 = done;
  if (istrue(call2186)) {
// Begin line 695
  setline(695);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 694
  setline(694);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2187 = gc_frame_new();
  int callframe2188 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2189 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2188);
// compilenode returning call2189
// compilenode returning call2189
  partcv[0] = 0;
  Object call2190 = callmethod(call2189, "new",
    1, partcv, params);
  gc_frame_end(callframe2187);
// compilenode returning call2190
// compilenode returning call2190
  *var_suggestion = call2190;
  if (call2190 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 695
  setline(695);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2191 = gc_frame_new();
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
  Object bool2192 = alloc_Boolean(0);
// compilenode returning bool2192
  gc_frame_newslot(bool2192);
  params[0] = *var_btok;
  params[1] = bool2192;
  partcv[0] = 2;
  Object call2193 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2191);
// compilenode returning call2193
  *var_closingBrace = call2193;
  if (call2193 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 703
  setline(703);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 696
  setline(696);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2196 = alloc_Boolean(0);
// compilenode returning bool2196
  int op_slot_right_2195 = gc_frame_newslot(bool2196);
  int callframe2198 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2199 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2198);
// compilenode returning call2199
// compilenode returning call2199
  int op_slot_left_2195 = gc_frame_newslot(call2199);
  params[0] = bool2196;
  partcv[0] = 1;
  Object opresult2200 = callmethod(call2199, "==", 1, partcv, params);
// compilenode returning opresult2200
  Object if2194 = done;
  if (istrue(opresult2200)) {
// Begin line 702
  setline(702);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  int op_slot_right_2202 = gc_frame_newslot(*var_lastToken);
  int callframe2204 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2205 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2204);
// compilenode returning call2205
// compilenode returning call2205
  int op_slot_left_2202 = gc_frame_newslot(call2205);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2206 = callmethod(call2205, "==", 1, partcv, params);
// compilenode returning opresult2206
  Object if2201 = done;
  if (istrue(opresult2206)) {
// Begin line 698
  setline(698);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2207 = gc_frame_new();
  if (strlit2208 == NULL) {
    strlit2208 = alloc_String("}");
    gc_root(strlit2208);
  }
// compilenode returning strlit2208
  gc_frame_newslot(strlit2208);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2208;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2209 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2207);
// compilenode returning call2209
    gc_frame_newslot(call2209);
    if2201 = call2209;
  } else {
// Begin line 700
  setline(700);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2210 = gc_frame_new();
  Object num2212 = alloc_Float64(0.1);
// compilenode returning num2212
  int op_slot_right_2211 = gc_frame_newslot(num2212);
  int callframe2214 = gc_frame_new();
  int callframe2215 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2216 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2215);
// compilenode returning call2216
// compilenode returning call2216
  partcv[0] = 0;
  Object call2217 = callmethod(call2216, "line",
    1, partcv, params);
  gc_frame_end(callframe2214);
// compilenode returning call2217
// compilenode returning call2217
  int op_slot_left_2211 = gc_frame_newslot(call2217);
  params[0] = num2212;
  partcv[0] = 1;
  Object sum2218 = callmethod(call2217, "+", 1, partcv, params);
// compilenode returning sum2218
  gc_frame_newslot(sum2218);
  if (strlit2219 == NULL) {
    strlit2219 = alloc_String("}");
    gc_root(strlit2219);
  }
// compilenode returning strlit2219
  gc_frame_newslot(strlit2219);
// compilenode returning *var_suggestion
  params[0] = sum2218;
  params[1] = strlit2219;
  partcv[0] = 2;
  Object call2220 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2210);
// compilenode returning call2220
    gc_frame_newslot(call2220);
    if2201 = call2220;
  }
// compilenode returning if2201
    gc_frame_newslot(if2201);
    if2194 = if2201;
  } else {
  }
// compilenode returning if2194
// Begin line 703
  setline(703);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2221 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call2222 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe2221);
// compilenode returning call2222
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2223 = gc_frame_new();
  if (strlit2224 == NULL) {
    strlit2224 = alloc_String("An if statement must end with a '}'.");
    gc_root(strlit2224);
  }
// compilenode returning strlit2224
  gc_frame_newslot(strlit2224);
// Begin line 705
  setline(705);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2225 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2226 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2225);
// compilenode returning call2226
// compilenode returning call2226
  gc_frame_newslot(call2226);
  int callframe2227 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2228 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2227);
// compilenode returning call2228
// compilenode returning call2228
  gc_frame_newslot(call2228);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2224;
  params[1] = call2226;
  params[2] = call2228;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2229 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2223);
// compilenode returning call2229
    gc_frame_newslot(call2229);
    if2177 = call2229;
  } else {
  }
// compilenode returning if2177
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2230 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call2231 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe2230);
// compilenode returning call2231
// compilenode returning call2231
  *var_v = call2231;
  if (call2231 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2233 = gc_frame_new();
// compilenode returning *var_v
  gc_frame_newslot(*var_v);
// compilenode returning *var_body
  params[0] = *var_v;
  partcv[0] = 1;
  Object call2234 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe2233);
// compilenode returning call2234
  gc_frame_end(frame);
  return call2234;
}
Object meth_parser__apply2241(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit2244 == NULL) {
    strlit2244 = alloc_String("elseif");
    gc_root(strlit2244);
  }
// compilenode returning strlit2244
  int op_slot_right_2243 = gc_frame_newslot(strlit2244);
  int callframe2246 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2247 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe2246);
// compilenode returning call2247
// compilenode returning call2247
  int op_slot_left_2243 = gc_frame_newslot(call2247);
  params[0] = strlit2244;
  partcv[0] = 1;
  Object opresult2248 = callmethod(call2247, "==", 1, partcv, params);
// compilenode returning opresult2248
  int op_slot_right_2242 = gc_frame_newslot(opresult2248);
  int callframe2250 = gc_frame_new();
  if (strlit2251 == NULL) {
    strlit2251 = alloc_String("identifier");
    gc_root(strlit2251);
  }
// compilenode returning strlit2251
  gc_frame_newslot(strlit2251);
  params[0] = strlit2251;
  partcv[0] = 1;
  Object call2252 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2250);
// compilenode returning call2252
  int op_slot_left_2242 = gc_frame_newslot(call2252);
  params[0] = opresult2248;
  partcv[0] = 1;
  Object opresult2253 = callmethod(call2252, "&&", 1, partcv, params);
// compilenode returning opresult2253
  gc_frame_end(frame);
  return opresult2253;
}
Object meth_parser__apply2273(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_statementToken = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 725
  setline(725);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2278 == NULL) {
    strlit2278 = alloc_String("then");
    gc_root(strlit2278);
  }
// compilenode returning strlit2278
  int op_slot_right_2277 = gc_frame_newslot(strlit2278);
  int callframe2280 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call2281 = callmethod(*var_t, "value",
    1, partcv, params);
  gc_frame_end(callframe2280);
// compilenode returning call2281
// compilenode returning call2281
  int op_slot_left_2277 = gc_frame_newslot(call2281);
  params[0] = strlit2278;
  partcv[0] = 1;
  Object opresult2282 = callmethod(call2281, "==", 1, partcv, params);
// compilenode returning opresult2282
  int op_slot_right_2276 = gc_frame_newslot(opresult2282);
  if (strlit2285 == NULL) {
    strlit2285 = alloc_String("identifier");
    gc_root(strlit2285);
  }
// compilenode returning strlit2285
  int op_slot_right_2284 = gc_frame_newslot(strlit2285);
  int callframe2287 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call2288 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe2287);
// compilenode returning call2288
// compilenode returning call2288
  int op_slot_left_2284 = gc_frame_newslot(call2288);
  params[0] = strlit2285;
  partcv[0] = 1;
  Object opresult2289 = callmethod(call2288, "==", 1, partcv, params);
// compilenode returning opresult2289
  int op_slot_left_2276 = gc_frame_newslot(opresult2289);
  params[0] = opresult2282;
  partcv[0] = 1;
  Object opresult2290 = callmethod(opresult2289, "&&", 1, partcv, params);
// compilenode returning opresult2290
  int op_slot_right_2275 = gc_frame_newslot(opresult2290);
// Begin line 724
  setline(724);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2294 == NULL) {
    strlit2294 = alloc_String("lbrace");
    gc_root(strlit2294);
  }
// compilenode returning strlit2294
  int op_slot_right_2293 = gc_frame_newslot(strlit2294);
  int callframe2296 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call2297 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe2296);
// compilenode returning call2297
// compilenode returning call2297
  int op_slot_left_2293 = gc_frame_newslot(call2297);
  params[0] = strlit2294;
  partcv[0] = 1;
  Object opresult2298 = callmethod(call2297, "==", 1, partcv, params);
// compilenode returning opresult2298
  int op_slot_right_2292 = gc_frame_newslot(opresult2298);
  if (strlit2301 == NULL) {
    strlit2301 = alloc_String("rparen");
    gc_root(strlit2301);
  }
// compilenode returning strlit2301
  int op_slot_right_2300 = gc_frame_newslot(strlit2301);
  int callframe2303 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call2304 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe2303);
// compilenode returning call2304
// compilenode returning call2304
  int op_slot_left_2300 = gc_frame_newslot(call2304);
  params[0] = strlit2301;
  partcv[0] = 1;
  Object opresult2305 = callmethod(call2304, "==", 1, partcv, params);
// compilenode returning opresult2305
  int op_slot_left_2292 = gc_frame_newslot(opresult2305);
  params[0] = opresult2298;
  partcv[0] = 1;
  Object opresult2306 = callmethod(opresult2305, "||", 1, partcv, params);
// compilenode returning opresult2306
  int op_slot_left_2275 = gc_frame_newslot(opresult2306);
  params[0] = opresult2290;
  partcv[0] = 1;
  Object opresult2307 = callmethod(opresult2306, "||", 1, partcv, params);
// compilenode returning opresult2307
  int op_slot_right_2274 = gc_frame_newslot(opresult2307);
// Begin line 723
  setline(723);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2310 = gc_frame_new();
// compilenode returning *var_statementToken
  partcv[0] = 0;
  Object call2311 = callmethod(*var_statementToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2310);
// compilenode returning call2311
// compilenode returning call2311
  int op_slot_right_2309 = gc_frame_newslot(call2311);
  int callframe2313 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call2314 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe2313);
// compilenode returning call2314
// compilenode returning call2314
  int op_slot_left_2309 = gc_frame_newslot(call2314);
  params[0] = call2311;
  partcv[0] = 1;
  Object opresult2315 = callmethod(call2314, "==", 1, partcv, params);
// compilenode returning opresult2315
  int op_slot_left_2274 = gc_frame_newslot(opresult2315);
  params[0] = opresult2307;
  partcv[0] = 1;
  Object opresult2316 = callmethod(opresult2315, "&&", 1, partcv, params);
// compilenode returning opresult2316
  gc_frame_end(frame);
  return opresult2316;
}
Object meth_parser__apply2403(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe2404 = gc_frame_new();
  partcv[0] = 0;
  Object call2405 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2404);
// compilenode returning call2405
  gc_frame_end(frame);
  return call2405;
}
Object meth_parser__apply2415(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit2418 == NULL) {
    strlit2418 = alloc_String("rparen");
    gc_root(strlit2418);
  }
// compilenode returning strlit2418
  int op_slot_right_2417 = gc_frame_newslot(strlit2418);
  int callframe2420 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call2421 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe2420);
// compilenode returning call2421
// compilenode returning call2421
  int op_slot_left_2417 = gc_frame_newslot(call2421);
  params[0] = strlit2418;
  partcv[0] = 1;
  Object opresult2422 = callmethod(call2421, "==", 1, partcv, params);
// compilenode returning opresult2422
  int op_slot_right_2416 = gc_frame_newslot(opresult2422);
  int callframe2425 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2426 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2425);
// compilenode returning call2426
// compilenode returning call2426
  int op_slot_right_2424 = gc_frame_newslot(call2426);
  int callframe2428 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call2429 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe2428);
// compilenode returning call2429
// compilenode returning call2429
  int op_slot_left_2424 = gc_frame_newslot(call2429);
  params[0] = call2426;
  partcv[0] = 1;
  Object opresult2430 = callmethod(call2429, "==", 1, partcv, params);
// compilenode returning opresult2430
  int op_slot_left_2416 = gc_frame_newslot(opresult2430);
  params[0] = opresult2422;
  partcv[0] = 1;
  Object opresult2431 = callmethod(opresult2430, "&&", 1, partcv, params);
// compilenode returning opresult2431
  gc_frame_end(frame);
  return opresult2431;
}
Object meth_parser__apply2729(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe2730 = gc_frame_new();
  int callframe2731 = gc_frame_new();
  if (strlit2732 == NULL) {
    strlit2732 = alloc_String("rbrace");
    gc_root(strlit2732);
  }
// compilenode returning strlit2732
  gc_frame_newslot(strlit2732);
  params[0] = strlit2732;
  partcv[0] = 1;
  Object call2733 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2731);
// compilenode returning call2733
  partcv[0] = 0;
  Object call2734 = callmethod(call2733, "not",
    1, partcv, params);
  gc_frame_end(callframe2730);
// compilenode returning call2734
// compilenode returning call2734
  gc_frame_end(frame);
  return call2734;
}
Object meth_parser__apply2742(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe2743 = gc_frame_new();
  partcv[0] = 0;
  Object call2744 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2743);
// compilenode returning call2744
  gc_frame_end(frame);
  return call2744;
}
Object meth_parser__apply2737(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_btok = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_v = getfromclosure(closure, 5);
  Object *var_ebody = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_closingBrace = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "closingBrace");
// Begin line 859
  setline(859);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 845
  setline(845);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2739 = gc_frame_new();
  int callframe2740 = gc_frame_new();
  Object block2741 = alloc_Block(NULL, NULL, "parser", 845);
  gc_frame_newslot(block2741);
  block_savedest(block2741);
  Object closure2742 = createclosure(1, "_apply");
setclosureframe(closure2742, stackframe);
  addtoclosure(closure2742, selfslot);
  struct UserObject *uo2742 = (struct UserObject*)block2741;
  uo2742->data[0] = (Object)closure2742;
  Method *meth_meth_parser__apply2742 = addmethod2pos(block2741, "_apply", &meth_parser__apply2742, 0);
int argcv_meth_parser__apply2742[] = {0};
meth_meth_parser__apply2742->type = alloc_MethodType(1, argcv_meth_parser__apply2742);
  meth_meth_parser__apply2742->definitionModule = modulename;
  meth_meth_parser__apply2742->definitionLine = 845;
// compilenode returning block2741
  gc_frame_newslot(block2741);
  params[0] = block2741;
  partcv[0] = 1;
  Object call2746 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2740);
// compilenode returning call2746
  partcv[0] = 0;
  Object call2747 = callmethod(call2746, "not",
    1, partcv, params);
  gc_frame_end(callframe2739);
// compilenode returning call2747
// compilenode returning call2747
  Object if2738 = done;
  if (istrue(call2747)) {
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 846
  setline(846);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2748 = gc_frame_new();
  int callframe2749 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2750 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2749);
// compilenode returning call2750
// compilenode returning call2750
  partcv[0] = 0;
  Object call2751 = callmethod(call2750, "new",
    1, partcv, params);
  gc_frame_end(callframe2748);
// compilenode returning call2751
// compilenode returning call2751
  *var_suggestion = call2751;
  if (call2751 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2752 = gc_frame_new();
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
  Object bool2753 = alloc_Boolean(0);
// compilenode returning bool2753
  gc_frame_newslot(bool2753);
  params[0] = *var_btok;
  params[1] = bool2753;
  partcv[0] = 2;
  Object call2754 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2752);
// compilenode returning call2754
  *var_closingBrace = call2754;
  if (call2754 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 855
  setline(855);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 848
  setline(848);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2757 = alloc_Boolean(0);
// compilenode returning bool2757
  int op_slot_right_2756 = gc_frame_newslot(bool2757);
  int callframe2759 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2760 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2759);
// compilenode returning call2760
// compilenode returning call2760
  int op_slot_left_2756 = gc_frame_newslot(call2760);
  params[0] = bool2757;
  partcv[0] = 1;
  Object opresult2761 = callmethod(call2760, "==", 1, partcv, params);
// compilenode returning opresult2761
  Object if2755 = done;
  if (istrue(opresult2761)) {
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 849
  setline(849);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  int op_slot_right_2763 = gc_frame_newslot(*var_lastToken);
  int callframe2765 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2766 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2765);
// compilenode returning call2766
// compilenode returning call2766
  int op_slot_left_2763 = gc_frame_newslot(call2766);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2767 = callmethod(call2766, "==", 1, partcv, params);
// compilenode returning opresult2767
  Object if2762 = done;
  if (istrue(opresult2767)) {
// Begin line 850
  setline(850);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2768 = gc_frame_new();
  if (strlit2769 == NULL) {
    strlit2769 = alloc_String("}");
    gc_root(strlit2769);
  }
// compilenode returning strlit2769
  gc_frame_newslot(strlit2769);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2769;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2770 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2768);
// compilenode returning call2770
    gc_frame_newslot(call2770);
    if2762 = call2770;
  } else {
// Begin line 852
  setline(852);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2771 = gc_frame_new();
  Object num2773 = alloc_Float64(0.1);
// compilenode returning num2773
  int op_slot_right_2772 = gc_frame_newslot(num2773);
  int callframe2775 = gc_frame_new();
  int callframe2776 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2777 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2776);
// compilenode returning call2777
// compilenode returning call2777
  partcv[0] = 0;
  Object call2778 = callmethod(call2777, "line",
    1, partcv, params);
  gc_frame_end(callframe2775);
// compilenode returning call2778
// compilenode returning call2778
  int op_slot_left_2772 = gc_frame_newslot(call2778);
  params[0] = num2773;
  partcv[0] = 1;
  Object sum2779 = callmethod(call2778, "+", 1, partcv, params);
// compilenode returning sum2779
  gc_frame_newslot(sum2779);
  if (strlit2780 == NULL) {
    strlit2780 = alloc_String("}");
    gc_root(strlit2780);
  }
// compilenode returning strlit2780
  gc_frame_newslot(strlit2780);
// compilenode returning *var_suggestion
  params[0] = sum2779;
  params[1] = strlit2780;
  partcv[0] = 2;
  Object call2781 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2771);
// compilenode returning call2781
    gc_frame_newslot(call2781);
    if2762 = call2781;
  }
// compilenode returning if2762
    gc_frame_newslot(if2762);
    if2755 = if2762;
  } else {
  }
// compilenode returning if2755
// Begin line 855
  setline(855);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2782 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call2783 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe2782);
// compilenode returning call2783
// Begin line 856
  setline(856);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2784 = gc_frame_new();
  if (strlit2785 == NULL) {
    strlit2785 = alloc_String("An elseif statement must end with a '}'.");
    gc_root(strlit2785);
  }
// compilenode returning strlit2785
  gc_frame_newslot(strlit2785);
// Begin line 857
  setline(857);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2786 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2787 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2786);
// compilenode returning call2787
// compilenode returning call2787
  gc_frame_newslot(call2787);
  int callframe2788 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2789 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2788);
// compilenode returning call2789
// compilenode returning call2789
  gc_frame_newslot(call2789);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 856
  setline(856);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2785;
  params[1] = call2787;
  params[2] = call2789;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2790 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2784);
// compilenode returning call2790
    gc_frame_newslot(call2790);
    if2738 = call2790;
  } else {
  }
// compilenode returning if2738
// Begin line 860
  setline(860);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 859
  setline(859);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2791 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call2792 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe2791);
// compilenode returning call2792
// compilenode returning call2792
  *var_v = call2792;
  if (call2792 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 860
  setline(860);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2794 = gc_frame_new();
// compilenode returning *var_v
  gc_frame_newslot(*var_v);
// compilenode returning *var_ebody
  params[0] = *var_v;
  partcv[0] = 1;
  Object call2795 = callmethod(*var_ebody, "push",
    1, partcv, params);
  gc_frame_end(callframe2794);
// compilenode returning call2795
  gc_frame_end(frame);
  return call2795;
}
Object meth_parser__apply2256(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(11, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_statementToken = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_econd = getfromclosure(closure, 5);
  Object *var_ebody = getfromclosure(closure, 6);
  Object *var_btok = getfromclosure(closure, 7);
  Object *var_minIndentLevel = getfromclosure(closure, 8);
  Object *var_minInd = getfromclosure(closure, 9);
  Object *var_v = getfromclosure(closure, 10);
  Object *var_newelse = getfromclosure(closure, 11);
  Object *var_ast = getfromclosure(closure, 12);
  Object *var_eif = getfromclosure(closure, 13);
  Object *var_curelse = getfromclosure(closure, 14);
  Object self = *(getfromclosure(closure, 15));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_nextTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextTok");
  Object *var_closingBrace = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "closingBrace");
// Begin line 719
  setline(719);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 718
  setline(718);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 719
  setline(719);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2258 = gc_frame_new();
  partcv[0] = 0;
  Object call2259 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2258);
// compilenode returning call2259
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 720
  setline(720);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2262 == NULL) {
    strlit2262 = alloc_String("lparen");
    gc_root(strlit2262);
  }
// compilenode returning strlit2262
  int op_slot_right_2261 = gc_frame_newslot(strlit2262);
  int callframe2264 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2265 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe2264);
// compilenode returning call2265
// compilenode returning call2265
  int op_slot_left_2261 = gc_frame_newslot(call2265);
  params[0] = strlit2262;
  partcv[0] = 1;
  Object opresult2266 = callmethod(call2265, "!=", 1, partcv, params);
// compilenode returning opresult2266
  Object if2260 = done;
  if (istrue(opresult2266)) {
// Begin line 723
  setline(723);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 721
  setline(721);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2267 = gc_frame_new();
  int callframe2268 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2269 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2268);
// compilenode returning call2269
// compilenode returning call2269
  partcv[0] = 0;
  Object call2270 = callmethod(call2269, "new",
    1, partcv, params);
  gc_frame_end(callframe2267);
// compilenode returning call2270
// compilenode returning call2270
  *var_suggestion = call2270;
  if (call2270 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 723
  setline(723);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2271 = gc_frame_new();
  Object block2272 = alloc_Block(NULL, NULL, "parser", 723);
  gc_frame_newslot(block2272);
  block_savedest(block2272);
  Object closure2273 = createclosure(2, "_apply");
setclosureframe(closure2273, stackframe);
  addtoclosure(closure2273, var_statementToken);
  addtoclosure(closure2273, selfslot);
  struct UserObject *uo2273 = (struct UserObject*)block2272;
  uo2273->data[0] = (Object)closure2273;
  Method *meth_meth_parser__apply2273 = addmethod2pos(block2272, "_apply", &meth_parser__apply2273, 0);
int argcv_meth_parser__apply2273[] = {1};
meth_meth_parser__apply2273->type = alloc_MethodType(1, argcv_meth_parser__apply2273);
  meth_meth_parser__apply2273->definitionModule = modulename;
  meth_meth_parser__apply2273->definitionLine = 721;
// compilenode returning block2272
  gc_frame_newslot(block2272);
  params[0] = block2272;
  partcv[0] = 1;
  Object call2318 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2271);
// compilenode returning call2318
  *var_nextTok = call2318;
  if (call2318 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 749
  setline(749);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2321 = alloc_Boolean(0);
// compilenode returning bool2321
  int op_slot_right_2320 = gc_frame_newslot(bool2321);
// compilenode returning *var_nextTok
  int op_slot_left_2320 = gc_frame_newslot(*var_nextTok);
  params[0] = bool2321;
  partcv[0] = 1;
  Object opresult2323 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult2323
  Object if2319 = done;
  if (istrue(opresult2323)) {
// Begin line 727
  setline(727);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2324 = gc_frame_new();
  if (strlit2325 == NULL) {
    strlit2325 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit2325);
  }
// compilenode returning strlit2325
  gc_frame_newslot(strlit2325);
// compilenode returning *var_statementToken
  gc_frame_newslot(*var_statementToken);
// compilenode returning *var_suggestion
  params[0] = strlit2325;
  params[1] = *var_statementToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2326 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2324);
// compilenode returning call2326
    gc_frame_newslot(call2326);
    if2319 = call2326;
  } else {
// Begin line 734
  setline(734);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 728
  setline(728);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2329 == NULL) {
    strlit2329 = alloc_String("rparen");
    gc_root(strlit2329);
  }
// compilenode returning strlit2329
  int op_slot_right_2328 = gc_frame_newslot(strlit2329);
  int callframe2331 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call2332 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe2331);
// compilenode returning call2332
// compilenode returning call2332
  int op_slot_left_2328 = gc_frame_newslot(call2332);
  params[0] = strlit2329;
  partcv[0] = 1;
  Object opresult2333 = callmethod(call2332, "==", 1, partcv, params);
// compilenode returning opresult2333
  Object if2327 = done;
  if (istrue(opresult2333)) {
// Begin line 734
  setline(734);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 729
  setline(729);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_2335 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_2335 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2337 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult2337
  Object if2334 = done;
  if (istrue(opresult2337)) {
// Begin line 730
  setline(730);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2338 = gc_frame_new();
  if (strlit2339 == NULL) {
    strlit2339 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit2339);
  }
// compilenode returning strlit2339
  gc_frame_newslot(strlit2339);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit2339;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2340 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe2338);
// compilenode returning call2340
    gc_frame_newslot(call2340);
    if2334 = call2340;
  } else {
// Begin line 732
  setline(732);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2341 = gc_frame_new();
  if (strlit2342 == NULL) {
    strlit2342 = alloc_String("(");
    gc_root(strlit2342);
  }
// compilenode returning strlit2342
  gc_frame_newslot(strlit2342);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit2342;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2343 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe2341);
// compilenode returning call2343
    gc_frame_newslot(call2343);
    if2334 = call2343;
  }
// compilenode returning if2334
    gc_frame_newslot(if2334);
    if2327 = if2334;
  } else {
// Begin line 741
  setline(741);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 734
  setline(734);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2346 == NULL) {
    strlit2346 = alloc_String("lbrace");
    gc_root(strlit2346);
  }
// compilenode returning strlit2346
  int op_slot_right_2345 = gc_frame_newslot(strlit2346);
  int callframe2348 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call2349 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe2348);
// compilenode returning call2349
// compilenode returning call2349
  int op_slot_left_2345 = gc_frame_newslot(call2349);
  params[0] = strlit2346;
  partcv[0] = 1;
  Object opresult2350 = callmethod(call2349, "==", 1, partcv, params);
// compilenode returning opresult2350
  Object if2344 = done;
  if (istrue(opresult2350)) {
// Begin line 741
  setline(741);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 735
  setline(735);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_2352 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_2352 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2354 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult2354
  Object if2351 = done;
  if (istrue(opresult2354)) {
// Begin line 736
  setline(736);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2355 = gc_frame_new();
  if (strlit2356 == NULL) {
    strlit2356 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"") then");
    gc_root(strlit2356);
  }
// compilenode returning strlit2356
  gc_frame_newslot(strlit2356);
// compilenode returning *var_statementToken
  gc_frame_newslot(*var_statementToken);
// compilenode returning *var_suggestion
  params[0] = strlit2356;
  params[1] = *var_statementToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2357 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2355);
// compilenode returning call2357
    gc_frame_newslot(call2357);
    if2351 = call2357;
  } else {
// Begin line 738
  setline(738);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2358 = gc_frame_new();
  if (strlit2359 == NULL) {
    strlit2359 = alloc_String("(");
    gc_root(strlit2359);
  }
// compilenode returning strlit2359
  gc_frame_newslot(strlit2359);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit2359;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2360 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe2358);
// compilenode returning call2360
// Begin line 739
  setline(739);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2361 = gc_frame_new();
  if (strlit2362 == NULL) {
    strlit2362 = alloc_String(") then");
    gc_root(strlit2362);
  }
// compilenode returning strlit2362
  gc_frame_newslot(strlit2362);
  int callframe2363 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call2364 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe2363);
// compilenode returning call2364
// compilenode returning call2364
  gc_frame_newslot(call2364);
  Object bool2365 = alloc_Boolean(1);
// compilenode returning bool2365
  gc_frame_newslot(bool2365);
// compilenode returning *var_suggestion
  params[0] = strlit2362;
  params[1] = call2364;
  params[2] = bool2365;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2366 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe2361);
// compilenode returning call2366
    gc_frame_newslot(call2366);
    if2351 = call2366;
  }
// compilenode returning if2351
    gc_frame_newslot(if2351);
    if2344 = if2351;
  } else {
// Begin line 749
  setline(749);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 741
  setline(741);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2369 == NULL) {
    strlit2369 = alloc_String("identifier");
    gc_root(strlit2369);
  }
// compilenode returning strlit2369
  int op_slot_right_2368 = gc_frame_newslot(strlit2369);
  int callframe2371 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call2372 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe2371);
// compilenode returning call2372
// compilenode returning call2372
  int op_slot_left_2368 = gc_frame_newslot(call2372);
  params[0] = strlit2369;
  partcv[0] = 1;
  Object opresult2373 = callmethod(call2372, "==", 1, partcv, params);
// compilenode returning opresult2373
  Object if2367 = done;
  if (istrue(opresult2373)) {
// Begin line 748
  setline(748);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 742
  setline(742);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_2375 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_2375 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2377 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult2377
  Object if2374 = done;
  if (istrue(opresult2377)) {
// Begin line 743
  setline(743);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2378 = gc_frame_new();
  if (strlit2379 == NULL) {
    strlit2379 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb"") ");
    gc_root(strlit2379);
  }
// compilenode returning strlit2379
  gc_frame_newslot(strlit2379);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit2379;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2380 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe2378);
// compilenode returning call2380
    gc_frame_newslot(call2380);
    if2374 = call2380;
  } else {
// Begin line 745
  setline(745);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2381 = gc_frame_new();
  if (strlit2382 == NULL) {
    strlit2382 = alloc_String("(");
    gc_root(strlit2382);
  }
// compilenode returning strlit2382
  gc_frame_newslot(strlit2382);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit2382;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2383 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe2381);
// compilenode returning call2383
// Begin line 746
  setline(746);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2384 = gc_frame_new();
  if (strlit2385 == NULL) {
    strlit2385 = alloc_String(")");
    gc_root(strlit2385);
  }
// compilenode returning strlit2385
  gc_frame_newslot(strlit2385);
  int callframe2386 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call2387 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe2386);
// compilenode returning call2387
// compilenode returning call2387
  gc_frame_newslot(call2387);
  Object bool2388 = alloc_Boolean(1);
// compilenode returning bool2388
  gc_frame_newslot(bool2388);
// compilenode returning *var_suggestion
  params[0] = strlit2385;
  params[1] = call2387;
  params[2] = bool2388;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2389 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe2384);
// compilenode returning call2389
    gc_frame_newslot(call2389);
    if2374 = call2389;
  }
// compilenode returning if2374
    gc_frame_newslot(if2374);
    if2367 = if2374;
  } else {
  }
// compilenode returning if2367
    gc_frame_newslot(if2367);
    if2344 = if2367;
  }
// compilenode returning if2344
    gc_frame_newslot(if2344);
    if2327 = if2344;
  }
// compilenode returning if2327
    gc_frame_newslot(if2327);
    if2319 = if2327;
  }
// compilenode returning if2319
// Begin line 749
  setline(749);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2390 = gc_frame_new();
  if (strlit2391 == NULL) {
    strlit2391 = alloc_String("An elseif statement must have an expression in parentheses after the 'elseif'.");
    gc_root(strlit2391);
  }
// compilenode returning strlit2391
  gc_frame_newslot(strlit2391);
// Begin line 750
  setline(750);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2392 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2393 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2392);
// compilenode returning call2393
// compilenode returning call2393
  gc_frame_newslot(call2393);
  int callframe2394 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2395 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2394);
// compilenode returning call2395
// compilenode returning call2395
  gc_frame_newslot(call2395);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 749
  setline(749);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2391;
  params[1] = call2393;
  params[2] = call2395;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2396 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2390);
// compilenode returning call2396
    gc_frame_newslot(call2396);
    if2260 = call2396;
  } else {
  }
// compilenode returning if2260
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2397 = gc_frame_new();
  partcv[0] = 0;
  Object call2398 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2397);
// compilenode returning call2398
// Begin line 779
  setline(779);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 753
  setline(753);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2400 = gc_frame_new();
  int callframe2401 = gc_frame_new();
  Object block2402 = alloc_Block(NULL, NULL, "parser", 753);
  gc_frame_newslot(block2402);
  block_savedest(block2402);
  Object closure2403 = createclosure(1, "_apply");
setclosureframe(closure2403, stackframe);
  addtoclosure(closure2403, selfslot);
  struct UserObject *uo2403 = (struct UserObject*)block2402;
  uo2403->data[0] = (Object)closure2403;
  Method *meth_meth_parser__apply2403 = addmethod2pos(block2402, "_apply", &meth_parser__apply2403, 0);
int argcv_meth_parser__apply2403[] = {0};
meth_meth_parser__apply2403->type = alloc_MethodType(1, argcv_meth_parser__apply2403);
  meth_meth_parser__apply2403->definitionModule = modulename;
  meth_meth_parser__apply2403->definitionLine = 753;
// compilenode returning block2402
  gc_frame_newslot(block2402);
  params[0] = block2402;
  partcv[0] = 1;
  Object call2407 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2401);
// compilenode returning call2407
  partcv[0] = 0;
  Object call2408 = callmethod(call2407, "not",
    1, partcv, params);
  gc_frame_end(callframe2400);
// compilenode returning call2408
// compilenode returning call2408
  Object if2399 = done;
  if (istrue(call2408)) {
// Begin line 756
  setline(756);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 754
  setline(754);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2409 = gc_frame_new();
  int callframe2410 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2411 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2410);
// compilenode returning call2411
// compilenode returning call2411
  partcv[0] = 0;
  Object call2412 = callmethod(call2411, "new",
    1, partcv, params);
  gc_frame_end(callframe2409);
// compilenode returning call2412
// compilenode returning call2412
  *var_suggestion = call2412;
  if (call2412 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 756
  setline(756);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2413 = gc_frame_new();
  Object block2414 = alloc_Block(NULL, NULL, "parser", 756);
  gc_frame_newslot(block2414);
  block_savedest(block2414);
  Object closure2415 = createclosure(2, "_apply");
setclosureframe(closure2415, stackframe);
  addtoclosure(closure2415, var_lastToken);
  addtoclosure(closure2415, selfslot);
  struct UserObject *uo2415 = (struct UserObject*)block2414;
  uo2415->data[0] = (Object)closure2415;
  Method *meth_meth_parser__apply2415 = addmethod2pos(block2414, "_apply", &meth_parser__apply2415, 0);
int argcv_meth_parser__apply2415[] = {1};
meth_meth_parser__apply2415->type = alloc_MethodType(1, argcv_meth_parser__apply2415);
  meth_meth_parser__apply2415->definitionModule = modulename;
  meth_meth_parser__apply2415->definitionLine = 754;
// compilenode returning block2414
  gc_frame_newslot(block2414);
  params[0] = block2414;
  partcv[0] = 1;
  Object call2433 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2413);
// compilenode returning call2433
  *var_nextTok = call2433;
  if (call2433 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 778
  setline(778);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 757
  setline(757);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2436 = alloc_Boolean(0);
// compilenode returning bool2436
  int op_slot_right_2435 = gc_frame_newslot(bool2436);
// compilenode returning *var_nextTok
  int op_slot_left_2435 = gc_frame_newslot(*var_nextTok);
  params[0] = bool2436;
  partcv[0] = 1;
  Object opresult2438 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult2438
  Object if2434 = done;
  if (istrue(opresult2438)) {
// Begin line 758
  setline(758);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2439 = gc_frame_new();
  if (strlit2440 == NULL) {
    strlit2440 = alloc_String("rparen");
    gc_root(strlit2440);
  }
// compilenode returning strlit2440
  gc_frame_newslot(strlit2440);
  params[0] = strlit2440;
  partcv[0] = 1;
  Object call2441 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2439);
// compilenode returning call2441
  *var_nextTok = call2441;
  if (call2441 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 759
  setline(759);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_2444 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_2444 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2446 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult2446
  Object if2443 = done;
  if (istrue(opresult2446)) {
// Begin line 760
  setline(760);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2447 = gc_frame_new();
  if (strlit2448 == NULL) {
    strlit2448 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit2448);
  }
// compilenode returning strlit2448
  gc_frame_newslot(strlit2448);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2448;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2449 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2447);
// compilenode returning call2449
    gc_frame_newslot(call2449);
    if2443 = call2449;
  } else {
// Begin line 762
  setline(762);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2450 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe2451 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call2452 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe2451);
// compilenode returning call2452
// compilenode returning call2452
  gc_frame_newslot(call2452);
  Object bool2453 = alloc_Boolean(1);
// compilenode returning bool2453
  gc_frame_newslot(bool2453);
  Object bool2454 = alloc_Boolean(0);
// compilenode returning bool2454
  gc_frame_newslot(bool2454);
  if (strlit2455 == NULL) {
    strlit2455 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit2455);
  }
// compilenode returning strlit2455
  gc_frame_newslot(strlit2455);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call2452;
  params[2] = bool2453;
  params[3] = bool2454;
  params[4] = strlit2455;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2456 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2450);
// compilenode returning call2456
    gc_frame_newslot(call2456);
    if2443 = call2456;
  }
// compilenode returning if2443
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2457 = gc_frame_new();
  if (strlit2458 == NULL) {
    strlit2458 = alloc_String("An elseif statement must have an expression in parentheses after the 'elseif'.");
    gc_root(strlit2458);
  }
// compilenode returning strlit2458
  gc_frame_newslot(strlit2458);
// Begin line 765
  setline(765);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2459 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2460 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2459);
// compilenode returning call2460
// compilenode returning call2460
  gc_frame_newslot(call2460);
  int callframe2461 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2462 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2461);
// compilenode returning call2462
// compilenode returning call2462
  gc_frame_newslot(call2462);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2458;
  params[1] = call2460;
  params[2] = call2462;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2463 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2457);
// compilenode returning call2463
    gc_frame_newslot(call2463);
    if2434 = call2463;
  } else {
// Begin line 777
  setline(777);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 767
  setline(767);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_2465 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_2465 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2467 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult2467
  Object if2464 = done;
  if (istrue(opresult2467)) {
// Begin line 768
  setline(768);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2468 = gc_frame_new();
  if (strlit2469 == NULL) {
    strlit2469 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit2469);
  }
// compilenode returning strlit2469
  gc_frame_newslot(strlit2469);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2469;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2470 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2468);
// compilenode returning call2470
// Begin line 769
  setline(769);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2471 = gc_frame_new();
  if (strlit2472 == NULL) {
    strlit2472 = alloc_String("An elseif statement must have an expression in parentheses after the 'elseif'.");
    gc_root(strlit2472);
  }
// compilenode returning strlit2472
  gc_frame_newslot(strlit2472);
// Begin line 770
  setline(770);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2473 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2474 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2473);
// compilenode returning call2474
// compilenode returning call2474
  gc_frame_newslot(call2474);
  int callframe2475 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2476 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2475);
// compilenode returning call2476
// compilenode returning call2476
  gc_frame_newslot(call2476);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 769
  setline(769);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2472;
  params[1] = call2474;
  params[2] = call2476;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2477 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2471);
// compilenode returning call2477
    gc_frame_newslot(call2477);
    if2464 = call2477;
  } else {
// Begin line 773
  setline(773);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2478 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe2479 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call2480 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe2479);
// compilenode returning call2480
// compilenode returning call2480
  gc_frame_newslot(call2480);
  Object bool2481 = alloc_Boolean(0);
// compilenode returning bool2481
  gc_frame_newslot(bool2481);
  Object bool2482 = alloc_Boolean(1);
// compilenode returning bool2482
  gc_frame_newslot(bool2482);
  if (strlit2483 == NULL) {
    strlit2483 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit2483);
  }
// compilenode returning strlit2483
  gc_frame_newslot(strlit2483);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call2480;
  params[2] = bool2481;
  params[3] = bool2482;
  params[4] = strlit2483;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2484 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2478);
// compilenode returning call2484
// Begin line 774
  setline(774);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2485 = gc_frame_new();
  if (strlit2486 == NULL) {
    strlit2486 = alloc_String("An elseif statement must have an expression in parentheses after the 'elseif'.");
    gc_root(strlit2486);
  }
// compilenode returning strlit2486
  gc_frame_newslot(strlit2486);
// Begin line 775
  setline(775);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2487 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2488 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2487);
// compilenode returning call2488
// compilenode returning call2488
  gc_frame_newslot(call2488);
  int callframe2489 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2490 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2489);
// compilenode returning call2490
// compilenode returning call2490
  gc_frame_newslot(call2490);
  Object num2492 = alloc_Float64(1);
// compilenode returning num2492
  int op_slot_right_2491 = gc_frame_newslot(num2492);
  int callframe2494 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call2495 = callmethod(*var_nextTok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2494);
// compilenode returning call2495
// compilenode returning call2495
  int op_slot_left_2491 = gc_frame_newslot(call2495);
  params[0] = num2492;
  partcv[0] = 1;
  Object diff2496 = callmethod(call2495, "-", 1, partcv, params);
// compilenode returning diff2496
  gc_frame_newslot(diff2496);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 774
  setline(774);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2486;
  params[1] = call2488;
  params[2] = call2490;
  params[3] = diff2496;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2497 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2485);
// compilenode returning call2497
    gc_frame_newslot(call2497);
    if2464 = call2497;
  }
// compilenode returning if2464
    gc_frame_newslot(if2464);
    if2434 = if2464;
  }
// compilenode returning if2434
    gc_frame_newslot(if2434);
    if2399 = if2434;
  } else {
  }
// compilenode returning if2399
// Begin line 786
  setline(786);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 779
  setline(779);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2500 == NULL) {
    strlit2500 = alloc_String("rparen");
    gc_root(strlit2500);
  }
// compilenode returning strlit2500
  int op_slot_right_2499 = gc_frame_newslot(strlit2500);
  int callframe2502 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2503 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe2502);
// compilenode returning call2503
// compilenode returning call2503
  int op_slot_left_2499 = gc_frame_newslot(call2503);
  params[0] = strlit2500;
  partcv[0] = 1;
  Object opresult2504 = callmethod(call2503, "!=", 1, partcv, params);
// compilenode returning opresult2504
  Object if2498 = done;
  if (istrue(opresult2504)) {
// Begin line 780
  setline(780);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2505 = gc_frame_new();
  partcv[0] = 0;
  Object call2506 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2505);
// compilenode returning call2506
// Begin line 782
  setline(782);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 781
  setline(781);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2507 = gc_frame_new();
  int callframe2508 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2509 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2508);
// compilenode returning call2509
// compilenode returning call2509
  partcv[0] = 0;
  Object call2510 = callmethod(call2509, "new",
    1, partcv, params);
  gc_frame_end(callframe2507);
// compilenode returning call2510
// compilenode returning call2510
  *var_suggestion = call2510;
  if (call2510 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 782
  setline(782);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2511 = gc_frame_new();
  if (strlit2512 == NULL) {
    strlit2512 = alloc_String(")");
    gc_root(strlit2512);
  }
// compilenode returning strlit2512
  gc_frame_newslot(strlit2512);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2512;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2513 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2511);
// compilenode returning call2513
// Begin line 783
  setline(783);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2514 = gc_frame_new();
  if (strlit2515 == NULL) {
    strlit2515 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit2515);
  }
// compilenode returning strlit2515
  gc_frame_newslot(strlit2515);
// Begin line 784
  setline(784);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2516 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2517 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2516);
// compilenode returning call2517
// compilenode returning call2517
  gc_frame_newslot(call2517);
  int callframe2519 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2520 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe2519);
// compilenode returning call2520
// compilenode returning call2520
  int op_slot_right_2518 = gc_frame_newslot(call2520);
  int callframe2522 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2523 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2522);
// compilenode returning call2523
// compilenode returning call2523
  int op_slot_left_2518 = gc_frame_newslot(call2523);
  params[0] = call2520;
  partcv[0] = 1;
  Object sum2524 = callmethod(call2523, "+", 1, partcv, params);
// compilenode returning sum2524
  gc_frame_newslot(sum2524);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 783
  setline(783);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2515;
  params[1] = call2517;
  params[2] = sum2524;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2525 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2514);
// compilenode returning call2525
    gc_frame_newslot(call2525);
    if2498 = call2525;
  } else {
  }
// compilenode returning if2498
// Begin line 786
  setline(786);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2526 = gc_frame_new();
  partcv[0] = 0;
  Object call2527 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2526);
// compilenode returning call2527
// Begin line 788
  setline(788);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 787
  setline(787);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2528 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call2529 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe2528);
// compilenode returning call2529
// compilenode returning call2529
  *var_econd = call2529;
  if (call2529 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 822
  setline(822);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 789
  setline(789);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2534 == NULL) {
    strlit2534 = alloc_String("then");
    gc_root(strlit2534);
  }
// compilenode returning strlit2534
  int op_slot_right_2533 = gc_frame_newslot(strlit2534);
  int callframe2536 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2537 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe2536);
// compilenode returning call2537
// compilenode returning call2537
  int op_slot_left_2533 = gc_frame_newslot(call2537);
  params[0] = strlit2534;
  partcv[0] = 1;
  Object opresult2538 = callmethod(call2537, "==", 1, partcv, params);
// compilenode returning opresult2538
  int op_slot_right_2532 = gc_frame_newslot(opresult2538);
// Begin line 788
  setline(788);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2540 = gc_frame_new();
  if (strlit2541 == NULL) {
    strlit2541 = alloc_String("identifier");
    gc_root(strlit2541);
  }
// compilenode returning strlit2541
  gc_frame_newslot(strlit2541);
  params[0] = strlit2541;
  partcv[0] = 1;
  Object call2542 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2540);
// compilenode returning call2542
  int op_slot_left_2532 = gc_frame_newslot(call2542);
  params[0] = opresult2538;
  partcv[0] = 1;
  Object opresult2543 = callmethod(call2542, "&&", 1, partcv, params);
// compilenode returning opresult2543
  Object if2531 = done;
  if (istrue(opresult2543)) {
// Begin line 790
  setline(790);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2544 = gc_frame_new();
  partcv[0] = 0;
  Object call2545 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2544);
// compilenode returning call2545
// Begin line 792
  setline(792);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 791
  setline(791);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array2546 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array2546
  *var_ebody = array2546;
  if (array2546 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2531 = done;
  } else {
// Begin line 794
  setline(794);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 793
  setline(793);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2548 = gc_frame_new();
  int callframe2549 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2550 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2549);
// compilenode returning call2550
// compilenode returning call2550
  partcv[0] = 0;
  Object call2551 = callmethod(call2550, "new",
    1, partcv, params);
  gc_frame_end(callframe2548);
// compilenode returning call2551
// compilenode returning call2551
  *var_suggestion = call2551;
  if (call2551 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 819
  setline(819);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 794
  setline(794);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2554 == NULL) {
    strlit2554 = alloc_String("lbrace");
    gc_root(strlit2554);
  }
// compilenode returning strlit2554
  int op_slot_right_2553 = gc_frame_newslot(strlit2554);
  int callframe2556 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2557 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe2556);
// compilenode returning call2557
// compilenode returning call2557
  int op_slot_left_2553 = gc_frame_newslot(call2557);
  params[0] = strlit2554;
  partcv[0] = 1;
  Object opresult2558 = callmethod(call2557, "==", 1, partcv, params);
// compilenode returning opresult2558
  Object if2552 = done;
  if (istrue(opresult2558)) {
// Begin line 795
  setline(795);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2559 = gc_frame_new();
// compilenode returning *var_statementToken
  gc_frame_newslot(*var_statementToken);
  Object bool2560 = alloc_Boolean(0);
// compilenode returning bool2560
  gc_frame_newslot(bool2560);
  params[0] = *var_statementToken;
  params[1] = bool2560;
  partcv[0] = 2;
  Object call2561 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2559);
// compilenode returning call2561
  *var_closingBrace = call2561;
  if (call2561 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 806
  setline(806);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 796
  setline(796);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2564 = alloc_Boolean(0);
// compilenode returning bool2564
  int op_slot_right_2563 = gc_frame_newslot(bool2564);
  int callframe2566 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2567 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2566);
// compilenode returning call2567
// compilenode returning call2567
  int op_slot_left_2563 = gc_frame_newslot(call2567);
  params[0] = bool2564;
  partcv[0] = 1;
  Object opresult2568 = callmethod(call2567, "==", 1, partcv, params);
// compilenode returning opresult2568
  Object if2562 = done;
  if (istrue(opresult2568)) {
// Begin line 803
  setline(803);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 797
  setline(797);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_2570 = gc_frame_newslot(*var_sym);
  int callframe2572 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2573 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2572);
// compilenode returning call2573
// compilenode returning call2573
  int op_slot_left_2570 = gc_frame_newslot(call2573);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2574 = callmethod(call2573, "==", 1, partcv, params);
// compilenode returning opresult2574
  Object if2569 = done;
  if (istrue(opresult2574)) {
// Begin line 798
  setline(798);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2575 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool2576 = alloc_Boolean(1);
// compilenode returning bool2576
  gc_frame_newslot(bool2576);
  Object bool2577 = alloc_Boolean(0);
// compilenode returning bool2577
  gc_frame_newslot(bool2577);
  if (strlit2578 == NULL) {
    strlit2578 = alloc_String(" then {}");
    gc_root(strlit2578);
  }
// compilenode returning strlit2578
  gc_frame_newslot(strlit2578);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool2576;
  params[2] = bool2577;
  params[3] = strlit2578;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2579 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2575);
// compilenode returning call2579
    gc_frame_newslot(call2579);
    if2569 = call2579;
  } else {
// Begin line 800
  setline(800);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2580 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool2581 = alloc_Boolean(1);
// compilenode returning bool2581
  gc_frame_newslot(bool2581);
  Object bool2582 = alloc_Boolean(0);
// compilenode returning bool2582
  gc_frame_newslot(bool2582);
  if (strlit2583 == NULL) {
    strlit2583 = alloc_String(" then {");
    gc_root(strlit2583);
  }
// compilenode returning strlit2583
  gc_frame_newslot(strlit2583);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool2581;
  params[2] = bool2582;
  params[3] = strlit2583;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2584 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2580);
// compilenode returning call2584
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2585 = gc_frame_new();
  Object num2587 = alloc_Float64(0.1);
// compilenode returning num2587
  int op_slot_right_2586 = gc_frame_newslot(num2587);
  int callframe2589 = gc_frame_new();
  int callframe2590 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2591 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2590);
// compilenode returning call2591
// compilenode returning call2591
  partcv[0] = 0;
  Object call2592 = callmethod(call2591, "line",
    1, partcv, params);
  gc_frame_end(callframe2589);
// compilenode returning call2592
// compilenode returning call2592
  int op_slot_left_2586 = gc_frame_newslot(call2592);
  params[0] = num2587;
  partcv[0] = 1;
  Object sum2593 = callmethod(call2592, "+", 1, partcv, params);
// compilenode returning sum2593
  gc_frame_newslot(sum2593);
  if (strlit2594 == NULL) {
    strlit2594 = alloc_String("}");
    gc_root(strlit2594);
  }
// compilenode returning strlit2594
  gc_frame_newslot(strlit2594);
// compilenode returning *var_suggestion
  params[0] = sum2593;
  params[1] = strlit2594;
  partcv[0] = 2;
  Object call2595 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2585);
// compilenode returning call2595
    gc_frame_newslot(call2595);
    if2569 = call2595;
  }
// compilenode returning if2569
    gc_frame_newslot(if2569);
    if2562 = if2569;
  } else {
// Begin line 804
  setline(804);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2596 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool2597 = alloc_Boolean(1);
// compilenode returning bool2597
  gc_frame_newslot(bool2597);
  Object bool2598 = alloc_Boolean(0);
// compilenode returning bool2598
  gc_frame_newslot(bool2598);
  if (strlit2599 == NULL) {
    strlit2599 = alloc_String(" then {");
    gc_root(strlit2599);
  }
// compilenode returning strlit2599
  gc_frame_newslot(strlit2599);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool2597;
  params[2] = bool2598;
  params[3] = strlit2599;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2600 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2596);
// compilenode returning call2600
    gc_frame_newslot(call2600);
    if2562 = call2600;
  }
// compilenode returning if2562
    gc_frame_newslot(if2562);
    if2552 = if2562;
  } else {
// Begin line 807
  setline(807);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2601 = gc_frame_new();
// compilenode returning *var_statementToken
  gc_frame_newslot(*var_statementToken);
  Object bool2602 = alloc_Boolean(1);
// compilenode returning bool2602
  gc_frame_newslot(bool2602);
  params[0] = *var_statementToken;
  params[1] = bool2602;
  partcv[0] = 2;
  Object call2603 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2601);
// compilenode returning call2603
  *var_closingBrace = call2603;
  if (call2603 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 818
  setline(818);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 808
  setline(808);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2606 = alloc_Boolean(0);
// compilenode returning bool2606
  int op_slot_right_2605 = gc_frame_newslot(bool2606);
  int callframe2608 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2609 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2608);
// compilenode returning call2609
// compilenode returning call2609
  int op_slot_left_2605 = gc_frame_newslot(call2609);
  params[0] = bool2606;
  partcv[0] = 1;
  Object opresult2610 = callmethod(call2609, "==", 1, partcv, params);
// compilenode returning opresult2610
  Object if2604 = done;
  if (istrue(opresult2610)) {
// Begin line 815
  setline(815);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 809
  setline(809);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  int op_slot_right_2612 = gc_frame_newslot(*var_lastToken);
  int callframe2614 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2615 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2614);
// compilenode returning call2615
// compilenode returning call2615
  int op_slot_left_2612 = gc_frame_newslot(call2615);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2616 = callmethod(call2615, "==", 1, partcv, params);
// compilenode returning opresult2616
  Object if2611 = done;
  if (istrue(opresult2616)) {
// Begin line 810
  setline(810);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2617 = gc_frame_new();
  if (strlit2618 == NULL) {
    strlit2618 = alloc_String(" then {}");
    gc_root(strlit2618);
  }
// compilenode returning strlit2618
  gc_frame_newslot(strlit2618);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2618;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2619 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2617);
// compilenode returning call2619
    gc_frame_newslot(call2619);
    if2611 = call2619;
  } else {
// Begin line 812
  setline(812);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2620 = gc_frame_new();
  if (strlit2621 == NULL) {
    strlit2621 = alloc_String(" then {");
    gc_root(strlit2621);
  }
// compilenode returning strlit2621
  gc_frame_newslot(strlit2621);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2621;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2622 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2620);
// compilenode returning call2622
// Begin line 813
  setline(813);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2623 = gc_frame_new();
  Object num2625 = alloc_Float64(0.1);
// compilenode returning num2625
  int op_slot_right_2624 = gc_frame_newslot(num2625);
  int callframe2627 = gc_frame_new();
  int callframe2628 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2629 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2628);
// compilenode returning call2629
// compilenode returning call2629
  partcv[0] = 0;
  Object call2630 = callmethod(call2629, "line",
    1, partcv, params);
  gc_frame_end(callframe2627);
// compilenode returning call2630
// compilenode returning call2630
  int op_slot_left_2624 = gc_frame_newslot(call2630);
  params[0] = num2625;
  partcv[0] = 1;
  Object sum2631 = callmethod(call2630, "+", 1, partcv, params);
// compilenode returning sum2631
  gc_frame_newslot(sum2631);
  if (strlit2632 == NULL) {
    strlit2632 = alloc_String("}");
    gc_root(strlit2632);
  }
// compilenode returning strlit2632
  gc_frame_newslot(strlit2632);
// compilenode returning *var_suggestion
  params[0] = sum2631;
  params[1] = strlit2632;
  partcv[0] = 2;
  Object call2633 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2623);
// compilenode returning call2633
    gc_frame_newslot(call2633);
    if2611 = call2633;
  }
// compilenode returning if2611
    gc_frame_newslot(if2611);
    if2604 = if2611;
  } else {
// Begin line 816
  setline(816);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2634 = gc_frame_new();
  if (strlit2635 == NULL) {
    strlit2635 = alloc_String(" then {");
    gc_root(strlit2635);
  }
// compilenode returning strlit2635
  gc_frame_newslot(strlit2635);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2635;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2636 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2634);
// compilenode returning call2636
    gc_frame_newslot(call2636);
    if2604 = call2636;
  }
// compilenode returning if2604
    gc_frame_newslot(if2604);
    if2552 = if2604;
  }
// compilenode returning if2552
// Begin line 819
  setline(819);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2637 = gc_frame_new();
  if (strlit2638 == NULL) {
    strlit2638 = alloc_String("An elseif statement must have 'then' after the expression in parentheses.");
    gc_root(strlit2638);
  }
// compilenode returning strlit2638
  gc_frame_newslot(strlit2638);
// Begin line 820
  setline(820);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2639 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2640 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2639);
// compilenode returning call2640
// compilenode returning call2640
  gc_frame_newslot(call2640);
  int callframe2641 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2642 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2641);
// compilenode returning call2642
// compilenode returning call2642
  gc_frame_newslot(call2642);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 819
  setline(819);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2638;
  params[1] = call2640;
  params[2] = call2642;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2643 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2637);
// compilenode returning call2643
    gc_frame_newslot(call2643);
    if2531 = call2643;
  }
// compilenode returning if2531
// Begin line 838
  setline(838);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 822
  setline(822);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2646 == NULL) {
    strlit2646 = alloc_String("lbrace");
    gc_root(strlit2646);
  }
// compilenode returning strlit2646
  int op_slot_right_2645 = gc_frame_newslot(strlit2646);
  int callframe2648 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2649 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe2648);
// compilenode returning call2649
// compilenode returning call2649
  int op_slot_left_2645 = gc_frame_newslot(call2649);
  params[0] = strlit2646;
  partcv[0] = 1;
  Object opresult2650 = callmethod(call2649, "!=", 1, partcv, params);
// compilenode returning opresult2650
  Object if2644 = done;
  if (istrue(opresult2650)) {
// Begin line 824
  setline(824);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 823
  setline(823);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2651 = gc_frame_new();
  int callframe2652 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2653 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2652);
// compilenode returning call2653
// compilenode returning call2653
  partcv[0] = 0;
  Object call2654 = callmethod(call2653, "new",
    1, partcv, params);
  gc_frame_end(callframe2651);
// compilenode returning call2654
// compilenode returning call2654
  *var_suggestion = call2654;
  if (call2654 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 824
  setline(824);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2655 = gc_frame_new();
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
  Object bool2656 = alloc_Boolean(1);
// compilenode returning bool2656
  gc_frame_newslot(bool2656);
  params[0] = *var_btok;
  params[1] = bool2656;
  partcv[0] = 2;
  Object call2657 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2655);
// compilenode returning call2657
  *var_closingBrace = call2657;
  if (call2657 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 825
  setline(825);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2660 = alloc_Boolean(0);
// compilenode returning bool2660
  int op_slot_right_2659 = gc_frame_newslot(bool2660);
  int callframe2662 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2663 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2662);
// compilenode returning call2663
// compilenode returning call2663
  int op_slot_left_2659 = gc_frame_newslot(call2663);
  params[0] = bool2660;
  partcv[0] = 1;
  Object opresult2664 = callmethod(call2663, "==", 1, partcv, params);
// compilenode returning opresult2664
  Object if2658 = done;
  if (istrue(opresult2664)) {
// Begin line 832
  setline(832);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 826
  setline(826);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  int op_slot_right_2666 = gc_frame_newslot(*var_lastToken);
  int callframe2668 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2669 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2668);
// compilenode returning call2669
// compilenode returning call2669
  int op_slot_left_2666 = gc_frame_newslot(call2669);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2670 = callmethod(call2669, "==", 1, partcv, params);
// compilenode returning opresult2670
  Object if2665 = done;
  if (istrue(opresult2670)) {
// Begin line 827
  setline(827);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2671 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool2672 = alloc_Boolean(0);
// compilenode returning bool2672
  gc_frame_newslot(bool2672);
  Object bool2673 = alloc_Boolean(1);
// compilenode returning bool2673
  gc_frame_newslot(bool2673);
  if (strlit2674 == NULL) {
    strlit2674 = alloc_String("then {}");
    gc_root(strlit2674);
  }
// compilenode returning strlit2674
  gc_frame_newslot(strlit2674);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool2672;
  params[2] = bool2673;
  params[3] = strlit2674;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2675 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2671);
// compilenode returning call2675
    gc_frame_newslot(call2675);
    if2665 = call2675;
  } else {
// Begin line 829
  setline(829);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2676 = gc_frame_new();
  Object num2678 = alloc_Float64(0.1);
// compilenode returning num2678
  int op_slot_right_2677 = gc_frame_newslot(num2678);
  int callframe2680 = gc_frame_new();
  int callframe2681 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2682 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2681);
// compilenode returning call2682
// compilenode returning call2682
  partcv[0] = 0;
  Object call2683 = callmethod(call2682, "line",
    1, partcv, params);
  gc_frame_end(callframe2680);
// compilenode returning call2683
// compilenode returning call2683
  int op_slot_left_2677 = gc_frame_newslot(call2683);
  params[0] = num2678;
  partcv[0] = 1;
  Object sum2684 = callmethod(call2683, "+", 1, partcv, params);
// compilenode returning sum2684
  gc_frame_newslot(sum2684);
  if (strlit2685 == NULL) {
    strlit2685 = alloc_String("}");
    gc_root(strlit2685);
  }
// compilenode returning strlit2685
  gc_frame_newslot(strlit2685);
// compilenode returning *var_suggestion
  params[0] = sum2684;
  params[1] = strlit2685;
  partcv[0] = 2;
  Object call2686 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2676);
// compilenode returning call2686
// Begin line 830
  setline(830);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2687 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool2688 = alloc_Boolean(0);
// compilenode returning bool2688
  gc_frame_newslot(bool2688);
  Object bool2689 = alloc_Boolean(1);
// compilenode returning bool2689
  gc_frame_newslot(bool2689);
  if (strlit2690 == NULL) {
    strlit2690 = alloc_String("then {");
    gc_root(strlit2690);
  }
// compilenode returning strlit2690
  gc_frame_newslot(strlit2690);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool2688;
  params[2] = bool2689;
  params[3] = strlit2690;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2691 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2687);
// compilenode returning call2691
    gc_frame_newslot(call2691);
    if2665 = call2691;
  }
// compilenode returning if2665
    gc_frame_newslot(if2665);
    if2658 = if2665;
  } else {
// Begin line 833
  setline(833);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2692 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool2693 = alloc_Boolean(0);
// compilenode returning bool2693
  gc_frame_newslot(bool2693);
  Object bool2694 = alloc_Boolean(1);
// compilenode returning bool2694
  gc_frame_newslot(bool2694);
  if (strlit2695 == NULL) {
    strlit2695 = alloc_String("then {");
    gc_root(strlit2695);
  }
// compilenode returning strlit2695
  gc_frame_newslot(strlit2695);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool2693;
  params[2] = bool2694;
  params[3] = strlit2695;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2696 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2692);
// compilenode returning call2696
    gc_frame_newslot(call2696);
    if2658 = call2696;
  }
// compilenode returning if2658
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2697 = gc_frame_new();
  if (strlit2698 == NULL) {
    strlit2698 = alloc_String("An elseif statement must have a '{' after the 'then'.");
    gc_root(strlit2698);
  }
// compilenode returning strlit2698
  gc_frame_newslot(strlit2698);
// Begin line 836
  setline(836);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2699 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2700 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2699);
// compilenode returning call2700
// compilenode returning call2700
  gc_frame_newslot(call2700);
  int callframe2702 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2703 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe2702);
// compilenode returning call2703
// compilenode returning call2703
  int op_slot_right_2701 = gc_frame_newslot(call2703);
  int callframe2705 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2706 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2705);
// compilenode returning call2706
// compilenode returning call2706
  int op_slot_left_2701 = gc_frame_newslot(call2706);
  params[0] = call2703;
  partcv[0] = 1;
  Object sum2707 = callmethod(call2706, "+", 1, partcv, params);
// compilenode returning sum2707
  gc_frame_newslot(sum2707);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2698;
  params[1] = call2700;
  params[2] = sum2707;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2708 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2697);
// compilenode returning call2708
    gc_frame_newslot(call2708);
    if2644 = call2708;
  } else {
  }
// compilenode returning if2644
// Begin line 838
  setline(838);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2709 = gc_frame_new();
  partcv[0] = 0;
  Object call2710 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2709);
// compilenode returning call2710
// Begin line 844
  setline(844);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 839
  setline(839);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2713 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2714 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2713);
// compilenode returning call2714
// compilenode returning call2714
  int op_slot_right_2712 = gc_frame_newslot(call2714);
  int callframe2716 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2717 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2716);
// compilenode returning call2717
// compilenode returning call2717
  int op_slot_left_2712 = gc_frame_newslot(call2717);
  params[0] = call2714;
  partcv[0] = 1;
  Object opresult2718 = callmethod(call2717, "==", 1, partcv, params);
// compilenode returning opresult2718
  Object if2711 = done;
  if (istrue(opresult2718)) {
// Begin line 841
  setline(841);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 840
  setline(840);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2720 = alloc_Float64(1);
// compilenode returning num2720
  int op_slot_right_2719 = gc_frame_newslot(num2720);
  int callframe2722 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2723 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2722);
// compilenode returning call2723
// compilenode returning call2723
  int op_slot_left_2719 = gc_frame_newslot(call2723);
  params[0] = num2720;
  partcv[0] = 1;
  Object diff2724 = callmethod(call2723, "-", 1, partcv, params);
// compilenode returning diff2724
  *var_minIndentLevel = diff2724;
  if (diff2724 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2711 = done;
  } else {
// Begin line 843
  setline(843);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 842
  setline(842);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minInd
  *var_minIndentLevel = *var_minInd;
  if (*var_minInd == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2711 = done;
  }
// compilenode returning if2711
// Begin line 844
  setline(844);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2727 = gc_frame_new();
  Object block2728 = alloc_Block(NULL, NULL, "parser", 844);
  gc_frame_newslot(block2728);
  block_savedest(block2728);
  Object closure2729 = createclosure(1, "_apply");
setclosureframe(closure2729, stackframe);
  addtoclosure(closure2729, selfslot);
  struct UserObject *uo2729 = (struct UserObject*)block2728;
  uo2729->data[0] = (Object)closure2729;
  Method *meth_meth_parser__apply2729 = addmethod2pos(block2728, "_apply", &meth_parser__apply2729, 0);
int argcv_meth_parser__apply2729[] = {0};
meth_meth_parser__apply2729->type = alloc_MethodType(1, argcv_meth_parser__apply2729);
  meth_meth_parser__apply2729->definitionModule = modulename;
  meth_meth_parser__apply2729->definitionLine = 840;
// compilenode returning block2728
  gc_frame_newslot(block2728);
  Object block2736 = alloc_Block(NULL, NULL, "parser", 844);
  gc_frame_newslot(block2736);
  block_savedest(block2736);
  Object closure2737 = createclosure(8, "_apply");
setclosureframe(closure2737, stackframe);
  addtoclosure(closure2737, var_errormessages);
  addtoclosure(closure2737, var_btok);
  addtoclosure(closure2737, var_lastToken);
  addtoclosure(closure2737, var_sym);
  addtoclosure(closure2737, var_values);
  addtoclosure(closure2737, var_v);
  addtoclosure(closure2737, var_ebody);
  addtoclosure(closure2737, selfslot);
  struct UserObject *uo2737 = (struct UserObject*)block2736;
  uo2737->data[0] = (Object)closure2737;
  Method *meth_meth_parser__apply2737 = addmethod2pos(block2736, "_apply", &meth_parser__apply2737, 0);
int argcv_meth_parser__apply2737[] = {0};
meth_meth_parser__apply2737->type = alloc_MethodType(1, argcv_meth_parser__apply2737);
  meth_meth_parser__apply2737->definitionModule = modulename;
  meth_meth_parser__apply2737->definitionLine = 844;
// compilenode returning block2736
  gc_frame_newslot(block2736);
  params[0] = block2728;
  params[1] = block2736;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2797 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2727);
// compilenode returning call2797
// Begin line 862
  setline(862);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2798 = gc_frame_new();
  partcv[0] = 0;
  Object call2799 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2798);
// compilenode returning call2799
// Begin line 864
  setline(864);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 863
  setline(863);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array2800 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array2800
  *var_newelse = array2800;
  if (array2800 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 864
  setline(864);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2802 = gc_frame_new();
// compilenode returning *var_econd
  gc_frame_newslot(*var_econd);
// compilenode returning *var_ebody
  gc_frame_newslot(*var_ebody);
// compilenode returning *var_newelse
  gc_frame_newslot(*var_newelse);
  int callframe2803 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call2804 = callmethod(*var_ast, "ifNode",
    1, partcv, params);
  gc_frame_end(callframe2803);
// compilenode returning call2804
// compilenode returning call2804
  params[0] = *var_econd;
  params[1] = *var_ebody;
  params[2] = *var_newelse;
  partcv[0] = 3;
  Object call2805 = callmethod(call2804, "new",
    1, partcv, params);
  gc_frame_end(callframe2802);
// compilenode returning call2805
  *var_eif = call2805;
  if (call2805 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 867
  setline(867);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2807 = gc_frame_new();
// compilenode returning *var_eif
  gc_frame_newslot(*var_eif);
// compilenode returning *var_curelse
  params[0] = *var_eif;
  partcv[0] = 1;
  Object call2808 = callmethod(*var_curelse, "push",
    1, partcv, params);
  gc_frame_end(callframe2807);
// compilenode returning call2808
// Begin line 871
  setline(871);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 870
  setline(870);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_newelse
  *var_curelse = *var_newelse;
  if (*var_newelse == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply2912(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe2913 = gc_frame_new();
  int callframe2914 = gc_frame_new();
  if (strlit2915 == NULL) {
    strlit2915 = alloc_String("rbrace");
    gc_root(strlit2915);
  }
// compilenode returning strlit2915
  gc_frame_newslot(strlit2915);
  params[0] = strlit2915;
  partcv[0] = 1;
  Object call2916 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2914);
// compilenode returning call2916
  partcv[0] = 0;
  Object call2917 = callmethod(call2916, "not",
    1, partcv, params);
  gc_frame_end(callframe2913);
// compilenode returning call2917
// compilenode returning call2917
  gc_frame_end(frame);
  return call2917;
}
Object meth_parser__apply2925(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe2926 = gc_frame_new();
  partcv[0] = 0;
  Object call2927 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2926);
// compilenode returning call2927
  gc_frame_end(frame);
  return call2927;
}
Object meth_parser__apply2920(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_btok = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_v = getfromclosure(closure, 5);
  Object *var_curelse = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_closingBrace = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "closingBrace");
// Begin line 913
  setline(913);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 899
  setline(899);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2922 = gc_frame_new();
  int callframe2923 = gc_frame_new();
  Object block2924 = alloc_Block(NULL, NULL, "parser", 899);
  gc_frame_newslot(block2924);
  block_savedest(block2924);
  Object closure2925 = createclosure(1, "_apply");
setclosureframe(closure2925, stackframe);
  addtoclosure(closure2925, selfslot);
  struct UserObject *uo2925 = (struct UserObject*)block2924;
  uo2925->data[0] = (Object)closure2925;
  Method *meth_meth_parser__apply2925 = addmethod2pos(block2924, "_apply", &meth_parser__apply2925, 0);
int argcv_meth_parser__apply2925[] = {0};
meth_meth_parser__apply2925->type = alloc_MethodType(1, argcv_meth_parser__apply2925);
  meth_meth_parser__apply2925->definitionModule = modulename;
  meth_meth_parser__apply2925->definitionLine = 899;
// compilenode returning block2924
  gc_frame_newslot(block2924);
  params[0] = block2924;
  partcv[0] = 1;
  Object call2929 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2923);
// compilenode returning call2929
  partcv[0] = 0;
  Object call2930 = callmethod(call2929, "not",
    1, partcv, params);
  gc_frame_end(callframe2922);
// compilenode returning call2930
// compilenode returning call2930
  Object if2921 = done;
  if (istrue(call2930)) {
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 900
  setline(900);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2931 = gc_frame_new();
  int callframe2932 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2933 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2932);
// compilenode returning call2933
// compilenode returning call2933
  partcv[0] = 0;
  Object call2934 = callmethod(call2933, "new",
    1, partcv, params);
  gc_frame_end(callframe2931);
// compilenode returning call2934
// compilenode returning call2934
  *var_suggestion = call2934;
  if (call2934 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2935 = gc_frame_new();
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
  Object bool2936 = alloc_Boolean(0);
// compilenode returning bool2936
  gc_frame_newslot(bool2936);
  params[0] = *var_btok;
  params[1] = bool2936;
  partcv[0] = 2;
  Object call2937 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2935);
// compilenode returning call2937
  *var_closingBrace = call2937;
  if (call2937 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 909
  setline(909);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 902
  setline(902);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2940 = alloc_Boolean(0);
// compilenode returning bool2940
  int op_slot_right_2939 = gc_frame_newslot(bool2940);
  int callframe2942 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2943 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2942);
// compilenode returning call2943
// compilenode returning call2943
  int op_slot_left_2939 = gc_frame_newslot(call2943);
  params[0] = bool2940;
  partcv[0] = 1;
  Object opresult2944 = callmethod(call2943, "==", 1, partcv, params);
// compilenode returning opresult2944
  Object if2938 = done;
  if (istrue(opresult2944)) {
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 903
  setline(903);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  int op_slot_right_2946 = gc_frame_newslot(*var_lastToken);
  int callframe2948 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2949 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2948);
// compilenode returning call2949
// compilenode returning call2949
  int op_slot_left_2946 = gc_frame_newslot(call2949);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2950 = callmethod(call2949, "==", 1, partcv, params);
// compilenode returning opresult2950
  Object if2945 = done;
  if (istrue(opresult2950)) {
// Begin line 904
  setline(904);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2951 = gc_frame_new();
  if (strlit2952 == NULL) {
    strlit2952 = alloc_String("}");
    gc_root(strlit2952);
  }
// compilenode returning strlit2952
  gc_frame_newslot(strlit2952);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2952;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2953 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2951);
// compilenode returning call2953
    gc_frame_newslot(call2953);
    if2945 = call2953;
  } else {
// Begin line 906
  setline(906);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2954 = gc_frame_new();
  Object num2956 = alloc_Float64(0.1);
// compilenode returning num2956
  int op_slot_right_2955 = gc_frame_newslot(num2956);
  int callframe2958 = gc_frame_new();
  int callframe2959 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2960 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2959);
// compilenode returning call2960
// compilenode returning call2960
  partcv[0] = 0;
  Object call2961 = callmethod(call2960, "line",
    1, partcv, params);
  gc_frame_end(callframe2958);
// compilenode returning call2961
// compilenode returning call2961
  int op_slot_left_2955 = gc_frame_newslot(call2961);
  params[0] = num2956;
  partcv[0] = 1;
  Object sum2962 = callmethod(call2961, "+", 1, partcv, params);
// compilenode returning sum2962
  gc_frame_newslot(sum2962);
  if (strlit2963 == NULL) {
    strlit2963 = alloc_String("}");
    gc_root(strlit2963);
  }
// compilenode returning strlit2963
  gc_frame_newslot(strlit2963);
// compilenode returning *var_suggestion
  params[0] = sum2962;
  params[1] = strlit2963;
  partcv[0] = 2;
  Object call2964 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2954);
// compilenode returning call2964
    gc_frame_newslot(call2964);
    if2945 = call2964;
  }
// compilenode returning if2945
    gc_frame_newslot(if2945);
    if2938 = if2945;
  } else {
  }
// compilenode returning if2938
// Begin line 909
  setline(909);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2965 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call2966 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe2965);
// compilenode returning call2966
// Begin line 910
  setline(910);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2967 = gc_frame_new();
  if (strlit2968 == NULL) {
    strlit2968 = alloc_String("An else statement must end with a '}'.");
    gc_root(strlit2968);
  }
// compilenode returning strlit2968
  gc_frame_newslot(strlit2968);
// Begin line 911
  setline(911);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2969 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2970 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2969);
// compilenode returning call2970
// compilenode returning call2970
  gc_frame_newslot(call2970);
  int callframe2971 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2972 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2971);
// compilenode returning call2972
// compilenode returning call2972
  gc_frame_newslot(call2972);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 910
  setline(910);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2968;
  params[1] = call2970;
  params[2] = call2972;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2973 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2967);
// compilenode returning call2973
    gc_frame_newslot(call2973);
    if2921 = call2973;
  } else {
  }
// compilenode returning if2921
// Begin line 914
  setline(914);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 913
  setline(913);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2974 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call2975 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe2974);
// compilenode returning call2975
// compilenode returning call2975
  *var_v = call2975;
  if (call2975 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 914
  setline(914);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2977 = gc_frame_new();
// compilenode returning *var_v
  gc_frame_newslot(*var_v);
// compilenode returning *var_curelse
  params[0] = *var_v;
  partcv[0] = 1;
  Object call2978 = callmethod(*var_curelse, "push",
    1, partcv, params);
  gc_frame_end(callframe2977);
// compilenode returning call2978
  gc_frame_end(frame);
  return call2978;
}
Object meth_parser_doif1776(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 23, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(27, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doif");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_minIndentLevel = getfromclosure(closure, 4);
  Object *var_statementIndent = getfromclosure(closure, 5);
  Object *var_statementToken = getfromclosure(closure, 6);
  Object *var_ast = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doif (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for doif");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
  Object *var_cond = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "cond");
  Object *var_body = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "body");
  Object *var_elseblock = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "elseblock");
  Object *var_curelse = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "curelse");
  Object *var_v = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "v");
  Object *var_localMin = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "localMin");
  Object *var_localStatementIndent = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "localStatementIndent");
  Object *var_minInd = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "minInd");
  Object *var_closingBrace = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "closingBrace");
  Object *var_econd = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "econd");
  Object *var_eif = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "eif");
  Object *var_newelse = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "newelse");
  Object *var_ebody = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "ebody");
  Object *var_o = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "o");
// Begin line 954
  setline(954);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 584
  setline(584);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1780 == NULL) {
    strlit1780 = alloc_String("if");
    gc_root(strlit1780);
  }
// compilenode returning strlit1780
  int op_slot_right_1779 = gc_frame_newslot(strlit1780);
  int callframe1782 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1783 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe1782);
// compilenode returning call1783
// compilenode returning call1783
  int op_slot_left_1779 = gc_frame_newslot(call1783);
  params[0] = strlit1780;
  partcv[0] = 1;
  Object opresult1784 = callmethod(call1783, "==", 1, partcv, params);
// compilenode returning opresult1784
  int op_slot_right_1778 = gc_frame_newslot(opresult1784);
  int callframe1786 = gc_frame_new();
  if (strlit1787 == NULL) {
    strlit1787 = alloc_String("identifier");
    gc_root(strlit1787);
  }
// compilenode returning strlit1787
  gc_frame_newslot(strlit1787);
  params[0] = strlit1787;
  partcv[0] = 1;
  Object call1788 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1786);
// compilenode returning call1788
  int op_slot_left_1778 = gc_frame_newslot(call1788);
  params[0] = opresult1784;
  partcv[0] = 1;
  Object opresult1789 = callmethod(call1788, "&&", 1, partcv, params);
// compilenode returning opresult1789
  Object if1777 = done;
  if (istrue(opresult1789)) {
// Begin line 586
  setline(586);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 585
  setline(585);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 586
  setline(586);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1790 = gc_frame_new();
  partcv[0] = 0;
  Object call1791 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1790);
// compilenode returning call1791
// Begin line 619
  setline(619);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 587
  setline(587);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1794 == NULL) {
    strlit1794 = alloc_String("lparen");
    gc_root(strlit1794);
  }
// compilenode returning strlit1794
  int op_slot_right_1793 = gc_frame_newslot(strlit1794);
  int callframe1796 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1797 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe1796);
// compilenode returning call1797
// compilenode returning call1797
  int op_slot_left_1793 = gc_frame_newslot(call1797);
  params[0] = strlit1794;
  partcv[0] = 1;
  Object opresult1798 = callmethod(call1797, "!=", 1, partcv, params);
// compilenode returning opresult1798
  Object if1792 = done;
  if (istrue(opresult1798)) {
// Begin line 590
  setline(590);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1799 = gc_frame_new();
  int callframe1800 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1801 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1800);
// compilenode returning call1801
// compilenode returning call1801
  partcv[0] = 0;
  Object call1802 = callmethod(call1801, "new",
    1, partcv, params);
  gc_frame_end(callframe1799);
// compilenode returning call1802
// compilenode returning call1802
  *var_suggestion = call1802;
  if (call1802 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 590
  setline(590);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1803 = gc_frame_new();
  Object block1804 = alloc_Block(NULL, NULL, "parser", 590);
  gc_frame_newslot(block1804);
  block_savedest(block1804);
  Object closure1805 = createclosure(2, "_apply");
setclosureframe(closure1805, stackframe);
  addtoclosure(closure1805, var_btok);
  addtoclosure(closure1805, selfslot);
  struct UserObject *uo1805 = (struct UserObject*)block1804;
  uo1805->data[0] = (Object)closure1805;
  Method *meth_meth_parser__apply1805 = addmethod2pos(block1804, "_apply", &meth_parser__apply1805, 0);
int argcv_meth_parser__apply1805[] = {1};
meth_meth_parser__apply1805->type = alloc_MethodType(1, argcv_meth_parser__apply1805);
  meth_meth_parser__apply1805->definitionModule = modulename;
  meth_meth_parser__apply1805->definitionLine = 588;
// compilenode returning block1804
  gc_frame_newslot(block1804);
  params[0] = block1804;
  partcv[0] = 1;
  Object call1850 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1803);
// compilenode returning call1850
  *var_nextTok = call1850;
  if (call1850 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 616
  setline(616);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 593
  setline(593);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1853 = alloc_Boolean(0);
// compilenode returning bool1853
  int op_slot_right_1852 = gc_frame_newslot(bool1853);
// compilenode returning *var_nextTok
  int op_slot_left_1852 = gc_frame_newslot(*var_nextTok);
  params[0] = bool1853;
  partcv[0] = 1;
  Object opresult1855 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult1855
  Object if1851 = done;
  if (istrue(opresult1855)) {
// Begin line 594
  setline(594);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1856 = gc_frame_new();
  if (strlit1857 == NULL) {
    strlit1857 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit1857);
  }
// compilenode returning strlit1857
  gc_frame_newslot(strlit1857);
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
// compilenode returning *var_suggestion
  params[0] = strlit1857;
  params[1] = *var_btok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1858 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1856);
// compilenode returning call1858
    gc_frame_newslot(call1858);
    if1851 = call1858;
  } else {
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 595
  setline(595);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1861 == NULL) {
    strlit1861 = alloc_String("rparen");
    gc_root(strlit1861);
  }
// compilenode returning strlit1861
  int op_slot_right_1860 = gc_frame_newslot(strlit1861);
  int callframe1863 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1864 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe1863);
// compilenode returning call1864
// compilenode returning call1864
  int op_slot_left_1860 = gc_frame_newslot(call1864);
  params[0] = strlit1861;
  partcv[0] = 1;
  Object opresult1865 = callmethod(call1864, "==", 1, partcv, params);
// compilenode returning opresult1865
  Object if1859 = done;
  if (istrue(opresult1865)) {
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 596
  setline(596);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_1867 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_1867 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1869 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult1869
  Object if1866 = done;
  if (istrue(opresult1869)) {
// Begin line 597
  setline(597);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1870 = gc_frame_new();
  if (strlit1871 == NULL) {
    strlit1871 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1871);
  }
// compilenode returning strlit1871
  gc_frame_newslot(strlit1871);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit1871;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1872 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe1870);
// compilenode returning call1872
    gc_frame_newslot(call1872);
    if1866 = call1872;
  } else {
// Begin line 599
  setline(599);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1873 = gc_frame_new();
  if (strlit1874 == NULL) {
    strlit1874 = alloc_String("(");
    gc_root(strlit1874);
  }
// compilenode returning strlit1874
  gc_frame_newslot(strlit1874);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit1874;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1875 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe1873);
// compilenode returning call1875
    gc_frame_newslot(call1875);
    if1866 = call1875;
  }
// compilenode returning if1866
    gc_frame_newslot(if1866);
    if1859 = if1866;
  } else {
// Begin line 608
  setline(608);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1878 == NULL) {
    strlit1878 = alloc_String("lbrace");
    gc_root(strlit1878);
  }
// compilenode returning strlit1878
  int op_slot_right_1877 = gc_frame_newslot(strlit1878);
  int callframe1880 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1881 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe1880);
// compilenode returning call1881
// compilenode returning call1881
  int op_slot_left_1877 = gc_frame_newslot(call1881);
  params[0] = strlit1878;
  partcv[0] = 1;
  Object opresult1882 = callmethod(call1881, "==", 1, partcv, params);
// compilenode returning opresult1882
  Object if1876 = done;
  if (istrue(opresult1882)) {
// Begin line 608
  setline(608);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 602
  setline(602);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_1884 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_1884 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1886 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult1886
  Object if1883 = done;
  if (istrue(opresult1886)) {
// Begin line 603
  setline(603);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1887 = gc_frame_new();
  if (strlit1888 == NULL) {
    strlit1888 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"") then");
    gc_root(strlit1888);
  }
// compilenode returning strlit1888
  gc_frame_newslot(strlit1888);
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
// compilenode returning *var_suggestion
  params[0] = strlit1888;
  params[1] = *var_btok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1889 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1887);
// compilenode returning call1889
    gc_frame_newslot(call1889);
    if1883 = call1889;
  } else {
// Begin line 605
  setline(605);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1890 = gc_frame_new();
  if (strlit1891 == NULL) {
    strlit1891 = alloc_String("(");
    gc_root(strlit1891);
  }
// compilenode returning strlit1891
  gc_frame_newslot(strlit1891);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit1891;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1892 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe1890);
// compilenode returning call1892
// Begin line 606
  setline(606);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1893 = gc_frame_new();
  if (strlit1894 == NULL) {
    strlit1894 = alloc_String(") then");
    gc_root(strlit1894);
  }
// compilenode returning strlit1894
  gc_frame_newslot(strlit1894);
  int callframe1895 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1896 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1895);
// compilenode returning call1896
// compilenode returning call1896
  gc_frame_newslot(call1896);
  Object bool1897 = alloc_Boolean(1);
// compilenode returning bool1897
  gc_frame_newslot(bool1897);
// compilenode returning *var_suggestion
  params[0] = strlit1894;
  params[1] = call1896;
  params[2] = bool1897;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1898 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe1893);
// compilenode returning call1898
    gc_frame_newslot(call1898);
    if1883 = call1898;
  }
// compilenode returning if1883
    gc_frame_newslot(if1883);
    if1876 = if1883;
  } else {
// Begin line 616
  setline(616);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 608
  setline(608);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit1901 == NULL) {
    strlit1901 = alloc_String("identifier");
    gc_root(strlit1901);
  }
// compilenode returning strlit1901
  int op_slot_right_1900 = gc_frame_newslot(strlit1901);
  int callframe1903 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1904 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe1903);
// compilenode returning call1904
// compilenode returning call1904
  int op_slot_left_1900 = gc_frame_newslot(call1904);
  params[0] = strlit1901;
  partcv[0] = 1;
  Object opresult1905 = callmethod(call1904, "==", 1, partcv, params);
// compilenode returning opresult1905
  Object if1899 = done;
  if (istrue(opresult1905)) {
// Begin line 615
  setline(615);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 609
  setline(609);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_1907 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_1907 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1909 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult1909
  Object if1906 = done;
  if (istrue(opresult1909)) {
// Begin line 610
  setline(610);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1910 = gc_frame_new();
  if (strlit1911 == NULL) {
    strlit1911 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb"") ");
    gc_root(strlit1911);
  }
// compilenode returning strlit1911
  gc_frame_newslot(strlit1911);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit1911;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1912 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe1910);
// compilenode returning call1912
    gc_frame_newslot(call1912);
    if1906 = call1912;
  } else {
// Begin line 612
  setline(612);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1913 = gc_frame_new();
  if (strlit1914 == NULL) {
    strlit1914 = alloc_String("(");
    gc_root(strlit1914);
  }
// compilenode returning strlit1914
  gc_frame_newslot(strlit1914);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit1914;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1915 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe1913);
// compilenode returning call1915
// Begin line 613
  setline(613);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1916 = gc_frame_new();
  if (strlit1917 == NULL) {
    strlit1917 = alloc_String(")");
    gc_root(strlit1917);
  }
// compilenode returning strlit1917
  gc_frame_newslot(strlit1917);
  int callframe1918 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1919 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1918);
// compilenode returning call1919
// compilenode returning call1919
  gc_frame_newslot(call1919);
  Object bool1920 = alloc_Boolean(1);
// compilenode returning bool1920
  gc_frame_newslot(bool1920);
// compilenode returning *var_suggestion
  params[0] = strlit1917;
  params[1] = call1919;
  params[2] = bool1920;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1921 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe1916);
// compilenode returning call1921
    gc_frame_newslot(call1921);
    if1906 = call1921;
  }
// compilenode returning if1906
    gc_frame_newslot(if1906);
    if1899 = if1906;
  } else {
  }
// compilenode returning if1899
    gc_frame_newslot(if1899);
    if1876 = if1899;
  }
// compilenode returning if1876
    gc_frame_newslot(if1876);
    if1859 = if1876;
  }
// compilenode returning if1859
    gc_frame_newslot(if1859);
    if1851 = if1859;
  }
// compilenode returning if1851
// Begin line 616
  setline(616);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1922 = gc_frame_new();
  if (strlit1923 == NULL) {
    strlit1923 = alloc_String("An if statement must have an expression in parentheses after the 'if'.");
    gc_root(strlit1923);
  }
// compilenode returning strlit1923
  gc_frame_newslot(strlit1923);
// Begin line 617
  setline(617);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1924 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1925 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1924);
// compilenode returning call1925
// compilenode returning call1925
  gc_frame_newslot(call1925);
  int callframe1926 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1927 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1926);
// compilenode returning call1927
// compilenode returning call1927
  gc_frame_newslot(call1927);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 616
  setline(616);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1923;
  params[1] = call1925;
  params[2] = call1927;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1928 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1922);
// compilenode returning call1928
    gc_frame_newslot(call1928);
    if1792 = call1928;
  } else {
  }
// compilenode returning if1792
// Begin line 619
  setline(619);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1929 = gc_frame_new();
  partcv[0] = 0;
  Object call1930 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1929);
// compilenode returning call1930
// Begin line 645
  setline(645);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 620
  setline(620);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1932 = gc_frame_new();
  int callframe1933 = gc_frame_new();
  Object block1934 = alloc_Block(NULL, NULL, "parser", 620);
  gc_frame_newslot(block1934);
  block_savedest(block1934);
  Object closure1935 = createclosure(1, "_apply");
setclosureframe(closure1935, stackframe);
  addtoclosure(closure1935, selfslot);
  struct UserObject *uo1935 = (struct UserObject*)block1934;
  uo1935->data[0] = (Object)closure1935;
  Method *meth_meth_parser__apply1935 = addmethod2pos(block1934, "_apply", &meth_parser__apply1935, 0);
int argcv_meth_parser__apply1935[] = {0};
meth_meth_parser__apply1935->type = alloc_MethodType(1, argcv_meth_parser__apply1935);
  meth_meth_parser__apply1935->definitionModule = modulename;
  meth_meth_parser__apply1935->definitionLine = 620;
// compilenode returning block1934
  gc_frame_newslot(block1934);
  params[0] = block1934;
  partcv[0] = 1;
  Object call1939 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1933);
// compilenode returning call1939
  partcv[0] = 0;
  Object call1940 = callmethod(call1939, "not",
    1, partcv, params);
  gc_frame_end(callframe1932);
// compilenode returning call1940
// compilenode returning call1940
  Object if1931 = done;
  if (istrue(call1940)) {
// Begin line 623
  setline(623);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 621
  setline(621);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1941 = gc_frame_new();
  int callframe1942 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call1943 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe1942);
// compilenode returning call1943
// compilenode returning call1943
  partcv[0] = 0;
  Object call1944 = callmethod(call1943, "new",
    1, partcv, params);
  gc_frame_end(callframe1941);
// compilenode returning call1944
// compilenode returning call1944
  *var_suggestion = call1944;
  if (call1944 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 623
  setline(623);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1945 = gc_frame_new();
  Object block1946 = alloc_Block(NULL, NULL, "parser", 623);
  gc_frame_newslot(block1946);
  block_savedest(block1946);
  Object closure1947 = createclosure(2, "_apply");
setclosureframe(closure1947, stackframe);
  addtoclosure(closure1947, var_lastToken);
  addtoclosure(closure1947, selfslot);
  struct UserObject *uo1947 = (struct UserObject*)block1946;
  uo1947->data[0] = (Object)closure1947;
  Method *meth_meth_parser__apply1947 = addmethod2pos(block1946, "_apply", &meth_parser__apply1947, 0);
int argcv_meth_parser__apply1947[] = {1};
meth_meth_parser__apply1947->type = alloc_MethodType(1, argcv_meth_parser__apply1947);
  meth_meth_parser__apply1947->definitionModule = modulename;
  meth_meth_parser__apply1947->definitionLine = 621;
// compilenode returning block1946
  gc_frame_newslot(block1946);
  params[0] = block1946;
  partcv[0] = 1;
  Object call1965 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1945);
// compilenode returning call1965
  *var_nextTok = call1965;
  if (call1965 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 644
  setline(644);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 624
  setline(624);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool1968 = alloc_Boolean(0);
// compilenode returning bool1968
  int op_slot_right_1967 = gc_frame_newslot(bool1968);
// compilenode returning *var_nextTok
  int op_slot_left_1967 = gc_frame_newslot(*var_nextTok);
  params[0] = bool1968;
  partcv[0] = 1;
  Object opresult1970 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult1970
  Object if1966 = done;
  if (istrue(opresult1970)) {
// Begin line 625
  setline(625);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1971 = gc_frame_new();
  if (strlit1972 == NULL) {
    strlit1972 = alloc_String("rparen");
    gc_root(strlit1972);
  }
// compilenode returning strlit1972
  gc_frame_newslot(strlit1972);
  params[0] = strlit1972;
  partcv[0] = 1;
  Object call1973 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1971);
// compilenode returning call1973
  *var_nextTok = call1973;
  if (call1973 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 631
  setline(631);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 626
  setline(626);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_1976 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_1976 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1978 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult1978
  Object if1975 = done;
  if (istrue(opresult1978)) {
// Begin line 627
  setline(627);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1979 = gc_frame_new();
  if (strlit1980 == NULL) {
    strlit1980 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit1980);
  }
// compilenode returning strlit1980
  gc_frame_newslot(strlit1980);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit1980;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1981 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe1979);
// compilenode returning call1981
    gc_frame_newslot(call1981);
    if1975 = call1981;
  } else {
// Begin line 629
  setline(629);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1982 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe1983 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call1984 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe1983);
// compilenode returning call1984
// compilenode returning call1984
  gc_frame_newslot(call1984);
  Object bool1985 = alloc_Boolean(1);
// compilenode returning bool1985
  gc_frame_newslot(bool1985);
  Object bool1986 = alloc_Boolean(0);
// compilenode returning bool1986
  gc_frame_newslot(bool1986);
  if (strlit1987 == NULL) {
    strlit1987 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit1987);
  }
// compilenode returning strlit1987
  gc_frame_newslot(strlit1987);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call1984;
  params[2] = bool1985;
  params[3] = bool1986;
  params[4] = strlit1987;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1988 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe1982);
// compilenode returning call1988
    gc_frame_newslot(call1988);
    if1975 = call1988;
  }
// compilenode returning if1975
// Begin line 631
  setline(631);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1989 = gc_frame_new();
  if (strlit1990 == NULL) {
    strlit1990 = alloc_String("An if statement must have an expression in parentheses after the 'if'.");
    gc_root(strlit1990);
  }
// compilenode returning strlit1990
  gc_frame_newslot(strlit1990);
// Begin line 632
  setline(632);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe1991 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1992 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe1991);
// compilenode returning call1992
// compilenode returning call1992
  gc_frame_newslot(call1992);
  int callframe1993 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call1994 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe1993);
// compilenode returning call1994
// compilenode returning call1994
  gc_frame_newslot(call1994);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 631
  setline(631);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit1990;
  params[1] = call1992;
  params[2] = call1994;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1995 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe1989);
// compilenode returning call1995
    gc_frame_newslot(call1995);
    if1966 = call1995;
  } else {
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 634
  setline(634);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_1997 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_1997 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1999 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult1999
  Object if1996 = done;
  if (istrue(opresult1999)) {
// Begin line 635
  setline(635);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2000 = gc_frame_new();
  if (strlit2001 == NULL) {
    strlit2001 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit2001);
  }
// compilenode returning strlit2001
  gc_frame_newslot(strlit2001);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2001;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2002 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2000);
// compilenode returning call2002
// Begin line 636
  setline(636);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2003 = gc_frame_new();
  if (strlit2004 == NULL) {
    strlit2004 = alloc_String("An if statement must have an expression in parentheses after the 'if'.");
    gc_root(strlit2004);
  }
// compilenode returning strlit2004
  gc_frame_newslot(strlit2004);
// Begin line 637
  setline(637);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2005 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2006 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2005);
// compilenode returning call2006
// compilenode returning call2006
  gc_frame_newslot(call2006);
  int callframe2007 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2008 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2007);
// compilenode returning call2008
// compilenode returning call2008
  gc_frame_newslot(call2008);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 636
  setline(636);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2004;
  params[1] = call2006;
  params[2] = call2008;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2009 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2003);
// compilenode returning call2009
    gc_frame_newslot(call2009);
    if1996 = call2009;
  } else {
// Begin line 639
  setline(639);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2010 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe2011 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call2012 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe2011);
// compilenode returning call2012
// compilenode returning call2012
  gc_frame_newslot(call2012);
  Object bool2013 = alloc_Boolean(0);
// compilenode returning bool2013
  gc_frame_newslot(bool2013);
  Object bool2014 = alloc_Boolean(1);
// compilenode returning bool2014
  gc_frame_newslot(bool2014);
  if (strlit2015 == NULL) {
    strlit2015 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit2015);
  }
// compilenode returning strlit2015
  gc_frame_newslot(strlit2015);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call2012;
  params[2] = bool2013;
  params[3] = bool2014;
  params[4] = strlit2015;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2016 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2010);
// compilenode returning call2016
// Begin line 640
  setline(640);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2017 = gc_frame_new();
  if (strlit2018 == NULL) {
    strlit2018 = alloc_String("An if statement must have an expression in parentheses after the 'if'.");
    gc_root(strlit2018);
  }
// compilenode returning strlit2018
  gc_frame_newslot(strlit2018);
// Begin line 641
  setline(641);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2019 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2020 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2019);
// compilenode returning call2020
// compilenode returning call2020
  gc_frame_newslot(call2020);
  int callframe2021 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2022 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2021);
// compilenode returning call2022
// compilenode returning call2022
  gc_frame_newslot(call2022);
  Object num2024 = alloc_Float64(1);
// compilenode returning num2024
  int op_slot_right_2023 = gc_frame_newslot(num2024);
  int callframe2026 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call2027 = callmethod(*var_nextTok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2026);
// compilenode returning call2027
// compilenode returning call2027
  int op_slot_left_2023 = gc_frame_newslot(call2027);
  params[0] = num2024;
  partcv[0] = 1;
  Object diff2028 = callmethod(call2027, "-", 1, partcv, params);
// compilenode returning diff2028
  gc_frame_newslot(diff2028);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 640
  setline(640);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2018;
  params[1] = call2020;
  params[2] = call2022;
  params[3] = diff2028;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2029 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2017);
// compilenode returning call2029
    gc_frame_newslot(call2029);
    if1996 = call2029;
  }
// compilenode returning if1996
    gc_frame_newslot(if1996);
    if1966 = if1996;
  }
// compilenode returning if1966
    gc_frame_newslot(if1966);
    if1931 = if1966;
  } else {
  }
// compilenode returning if1931
// Begin line 652
  setline(652);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 645
  setline(645);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2032 == NULL) {
    strlit2032 = alloc_String("rparen");
    gc_root(strlit2032);
  }
// compilenode returning strlit2032
  int op_slot_right_2031 = gc_frame_newslot(strlit2032);
  int callframe2034 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2035 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe2034);
// compilenode returning call2035
// compilenode returning call2035
  int op_slot_left_2031 = gc_frame_newslot(call2035);
  params[0] = strlit2032;
  partcv[0] = 1;
  Object opresult2036 = callmethod(call2035, "!=", 1, partcv, params);
// compilenode returning opresult2036
  Object if2030 = done;
  if (istrue(opresult2036)) {
// Begin line 646
  setline(646);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2037 = gc_frame_new();
  partcv[0] = 0;
  Object call2038 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2037);
// compilenode returning call2038
// Begin line 648
  setline(648);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 647
  setline(647);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2039 = gc_frame_new();
  int callframe2040 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2041 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2040);
// compilenode returning call2041
// compilenode returning call2041
  partcv[0] = 0;
  Object call2042 = callmethod(call2041, "new",
    1, partcv, params);
  gc_frame_end(callframe2039);
// compilenode returning call2042
// compilenode returning call2042
  *var_suggestion = call2042;
  if (call2042 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 648
  setline(648);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2043 = gc_frame_new();
  if (strlit2044 == NULL) {
    strlit2044 = alloc_String(")");
    gc_root(strlit2044);
  }
// compilenode returning strlit2044
  gc_frame_newslot(strlit2044);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit2044;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2045 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe2043);
// compilenode returning call2045
// Begin line 649
  setline(649);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2046 = gc_frame_new();
  if (strlit2047 == NULL) {
    strlit2047 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit2047);
  }
// compilenode returning strlit2047
  gc_frame_newslot(strlit2047);
// Begin line 650
  setline(650);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2048 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2049 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2048);
// compilenode returning call2049
// compilenode returning call2049
  gc_frame_newslot(call2049);
  int callframe2051 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2052 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe2051);
// compilenode returning call2052
// compilenode returning call2052
  int op_slot_right_2050 = gc_frame_newslot(call2052);
  int callframe2054 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2055 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2054);
// compilenode returning call2055
// compilenode returning call2055
  int op_slot_left_2050 = gc_frame_newslot(call2055);
  params[0] = call2052;
  partcv[0] = 1;
  Object sum2056 = callmethod(call2055, "+", 1, partcv, params);
// compilenode returning sum2056
  gc_frame_newslot(sum2056);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 649
  setline(649);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2047;
  params[1] = call2049;
  params[2] = sum2056;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2057 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2046);
// compilenode returning call2057
    gc_frame_newslot(call2057);
    if2030 = call2057;
  } else {
  }
// compilenode returning if2030
// Begin line 652
  setline(652);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2058 = gc_frame_new();
  partcv[0] = 0;
  Object call2059 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2058);
// compilenode returning call2059
// Begin line 654
  setline(654);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 653
  setline(653);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2060 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call2061 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe2060);
// compilenode returning call2061
// compilenode returning call2061
  *var_cond = call2061;
  if (call2061 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 662
  setline(662);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 654
  setline(654);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array2062 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array2062
  *var_body = array2062;
  if (array2062 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 663
  setline(663);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 662
  setline(662);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array2063 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array2063
  *var_elseblock = array2063;
  if (array2063 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 664
  setline(664);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 663
  setline(663);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_elseblock
  *var_curelse = *var_elseblock;
  if (*var_elseblock == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 665
  setline(665);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_v = undefined;
// compilenode returning done
// Begin line 666
  setline(666);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 665
  setline(665);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  *var_localMin = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 667
  setline(667);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 666
  setline(666);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_statementIndent
  *var_localStatementIndent = *var_statementIndent;
  if (*var_statementIndent == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 667
  setline(667);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2065 = alloc_Float64(1);
// compilenode returning num2065
  int op_slot_right_2064 = gc_frame_newslot(num2065);
// compilenode returning *var_statementIndent
  int op_slot_left_2064 = gc_frame_newslot(*var_statementIndent);
  params[0] = num2065;
  partcv[0] = 1;
  Object sum2067 = callmethod(*var_statementIndent, "+", 1, partcv, params);
// compilenode returning sum2067
  *var_minInd = sum2067;
  if (sum2067 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 951
  setline(951);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2071 == NULL) {
    strlit2071 = alloc_String("then");
    gc_root(strlit2071);
  }
// compilenode returning strlit2071
  int op_slot_right_2070 = gc_frame_newslot(strlit2071);
  int callframe2073 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2074 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe2073);
// compilenode returning call2074
// compilenode returning call2074
  int op_slot_left_2070 = gc_frame_newslot(call2074);
  params[0] = strlit2071;
  partcv[0] = 1;
  Object opresult2075 = callmethod(call2074, "==", 1, partcv, params);
// compilenode returning opresult2075
  int op_slot_right_2069 = gc_frame_newslot(opresult2075);
  int callframe2077 = gc_frame_new();
  if (strlit2078 == NULL) {
    strlit2078 = alloc_String("identifier");
    gc_root(strlit2078);
  }
// compilenode returning strlit2078
  gc_frame_newslot(strlit2078);
  params[0] = strlit2078;
  partcv[0] = 1;
  Object call2079 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2077);
// compilenode returning call2079
  int op_slot_left_2069 = gc_frame_newslot(call2079);
  params[0] = opresult2075;
  partcv[0] = 1;
  Object opresult2080 = callmethod(call2079, "&&", 1, partcv, params);
// compilenode returning opresult2080
  Object if2068 = done;
  if (istrue(opresult2080)) {
// Begin line 669
  setline(669);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2081 = gc_frame_new();
  partcv[0] = 0;
  Object call2082 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2081);
// compilenode returning call2082
// Begin line 686
  setline(686);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 670
  setline(670);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2085 == NULL) {
    strlit2085 = alloc_String("lbrace");
    gc_root(strlit2085);
  }
// compilenode returning strlit2085
  int op_slot_right_2084 = gc_frame_newslot(strlit2085);
  int callframe2087 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2088 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe2087);
// compilenode returning call2088
// compilenode returning call2088
  int op_slot_left_2084 = gc_frame_newslot(call2088);
  params[0] = strlit2085;
  partcv[0] = 1;
  Object opresult2089 = callmethod(call2088, "!=", 1, partcv, params);
// compilenode returning opresult2089
  Object if2083 = done;
  if (istrue(opresult2089)) {
// Begin line 672
  setline(672);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 671
  setline(671);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2090 = gc_frame_new();
  int callframe2091 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2092 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2091);
// compilenode returning call2092
// compilenode returning call2092
  partcv[0] = 0;
  Object call2093 = callmethod(call2092, "new",
    1, partcv, params);
  gc_frame_end(callframe2090);
// compilenode returning call2093
// compilenode returning call2093
  *var_suggestion = call2093;
  if (call2093 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 672
  setline(672);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2094 = gc_frame_new();
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
  Object bool2095 = alloc_Boolean(1);
// compilenode returning bool2095
  gc_frame_newslot(bool2095);
  params[0] = *var_btok;
  params[1] = bool2095;
  partcv[0] = 2;
  Object call2096 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2094);
// compilenode returning call2096
  *var_closingBrace = call2096;
  if (call2096 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 683
  setline(683);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 673
  setline(673);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2099 = alloc_Boolean(0);
// compilenode returning bool2099
  int op_slot_right_2098 = gc_frame_newslot(bool2099);
  int callframe2101 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2102 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2101);
// compilenode returning call2102
// compilenode returning call2102
  int op_slot_left_2098 = gc_frame_newslot(call2102);
  params[0] = bool2099;
  partcv[0] = 1;
  Object opresult2103 = callmethod(call2102, "==", 1, partcv, params);
// compilenode returning opresult2103
  Object if2097 = done;
  if (istrue(opresult2103)) {
// Begin line 680
  setline(680);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 674
  setline(674);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  int op_slot_right_2105 = gc_frame_newslot(*var_lastToken);
  int callframe2107 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2108 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2107);
// compilenode returning call2108
// compilenode returning call2108
  int op_slot_left_2105 = gc_frame_newslot(call2108);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2109 = callmethod(call2108, "==", 1, partcv, params);
// compilenode returning opresult2109
  Object if2104 = done;
  if (istrue(opresult2109)) {
// Begin line 675
  setline(675);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2110 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool2111 = alloc_Boolean(0);
// compilenode returning bool2111
  gc_frame_newslot(bool2111);
  Object bool2112 = alloc_Boolean(1);
// compilenode returning bool2112
  gc_frame_newslot(bool2112);
  if (strlit2113 == NULL) {
    strlit2113 = alloc_String("then {}");
    gc_root(strlit2113);
  }
// compilenode returning strlit2113
  gc_frame_newslot(strlit2113);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool2111;
  params[2] = bool2112;
  params[3] = strlit2113;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2114 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2110);
// compilenode returning call2114
    gc_frame_newslot(call2114);
    if2104 = call2114;
  } else {
// Begin line 677
  setline(677);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2115 = gc_frame_new();
  Object num2117 = alloc_Float64(0.1);
// compilenode returning num2117
  int op_slot_right_2116 = gc_frame_newslot(num2117);
  int callframe2119 = gc_frame_new();
  int callframe2120 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2121 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2120);
// compilenode returning call2121
// compilenode returning call2121
  partcv[0] = 0;
  Object call2122 = callmethod(call2121, "line",
    1, partcv, params);
  gc_frame_end(callframe2119);
// compilenode returning call2122
// compilenode returning call2122
  int op_slot_left_2116 = gc_frame_newslot(call2122);
  params[0] = num2117;
  partcv[0] = 1;
  Object sum2123 = callmethod(call2122, "+", 1, partcv, params);
// compilenode returning sum2123
  gc_frame_newslot(sum2123);
  if (strlit2124 == NULL) {
    strlit2124 = alloc_String("}");
    gc_root(strlit2124);
  }
// compilenode returning strlit2124
  gc_frame_newslot(strlit2124);
// compilenode returning *var_suggestion
  params[0] = sum2123;
  params[1] = strlit2124;
  partcv[0] = 2;
  Object call2125 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2115);
// compilenode returning call2125
// Begin line 678
  setline(678);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2126 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool2127 = alloc_Boolean(0);
// compilenode returning bool2127
  gc_frame_newslot(bool2127);
  Object bool2128 = alloc_Boolean(1);
// compilenode returning bool2128
  gc_frame_newslot(bool2128);
  if (strlit2129 == NULL) {
    strlit2129 = alloc_String("then {");
    gc_root(strlit2129);
  }
// compilenode returning strlit2129
  gc_frame_newslot(strlit2129);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool2127;
  params[2] = bool2128;
  params[3] = strlit2129;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2130 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2126);
// compilenode returning call2130
    gc_frame_newslot(call2130);
    if2104 = call2130;
  }
// compilenode returning if2104
    gc_frame_newslot(if2104);
    if2097 = if2104;
  } else {
// Begin line 681
  setline(681);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2131 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool2132 = alloc_Boolean(0);
// compilenode returning bool2132
  gc_frame_newslot(bool2132);
  Object bool2133 = alloc_Boolean(1);
// compilenode returning bool2133
  gc_frame_newslot(bool2133);
  if (strlit2134 == NULL) {
    strlit2134 = alloc_String("then {");
    gc_root(strlit2134);
  }
// compilenode returning strlit2134
  gc_frame_newslot(strlit2134);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool2132;
  params[2] = bool2133;
  params[3] = strlit2134;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2135 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2131);
// compilenode returning call2135
    gc_frame_newslot(call2135);
    if2097 = call2135;
  }
// compilenode returning if2097
// Begin line 683
  setline(683);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2136 = gc_frame_new();
  if (strlit2137 == NULL) {
    strlit2137 = alloc_String("An if statement must have a '{' after the 'then'.");
    gc_root(strlit2137);
  }
// compilenode returning strlit2137
  gc_frame_newslot(strlit2137);
// Begin line 684
  setline(684);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2138 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2139 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2138);
// compilenode returning call2139
// compilenode returning call2139
  gc_frame_newslot(call2139);
  int callframe2141 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2142 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe2141);
// compilenode returning call2142
// compilenode returning call2142
  int op_slot_right_2140 = gc_frame_newslot(call2142);
  int callframe2144 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2145 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2144);
// compilenode returning call2145
// compilenode returning call2145
  int op_slot_left_2140 = gc_frame_newslot(call2145);
  params[0] = call2142;
  partcv[0] = 1;
  Object sum2146 = callmethod(call2145, "+", 1, partcv, params);
// compilenode returning sum2146
  gc_frame_newslot(sum2146);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 683
  setline(683);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2137;
  params[1] = call2139;
  params[2] = sum2146;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2147 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2136);
// compilenode returning call2147
    gc_frame_newslot(call2147);
    if2083 = call2147;
  } else {
  }
// compilenode returning if2083
// Begin line 686
  setline(686);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2148 = gc_frame_new();
  partcv[0] = 0;
  Object call2149 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2148);
// compilenode returning call2149
// Begin line 692
  setline(692);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 687
  setline(687);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2152 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2153 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2152);
// compilenode returning call2153
// compilenode returning call2153
  int op_slot_right_2151 = gc_frame_newslot(call2153);
  int callframe2155 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2156 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2155);
// compilenode returning call2156
// compilenode returning call2156
  int op_slot_left_2151 = gc_frame_newslot(call2156);
  params[0] = call2153;
  partcv[0] = 1;
  Object opresult2157 = callmethod(call2156, "==", 1, partcv, params);
// compilenode returning opresult2157
  Object if2150 = done;
  if (istrue(opresult2157)) {
// Begin line 689
  setline(689);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 688
  setline(688);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2159 = alloc_Float64(1);
// compilenode returning num2159
  int op_slot_right_2158 = gc_frame_newslot(num2159);
  int callframe2161 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2162 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2161);
// compilenode returning call2162
// compilenode returning call2162
  int op_slot_left_2158 = gc_frame_newslot(call2162);
  params[0] = num2159;
  partcv[0] = 1;
  Object diff2163 = callmethod(call2162, "-", 1, partcv, params);
// compilenode returning diff2163
  *var_minIndentLevel = diff2163;
  if (diff2163 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2150 = done;
  } else {
// Begin line 691
  setline(691);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 690
  setline(690);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minInd
  *var_minIndentLevel = *var_minInd;
  if (*var_minInd == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2150 = done;
  }
// compilenode returning if2150
// Begin line 692
  setline(692);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2166 = gc_frame_new();
  Object block2167 = alloc_Block(NULL, NULL, "parser", 692);
  gc_frame_newslot(block2167);
  block_savedest(block2167);
  Object closure2168 = createclosure(1, "_apply");
setclosureframe(closure2168, stackframe);
  addtoclosure(closure2168, selfslot);
  struct UserObject *uo2168 = (struct UserObject*)block2167;
  uo2168->data[0] = (Object)closure2168;
  Method *meth_meth_parser__apply2168 = addmethod2pos(block2167, "_apply", &meth_parser__apply2168, 0);
int argcv_meth_parser__apply2168[] = {0};
meth_meth_parser__apply2168->type = alloc_MethodType(1, argcv_meth_parser__apply2168);
  meth_meth_parser__apply2168->definitionModule = modulename;
  meth_meth_parser__apply2168->definitionLine = 688;
// compilenode returning block2167
  gc_frame_newslot(block2167);
  Object block2175 = alloc_Block(NULL, NULL, "parser", 692);
  gc_frame_newslot(block2175);
  block_savedest(block2175);
  Object closure2176 = createclosure(8, "_apply");
setclosureframe(closure2176, stackframe);
  addtoclosure(closure2176, var_errormessages);
  addtoclosure(closure2176, var_btok);
  addtoclosure(closure2176, var_lastToken);
  addtoclosure(closure2176, var_sym);
  addtoclosure(closure2176, var_values);
  addtoclosure(closure2176, var_v);
  addtoclosure(closure2176, var_body);
  addtoclosure(closure2176, selfslot);
  struct UserObject *uo2176 = (struct UserObject*)block2175;
  uo2176->data[0] = (Object)closure2176;
  Method *meth_meth_parser__apply2176 = addmethod2pos(block2175, "_apply", &meth_parser__apply2176, 0);
int argcv_meth_parser__apply2176[] = {0};
meth_meth_parser__apply2176->type = alloc_MethodType(1, argcv_meth_parser__apply2176);
  meth_meth_parser__apply2176->definitionModule = modulename;
  meth_meth_parser__apply2176->definitionLine = 692;
// compilenode returning block2175
  gc_frame_newslot(block2175);
  params[0] = block2167;
  params[1] = block2175;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2236 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2166);
// compilenode returning call2236
// Begin line 710
  setline(710);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2237 = gc_frame_new();
  partcv[0] = 0;
  Object call2238 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2237);
// compilenode returning call2238
// Begin line 712
  setline(712);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_econd = undefined;
// compilenode returning done
// Begin line 713
  setline(713);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_eif = undefined;
// compilenode returning done
// Begin line 714
  setline(714);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_newelse = undefined;
// compilenode returning done
// Begin line 715
  setline(715);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_ebody = undefined;
// compilenode returning done
  int callframe2239 = gc_frame_new();
  Object block2240 = alloc_Block(NULL, NULL, "parser", 715);
  gc_frame_newslot(block2240);
  block_savedest(block2240);
  Object closure2241 = createclosure(2, "_apply");
setclosureframe(closure2241, stackframe);
  addtoclosure(closure2241, var_sym);
  addtoclosure(closure2241, selfslot);
  struct UserObject *uo2241 = (struct UserObject*)block2240;
  uo2241->data[0] = (Object)closure2241;
  Method *meth_meth_parser__apply2241 = addmethod2pos(block2240, "_apply", &meth_parser__apply2241, 0);
int argcv_meth_parser__apply2241[] = {0};
meth_meth_parser__apply2241->type = alloc_MethodType(1, argcv_meth_parser__apply2241);
  meth_meth_parser__apply2241->definitionModule = modulename;
  meth_meth_parser__apply2241->definitionLine = 707;
// compilenode returning block2240
  gc_frame_newslot(block2240);
  Object block2255 = alloc_Block(NULL, NULL, "parser", 715);
  gc_frame_newslot(block2255);
  block_savedest(block2255);
  Object closure2256 = createclosure(16, "_apply");
setclosureframe(closure2256, stackframe);
  addtoclosure(closure2256, var_sym);
  addtoclosure(closure2256, var_statementToken);
  addtoclosure(closure2256, var_errormessages);
  addtoclosure(closure2256, var_lastToken);
  addtoclosure(closure2256, var_values);
  addtoclosure(closure2256, var_econd);
  addtoclosure(closure2256, var_ebody);
  addtoclosure(closure2256, var_btok);
  addtoclosure(closure2256, var_minIndentLevel);
  addtoclosure(closure2256, var_minInd);
  addtoclosure(closure2256, var_v);
  addtoclosure(closure2256, var_newelse);
  addtoclosure(closure2256, var_ast);
  addtoclosure(closure2256, var_eif);
  addtoclosure(closure2256, var_curelse);
  addtoclosure(closure2256, selfslot);
  struct UserObject *uo2256 = (struct UserObject*)block2255;
  uo2256->data[0] = (Object)closure2256;
  Method *meth_meth_parser__apply2256 = addmethod2pos(block2255, "_apply", &meth_parser__apply2256, 0);
int argcv_meth_parser__apply2256[] = {0};
meth_meth_parser__apply2256->type = alloc_MethodType(1, argcv_meth_parser__apply2256);
  meth_meth_parser__apply2256->definitionModule = modulename;
  meth_meth_parser__apply2256->definitionLine = 715;
// compilenode returning block2255
  gc_frame_newslot(block2255);
  params[0] = block2240;
  params[1] = block2255;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2811 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2239);
// compilenode returning call2811
// Begin line 918
  setline(918);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 872
  setline(872);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2815 == NULL) {
    strlit2815 = alloc_String("else");
    gc_root(strlit2815);
  }
// compilenode returning strlit2815
  int op_slot_right_2814 = gc_frame_newslot(strlit2815);
  int callframe2817 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2818 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe2817);
// compilenode returning call2818
// compilenode returning call2818
  int op_slot_left_2814 = gc_frame_newslot(call2818);
  params[0] = strlit2815;
  partcv[0] = 1;
  Object opresult2819 = callmethod(call2818, "==", 1, partcv, params);
// compilenode returning opresult2819
  int op_slot_right_2813 = gc_frame_newslot(opresult2819);
  int callframe2821 = gc_frame_new();
  if (strlit2822 == NULL) {
    strlit2822 = alloc_String("identifier");
    gc_root(strlit2822);
  }
// compilenode returning strlit2822
  gc_frame_newslot(strlit2822);
  params[0] = strlit2822;
  partcv[0] = 1;
  Object call2823 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2821);
// compilenode returning call2823
  int op_slot_left_2813 = gc_frame_newslot(call2823);
  params[0] = opresult2819;
  partcv[0] = 1;
  Object opresult2824 = callmethod(call2823, "&&", 1, partcv, params);
// compilenode returning opresult2824
  Object if2812 = done;
  if (istrue(opresult2824)) {
// Begin line 873
  setline(873);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2825 = gc_frame_new();
  partcv[0] = 0;
  Object call2826 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2825);
// compilenode returning call2826
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 874
  setline(874);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2829 == NULL) {
    strlit2829 = alloc_String("lbrace");
    gc_root(strlit2829);
  }
// compilenode returning strlit2829
  int op_slot_right_2828 = gc_frame_newslot(strlit2829);
  int callframe2831 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2832 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe2831);
// compilenode returning call2832
// compilenode returning call2832
  int op_slot_left_2828 = gc_frame_newslot(call2832);
  params[0] = strlit2829;
  partcv[0] = 1;
  Object opresult2833 = callmethod(call2832, "!=", 1, partcv, params);
// compilenode returning opresult2833
  Object if2827 = done;
  if (istrue(opresult2833)) {
// Begin line 876
  setline(876);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 875
  setline(875);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2834 = gc_frame_new();
  int callframe2835 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2836 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2835);
// compilenode returning call2836
// compilenode returning call2836
  partcv[0] = 0;
  Object call2837 = callmethod(call2836, "new",
    1, partcv, params);
  gc_frame_end(callframe2834);
// compilenode returning call2837
// compilenode returning call2837
  *var_suggestion = call2837;
  if (call2837 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 876
  setline(876);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2838 = gc_frame_new();
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
  Object bool2839 = alloc_Boolean(1);
// compilenode returning bool2839
  gc_frame_newslot(bool2839);
  params[0] = *var_btok;
  params[1] = bool2839;
  partcv[0] = 2;
  Object call2840 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2838);
// compilenode returning call2840
  *var_closingBrace = call2840;
  if (call2840 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 887
  setline(887);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool2843 = alloc_Boolean(0);
// compilenode returning bool2843
  int op_slot_right_2842 = gc_frame_newslot(bool2843);
  int callframe2845 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2846 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe2845);
// compilenode returning call2846
// compilenode returning call2846
  int op_slot_left_2842 = gc_frame_newslot(call2846);
  params[0] = bool2843;
  partcv[0] = 1;
  Object opresult2847 = callmethod(call2846, "==", 1, partcv, params);
// compilenode returning opresult2847
  Object if2841 = done;
  if (istrue(opresult2847)) {
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 878
  setline(878);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  int op_slot_right_2849 = gc_frame_newslot(*var_lastToken);
  int callframe2851 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2852 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2851);
// compilenode returning call2852
// compilenode returning call2852
  int op_slot_left_2849 = gc_frame_newslot(call2852);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2853 = callmethod(call2852, "==", 1, partcv, params);
// compilenode returning opresult2853
  Object if2848 = done;
  if (istrue(opresult2853)) {
// Begin line 879
  setline(879);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2854 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool2855 = alloc_Boolean(0);
// compilenode returning bool2855
  gc_frame_newslot(bool2855);
  Object bool2856 = alloc_Boolean(1);
// compilenode returning bool2856
  gc_frame_newslot(bool2856);
  if (strlit2857 == NULL) {
    strlit2857 = alloc_String("else {}");
    gc_root(strlit2857);
  }
// compilenode returning strlit2857
  gc_frame_newslot(strlit2857);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool2855;
  params[2] = bool2856;
  params[3] = strlit2857;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2858 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2854);
// compilenode returning call2858
    gc_frame_newslot(call2858);
    if2848 = call2858;
  } else {
// Begin line 881
  setline(881);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2859 = gc_frame_new();
  Object num2861 = alloc_Float64(0.1);
// compilenode returning num2861
  int op_slot_right_2860 = gc_frame_newslot(num2861);
  int callframe2863 = gc_frame_new();
  int callframe2864 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call2865 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe2864);
// compilenode returning call2865
// compilenode returning call2865
  partcv[0] = 0;
  Object call2866 = callmethod(call2865, "line",
    1, partcv, params);
  gc_frame_end(callframe2863);
// compilenode returning call2866
// compilenode returning call2866
  int op_slot_left_2860 = gc_frame_newslot(call2866);
  params[0] = num2861;
  partcv[0] = 1;
  Object sum2867 = callmethod(call2866, "+", 1, partcv, params);
// compilenode returning sum2867
  gc_frame_newslot(sum2867);
  if (strlit2868 == NULL) {
    strlit2868 = alloc_String("}");
    gc_root(strlit2868);
  }
// compilenode returning strlit2868
  gc_frame_newslot(strlit2868);
// compilenode returning *var_suggestion
  params[0] = sum2867;
  params[1] = strlit2868;
  partcv[0] = 2;
  Object call2869 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe2859);
// compilenode returning call2869
// Begin line 882
  setline(882);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2870 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool2871 = alloc_Boolean(0);
// compilenode returning bool2871
  gc_frame_newslot(bool2871);
  Object bool2872 = alloc_Boolean(1);
// compilenode returning bool2872
  gc_frame_newslot(bool2872);
  if (strlit2873 == NULL) {
    strlit2873 = alloc_String("else {");
    gc_root(strlit2873);
  }
// compilenode returning strlit2873
  gc_frame_newslot(strlit2873);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool2871;
  params[2] = bool2872;
  params[3] = strlit2873;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2874 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2870);
// compilenode returning call2874
    gc_frame_newslot(call2874);
    if2848 = call2874;
  }
// compilenode returning if2848
    gc_frame_newslot(if2848);
    if2841 = if2848;
  } else {
// Begin line 885
  setline(885);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2875 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool2876 = alloc_Boolean(0);
// compilenode returning bool2876
  gc_frame_newslot(bool2876);
  Object bool2877 = alloc_Boolean(1);
// compilenode returning bool2877
  gc_frame_newslot(bool2877);
  if (strlit2878 == NULL) {
    strlit2878 = alloc_String("else {");
    gc_root(strlit2878);
  }
// compilenode returning strlit2878
  gc_frame_newslot(strlit2878);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool2876;
  params[2] = bool2877;
  params[3] = strlit2878;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2879 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe2875);
// compilenode returning call2879
    gc_frame_newslot(call2879);
    if2841 = call2879;
  }
// compilenode returning if2841
// Begin line 887
  setline(887);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2880 = gc_frame_new();
  if (strlit2881 == NULL) {
    strlit2881 = alloc_String("An else statement must have a '{' after the 'else'.");
    gc_root(strlit2881);
  }
// compilenode returning strlit2881
  gc_frame_newslot(strlit2881);
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2882 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2883 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2882);
// compilenode returning call2883
// compilenode returning call2883
  gc_frame_newslot(call2883);
  int callframe2885 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2886 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe2885);
// compilenode returning call2886
// compilenode returning call2886
  int op_slot_right_2884 = gc_frame_newslot(call2886);
  int callframe2888 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2889 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2888);
// compilenode returning call2889
// compilenode returning call2889
  int op_slot_left_2884 = gc_frame_newslot(call2889);
  params[0] = call2886;
  partcv[0] = 1;
  Object sum2890 = callmethod(call2889, "+", 1, partcv, params);
// compilenode returning sum2890
  gc_frame_newslot(sum2890);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 887
  setline(887);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit2881;
  params[1] = call2883;
  params[2] = sum2890;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2891 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe2880);
// compilenode returning call2891
    gc_frame_newslot(call2891);
    if2827 = call2891;
  } else {
  }
// compilenode returning if2827
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2892 = gc_frame_new();
  partcv[0] = 0;
  Object call2893 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2892);
// compilenode returning call2893
// Begin line 898
  setline(898);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 893
  setline(893);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2896 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call2897 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe2896);
// compilenode returning call2897
// compilenode returning call2897
  int op_slot_right_2895 = gc_frame_newslot(call2897);
  int callframe2899 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2900 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe2899);
// compilenode returning call2900
// compilenode returning call2900
  int op_slot_left_2895 = gc_frame_newslot(call2900);
  params[0] = call2897;
  partcv[0] = 1;
  Object opresult2901 = callmethod(call2900, "==", 1, partcv, params);
// compilenode returning opresult2901
  Object if2894 = done;
  if (istrue(opresult2901)) {
// Begin line 895
  setline(895);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 894
  setline(894);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num2903 = alloc_Float64(1);
// compilenode returning num2903
  int op_slot_right_2902 = gc_frame_newslot(num2903);
  int callframe2905 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2906 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe2905);
// compilenode returning call2906
// compilenode returning call2906
  int op_slot_left_2902 = gc_frame_newslot(call2906);
  params[0] = num2903;
  partcv[0] = 1;
  Object diff2907 = callmethod(call2906, "-", 1, partcv, params);
// compilenode returning diff2907
  *var_minIndentLevel = diff2907;
  if (diff2907 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2894 = done;
  } else {
// Begin line 897
  setline(897);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 896
  setline(896);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minInd
  *var_minIndentLevel = *var_minInd;
  if (*var_minInd == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if2894 = done;
  }
// compilenode returning if2894
// Begin line 898
  setline(898);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2910 = gc_frame_new();
  Object block2911 = alloc_Block(NULL, NULL, "parser", 898);
  gc_frame_newslot(block2911);
  block_savedest(block2911);
  Object closure2912 = createclosure(1, "_apply");
setclosureframe(closure2912, stackframe);
  addtoclosure(closure2912, selfslot);
  struct UserObject *uo2912 = (struct UserObject*)block2911;
  uo2912->data[0] = (Object)closure2912;
  Method *meth_meth_parser__apply2912 = addmethod2pos(block2911, "_apply", &meth_parser__apply2912, 0);
int argcv_meth_parser__apply2912[] = {0};
meth_meth_parser__apply2912->type = alloc_MethodType(1, argcv_meth_parser__apply2912);
  meth_meth_parser__apply2912->definitionModule = modulename;
  meth_meth_parser__apply2912->definitionLine = 894;
// compilenode returning block2911
  gc_frame_newslot(block2911);
  Object block2919 = alloc_Block(NULL, NULL, "parser", 898);
  gc_frame_newslot(block2919);
  block_savedest(block2919);
  Object closure2920 = createclosure(8, "_apply");
setclosureframe(closure2920, stackframe);
  addtoclosure(closure2920, var_errormessages);
  addtoclosure(closure2920, var_btok);
  addtoclosure(closure2920, var_lastToken);
  addtoclosure(closure2920, var_sym);
  addtoclosure(closure2920, var_values);
  addtoclosure(closure2920, var_v);
  addtoclosure(closure2920, var_curelse);
  addtoclosure(closure2920, selfslot);
  struct UserObject *uo2920 = (struct UserObject*)block2919;
  uo2920->data[0] = (Object)closure2920;
  Method *meth_meth_parser__apply2920 = addmethod2pos(block2919, "_apply", &meth_parser__apply2920, 0);
int argcv_meth_parser__apply2920[] = {0};
meth_meth_parser__apply2920->type = alloc_MethodType(1, argcv_meth_parser__apply2920);
  meth_meth_parser__apply2920->definitionModule = modulename;
  meth_meth_parser__apply2920->definitionLine = 898;
// compilenode returning block2919
  gc_frame_newslot(block2919);
  params[0] = block2911;
  params[1] = block2919;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2980 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2910);
// compilenode returning call2980
// Begin line 916
  setline(916);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2981 = gc_frame_new();
  partcv[0] = 0;
  Object call2982 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2981);
// compilenode returning call2982
    gc_frame_newslot(call2982);
    if2812 = call2982;
  } else {
  }
// compilenode returning if2812
// Begin line 918
  setline(918);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2983 = gc_frame_new();
// compilenode returning *var_cond
  gc_frame_newslot(*var_cond);
// compilenode returning *var_body
  gc_frame_newslot(*var_body);
// compilenode returning *var_elseblock
  gc_frame_newslot(*var_elseblock);
  int callframe2984 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call2985 = callmethod(*var_ast, "ifNode",
    1, partcv, params);
  gc_frame_end(callframe2984);
// compilenode returning call2985
// compilenode returning call2985
  params[0] = *var_cond;
  params[1] = *var_body;
  params[2] = *var_elseblock;
  partcv[0] = 3;
  Object call2986 = callmethod(call2985, "new",
    1, partcv, params);
  gc_frame_end(callframe2983);
// compilenode returning call2986
  *var_o = call2986;
  if (call2986 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 919
  setline(919);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2987 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call2988 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe2987);
// compilenode returning call2988
    gc_frame_newslot(call2988);
    if2068 = call2988;
  } else {
// Begin line 923
  setline(923);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 922
  setline(922);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe2989 = gc_frame_new();
  int callframe2990 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call2991 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe2990);
// compilenode returning call2991
// compilenode returning call2991
  partcv[0] = 0;
  Object call2992 = callmethod(call2991, "new",
    1, partcv, params);
  gc_frame_end(callframe2989);
// compilenode returning call2992
// compilenode returning call2992
  *var_suggestion = call2992;
  if (call2992 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 948
  setline(948);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 923
  setline(923);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit2995 == NULL) {
    strlit2995 = alloc_String("lbrace");
    gc_root(strlit2995);
  }
// compilenode returning strlit2995
  int op_slot_right_2994 = gc_frame_newslot(strlit2995);
  int callframe2997 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call2998 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe2997);
// compilenode returning call2998
// compilenode returning call2998
  int op_slot_left_2994 = gc_frame_newslot(call2998);
  params[0] = strlit2995;
  partcv[0] = 1;
  Object opresult2999 = callmethod(call2998, "==", 1, partcv, params);
// compilenode returning opresult2999
  Object if2993 = done;
  if (istrue(opresult2999)) {
// Begin line 924
  setline(924);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3000 = gc_frame_new();
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
  Object bool3001 = alloc_Boolean(0);
// compilenode returning bool3001
  gc_frame_newslot(bool3001);
  params[0] = *var_btok;
  params[1] = bool3001;
  partcv[0] = 2;
  Object call3002 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3000);
// compilenode returning call3002
  *var_closingBrace = call3002;
  if (call3002 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 935
  setline(935);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 925
  setline(925);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3005 = alloc_Boolean(0);
// compilenode returning bool3005
  int op_slot_right_3004 = gc_frame_newslot(bool3005);
  int callframe3007 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call3008 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe3007);
// compilenode returning call3008
// compilenode returning call3008
  int op_slot_left_3004 = gc_frame_newslot(call3008);
  params[0] = bool3005;
  partcv[0] = 1;
  Object opresult3009 = callmethod(call3008, "==", 1, partcv, params);
// compilenode returning opresult3009
  Object if3003 = done;
  if (istrue(opresult3009)) {
// Begin line 932
  setline(932);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 926
  setline(926);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_3011 = gc_frame_newslot(*var_sym);
  int callframe3013 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call3014 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe3013);
// compilenode returning call3014
// compilenode returning call3014
  int op_slot_left_3011 = gc_frame_newslot(call3014);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3015 = callmethod(call3014, "==", 1, partcv, params);
// compilenode returning opresult3015
  Object if3010 = done;
  if (istrue(opresult3015)) {
// Begin line 927
  setline(927);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3016 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool3017 = alloc_Boolean(1);
// compilenode returning bool3017
  gc_frame_newslot(bool3017);
  Object bool3018 = alloc_Boolean(0);
// compilenode returning bool3018
  gc_frame_newslot(bool3018);
  if (strlit3019 == NULL) {
    strlit3019 = alloc_String(" then {}");
    gc_root(strlit3019);
  }
// compilenode returning strlit3019
  gc_frame_newslot(strlit3019);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool3017;
  params[2] = bool3018;
  params[3] = strlit3019;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3020 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe3016);
// compilenode returning call3020
    gc_frame_newslot(call3020);
    if3010 = call3020;
  } else {
// Begin line 929
  setline(929);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3021 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool3022 = alloc_Boolean(1);
// compilenode returning bool3022
  gc_frame_newslot(bool3022);
  Object bool3023 = alloc_Boolean(0);
// compilenode returning bool3023
  gc_frame_newslot(bool3023);
  if (strlit3024 == NULL) {
    strlit3024 = alloc_String(" then {");
    gc_root(strlit3024);
  }
// compilenode returning strlit3024
  gc_frame_newslot(strlit3024);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool3022;
  params[2] = bool3023;
  params[3] = strlit3024;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3025 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe3021);
// compilenode returning call3025
// Begin line 930
  setline(930);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3026 = gc_frame_new();
  Object num3028 = alloc_Float64(0.1);
// compilenode returning num3028
  int op_slot_right_3027 = gc_frame_newslot(num3028);
  int callframe3030 = gc_frame_new();
  int callframe3031 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call3032 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe3031);
// compilenode returning call3032
// compilenode returning call3032
  partcv[0] = 0;
  Object call3033 = callmethod(call3032, "line",
    1, partcv, params);
  gc_frame_end(callframe3030);
// compilenode returning call3033
// compilenode returning call3033
  int op_slot_left_3027 = gc_frame_newslot(call3033);
  params[0] = num3028;
  partcv[0] = 1;
  Object sum3034 = callmethod(call3033, "+", 1, partcv, params);
// compilenode returning sum3034
  gc_frame_newslot(sum3034);
  if (strlit3035 == NULL) {
    strlit3035 = alloc_String("}");
    gc_root(strlit3035);
  }
// compilenode returning strlit3035
  gc_frame_newslot(strlit3035);
// compilenode returning *var_suggestion
  params[0] = sum3034;
  params[1] = strlit3035;
  partcv[0] = 2;
  Object call3036 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3026);
// compilenode returning call3036
    gc_frame_newslot(call3036);
    if3010 = call3036;
  }
// compilenode returning if3010
    gc_frame_newslot(if3010);
    if3003 = if3010;
  } else {
// Begin line 933
  setline(933);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3037 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool3038 = alloc_Boolean(1);
// compilenode returning bool3038
  gc_frame_newslot(bool3038);
  Object bool3039 = alloc_Boolean(0);
// compilenode returning bool3039
  gc_frame_newslot(bool3039);
  if (strlit3040 == NULL) {
    strlit3040 = alloc_String(" then {");
    gc_root(strlit3040);
  }
// compilenode returning strlit3040
  gc_frame_newslot(strlit3040);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool3038;
  params[2] = bool3039;
  params[3] = strlit3040;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3041 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe3037);
// compilenode returning call3041
    gc_frame_newslot(call3041);
    if3003 = call3041;
  }
// compilenode returning if3003
    gc_frame_newslot(if3003);
    if2993 = if3003;
  } else {
// Begin line 936
  setline(936);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3042 = gc_frame_new();
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
  Object bool3043 = alloc_Boolean(1);
// compilenode returning bool3043
  gc_frame_newslot(bool3043);
  params[0] = *var_btok;
  params[1] = bool3043;
  partcv[0] = 2;
  Object call3044 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3042);
// compilenode returning call3044
  *var_closingBrace = call3044;
  if (call3044 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 947
  setline(947);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 937
  setline(937);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3047 = alloc_Boolean(0);
// compilenode returning bool3047
  int op_slot_right_3046 = gc_frame_newslot(bool3047);
  int callframe3049 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call3050 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe3049);
// compilenode returning call3050
// compilenode returning call3050
  int op_slot_left_3046 = gc_frame_newslot(call3050);
  params[0] = bool3047;
  partcv[0] = 1;
  Object opresult3051 = callmethod(call3050, "==", 1, partcv, params);
// compilenode returning opresult3051
  Object if3045 = done;
  if (istrue(opresult3051)) {
// Begin line 944
  setline(944);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 938
  setline(938);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  int op_slot_right_3053 = gc_frame_newslot(*var_lastToken);
  int callframe3055 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call3056 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe3055);
// compilenode returning call3056
// compilenode returning call3056
  int op_slot_left_3053 = gc_frame_newslot(call3056);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult3057 = callmethod(call3056, "==", 1, partcv, params);
// compilenode returning opresult3057
  Object if3052 = done;
  if (istrue(opresult3057)) {
// Begin line 939
  setline(939);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3058 = gc_frame_new();
  if (strlit3059 == NULL) {
    strlit3059 = alloc_String(" then {}");
    gc_root(strlit3059);
  }
// compilenode returning strlit3059
  gc_frame_newslot(strlit3059);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3059;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3060 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3058);
// compilenode returning call3060
    gc_frame_newslot(call3060);
    if3052 = call3060;
  } else {
// Begin line 941
  setline(941);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3061 = gc_frame_new();
  if (strlit3062 == NULL) {
    strlit3062 = alloc_String(" then {");
    gc_root(strlit3062);
  }
// compilenode returning strlit3062
  gc_frame_newslot(strlit3062);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3062;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3063 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3061);
// compilenode returning call3063
// Begin line 942
  setline(942);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3064 = gc_frame_new();
  Object num3066 = alloc_Float64(0.1);
// compilenode returning num3066
  int op_slot_right_3065 = gc_frame_newslot(num3066);
  int callframe3068 = gc_frame_new();
  int callframe3069 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call3070 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe3069);
// compilenode returning call3070
// compilenode returning call3070
  partcv[0] = 0;
  Object call3071 = callmethod(call3070, "line",
    1, partcv, params);
  gc_frame_end(callframe3068);
// compilenode returning call3071
// compilenode returning call3071
  int op_slot_left_3065 = gc_frame_newslot(call3071);
  params[0] = num3066;
  partcv[0] = 1;
  Object sum3072 = callmethod(call3071, "+", 1, partcv, params);
// compilenode returning sum3072
  gc_frame_newslot(sum3072);
  if (strlit3073 == NULL) {
    strlit3073 = alloc_String("}");
    gc_root(strlit3073);
  }
// compilenode returning strlit3073
  gc_frame_newslot(strlit3073);
// compilenode returning *var_suggestion
  params[0] = sum3072;
  params[1] = strlit3073;
  partcv[0] = 2;
  Object call3074 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe3064);
// compilenode returning call3074
    gc_frame_newslot(call3074);
    if3052 = call3074;
  }
// compilenode returning if3052
    gc_frame_newslot(if3052);
    if3045 = if3052;
  } else {
// Begin line 945
  setline(945);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3075 = gc_frame_new();
  if (strlit3076 == NULL) {
    strlit3076 = alloc_String(" then {");
    gc_root(strlit3076);
  }
// compilenode returning strlit3076
  gc_frame_newslot(strlit3076);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3076;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3077 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3075);
// compilenode returning call3077
    gc_frame_newslot(call3077);
    if3045 = call3077;
  }
// compilenode returning if3045
    gc_frame_newslot(if3045);
    if2993 = if3045;
  }
// compilenode returning if2993
// Begin line 948
  setline(948);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3078 = gc_frame_new();
  if (strlit3079 == NULL) {
    strlit3079 = alloc_String("An if statement must have 'then' after the expression in parentheses.");
    gc_root(strlit3079);
  }
// compilenode returning strlit3079
  gc_frame_newslot(strlit3079);
// Begin line 949
  setline(949);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3080 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3081 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe3080);
// compilenode returning call3081
// compilenode returning call3081
  gc_frame_newslot(call3081);
  int callframe3082 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3083 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3082);
// compilenode returning call3083
// compilenode returning call3083
  gc_frame_newslot(call3083);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 948
  setline(948);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3079;
  params[1] = call3081;
  params[2] = call3083;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3084 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3078);
// compilenode returning call3084
    gc_frame_newslot(call3084);
    if2068 = call3084;
  }
// compilenode returning if2068
// Begin line 952
  setline(952);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 951
  setline(951);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_localMin
  *var_minIndentLevel = *var_localMin;
  if (*var_localMin == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 953
  setline(953);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 952
  setline(952);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_localStatementIndent
  *var_statementIndent = *var_localStatementIndent;
  if (*var_localStatementIndent == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if1777 = done;
  } else {
  }
// compilenode returning if1777
  gc_frame_end(frame);
  return if1777;
}
Object meth_parser_identifier3087(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "identifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for identifier (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for identifier");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 966
  setline(966);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3089 = gc_frame_new();
  if (strlit3090 == NULL) {
    strlit3090 = alloc_String("identifier");
    gc_root(strlit3090);
  }
// compilenode returning strlit3090
  gc_frame_newslot(strlit3090);
  params[0] = strlit3090;
  partcv[0] = 1;
  Object call3091 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3089);
// compilenode returning call3091
  Object if3088 = done;
  if (istrue(call3091)) {
// Begin line 965
  setline(965);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 960
  setline(960);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3094 == NULL) {
    strlit3094 = alloc_String("if");
    gc_root(strlit3094);
  }
// compilenode returning strlit3094
  int op_slot_right_3093 = gc_frame_newslot(strlit3094);
  int callframe3096 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3097 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe3096);
// compilenode returning call3097
// compilenode returning call3097
  int op_slot_left_3093 = gc_frame_newslot(call3097);
  params[0] = strlit3094;
  partcv[0] = 1;
  Object opresult3098 = callmethod(call3097, "==", 1, partcv, params);
// compilenode returning opresult3098
  Object if3092 = done;
  if (istrue(opresult3098)) {
// Begin line 961
  setline(961);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3099 = gc_frame_new();
  partcv[0] = 0;
  Object call3100 = callmethodflags(self, "doif", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3099);
// compilenode returning call3100
    gc_frame_newslot(call3100);
    if3092 = call3100;
  } else {
// Begin line 963
  setline(963);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3101 = gc_frame_new();
  partcv[0] = 0;
  Object call3102 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3101);
// compilenode returning call3102
    gc_frame_newslot(call3102);
    if3092 = call3102;
  }
// compilenode returning if3092
    gc_frame_newslot(if3092);
    if3088 = if3092;
  } else {
  }
// compilenode returning if3088
  gc_frame_end(frame);
  return if3088;
}
Object meth_parser__apply3122(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe3123 = gc_frame_new();
  partcv[0] = 0;
  Object call3124 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3123);
// compilenode returning call3124
  gc_frame_end(frame);
  return call3124;
}
Object meth_parser__apply3190(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe3191 = gc_frame_new();
  partcv[0] = 0;
  Object call3192 = callmethodflags(self, "term", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3191);
// compilenode returning call3192
  gc_frame_end(frame);
  return call3192;
}
Object meth_parser_prefixop3103(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 25, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(11, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "prefixop");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for prefixop (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for prefixop");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_op = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "op");
  Object *var_val = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "val");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_suggestions = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "suggestions");
  Object *var_mem = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "mem");
  Object *var_call = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "call");
// Begin line 1023
  setline(1023);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 969
  setline(969);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3105 = gc_frame_new();
  if (strlit3106 == NULL) {
    strlit3106 = alloc_String("op");
    gc_root(strlit3106);
  }
// compilenode returning strlit3106
  gc_frame_newslot(strlit3106);
  params[0] = strlit3106;
  partcv[0] = 1;
  Object call3107 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3105);
// compilenode returning call3107
  Object if3104 = done;
  if (istrue(call3107)) {
// Begin line 971
  setline(971);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 970
  setline(970);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3108 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3109 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe3108);
// compilenode returning call3109
// compilenode returning call3109
  *var_op = call3109;
  if (call3109 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 972
  setline(972);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_val = undefined;
// compilenode returning done
  int callframe3110 = gc_frame_new();
  partcv[0] = 0;
  Object call3111 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3110);
// compilenode returning call3111
// Begin line 1015
  setline(1015);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 973
  setline(973);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3113 = gc_frame_new();
  if (strlit3114 == NULL) {
    strlit3114 = alloc_String("lparen");
    gc_root(strlit3114);
  }
// compilenode returning strlit3114
  gc_frame_newslot(strlit3114);
  params[0] = strlit3114;
  partcv[0] = 1;
  Object call3115 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3113);
// compilenode returning call3115
  Object if3112 = done;
  if (istrue(call3115)) {
// Begin line 974
  setline(974);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3116 = gc_frame_new();
  partcv[0] = 0;
  Object call3117 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3116);
// compilenode returning call3117
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 975
  setline(975);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3119 = gc_frame_new();
  int callframe3120 = gc_frame_new();
  Object block3121 = alloc_Block(NULL, NULL, "parser", 975);
  gc_frame_newslot(block3121);
  block_savedest(block3121);
  Object closure3122 = createclosure(1, "_apply");
setclosureframe(closure3122, stackframe);
  addtoclosure(closure3122, selfslot);
  struct UserObject *uo3122 = (struct UserObject*)block3121;
  uo3122->data[0] = (Object)closure3122;
  Method *meth_meth_parser__apply3122 = addmethod2pos(block3121, "_apply", &meth_parser__apply3122, 0);
int argcv_meth_parser__apply3122[] = {0};
meth_meth_parser__apply3122->type = alloc_MethodType(1, argcv_meth_parser__apply3122);
  meth_meth_parser__apply3122->definitionModule = modulename;
  meth_meth_parser__apply3122->definitionLine = 975;
// compilenode returning block3121
  gc_frame_newslot(block3121);
  params[0] = block3121;
  partcv[0] = 1;
  Object call3126 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3120);
// compilenode returning call3126
  partcv[0] = 0;
  Object call3127 = callmethod(call3126, "not",
    1, partcv, params);
  gc_frame_end(callframe3119);
// compilenode returning call3127
// compilenode returning call3127
  Object if3118 = done;
  if (istrue(call3127)) {
// Begin line 977
  setline(977);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 976
  setline(976);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3128 = gc_frame_new();
  int callframe3129 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3130 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3129);
// compilenode returning call3130
// compilenode returning call3130
  partcv[0] = 0;
  Object call3131 = callmethod(call3130, "new",
    1, partcv, params);
  gc_frame_end(callframe3128);
// compilenode returning call3131
// compilenode returning call3131
  *var_suggestion = call3131;
  if (call3131 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 977
  setline(977);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3132 = gc_frame_new();
  if (strlit3133 == NULL) {
    strlit3133 = alloc_String("rparen");
    gc_root(strlit3133);
  }
// compilenode returning strlit3133
  gc_frame_newslot(strlit3133);
  params[0] = strlit3133;
  partcv[0] = 1;
  Object call3134 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3132);
// compilenode returning call3134
  *var_nextTok = call3134;
  if (call3134 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 983
  setline(983);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 978
  setline(978);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_3136 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_3136 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3138 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult3138
  Object if3135 = done;
  if (istrue(opresult3138)) {
// Begin line 979
  setline(979);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3139 = gc_frame_new();
  if (strlit3140 == NULL) {
    strlit3140 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3140);
  }
// compilenode returning strlit3140
  gc_frame_newslot(strlit3140);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3140;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3141 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3139);
// compilenode returning call3141
    gc_frame_newslot(call3141);
    if3135 = call3141;
  } else {
// Begin line 981
  setline(981);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3142 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe3143 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call3144 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3143);
// compilenode returning call3144
// compilenode returning call3144
  gc_frame_newslot(call3144);
  Object bool3145 = alloc_Boolean(1);
// compilenode returning bool3145
  gc_frame_newslot(bool3145);
  Object bool3146 = alloc_Boolean(0);
// compilenode returning bool3146
  gc_frame_newslot(bool3146);
  if (strlit3147 == NULL) {
    strlit3147 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3147);
  }
// compilenode returning strlit3147
  gc_frame_newslot(strlit3147);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call3144;
  params[2] = bool3145;
  params[3] = bool3146;
  params[4] = strlit3147;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3148 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe3142);
// compilenode returning call3148
    gc_frame_newslot(call3148);
    if3135 = call3148;
  }
// compilenode returning if3135
// Begin line 983
  setline(983);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3149 = gc_frame_new();
  if (strlit3150 == NULL) {
    strlit3150 = alloc_String("Parentheses must contain a valid expression.");
    gc_root(strlit3150);
  }
// compilenode returning strlit3150
  gc_frame_newslot(strlit3150);
// Begin line 984
  setline(984);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3151 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3152 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe3151);
// compilenode returning call3152
// compilenode returning call3152
  gc_frame_newslot(call3152);
  int callframe3153 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3154 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3153);
// compilenode returning call3154
// compilenode returning call3154
  gc_frame_newslot(call3154);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 983
  setline(983);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3150;
  params[1] = call3152;
  params[2] = call3154;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3155 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3149);
// compilenode returning call3155
    gc_frame_newslot(call3155);
    if3118 = call3155;
  } else {
  }
// compilenode returning if3118
// Begin line 993
  setline(993);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3158 == NULL) {
    strlit3158 = alloc_String("rparen");
    gc_root(strlit3158);
  }
// compilenode returning strlit3158
  int op_slot_right_3157 = gc_frame_newslot(strlit3158);
  int callframe3160 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3161 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3160);
// compilenode returning call3161
// compilenode returning call3161
  int op_slot_left_3157 = gc_frame_newslot(call3161);
  params[0] = strlit3158;
  partcv[0] = 1;
  Object opresult3162 = callmethod(call3161, "!=", 1, partcv, params);
// compilenode returning opresult3162
  Object if3156 = done;
  if (istrue(opresult3162)) {
// Begin line 987
  setline(987);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3163 = gc_frame_new();
  partcv[0] = 0;
  Object call3164 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3163);
// compilenode returning call3164
// Begin line 989
  setline(989);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 988
  setline(988);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3165 = gc_frame_new();
  int callframe3166 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3167 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3166);
// compilenode returning call3167
// compilenode returning call3167
  partcv[0] = 0;
  Object call3168 = callmethod(call3167, "new",
    1, partcv, params);
  gc_frame_end(callframe3165);
// compilenode returning call3168
// compilenode returning call3168
  *var_suggestion = call3168;
  if (call3168 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 989
  setline(989);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3169 = gc_frame_new();
  if (strlit3170 == NULL) {
    strlit3170 = alloc_String(")");
    gc_root(strlit3170);
  }
// compilenode returning strlit3170
  gc_frame_newslot(strlit3170);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3170;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3171 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3169);
// compilenode returning call3171
// Begin line 990
  setline(990);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3172 = gc_frame_new();
  if (strlit3173 == NULL) {
    strlit3173 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit3173);
  }
// compilenode returning strlit3173
  gc_frame_newslot(strlit3173);
// Begin line 991
  setline(991);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3174 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3175 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3174);
// compilenode returning call3175
// compilenode returning call3175
  gc_frame_newslot(call3175);
  int callframe3177 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3178 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe3177);
// compilenode returning call3178
// compilenode returning call3178
  int op_slot_right_3176 = gc_frame_newslot(call3178);
  int callframe3180 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3181 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3180);
// compilenode returning call3181
// compilenode returning call3181
  int op_slot_left_3176 = gc_frame_newslot(call3181);
  params[0] = call3178;
  partcv[0] = 1;
  Object sum3182 = callmethod(call3181, "+", 1, partcv, params);
// compilenode returning sum3182
  gc_frame_newslot(sum3182);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 990
  setline(990);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3173;
  params[1] = call3175;
  params[2] = sum3182;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3183 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3172);
// compilenode returning call3183
    gc_frame_newslot(call3183);
    if3156 = call3183;
  } else {
  }
// compilenode returning if3156
// Begin line 993
  setline(993);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3184 = gc_frame_new();
  partcv[0] = 0;
  Object call3185 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3184);
// compilenode returning call3185
    gc_frame_newslot(call3185);
    if3112 = call3185;
  } else {
// Begin line 1014
  setline(1014);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 995
  setline(995);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3187 = gc_frame_new();
  int callframe3188 = gc_frame_new();
  Object block3189 = alloc_Block(NULL, NULL, "parser", 995);
  gc_frame_newslot(block3189);
  block_savedest(block3189);
  Object closure3190 = createclosure(1, "_apply");
setclosureframe(closure3190, stackframe);
  addtoclosure(closure3190, selfslot);
  struct UserObject *uo3190 = (struct UserObject*)block3189;
  uo3190->data[0] = (Object)closure3190;
  Method *meth_meth_parser__apply3190 = addmethod2pos(block3189, "_apply", &meth_parser__apply3190, 0);
int argcv_meth_parser__apply3190[] = {0};
meth_meth_parser__apply3190->type = alloc_MethodType(1, argcv_meth_parser__apply3190);
  meth_meth_parser__apply3190->definitionModule = modulename;
  meth_meth_parser__apply3190->definitionLine = 995;
// compilenode returning block3189
  gc_frame_newslot(block3189);
  params[0] = block3189;
  partcv[0] = 1;
  Object call3194 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3188);
// compilenode returning call3194
  partcv[0] = 0;
  Object call3195 = callmethod(call3194, "not",
    1, partcv, params);
  gc_frame_end(callframe3187);
// compilenode returning call3195
// compilenode returning call3195
  Object if3186 = done;
  if (istrue(call3195)) {
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 996
  setline(996);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array3196 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array3196
  *var_suggestions = array3196;
  if (array3196 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 998
  setline(998);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3197 = gc_frame_new();
  int callframe3198 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3199 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3198);
// compilenode returning call3199
// compilenode returning call3199
  partcv[0] = 0;
  Object call3200 = callmethod(call3199, "new",
    1, partcv, params);
  gc_frame_end(callframe3197);
// compilenode returning call3200
// compilenode returning call3200
  *var_suggestion = call3200;
  if (call3200 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 998
  setline(998);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3201 = gc_frame_new();
  if (strlit3202 == NULL) {
    strlit3202 = alloc_String("rparen");
    gc_root(strlit3202);
  }
// compilenode returning strlit3202
  gc_frame_newslot(strlit3202);
  params[0] = strlit3202;
  partcv[0] = 1;
  Object call3203 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3201);
// compilenode returning call3203
  *var_nextTok = call3203;
  if (call3203 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1004
  setline(1004);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 999
  setline(999);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_3205 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_3205 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3207 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult3207
  Object if3204 = done;
  if (istrue(opresult3207)) {
// Begin line 1000
  setline(1000);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3208 = gc_frame_new();
  if (strlit3209 == NULL) {
    strlit3209 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3209);
  }
// compilenode returning strlit3209
  gc_frame_newslot(strlit3209);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3209;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3210 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3208);
// compilenode returning call3210
    gc_frame_newslot(call3210);
    if3204 = call3210;
  } else {
// Begin line 1002
  setline(1002);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3211 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe3212 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call3213 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3212);
// compilenode returning call3213
// compilenode returning call3213
  gc_frame_newslot(call3213);
  Object bool3214 = alloc_Boolean(1);
// compilenode returning bool3214
  gc_frame_newslot(bool3214);
  Object bool3215 = alloc_Boolean(0);
// compilenode returning bool3215
  gc_frame_newslot(bool3215);
  if (strlit3216 == NULL) {
    strlit3216 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3216);
  }
// compilenode returning strlit3216
  gc_frame_newslot(strlit3216);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call3213;
  params[2] = bool3214;
  params[3] = bool3215;
  params[4] = strlit3216;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3217 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe3211);
// compilenode returning call3217
    gc_frame_newslot(call3217);
    if3204 = call3217;
  }
// compilenode returning if3204
// Begin line 1004
  setline(1004);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3218 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3219 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3218);
// compilenode returning call3219
// Begin line 1011
  setline(1011);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1005
  setline(1005);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3222 == NULL) {
    strlit3222 = alloc_String("bind");
    gc_root(strlit3222);
  }
// compilenode returning strlit3222
  int op_slot_right_3221 = gc_frame_newslot(strlit3222);
  int callframe3224 = gc_frame_new();
  int callframe3225 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3226 = callmethod(*var_lastToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe3225);
// compilenode returning call3226
// compilenode returning call3226
  partcv[0] = 0;
  Object call3227 = callmethod(call3226, "kind",
    1, partcv, params);
  gc_frame_end(callframe3224);
// compilenode returning call3227
// compilenode returning call3227
  int op_slot_left_3221 = gc_frame_newslot(call3227);
  params[0] = strlit3222;
  partcv[0] = 1;
  Object opresult3228 = callmethod(call3227, "==", 1, partcv, params);
// compilenode returning opresult3228
  Object if3220 = done;
  if (istrue(opresult3228)) {
// Begin line 1007
  setline(1007);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3229 = gc_frame_new();
  int callframe3230 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3231 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3230);
// compilenode returning call3231
// compilenode returning call3231
  partcv[0] = 0;
  Object call3232 = callmethod(call3231, "new",
    1, partcv, params);
  gc_frame_end(callframe3229);
// compilenode returning call3232
// compilenode returning call3232
  *var_suggestion = call3232;
  if (call3232 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1007
  setline(1007);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3234 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe3235 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call3236 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3235);
// compilenode returning call3236
// compilenode returning call3236
  gc_frame_newslot(call3236);
  Object bool3237 = alloc_Boolean(1);
// compilenode returning bool3237
  gc_frame_newslot(bool3237);
  Object bool3238 = alloc_Boolean(0);
// compilenode returning bool3238
  gc_frame_newslot(bool3238);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call3236;
  params[2] = bool3237;
  params[3] = bool3238;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3239 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe3234);
// compilenode returning call3239
// Begin line 1008
  setline(1008);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3240 = gc_frame_new();
  int callframe3241 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3242 = callmethod(*var_lastToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe3241);
// compilenode returning call3242
// compilenode returning call3242
  gc_frame_newslot(call3242);
  Object bool3243 = alloc_Boolean(1);
// compilenode returning bool3243
  gc_frame_newslot(bool3243);
  Object bool3244 = alloc_Boolean(0);
// compilenode returning bool3244
  gc_frame_newslot(bool3244);
// compilenode returning *var_suggestion
  params[0] = call3242;
  params[1] = bool3243;
  params[2] = bool3244;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3245 = callmethod(*var_suggestion, "deleteToken()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe3240);
// compilenode returning call3245
// Begin line 1009
  setline(1009);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3246 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3247 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3246);
// compilenode returning call3247
    gc_frame_newslot(call3247);
    if3220 = call3247;
  } else {
  }
// compilenode returning if3220
// Begin line 1011
  setline(1011);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3248 = gc_frame_new();
  if (strlit3249 == NULL) {
    strlit3249 = alloc_String("A prefix operator must be followed by an expression.");
    gc_root(strlit3249);
  }
// compilenode returning strlit3249
  gc_frame_newslot(strlit3249);
// Begin line 1012
  setline(1012);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3250 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3251 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3250);
// compilenode returning call3251
// compilenode returning call3251
  gc_frame_newslot(call3251);
  int callframe3253 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3254 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe3253);
// compilenode returning call3254
// compilenode returning call3254
  int op_slot_right_3252 = gc_frame_newslot(call3254);
  int callframe3256 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3257 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3256);
// compilenode returning call3257
// compilenode returning call3257
  int op_slot_left_3252 = gc_frame_newslot(call3257);
  params[0] = call3254;
  partcv[0] = 1;
  Object sum3258 = callmethod(call3257, "+", 1, partcv, params);
// compilenode returning sum3258
  gc_frame_newslot(sum3258);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1011
  setline(1011);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3249;
  params[1] = call3251;
  params[2] = sum3258;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3259 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3248);
// compilenode returning call3259
    gc_frame_newslot(call3259);
    if3186 = call3259;
  } else {
  }
// compilenode returning if3186
    gc_frame_newslot(if3186);
    if3112 = if3186;
  }
// compilenode returning if3112
// Begin line 1015
  setline(1015);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3260 = gc_frame_new();
  partcv[0] = 0;
  Object call3261 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3260);
// compilenode returning call3261
// Begin line 1016
  setline(1016);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3262 = gc_frame_new();
  partcv[0] = 0;
  Object call3263 = callmethodflags(self, "callrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3262);
// compilenode returning call3263
// Begin line 1017
  setline(1017);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3264 = gc_frame_new();
  partcv[0] = 0;
  Object call3265 = callmethodflags(self, "postfixsquare", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3264);
// compilenode returning call3265
// Begin line 1019
  setline(1019);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1018
  setline(1018);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3266 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call3267 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3266);
// compilenode returning call3267
// compilenode returning call3267
  *var_val = call3267;
  if (call3267 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1019
  setline(1019);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3269 = gc_frame_new();
// compilenode returning *var_op
  int op_slot_right_3270 = gc_frame_newslot(*var_op);
  if (strlit3272 == NULL) {
    strlit3272 = alloc_String("prefix");
    gc_root(strlit3272);
  }
// compilenode returning strlit3272
  int op_slot_left_3270 = gc_frame_newslot(strlit3272);
  params[0] = *var_op;
  partcv[0] = 1;
  Object opresult3273 = callmethod(strlit3272, "++", 1, partcv, params);
// compilenode returning opresult3273
  gc_frame_newslot(opresult3273);
// compilenode returning *var_val
  gc_frame_newslot(*var_val);
  int callframe3274 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call3275 = callmethod(*var_ast, "memberNode",
    1, partcv, params);
  gc_frame_end(callframe3274);
// compilenode returning call3275
// compilenode returning call3275
  params[0] = opresult3273;
  params[1] = *var_val;
  partcv[0] = 2;
  Object call3276 = callmethod(call3275, "new",
    1, partcv, params);
  gc_frame_end(callframe3269);
// compilenode returning call3276
  *var_mem = call3276;
  if (call3276 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1020
  setline(1020);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3277 = gc_frame_new();
// compilenode returning *var_mem
  gc_frame_newslot(*var_mem);
  Object array3278 = alloc_BuiltinList();
  gc_pause();
  int callframe3279 = gc_frame_new();
  int callframe3280 = gc_frame_new();
// compilenode returning *var_mem
  partcv[0] = 0;
  Object call3281 = callmethod(*var_mem, "value",
    1, partcv, params);
  gc_frame_end(callframe3280);
// compilenode returning call3281
// compilenode returning call3281
  gc_frame_newslot(call3281);
  int callframe3282 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call3283 = callmethod(*var_ast, "callWithPart",
    1, partcv, params);
  gc_frame_end(callframe3282);
// compilenode returning call3283
// compilenode returning call3283
  params[0] = call3281;
  partcv[0] = 1;
  Object call3284 = callmethod(call3283, "new",
    1, partcv, params);
  gc_frame_end(callframe3279);
// compilenode returning call3284
  params[0] = call3284;
  partcv[0] = 1;
  callmethod(array3278, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array3278
  gc_frame_newslot(array3278);
  int callframe3285 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call3286 = callmethod(*var_ast, "callNode",
    1, partcv, params);
  gc_frame_end(callframe3285);
// compilenode returning call3286
// compilenode returning call3286
  params[0] = *var_mem;
  params[1] = array3278;
  partcv[0] = 2;
  Object call3287 = callmethod(call3286, "new",
    1, partcv, params);
  gc_frame_end(callframe3277);
// compilenode returning call3287
  *var_call = call3287;
  if (call3287 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1021
  setline(1021);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3288 = gc_frame_new();
// compilenode returning *var_call
  gc_frame_newslot(*var_call);
// compilenode returning *var_values
  params[0] = *var_call;
  partcv[0] = 1;
  Object call3289 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe3288);
// compilenode returning call3289
    gc_frame_newslot(call3289);
    if3104 = call3289;
  } else {
  }
// compilenode returning if3104
  gc_frame_end(frame);
  return if3104;
}
Object meth_parser__apply3302(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe3303 = gc_frame_new();
  if (strlit3304 == NULL) {
    strlit3304 = alloc_String("identifier");
    gc_root(strlit3304);
  }
// compilenode returning strlit3304
  gc_frame_newslot(strlit3304);
  params[0] = strlit3304;
  partcv[0] = 1;
  Object call3305 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3303);
// compilenode returning call3305
  gc_frame_end(frame);
  return call3305;
}
Object meth_parser__apply3313(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe3314 = gc_frame_new();
  if (strlit3315 == NULL) {
    strlit3315 = alloc_String("dot");
    gc_root(strlit3315);
  }
// compilenode returning strlit3315
  gc_frame_newslot(strlit3315);
  params[0] = strlit3315;
  partcv[0] = 1;
  Object call3316 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3314);
// compilenode returning call3316
  gc_frame_end(frame);
  return call3316;
}
Object meth_parser__apply3319(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_memberIn = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "memberIn");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_memberName = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "memberName");
// Begin line 1034
  setline(1034);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3320 = gc_frame_new();
  partcv[0] = 0;
  Object call3321 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3320);
// compilenode returning call3321
// Begin line 1036
  setline(1036);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1035
  setline(1035);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3322 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call3323 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3322);
// compilenode returning call3323
// compilenode returning call3323
  *var_memberIn = call3323;
  if (call3323 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1047
  setline(1047);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1036
  setline(1036);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3326 == NULL) {
    strlit3326 = alloc_String("identifier");
    gc_root(strlit3326);
  }
// compilenode returning strlit3326
  int op_slot_right_3325 = gc_frame_newslot(strlit3326);
  int callframe3328 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3329 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3328);
// compilenode returning call3329
// compilenode returning call3329
  int op_slot_left_3325 = gc_frame_newslot(call3329);
  params[0] = strlit3326;
  partcv[0] = 1;
  Object opresult3330 = callmethod(call3329, "!=", 1, partcv, params);
// compilenode returning opresult3330
  Object if3324 = done;
  if (istrue(opresult3330)) {
// Begin line 1038
  setline(1038);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1037
  setline(1037);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array3331 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array3331
  *var_suggestions = array3331;
  if (array3331 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1039
  setline(1039);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1038
  setline(1038);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3332 = gc_frame_new();
  int callframe3333 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3334 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3333);
// compilenode returning call3334
// compilenode returning call3334
  partcv[0] = 0;
  Object call3335 = callmethod(call3334, "new",
    1, partcv, params);
  gc_frame_end(callframe3332);
// compilenode returning call3335
// compilenode returning call3335
  *var_suggestion = call3335;
  if (call3335 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1039
  setline(1039);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3336 = gc_frame_new();
  if (strlit3337 == NULL) {
    strlit3337 = alloc_String("""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit3337);
  }
// compilenode returning strlit3337
  gc_frame_newslot(strlit3337);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3337;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3338 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3336);
// compilenode returning call3338
// Begin line 1040
  setline(1040);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3339 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3340 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3339);
// compilenode returning call3340
// Begin line 1042
  setline(1042);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1041
  setline(1041);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3341 = gc_frame_new();
  int callframe3342 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3343 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3342);
// compilenode returning call3343
// compilenode returning call3343
  partcv[0] = 0;
  Object call3344 = callmethod(call3343, "new",
    1, partcv, params);
  gc_frame_end(callframe3341);
// compilenode returning call3344
// compilenode returning call3344
  *var_suggestion = call3344;
  if (call3344 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1042
  setline(1042);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3346 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call3347 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe3346);
// compilenode returning call3347
// Begin line 1043
  setline(1043);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3348 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3349 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3348);
// compilenode returning call3349
// Begin line 1044
  setline(1044);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3350 = gc_frame_new();
  if (strlit3351 == NULL) {
    strlit3351 = alloc_String("A type name must follow the '.'.");
    gc_root(strlit3351);
  }
// compilenode returning strlit3351
  gc_frame_newslot(strlit3351);
// Begin line 1045
  setline(1045);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3352 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3353 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3352);
// compilenode returning call3353
// compilenode returning call3353
  gc_frame_newslot(call3353);
  Object num3355 = alloc_Float64(1);
// compilenode returning num3355
  int op_slot_right_3354 = gc_frame_newslot(num3355);
  int callframe3357 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3358 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3357);
// compilenode returning call3358
// compilenode returning call3358
  int op_slot_left_3354 = gc_frame_newslot(call3358);
  params[0] = num3355;
  partcv[0] = 1;
  Object sum3359 = callmethod(call3358, "+", 1, partcv, params);
// compilenode returning sum3359
  gc_frame_newslot(sum3359);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1044
  setline(1044);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3351;
  params[1] = call3353;
  params[2] = sum3359;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3360 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3350);
// compilenode returning call3360
    gc_frame_newslot(call3360);
    if3324 = call3360;
  } else {
  }
// compilenode returning if3324
// Begin line 1047
  setline(1047);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3361 = gc_frame_new();
  partcv[0] = 0;
  Object call3362 = callmethodflags(self, "identifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3361);
// compilenode returning call3362
// Begin line 1049
  setline(1049);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1048
  setline(1048);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3363 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call3364 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3363);
// compilenode returning call3364
// compilenode returning call3364
  *var_memberName = call3364;
  if (call3364 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1049
  setline(1049);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3365 = gc_frame_new();
  int callframe3366 = gc_frame_new();
  int callframe3367 = gc_frame_new();
// compilenode returning *var_memberName
  partcv[0] = 0;
  Object call3368 = callmethod(*var_memberName, "value",
    1, partcv, params);
  gc_frame_end(callframe3367);
// compilenode returning call3368
// compilenode returning call3368
  gc_frame_newslot(call3368);
// compilenode returning *var_memberIn
  gc_frame_newslot(*var_memberIn);
  int callframe3369 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call3370 = callmethod(*var_ast, "memberNode",
    1, partcv, params);
  gc_frame_end(callframe3369);
// compilenode returning call3370
// compilenode returning call3370
  params[0] = call3368;
  params[1] = *var_memberIn;
  partcv[0] = 2;
  Object call3371 = callmethod(call3370, "new",
    1, partcv, params);
  gc_frame_end(callframe3366);
// compilenode returning call3371
  gc_frame_newslot(call3371);
// compilenode returning *var_values
  params[0] = call3371;
  partcv[0] = 1;
  Object call3372 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe3365);
// compilenode returning call3372
  gc_frame_end(frame);
  return call3372;
}
Object meth_parser__apply3308(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  Object *var_gens = getfromclosure(closure, 5);
  Object *var_startToken = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_suggestion2 = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion2");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
// Begin line 1032
  setline(1032);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3309 = gc_frame_new();
  partcv[0] = 0;
  Object call3310 = callmethodflags(self, "identifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3309);
// compilenode returning call3310
// Begin line 1033
  setline(1033);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3311 = gc_frame_new();
  Object block3312 = alloc_Block(NULL, NULL, "parser", 1033);
  gc_frame_newslot(block3312);
  block_savedest(block3312);
  Object closure3313 = createclosure(1, "_apply");
setclosureframe(closure3313, stackframe);
  addtoclosure(closure3313, selfslot);
  struct UserObject *uo3313 = (struct UserObject*)block3312;
  uo3313->data[0] = (Object)closure3313;
  Method *meth_meth_parser__apply3313 = addmethod2pos(block3312, "_apply", &meth_parser__apply3313, 0);
int argcv_meth_parser__apply3313[] = {0};
meth_meth_parser__apply3313->type = alloc_MethodType(1, argcv_meth_parser__apply3313);
  meth_meth_parser__apply3313->definitionModule = modulename;
  meth_meth_parser__apply3313->definitionLine = 1027;
// compilenode returning block3312
  gc_frame_newslot(block3312);
  Object block3318 = alloc_Block(NULL, NULL, "parser", 1033);
  gc_frame_newslot(block3318);
  block_savedest(block3318);
  Object closure3319 = createclosure(6, "_apply");
setclosureframe(closure3319, stackframe);
  addtoclosure(closure3319, var_values);
  addtoclosure(closure3319, var_sym);
  addtoclosure(closure3319, var_errormessages);
  addtoclosure(closure3319, var_lastToken);
  addtoclosure(closure3319, var_ast);
  addtoclosure(closure3319, selfslot);
  struct UserObject *uo3319 = (struct UserObject*)block3318;
  uo3319->data[0] = (Object)closure3319;
  Method *meth_meth_parser__apply3319 = addmethod2pos(block3318, "_apply", &meth_parser__apply3319, 0);
int argcv_meth_parser__apply3319[] = {0};
meth_meth_parser__apply3319->type = alloc_MethodType(1, argcv_meth_parser__apply3319);
  meth_meth_parser__apply3319->definitionModule = modulename;
  meth_meth_parser__apply3319->definitionLine = 1027;
// compilenode returning block3318
  gc_frame_newslot(block3318);
  params[0] = block3312;
  params[1] = block3318;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3374 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3311);
// compilenode returning call3374
// Begin line 1051
  setline(1051);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3375 = gc_frame_new();
  partcv[0] = 0;
  Object call3376 = callmethodflags(self, "generic", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3375);
// compilenode returning call3376
// Begin line 1052
  setline(1052);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3377 = gc_frame_new();
  int callframe3378 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call3379 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3378);
// compilenode returning call3379
// compilenode returning call3379
  gc_frame_newslot(call3379);
// compilenode returning *var_gens
  params[0] = call3379;
  partcv[0] = 1;
  Object call3380 = callmethod(*var_gens, "push",
    1, partcv, params);
  gc_frame_end(callframe3377);
// compilenode returning call3380
// Begin line 1067
  setline(1067);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1053
  setline(1053);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3382 = gc_frame_new();
  if (strlit3383 == NULL) {
    strlit3383 = alloc_String("comma");
    gc_root(strlit3383);
  }
// compilenode returning strlit3383
  gc_frame_newslot(strlit3383);
  params[0] = strlit3383;
  partcv[0] = 1;
  Object call3384 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3382);
// compilenode returning call3384
  Object if3381 = done;
  if (istrue(call3384)) {
// Begin line 1054
  setline(1054);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3385 = gc_frame_new();
  partcv[0] = 0;
  Object call3386 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3385);
// compilenode returning call3386
    gc_frame_newslot(call3386);
    if3381 = call3386;
  } else {
// Begin line 1066
  setline(1066);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1056
  setline(1056);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3389 == NULL) {
    strlit3389 = alloc_String("rgeneric");
    gc_root(strlit3389);
  }
// compilenode returning strlit3389
  int op_slot_right_3388 = gc_frame_newslot(strlit3389);
  int callframe3391 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3392 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3391);
// compilenode returning call3392
// compilenode returning call3392
  int op_slot_left_3388 = gc_frame_newslot(call3392);
  params[0] = strlit3389;
  partcv[0] = 1;
  Object opresult3393 = callmethod(call3392, "!=", 1, partcv, params);
// compilenode returning opresult3393
  Object if3387 = done;
  if (istrue(opresult3393)) {
// Begin line 1058
  setline(1058);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1057
  setline(1057);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3394 = gc_frame_new();
  int callframe3395 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3396 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3395);
// compilenode returning call3396
// compilenode returning call3396
  partcv[0] = 0;
  Object call3397 = callmethod(call3396, "new",
    1, partcv, params);
  gc_frame_end(callframe3394);
// compilenode returning call3397
// compilenode returning call3397
  *var_suggestion = call3397;
  if (call3397 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1058
  setline(1058);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3398 = gc_frame_new();
  if (strlit3399 == NULL) {
    strlit3399 = alloc_String(">");
    gc_root(strlit3399);
  }
// compilenode returning strlit3399
  gc_frame_newslot(strlit3399);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3399;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3400 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3398);
// compilenode returning call3400
// Begin line 1060
  setline(1060);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1059
  setline(1059);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3401 = gc_frame_new();
  int callframe3402 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3403 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3402);
// compilenode returning call3403
// compilenode returning call3403
  partcv[0] = 0;
  Object call3404 = callmethod(call3403, "new",
    1, partcv, params);
  gc_frame_end(callframe3401);
// compilenode returning call3404
// compilenode returning call3404
  *var_suggestion2 = call3404;
  if (call3404 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1060
  setline(1060);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3405 = gc_frame_new();
  if (strlit3406 == NULL) {
    strlit3406 = alloc_String(" ");
    gc_root(strlit3406);
  }
// compilenode returning strlit3406
  gc_frame_newslot(strlit3406);
// compilenode returning *var_startToken
  gc_frame_newslot(*var_startToken);
// compilenode returning *var_suggestion2
  params[0] = strlit3406;
  params[1] = *var_startToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3407 = callmethod(*var_suggestion2, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe3405);
// compilenode returning call3407
// Begin line 1062
  setline(1062);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1061
  setline(1061);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array3408 = alloc_BuiltinList();
  gc_pause();
// compilenode returning *var_suggestion
  params[0] = *var_suggestion;
  partcv[0] = 1;
  callmethod(array3408, "push", 1, partcv, params);
// compilenode returning *var_suggestion2
  params[0] = *var_suggestion2;
  partcv[0] = 1;
  callmethod(array3408, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array3408
  *var_suggestions = array3408;
  if (array3408 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1062
  setline(1062);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3409 = gc_frame_new();
  if (strlit3410 == NULL) {
    strlit3410 = alloc_String("A type containing a '<' must end with a '>', or the '<' operator must have a space before it.");
    gc_root(strlit3410);
  }
// compilenode returning strlit3410
  gc_frame_newslot(strlit3410);
// Begin line 1063
  setline(1063);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3411 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3412 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3411);
// compilenode returning call3412
// compilenode returning call3412
  gc_frame_newslot(call3412);
  int callframe3414 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3415 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe3414);
// compilenode returning call3415
// compilenode returning call3415
  int op_slot_right_3413 = gc_frame_newslot(call3415);
  int callframe3417 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3418 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3417);
// compilenode returning call3418
// compilenode returning call3418
  int op_slot_left_3413 = gc_frame_newslot(call3418);
  params[0] = call3415;
  partcv[0] = 1;
  Object sum3419 = callmethod(call3418, "+", 1, partcv, params);
// compilenode returning sum3419
  gc_frame_newslot(sum3419);
// Begin line 1064
  setline(1064);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1062
  setline(1062);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3410;
  params[1] = call3412;
  params[2] = sum3419;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3420 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3409);
// compilenode returning call3420
    gc_frame_newslot(call3420);
    if3387 = call3420;
  } else {
  }
// compilenode returning if3387
    gc_frame_newslot(if3387);
    if3381 = if3387;
  }
// compilenode returning if3381
  gc_frame_end(frame);
  return if3381;
}
Object meth_parser_generic3290(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 26, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "generic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for generic (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for generic");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_id = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "id");
  Object *var_gens = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "gens");
  Object *var_startToken = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "startToken");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_suggestion2 = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "suggestion2");
  Object *var_suggestions = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "suggestions");
// Begin line 1081
  setline(1081);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1026
  setline(1026);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3292 = gc_frame_new();
  if (strlit3293 == NULL) {
    strlit3293 = alloc_String("lgeneric");
    gc_root(strlit3293);
  }
// compilenode returning strlit3293
  gc_frame_newslot(strlit3293);
  params[0] = strlit3293;
  partcv[0] = 1;
  Object call3294 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3292);
// compilenode returning call3294
  Object if3291 = done;
  if (istrue(call3294)) {
// Begin line 1028
  setline(1028);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1027
  setline(1027);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3295 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call3296 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3295);
// compilenode returning call3296
// compilenode returning call3296
  *var_id = call3296;
  if (call3296 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1029
  setline(1029);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1028
  setline(1028);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array3297 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array3297
  *var_gens = array3297;
  if (array3297 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1030
  setline(1030);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1029
  setline(1029);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_startToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1030
  setline(1030);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3298 = gc_frame_new();
  partcv[0] = 0;
  Object call3299 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3298);
// compilenode returning call3299
// Begin line 1031
  setline(1031);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3300 = gc_frame_new();
  Object block3301 = alloc_Block(NULL, NULL, "parser", 1031);
  gc_frame_newslot(block3301);
  block_savedest(block3301);
  Object closure3302 = createclosure(1, "_apply");
setclosureframe(closure3302, stackframe);
  addtoclosure(closure3302, selfslot);
  struct UserObject *uo3302 = (struct UserObject*)block3301;
  uo3302->data[0] = (Object)closure3302;
  Method *meth_meth_parser__apply3302 = addmethod2pos(block3301, "_apply", &meth_parser__apply3302, 0);
int argcv_meth_parser__apply3302[] = {0};
meth_meth_parser__apply3302->type = alloc_MethodType(1, argcv_meth_parser__apply3302);
  meth_meth_parser__apply3302->definitionModule = modulename;
  meth_meth_parser__apply3302->definitionLine = 1027;
// compilenode returning block3301
  gc_frame_newslot(block3301);
  Object block3307 = alloc_Block(NULL, NULL, "parser", 1031);
  gc_frame_newslot(block3307);
  block_savedest(block3307);
  Object closure3308 = createclosure(8, "_apply");
setclosureframe(closure3308, stackframe);
  addtoclosure(closure3308, var_values);
  addtoclosure(closure3308, var_sym);
  addtoclosure(closure3308, var_errormessages);
  addtoclosure(closure3308, var_lastToken);
  addtoclosure(closure3308, var_ast);
  addtoclosure(closure3308, var_gens);
  addtoclosure(closure3308, var_startToken);
  addtoclosure(closure3308, selfslot);
  struct UserObject *uo3308 = (struct UserObject*)block3307;
  uo3308->data[0] = (Object)closure3308;
  Method *meth_meth_parser__apply3308 = addmethod2pos(block3307, "_apply", &meth_parser__apply3308, 0);
int argcv_meth_parser__apply3308[] = {0};
meth_meth_parser__apply3308->type = alloc_MethodType(1, argcv_meth_parser__apply3308);
  meth_meth_parser__apply3308->definitionModule = modulename;
  meth_meth_parser__apply3308->definitionLine = 1027;
// compilenode returning block3307
  gc_frame_newslot(block3307);
  params[0] = block3301;
  params[1] = block3307;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3422 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3300);
// compilenode returning call3422
// Begin line 1078
  setline(1078);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1068
  setline(1068);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3425 == NULL) {
    strlit3425 = alloc_String("rgeneric");
    gc_root(strlit3425);
  }
// compilenode returning strlit3425
  int op_slot_right_3424 = gc_frame_newslot(strlit3425);
  int callframe3427 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3428 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3427);
// compilenode returning call3428
// compilenode returning call3428
  int op_slot_left_3424 = gc_frame_newslot(call3428);
  params[0] = strlit3425;
  partcv[0] = 1;
  Object opresult3429 = callmethod(call3428, "!=", 1, partcv, params);
// compilenode returning opresult3429
  Object if3423 = done;
  if (istrue(opresult3429)) {
// Begin line 1070
  setline(1070);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1069
  setline(1069);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3430 = gc_frame_new();
  int callframe3431 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3432 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3431);
// compilenode returning call3432
// compilenode returning call3432
  partcv[0] = 0;
  Object call3433 = callmethod(call3432, "new",
    1, partcv, params);
  gc_frame_end(callframe3430);
// compilenode returning call3433
// compilenode returning call3433
  *var_suggestion = call3433;
  if (call3433 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1070
  setline(1070);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3434 = gc_frame_new();
  if (strlit3435 == NULL) {
    strlit3435 = alloc_String(">");
    gc_root(strlit3435);
  }
// compilenode returning strlit3435
  gc_frame_newslot(strlit3435);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3435;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3436 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3434);
// compilenode returning call3436
// Begin line 1072
  setline(1072);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1071
  setline(1071);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3437 = gc_frame_new();
  int callframe3438 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3439 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3438);
// compilenode returning call3439
// compilenode returning call3439
  partcv[0] = 0;
  Object call3440 = callmethod(call3439, "new",
    1, partcv, params);
  gc_frame_end(callframe3437);
// compilenode returning call3440
// compilenode returning call3440
  *var_suggestion2 = call3440;
  if (call3440 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1072
  setline(1072);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3441 = gc_frame_new();
  if (strlit3442 == NULL) {
    strlit3442 = alloc_String(" ");
    gc_root(strlit3442);
  }
// compilenode returning strlit3442
  gc_frame_newslot(strlit3442);
// compilenode returning *var_startToken
  gc_frame_newslot(*var_startToken);
// compilenode returning *var_suggestion2
  params[0] = strlit3442;
  params[1] = *var_startToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3443 = callmethod(*var_suggestion2, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe3441);
// compilenode returning call3443
// Begin line 1074
  setline(1074);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1073
  setline(1073);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array3444 = alloc_BuiltinList();
  gc_pause();
// compilenode returning *var_suggestion
  params[0] = *var_suggestion;
  partcv[0] = 1;
  callmethod(array3444, "push", 1, partcv, params);
// compilenode returning *var_suggestion2
  params[0] = *var_suggestion2;
  partcv[0] = 1;
  callmethod(array3444, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array3444
  *var_suggestions = array3444;
  if (array3444 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1074
  setline(1074);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3445 = gc_frame_new();
  if (strlit3446 == NULL) {
    strlit3446 = alloc_String("A type containing a '<' must end with a '>', or the '<' operator must have a space before it.");
    gc_root(strlit3446);
  }
// compilenode returning strlit3446
  gc_frame_newslot(strlit3446);
// Begin line 1075
  setline(1075);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3447 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3448 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3447);
// compilenode returning call3448
// compilenode returning call3448
  gc_frame_newslot(call3448);
  int callframe3450 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3451 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe3450);
// compilenode returning call3451
// compilenode returning call3451
  int op_slot_right_3449 = gc_frame_newslot(call3451);
  int callframe3453 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3454 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3453);
// compilenode returning call3454
// compilenode returning call3454
  int op_slot_left_3449 = gc_frame_newslot(call3454);
  params[0] = call3451;
  partcv[0] = 1;
  Object sum3455 = callmethod(call3454, "+", 1, partcv, params);
// compilenode returning sum3455
  gc_frame_newslot(sum3455);
// Begin line 1076
  setline(1076);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1074
  setline(1074);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3446;
  params[1] = call3448;
  params[2] = sum3455;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3456 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3445);
// compilenode returning call3456
    gc_frame_newslot(call3456);
    if3423 = call3456;
  } else {
  }
// compilenode returning if3423
// Begin line 1078
  setline(1078);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3457 = gc_frame_new();
  partcv[0] = 0;
  Object call3458 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3457);
// compilenode returning call3458
// Begin line 1079
  setline(1079);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3459 = gc_frame_new();
  int callframe3460 = gc_frame_new();
// compilenode returning *var_id
  gc_frame_newslot(*var_id);
// compilenode returning *var_gens
  gc_frame_newslot(*var_gens);
  int callframe3461 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call3462 = callmethod(*var_ast, "genericNode",
    1, partcv, params);
  gc_frame_end(callframe3461);
// compilenode returning call3462
// compilenode returning call3462
  params[0] = *var_id;
  params[1] = *var_gens;
  partcv[0] = 2;
  Object call3463 = callmethod(call3462, "new",
    1, partcv, params);
  gc_frame_end(callframe3460);
// compilenode returning call3463
  gc_frame_newslot(call3463);
// compilenode returning *var_values
  params[0] = call3463;
  partcv[0] = 1;
  Object call3464 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe3459);
// compilenode returning call3464
    gc_frame_newslot(call3464);
    if3291 = call3464;
  } else {
  }
// compilenode returning if3291
  gc_frame_end(frame);
  return if3291;
}
Object meth_parser__apply3503(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_catchTok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1097
  setline(1097);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3507 == NULL) {
    strlit3507 = alloc_String("catch");
    gc_root(strlit3507);
  }
// compilenode returning strlit3507
  int op_slot_right_3506 = gc_frame_newslot(strlit3507);
  int callframe3509 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call3510 = callmethod(*var_t, "value",
    1, partcv, params);
  gc_frame_end(callframe3509);
// compilenode returning call3510
// compilenode returning call3510
  int op_slot_left_3506 = gc_frame_newslot(call3510);
  params[0] = strlit3507;
  partcv[0] = 1;
  Object opresult3511 = callmethod(call3510, "==", 1, partcv, params);
// compilenode returning opresult3511
  int op_slot_right_3505 = gc_frame_newslot(opresult3511);
  if (strlit3514 == NULL) {
    strlit3514 = alloc_String("identifier");
    gc_root(strlit3514);
  }
// compilenode returning strlit3514
  int op_slot_right_3513 = gc_frame_newslot(strlit3514);
  int callframe3516 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call3517 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe3516);
// compilenode returning call3517
// compilenode returning call3517
  int op_slot_left_3513 = gc_frame_newslot(call3517);
  params[0] = strlit3514;
  partcv[0] = 1;
  Object opresult3518 = callmethod(call3517, "==", 1, partcv, params);
// compilenode returning opresult3518
  int op_slot_left_3505 = gc_frame_newslot(opresult3518);
  params[0] = opresult3511;
  partcv[0] = 1;
  Object opresult3519 = callmethod(opresult3518, "&&", 1, partcv, params);
// compilenode returning opresult3519
  int op_slot_right_3504 = gc_frame_newslot(opresult3519);
// Begin line 1096
  setline(1096);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3524 = gc_frame_new();
// compilenode returning *var_catchTok
  partcv[0] = 0;
  Object call3525 = callmethod(*var_catchTok, "line",
    1, partcv, params);
  gc_frame_end(callframe3524);
// compilenode returning call3525
// compilenode returning call3525
  int op_slot_right_3523 = gc_frame_newslot(call3525);
  int callframe3527 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call3528 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe3527);
// compilenode returning call3528
// compilenode returning call3528
  int op_slot_left_3523 = gc_frame_newslot(call3528);
  params[0] = call3525;
  partcv[0] = 1;
  Object opresult3529 = callmethod(call3528, "==", 1, partcv, params);
// compilenode returning opresult3529
  int op_slot_right_3522 = gc_frame_newslot(opresult3529);
  if (strlit3532 == NULL) {
    strlit3532 = alloc_String("rparen");
    gc_root(strlit3532);
  }
// compilenode returning strlit3532
  int op_slot_right_3531 = gc_frame_newslot(strlit3532);
  int callframe3534 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call3535 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe3534);
// compilenode returning call3535
// compilenode returning call3535
  int op_slot_left_3531 = gc_frame_newslot(call3535);
  params[0] = strlit3532;
  partcv[0] = 1;
  Object opresult3536 = callmethod(call3535, "==", 1, partcv, params);
// compilenode returning opresult3536
  int op_slot_left_3522 = gc_frame_newslot(opresult3536);
  params[0] = opresult3529;
  partcv[0] = 1;
  Object opresult3537 = callmethod(opresult3536, "&&", 1, partcv, params);
// compilenode returning opresult3537
  int op_slot_right_3521 = gc_frame_newslot(opresult3537);
// Begin line 1095
  setline(1095);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3540 == NULL) {
    strlit3540 = alloc_String("rbrace");
    gc_root(strlit3540);
  }
// compilenode returning strlit3540
  int op_slot_right_3539 = gc_frame_newslot(strlit3540);
  int callframe3542 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call3543 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe3542);
// compilenode returning call3543
// compilenode returning call3543
  int op_slot_left_3539 = gc_frame_newslot(call3543);
  params[0] = strlit3540;
  partcv[0] = 1;
  Object opresult3544 = callmethod(call3543, "==", 1, partcv, params);
// compilenode returning opresult3544
  int op_slot_left_3521 = gc_frame_newslot(opresult3544);
  params[0] = opresult3537;
  partcv[0] = 1;
  Object opresult3545 = callmethod(opresult3544, "||", 1, partcv, params);
// compilenode returning opresult3545
  int op_slot_left_3504 = gc_frame_newslot(opresult3545);
  params[0] = opresult3519;
  partcv[0] = 1;
  Object opresult3546 = callmethod(opresult3545, "||", 1, partcv, params);
// compilenode returning opresult3546
  gc_frame_end(frame);
  return opresult3546;
}
Object meth_parser__apply3621(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe3622 = gc_frame_new();
  partcv[0] = 0;
  Object call3623 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3622);
// compilenode returning call3623
  gc_frame_end(frame);
  return call3623;
}
Object meth_parser__apply3691(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit3694 == NULL) {
    strlit3694 = alloc_String("catch");
    gc_root(strlit3694);
  }
// compilenode returning strlit3694
  int op_slot_right_3693 = gc_frame_newslot(strlit3694);
  int callframe3696 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3697 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe3696);
// compilenode returning call3697
// compilenode returning call3697
  int op_slot_left_3693 = gc_frame_newslot(call3697);
  params[0] = strlit3694;
  partcv[0] = 1;
  Object opresult3698 = callmethod(call3697, "==", 1, partcv, params);
// compilenode returning opresult3698
  int op_slot_right_3692 = gc_frame_newslot(opresult3698);
  int callframe3700 = gc_frame_new();
  if (strlit3701 == NULL) {
    strlit3701 = alloc_String("identifier");
    gc_root(strlit3701);
  }
// compilenode returning strlit3701
  gc_frame_newslot(strlit3701);
  params[0] = strlit3701;
  partcv[0] = 1;
  Object call3702 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3700);
// compilenode returning call3702
  int op_slot_left_3692 = gc_frame_newslot(call3702);
  params[0] = opresult3698;
  partcv[0] = 1;
  Object opresult3703 = callmethod(call3702, "&&", 1, partcv, params);
// compilenode returning opresult3703
  gc_frame_end(frame);
  return opresult3703;
}
Object meth_parser__apply3725(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe3726 = gc_frame_new();
  partcv[0] = 0;
  Object call3727 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3726);
// compilenode returning call3727
  gc_frame_end(frame);
  return call3727;
}
Object meth_parser__apply3706(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_tokens = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_cases = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_nextTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextTok");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
// Begin line 1140
  setline(1140);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3707 = gc_frame_new();
  partcv[0] = 0;
  Object call3708 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3707);
// compilenode returning call3708
// Begin line 1186
  setline(1186);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1141
  setline(1141);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3710 = gc_frame_new();
  if (strlit3711 == NULL) {
    strlit3711 = alloc_String("lbrace");
    gc_root(strlit3711);
  }
// compilenode returning strlit3711
  gc_frame_newslot(strlit3711);
  params[0] = strlit3711;
  partcv[0] = 1;
  Object call3712 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3710);
// compilenode returning call3712
  Object if3709 = done;
  if (istrue(call3712)) {
// Begin line 1142
  setline(1142);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3713 = gc_frame_new();
  partcv[0] = 0;
  Object call3714 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3713);
// compilenode returning call3714
    gc_frame_newslot(call3714);
    if3709 = call3714;
  } else {
// Begin line 1164
  setline(1164);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1143
  setline(1143);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3716 = gc_frame_new();
  if (strlit3717 == NULL) {
    strlit3717 = alloc_String("lparen");
    gc_root(strlit3717);
  }
// compilenode returning strlit3717
  gc_frame_newslot(strlit3717);
  params[0] = strlit3717;
  partcv[0] = 1;
  Object call3718 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3716);
// compilenode returning call3718
  Object if3715 = done;
  if (istrue(call3718)) {
// Begin line 1144
  setline(1144);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3719 = gc_frame_new();
  partcv[0] = 0;
  Object call3720 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3719);
// compilenode returning call3720
// Begin line 1156
  setline(1156);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1145
  setline(1145);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3722 = gc_frame_new();
  int callframe3723 = gc_frame_new();
  Object block3724 = alloc_Block(NULL, NULL, "parser", 1145);
  gc_frame_newslot(block3724);
  block_savedest(block3724);
  Object closure3725 = createclosure(1, "_apply");
setclosureframe(closure3725, stackframe);
  addtoclosure(closure3725, selfslot);
  struct UserObject *uo3725 = (struct UserObject*)block3724;
  uo3725->data[0] = (Object)closure3725;
  Method *meth_meth_parser__apply3725 = addmethod2pos(block3724, "_apply", &meth_parser__apply3725, 0);
int argcv_meth_parser__apply3725[] = {0};
meth_meth_parser__apply3725->type = alloc_MethodType(1, argcv_meth_parser__apply3725);
  meth_meth_parser__apply3725->definitionModule = modulename;
  meth_meth_parser__apply3725->definitionLine = 1145;
// compilenode returning block3724
  gc_frame_newslot(block3724);
  params[0] = block3724;
  partcv[0] = 1;
  Object call3729 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3723);
// compilenode returning call3729
  partcv[0] = 0;
  Object call3730 = callmethod(call3729, "not",
    1, partcv, params);
  gc_frame_end(callframe3722);
// compilenode returning call3730
// compilenode returning call3730
  Object if3721 = done;
  if (istrue(call3730)) {
// Begin line 1147
  setline(1147);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1146
  setline(1146);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3731 = gc_frame_new();
  int callframe3732 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3733 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3732);
// compilenode returning call3733
// compilenode returning call3733
  partcv[0] = 0;
  Object call3734 = callmethod(call3733, "new",
    1, partcv, params);
  gc_frame_end(callframe3731);
// compilenode returning call3734
// compilenode returning call3734
  *var_suggestion = call3734;
  if (call3734 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1147
  setline(1147);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3735 = gc_frame_new();
  if (strlit3736 == NULL) {
    strlit3736 = alloc_String("rparen");
    gc_root(strlit3736);
  }
// compilenode returning strlit3736
  gc_frame_newslot(strlit3736);
  params[0] = strlit3736;
  partcv[0] = 1;
  Object call3737 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3735);
// compilenode returning call3737
  *var_nextTok = call3737;
  if (call3737 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1153
  setline(1153);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1148
  setline(1148);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_3739 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_3739 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3741 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult3741
  Object if3738 = done;
  if (istrue(opresult3741)) {
// Begin line 1149
  setline(1149);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3742 = gc_frame_new();
  if (strlit3743 == NULL) {
    strlit3743 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3743);
  }
// compilenode returning strlit3743
  gc_frame_newslot(strlit3743);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3743;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3744 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3742);
// compilenode returning call3744
    gc_frame_newslot(call3744);
    if3738 = call3744;
  } else {
// Begin line 1151
  setline(1151);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3745 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe3746 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call3747 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3746);
// compilenode returning call3747
// compilenode returning call3747
  gc_frame_newslot(call3747);
  Object bool3748 = alloc_Boolean(1);
// compilenode returning bool3748
  gc_frame_newslot(bool3748);
  Object bool3749 = alloc_Boolean(0);
// compilenode returning bool3749
  gc_frame_newslot(bool3749);
  if (strlit3750 == NULL) {
    strlit3750 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3750);
  }
// compilenode returning strlit3750
  gc_frame_newslot(strlit3750);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call3747;
  params[2] = bool3748;
  params[3] = bool3749;
  params[4] = strlit3750;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3751 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe3745);
// compilenode returning call3751
    gc_frame_newslot(call3751);
    if3738 = call3751;
  }
// compilenode returning if3738
// Begin line 1153
  setline(1153);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3752 = gc_frame_new();
  if (strlit3753 == NULL) {
    strlit3753 = alloc_String("A try-catch statement must have either a matching block or an expression in parentheses after the 'catch'.");
    gc_root(strlit3753);
  }
// compilenode returning strlit3753
  gc_frame_newslot(strlit3753);
// Begin line 1154
  setline(1154);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3754 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3755 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe3754);
// compilenode returning call3755
// compilenode returning call3755
  gc_frame_newslot(call3755);
  int callframe3756 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3757 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3756);
// compilenode returning call3757
// compilenode returning call3757
  gc_frame_newslot(call3757);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1153
  setline(1153);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3753;
  params[1] = call3755;
  params[2] = call3757;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3758 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3752);
// compilenode returning call3758
    gc_frame_newslot(call3758);
    if3721 = call3758;
  } else {
  }
// compilenode returning if3721
// Begin line 1163
  setline(1163);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1156
  setline(1156);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3761 == NULL) {
    strlit3761 = alloc_String("rparen");
    gc_root(strlit3761);
  }
// compilenode returning strlit3761
  int op_slot_right_3760 = gc_frame_newslot(strlit3761);
  int callframe3763 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3764 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3763);
// compilenode returning call3764
// compilenode returning call3764
  int op_slot_left_3760 = gc_frame_newslot(call3764);
  params[0] = strlit3761;
  partcv[0] = 1;
  Object opresult3765 = callmethod(call3764, "!=", 1, partcv, params);
// compilenode returning opresult3765
  Object if3759 = done;
  if (istrue(opresult3765)) {
// Begin line 1157
  setline(1157);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3766 = gc_frame_new();
  partcv[0] = 0;
  Object call3767 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3766);
// compilenode returning call3767
// Begin line 1159
  setline(1159);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1158
  setline(1158);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3768 = gc_frame_new();
  int callframe3769 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3770 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3769);
// compilenode returning call3770
// compilenode returning call3770
  partcv[0] = 0;
  Object call3771 = callmethod(call3770, "new",
    1, partcv, params);
  gc_frame_end(callframe3768);
// compilenode returning call3771
// compilenode returning call3771
  *var_suggestion = call3771;
  if (call3771 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1159
  setline(1159);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3772 = gc_frame_new();
  if (strlit3773 == NULL) {
    strlit3773 = alloc_String(")");
    gc_root(strlit3773);
  }
// compilenode returning strlit3773
  gc_frame_newslot(strlit3773);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3773;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3774 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3772);
// compilenode returning call3774
// Begin line 1160
  setline(1160);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3775 = gc_frame_new();
  if (strlit3776 == NULL) {
    strlit3776 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit3776);
  }
// compilenode returning strlit3776
  gc_frame_newslot(strlit3776);
// Begin line 1161
  setline(1161);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3777 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3778 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3777);
// compilenode returning call3778
// compilenode returning call3778
  gc_frame_newslot(call3778);
  int callframe3780 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3781 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe3780);
// compilenode returning call3781
// compilenode returning call3781
  int op_slot_right_3779 = gc_frame_newslot(call3781);
  int callframe3783 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3784 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3783);
// compilenode returning call3784
// compilenode returning call3784
  int op_slot_left_3779 = gc_frame_newslot(call3784);
  params[0] = call3781;
  partcv[0] = 1;
  Object sum3785 = callmethod(call3784, "+", 1, partcv, params);
// compilenode returning sum3785
  gc_frame_newslot(sum3785);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1160
  setline(1160);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3776;
  params[1] = call3778;
  params[2] = sum3785;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3786 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3775);
// compilenode returning call3786
    gc_frame_newslot(call3786);
    if3759 = call3786;
  } else {
  }
// compilenode returning if3759
// Begin line 1163
  setline(1163);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3787 = gc_frame_new();
  partcv[0] = 0;
  Object call3788 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3787);
// compilenode returning call3788
    gc_frame_newslot(call3788);
    if3715 = call3788;
  } else {
// Begin line 1166
  setline(1166);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1165
  setline(1165);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array3789 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array3789
  *var_suggestions = array3789;
  if (array3789 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1166
  setline(1166);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3790 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call3791 = callmethodflags(self, "findNextTokenIndentedAt", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3790);
// compilenode returning call3791
  *var_nextTok = call3791;
  if (call3791 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1168
  setline(1168);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1167
  setline(1167);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3792 = gc_frame_new();
  int callframe3793 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3794 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3793);
// compilenode returning call3794
// compilenode returning call3794
  partcv[0] = 0;
  Object call3795 = callmethod(call3794, "new",
    1, partcv, params);
  gc_frame_end(callframe3792);
// compilenode returning call3795
// compilenode returning call3795
  *var_suggestion = call3795;
  if (call3795 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1183
  setline(1183);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1168
  setline(1168);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3798 = alloc_Boolean(0);
// compilenode returning bool3798
  int op_slot_right_3797 = gc_frame_newslot(bool3798);
// compilenode returning *var_nextTok
  int op_slot_left_3797 = gc_frame_newslot(*var_nextTok);
  params[0] = bool3798;
  partcv[0] = 1;
  Object opresult3800 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult3800
  Object if3796 = done;
  if (istrue(opresult3800)) {
// Begin line 1169
  setline(1169);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3801 = gc_frame_new();
  if (strlit3802 == NULL) {
    strlit3802 = alloc_String(" }");
    gc_root(strlit3802);
  }
// compilenode returning strlit3802
  gc_frame_newslot(strlit3802);
  int callframe3803 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call3804 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe3803);
// compilenode returning call3804
// compilenode returning call3804
  gc_frame_newslot(call3804);
// compilenode returning *var_suggestion
  params[0] = strlit3802;
  params[1] = call3804;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3805 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3801);
// compilenode returning call3805
// Begin line 1170
  setline(1170);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3806 = gc_frame_new();
  if (strlit3807 == NULL) {
    strlit3807 = alloc_String(" {");
    gc_root(strlit3807);
  }
// compilenode returning strlit3807
  gc_frame_newslot(strlit3807);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3807;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3808 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3806);
// compilenode returning call3808
// Begin line 1171
  setline(1171);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3809 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3810 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3809);
// compilenode returning call3810
    gc_frame_newslot(call3810);
    if3796 = call3810;
  } else {
// Begin line 1178
  setline(1178);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1172
  setline(1172);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_3812 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_3812 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3814 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult3814
  Object if3811 = done;
  if (istrue(opresult3814)) {
// Begin line 1173
  setline(1173);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3815 = gc_frame_new();
  if (strlit3816 == NULL) {
    strlit3816 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit3816);
  }
// compilenode returning strlit3816
  gc_frame_newslot(strlit3816);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3816;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3817 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3815);
// compilenode returning call3817
// Begin line 1174
  setline(1174);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3818 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3819 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3818);
// compilenode returning call3819
// Begin line 1176
  setline(1176);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1175
  setline(1175);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3820 = gc_frame_new();
  int callframe3821 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3822 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3821);
// compilenode returning call3822
// compilenode returning call3822
  partcv[0] = 0;
  Object call3823 = callmethod(call3822, "new",
    1, partcv, params);
  gc_frame_end(callframe3820);
// compilenode returning call3823
// compilenode returning call3823
  *var_suggestion = call3823;
  if (call3823 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1176
  setline(1176);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3825 = gc_frame_new();
  if (strlit3826 == NULL) {
    strlit3826 = alloc_String(" { ""\xc2""""\xab""match expression""\xc2""""\xbb"" }");
    gc_root(strlit3826);
  }
// compilenode returning strlit3826
  gc_frame_newslot(strlit3826);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3826;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3827 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3825);
// compilenode returning call3827
// Begin line 1177
  setline(1177);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3828 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3829 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3828);
// compilenode returning call3829
    gc_frame_newslot(call3829);
    if3811 = call3829;
  } else {
// Begin line 1179
  setline(1179);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3830 = gc_frame_new();
  if (strlit3831 == NULL) {
    strlit3831 = alloc_String(" }");
    gc_root(strlit3831);
  }
// compilenode returning strlit3831
  gc_frame_newslot(strlit3831);
  int callframe3832 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call3833 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3832);
// compilenode returning call3833
// compilenode returning call3833
  gc_frame_newslot(call3833);
// compilenode returning *var_suggestion
  params[0] = strlit3831;
  params[1] = call3833;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3834 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3830);
// compilenode returning call3834
// Begin line 1180
  setline(1180);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3835 = gc_frame_new();
  if (strlit3836 == NULL) {
    strlit3836 = alloc_String(" {");
    gc_root(strlit3836);
  }
// compilenode returning strlit3836
  gc_frame_newslot(strlit3836);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3836;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3837 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3835);
// compilenode returning call3837
// Begin line 1181
  setline(1181);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3838 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3839 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe3838);
// compilenode returning call3839
    gc_frame_newslot(call3839);
    if3811 = call3839;
  }
// compilenode returning if3811
    gc_frame_newslot(if3811);
    if3796 = if3811;
  }
// compilenode returning if3796
// Begin line 1183
  setline(1183);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3840 = gc_frame_new();
  if (strlit3841 == NULL) {
    strlit3841 = alloc_String("A try-catch statement must have either a matching block or an expression in parentheses after the 'catch'.");
    gc_root(strlit3841);
  }
// compilenode returning strlit3841
  gc_frame_newslot(strlit3841);
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3842 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3843 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe3842);
// compilenode returning call3843
// compilenode returning call3843
  gc_frame_newslot(call3843);
  int callframe3844 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3845 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3844);
// compilenode returning call3845
// compilenode returning call3845
  gc_frame_newslot(call3845);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1183
  setline(1183);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3841;
  params[1] = call3843;
  params[2] = call3845;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3846 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe3840);
// compilenode returning call3846
    gc_frame_newslot(call3846);
    if3715 = call3846;
  }
// compilenode returning if3715
    gc_frame_newslot(if3715);
    if3709 = if3715;
  }
// compilenode returning if3709
// Begin line 1186
  setline(1186);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3847 = gc_frame_new();
  int callframe3848 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call3849 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3848);
// compilenode returning call3849
// compilenode returning call3849
  gc_frame_newslot(call3849);
// compilenode returning *var_cases
  params[0] = call3849;
  partcv[0] = 1;
  Object call3850 = callmethod(*var_cases, "push",
    1, partcv, params);
  gc_frame_end(callframe3847);
// compilenode returning call3850
  gc_frame_end(frame);
  return call3850;
}
Object meth_parser__apply3925(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe3926 = gc_frame_new();
  partcv[0] = 0;
  Object call3927 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3926);
// compilenode returning call3927
  gc_frame_end(frame);
  return call3927;
}
Object meth_parser_trycatch3465(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(18, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "trycatch");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_minIndentLevel = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_tokens = getfromclosure(closure, 5);
  Object *var_ast = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for trycatch (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for trycatch");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_localmin = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "localmin");
  Object *var_catchTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "catchTok");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_mainblock = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "mainblock");
  Object *var_cases = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "cases");
  Object *var_finally = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "finally");
  Object *var_suggestions = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "suggestions");
// Begin line 1086
  setline(1086);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1083
  setline(1083);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3467 = gc_frame_new();
  if (strlit3470 == NULL) {
    strlit3470 = alloc_String("try");
    gc_root(strlit3470);
  }
// compilenode returning strlit3470
  int op_slot_right_3469 = gc_frame_newslot(strlit3470);
  int callframe3472 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3473 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe3472);
// compilenode returning call3473
// compilenode returning call3473
  int op_slot_left_3469 = gc_frame_newslot(call3473);
  params[0] = strlit3470;
  partcv[0] = 1;
  Object opresult3474 = callmethod(call3473, "==", 1, partcv, params);
// compilenode returning opresult3474
  int op_slot_right_3468 = gc_frame_newslot(opresult3474);
  int callframe3476 = gc_frame_new();
  if (strlit3477 == NULL) {
    strlit3477 = alloc_String("identifier");
    gc_root(strlit3477);
  }
// compilenode returning strlit3477
  gc_frame_newslot(strlit3477);
  params[0] = strlit3477;
  partcv[0] = 1;
  Object call3478 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3476);
// compilenode returning call3478
  int op_slot_left_3468 = gc_frame_newslot(call3478);
  params[0] = opresult3474;
  partcv[0] = 1;
  Object opresult3479 = callmethod(call3478, "&&", 1, partcv, params);
// compilenode returning opresult3479
  partcv[0] = 0;
  Object call3480 = callmethod(opresult3479, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe3467);
// compilenode returning call3480
  Object if3466 = done;
  if (istrue(call3480)) {
// Begin line 1085
  setline(1085);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1084
  setline(1084);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num3481 = alloc_Float64(0);
// compilenode returning num3481
  return num3481;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if3466 = undefined;
  } else {
  }
// compilenode returning if3466
// Begin line 1087
  setline(1087);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1086
  setline(1086);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  *var_localmin = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1088
  setline(1088);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1087
  setline(1087);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_catchTok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1088
  setline(1088);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3482 = gc_frame_new();
  partcv[0] = 0;
  Object call3483 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3482);
// compilenode returning call3483
// Begin line 1136
  setline(1136);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1089
  setline(1089);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3485 = gc_frame_new();
  if (strlit3486 == NULL) {
    strlit3486 = alloc_String("lbrace");
    gc_root(strlit3486);
  }
// compilenode returning strlit3486
  gc_frame_newslot(strlit3486);
  params[0] = strlit3486;
  partcv[0] = 1;
  Object call3487 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3485);
// compilenode returning call3487
  Object if3484 = done;
  if (istrue(call3487)) {
// Begin line 1090
  setline(1090);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3488 = gc_frame_new();
  partcv[0] = 0;
  Object call3489 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3488);
// compilenode returning call3489
    gc_frame_newslot(call3489);
    if3484 = call3489;
  } else {
// Begin line 1115
  setline(1115);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1092
  setline(1092);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3492 == NULL) {
    strlit3492 = alloc_String("lparen");
    gc_root(strlit3492);
  }
// compilenode returning strlit3492
  int op_slot_right_3491 = gc_frame_newslot(strlit3492);
  int callframe3494 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3495 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3494);
// compilenode returning call3495
// compilenode returning call3495
  int op_slot_left_3491 = gc_frame_newslot(call3495);
  params[0] = strlit3492;
  partcv[0] = 1;
  Object opresult3496 = callmethod(call3495, "!=", 1, partcv, params);
// compilenode returning opresult3496
  Object if3490 = done;
  if (istrue(opresult3496)) {
// Begin line 1095
  setline(1095);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1093
  setline(1093);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3497 = gc_frame_new();
  int callframe3498 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3499 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3498);
// compilenode returning call3499
// compilenode returning call3499
  partcv[0] = 0;
  Object call3500 = callmethod(call3499, "new",
    1, partcv, params);
  gc_frame_end(callframe3497);
// compilenode returning call3500
// compilenode returning call3500
  *var_suggestion = call3500;
  if (call3500 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1095
  setline(1095);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3501 = gc_frame_new();
  Object block3502 = alloc_Block(NULL, NULL, "parser", 1095);
  gc_frame_newslot(block3502);
  block_savedest(block3502);
  Object closure3503 = createclosure(2, "_apply");
setclosureframe(closure3503, stackframe);
  addtoclosure(closure3503, var_catchTok);
  addtoclosure(closure3503, selfslot);
  struct UserObject *uo3503 = (struct UserObject*)block3502;
  uo3503->data[0] = (Object)closure3503;
  Method *meth_meth_parser__apply3503 = addmethod2pos(block3502, "_apply", &meth_parser__apply3503, 0);
int argcv_meth_parser__apply3503[] = {1};
meth_meth_parser__apply3503->type = alloc_MethodType(1, argcv_meth_parser__apply3503);
  meth_meth_parser__apply3503->definitionModule = modulename;
  meth_meth_parser__apply3503->definitionLine = 1093;
// compilenode returning block3502
  gc_frame_newslot(block3502);
  params[0] = block3502;
  partcv[0] = 1;
  Object call3548 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3501);
// compilenode returning call3548
  *var_nextTok = call3548;
  if (call3548 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1098
  setline(1098);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3551 = alloc_Boolean(0);
// compilenode returning bool3551
  int op_slot_right_3550 = gc_frame_newslot(bool3551);
// compilenode returning *var_nextTok
  int op_slot_left_3550 = gc_frame_newslot(*var_nextTok);
  params[0] = bool3551;
  partcv[0] = 1;
  Object opresult3553 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult3553
  Object if3549 = done;
  if (istrue(opresult3553)) {
// Begin line 1099
  setline(1099);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3554 = gc_frame_new();
  if (strlit3555 == NULL) {
    strlit3555 = alloc_String(" {}");
    gc_root(strlit3555);
  }
// compilenode returning strlit3555
  gc_frame_newslot(strlit3555);
// compilenode returning *var_catchTok
  gc_frame_newslot(*var_catchTok);
// compilenode returning *var_suggestion
  params[0] = strlit3555;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3556 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3554);
// compilenode returning call3556
    gc_frame_newslot(call3556);
    if3549 = call3556;
  } else {
// Begin line 1102
  setline(1102);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1100
  setline(1100);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3559 == NULL) {
    strlit3559 = alloc_String("rbrace");
    gc_root(strlit3559);
  }
// compilenode returning strlit3559
  int op_slot_right_3558 = gc_frame_newslot(strlit3559);
  int callframe3561 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call3562 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe3561);
// compilenode returning call3562
// compilenode returning call3562
  int op_slot_left_3558 = gc_frame_newslot(call3562);
  params[0] = strlit3559;
  partcv[0] = 1;
  Object opresult3563 = callmethod(call3562, "==", 1, partcv, params);
// compilenode returning opresult3563
  Object if3557 = done;
  if (istrue(opresult3563)) {
// Begin line 1101
  setline(1101);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3564 = gc_frame_new();
  if (strlit3565 == NULL) {
    strlit3565 = alloc_String(" {");
    gc_root(strlit3565);
  }
// compilenode returning strlit3565
  gc_frame_newslot(strlit3565);
// compilenode returning *var_catchTok
  gc_frame_newslot(*var_catchTok);
// compilenode returning *var_suggestion
  params[0] = strlit3565;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3566 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3564);
// compilenode returning call3566
    gc_frame_newslot(call3566);
    if3557 = call3566;
  } else {
// Begin line 1108
  setline(1108);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1102
  setline(1102);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3569 == NULL) {
    strlit3569 = alloc_String("rparen");
    gc_root(strlit3569);
  }
// compilenode returning strlit3569
  int op_slot_right_3568 = gc_frame_newslot(strlit3569);
  int callframe3571 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call3572 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe3571);
// compilenode returning call3572
// compilenode returning call3572
  int op_slot_left_3568 = gc_frame_newslot(call3572);
  params[0] = strlit3569;
  partcv[0] = 1;
  Object opresult3573 = callmethod(call3572, "==", 1, partcv, params);
// compilenode returning opresult3573
  Object if3567 = done;
  if (istrue(opresult3573)) {
// Begin line 1108
  setline(1108);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1103
  setline(1103);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_3575 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_3575 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3577 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult3577
  Object if3574 = done;
  if (istrue(opresult3577)) {
// Begin line 1104
  setline(1104);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3578 = gc_frame_new();
  if (strlit3579 == NULL) {
    strlit3579 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3579);
  }
// compilenode returning strlit3579
  gc_frame_newslot(strlit3579);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool3580 = alloc_Boolean(1);
// compilenode returning bool3580
  gc_frame_newslot(bool3580);
// compilenode returning *var_suggestion
  params[0] = strlit3579;
  params[1] = *var_lastToken;
  params[2] = bool3580;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3581 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe3578);
// compilenode returning call3581
    gc_frame_newslot(call3581);
    if3574 = call3581;
  } else {
// Begin line 1106
  setline(1106);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3582 = gc_frame_new();
  if (strlit3583 == NULL) {
    strlit3583 = alloc_String("(");
    gc_root(strlit3583);
  }
// compilenode returning strlit3583
  gc_frame_newslot(strlit3583);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool3584 = alloc_Boolean(1);
// compilenode returning bool3584
  gc_frame_newslot(bool3584);
// compilenode returning *var_suggestion
  params[0] = strlit3583;
  params[1] = *var_lastToken;
  params[2] = bool3584;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3585 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe3582);
// compilenode returning call3585
    gc_frame_newslot(call3585);
    if3574 = call3585;
  }
// compilenode returning if3574
    gc_frame_newslot(if3574);
    if3567 = if3574;
  } else {
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1108
  setline(1108);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3588 == NULL) {
    strlit3588 = alloc_String("identifier");
    gc_root(strlit3588);
  }
// compilenode returning strlit3588
  int op_slot_right_3587 = gc_frame_newslot(strlit3588);
  int callframe3590 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call3591 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe3590);
// compilenode returning call3591
// compilenode returning call3591
  int op_slot_left_3587 = gc_frame_newslot(call3591);
  params[0] = strlit3588;
  partcv[0] = 1;
  Object opresult3592 = callmethod(call3591, "==", 1, partcv, params);
// compilenode returning opresult3592
  Object if3586 = done;
  if (istrue(opresult3592)) {
// Begin line 1109
  setline(1109);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3593 = gc_frame_new();
  if (strlit3594 == NULL) {
    strlit3594 = alloc_String(" {");
    gc_root(strlit3594);
  }
// compilenode returning strlit3594
  gc_frame_newslot(strlit3594);
// compilenode returning *var_catchTok
  gc_frame_newslot(*var_catchTok);
// compilenode returning *var_suggestion
  params[0] = strlit3594;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3595 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3593);
// compilenode returning call3595
// Begin line 1110
  setline(1110);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3596 = gc_frame_new();
  if (strlit3597 == NULL) {
    strlit3597 = alloc_String("} ");
    gc_root(strlit3597);
  }
// compilenode returning strlit3597
  gc_frame_newslot(strlit3597);
// compilenode returning *var_nextTok
  gc_frame_newslot(*var_nextTok);
// compilenode returning *var_suggestion
  params[0] = strlit3597;
  params[1] = *var_nextTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3598 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe3596);
// compilenode returning call3598
    gc_frame_newslot(call3598);
    if3586 = call3598;
  } else {
  }
// compilenode returning if3586
    gc_frame_newslot(if3586);
    if3567 = if3586;
  }
// compilenode returning if3567
    gc_frame_newslot(if3567);
    if3557 = if3567;
  }
// compilenode returning if3557
    gc_frame_newslot(if3557);
    if3549 = if3557;
  }
// compilenode returning if3549
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3599 = gc_frame_new();
  if (strlit3600 == NULL) {
    strlit3600 = alloc_String("A catch statement must have either a block or an expression in parentheses after the 'catch'.");
    gc_root(strlit3600);
  }
// compilenode returning strlit3600
  gc_frame_newslot(strlit3600);
// Begin line 1113
  setline(1113);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3601 = gc_frame_new();
// compilenode returning *var_catchTok
  partcv[0] = 0;
  Object call3602 = callmethod(*var_catchTok, "line",
    1, partcv, params);
  gc_frame_end(callframe3601);
// compilenode returning call3602
// compilenode returning call3602
  gc_frame_newslot(call3602);
  Object num3604 = alloc_Float64(1);
// compilenode returning num3604
  int op_slot_right_3603 = gc_frame_newslot(num3604);
  int callframe3607 = gc_frame_new();
// compilenode returning *var_catchTok
  partcv[0] = 0;
  Object call3608 = callmethod(*var_catchTok, "size",
    1, partcv, params);
  gc_frame_end(callframe3607);
// compilenode returning call3608
// compilenode returning call3608
  int op_slot_right_3606 = gc_frame_newslot(call3608);
  int callframe3610 = gc_frame_new();
// compilenode returning *var_catchTok
  partcv[0] = 0;
  Object call3611 = callmethod(*var_catchTok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3610);
// compilenode returning call3611
// compilenode returning call3611
  int op_slot_left_3606 = gc_frame_newslot(call3611);
  params[0] = call3608;
  partcv[0] = 1;
  Object sum3612 = callmethod(call3611, "+", 1, partcv, params);
// compilenode returning sum3612
  int op_slot_left_3603 = gc_frame_newslot(sum3612);
  params[0] = num3604;
  partcv[0] = 1;
  Object sum3613 = callmethod(sum3612, "+", 1, partcv, params);
// compilenode returning sum3613
  gc_frame_newslot(sum3613);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3600;
  params[1] = call3602;
  params[2] = sum3613;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3614 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3599);
// compilenode returning call3614
    gc_frame_newslot(call3614);
    if3490 = call3614;
  } else {
  }
// compilenode returning if3490
// Begin line 1115
  setline(1115);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3615 = gc_frame_new();
  partcv[0] = 0;
  Object call3616 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3615);
// compilenode returning call3616
// Begin line 1127
  setline(1127);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1116
  setline(1116);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3618 = gc_frame_new();
  int callframe3619 = gc_frame_new();
  Object block3620 = alloc_Block(NULL, NULL, "parser", 1116);
  gc_frame_newslot(block3620);
  block_savedest(block3620);
  Object closure3621 = createclosure(1, "_apply");
setclosureframe(closure3621, stackframe);
  addtoclosure(closure3621, selfslot);
  struct UserObject *uo3621 = (struct UserObject*)block3620;
  uo3621->data[0] = (Object)closure3621;
  Method *meth_meth_parser__apply3621 = addmethod2pos(block3620, "_apply", &meth_parser__apply3621, 0);
int argcv_meth_parser__apply3621[] = {0};
meth_meth_parser__apply3621->type = alloc_MethodType(1, argcv_meth_parser__apply3621);
  meth_meth_parser__apply3621->definitionModule = modulename;
  meth_meth_parser__apply3621->definitionLine = 1116;
// compilenode returning block3620
  gc_frame_newslot(block3620);
  params[0] = block3620;
  partcv[0] = 1;
  Object call3625 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3619);
// compilenode returning call3625
  partcv[0] = 0;
  Object call3626 = callmethod(call3625, "not",
    1, partcv, params);
  gc_frame_end(callframe3618);
// compilenode returning call3626
// compilenode returning call3626
  Object if3617 = done;
  if (istrue(call3626)) {
// Begin line 1118
  setline(1118);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1117
  setline(1117);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3627 = gc_frame_new();
  int callframe3628 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3629 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3628);
// compilenode returning call3629
// compilenode returning call3629
  partcv[0] = 0;
  Object call3630 = callmethod(call3629, "new",
    1, partcv, params);
  gc_frame_end(callframe3627);
// compilenode returning call3630
// compilenode returning call3630
  *var_suggestion = call3630;
  if (call3630 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1118
  setline(1118);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3631 = gc_frame_new();
  if (strlit3632 == NULL) {
    strlit3632 = alloc_String("rparen");
    gc_root(strlit3632);
  }
// compilenode returning strlit3632
  gc_frame_newslot(strlit3632);
  params[0] = strlit3632;
  partcv[0] = 1;
  Object call3633 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3631);
// compilenode returning call3633
  *var_nextTok = call3633;
  if (call3633 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1124
  setline(1124);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1119
  setline(1119);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_3635 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_3635 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3637 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult3637
  Object if3634 = done;
  if (istrue(opresult3637)) {
// Begin line 1120
  setline(1120);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3638 = gc_frame_new();
  if (strlit3639 == NULL) {
    strlit3639 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3639);
  }
// compilenode returning strlit3639
  gc_frame_newslot(strlit3639);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3639;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3640 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3638);
// compilenode returning call3640
    gc_frame_newslot(call3640);
    if3634 = call3640;
  } else {
// Begin line 1122
  setline(1122);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3641 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe3642 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call3643 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3642);
// compilenode returning call3643
// compilenode returning call3643
  gc_frame_newslot(call3643);
  Object bool3644 = alloc_Boolean(1);
// compilenode returning bool3644
  gc_frame_newslot(bool3644);
  Object bool3645 = alloc_Boolean(0);
// compilenode returning bool3645
  gc_frame_newslot(bool3645);
  if (strlit3646 == NULL) {
    strlit3646 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3646);
  }
// compilenode returning strlit3646
  gc_frame_newslot(strlit3646);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call3643;
  params[2] = bool3644;
  params[3] = bool3645;
  params[4] = strlit3646;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3647 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe3641);
// compilenode returning call3647
    gc_frame_newslot(call3647);
    if3634 = call3647;
  }
// compilenode returning if3634
// Begin line 1124
  setline(1124);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3648 = gc_frame_new();
  if (strlit3649 == NULL) {
    strlit3649 = alloc_String("A catch statement must have either a block or an expression in parentheses after the 'catch'.");
    gc_root(strlit3649);
  }
// compilenode returning strlit3649
  gc_frame_newslot(strlit3649);
// Begin line 1125
  setline(1125);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3650 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3651 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe3650);
// compilenode returning call3651
// compilenode returning call3651
  gc_frame_newslot(call3651);
  int callframe3652 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3653 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3652);
// compilenode returning call3653
// compilenode returning call3653
  gc_frame_newslot(call3653);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1124
  setline(1124);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3649;
  params[1] = call3651;
  params[2] = call3653;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3654 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3648);
// compilenode returning call3654
    gc_frame_newslot(call3654);
    if3617 = call3654;
  } else {
  }
// compilenode returning if3617
// Begin line 1134
  setline(1134);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1127
  setline(1127);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3657 == NULL) {
    strlit3657 = alloc_String("rparen");
    gc_root(strlit3657);
  }
// compilenode returning strlit3657
  int op_slot_right_3656 = gc_frame_newslot(strlit3657);
  int callframe3659 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3660 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3659);
// compilenode returning call3660
// compilenode returning call3660
  int op_slot_left_3656 = gc_frame_newslot(call3660);
  params[0] = strlit3657;
  partcv[0] = 1;
  Object opresult3661 = callmethod(call3660, "!=", 1, partcv, params);
// compilenode returning opresult3661
  Object if3655 = done;
  if (istrue(opresult3661)) {
// Begin line 1128
  setline(1128);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3662 = gc_frame_new();
  partcv[0] = 0;
  Object call3663 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3662);
// compilenode returning call3663
// Begin line 1130
  setline(1130);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1129
  setline(1129);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3664 = gc_frame_new();
  int callframe3665 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3666 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3665);
// compilenode returning call3666
// compilenode returning call3666
  partcv[0] = 0;
  Object call3667 = callmethod(call3666, "new",
    1, partcv, params);
  gc_frame_end(callframe3664);
// compilenode returning call3667
// compilenode returning call3667
  *var_suggestion = call3667;
  if (call3667 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1130
  setline(1130);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3668 = gc_frame_new();
  if (strlit3669 == NULL) {
    strlit3669 = alloc_String(")");
    gc_root(strlit3669);
  }
// compilenode returning strlit3669
  gc_frame_newslot(strlit3669);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3669;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3670 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3668);
// compilenode returning call3670
// Begin line 1131
  setline(1131);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3671 = gc_frame_new();
  if (strlit3672 == NULL) {
    strlit3672 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit3672);
  }
// compilenode returning strlit3672
  gc_frame_newslot(strlit3672);
// Begin line 1132
  setline(1132);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3673 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3674 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3673);
// compilenode returning call3674
// compilenode returning call3674
  gc_frame_newslot(call3674);
  int callframe3676 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3677 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe3676);
// compilenode returning call3677
// compilenode returning call3677
  int op_slot_right_3675 = gc_frame_newslot(call3677);
  int callframe3679 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3680 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3679);
// compilenode returning call3680
// compilenode returning call3680
  int op_slot_left_3675 = gc_frame_newslot(call3680);
  params[0] = call3677;
  partcv[0] = 1;
  Object sum3681 = callmethod(call3680, "+", 1, partcv, params);
// compilenode returning sum3681
  gc_frame_newslot(sum3681);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1131
  setline(1131);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3672;
  params[1] = call3674;
  params[2] = sum3681;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3682 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3671);
// compilenode returning call3682
    gc_frame_newslot(call3682);
    if3655 = call3682;
  } else {
  }
// compilenode returning if3655
// Begin line 1134
  setline(1134);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3683 = gc_frame_new();
  partcv[0] = 0;
  Object call3684 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3683);
// compilenode returning call3684
    gc_frame_newslot(call3684);
    if3484 = call3684;
  }
// compilenode returning if3484
// Begin line 1137
  setline(1137);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1136
  setline(1136);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3685 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call3686 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe3685);
// compilenode returning call3686
// compilenode returning call3686
  *var_mainblock = call3686;
  if (call3686 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1138
  setline(1138);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1137
  setline(1137);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array3687 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array3687
  *var_cases = array3687;
  if (array3687 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1139
  setline(1139);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1138
  setline(1138);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3688 = alloc_Boolean(0);
// compilenode returning bool3688
  *var_finally = bool3688;
  if (bool3688 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1139
  setline(1139);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3689 = gc_frame_new();
  Object block3690 = alloc_Block(NULL, NULL, "parser", 1139);
  gc_frame_newslot(block3690);
  block_savedest(block3690);
  Object closure3691 = createclosure(2, "_apply");
setclosureframe(closure3691, stackframe);
  addtoclosure(closure3691, var_sym);
  addtoclosure(closure3691, selfslot);
  struct UserObject *uo3691 = (struct UserObject*)block3690;
  uo3691->data[0] = (Object)closure3691;
  Method *meth_meth_parser__apply3691 = addmethod2pos(block3690, "_apply", &meth_parser__apply3691, 0);
int argcv_meth_parser__apply3691[] = {0};
meth_meth_parser__apply3691->type = alloc_MethodType(1, argcv_meth_parser__apply3691);
  meth_meth_parser__apply3691->definitionModule = modulename;
  meth_meth_parser__apply3691->definitionLine = 1136;
// compilenode returning block3690
  gc_frame_newslot(block3690);
  Object block3705 = alloc_Block(NULL, NULL, "parser", 1139);
  gc_frame_newslot(block3705);
  block_savedest(block3705);
  Object closure3706 = createclosure(7, "_apply");
setclosureframe(closure3706, stackframe);
  addtoclosure(closure3706, var_errormessages);
  addtoclosure(closure3706, var_sym);
  addtoclosure(closure3706, var_lastToken);
  addtoclosure(closure3706, var_tokens);
  addtoclosure(closure3706, var_values);
  addtoclosure(closure3706, var_cases);
  addtoclosure(closure3706, selfslot);
  struct UserObject *uo3706 = (struct UserObject*)block3705;
  uo3706->data[0] = (Object)closure3706;
  Method *meth_meth_parser__apply3706 = addmethod2pos(block3705, "_apply", &meth_parser__apply3706, 0);
int argcv_meth_parser__apply3706[] = {0};
meth_meth_parser__apply3706->type = alloc_MethodType(1, argcv_meth_parser__apply3706);
  meth_meth_parser__apply3706->definitionModule = modulename;
  meth_meth_parser__apply3706->definitionLine = 1139;
// compilenode returning block3705
  gc_frame_newslot(block3705);
  params[0] = block3690;
  params[1] = block3705;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3852 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3689);
// compilenode returning call3852
// Begin line 1197
  setline(1197);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1188
  setline(1188);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3856 == NULL) {
    strlit3856 = alloc_String("case");
    gc_root(strlit3856);
  }
// compilenode returning strlit3856
  int op_slot_right_3855 = gc_frame_newslot(strlit3856);
  int callframe3858 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3859 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe3858);
// compilenode returning call3859
// compilenode returning call3859
  int op_slot_left_3855 = gc_frame_newslot(call3859);
  params[0] = strlit3856;
  partcv[0] = 1;
  Object opresult3860 = callmethod(call3859, "==", 1, partcv, params);
// compilenode returning opresult3860
  int op_slot_right_3854 = gc_frame_newslot(opresult3860);
  int callframe3862 = gc_frame_new();
  if (strlit3863 == NULL) {
    strlit3863 = alloc_String("identifier");
    gc_root(strlit3863);
  }
// compilenode returning strlit3863
  gc_frame_newslot(strlit3863);
// compilenode returning *var_catchTok
  gc_frame_newslot(*var_catchTok);
  params[0] = strlit3863;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3864 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3862);
// compilenode returning call3864
  int op_slot_left_3854 = gc_frame_newslot(call3864);
  params[0] = opresult3860;
  partcv[0] = 1;
  Object opresult3865 = callmethod(call3864, "&&", 1, partcv, params);
// compilenode returning opresult3865
  Object if3853 = done;
  if (istrue(opresult3865)) {
// Begin line 1190
  setline(1190);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1189
  setline(1189);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3866 = gc_frame_new();
  int callframe3867 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3868 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3867);
// compilenode returning call3868
// compilenode returning call3868
  partcv[0] = 0;
  Object call3869 = callmethod(call3868, "new",
    1, partcv, params);
  gc_frame_end(callframe3866);
// compilenode returning call3869
// compilenode returning call3869
  *var_suggestion = call3869;
  if (call3869 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1190
  setline(1190);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3870 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit3871 == NULL) {
    strlit3871 = alloc_String("catch");
    gc_root(strlit3871);
  }
// compilenode returning strlit3871
  gc_frame_newslot(strlit3871);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = strlit3871;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3872 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe3870);
// compilenode returning call3872
// Begin line 1191
  setline(1191);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3873 = gc_frame_new();
// Begin line 1193
  setline(1193);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3875 == NULL) {
    strlit3875 = alloc_String("are no 'case' blocks.");
    gc_root(strlit3875);
  }
// compilenode returning strlit3875
  int op_slot_right_3874 = gc_frame_newslot(strlit3875);
// Begin line 1192
  setline(1192);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3878 == NULL) {
    strlit3878 = alloc_String("'try' and then zero or more 'catch' blocks; there ");
    gc_root(strlit3878);
  }
// compilenode returning strlit3878
  int op_slot_right_3877 = gc_frame_newslot(strlit3878);
// Begin line 1191
  setline(1191);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3880 == NULL) {
    strlit3880 = alloc_String("A try-catch statement starts with a ");
    gc_root(strlit3880);
  }
// compilenode returning strlit3880
  int op_slot_left_3877 = gc_frame_newslot(strlit3880);
  params[0] = strlit3878;
  partcv[0] = 1;
  Object opresult3881 = callmethod(strlit3880, "++", 1, partcv, params);
// compilenode returning opresult3881
  int op_slot_left_3874 = gc_frame_newslot(opresult3881);
  params[0] = strlit3875;
  partcv[0] = 1;
  Object opresult3882 = callmethod(opresult3881, "++", 1, partcv, params);
// compilenode returning opresult3882
  gc_frame_newslot(opresult3882);
// Begin line 1194
  setline(1194);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3883 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3884 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe3883);
// compilenode returning call3884
// compilenode returning call3884
  gc_frame_newslot(call3884);
  int callframe3885 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3886 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3885);
// compilenode returning call3886
// compilenode returning call3886
  gc_frame_newslot(call3886);
  Object num3888 = alloc_Float64(3);
// compilenode returning num3888
  int op_slot_right_3887 = gc_frame_newslot(num3888);
  int callframe3890 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3891 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3890);
// compilenode returning call3891
// compilenode returning call3891
  int op_slot_left_3887 = gc_frame_newslot(call3891);
  params[0] = num3888;
  partcv[0] = 1;
  Object sum3892 = callmethod(call3891, "+", 1, partcv, params);
// compilenode returning sum3892
  gc_frame_newslot(sum3892);
// Begin line 1195
  setline(1195);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1191
  setline(1191);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult3882;
  params[1] = call3884;
  params[2] = call3886;
  params[3] = sum3892;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call3893 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3873);
// compilenode returning call3893
    gc_frame_newslot(call3893);
    if3853 = call3893;
  } else {
  }
// compilenode returning if3853
// Begin line 1246
  setline(1246);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1197
  setline(1197);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3897 == NULL) {
    strlit3897 = alloc_String("finally");
    gc_root(strlit3897);
  }
// compilenode returning strlit3897
  int op_slot_right_3896 = gc_frame_newslot(strlit3897);
  int callframe3899 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3900 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe3899);
// compilenode returning call3900
// compilenode returning call3900
  int op_slot_left_3896 = gc_frame_newslot(call3900);
  params[0] = strlit3897;
  partcv[0] = 1;
  Object opresult3901 = callmethod(call3900, "==", 1, partcv, params);
// compilenode returning opresult3901
  int op_slot_right_3895 = gc_frame_newslot(opresult3901);
  int callframe3903 = gc_frame_new();
  if (strlit3904 == NULL) {
    strlit3904 = alloc_String("identifier");
    gc_root(strlit3904);
  }
// compilenode returning strlit3904
  gc_frame_newslot(strlit3904);
  params[0] = strlit3904;
  partcv[0] = 1;
  Object call3905 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3903);
// compilenode returning call3905
  int op_slot_left_3895 = gc_frame_newslot(call3905);
  params[0] = opresult3901;
  partcv[0] = 1;
  Object opresult3906 = callmethod(call3905, "&&", 1, partcv, params);
// compilenode returning opresult3906
  Object if3894 = done;
  if (istrue(opresult3906)) {
// Begin line 1198
  setline(1198);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3907 = gc_frame_new();
  partcv[0] = 0;
  Object call3908 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3907);
// compilenode returning call3908
// Begin line 1244
  setline(1244);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1199
  setline(1199);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3910 = gc_frame_new();
  if (strlit3911 == NULL) {
    strlit3911 = alloc_String("lbrace");
    gc_root(strlit3911);
  }
// compilenode returning strlit3911
  gc_frame_newslot(strlit3911);
  params[0] = strlit3911;
  partcv[0] = 1;
  Object call3912 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3910);
// compilenode returning call3912
  Object if3909 = done;
  if (istrue(call3912)) {
// Begin line 1200
  setline(1200);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3913 = gc_frame_new();
  partcv[0] = 0;
  Object call3914 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3913);
// compilenode returning call3914
    gc_frame_newslot(call3914);
    if3909 = call3914;
  } else {
// Begin line 1222
  setline(1222);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1201
  setline(1201);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3916 = gc_frame_new();
  if (strlit3917 == NULL) {
    strlit3917 = alloc_String("lparen");
    gc_root(strlit3917);
  }
// compilenode returning strlit3917
  gc_frame_newslot(strlit3917);
  params[0] = strlit3917;
  partcv[0] = 1;
  Object call3918 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3916);
// compilenode returning call3918
  Object if3915 = done;
  if (istrue(call3918)) {
// Begin line 1202
  setline(1202);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3919 = gc_frame_new();
  partcv[0] = 0;
  Object call3920 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3919);
// compilenode returning call3920
// Begin line 1214
  setline(1214);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1203
  setline(1203);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3922 = gc_frame_new();
  int callframe3923 = gc_frame_new();
  Object block3924 = alloc_Block(NULL, NULL, "parser", 1203);
  gc_frame_newslot(block3924);
  block_savedest(block3924);
  Object closure3925 = createclosure(1, "_apply");
setclosureframe(closure3925, stackframe);
  addtoclosure(closure3925, selfslot);
  struct UserObject *uo3925 = (struct UserObject*)block3924;
  uo3925->data[0] = (Object)closure3925;
  Method *meth_meth_parser__apply3925 = addmethod2pos(block3924, "_apply", &meth_parser__apply3925, 0);
int argcv_meth_parser__apply3925[] = {0};
meth_meth_parser__apply3925->type = alloc_MethodType(1, argcv_meth_parser__apply3925);
  meth_meth_parser__apply3925->definitionModule = modulename;
  meth_meth_parser__apply3925->definitionLine = 1203;
// compilenode returning block3924
  gc_frame_newslot(block3924);
  params[0] = block3924;
  partcv[0] = 1;
  Object call3929 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3923);
// compilenode returning call3929
  partcv[0] = 0;
  Object call3930 = callmethod(call3929, "not",
    1, partcv, params);
  gc_frame_end(callframe3922);
// compilenode returning call3930
// compilenode returning call3930
  Object if3921 = done;
  if (istrue(call3930)) {
// Begin line 1205
  setline(1205);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3931 = gc_frame_new();
  int callframe3932 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3933 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3932);
// compilenode returning call3933
// compilenode returning call3933
  partcv[0] = 0;
  Object call3934 = callmethod(call3933, "new",
    1, partcv, params);
  gc_frame_end(callframe3931);
// compilenode returning call3934
// compilenode returning call3934
  *var_suggestion = call3934;
  if (call3934 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1205
  setline(1205);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3935 = gc_frame_new();
  if (strlit3936 == NULL) {
    strlit3936 = alloc_String("rparen");
    gc_root(strlit3936);
  }
// compilenode returning strlit3936
  gc_frame_newslot(strlit3936);
  params[0] = strlit3936;
  partcv[0] = 1;
  Object call3937 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3935);
// compilenode returning call3937
  *var_nextTok = call3937;
  if (call3937 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1211
  setline(1211);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1206
  setline(1206);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_3939 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_3939 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3941 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult3941
  Object if3938 = done;
  if (istrue(opresult3941)) {
// Begin line 1207
  setline(1207);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3942 = gc_frame_new();
  if (strlit3943 == NULL) {
    strlit3943 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3943);
  }
// compilenode returning strlit3943
  gc_frame_newslot(strlit3943);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3943;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3944 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3942);
// compilenode returning call3944
    gc_frame_newslot(call3944);
    if3938 = call3944;
  } else {
// Begin line 1209
  setline(1209);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3945 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe3946 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call3947 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe3946);
// compilenode returning call3947
// compilenode returning call3947
  gc_frame_newslot(call3947);
  Object bool3948 = alloc_Boolean(1);
// compilenode returning bool3948
  gc_frame_newslot(bool3948);
  Object bool3949 = alloc_Boolean(0);
// compilenode returning bool3949
  gc_frame_newslot(bool3949);
  if (strlit3950 == NULL) {
    strlit3950 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3950);
  }
// compilenode returning strlit3950
  gc_frame_newslot(strlit3950);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call3947;
  params[2] = bool3948;
  params[3] = bool3949;
  params[4] = strlit3950;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3951 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe3945);
// compilenode returning call3951
    gc_frame_newslot(call3951);
    if3938 = call3951;
  }
// compilenode returning if3938
// Begin line 1211
  setline(1211);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3952 = gc_frame_new();
  if (strlit3953 == NULL) {
    strlit3953 = alloc_String("A catch statement must have either a block or an expression in parentheses after the 'finally'.");
    gc_root(strlit3953);
  }
// compilenode returning strlit3953
  gc_frame_newslot(strlit3953);
// Begin line 1212
  setline(1212);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3954 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3955 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe3954);
// compilenode returning call3955
// compilenode returning call3955
  gc_frame_newslot(call3955);
  int callframe3956 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3957 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3956);
// compilenode returning call3957
// compilenode returning call3957
  gc_frame_newslot(call3957);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1211
  setline(1211);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3953;
  params[1] = call3955;
  params[2] = call3957;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3958 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3952);
// compilenode returning call3958
    gc_frame_newslot(call3958);
    if3921 = call3958;
  } else {
  }
// compilenode returning if3921
// Begin line 1221
  setline(1221);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1214
  setline(1214);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit3961 == NULL) {
    strlit3961 = alloc_String("rparen");
    gc_root(strlit3961);
  }
// compilenode returning strlit3961
  int op_slot_right_3960 = gc_frame_newslot(strlit3961);
  int callframe3963 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call3964 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe3963);
// compilenode returning call3964
// compilenode returning call3964
  int op_slot_left_3960 = gc_frame_newslot(call3964);
  params[0] = strlit3961;
  partcv[0] = 1;
  Object opresult3965 = callmethod(call3964, "!=", 1, partcv, params);
// compilenode returning opresult3965
  Object if3959 = done;
  if (istrue(opresult3965)) {
// Begin line 1215
  setline(1215);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3966 = gc_frame_new();
  partcv[0] = 0;
  Object call3967 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3966);
// compilenode returning call3967
// Begin line 1217
  setline(1217);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1216
  setline(1216);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3968 = gc_frame_new();
  int callframe3969 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3970 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3969);
// compilenode returning call3970
// compilenode returning call3970
  partcv[0] = 0;
  Object call3971 = callmethod(call3970, "new",
    1, partcv, params);
  gc_frame_end(callframe3968);
// compilenode returning call3971
// compilenode returning call3971
  *var_suggestion = call3971;
  if (call3971 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1217
  setline(1217);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3972 = gc_frame_new();
  if (strlit3973 == NULL) {
    strlit3973 = alloc_String(")");
    gc_root(strlit3973);
  }
// compilenode returning strlit3973
  gc_frame_newslot(strlit3973);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit3973;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3974 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe3972);
// compilenode returning call3974
// Begin line 1218
  setline(1218);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3975 = gc_frame_new();
  if (strlit3976 == NULL) {
    strlit3976 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit3976);
  }
// compilenode returning strlit3976
  gc_frame_newslot(strlit3976);
// Begin line 1219
  setline(1219);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3977 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3978 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe3977);
// compilenode returning call3978
// compilenode returning call3978
  gc_frame_newslot(call3978);
  int callframe3980 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3981 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe3980);
// compilenode returning call3981
// compilenode returning call3981
  int op_slot_right_3979 = gc_frame_newslot(call3981);
  int callframe3983 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call3984 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe3983);
// compilenode returning call3984
// compilenode returning call3984
  int op_slot_left_3979 = gc_frame_newslot(call3984);
  params[0] = call3981;
  partcv[0] = 1;
  Object sum3985 = callmethod(call3984, "+", 1, partcv, params);
// compilenode returning sum3985
  gc_frame_newslot(sum3985);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1218
  setline(1218);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit3976;
  params[1] = call3978;
  params[2] = sum3985;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3986 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe3975);
// compilenode returning call3986
    gc_frame_newslot(call3986);
    if3959 = call3986;
  } else {
  }
// compilenode returning if3959
// Begin line 1221
  setline(1221);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3987 = gc_frame_new();
  partcv[0] = 0;
  Object call3988 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3987);
// compilenode returning call3988
    gc_frame_newslot(call3988);
    if3915 = call3988;
  } else {
// Begin line 1224
  setline(1224);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1223
  setline(1223);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array3989 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array3989
  *var_suggestions = array3989;
  if (array3989 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1224
  setline(1224);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3990 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call3991 = callmethodflags(self, "findNextTokenIndentedAt", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3990);
// compilenode returning call3991
  *var_nextTok = call3991;
  if (call3991 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1226
  setline(1226);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1225
  setline(1225);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe3992 = gc_frame_new();
  int callframe3993 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call3994 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe3993);
// compilenode returning call3994
// compilenode returning call3994
  partcv[0] = 0;
  Object call3995 = callmethod(call3994, "new",
    1, partcv, params);
  gc_frame_end(callframe3992);
// compilenode returning call3995
// compilenode returning call3995
  *var_suggestion = call3995;
  if (call3995 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1241
  setline(1241);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1226
  setline(1226);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool3998 = alloc_Boolean(0);
// compilenode returning bool3998
  int op_slot_right_3997 = gc_frame_newslot(bool3998);
// compilenode returning *var_nextTok
  int op_slot_left_3997 = gc_frame_newslot(*var_nextTok);
  params[0] = bool3998;
  partcv[0] = 1;
  Object opresult4000 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4000
  Object if3996 = done;
  if (istrue(opresult4000)) {
// Begin line 1227
  setline(1227);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4001 = gc_frame_new();
  if (strlit4002 == NULL) {
    strlit4002 = alloc_String(" }");
    gc_root(strlit4002);
  }
// compilenode returning strlit4002
  gc_frame_newslot(strlit4002);
  int callframe4003 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call4004 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe4003);
// compilenode returning call4004
// compilenode returning call4004
  gc_frame_newslot(call4004);
// compilenode returning *var_suggestion
  params[0] = strlit4002;
  params[1] = call4004;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4005 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4001);
// compilenode returning call4005
// Begin line 1228
  setline(1228);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4006 = gc_frame_new();
  if (strlit4007 == NULL) {
    strlit4007 = alloc_String(" {");
    gc_root(strlit4007);
  }
// compilenode returning strlit4007
  gc_frame_newslot(strlit4007);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4007;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4008 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4006);
// compilenode returning call4008
// Begin line 1229
  setline(1229);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4009 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4010 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4009);
// compilenode returning call4010
    gc_frame_newslot(call4010);
    if3996 = call4010;
  } else {
// Begin line 1236
  setline(1236);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1230
  setline(1230);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4012 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4012 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4014 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4014
  Object if4011 = done;
  if (istrue(opresult4014)) {
// Begin line 1231
  setline(1231);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4015 = gc_frame_new();
  if (strlit4016 == NULL) {
    strlit4016 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit4016);
  }
// compilenode returning strlit4016
  gc_frame_newslot(strlit4016);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4016;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4017 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4015);
// compilenode returning call4017
// Begin line 1232
  setline(1232);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4018 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4019 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4018);
// compilenode returning call4019
// Begin line 1234
  setline(1234);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1233
  setline(1233);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4020 = gc_frame_new();
  int callframe4021 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4022 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4021);
// compilenode returning call4022
// compilenode returning call4022
  partcv[0] = 0;
  Object call4023 = callmethod(call4022, "new",
    1, partcv, params);
  gc_frame_end(callframe4020);
// compilenode returning call4023
// compilenode returning call4023
  *var_suggestion = call4023;
  if (call4023 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1234
  setline(1234);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4025 = gc_frame_new();
  if (strlit4026 == NULL) {
    strlit4026 = alloc_String(" { ""\xc2""""\xab""expression""\xc2""""\xbb"" }");
    gc_root(strlit4026);
  }
// compilenode returning strlit4026
  gc_frame_newslot(strlit4026);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4026;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4027 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4025);
// compilenode returning call4027
// Begin line 1235
  setline(1235);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4028 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4029 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4028);
// compilenode returning call4029
    gc_frame_newslot(call4029);
    if4011 = call4029;
  } else {
// Begin line 1237
  setline(1237);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4030 = gc_frame_new();
  if (strlit4031 == NULL) {
    strlit4031 = alloc_String(" }");
    gc_root(strlit4031);
  }
// compilenode returning strlit4031
  gc_frame_newslot(strlit4031);
  int callframe4032 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4033 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4032);
// compilenode returning call4033
// compilenode returning call4033
  gc_frame_newslot(call4033);
// compilenode returning *var_suggestion
  params[0] = strlit4031;
  params[1] = call4033;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4034 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4030);
// compilenode returning call4034
// Begin line 1238
  setline(1238);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4035 = gc_frame_new();
  if (strlit4036 == NULL) {
    strlit4036 = alloc_String(" {");
    gc_root(strlit4036);
  }
// compilenode returning strlit4036
  gc_frame_newslot(strlit4036);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4036;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4037 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4035);
// compilenode returning call4037
// Begin line 1239
  setline(1239);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4038 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4039 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4038);
// compilenode returning call4039
    gc_frame_newslot(call4039);
    if4011 = call4039;
  }
// compilenode returning if4011
    gc_frame_newslot(if4011);
    if3996 = if4011;
  }
// compilenode returning if3996
// Begin line 1241
  setline(1241);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4040 = gc_frame_new();
  if (strlit4041 == NULL) {
    strlit4041 = alloc_String("A try-finally statement must have either a block or an expression in parentheses after the 'finally'.");
    gc_root(strlit4041);
  }
// compilenode returning strlit4041
  gc_frame_newslot(strlit4041);
// Begin line 1242
  setline(1242);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4042 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4043 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4042);
// compilenode returning call4043
// compilenode returning call4043
  gc_frame_newslot(call4043);
  int callframe4044 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4045 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4044);
// compilenode returning call4045
// compilenode returning call4045
  gc_frame_newslot(call4045);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1241
  setline(1241);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4041;
  params[1] = call4043;
  params[2] = call4045;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4046 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe4040);
// compilenode returning call4046
    gc_frame_newslot(call4046);
    if3915 = call4046;
  }
// compilenode returning if3915
    gc_frame_newslot(if3915);
    if3909 = if3915;
  }
// compilenode returning if3909
// Begin line 1245
  setline(1245);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1244
  setline(1244);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4047 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call4048 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe4047);
// compilenode returning call4048
// compilenode returning call4048
  *var_finally = call4048;
  if (call4048 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if3894 = done;
  } else {
  }
// compilenode returning if3894
// Begin line 1246
  setline(1246);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4050 = gc_frame_new();
  int callframe4051 = gc_frame_new();
// compilenode returning *var_mainblock
  gc_frame_newslot(*var_mainblock);
// compilenode returning *var_cases
  gc_frame_newslot(*var_cases);
// compilenode returning *var_finally
  gc_frame_newslot(*var_finally);
  int callframe4052 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call4053 = callmethod(*var_ast, "catchCaseNode",
    1, partcv, params);
  gc_frame_end(callframe4052);
// compilenode returning call4053
// compilenode returning call4053
  params[0] = *var_mainblock;
  params[1] = *var_cases;
  params[2] = *var_finally;
  partcv[0] = 3;
  Object call4054 = callmethod(call4053, "new",
    1, partcv, params);
  gc_frame_end(callframe4051);
// compilenode returning call4054
  gc_frame_newslot(call4054);
// compilenode returning *var_values
  params[0] = call4054;
  partcv[0] = 1;
  Object call4055 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe4050);
// compilenode returning call4055
// Begin line 1248
  setline(1248);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1247
  setline(1247);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_localmin
  *var_minIndentLevel = *var_localmin;
  if (*var_localmin == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply4106(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_catchTok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1267
  setline(1267);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4110 == NULL) {
    strlit4110 = alloc_String("case");
    gc_root(strlit4110);
  }
// compilenode returning strlit4110
  int op_slot_right_4109 = gc_frame_newslot(strlit4110);
  int callframe4112 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call4113 = callmethod(*var_t, "value",
    1, partcv, params);
  gc_frame_end(callframe4112);
// compilenode returning call4113
// compilenode returning call4113
  int op_slot_left_4109 = gc_frame_newslot(call4113);
  params[0] = strlit4110;
  partcv[0] = 1;
  Object opresult4114 = callmethod(call4113, "==", 1, partcv, params);
// compilenode returning opresult4114
  int op_slot_right_4108 = gc_frame_newslot(opresult4114);
  if (strlit4117 == NULL) {
    strlit4117 = alloc_String("identifier");
    gc_root(strlit4117);
  }
// compilenode returning strlit4117
  int op_slot_right_4116 = gc_frame_newslot(strlit4117);
  int callframe4119 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call4120 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe4119);
// compilenode returning call4120
// compilenode returning call4120
  int op_slot_left_4116 = gc_frame_newslot(call4120);
  params[0] = strlit4117;
  partcv[0] = 1;
  Object opresult4121 = callmethod(call4120, "==", 1, partcv, params);
// compilenode returning opresult4121
  int op_slot_left_4108 = gc_frame_newslot(opresult4121);
  params[0] = opresult4114;
  partcv[0] = 1;
  Object opresult4122 = callmethod(opresult4121, "&&", 1, partcv, params);
// compilenode returning opresult4122
  int op_slot_right_4107 = gc_frame_newslot(opresult4122);
// Begin line 1266
  setline(1266);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4127 = gc_frame_new();
// compilenode returning *var_catchTok
  partcv[0] = 0;
  Object call4128 = callmethod(*var_catchTok, "line",
    1, partcv, params);
  gc_frame_end(callframe4127);
// compilenode returning call4128
// compilenode returning call4128
  int op_slot_right_4126 = gc_frame_newslot(call4128);
  int callframe4130 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call4131 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe4130);
// compilenode returning call4131
// compilenode returning call4131
  int op_slot_left_4126 = gc_frame_newslot(call4131);
  params[0] = call4128;
  partcv[0] = 1;
  Object opresult4132 = callmethod(call4131, "==", 1, partcv, params);
// compilenode returning opresult4132
  int op_slot_right_4125 = gc_frame_newslot(opresult4132);
  if (strlit4135 == NULL) {
    strlit4135 = alloc_String("rparen");
    gc_root(strlit4135);
  }
// compilenode returning strlit4135
  int op_slot_right_4134 = gc_frame_newslot(strlit4135);
  int callframe4137 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call4138 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe4137);
// compilenode returning call4138
// compilenode returning call4138
  int op_slot_left_4134 = gc_frame_newslot(call4138);
  params[0] = strlit4135;
  partcv[0] = 1;
  Object opresult4139 = callmethod(call4138, "==", 1, partcv, params);
// compilenode returning opresult4139
  int op_slot_left_4125 = gc_frame_newslot(opresult4139);
  params[0] = opresult4132;
  partcv[0] = 1;
  Object opresult4140 = callmethod(opresult4139, "&&", 1, partcv, params);
// compilenode returning opresult4140
  int op_slot_right_4124 = gc_frame_newslot(opresult4140);
// Begin line 1265
  setline(1265);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4143 == NULL) {
    strlit4143 = alloc_String("rbrace");
    gc_root(strlit4143);
  }
// compilenode returning strlit4143
  int op_slot_right_4142 = gc_frame_newslot(strlit4143);
  int callframe4145 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call4146 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe4145);
// compilenode returning call4146
// compilenode returning call4146
  int op_slot_left_4142 = gc_frame_newslot(call4146);
  params[0] = strlit4143;
  partcv[0] = 1;
  Object opresult4147 = callmethod(call4146, "==", 1, partcv, params);
// compilenode returning opresult4147
  int op_slot_left_4124 = gc_frame_newslot(opresult4147);
  params[0] = opresult4140;
  partcv[0] = 1;
  Object opresult4148 = callmethod(opresult4147, "||", 1, partcv, params);
// compilenode returning opresult4148
  int op_slot_left_4107 = gc_frame_newslot(opresult4148);
  params[0] = opresult4122;
  partcv[0] = 1;
  Object opresult4149 = callmethod(opresult4148, "||", 1, partcv, params);
// compilenode returning opresult4149
  gc_frame_end(frame);
  return opresult4149;
}
Object meth_parser__apply4224(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe4225 = gc_frame_new();
  partcv[0] = 0;
  Object call4226 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4225);
// compilenode returning call4226
  gc_frame_end(frame);
  return call4226;
}
Object meth_parser__apply4294(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit4297 == NULL) {
    strlit4297 = alloc_String("case");
    gc_root(strlit4297);
  }
// compilenode returning strlit4297
  int op_slot_right_4296 = gc_frame_newslot(strlit4297);
  int callframe4299 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4300 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4299);
// compilenode returning call4300
// compilenode returning call4300
  int op_slot_left_4296 = gc_frame_newslot(call4300);
  params[0] = strlit4297;
  partcv[0] = 1;
  Object opresult4301 = callmethod(call4300, "==", 1, partcv, params);
// compilenode returning opresult4301
  int op_slot_right_4295 = gc_frame_newslot(opresult4301);
  int callframe4303 = gc_frame_new();
  if (strlit4304 == NULL) {
    strlit4304 = alloc_String("identifier");
    gc_root(strlit4304);
  }
// compilenode returning strlit4304
  gc_frame_newslot(strlit4304);
  params[0] = strlit4304;
  partcv[0] = 1;
  Object call4305 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4303);
// compilenode returning call4305
  int op_slot_left_4295 = gc_frame_newslot(call4305);
  params[0] = opresult4301;
  partcv[0] = 1;
  Object opresult4306 = callmethod(call4305, "&&", 1, partcv, params);
// compilenode returning opresult4306
  gc_frame_end(frame);
  return opresult4306;
}
Object meth_parser__apply4328(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe4329 = gc_frame_new();
  partcv[0] = 0;
  Object call4330 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4329);
// compilenode returning call4330
  gc_frame_end(frame);
  return call4330;
}
Object meth_parser__apply4309(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_tokens = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_cases = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_nextTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextTok");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4310 = gc_frame_new();
  partcv[0] = 0;
  Object call4311 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4310);
// compilenode returning call4311
// Begin line 1356
  setline(1356);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1311
  setline(1311);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4313 = gc_frame_new();
  if (strlit4314 == NULL) {
    strlit4314 = alloc_String("lbrace");
    gc_root(strlit4314);
  }
// compilenode returning strlit4314
  gc_frame_newslot(strlit4314);
  params[0] = strlit4314;
  partcv[0] = 1;
  Object call4315 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4313);
// compilenode returning call4315
  Object if4312 = done;
  if (istrue(call4315)) {
// Begin line 1312
  setline(1312);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4316 = gc_frame_new();
  partcv[0] = 0;
  Object call4317 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4316);
// compilenode returning call4317
    gc_frame_newslot(call4317);
    if4312 = call4317;
  } else {
// Begin line 1334
  setline(1334);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1313
  setline(1313);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4319 = gc_frame_new();
  if (strlit4320 == NULL) {
    strlit4320 = alloc_String("lparen");
    gc_root(strlit4320);
  }
// compilenode returning strlit4320
  gc_frame_newslot(strlit4320);
  params[0] = strlit4320;
  partcv[0] = 1;
  Object call4321 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4319);
// compilenode returning call4321
  Object if4318 = done;
  if (istrue(call4321)) {
// Begin line 1314
  setline(1314);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4322 = gc_frame_new();
  partcv[0] = 0;
  Object call4323 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4322);
// compilenode returning call4323
// Begin line 1326
  setline(1326);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1315
  setline(1315);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4325 = gc_frame_new();
  int callframe4326 = gc_frame_new();
  Object block4327 = alloc_Block(NULL, NULL, "parser", 1315);
  gc_frame_newslot(block4327);
  block_savedest(block4327);
  Object closure4328 = createclosure(1, "_apply");
setclosureframe(closure4328, stackframe);
  addtoclosure(closure4328, selfslot);
  struct UserObject *uo4328 = (struct UserObject*)block4327;
  uo4328->data[0] = (Object)closure4328;
  Method *meth_meth_parser__apply4328 = addmethod2pos(block4327, "_apply", &meth_parser__apply4328, 0);
int argcv_meth_parser__apply4328[] = {0};
meth_meth_parser__apply4328->type = alloc_MethodType(1, argcv_meth_parser__apply4328);
  meth_meth_parser__apply4328->definitionModule = modulename;
  meth_meth_parser__apply4328->definitionLine = 1315;
// compilenode returning block4327
  gc_frame_newslot(block4327);
  params[0] = block4327;
  partcv[0] = 1;
  Object call4332 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4326);
// compilenode returning call4332
  partcv[0] = 0;
  Object call4333 = callmethod(call4332, "not",
    1, partcv, params);
  gc_frame_end(callframe4325);
// compilenode returning call4333
// compilenode returning call4333
  Object if4324 = done;
  if (istrue(call4333)) {
// Begin line 1317
  setline(1317);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1316
  setline(1316);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4334 = gc_frame_new();
  int callframe4335 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4336 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4335);
// compilenode returning call4336
// compilenode returning call4336
  partcv[0] = 0;
  Object call4337 = callmethod(call4336, "new",
    1, partcv, params);
  gc_frame_end(callframe4334);
// compilenode returning call4337
// compilenode returning call4337
  *var_suggestion = call4337;
  if (call4337 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1317
  setline(1317);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4338 = gc_frame_new();
  if (strlit4339 == NULL) {
    strlit4339 = alloc_String("rparen");
    gc_root(strlit4339);
  }
// compilenode returning strlit4339
  gc_frame_newslot(strlit4339);
  params[0] = strlit4339;
  partcv[0] = 1;
  Object call4340 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4338);
// compilenode returning call4340
  *var_nextTok = call4340;
  if (call4340 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1323
  setline(1323);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1318
  setline(1318);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4342 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4342 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4344 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4344
  Object if4341 = done;
  if (istrue(opresult4344)) {
// Begin line 1319
  setline(1319);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4345 = gc_frame_new();
  if (strlit4346 == NULL) {
    strlit4346 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4346);
  }
// compilenode returning strlit4346
  gc_frame_newslot(strlit4346);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4346;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4347 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4345);
// compilenode returning call4347
    gc_frame_newslot(call4347);
    if4341 = call4347;
  } else {
// Begin line 1321
  setline(1321);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4348 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe4349 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4350 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4349);
// compilenode returning call4350
// compilenode returning call4350
  gc_frame_newslot(call4350);
  Object bool4351 = alloc_Boolean(1);
// compilenode returning bool4351
  gc_frame_newslot(bool4351);
  Object bool4352 = alloc_Boolean(0);
// compilenode returning bool4352
  gc_frame_newslot(bool4352);
  if (strlit4353 == NULL) {
    strlit4353 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4353);
  }
// compilenode returning strlit4353
  gc_frame_newslot(strlit4353);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call4350;
  params[2] = bool4351;
  params[3] = bool4352;
  params[4] = strlit4353;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call4354 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe4348);
// compilenode returning call4354
    gc_frame_newslot(call4354);
    if4341 = call4354;
  }
// compilenode returning if4341
// Begin line 1323
  setline(1323);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4355 = gc_frame_new();
  if (strlit4356 == NULL) {
    strlit4356 = alloc_String("A catch statement must have either a matching block or an expression in parentheses after the 'case'.");
    gc_root(strlit4356);
  }
// compilenode returning strlit4356
  gc_frame_newslot(strlit4356);
// Begin line 1324
  setline(1324);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4357 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4358 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4357);
// compilenode returning call4358
// compilenode returning call4358
  gc_frame_newslot(call4358);
  int callframe4359 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4360 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4359);
// compilenode returning call4360
// compilenode returning call4360
  gc_frame_newslot(call4360);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1323
  setline(1323);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4356;
  params[1] = call4358;
  params[2] = call4360;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4361 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4355);
// compilenode returning call4361
    gc_frame_newslot(call4361);
    if4324 = call4361;
  } else {
  }
// compilenode returning if4324
// Begin line 1333
  setline(1333);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1326
  setline(1326);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4364 == NULL) {
    strlit4364 = alloc_String("rparen");
    gc_root(strlit4364);
  }
// compilenode returning strlit4364
  int op_slot_right_4363 = gc_frame_newslot(strlit4364);
  int callframe4366 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4367 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe4366);
// compilenode returning call4367
// compilenode returning call4367
  int op_slot_left_4363 = gc_frame_newslot(call4367);
  params[0] = strlit4364;
  partcv[0] = 1;
  Object opresult4368 = callmethod(call4367, "!=", 1, partcv, params);
// compilenode returning opresult4368
  Object if4362 = done;
  if (istrue(opresult4368)) {
// Begin line 1327
  setline(1327);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4369 = gc_frame_new();
  partcv[0] = 0;
  Object call4370 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4369);
// compilenode returning call4370
// Begin line 1329
  setline(1329);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1328
  setline(1328);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4371 = gc_frame_new();
  int callframe4372 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4373 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4372);
// compilenode returning call4373
// compilenode returning call4373
  partcv[0] = 0;
  Object call4374 = callmethod(call4373, "new",
    1, partcv, params);
  gc_frame_end(callframe4371);
// compilenode returning call4374
// compilenode returning call4374
  *var_suggestion = call4374;
  if (call4374 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1329
  setline(1329);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4375 = gc_frame_new();
  if (strlit4376 == NULL) {
    strlit4376 = alloc_String(")");
    gc_root(strlit4376);
  }
// compilenode returning strlit4376
  gc_frame_newslot(strlit4376);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4376;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4377 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4375);
// compilenode returning call4377
// Begin line 1330
  setline(1330);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4378 = gc_frame_new();
  if (strlit4379 == NULL) {
    strlit4379 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit4379);
  }
// compilenode returning strlit4379
  gc_frame_newslot(strlit4379);
// Begin line 1331
  setline(1331);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4380 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4381 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe4380);
// compilenode returning call4381
// compilenode returning call4381
  gc_frame_newslot(call4381);
  int callframe4383 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4384 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe4383);
// compilenode returning call4384
// compilenode returning call4384
  int op_slot_right_4382 = gc_frame_newslot(call4384);
  int callframe4386 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4387 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4386);
// compilenode returning call4387
// compilenode returning call4387
  int op_slot_left_4382 = gc_frame_newslot(call4387);
  params[0] = call4384;
  partcv[0] = 1;
  Object sum4388 = callmethod(call4387, "+", 1, partcv, params);
// compilenode returning sum4388
  gc_frame_newslot(sum4388);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1330
  setline(1330);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4379;
  params[1] = call4381;
  params[2] = sum4388;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4389 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4378);
// compilenode returning call4389
    gc_frame_newslot(call4389);
    if4362 = call4389;
  } else {
  }
// compilenode returning if4362
// Begin line 1333
  setline(1333);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4390 = gc_frame_new();
  partcv[0] = 0;
  Object call4391 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4390);
// compilenode returning call4391
    gc_frame_newslot(call4391);
    if4318 = call4391;
  } else {
// Begin line 1336
  setline(1336);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1335
  setline(1335);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array4392 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array4392
  *var_suggestions = array4392;
  if (array4392 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1336
  setline(1336);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4393 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call4394 = callmethodflags(self, "findNextTokenIndentedAt", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4393);
// compilenode returning call4394
  *var_nextTok = call4394;
  if (call4394 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1338
  setline(1338);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1337
  setline(1337);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4395 = gc_frame_new();
  int callframe4396 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4397 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4396);
// compilenode returning call4397
// compilenode returning call4397
  partcv[0] = 0;
  Object call4398 = callmethod(call4397, "new",
    1, partcv, params);
  gc_frame_end(callframe4395);
// compilenode returning call4398
// compilenode returning call4398
  *var_suggestion = call4398;
  if (call4398 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1353
  setline(1353);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1338
  setline(1338);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4401 = alloc_Boolean(0);
// compilenode returning bool4401
  int op_slot_right_4400 = gc_frame_newslot(bool4401);
// compilenode returning *var_nextTok
  int op_slot_left_4400 = gc_frame_newslot(*var_nextTok);
  params[0] = bool4401;
  partcv[0] = 1;
  Object opresult4403 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4403
  Object if4399 = done;
  if (istrue(opresult4403)) {
// Begin line 1339
  setline(1339);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4404 = gc_frame_new();
  if (strlit4405 == NULL) {
    strlit4405 = alloc_String(" }");
    gc_root(strlit4405);
  }
// compilenode returning strlit4405
  gc_frame_newslot(strlit4405);
  int callframe4406 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call4407 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe4406);
// compilenode returning call4407
// compilenode returning call4407
  gc_frame_newslot(call4407);
// compilenode returning *var_suggestion
  params[0] = strlit4405;
  params[1] = call4407;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4408 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4404);
// compilenode returning call4408
// Begin line 1340
  setline(1340);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4409 = gc_frame_new();
  if (strlit4410 == NULL) {
    strlit4410 = alloc_String(" {");
    gc_root(strlit4410);
  }
// compilenode returning strlit4410
  gc_frame_newslot(strlit4410);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4410;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4411 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4409);
// compilenode returning call4411
// Begin line 1341
  setline(1341);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4412 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4413 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4412);
// compilenode returning call4413
    gc_frame_newslot(call4413);
    if4399 = call4413;
  } else {
// Begin line 1348
  setline(1348);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1342
  setline(1342);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4415 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4415 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4417 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4417
  Object if4414 = done;
  if (istrue(opresult4417)) {
// Begin line 1343
  setline(1343);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4418 = gc_frame_new();
  if (strlit4419 == NULL) {
    strlit4419 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit4419);
  }
// compilenode returning strlit4419
  gc_frame_newslot(strlit4419);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4419;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4420 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4418);
// compilenode returning call4420
// Begin line 1344
  setline(1344);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4421 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4422 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4421);
// compilenode returning call4422
// Begin line 1346
  setline(1346);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1345
  setline(1345);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4423 = gc_frame_new();
  int callframe4424 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4425 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4424);
// compilenode returning call4425
// compilenode returning call4425
  partcv[0] = 0;
  Object call4426 = callmethod(call4425, "new",
    1, partcv, params);
  gc_frame_end(callframe4423);
// compilenode returning call4426
// compilenode returning call4426
  *var_suggestion = call4426;
  if (call4426 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1346
  setline(1346);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4428 = gc_frame_new();
  if (strlit4429 == NULL) {
    strlit4429 = alloc_String(" { ""\xc2""""\xab""match expression""\xc2""""\xbb"" }");
    gc_root(strlit4429);
  }
// compilenode returning strlit4429
  gc_frame_newslot(strlit4429);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4429;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4430 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4428);
// compilenode returning call4430
// Begin line 1347
  setline(1347);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4431 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4432 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4431);
// compilenode returning call4432
    gc_frame_newslot(call4432);
    if4414 = call4432;
  } else {
// Begin line 1349
  setline(1349);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4433 = gc_frame_new();
  if (strlit4434 == NULL) {
    strlit4434 = alloc_String(" }");
    gc_root(strlit4434);
  }
// compilenode returning strlit4434
  gc_frame_newslot(strlit4434);
  int callframe4435 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4436 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4435);
// compilenode returning call4436
// compilenode returning call4436
  gc_frame_newslot(call4436);
// compilenode returning *var_suggestion
  params[0] = strlit4434;
  params[1] = call4436;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4437 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4433);
// compilenode returning call4437
// Begin line 1350
  setline(1350);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4438 = gc_frame_new();
  if (strlit4439 == NULL) {
    strlit4439 = alloc_String(" {");
    gc_root(strlit4439);
  }
// compilenode returning strlit4439
  gc_frame_newslot(strlit4439);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4439;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4440 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4438);
// compilenode returning call4440
// Begin line 1351
  setline(1351);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4441 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4442 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4441);
// compilenode returning call4442
    gc_frame_newslot(call4442);
    if4414 = call4442;
  }
// compilenode returning if4414
    gc_frame_newslot(if4414);
    if4399 = if4414;
  }
// compilenode returning if4399
// Begin line 1353
  setline(1353);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4443 = gc_frame_new();
  if (strlit4444 == NULL) {
    strlit4444 = alloc_String("A catch statement must have either a matching block or an expression in parentheses after the 'case'.");
    gc_root(strlit4444);
  }
// compilenode returning strlit4444
  gc_frame_newslot(strlit4444);
// Begin line 1354
  setline(1354);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4445 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4446 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4445);
// compilenode returning call4446
// compilenode returning call4446
  gc_frame_newslot(call4446);
  int callframe4447 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4448 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4447);
// compilenode returning call4448
// compilenode returning call4448
  gc_frame_newslot(call4448);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1353
  setline(1353);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4444;
  params[1] = call4446;
  params[2] = call4448;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4449 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe4443);
// compilenode returning call4449
    gc_frame_newslot(call4449);
    if4318 = call4449;
  }
// compilenode returning if4318
    gc_frame_newslot(if4318);
    if4312 = if4318;
  }
// compilenode returning if4312
// Begin line 1356
  setline(1356);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4450 = gc_frame_new();
  int callframe4451 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call4452 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe4451);
// compilenode returning call4452
// compilenode returning call4452
  gc_frame_newslot(call4452);
// compilenode returning *var_cases
  params[0] = call4452;
  partcv[0] = 1;
  Object call4453 = callmethod(*var_cases, "push",
    1, partcv, params);
  gc_frame_end(callframe4450);
// compilenode returning call4453
  gc_frame_end(frame);
  return call4453;
}
Object meth_parser__apply4487(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe4488 = gc_frame_new();
  partcv[0] = 0;
  Object call4489 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4488);
// compilenode returning call4489
  gc_frame_end(frame);
  return call4489;
}
Object meth_parser_catchcase4057(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(17, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "catchcase");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_minIndentLevel = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_tokens = getfromclosure(closure, 6);
  Object *var_ast = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for catchcase (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for catchcase");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_localmin = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "localmin");
  Object *var_catchTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "catchTok");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_mainblock = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "mainblock");
  Object *var_cases = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "cases");
  Object *var_finally = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "finally");
  Object *var_suggestions = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "suggestions");
// Begin line 1253
  setline(1253);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1250
  setline(1250);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4059 = gc_frame_new();
  if (strlit4062 == NULL) {
    strlit4062 = alloc_String("catch");
    gc_root(strlit4062);
  }
// compilenode returning strlit4062
  int op_slot_right_4061 = gc_frame_newslot(strlit4062);
  int callframe4064 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4065 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4064);
// compilenode returning call4065
// compilenode returning call4065
  int op_slot_left_4061 = gc_frame_newslot(call4065);
  params[0] = strlit4062;
  partcv[0] = 1;
  Object opresult4066 = callmethod(call4065, "==", 1, partcv, params);
// compilenode returning opresult4066
  int op_slot_right_4060 = gc_frame_newslot(opresult4066);
  int callframe4068 = gc_frame_new();
  if (strlit4069 == NULL) {
    strlit4069 = alloc_String("identifier");
    gc_root(strlit4069);
  }
// compilenode returning strlit4069
  gc_frame_newslot(strlit4069);
  params[0] = strlit4069;
  partcv[0] = 1;
  Object call4070 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4068);
// compilenode returning call4070
  int op_slot_left_4060 = gc_frame_newslot(call4070);
  params[0] = opresult4066;
  partcv[0] = 1;
  Object opresult4071 = callmethod(call4070, "&&", 1, partcv, params);
// compilenode returning opresult4071
  partcv[0] = 0;
  Object call4072 = callmethod(opresult4071, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe4059);
// compilenode returning call4072
  Object if4058 = done;
  if (istrue(call4072)) {
// Begin line 1252
  setline(1252);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1251
  setline(1251);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num4073 = alloc_Float64(0);
// compilenode returning num4073
  return num4073;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if4058 = undefined;
  } else {
  }
// compilenode returning if4058
// Begin line 1254
  setline(1254);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1253
  setline(1253);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  *var_localmin = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1255
  setline(1255);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1254
  setline(1254);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_catchTok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1255
  setline(1255);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4074 = gc_frame_new();
  partcv[0] = 0;
  Object call4075 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4074);
// compilenode returning call4075
// Begin line 1256
  setline(1256);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4076 = gc_frame_new();
// Begin line 1258
  setline(1258);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4078 == NULL) {
    strlit4078 = alloc_String("instead.");
    gc_root(strlit4078);
  }
// compilenode returning strlit4078
  int op_slot_right_4077 = gc_frame_newslot(strlit4078);
// Begin line 1257
  setline(1257);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4081 == NULL) {
    strlit4081 = alloc_String("removed in a future version of the compiler. Use try-catch ");
    gc_root(strlit4081);
  }
// compilenode returning strlit4081
  int op_slot_right_4080 = gc_frame_newslot(strlit4081);
// Begin line 1256
  setline(1256);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4083 == NULL) {
    strlit4083 = alloc_String("The catch-case statement is deprecated and will be ");
    gc_root(strlit4083);
  }
// compilenode returning strlit4083
  int op_slot_left_4080 = gc_frame_newslot(strlit4083);
  params[0] = strlit4081;
  partcv[0] = 1;
  Object opresult4084 = callmethod(strlit4083, "++", 1, partcv, params);
// compilenode returning opresult4084
  int op_slot_left_4077 = gc_frame_newslot(opresult4084);
  params[0] = strlit4078;
  partcv[0] = 1;
  Object opresult4085 = callmethod(opresult4084, "++", 1, partcv, params);
// compilenode returning opresult4085
  gc_frame_newslot(opresult4085);
// compilenode returning *var_util
  params[0] = opresult4085;
  partcv[0] = 1;
  Object call4086 = callmethod(*var_util, "warning",
    1, partcv, params);
  gc_frame_end(callframe4076);
// compilenode returning call4086
// Begin line 1306
  setline(1306);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1259
  setline(1259);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4088 = gc_frame_new();
  if (strlit4089 == NULL) {
    strlit4089 = alloc_String("lbrace");
    gc_root(strlit4089);
  }
// compilenode returning strlit4089
  gc_frame_newslot(strlit4089);
  params[0] = strlit4089;
  partcv[0] = 1;
  Object call4090 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4088);
// compilenode returning call4090
  Object if4087 = done;
  if (istrue(call4090)) {
// Begin line 1260
  setline(1260);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4091 = gc_frame_new();
  partcv[0] = 0;
  Object call4092 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4091);
// compilenode returning call4092
    gc_frame_newslot(call4092);
    if4087 = call4092;
  } else {
// Begin line 1285
  setline(1285);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1262
  setline(1262);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4095 == NULL) {
    strlit4095 = alloc_String("lparen");
    gc_root(strlit4095);
  }
// compilenode returning strlit4095
  int op_slot_right_4094 = gc_frame_newslot(strlit4095);
  int callframe4097 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4098 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe4097);
// compilenode returning call4098
// compilenode returning call4098
  int op_slot_left_4094 = gc_frame_newslot(call4098);
  params[0] = strlit4095;
  partcv[0] = 1;
  Object opresult4099 = callmethod(call4098, "!=", 1, partcv, params);
// compilenode returning opresult4099
  Object if4093 = done;
  if (istrue(opresult4099)) {
// Begin line 1265
  setline(1265);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1263
  setline(1263);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4100 = gc_frame_new();
  int callframe4101 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4102 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4101);
// compilenode returning call4102
// compilenode returning call4102
  partcv[0] = 0;
  Object call4103 = callmethod(call4102, "new",
    1, partcv, params);
  gc_frame_end(callframe4100);
// compilenode returning call4103
// compilenode returning call4103
  *var_suggestion = call4103;
  if (call4103 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1265
  setline(1265);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4104 = gc_frame_new();
  Object block4105 = alloc_Block(NULL, NULL, "parser", 1265);
  gc_frame_newslot(block4105);
  block_savedest(block4105);
  Object closure4106 = createclosure(2, "_apply");
setclosureframe(closure4106, stackframe);
  addtoclosure(closure4106, var_catchTok);
  addtoclosure(closure4106, selfslot);
  struct UserObject *uo4106 = (struct UserObject*)block4105;
  uo4106->data[0] = (Object)closure4106;
  Method *meth_meth_parser__apply4106 = addmethod2pos(block4105, "_apply", &meth_parser__apply4106, 0);
int argcv_meth_parser__apply4106[] = {1};
meth_meth_parser__apply4106->type = alloc_MethodType(1, argcv_meth_parser__apply4106);
  meth_meth_parser__apply4106->definitionModule = modulename;
  meth_meth_parser__apply4106->definitionLine = 1263;
// compilenode returning block4105
  gc_frame_newslot(block4105);
  params[0] = block4105;
  partcv[0] = 1;
  Object call4151 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4104);
// compilenode returning call4151
  *var_nextTok = call4151;
  if (call4151 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1282
  setline(1282);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1268
  setline(1268);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4154 = alloc_Boolean(0);
// compilenode returning bool4154
  int op_slot_right_4153 = gc_frame_newslot(bool4154);
// compilenode returning *var_nextTok
  int op_slot_left_4153 = gc_frame_newslot(*var_nextTok);
  params[0] = bool4154;
  partcv[0] = 1;
  Object opresult4156 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4156
  Object if4152 = done;
  if (istrue(opresult4156)) {
// Begin line 1269
  setline(1269);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4157 = gc_frame_new();
  if (strlit4158 == NULL) {
    strlit4158 = alloc_String(" {}");
    gc_root(strlit4158);
  }
// compilenode returning strlit4158
  gc_frame_newslot(strlit4158);
// compilenode returning *var_catchTok
  gc_frame_newslot(*var_catchTok);
// compilenode returning *var_suggestion
  params[0] = strlit4158;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4159 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4157);
// compilenode returning call4159
    gc_frame_newslot(call4159);
    if4152 = call4159;
  } else {
// Begin line 1272
  setline(1272);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1270
  setline(1270);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4162 == NULL) {
    strlit4162 = alloc_String("rbrace");
    gc_root(strlit4162);
  }
// compilenode returning strlit4162
  int op_slot_right_4161 = gc_frame_newslot(strlit4162);
  int callframe4164 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4165 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe4164);
// compilenode returning call4165
// compilenode returning call4165
  int op_slot_left_4161 = gc_frame_newslot(call4165);
  params[0] = strlit4162;
  partcv[0] = 1;
  Object opresult4166 = callmethod(call4165, "==", 1, partcv, params);
// compilenode returning opresult4166
  Object if4160 = done;
  if (istrue(opresult4166)) {
// Begin line 1271
  setline(1271);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4167 = gc_frame_new();
  if (strlit4168 == NULL) {
    strlit4168 = alloc_String(" {");
    gc_root(strlit4168);
  }
// compilenode returning strlit4168
  gc_frame_newslot(strlit4168);
// compilenode returning *var_catchTok
  gc_frame_newslot(*var_catchTok);
// compilenode returning *var_suggestion
  params[0] = strlit4168;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4169 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4167);
// compilenode returning call4169
    gc_frame_newslot(call4169);
    if4160 = call4169;
  } else {
// Begin line 1278
  setline(1278);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1272
  setline(1272);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4172 == NULL) {
    strlit4172 = alloc_String("rparen");
    gc_root(strlit4172);
  }
// compilenode returning strlit4172
  int op_slot_right_4171 = gc_frame_newslot(strlit4172);
  int callframe4174 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4175 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe4174);
// compilenode returning call4175
// compilenode returning call4175
  int op_slot_left_4171 = gc_frame_newslot(call4175);
  params[0] = strlit4172;
  partcv[0] = 1;
  Object opresult4176 = callmethod(call4175, "==", 1, partcv, params);
// compilenode returning opresult4176
  Object if4170 = done;
  if (istrue(opresult4176)) {
// Begin line 1278
  setline(1278);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1273
  setline(1273);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4178 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4178 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4180 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4180
  Object if4177 = done;
  if (istrue(opresult4180)) {
// Begin line 1274
  setline(1274);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4181 = gc_frame_new();
  if (strlit4182 == NULL) {
    strlit4182 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4182);
  }
// compilenode returning strlit4182
  gc_frame_newslot(strlit4182);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool4183 = alloc_Boolean(1);
// compilenode returning bool4183
  gc_frame_newslot(bool4183);
// compilenode returning *var_suggestion
  params[0] = strlit4182;
  params[1] = *var_lastToken;
  params[2] = bool4183;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call4184 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe4181);
// compilenode returning call4184
    gc_frame_newslot(call4184);
    if4177 = call4184;
  } else {
// Begin line 1276
  setline(1276);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4185 = gc_frame_new();
  if (strlit4186 == NULL) {
    strlit4186 = alloc_String("(");
    gc_root(strlit4186);
  }
// compilenode returning strlit4186
  gc_frame_newslot(strlit4186);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool4187 = alloc_Boolean(1);
// compilenode returning bool4187
  gc_frame_newslot(bool4187);
// compilenode returning *var_suggestion
  params[0] = strlit4186;
  params[1] = *var_lastToken;
  params[2] = bool4187;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call4188 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe4185);
// compilenode returning call4188
    gc_frame_newslot(call4188);
    if4177 = call4188;
  }
// compilenode returning if4177
    gc_frame_newslot(if4177);
    if4170 = if4177;
  } else {
// Begin line 1282
  setline(1282);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1278
  setline(1278);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4191 == NULL) {
    strlit4191 = alloc_String("identifier");
    gc_root(strlit4191);
  }
// compilenode returning strlit4191
  int op_slot_right_4190 = gc_frame_newslot(strlit4191);
  int callframe4193 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4194 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe4193);
// compilenode returning call4194
// compilenode returning call4194
  int op_slot_left_4190 = gc_frame_newslot(call4194);
  params[0] = strlit4191;
  partcv[0] = 1;
  Object opresult4195 = callmethod(call4194, "==", 1, partcv, params);
// compilenode returning opresult4195
  Object if4189 = done;
  if (istrue(opresult4195)) {
// Begin line 1279
  setline(1279);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4196 = gc_frame_new();
  if (strlit4197 == NULL) {
    strlit4197 = alloc_String(" {");
    gc_root(strlit4197);
  }
// compilenode returning strlit4197
  gc_frame_newslot(strlit4197);
// compilenode returning *var_catchTok
  gc_frame_newslot(*var_catchTok);
// compilenode returning *var_suggestion
  params[0] = strlit4197;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4198 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4196);
// compilenode returning call4198
// Begin line 1280
  setline(1280);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4199 = gc_frame_new();
  if (strlit4200 == NULL) {
    strlit4200 = alloc_String("} ");
    gc_root(strlit4200);
  }
// compilenode returning strlit4200
  gc_frame_newslot(strlit4200);
// compilenode returning *var_nextTok
  gc_frame_newslot(*var_nextTok);
// compilenode returning *var_suggestion
  params[0] = strlit4200;
  params[1] = *var_nextTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4201 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe4199);
// compilenode returning call4201
    gc_frame_newslot(call4201);
    if4189 = call4201;
  } else {
  }
// compilenode returning if4189
    gc_frame_newslot(if4189);
    if4170 = if4189;
  }
// compilenode returning if4170
    gc_frame_newslot(if4170);
    if4160 = if4170;
  }
// compilenode returning if4160
    gc_frame_newslot(if4160);
    if4152 = if4160;
  }
// compilenode returning if4152
// Begin line 1282
  setline(1282);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4202 = gc_frame_new();
  if (strlit4203 == NULL) {
    strlit4203 = alloc_String("A catch statement must have either a block or an expression in parentheses after the 'catch'.");
    gc_root(strlit4203);
  }
// compilenode returning strlit4203
  gc_frame_newslot(strlit4203);
// Begin line 1283
  setline(1283);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4204 = gc_frame_new();
// compilenode returning *var_catchTok
  partcv[0] = 0;
  Object call4205 = callmethod(*var_catchTok, "line",
    1, partcv, params);
  gc_frame_end(callframe4204);
// compilenode returning call4205
// compilenode returning call4205
  gc_frame_newslot(call4205);
  Object num4207 = alloc_Float64(1);
// compilenode returning num4207
  int op_slot_right_4206 = gc_frame_newslot(num4207);
  int callframe4210 = gc_frame_new();
// compilenode returning *var_catchTok
  partcv[0] = 0;
  Object call4211 = callmethod(*var_catchTok, "size",
    1, partcv, params);
  gc_frame_end(callframe4210);
// compilenode returning call4211
// compilenode returning call4211
  int op_slot_right_4209 = gc_frame_newslot(call4211);
  int callframe4213 = gc_frame_new();
// compilenode returning *var_catchTok
  partcv[0] = 0;
  Object call4214 = callmethod(*var_catchTok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4213);
// compilenode returning call4214
// compilenode returning call4214
  int op_slot_left_4209 = gc_frame_newslot(call4214);
  params[0] = call4211;
  partcv[0] = 1;
  Object sum4215 = callmethod(call4214, "+", 1, partcv, params);
// compilenode returning sum4215
  int op_slot_left_4206 = gc_frame_newslot(sum4215);
  params[0] = num4207;
  partcv[0] = 1;
  Object sum4216 = callmethod(sum4215, "+", 1, partcv, params);
// compilenode returning sum4216
  gc_frame_newslot(sum4216);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1282
  setline(1282);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4203;
  params[1] = call4205;
  params[2] = sum4216;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4217 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4202);
// compilenode returning call4217
    gc_frame_newslot(call4217);
    if4093 = call4217;
  } else {
  }
// compilenode returning if4093
// Begin line 1285
  setline(1285);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4218 = gc_frame_new();
  partcv[0] = 0;
  Object call4219 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4218);
// compilenode returning call4219
// Begin line 1297
  setline(1297);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1286
  setline(1286);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4221 = gc_frame_new();
  int callframe4222 = gc_frame_new();
  Object block4223 = alloc_Block(NULL, NULL, "parser", 1286);
  gc_frame_newslot(block4223);
  block_savedest(block4223);
  Object closure4224 = createclosure(1, "_apply");
setclosureframe(closure4224, stackframe);
  addtoclosure(closure4224, selfslot);
  struct UserObject *uo4224 = (struct UserObject*)block4223;
  uo4224->data[0] = (Object)closure4224;
  Method *meth_meth_parser__apply4224 = addmethod2pos(block4223, "_apply", &meth_parser__apply4224, 0);
int argcv_meth_parser__apply4224[] = {0};
meth_meth_parser__apply4224->type = alloc_MethodType(1, argcv_meth_parser__apply4224);
  meth_meth_parser__apply4224->definitionModule = modulename;
  meth_meth_parser__apply4224->definitionLine = 1286;
// compilenode returning block4223
  gc_frame_newslot(block4223);
  params[0] = block4223;
  partcv[0] = 1;
  Object call4228 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4222);
// compilenode returning call4228
  partcv[0] = 0;
  Object call4229 = callmethod(call4228, "not",
    1, partcv, params);
  gc_frame_end(callframe4221);
// compilenode returning call4229
// compilenode returning call4229
  Object if4220 = done;
  if (istrue(call4229)) {
// Begin line 1288
  setline(1288);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1287
  setline(1287);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4230 = gc_frame_new();
  int callframe4231 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4232 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4231);
// compilenode returning call4232
// compilenode returning call4232
  partcv[0] = 0;
  Object call4233 = callmethod(call4232, "new",
    1, partcv, params);
  gc_frame_end(callframe4230);
// compilenode returning call4233
// compilenode returning call4233
  *var_suggestion = call4233;
  if (call4233 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1288
  setline(1288);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4234 = gc_frame_new();
  if (strlit4235 == NULL) {
    strlit4235 = alloc_String("rparen");
    gc_root(strlit4235);
  }
// compilenode returning strlit4235
  gc_frame_newslot(strlit4235);
  params[0] = strlit4235;
  partcv[0] = 1;
  Object call4236 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4234);
// compilenode returning call4236
  *var_nextTok = call4236;
  if (call4236 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1294
  setline(1294);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1289
  setline(1289);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4238 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4238 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4240 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4240
  Object if4237 = done;
  if (istrue(opresult4240)) {
// Begin line 1290
  setline(1290);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4241 = gc_frame_new();
  if (strlit4242 == NULL) {
    strlit4242 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4242);
  }
// compilenode returning strlit4242
  gc_frame_newslot(strlit4242);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4242;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4243 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4241);
// compilenode returning call4243
    gc_frame_newslot(call4243);
    if4237 = call4243;
  } else {
// Begin line 1292
  setline(1292);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4244 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe4245 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4246 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4245);
// compilenode returning call4246
// compilenode returning call4246
  gc_frame_newslot(call4246);
  Object bool4247 = alloc_Boolean(1);
// compilenode returning bool4247
  gc_frame_newslot(bool4247);
  Object bool4248 = alloc_Boolean(0);
// compilenode returning bool4248
  gc_frame_newslot(bool4248);
  if (strlit4249 == NULL) {
    strlit4249 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4249);
  }
// compilenode returning strlit4249
  gc_frame_newslot(strlit4249);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call4246;
  params[2] = bool4247;
  params[3] = bool4248;
  params[4] = strlit4249;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call4250 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe4244);
// compilenode returning call4250
    gc_frame_newslot(call4250);
    if4237 = call4250;
  }
// compilenode returning if4237
// Begin line 1294
  setline(1294);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4251 = gc_frame_new();
  if (strlit4252 == NULL) {
    strlit4252 = alloc_String("A catch statement must have either a block or an expression in parentheses after the 'catch'.");
    gc_root(strlit4252);
  }
// compilenode returning strlit4252
  gc_frame_newslot(strlit4252);
// Begin line 1295
  setline(1295);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4253 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4254 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4253);
// compilenode returning call4254
// compilenode returning call4254
  gc_frame_newslot(call4254);
  int callframe4255 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4256 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4255);
// compilenode returning call4256
// compilenode returning call4256
  gc_frame_newslot(call4256);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1294
  setline(1294);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4252;
  params[1] = call4254;
  params[2] = call4256;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4257 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4251);
// compilenode returning call4257
    gc_frame_newslot(call4257);
    if4220 = call4257;
  } else {
  }
// compilenode returning if4220
// Begin line 1304
  setline(1304);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1297
  setline(1297);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4260 == NULL) {
    strlit4260 = alloc_String("rparen");
    gc_root(strlit4260);
  }
// compilenode returning strlit4260
  int op_slot_right_4259 = gc_frame_newslot(strlit4260);
  int callframe4262 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4263 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe4262);
// compilenode returning call4263
// compilenode returning call4263
  int op_slot_left_4259 = gc_frame_newslot(call4263);
  params[0] = strlit4260;
  partcv[0] = 1;
  Object opresult4264 = callmethod(call4263, "!=", 1, partcv, params);
// compilenode returning opresult4264
  Object if4258 = done;
  if (istrue(opresult4264)) {
// Begin line 1298
  setline(1298);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4265 = gc_frame_new();
  partcv[0] = 0;
  Object call4266 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4265);
// compilenode returning call4266
// Begin line 1300
  setline(1300);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1299
  setline(1299);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4267 = gc_frame_new();
  int callframe4268 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4269 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4268);
// compilenode returning call4269
// compilenode returning call4269
  partcv[0] = 0;
  Object call4270 = callmethod(call4269, "new",
    1, partcv, params);
  gc_frame_end(callframe4267);
// compilenode returning call4270
// compilenode returning call4270
  *var_suggestion = call4270;
  if (call4270 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1300
  setline(1300);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4271 = gc_frame_new();
  if (strlit4272 == NULL) {
    strlit4272 = alloc_String(")");
    gc_root(strlit4272);
  }
// compilenode returning strlit4272
  gc_frame_newslot(strlit4272);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4272;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4273 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4271);
// compilenode returning call4273
// Begin line 1301
  setline(1301);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4274 = gc_frame_new();
  if (strlit4275 == NULL) {
    strlit4275 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit4275);
  }
// compilenode returning strlit4275
  gc_frame_newslot(strlit4275);
// Begin line 1302
  setline(1302);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4276 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4277 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe4276);
// compilenode returning call4277
// compilenode returning call4277
  gc_frame_newslot(call4277);
  int callframe4279 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4280 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe4279);
// compilenode returning call4280
// compilenode returning call4280
  int op_slot_right_4278 = gc_frame_newslot(call4280);
  int callframe4282 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4283 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4282);
// compilenode returning call4283
// compilenode returning call4283
  int op_slot_left_4278 = gc_frame_newslot(call4283);
  params[0] = call4280;
  partcv[0] = 1;
  Object sum4284 = callmethod(call4283, "+", 1, partcv, params);
// compilenode returning sum4284
  gc_frame_newslot(sum4284);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1301
  setline(1301);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4275;
  params[1] = call4277;
  params[2] = sum4284;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4285 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4274);
// compilenode returning call4285
    gc_frame_newslot(call4285);
    if4258 = call4285;
  } else {
  }
// compilenode returning if4258
// Begin line 1304
  setline(1304);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4286 = gc_frame_new();
  partcv[0] = 0;
  Object call4287 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4286);
// compilenode returning call4287
    gc_frame_newslot(call4287);
    if4087 = call4287;
  }
// compilenode returning if4087
// Begin line 1307
  setline(1307);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1306
  setline(1306);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4288 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call4289 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe4288);
// compilenode returning call4289
// compilenode returning call4289
  *var_mainblock = call4289;
  if (call4289 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1308
  setline(1308);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1307
  setline(1307);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array4290 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array4290
  *var_cases = array4290;
  if (array4290 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1309
  setline(1309);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1308
  setline(1308);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4291 = alloc_Boolean(0);
// compilenode returning bool4291
  *var_finally = bool4291;
  if (bool4291 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1309
  setline(1309);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4292 = gc_frame_new();
  Object block4293 = alloc_Block(NULL, NULL, "parser", 1309);
  gc_frame_newslot(block4293);
  block_savedest(block4293);
  Object closure4294 = createclosure(2, "_apply");
setclosureframe(closure4294, stackframe);
  addtoclosure(closure4294, var_sym);
  addtoclosure(closure4294, selfslot);
  struct UserObject *uo4294 = (struct UserObject*)block4293;
  uo4294->data[0] = (Object)closure4294;
  Method *meth_meth_parser__apply4294 = addmethod2pos(block4293, "_apply", &meth_parser__apply4294, 0);
int argcv_meth_parser__apply4294[] = {0};
meth_meth_parser__apply4294->type = alloc_MethodType(1, argcv_meth_parser__apply4294);
  meth_meth_parser__apply4294->definitionModule = modulename;
  meth_meth_parser__apply4294->definitionLine = 1306;
// compilenode returning block4293
  gc_frame_newslot(block4293);
  Object block4308 = alloc_Block(NULL, NULL, "parser", 1309);
  gc_frame_newslot(block4308);
  block_savedest(block4308);
  Object closure4309 = createclosure(7, "_apply");
setclosureframe(closure4309, stackframe);
  addtoclosure(closure4309, var_errormessages);
  addtoclosure(closure4309, var_sym);
  addtoclosure(closure4309, var_lastToken);
  addtoclosure(closure4309, var_tokens);
  addtoclosure(closure4309, var_values);
  addtoclosure(closure4309, var_cases);
  addtoclosure(closure4309, selfslot);
  struct UserObject *uo4309 = (struct UserObject*)block4308;
  uo4309->data[0] = (Object)closure4309;
  Method *meth_meth_parser__apply4309 = addmethod2pos(block4308, "_apply", &meth_parser__apply4309, 0);
int argcv_meth_parser__apply4309[] = {0};
meth_meth_parser__apply4309->type = alloc_MethodType(1, argcv_meth_parser__apply4309);
  meth_meth_parser__apply4309->definitionModule = modulename;
  meth_meth_parser__apply4309->definitionLine = 1309;
// compilenode returning block4308
  gc_frame_newslot(block4308);
  params[0] = block4293;
  params[1] = block4308;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4455 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4292);
// compilenode returning call4455
// Begin line 1407
  setline(1407);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1358
  setline(1358);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4459 == NULL) {
    strlit4459 = alloc_String("finally");
    gc_root(strlit4459);
  }
// compilenode returning strlit4459
  int op_slot_right_4458 = gc_frame_newslot(strlit4459);
  int callframe4461 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4462 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4461);
// compilenode returning call4462
// compilenode returning call4462
  int op_slot_left_4458 = gc_frame_newslot(call4462);
  params[0] = strlit4459;
  partcv[0] = 1;
  Object opresult4463 = callmethod(call4462, "==", 1, partcv, params);
// compilenode returning opresult4463
  int op_slot_right_4457 = gc_frame_newslot(opresult4463);
  int callframe4465 = gc_frame_new();
  if (strlit4466 == NULL) {
    strlit4466 = alloc_String("identifier");
    gc_root(strlit4466);
  }
// compilenode returning strlit4466
  gc_frame_newslot(strlit4466);
  params[0] = strlit4466;
  partcv[0] = 1;
  Object call4467 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4465);
// compilenode returning call4467
  int op_slot_left_4457 = gc_frame_newslot(call4467);
  params[0] = opresult4463;
  partcv[0] = 1;
  Object opresult4468 = callmethod(call4467, "&&", 1, partcv, params);
// compilenode returning opresult4468
  Object if4456 = done;
  if (istrue(opresult4468)) {
// Begin line 1359
  setline(1359);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4469 = gc_frame_new();
  partcv[0] = 0;
  Object call4470 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4469);
// compilenode returning call4470
// Begin line 1405
  setline(1405);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1360
  setline(1360);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4472 = gc_frame_new();
  if (strlit4473 == NULL) {
    strlit4473 = alloc_String("lbrace");
    gc_root(strlit4473);
  }
// compilenode returning strlit4473
  gc_frame_newslot(strlit4473);
  params[0] = strlit4473;
  partcv[0] = 1;
  Object call4474 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4472);
// compilenode returning call4474
  Object if4471 = done;
  if (istrue(call4474)) {
// Begin line 1361
  setline(1361);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4475 = gc_frame_new();
  partcv[0] = 0;
  Object call4476 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4475);
// compilenode returning call4476
    gc_frame_newslot(call4476);
    if4471 = call4476;
  } else {
// Begin line 1383
  setline(1383);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1362
  setline(1362);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4478 = gc_frame_new();
  if (strlit4479 == NULL) {
    strlit4479 = alloc_String("lparen");
    gc_root(strlit4479);
  }
// compilenode returning strlit4479
  gc_frame_newslot(strlit4479);
  params[0] = strlit4479;
  partcv[0] = 1;
  Object call4480 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4478);
// compilenode returning call4480
  Object if4477 = done;
  if (istrue(call4480)) {
// Begin line 1363
  setline(1363);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4481 = gc_frame_new();
  partcv[0] = 0;
  Object call4482 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4481);
// compilenode returning call4482
// Begin line 1375
  setline(1375);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1364
  setline(1364);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4484 = gc_frame_new();
  int callframe4485 = gc_frame_new();
  Object block4486 = alloc_Block(NULL, NULL, "parser", 1364);
  gc_frame_newslot(block4486);
  block_savedest(block4486);
  Object closure4487 = createclosure(1, "_apply");
setclosureframe(closure4487, stackframe);
  addtoclosure(closure4487, selfslot);
  struct UserObject *uo4487 = (struct UserObject*)block4486;
  uo4487->data[0] = (Object)closure4487;
  Method *meth_meth_parser__apply4487 = addmethod2pos(block4486, "_apply", &meth_parser__apply4487, 0);
int argcv_meth_parser__apply4487[] = {0};
meth_meth_parser__apply4487->type = alloc_MethodType(1, argcv_meth_parser__apply4487);
  meth_meth_parser__apply4487->definitionModule = modulename;
  meth_meth_parser__apply4487->definitionLine = 1364;
// compilenode returning block4486
  gc_frame_newslot(block4486);
  params[0] = block4486;
  partcv[0] = 1;
  Object call4491 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4485);
// compilenode returning call4491
  partcv[0] = 0;
  Object call4492 = callmethod(call4491, "not",
    1, partcv, params);
  gc_frame_end(callframe4484);
// compilenode returning call4492
// compilenode returning call4492
  Object if4483 = done;
  if (istrue(call4492)) {
// Begin line 1366
  setline(1366);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1365
  setline(1365);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4493 = gc_frame_new();
  int callframe4494 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4495 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4494);
// compilenode returning call4495
// compilenode returning call4495
  partcv[0] = 0;
  Object call4496 = callmethod(call4495, "new",
    1, partcv, params);
  gc_frame_end(callframe4493);
// compilenode returning call4496
// compilenode returning call4496
  *var_suggestion = call4496;
  if (call4496 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1366
  setline(1366);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4497 = gc_frame_new();
  if (strlit4498 == NULL) {
    strlit4498 = alloc_String("rparen");
    gc_root(strlit4498);
  }
// compilenode returning strlit4498
  gc_frame_newslot(strlit4498);
  params[0] = strlit4498;
  partcv[0] = 1;
  Object call4499 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4497);
// compilenode returning call4499
  *var_nextTok = call4499;
  if (call4499 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1372
  setline(1372);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1367
  setline(1367);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4501 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4501 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4503 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4503
  Object if4500 = done;
  if (istrue(opresult4503)) {
// Begin line 1368
  setline(1368);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4504 = gc_frame_new();
  if (strlit4505 == NULL) {
    strlit4505 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4505);
  }
// compilenode returning strlit4505
  gc_frame_newslot(strlit4505);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4505;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4506 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4504);
// compilenode returning call4506
    gc_frame_newslot(call4506);
    if4500 = call4506;
  } else {
// Begin line 1370
  setline(1370);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4507 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe4508 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4509 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4508);
// compilenode returning call4509
// compilenode returning call4509
  gc_frame_newslot(call4509);
  Object bool4510 = alloc_Boolean(1);
// compilenode returning bool4510
  gc_frame_newslot(bool4510);
  Object bool4511 = alloc_Boolean(0);
// compilenode returning bool4511
  gc_frame_newslot(bool4511);
  if (strlit4512 == NULL) {
    strlit4512 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4512);
  }
// compilenode returning strlit4512
  gc_frame_newslot(strlit4512);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call4509;
  params[2] = bool4510;
  params[3] = bool4511;
  params[4] = strlit4512;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call4513 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe4507);
// compilenode returning call4513
    gc_frame_newslot(call4513);
    if4500 = call4513;
  }
// compilenode returning if4500
// Begin line 1372
  setline(1372);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4514 = gc_frame_new();
  if (strlit4515 == NULL) {
    strlit4515 = alloc_String("A catch statement must have either a block or an expression in parentheses after the 'finally'.");
    gc_root(strlit4515);
  }
// compilenode returning strlit4515
  gc_frame_newslot(strlit4515);
// Begin line 1373
  setline(1373);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4516 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4517 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4516);
// compilenode returning call4517
// compilenode returning call4517
  gc_frame_newslot(call4517);
  int callframe4518 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4519 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4518);
// compilenode returning call4519
// compilenode returning call4519
  gc_frame_newslot(call4519);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1372
  setline(1372);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4515;
  params[1] = call4517;
  params[2] = call4519;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4520 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4514);
// compilenode returning call4520
    gc_frame_newslot(call4520);
    if4483 = call4520;
  } else {
  }
// compilenode returning if4483
// Begin line 1382
  setline(1382);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1375
  setline(1375);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4523 == NULL) {
    strlit4523 = alloc_String("rparen");
    gc_root(strlit4523);
  }
// compilenode returning strlit4523
  int op_slot_right_4522 = gc_frame_newslot(strlit4523);
  int callframe4525 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4526 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe4525);
// compilenode returning call4526
// compilenode returning call4526
  int op_slot_left_4522 = gc_frame_newslot(call4526);
  params[0] = strlit4523;
  partcv[0] = 1;
  Object opresult4527 = callmethod(call4526, "!=", 1, partcv, params);
// compilenode returning opresult4527
  Object if4521 = done;
  if (istrue(opresult4527)) {
// Begin line 1376
  setline(1376);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4528 = gc_frame_new();
  partcv[0] = 0;
  Object call4529 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4528);
// compilenode returning call4529
// Begin line 1378
  setline(1378);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1377
  setline(1377);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4530 = gc_frame_new();
  int callframe4531 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4532 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4531);
// compilenode returning call4532
// compilenode returning call4532
  partcv[0] = 0;
  Object call4533 = callmethod(call4532, "new",
    1, partcv, params);
  gc_frame_end(callframe4530);
// compilenode returning call4533
// compilenode returning call4533
  *var_suggestion = call4533;
  if (call4533 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1378
  setline(1378);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4534 = gc_frame_new();
  if (strlit4535 == NULL) {
    strlit4535 = alloc_String(")");
    gc_root(strlit4535);
  }
// compilenode returning strlit4535
  gc_frame_newslot(strlit4535);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4535;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4536 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4534);
// compilenode returning call4536
// Begin line 1379
  setline(1379);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4537 = gc_frame_new();
  if (strlit4538 == NULL) {
    strlit4538 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit4538);
  }
// compilenode returning strlit4538
  gc_frame_newslot(strlit4538);
// Begin line 1380
  setline(1380);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4539 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4540 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe4539);
// compilenode returning call4540
// compilenode returning call4540
  gc_frame_newslot(call4540);
  int callframe4542 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4543 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe4542);
// compilenode returning call4543
// compilenode returning call4543
  int op_slot_right_4541 = gc_frame_newslot(call4543);
  int callframe4545 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4546 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4545);
// compilenode returning call4546
// compilenode returning call4546
  int op_slot_left_4541 = gc_frame_newslot(call4546);
  params[0] = call4543;
  partcv[0] = 1;
  Object sum4547 = callmethod(call4546, "+", 1, partcv, params);
// compilenode returning sum4547
  gc_frame_newslot(sum4547);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1379
  setline(1379);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4538;
  params[1] = call4540;
  params[2] = sum4547;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4548 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4537);
// compilenode returning call4548
    gc_frame_newslot(call4548);
    if4521 = call4548;
  } else {
  }
// compilenode returning if4521
// Begin line 1382
  setline(1382);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4549 = gc_frame_new();
  partcv[0] = 0;
  Object call4550 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4549);
// compilenode returning call4550
    gc_frame_newslot(call4550);
    if4477 = call4550;
  } else {
// Begin line 1385
  setline(1385);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1384
  setline(1384);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array4551 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array4551
  *var_suggestions = array4551;
  if (array4551 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1385
  setline(1385);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4552 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call4553 = callmethodflags(self, "findNextTokenIndentedAt", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4552);
// compilenode returning call4553
  *var_nextTok = call4553;
  if (call4553 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1387
  setline(1387);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1386
  setline(1386);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4554 = gc_frame_new();
  int callframe4555 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4556 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4555);
// compilenode returning call4556
// compilenode returning call4556
  partcv[0] = 0;
  Object call4557 = callmethod(call4556, "new",
    1, partcv, params);
  gc_frame_end(callframe4554);
// compilenode returning call4557
// compilenode returning call4557
  *var_suggestion = call4557;
  if (call4557 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1402
  setline(1402);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1387
  setline(1387);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4560 = alloc_Boolean(0);
// compilenode returning bool4560
  int op_slot_right_4559 = gc_frame_newslot(bool4560);
// compilenode returning *var_nextTok
  int op_slot_left_4559 = gc_frame_newslot(*var_nextTok);
  params[0] = bool4560;
  partcv[0] = 1;
  Object opresult4562 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4562
  Object if4558 = done;
  if (istrue(opresult4562)) {
// Begin line 1388
  setline(1388);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4563 = gc_frame_new();
  if (strlit4564 == NULL) {
    strlit4564 = alloc_String(" }");
    gc_root(strlit4564);
  }
// compilenode returning strlit4564
  gc_frame_newslot(strlit4564);
  int callframe4565 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call4566 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe4565);
// compilenode returning call4566
// compilenode returning call4566
  gc_frame_newslot(call4566);
// compilenode returning *var_suggestion
  params[0] = strlit4564;
  params[1] = call4566;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4567 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4563);
// compilenode returning call4567
// Begin line 1389
  setline(1389);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4568 = gc_frame_new();
  if (strlit4569 == NULL) {
    strlit4569 = alloc_String(" {");
    gc_root(strlit4569);
  }
// compilenode returning strlit4569
  gc_frame_newslot(strlit4569);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4569;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4570 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4568);
// compilenode returning call4570
// Begin line 1390
  setline(1390);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4571 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4572 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4571);
// compilenode returning call4572
    gc_frame_newslot(call4572);
    if4558 = call4572;
  } else {
// Begin line 1397
  setline(1397);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1391
  setline(1391);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4574 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4574 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4576 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4576
  Object if4573 = done;
  if (istrue(opresult4576)) {
// Begin line 1392
  setline(1392);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4577 = gc_frame_new();
  if (strlit4578 == NULL) {
    strlit4578 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit4578);
  }
// compilenode returning strlit4578
  gc_frame_newslot(strlit4578);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4578;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4579 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4577);
// compilenode returning call4579
// Begin line 1393
  setline(1393);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4580 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4581 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4580);
// compilenode returning call4581
// Begin line 1395
  setline(1395);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1394
  setline(1394);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4582 = gc_frame_new();
  int callframe4583 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4584 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4583);
// compilenode returning call4584
// compilenode returning call4584
  partcv[0] = 0;
  Object call4585 = callmethod(call4584, "new",
    1, partcv, params);
  gc_frame_end(callframe4582);
// compilenode returning call4585
// compilenode returning call4585
  *var_suggestion = call4585;
  if (call4585 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1395
  setline(1395);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4587 = gc_frame_new();
  if (strlit4588 == NULL) {
    strlit4588 = alloc_String(" { ""\xc2""""\xab""expression""\xc2""""\xbb"" }");
    gc_root(strlit4588);
  }
// compilenode returning strlit4588
  gc_frame_newslot(strlit4588);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4588;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4589 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4587);
// compilenode returning call4589
// Begin line 1396
  setline(1396);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4590 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4591 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4590);
// compilenode returning call4591
    gc_frame_newslot(call4591);
    if4573 = call4591;
  } else {
// Begin line 1398
  setline(1398);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4592 = gc_frame_new();
  if (strlit4593 == NULL) {
    strlit4593 = alloc_String(" }");
    gc_root(strlit4593);
  }
// compilenode returning strlit4593
  gc_frame_newslot(strlit4593);
  int callframe4594 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4595 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4594);
// compilenode returning call4595
// compilenode returning call4595
  gc_frame_newslot(call4595);
// compilenode returning *var_suggestion
  params[0] = strlit4593;
  params[1] = call4595;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4596 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4592);
// compilenode returning call4596
// Begin line 1399
  setline(1399);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4597 = gc_frame_new();
  if (strlit4598 == NULL) {
    strlit4598 = alloc_String(" {");
    gc_root(strlit4598);
  }
// compilenode returning strlit4598
  gc_frame_newslot(strlit4598);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4598;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4599 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4597);
// compilenode returning call4599
// Begin line 1400
  setline(1400);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4600 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4601 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4600);
// compilenode returning call4601
    gc_frame_newslot(call4601);
    if4573 = call4601;
  }
// compilenode returning if4573
    gc_frame_newslot(if4573);
    if4558 = if4573;
  }
// compilenode returning if4558
// Begin line 1402
  setline(1402);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4602 = gc_frame_new();
  if (strlit4603 == NULL) {
    strlit4603 = alloc_String("A catch statement must have either a block or an expression in parentheses after the 'finally'.");
    gc_root(strlit4603);
  }
// compilenode returning strlit4603
  gc_frame_newslot(strlit4603);
// Begin line 1403
  setline(1403);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4604 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4605 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4604);
// compilenode returning call4605
// compilenode returning call4605
  gc_frame_newslot(call4605);
  int callframe4606 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4607 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4606);
// compilenode returning call4607
// compilenode returning call4607
  gc_frame_newslot(call4607);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1402
  setline(1402);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4603;
  params[1] = call4605;
  params[2] = call4607;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4608 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe4602);
// compilenode returning call4608
    gc_frame_newslot(call4608);
    if4477 = call4608;
  }
// compilenode returning if4477
    gc_frame_newslot(if4477);
    if4471 = if4477;
  }
// compilenode returning if4471
// Begin line 1406
  setline(1406);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1405
  setline(1405);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4609 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call4610 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe4609);
// compilenode returning call4610
// compilenode returning call4610
  *var_finally = call4610;
  if (call4610 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if4456 = done;
  } else {
  }
// compilenode returning if4456
// Begin line 1407
  setline(1407);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4612 = gc_frame_new();
  int callframe4613 = gc_frame_new();
// compilenode returning *var_mainblock
  gc_frame_newslot(*var_mainblock);
// compilenode returning *var_cases
  gc_frame_newslot(*var_cases);
// compilenode returning *var_finally
  gc_frame_newslot(*var_finally);
  int callframe4614 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call4615 = callmethod(*var_ast, "catchCaseNode",
    1, partcv, params);
  gc_frame_end(callframe4614);
// compilenode returning call4615
// compilenode returning call4615
  params[0] = *var_mainblock;
  params[1] = *var_cases;
  params[2] = *var_finally;
  partcv[0] = 3;
  Object call4616 = callmethod(call4615, "new",
    1, partcv, params);
  gc_frame_end(callframe4613);
// compilenode returning call4616
  gc_frame_newslot(call4616);
// compilenode returning *var_values
  params[0] = call4616;
  partcv[0] = 1;
  Object call4617 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe4612);
// compilenode returning call4617
// Begin line 1409
  setline(1409);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1408
  setline(1408);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_localmin
  *var_minIndentLevel = *var_localmin;
  if (*var_localmin == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply4651(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_matchTok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1421
  setline(1421);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4655 == NULL) {
    strlit4655 = alloc_String("case");
    gc_root(strlit4655);
  }
// compilenode returning strlit4655
  int op_slot_right_4654 = gc_frame_newslot(strlit4655);
  int callframe4657 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call4658 = callmethod(*var_t, "value",
    1, partcv, params);
  gc_frame_end(callframe4657);
// compilenode returning call4658
// compilenode returning call4658
  int op_slot_left_4654 = gc_frame_newslot(call4658);
  params[0] = strlit4655;
  partcv[0] = 1;
  Object opresult4659 = callmethod(call4658, "==", 1, partcv, params);
// compilenode returning opresult4659
  int op_slot_right_4653 = gc_frame_newslot(opresult4659);
  if (strlit4662 == NULL) {
    strlit4662 = alloc_String("identifier");
    gc_root(strlit4662);
  }
// compilenode returning strlit4662
  int op_slot_right_4661 = gc_frame_newslot(strlit4662);
  int callframe4664 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call4665 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe4664);
// compilenode returning call4665
// compilenode returning call4665
  int op_slot_left_4661 = gc_frame_newslot(call4665);
  params[0] = strlit4662;
  partcv[0] = 1;
  Object opresult4666 = callmethod(call4665, "==", 1, partcv, params);
// compilenode returning opresult4666
  int op_slot_left_4653 = gc_frame_newslot(opresult4666);
  params[0] = opresult4659;
  partcv[0] = 1;
  Object opresult4667 = callmethod(opresult4666, "&&", 1, partcv, params);
// compilenode returning opresult4667
  int op_slot_right_4652 = gc_frame_newslot(opresult4667);
// Begin line 1420
  setline(1420);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4671 = gc_frame_new();
// compilenode returning *var_matchTok
  partcv[0] = 0;
  Object call4672 = callmethod(*var_matchTok, "line",
    1, partcv, params);
  gc_frame_end(callframe4671);
// compilenode returning call4672
// compilenode returning call4672
  int op_slot_right_4670 = gc_frame_newslot(call4672);
  int callframe4674 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call4675 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe4674);
// compilenode returning call4675
// compilenode returning call4675
  int op_slot_left_4670 = gc_frame_newslot(call4675);
  params[0] = call4672;
  partcv[0] = 1;
  Object opresult4676 = callmethod(call4675, "==", 1, partcv, params);
// compilenode returning opresult4676
  int op_slot_right_4669 = gc_frame_newslot(opresult4676);
  if (strlit4679 == NULL) {
    strlit4679 = alloc_String("rparen");
    gc_root(strlit4679);
  }
// compilenode returning strlit4679
  int op_slot_right_4678 = gc_frame_newslot(strlit4679);
  int callframe4681 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call4682 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe4681);
// compilenode returning call4682
// compilenode returning call4682
  int op_slot_left_4678 = gc_frame_newslot(call4682);
  params[0] = strlit4679;
  partcv[0] = 1;
  Object opresult4683 = callmethod(call4682, "==", 1, partcv, params);
// compilenode returning opresult4683
  int op_slot_left_4669 = gc_frame_newslot(opresult4683);
  params[0] = opresult4676;
  partcv[0] = 1;
  Object opresult4684 = callmethod(opresult4683, "&&", 1, partcv, params);
// compilenode returning opresult4684
  int op_slot_left_4652 = gc_frame_newslot(opresult4684);
  params[0] = opresult4667;
  partcv[0] = 1;
  Object opresult4685 = callmethod(opresult4684, "||", 1, partcv, params);
// compilenode returning opresult4685
  gc_frame_end(frame);
  return opresult4685;
}
Object meth_parser__apply4747(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe4748 = gc_frame_new();
  partcv[0] = 0;
  Object call4749 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4748);
// compilenode returning call4749
  gc_frame_end(frame);
  return call4749;
}
Object meth_parser__apply4817(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit4820 == NULL) {
    strlit4820 = alloc_String("case");
    gc_root(strlit4820);
  }
// compilenode returning strlit4820
  int op_slot_right_4819 = gc_frame_newslot(strlit4820);
  int callframe4822 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4823 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4822);
// compilenode returning call4823
// compilenode returning call4823
  int op_slot_left_4819 = gc_frame_newslot(call4823);
  params[0] = strlit4820;
  partcv[0] = 1;
  Object opresult4824 = callmethod(call4823, "==", 1, partcv, params);
// compilenode returning opresult4824
  int op_slot_right_4818 = gc_frame_newslot(opresult4824);
  int callframe4826 = gc_frame_new();
  if (strlit4827 == NULL) {
    strlit4827 = alloc_String("identifier");
    gc_root(strlit4827);
  }
// compilenode returning strlit4827
  gc_frame_newslot(strlit4827);
  params[0] = strlit4827;
  partcv[0] = 1;
  Object call4828 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4826);
// compilenode returning call4828
  int op_slot_left_4818 = gc_frame_newslot(call4828);
  params[0] = opresult4824;
  partcv[0] = 1;
  Object opresult4829 = callmethod(call4828, "&&", 1, partcv, params);
// compilenode returning opresult4829
  gc_frame_end(frame);
  return opresult4829;
}
Object meth_parser__apply4851(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe4852 = gc_frame_new();
  partcv[0] = 0;
  Object call4853 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4852);
// compilenode returning call4853
  gc_frame_end(frame);
  return call4853;
}
Object meth_parser__apply4832(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_tokens = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_cases = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_nextTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextTok");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
// Begin line 1461
  setline(1461);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4833 = gc_frame_new();
  partcv[0] = 0;
  Object call4834 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4833);
// compilenode returning call4834
// Begin line 1507
  setline(1507);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1462
  setline(1462);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4836 = gc_frame_new();
  if (strlit4837 == NULL) {
    strlit4837 = alloc_String("lbrace");
    gc_root(strlit4837);
  }
// compilenode returning strlit4837
  gc_frame_newslot(strlit4837);
  params[0] = strlit4837;
  partcv[0] = 1;
  Object call4838 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4836);
// compilenode returning call4838
  Object if4835 = done;
  if (istrue(call4838)) {
// Begin line 1463
  setline(1463);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4839 = gc_frame_new();
  partcv[0] = 0;
  Object call4840 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4839);
// compilenode returning call4840
    gc_frame_newslot(call4840);
    if4835 = call4840;
  } else {
// Begin line 1485
  setline(1485);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1464
  setline(1464);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4842 = gc_frame_new();
  if (strlit4843 == NULL) {
    strlit4843 = alloc_String("lparen");
    gc_root(strlit4843);
  }
// compilenode returning strlit4843
  gc_frame_newslot(strlit4843);
  params[0] = strlit4843;
  partcv[0] = 1;
  Object call4844 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4842);
// compilenode returning call4844
  Object if4841 = done;
  if (istrue(call4844)) {
// Begin line 1465
  setline(1465);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4845 = gc_frame_new();
  partcv[0] = 0;
  Object call4846 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4845);
// compilenode returning call4846
// Begin line 1477
  setline(1477);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1466
  setline(1466);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4848 = gc_frame_new();
  int callframe4849 = gc_frame_new();
  Object block4850 = alloc_Block(NULL, NULL, "parser", 1466);
  gc_frame_newslot(block4850);
  block_savedest(block4850);
  Object closure4851 = createclosure(1, "_apply");
setclosureframe(closure4851, stackframe);
  addtoclosure(closure4851, selfslot);
  struct UserObject *uo4851 = (struct UserObject*)block4850;
  uo4851->data[0] = (Object)closure4851;
  Method *meth_meth_parser__apply4851 = addmethod2pos(block4850, "_apply", &meth_parser__apply4851, 0);
int argcv_meth_parser__apply4851[] = {0};
meth_meth_parser__apply4851->type = alloc_MethodType(1, argcv_meth_parser__apply4851);
  meth_meth_parser__apply4851->definitionModule = modulename;
  meth_meth_parser__apply4851->definitionLine = 1466;
// compilenode returning block4850
  gc_frame_newslot(block4850);
  params[0] = block4850;
  partcv[0] = 1;
  Object call4855 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4849);
// compilenode returning call4855
  partcv[0] = 0;
  Object call4856 = callmethod(call4855, "not",
    1, partcv, params);
  gc_frame_end(callframe4848);
// compilenode returning call4856
// compilenode returning call4856
  Object if4847 = done;
  if (istrue(call4856)) {
// Begin line 1468
  setline(1468);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1467
  setline(1467);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4857 = gc_frame_new();
  int callframe4858 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4859 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4858);
// compilenode returning call4859
// compilenode returning call4859
  partcv[0] = 0;
  Object call4860 = callmethod(call4859, "new",
    1, partcv, params);
  gc_frame_end(callframe4857);
// compilenode returning call4860
// compilenode returning call4860
  *var_suggestion = call4860;
  if (call4860 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1468
  setline(1468);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4861 = gc_frame_new();
  if (strlit4862 == NULL) {
    strlit4862 = alloc_String("rparen");
    gc_root(strlit4862);
  }
// compilenode returning strlit4862
  gc_frame_newslot(strlit4862);
  params[0] = strlit4862;
  partcv[0] = 1;
  Object call4863 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4861);
// compilenode returning call4863
  *var_nextTok = call4863;
  if (call4863 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1474
  setline(1474);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1469
  setline(1469);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4865 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4865 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4867 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4867
  Object if4864 = done;
  if (istrue(opresult4867)) {
// Begin line 1470
  setline(1470);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4868 = gc_frame_new();
  if (strlit4869 == NULL) {
    strlit4869 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4869);
  }
// compilenode returning strlit4869
  gc_frame_newslot(strlit4869);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4869;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4870 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4868);
// compilenode returning call4870
    gc_frame_newslot(call4870);
    if4864 = call4870;
  } else {
// Begin line 1472
  setline(1472);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4871 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe4872 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4873 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4872);
// compilenode returning call4873
// compilenode returning call4873
  gc_frame_newslot(call4873);
  Object bool4874 = alloc_Boolean(1);
// compilenode returning bool4874
  gc_frame_newslot(bool4874);
  Object bool4875 = alloc_Boolean(0);
// compilenode returning bool4875
  gc_frame_newslot(bool4875);
  if (strlit4876 == NULL) {
    strlit4876 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4876);
  }
// compilenode returning strlit4876
  gc_frame_newslot(strlit4876);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call4873;
  params[2] = bool4874;
  params[3] = bool4875;
  params[4] = strlit4876;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call4877 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe4871);
// compilenode returning call4877
    gc_frame_newslot(call4877);
    if4864 = call4877;
  }
// compilenode returning if4864
// Begin line 1474
  setline(1474);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4878 = gc_frame_new();
  if (strlit4879 == NULL) {
    strlit4879 = alloc_String("A match statement must have either a matching block or an expression in parentheses after the 'case'.");
    gc_root(strlit4879);
  }
// compilenode returning strlit4879
  gc_frame_newslot(strlit4879);
// Begin line 1475
  setline(1475);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4880 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4881 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4880);
// compilenode returning call4881
// compilenode returning call4881
  gc_frame_newslot(call4881);
  int callframe4882 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4883 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4882);
// compilenode returning call4883
// compilenode returning call4883
  gc_frame_newslot(call4883);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1474
  setline(1474);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4879;
  params[1] = call4881;
  params[2] = call4883;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4884 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4878);
// compilenode returning call4884
    gc_frame_newslot(call4884);
    if4847 = call4884;
  } else {
  }
// compilenode returning if4847
// Begin line 1484
  setline(1484);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1477
  setline(1477);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4887 == NULL) {
    strlit4887 = alloc_String("rparen");
    gc_root(strlit4887);
  }
// compilenode returning strlit4887
  int op_slot_right_4886 = gc_frame_newslot(strlit4887);
  int callframe4889 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4890 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe4889);
// compilenode returning call4890
// compilenode returning call4890
  int op_slot_left_4886 = gc_frame_newslot(call4890);
  params[0] = strlit4887;
  partcv[0] = 1;
  Object opresult4891 = callmethod(call4890, "!=", 1, partcv, params);
// compilenode returning opresult4891
  Object if4885 = done;
  if (istrue(opresult4891)) {
// Begin line 1478
  setline(1478);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4892 = gc_frame_new();
  partcv[0] = 0;
  Object call4893 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4892);
// compilenode returning call4893
// Begin line 1480
  setline(1480);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1479
  setline(1479);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4894 = gc_frame_new();
  int callframe4895 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4896 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4895);
// compilenode returning call4896
// compilenode returning call4896
  partcv[0] = 0;
  Object call4897 = callmethod(call4896, "new",
    1, partcv, params);
  gc_frame_end(callframe4894);
// compilenode returning call4897
// compilenode returning call4897
  *var_suggestion = call4897;
  if (call4897 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1480
  setline(1480);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4898 = gc_frame_new();
  if (strlit4899 == NULL) {
    strlit4899 = alloc_String(")");
    gc_root(strlit4899);
  }
// compilenode returning strlit4899
  gc_frame_newslot(strlit4899);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4899;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4900 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4898);
// compilenode returning call4900
// Begin line 1481
  setline(1481);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4901 = gc_frame_new();
  if (strlit4902 == NULL) {
    strlit4902 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit4902);
  }
// compilenode returning strlit4902
  gc_frame_newslot(strlit4902);
// Begin line 1482
  setline(1482);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4903 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4904 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe4903);
// compilenode returning call4904
// compilenode returning call4904
  gc_frame_newslot(call4904);
  int callframe4906 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4907 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe4906);
// compilenode returning call4907
// compilenode returning call4907
  int op_slot_right_4905 = gc_frame_newslot(call4907);
  int callframe4909 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4910 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4909);
// compilenode returning call4910
// compilenode returning call4910
  int op_slot_left_4905 = gc_frame_newslot(call4910);
  params[0] = call4907;
  partcv[0] = 1;
  Object sum4911 = callmethod(call4910, "+", 1, partcv, params);
// compilenode returning sum4911
  gc_frame_newslot(sum4911);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1481
  setline(1481);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4902;
  params[1] = call4904;
  params[2] = sum4911;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4912 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4901);
// compilenode returning call4912
    gc_frame_newslot(call4912);
    if4885 = call4912;
  } else {
  }
// compilenode returning if4885
// Begin line 1484
  setline(1484);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4913 = gc_frame_new();
  partcv[0] = 0;
  Object call4914 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4913);
// compilenode returning call4914
    gc_frame_newslot(call4914);
    if4841 = call4914;
  } else {
// Begin line 1487
  setline(1487);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1486
  setline(1486);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array4915 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array4915
  *var_suggestions = array4915;
  if (array4915 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1487
  setline(1487);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4916 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call4917 = callmethodflags(self, "findNextTokenIndentedAt", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4916);
// compilenode returning call4917
  *var_nextTok = call4917;
  if (call4917 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1489
  setline(1489);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1488
  setline(1488);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4918 = gc_frame_new();
  int callframe4919 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4920 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4919);
// compilenode returning call4920
// compilenode returning call4920
  partcv[0] = 0;
  Object call4921 = callmethod(call4920, "new",
    1, partcv, params);
  gc_frame_end(callframe4918);
// compilenode returning call4921
// compilenode returning call4921
  *var_suggestion = call4921;
  if (call4921 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1504
  setline(1504);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1489
  setline(1489);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4924 = alloc_Boolean(0);
// compilenode returning bool4924
  int op_slot_right_4923 = gc_frame_newslot(bool4924);
// compilenode returning *var_nextTok
  int op_slot_left_4923 = gc_frame_newslot(*var_nextTok);
  params[0] = bool4924;
  partcv[0] = 1;
  Object opresult4926 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4926
  Object if4922 = done;
  if (istrue(opresult4926)) {
// Begin line 1490
  setline(1490);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4927 = gc_frame_new();
  if (strlit4928 == NULL) {
    strlit4928 = alloc_String(" }");
    gc_root(strlit4928);
  }
// compilenode returning strlit4928
  gc_frame_newslot(strlit4928);
  int callframe4929 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call4930 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe4929);
// compilenode returning call4930
// compilenode returning call4930
  gc_frame_newslot(call4930);
// compilenode returning *var_suggestion
  params[0] = strlit4928;
  params[1] = call4930;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4931 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4927);
// compilenode returning call4931
// Begin line 1491
  setline(1491);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4932 = gc_frame_new();
  if (strlit4933 == NULL) {
    strlit4933 = alloc_String(" {");
    gc_root(strlit4933);
  }
// compilenode returning strlit4933
  gc_frame_newslot(strlit4933);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4933;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4934 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4932);
// compilenode returning call4934
// Begin line 1492
  setline(1492);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4935 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4936 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4935);
// compilenode returning call4936
    gc_frame_newslot(call4936);
    if4922 = call4936;
  } else {
// Begin line 1499
  setline(1499);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1493
  setline(1493);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4938 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4938 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4940 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4940
  Object if4937 = done;
  if (istrue(opresult4940)) {
// Begin line 1494
  setline(1494);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4941 = gc_frame_new();
  if (strlit4942 == NULL) {
    strlit4942 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit4942);
  }
// compilenode returning strlit4942
  gc_frame_newslot(strlit4942);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4942;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4943 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4941);
// compilenode returning call4943
// Begin line 1495
  setline(1495);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4944 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4945 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4944);
// compilenode returning call4945
// Begin line 1497
  setline(1497);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1496
  setline(1496);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4946 = gc_frame_new();
  int callframe4947 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4948 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4947);
// compilenode returning call4948
// compilenode returning call4948
  partcv[0] = 0;
  Object call4949 = callmethod(call4948, "new",
    1, partcv, params);
  gc_frame_end(callframe4946);
// compilenode returning call4949
// compilenode returning call4949
  *var_suggestion = call4949;
  if (call4949 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1497
  setline(1497);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4951 = gc_frame_new();
  if (strlit4952 == NULL) {
    strlit4952 = alloc_String(" { ""\xc2""""\xab""match expression""\xc2""""\xbb"" }");
    gc_root(strlit4952);
  }
// compilenode returning strlit4952
  gc_frame_newslot(strlit4952);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4952;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4953 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4951);
// compilenode returning call4953
// Begin line 1498
  setline(1498);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4954 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4955 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4954);
// compilenode returning call4955
    gc_frame_newslot(call4955);
    if4937 = call4955;
  } else {
// Begin line 1500
  setline(1500);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4956 = gc_frame_new();
  if (strlit4957 == NULL) {
    strlit4957 = alloc_String(" }");
    gc_root(strlit4957);
  }
// compilenode returning strlit4957
  gc_frame_newslot(strlit4957);
  int callframe4958 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4959 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4958);
// compilenode returning call4959
// compilenode returning call4959
  gc_frame_newslot(call4959);
// compilenode returning *var_suggestion
  params[0] = strlit4957;
  params[1] = call4959;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4960 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4956);
// compilenode returning call4960
// Begin line 1501
  setline(1501);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4961 = gc_frame_new();
  if (strlit4962 == NULL) {
    strlit4962 = alloc_String(" {");
    gc_root(strlit4962);
  }
// compilenode returning strlit4962
  gc_frame_newslot(strlit4962);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4962;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4963 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4961);
// compilenode returning call4963
// Begin line 1502
  setline(1502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4964 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4965 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe4964);
// compilenode returning call4965
    gc_frame_newslot(call4965);
    if4937 = call4965;
  }
// compilenode returning if4937
    gc_frame_newslot(if4937);
    if4922 = if4937;
  }
// compilenode returning if4922
// Begin line 1504
  setline(1504);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4966 = gc_frame_new();
  if (strlit4967 == NULL) {
    strlit4967 = alloc_String("A match statement must have either a matching block or an expression in parentheses after the 'case'.");
    gc_root(strlit4967);
  }
// compilenode returning strlit4967
  gc_frame_newslot(strlit4967);
// Begin line 1505
  setline(1505);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4968 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4969 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4968);
// compilenode returning call4969
// compilenode returning call4969
  gc_frame_newslot(call4969);
  int callframe4970 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4971 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4970);
// compilenode returning call4971
// compilenode returning call4971
  gc_frame_newslot(call4971);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1504
  setline(1504);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4967;
  params[1] = call4969;
  params[2] = call4971;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4972 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe4966);
// compilenode returning call4972
    gc_frame_newslot(call4972);
    if4841 = call4972;
  }
// compilenode returning if4841
    gc_frame_newslot(if4841);
    if4835 = if4841;
  }
// compilenode returning if4835
// Begin line 1507
  setline(1507);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4973 = gc_frame_new();
  int callframe4974 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call4975 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe4974);
// compilenode returning call4975
// compilenode returning call4975
  gc_frame_newslot(call4975);
// compilenode returning *var_cases
  params[0] = call4975;
  partcv[0] = 1;
  Object call4976 = callmethod(*var_cases, "push",
    1, partcv, params);
  gc_frame_end(callframe4973);
// compilenode returning call4976
  gc_frame_end(frame);
  return call4976;
}
Object meth_parser__apply5010(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe5011 = gc_frame_new();
  partcv[0] = 0;
  Object call5012 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5011);
// compilenode returning call5012
  gc_frame_end(frame);
  return call5012;
}
Object meth_parser_matchcase4619(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 29, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(17, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "matchcase");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_minIndentLevel = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_tokens = getfromclosure(closure, 5);
  Object *var_ast = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for matchcase (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for matchcase");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_localmin = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "localmin");
  Object *var_matchTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "matchTok");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_matchee = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "matchee");
  Object *var_cases = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "cases");
  Object *var_elsecase = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "elsecase");
  Object *var_suggestions = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "suggestions");
// Begin line 1414
  setline(1414);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1411
  setline(1411);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4621 = gc_frame_new();
  if (strlit4624 == NULL) {
    strlit4624 = alloc_String("match");
    gc_root(strlit4624);
  }
// compilenode returning strlit4624
  int op_slot_right_4623 = gc_frame_newslot(strlit4624);
  int callframe4626 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4627 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4626);
// compilenode returning call4627
// compilenode returning call4627
  int op_slot_left_4623 = gc_frame_newslot(call4627);
  params[0] = strlit4624;
  partcv[0] = 1;
  Object opresult4628 = callmethod(call4627, "==", 1, partcv, params);
// compilenode returning opresult4628
  int op_slot_right_4622 = gc_frame_newslot(opresult4628);
  int callframe4630 = gc_frame_new();
  if (strlit4631 == NULL) {
    strlit4631 = alloc_String("identifier");
    gc_root(strlit4631);
  }
// compilenode returning strlit4631
  gc_frame_newslot(strlit4631);
  params[0] = strlit4631;
  partcv[0] = 1;
  Object call4632 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4630);
// compilenode returning call4632
  int op_slot_left_4622 = gc_frame_newslot(call4632);
  params[0] = opresult4628;
  partcv[0] = 1;
  Object opresult4633 = callmethod(call4632, "&&", 1, partcv, params);
// compilenode returning opresult4633
  partcv[0] = 0;
  Object call4634 = callmethod(opresult4633, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe4621);
// compilenode returning call4634
  Object if4620 = done;
  if (istrue(call4634)) {
// Begin line 1413
  setline(1413);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1412
  setline(1412);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num4635 = alloc_Float64(0);
// compilenode returning num4635
  return num4635;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if4620 = undefined;
  } else {
  }
// compilenode returning if4620
// Begin line 1415
  setline(1415);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1414
  setline(1414);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  *var_localmin = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1416
  setline(1416);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1415
  setline(1415);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_matchTok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1416
  setline(1416);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4636 = gc_frame_new();
  partcv[0] = 0;
  Object call4637 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4636);
// compilenode returning call4637
// Begin line 1437
  setline(1437);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1417
  setline(1417);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4640 == NULL) {
    strlit4640 = alloc_String("lparen");
    gc_root(strlit4640);
  }
// compilenode returning strlit4640
  int op_slot_right_4639 = gc_frame_newslot(strlit4640);
  int callframe4642 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4643 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe4642);
// compilenode returning call4643
// compilenode returning call4643
  int op_slot_left_4639 = gc_frame_newslot(call4643);
  params[0] = strlit4640;
  partcv[0] = 1;
  Object opresult4644 = callmethod(call4643, "!=", 1, partcv, params);
// compilenode returning opresult4644
  Object if4638 = done;
  if (istrue(opresult4644)) {
// Begin line 1420
  setline(1420);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1418
  setline(1418);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4645 = gc_frame_new();
  int callframe4646 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4647 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4646);
// compilenode returning call4647
// compilenode returning call4647
  partcv[0] = 0;
  Object call4648 = callmethod(call4647, "new",
    1, partcv, params);
  gc_frame_end(callframe4645);
// compilenode returning call4648
// compilenode returning call4648
  *var_suggestion = call4648;
  if (call4648 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1420
  setline(1420);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4649 = gc_frame_new();
  Object block4650 = alloc_Block(NULL, NULL, "parser", 1420);
  gc_frame_newslot(block4650);
  block_savedest(block4650);
  Object closure4651 = createclosure(2, "_apply");
setclosureframe(closure4651, stackframe);
  addtoclosure(closure4651, var_matchTok);
  addtoclosure(closure4651, selfslot);
  struct UserObject *uo4651 = (struct UserObject*)block4650;
  uo4651->data[0] = (Object)closure4651;
  Method *meth_meth_parser__apply4651 = addmethod2pos(block4650, "_apply", &meth_parser__apply4651, 0);
int argcv_meth_parser__apply4651[] = {1};
meth_meth_parser__apply4651->type = alloc_MethodType(1, argcv_meth_parser__apply4651);
  meth_meth_parser__apply4651->definitionModule = modulename;
  meth_meth_parser__apply4651->definitionLine = 1418;
// compilenode returning block4650
  gc_frame_newslot(block4650);
  params[0] = block4650;
  partcv[0] = 1;
  Object call4687 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4649);
// compilenode returning call4687
  *var_nextTok = call4687;
  if (call4687 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1434
  setline(1434);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1422
  setline(1422);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4690 = alloc_Boolean(0);
// compilenode returning bool4690
  int op_slot_right_4689 = gc_frame_newslot(bool4690);
// compilenode returning *var_nextTok
  int op_slot_left_4689 = gc_frame_newslot(*var_nextTok);
  params[0] = bool4690;
  partcv[0] = 1;
  Object opresult4692 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4692
  Object if4688 = done;
  if (istrue(opresult4692)) {
// Begin line 1423
  setline(1423);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4693 = gc_frame_new();
  if (strlit4694 == NULL) {
    strlit4694 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit4694);
  }
// compilenode returning strlit4694
  gc_frame_newslot(strlit4694);
// compilenode returning *var_matchTok
  gc_frame_newslot(*var_matchTok);
// compilenode returning *var_suggestion
  params[0] = strlit4694;
  params[1] = *var_matchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4695 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4693);
// compilenode returning call4695
    gc_frame_newslot(call4695);
    if4688 = call4695;
  } else {
// Begin line 1430
  setline(1430);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1424
  setline(1424);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4698 == NULL) {
    strlit4698 = alloc_String("rparen");
    gc_root(strlit4698);
  }
// compilenode returning strlit4698
  int op_slot_right_4697 = gc_frame_newslot(strlit4698);
  int callframe4700 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4701 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe4700);
// compilenode returning call4701
// compilenode returning call4701
  int op_slot_left_4697 = gc_frame_newslot(call4701);
  params[0] = strlit4698;
  partcv[0] = 1;
  Object opresult4702 = callmethod(call4701, "==", 1, partcv, params);
// compilenode returning opresult4702
  Object if4696 = done;
  if (istrue(opresult4702)) {
// Begin line 1430
  setline(1430);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1425
  setline(1425);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4704 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4704 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4706 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4706
  Object if4703 = done;
  if (istrue(opresult4706)) {
// Begin line 1426
  setline(1426);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4707 = gc_frame_new();
  if (strlit4708 == NULL) {
    strlit4708 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4708);
  }
// compilenode returning strlit4708
  gc_frame_newslot(strlit4708);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit4708;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4709 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe4707);
// compilenode returning call4709
    gc_frame_newslot(call4709);
    if4703 = call4709;
  } else {
// Begin line 1428
  setline(1428);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4710 = gc_frame_new();
  if (strlit4711 == NULL) {
    strlit4711 = alloc_String("(");
    gc_root(strlit4711);
  }
// compilenode returning strlit4711
  gc_frame_newslot(strlit4711);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit4711;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4712 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe4710);
// compilenode returning call4712
    gc_frame_newslot(call4712);
    if4703 = call4712;
  }
// compilenode returning if4703
    gc_frame_newslot(if4703);
    if4696 = if4703;
  } else {
// Begin line 1434
  setline(1434);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1430
  setline(1430);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4715 == NULL) {
    strlit4715 = alloc_String("identifier");
    gc_root(strlit4715);
  }
// compilenode returning strlit4715
  int op_slot_right_4714 = gc_frame_newslot(strlit4715);
  int callframe4717 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4718 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe4717);
// compilenode returning call4718
// compilenode returning call4718
  int op_slot_left_4714 = gc_frame_newslot(call4718);
  params[0] = strlit4715;
  partcv[0] = 1;
  Object opresult4719 = callmethod(call4718, "==", 1, partcv, params);
// compilenode returning opresult4719
  Object if4713 = done;
  if (istrue(opresult4719)) {
// Begin line 1431
  setline(1431);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4720 = gc_frame_new();
  if (strlit4721 == NULL) {
    strlit4721 = alloc_String("(");
    gc_root(strlit4721);
  }
// compilenode returning strlit4721
  gc_frame_newslot(strlit4721);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit4721;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4722 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe4720);
// compilenode returning call4722
// Begin line 1432
  setline(1432);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4723 = gc_frame_new();
  if (strlit4724 == NULL) {
    strlit4724 = alloc_String(")");
    gc_root(strlit4724);
  }
// compilenode returning strlit4724
  gc_frame_newslot(strlit4724);
  int callframe4725 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4726 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4725);
// compilenode returning call4726
// compilenode returning call4726
  gc_frame_newslot(call4726);
  Object bool4727 = alloc_Boolean(1);
// compilenode returning bool4727
  gc_frame_newslot(bool4727);
// compilenode returning *var_suggestion
  params[0] = strlit4724;
  params[1] = call4726;
  params[2] = bool4727;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call4728 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe4723);
// compilenode returning call4728
    gc_frame_newslot(call4728);
    if4713 = call4728;
  } else {
  }
// compilenode returning if4713
    gc_frame_newslot(if4713);
    if4696 = if4713;
  }
// compilenode returning if4696
    gc_frame_newslot(if4696);
    if4688 = if4696;
  }
// compilenode returning if4688
// Begin line 1434
  setline(1434);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4729 = gc_frame_new();
  if (strlit4730 == NULL) {
    strlit4730 = alloc_String("A match statement must have an expression in parentheses after the 'match'.");
    gc_root(strlit4730);
  }
// compilenode returning strlit4730
  gc_frame_newslot(strlit4730);
// Begin line 1435
  setline(1435);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4731 = gc_frame_new();
// compilenode returning *var_matchTok
  partcv[0] = 0;
  Object call4732 = callmethod(*var_matchTok, "line",
    1, partcv, params);
  gc_frame_end(callframe4731);
// compilenode returning call4732
// compilenode returning call4732
  gc_frame_newslot(call4732);
  int callframe4734 = gc_frame_new();
// compilenode returning *var_matchTok
  partcv[0] = 0;
  Object call4735 = callmethod(*var_matchTok, "size",
    1, partcv, params);
  gc_frame_end(callframe4734);
// compilenode returning call4735
// compilenode returning call4735
  int op_slot_right_4733 = gc_frame_newslot(call4735);
  int callframe4737 = gc_frame_new();
// compilenode returning *var_matchTok
  partcv[0] = 0;
  Object call4738 = callmethod(*var_matchTok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4737);
// compilenode returning call4738
// compilenode returning call4738
  int op_slot_left_4733 = gc_frame_newslot(call4738);
  params[0] = call4735;
  partcv[0] = 1;
  Object sum4739 = callmethod(call4738, "+", 1, partcv, params);
// compilenode returning sum4739
  gc_frame_newslot(sum4739);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1434
  setline(1434);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4730;
  params[1] = call4732;
  params[2] = sum4739;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4740 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4729);
// compilenode returning call4740
    gc_frame_newslot(call4740);
    if4638 = call4740;
  } else {
  }
// compilenode returning if4638
// Begin line 1437
  setline(1437);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4741 = gc_frame_new();
  partcv[0] = 0;
  Object call4742 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4741);
// compilenode returning call4742
// Begin line 1449
  setline(1449);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1438
  setline(1438);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4744 = gc_frame_new();
  int callframe4745 = gc_frame_new();
  Object block4746 = alloc_Block(NULL, NULL, "parser", 1438);
  gc_frame_newslot(block4746);
  block_savedest(block4746);
  Object closure4747 = createclosure(1, "_apply");
setclosureframe(closure4747, stackframe);
  addtoclosure(closure4747, selfslot);
  struct UserObject *uo4747 = (struct UserObject*)block4746;
  uo4747->data[0] = (Object)closure4747;
  Method *meth_meth_parser__apply4747 = addmethod2pos(block4746, "_apply", &meth_parser__apply4747, 0);
int argcv_meth_parser__apply4747[] = {0};
meth_meth_parser__apply4747->type = alloc_MethodType(1, argcv_meth_parser__apply4747);
  meth_meth_parser__apply4747->definitionModule = modulename;
  meth_meth_parser__apply4747->definitionLine = 1438;
// compilenode returning block4746
  gc_frame_newslot(block4746);
  params[0] = block4746;
  partcv[0] = 1;
  Object call4751 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4745);
// compilenode returning call4751
  partcv[0] = 0;
  Object call4752 = callmethod(call4751, "not",
    1, partcv, params);
  gc_frame_end(callframe4744);
// compilenode returning call4752
// compilenode returning call4752
  Object if4743 = done;
  if (istrue(call4752)) {
// Begin line 1440
  setline(1440);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1439
  setline(1439);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4753 = gc_frame_new();
  int callframe4754 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4755 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4754);
// compilenode returning call4755
// compilenode returning call4755
  partcv[0] = 0;
  Object call4756 = callmethod(call4755, "new",
    1, partcv, params);
  gc_frame_end(callframe4753);
// compilenode returning call4756
// compilenode returning call4756
  *var_suggestion = call4756;
  if (call4756 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1440
  setline(1440);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4757 = gc_frame_new();
  if (strlit4758 == NULL) {
    strlit4758 = alloc_String("rparen");
    gc_root(strlit4758);
  }
// compilenode returning strlit4758
  gc_frame_newslot(strlit4758);
  params[0] = strlit4758;
  partcv[0] = 1;
  Object call4759 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4757);
// compilenode returning call4759
  *var_nextTok = call4759;
  if (call4759 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1446
  setline(1446);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1441
  setline(1441);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_4761 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_4761 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4763 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult4763
  Object if4760 = done;
  if (istrue(opresult4763)) {
// Begin line 1442
  setline(1442);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4764 = gc_frame_new();
  if (strlit4765 == NULL) {
    strlit4765 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4765);
  }
// compilenode returning strlit4765
  gc_frame_newslot(strlit4765);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4765;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4766 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4764);
// compilenode returning call4766
    gc_frame_newslot(call4766);
    if4760 = call4766;
  } else {
// Begin line 1444
  setline(1444);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4767 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe4768 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call4769 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe4768);
// compilenode returning call4769
// compilenode returning call4769
  gc_frame_newslot(call4769);
  Object bool4770 = alloc_Boolean(1);
// compilenode returning bool4770
  gc_frame_newslot(bool4770);
  Object bool4771 = alloc_Boolean(0);
// compilenode returning bool4771
  gc_frame_newslot(bool4771);
  if (strlit4772 == NULL) {
    strlit4772 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4772);
  }
// compilenode returning strlit4772
  gc_frame_newslot(strlit4772);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call4769;
  params[2] = bool4770;
  params[3] = bool4771;
  params[4] = strlit4772;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call4773 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe4767);
// compilenode returning call4773
    gc_frame_newslot(call4773);
    if4760 = call4773;
  }
// compilenode returning if4760
// Begin line 1446
  setline(1446);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4774 = gc_frame_new();
  if (strlit4775 == NULL) {
    strlit4775 = alloc_String("A match statement must have an expression in parentheses after the 'match'.");
    gc_root(strlit4775);
  }
// compilenode returning strlit4775
  gc_frame_newslot(strlit4775);
// Begin line 1447
  setline(1447);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4776 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4777 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe4776);
// compilenode returning call4777
// compilenode returning call4777
  gc_frame_newslot(call4777);
  int callframe4778 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4779 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4778);
// compilenode returning call4779
// compilenode returning call4779
  gc_frame_newslot(call4779);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1446
  setline(1446);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4775;
  params[1] = call4777;
  params[2] = call4779;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4780 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4774);
// compilenode returning call4780
    gc_frame_newslot(call4780);
    if4743 = call4780;
  } else {
  }
// compilenode returning if4743
// Begin line 1450
  setline(1450);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1449
  setline(1449);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4781 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call4782 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe4781);
// compilenode returning call4782
// compilenode returning call4782
  *var_matchee = call4782;
  if (call4782 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1457
  setline(1457);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1450
  setline(1450);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4785 == NULL) {
    strlit4785 = alloc_String("rparen");
    gc_root(strlit4785);
  }
// compilenode returning strlit4785
  int op_slot_right_4784 = gc_frame_newslot(strlit4785);
  int callframe4787 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4788 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe4787);
// compilenode returning call4788
// compilenode returning call4788
  int op_slot_left_4784 = gc_frame_newslot(call4788);
  params[0] = strlit4785;
  partcv[0] = 1;
  Object opresult4789 = callmethod(call4788, "!=", 1, partcv, params);
// compilenode returning opresult4789
  Object if4783 = done;
  if (istrue(opresult4789)) {
// Begin line 1451
  setline(1451);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4790 = gc_frame_new();
  partcv[0] = 0;
  Object call4791 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4790);
// compilenode returning call4791
// Begin line 1453
  setline(1453);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1452
  setline(1452);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4792 = gc_frame_new();
  int callframe4793 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call4794 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe4793);
// compilenode returning call4794
// compilenode returning call4794
  partcv[0] = 0;
  Object call4795 = callmethod(call4794, "new",
    1, partcv, params);
  gc_frame_end(callframe4792);
// compilenode returning call4795
// compilenode returning call4795
  *var_suggestion = call4795;
  if (call4795 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1453
  setline(1453);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4796 = gc_frame_new();
  if (strlit4797 == NULL) {
    strlit4797 = alloc_String(")");
    gc_root(strlit4797);
  }
// compilenode returning strlit4797
  gc_frame_newslot(strlit4797);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit4797;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4798 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe4796);
// compilenode returning call4798
// Begin line 1454
  setline(1454);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4799 = gc_frame_new();
  if (strlit4800 == NULL) {
    strlit4800 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit4800);
  }
// compilenode returning strlit4800
  gc_frame_newslot(strlit4800);
// Begin line 1455
  setline(1455);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4801 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4802 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe4801);
// compilenode returning call4802
// compilenode returning call4802
  gc_frame_newslot(call4802);
  int callframe4804 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4805 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe4804);
// compilenode returning call4805
// compilenode returning call4805
  int op_slot_right_4803 = gc_frame_newslot(call4805);
  int callframe4807 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call4808 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe4807);
// compilenode returning call4808
// compilenode returning call4808
  int op_slot_left_4803 = gc_frame_newslot(call4808);
  params[0] = call4805;
  partcv[0] = 1;
  Object sum4809 = callmethod(call4808, "+", 1, partcv, params);
// compilenode returning sum4809
  gc_frame_newslot(sum4809);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1454
  setline(1454);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit4800;
  params[1] = call4802;
  params[2] = sum4809;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4810 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe4799);
// compilenode returning call4810
    gc_frame_newslot(call4810);
    if4783 = call4810;
  } else {
  }
// compilenode returning if4783
// Begin line 1457
  setline(1457);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4811 = gc_frame_new();
  partcv[0] = 0;
  Object call4812 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4811);
// compilenode returning call4812
// Begin line 1459
  setline(1459);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1458
  setline(1458);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array4813 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array4813
  *var_cases = array4813;
  if (array4813 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1460
  setline(1460);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1459
  setline(1459);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool4814 = alloc_Boolean(0);
// compilenode returning bool4814
  *var_elsecase = bool4814;
  if (bool4814 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1460
  setline(1460);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4815 = gc_frame_new();
  Object block4816 = alloc_Block(NULL, NULL, "parser", 1460);
  gc_frame_newslot(block4816);
  block_savedest(block4816);
  Object closure4817 = createclosure(2, "_apply");
setclosureframe(closure4817, stackframe);
  addtoclosure(closure4817, var_sym);
  addtoclosure(closure4817, selfslot);
  struct UserObject *uo4817 = (struct UserObject*)block4816;
  uo4817->data[0] = (Object)closure4817;
  Method *meth_meth_parser__apply4817 = addmethod2pos(block4816, "_apply", &meth_parser__apply4817, 0);
int argcv_meth_parser__apply4817[] = {0};
meth_meth_parser__apply4817->type = alloc_MethodType(1, argcv_meth_parser__apply4817);
  meth_meth_parser__apply4817->definitionModule = modulename;
  meth_meth_parser__apply4817->definitionLine = 1455;
// compilenode returning block4816
  gc_frame_newslot(block4816);
  Object block4831 = alloc_Block(NULL, NULL, "parser", 1460);
  gc_frame_newslot(block4831);
  block_savedest(block4831);
  Object closure4832 = createclosure(7, "_apply");
setclosureframe(closure4832, stackframe);
  addtoclosure(closure4832, var_errormessages);
  addtoclosure(closure4832, var_sym);
  addtoclosure(closure4832, var_lastToken);
  addtoclosure(closure4832, var_tokens);
  addtoclosure(closure4832, var_values);
  addtoclosure(closure4832, var_cases);
  addtoclosure(closure4832, selfslot);
  struct UserObject *uo4832 = (struct UserObject*)block4831;
  uo4832->data[0] = (Object)closure4832;
  Method *meth_meth_parser__apply4832 = addmethod2pos(block4831, "_apply", &meth_parser__apply4832, 0);
int argcv_meth_parser__apply4832[] = {0};
meth_meth_parser__apply4832->type = alloc_MethodType(1, argcv_meth_parser__apply4832);
  meth_meth_parser__apply4832->definitionModule = modulename;
  meth_meth_parser__apply4832->definitionLine = 1460;
// compilenode returning block4831
  gc_frame_newslot(block4831);
  params[0] = block4816;
  params[1] = block4831;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4978 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4815);
// compilenode returning call4978
// Begin line 1558
  setline(1558);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1509
  setline(1509);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit4982 == NULL) {
    strlit4982 = alloc_String("else");
    gc_root(strlit4982);
  }
// compilenode returning strlit4982
  int op_slot_right_4981 = gc_frame_newslot(strlit4982);
  int callframe4984 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call4985 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe4984);
// compilenode returning call4985
// compilenode returning call4985
  int op_slot_left_4981 = gc_frame_newslot(call4985);
  params[0] = strlit4982;
  partcv[0] = 1;
  Object opresult4986 = callmethod(call4985, "==", 1, partcv, params);
// compilenode returning opresult4986
  int op_slot_right_4980 = gc_frame_newslot(opresult4986);
  int callframe4988 = gc_frame_new();
  if (strlit4989 == NULL) {
    strlit4989 = alloc_String("identifier");
    gc_root(strlit4989);
  }
// compilenode returning strlit4989
  gc_frame_newslot(strlit4989);
  params[0] = strlit4989;
  partcv[0] = 1;
  Object call4990 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4988);
// compilenode returning call4990
  int op_slot_left_4980 = gc_frame_newslot(call4990);
  params[0] = opresult4986;
  partcv[0] = 1;
  Object opresult4991 = callmethod(call4990, "&&", 1, partcv, params);
// compilenode returning opresult4991
  Object if4979 = done;
  if (istrue(opresult4991)) {
// Begin line 1510
  setline(1510);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4992 = gc_frame_new();
  partcv[0] = 0;
  Object call4993 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4992);
// compilenode returning call4993
// Begin line 1556
  setline(1556);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1511
  setline(1511);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4995 = gc_frame_new();
  if (strlit4996 == NULL) {
    strlit4996 = alloc_String("lbrace");
    gc_root(strlit4996);
  }
// compilenode returning strlit4996
  gc_frame_newslot(strlit4996);
  params[0] = strlit4996;
  partcv[0] = 1;
  Object call4997 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4995);
// compilenode returning call4997
  Object if4994 = done;
  if (istrue(call4997)) {
// Begin line 1512
  setline(1512);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe4998 = gc_frame_new();
  partcv[0] = 0;
  Object call4999 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4998);
// compilenode returning call4999
    gc_frame_newslot(call4999);
    if4994 = call4999;
  } else {
// Begin line 1534
  setline(1534);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1513
  setline(1513);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5001 = gc_frame_new();
  if (strlit5002 == NULL) {
    strlit5002 = alloc_String("lparen");
    gc_root(strlit5002);
  }
// compilenode returning strlit5002
  gc_frame_newslot(strlit5002);
  params[0] = strlit5002;
  partcv[0] = 1;
  Object call5003 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5001);
// compilenode returning call5003
  Object if5000 = done;
  if (istrue(call5003)) {
// Begin line 1514
  setline(1514);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5004 = gc_frame_new();
  partcv[0] = 0;
  Object call5005 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5004);
// compilenode returning call5005
// Begin line 1526
  setline(1526);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1515
  setline(1515);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5007 = gc_frame_new();
  int callframe5008 = gc_frame_new();
  Object block5009 = alloc_Block(NULL, NULL, "parser", 1515);
  gc_frame_newslot(block5009);
  block_savedest(block5009);
  Object closure5010 = createclosure(1, "_apply");
setclosureframe(closure5010, stackframe);
  addtoclosure(closure5010, selfslot);
  struct UserObject *uo5010 = (struct UserObject*)block5009;
  uo5010->data[0] = (Object)closure5010;
  Method *meth_meth_parser__apply5010 = addmethod2pos(block5009, "_apply", &meth_parser__apply5010, 0);
int argcv_meth_parser__apply5010[] = {0};
meth_meth_parser__apply5010->type = alloc_MethodType(1, argcv_meth_parser__apply5010);
  meth_meth_parser__apply5010->definitionModule = modulename;
  meth_meth_parser__apply5010->definitionLine = 1515;
// compilenode returning block5009
  gc_frame_newslot(block5009);
  params[0] = block5009;
  partcv[0] = 1;
  Object call5014 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5008);
// compilenode returning call5014
  partcv[0] = 0;
  Object call5015 = callmethod(call5014, "not",
    1, partcv, params);
  gc_frame_end(callframe5007);
// compilenode returning call5015
// compilenode returning call5015
  Object if5006 = done;
  if (istrue(call5015)) {
// Begin line 1517
  setline(1517);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1516
  setline(1516);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5016 = gc_frame_new();
  int callframe5017 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5018 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5017);
// compilenode returning call5018
// compilenode returning call5018
  partcv[0] = 0;
  Object call5019 = callmethod(call5018, "new",
    1, partcv, params);
  gc_frame_end(callframe5016);
// compilenode returning call5019
// compilenode returning call5019
  *var_suggestion = call5019;
  if (call5019 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1517
  setline(1517);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5020 = gc_frame_new();
  if (strlit5021 == NULL) {
    strlit5021 = alloc_String("rparen");
    gc_root(strlit5021);
  }
// compilenode returning strlit5021
  gc_frame_newslot(strlit5021);
  params[0] = strlit5021;
  partcv[0] = 1;
  Object call5022 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5020);
// compilenode returning call5022
  *var_nextTok = call5022;
  if (call5022 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1523
  setline(1523);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1518
  setline(1518);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_5024 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_5024 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult5026 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult5026
  Object if5023 = done;
  if (istrue(opresult5026)) {
// Begin line 1519
  setline(1519);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5027 = gc_frame_new();
  if (strlit5028 == NULL) {
    strlit5028 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit5028);
  }
// compilenode returning strlit5028
  gc_frame_newslot(strlit5028);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit5028;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5029 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5027);
// compilenode returning call5029
    gc_frame_newslot(call5029);
    if5023 = call5029;
  } else {
// Begin line 1521
  setline(1521);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5030 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe5031 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call5032 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe5031);
// compilenode returning call5032
// compilenode returning call5032
  gc_frame_newslot(call5032);
  Object bool5033 = alloc_Boolean(1);
// compilenode returning bool5033
  gc_frame_newslot(bool5033);
  Object bool5034 = alloc_Boolean(0);
// compilenode returning bool5034
  gc_frame_newslot(bool5034);
  if (strlit5035 == NULL) {
    strlit5035 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit5035);
  }
// compilenode returning strlit5035
  gc_frame_newslot(strlit5035);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call5032;
  params[2] = bool5033;
  params[3] = bool5034;
  params[4] = strlit5035;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call5036 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe5030);
// compilenode returning call5036
    gc_frame_newslot(call5036);
    if5023 = call5036;
  }
// compilenode returning if5023
// Begin line 1523
  setline(1523);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5037 = gc_frame_new();
  if (strlit5038 == NULL) {
    strlit5038 = alloc_String("A match statement must have either a block or an expression in parentheses after the 'else'.");
    gc_root(strlit5038);
  }
// compilenode returning strlit5038
  gc_frame_newslot(strlit5038);
// Begin line 1524
  setline(1524);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5039 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5040 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5039);
// compilenode returning call5040
// compilenode returning call5040
  gc_frame_newslot(call5040);
  int callframe5041 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5042 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5041);
// compilenode returning call5042
// compilenode returning call5042
  gc_frame_newslot(call5042);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1523
  setline(1523);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit5038;
  params[1] = call5040;
  params[2] = call5042;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5043 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe5037);
// compilenode returning call5043
    gc_frame_newslot(call5043);
    if5006 = call5043;
  } else {
  }
// compilenode returning if5006
// Begin line 1533
  setline(1533);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1526
  setline(1526);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5046 == NULL) {
    strlit5046 = alloc_String("rparen");
    gc_root(strlit5046);
  }
// compilenode returning strlit5046
  int op_slot_right_5045 = gc_frame_newslot(strlit5046);
  int callframe5048 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5049 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe5048);
// compilenode returning call5049
// compilenode returning call5049
  int op_slot_left_5045 = gc_frame_newslot(call5049);
  params[0] = strlit5046;
  partcv[0] = 1;
  Object opresult5050 = callmethod(call5049, "!=", 1, partcv, params);
// compilenode returning opresult5050
  Object if5044 = done;
  if (istrue(opresult5050)) {
// Begin line 1527
  setline(1527);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5051 = gc_frame_new();
  partcv[0] = 0;
  Object call5052 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5051);
// compilenode returning call5052
// Begin line 1529
  setline(1529);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1528
  setline(1528);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5053 = gc_frame_new();
  int callframe5054 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5055 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5054);
// compilenode returning call5055
// compilenode returning call5055
  partcv[0] = 0;
  Object call5056 = callmethod(call5055, "new",
    1, partcv, params);
  gc_frame_end(callframe5053);
// compilenode returning call5056
// compilenode returning call5056
  *var_suggestion = call5056;
  if (call5056 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1529
  setline(1529);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5057 = gc_frame_new();
  if (strlit5058 == NULL) {
    strlit5058 = alloc_String(")");
    gc_root(strlit5058);
  }
// compilenode returning strlit5058
  gc_frame_newslot(strlit5058);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit5058;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5059 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5057);
// compilenode returning call5059
// Begin line 1530
  setline(1530);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5060 = gc_frame_new();
  if (strlit5061 == NULL) {
    strlit5061 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit5061);
  }
// compilenode returning strlit5061
  gc_frame_newslot(strlit5061);
// Begin line 1531
  setline(1531);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5062 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5063 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe5062);
// compilenode returning call5063
// compilenode returning call5063
  gc_frame_newslot(call5063);
  int callframe5065 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5066 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe5065);
// compilenode returning call5066
// compilenode returning call5066
  int op_slot_right_5064 = gc_frame_newslot(call5066);
  int callframe5068 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5069 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5068);
// compilenode returning call5069
// compilenode returning call5069
  int op_slot_left_5064 = gc_frame_newslot(call5069);
  params[0] = call5066;
  partcv[0] = 1;
  Object sum5070 = callmethod(call5069, "+", 1, partcv, params);
// compilenode returning sum5070
  gc_frame_newslot(sum5070);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1530
  setline(1530);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit5061;
  params[1] = call5063;
  params[2] = sum5070;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5071 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe5060);
// compilenode returning call5071
    gc_frame_newslot(call5071);
    if5044 = call5071;
  } else {
  }
// compilenode returning if5044
// Begin line 1533
  setline(1533);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5072 = gc_frame_new();
  partcv[0] = 0;
  Object call5073 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5072);
// compilenode returning call5073
    gc_frame_newslot(call5073);
    if5000 = call5073;
  } else {
// Begin line 1536
  setline(1536);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1535
  setline(1535);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array5074 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array5074
  *var_suggestions = array5074;
  if (array5074 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1536
  setline(1536);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5075 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call5076 = callmethodflags(self, "findNextTokenIndentedAt", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5075);
// compilenode returning call5076
  *var_nextTok = call5076;
  if (call5076 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1538
  setline(1538);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1537
  setline(1537);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5077 = gc_frame_new();
  int callframe5078 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5079 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5078);
// compilenode returning call5079
// compilenode returning call5079
  partcv[0] = 0;
  Object call5080 = callmethod(call5079, "new",
    1, partcv, params);
  gc_frame_end(callframe5077);
// compilenode returning call5080
// compilenode returning call5080
  *var_suggestion = call5080;
  if (call5080 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1553
  setline(1553);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1538
  setline(1538);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5083 = alloc_Boolean(0);
// compilenode returning bool5083
  int op_slot_right_5082 = gc_frame_newslot(bool5083);
// compilenode returning *var_nextTok
  int op_slot_left_5082 = gc_frame_newslot(*var_nextTok);
  params[0] = bool5083;
  partcv[0] = 1;
  Object opresult5085 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult5085
  Object if5081 = done;
  if (istrue(opresult5085)) {
// Begin line 1539
  setline(1539);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5086 = gc_frame_new();
  if (strlit5087 == NULL) {
    strlit5087 = alloc_String(" }");
    gc_root(strlit5087);
  }
// compilenode returning strlit5087
  gc_frame_newslot(strlit5087);
  int callframe5088 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call5089 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe5088);
// compilenode returning call5089
// compilenode returning call5089
  gc_frame_newslot(call5089);
// compilenode returning *var_suggestion
  params[0] = strlit5087;
  params[1] = call5089;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5090 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5086);
// compilenode returning call5090
// Begin line 1540
  setline(1540);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5091 = gc_frame_new();
  if (strlit5092 == NULL) {
    strlit5092 = alloc_String(" {");
    gc_root(strlit5092);
  }
// compilenode returning strlit5092
  gc_frame_newslot(strlit5092);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit5092;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5093 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5091);
// compilenode returning call5093
// Begin line 1541
  setline(1541);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5094 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5095 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5094);
// compilenode returning call5095
    gc_frame_newslot(call5095);
    if5081 = call5095;
  } else {
// Begin line 1548
  setline(1548);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1542
  setline(1542);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_5097 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_5097 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult5099 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult5099
  Object if5096 = done;
  if (istrue(opresult5099)) {
// Begin line 1543
  setline(1543);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5100 = gc_frame_new();
  if (strlit5101 == NULL) {
    strlit5101 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit5101);
  }
// compilenode returning strlit5101
  gc_frame_newslot(strlit5101);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit5101;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5102 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5100);
// compilenode returning call5102
// Begin line 1544
  setline(1544);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5103 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5104 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5103);
// compilenode returning call5104
// Begin line 1546
  setline(1546);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1545
  setline(1545);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5105 = gc_frame_new();
  int callframe5106 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5107 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5106);
// compilenode returning call5107
// compilenode returning call5107
  partcv[0] = 0;
  Object call5108 = callmethod(call5107, "new",
    1, partcv, params);
  gc_frame_end(callframe5105);
// compilenode returning call5108
// compilenode returning call5108
  *var_suggestion = call5108;
  if (call5108 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1546
  setline(1546);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5110 = gc_frame_new();
  if (strlit5111 == NULL) {
    strlit5111 = alloc_String(" { ""\xc2""""\xab""expression""\xc2""""\xbb"" }");
    gc_root(strlit5111);
  }
// compilenode returning strlit5111
  gc_frame_newslot(strlit5111);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit5111;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5112 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5110);
// compilenode returning call5112
// Begin line 1547
  setline(1547);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5113 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5114 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5113);
// compilenode returning call5114
    gc_frame_newslot(call5114);
    if5096 = call5114;
  } else {
// Begin line 1549
  setline(1549);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5115 = gc_frame_new();
  if (strlit5116 == NULL) {
    strlit5116 = alloc_String(" }");
    gc_root(strlit5116);
  }
// compilenode returning strlit5116
  gc_frame_newslot(strlit5116);
  int callframe5117 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call5118 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe5117);
// compilenode returning call5118
// compilenode returning call5118
  gc_frame_newslot(call5118);
// compilenode returning *var_suggestion
  params[0] = strlit5116;
  params[1] = call5118;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5119 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5115);
// compilenode returning call5119
// Begin line 1550
  setline(1550);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5120 = gc_frame_new();
  if (strlit5121 == NULL) {
    strlit5121 = alloc_String(" {");
    gc_root(strlit5121);
  }
// compilenode returning strlit5121
  gc_frame_newslot(strlit5121);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit5121;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5122 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5120);
// compilenode returning call5122
// Begin line 1551
  setline(1551);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5123 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5124 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5123);
// compilenode returning call5124
    gc_frame_newslot(call5124);
    if5096 = call5124;
  }
// compilenode returning if5096
    gc_frame_newslot(if5096);
    if5081 = if5096;
  }
// compilenode returning if5081
// Begin line 1553
  setline(1553);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5125 = gc_frame_new();
  if (strlit5126 == NULL) {
    strlit5126 = alloc_String("A match statement must have either a block or an expression in parentheses after the 'else'.");
    gc_root(strlit5126);
  }
// compilenode returning strlit5126
  gc_frame_newslot(strlit5126);
// Begin line 1554
  setline(1554);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5127 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5128 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5127);
// compilenode returning call5128
// compilenode returning call5128
  gc_frame_newslot(call5128);
  int callframe5129 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5130 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5129);
// compilenode returning call5130
// compilenode returning call5130
  gc_frame_newslot(call5130);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1553
  setline(1553);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit5126;
  params[1] = call5128;
  params[2] = call5130;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5131 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe5125);
// compilenode returning call5131
    gc_frame_newslot(call5131);
    if5000 = call5131;
  }
// compilenode returning if5000
    gc_frame_newslot(if5000);
    if4994 = if5000;
  }
// compilenode returning if4994
// Begin line 1557
  setline(1557);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1556
  setline(1556);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5132 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call5133 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe5132);
// compilenode returning call5133
// compilenode returning call5133
  *var_elsecase = call5133;
  if (call5133 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if4979 = done;
  } else {
  }
// compilenode returning if4979
// Begin line 1558
  setline(1558);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5135 = gc_frame_new();
  int callframe5136 = gc_frame_new();
// compilenode returning *var_matchee
  gc_frame_newslot(*var_matchee);
// compilenode returning *var_cases
  gc_frame_newslot(*var_cases);
// compilenode returning *var_elsecase
  gc_frame_newslot(*var_elsecase);
  int callframe5137 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call5138 = callmethod(*var_ast, "matchCaseNode",
    1, partcv, params);
  gc_frame_end(callframe5137);
// compilenode returning call5138
// compilenode returning call5138
  params[0] = *var_matchee;
  params[1] = *var_cases;
  params[2] = *var_elsecase;
  partcv[0] = 3;
  Object call5139 = callmethod(call5138, "new",
    1, partcv, params);
  gc_frame_end(callframe5136);
// compilenode returning call5139
  gc_frame_newslot(call5139);
// compilenode returning *var_values
  params[0] = call5139;
  partcv[0] = 1;
  Object call5140 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe5135);
// compilenode returning call5140
// Begin line 1560
  setline(1560);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1559
  setline(1559);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_localmin
  *var_minIndentLevel = *var_localmin;
  if (*var_localmin == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply5230(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit5232 == NULL) {
    strlit5232 = alloc_String("type");
    gc_root(strlit5232);
  }
// compilenode returning strlit5232
  int op_slot_right_5231 = gc_frame_newslot(strlit5232);
  int callframe5234 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5235 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe5234);
// compilenode returning call5235
// compilenode returning call5235
  int op_slot_left_5231 = gc_frame_newslot(call5235);
  params[0] = strlit5232;
  partcv[0] = 1;
  Object opresult5236 = callmethod(call5235, "==", 1, partcv, params);
// compilenode returning opresult5236
  gc_frame_end(frame);
  return opresult5236;
}
Object meth_parser_term5142(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 30, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "term");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for term (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for term");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1590
  setline(1590);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1564
  setline(1564);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5144 = gc_frame_new();
  if (strlit5145 == NULL) {
    strlit5145 = alloc_String("num");
    gc_root(strlit5145);
  }
// compilenode returning strlit5145
  gc_frame_newslot(strlit5145);
  params[0] = strlit5145;
  partcv[0] = 1;
  Object call5146 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5144);
// compilenode returning call5146
  Object if5143 = done;
  if (istrue(call5146)) {
// Begin line 1565
  setline(1565);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5147 = gc_frame_new();
  partcv[0] = 0;
  Object call5148 = callmethodflags(self, "pushnum", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5147);
// compilenode returning call5148
    gc_frame_newslot(call5148);
    if5143 = call5148;
  } else {
// Begin line 1568
  setline(1568);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1566
  setline(1566);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5150 = gc_frame_new();
  if (strlit5151 == NULL) {
    strlit5151 = alloc_String("string");
    gc_root(strlit5151);
  }
// compilenode returning strlit5151
  gc_frame_newslot(strlit5151);
  params[0] = strlit5151;
  partcv[0] = 1;
  Object call5152 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5150);
// compilenode returning call5152
  Object if5149 = done;
  if (istrue(call5152)) {
// Begin line 1567
  setline(1567);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5153 = gc_frame_new();
  partcv[0] = 0;
  Object call5154 = callmethodflags(self, "pushstring", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5153);
// compilenode returning call5154
    gc_frame_newslot(call5154);
    if5149 = call5154;
  } else {
// Begin line 1570
  setline(1570);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1568
  setline(1568);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5156 = gc_frame_new();
  if (strlit5157 == NULL) {
    strlit5157 = alloc_String("octets");
    gc_root(strlit5157);
  }
// compilenode returning strlit5157
  gc_frame_newslot(strlit5157);
  params[0] = strlit5157;
  partcv[0] = 1;
  Object call5158 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5156);
// compilenode returning call5158
  Object if5155 = done;
  if (istrue(call5158)) {
// Begin line 1569
  setline(1569);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5159 = gc_frame_new();
  partcv[0] = 0;
  Object call5160 = callmethodflags(self, "pushoctets", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5159);
// compilenode returning call5160
    gc_frame_newslot(call5160);
    if5155 = call5160;
  } else {
// Begin line 1572
  setline(1572);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1570
  setline(1570);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5164 == NULL) {
    strlit5164 = alloc_String("match");
    gc_root(strlit5164);
  }
// compilenode returning strlit5164
  int op_slot_right_5163 = gc_frame_newslot(strlit5164);
  int callframe5166 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5167 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe5166);
// compilenode returning call5167
// compilenode returning call5167
  int op_slot_left_5163 = gc_frame_newslot(call5167);
  params[0] = strlit5164;
  partcv[0] = 1;
  Object opresult5168 = callmethod(call5167, "==", 1, partcv, params);
// compilenode returning opresult5168
  int op_slot_right_5162 = gc_frame_newslot(opresult5168);
  int callframe5170 = gc_frame_new();
  if (strlit5171 == NULL) {
    strlit5171 = alloc_String("identifier");
    gc_root(strlit5171);
  }
// compilenode returning strlit5171
  gc_frame_newslot(strlit5171);
  params[0] = strlit5171;
  partcv[0] = 1;
  Object call5172 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5170);
// compilenode returning call5172
  int op_slot_left_5162 = gc_frame_newslot(call5172);
  params[0] = opresult5168;
  partcv[0] = 1;
  Object opresult5173 = callmethod(call5172, "&&", 1, partcv, params);
// compilenode returning opresult5173
  Object if5161 = done;
  if (istrue(opresult5173)) {
// Begin line 1571
  setline(1571);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5174 = gc_frame_new();
  partcv[0] = 0;
  Object call5175 = callmethodflags(self, "matchcase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5174);
// compilenode returning call5175
    gc_frame_newslot(call5175);
    if5161 = call5175;
  } else {
// Begin line 1574
  setline(1574);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1572
  setline(1572);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5179 == NULL) {
    strlit5179 = alloc_String("catch");
    gc_root(strlit5179);
  }
// compilenode returning strlit5179
  int op_slot_right_5178 = gc_frame_newslot(strlit5179);
  int callframe5181 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5182 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe5181);
// compilenode returning call5182
// compilenode returning call5182
  int op_slot_left_5178 = gc_frame_newslot(call5182);
  params[0] = strlit5179;
  partcv[0] = 1;
  Object opresult5183 = callmethod(call5182, "==", 1, partcv, params);
// compilenode returning opresult5183
  int op_slot_right_5177 = gc_frame_newslot(opresult5183);
  int callframe5185 = gc_frame_new();
  if (strlit5186 == NULL) {
    strlit5186 = alloc_String("identifier");
    gc_root(strlit5186);
  }
// compilenode returning strlit5186
  gc_frame_newslot(strlit5186);
  params[0] = strlit5186;
  partcv[0] = 1;
  Object call5187 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5185);
// compilenode returning call5187
  int op_slot_left_5177 = gc_frame_newslot(call5187);
  params[0] = opresult5183;
  partcv[0] = 1;
  Object opresult5188 = callmethod(call5187, "&&", 1, partcv, params);
// compilenode returning opresult5188
  Object if5176 = done;
  if (istrue(opresult5188)) {
// Begin line 1573
  setline(1573);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5189 = gc_frame_new();
  partcv[0] = 0;
  Object call5190 = callmethodflags(self, "catchcase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5189);
// compilenode returning call5190
    gc_frame_newslot(call5190);
    if5176 = call5190;
  } else {
// Begin line 1576
  setline(1576);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1574
  setline(1574);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5194 == NULL) {
    strlit5194 = alloc_String("try");
    gc_root(strlit5194);
  }
// compilenode returning strlit5194
  int op_slot_right_5193 = gc_frame_newslot(strlit5194);
  int callframe5196 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5197 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe5196);
// compilenode returning call5197
// compilenode returning call5197
  int op_slot_left_5193 = gc_frame_newslot(call5197);
  params[0] = strlit5194;
  partcv[0] = 1;
  Object opresult5198 = callmethod(call5197, "==", 1, partcv, params);
// compilenode returning opresult5198
  int op_slot_right_5192 = gc_frame_newslot(opresult5198);
  int callframe5200 = gc_frame_new();
  if (strlit5201 == NULL) {
    strlit5201 = alloc_String("identifier");
    gc_root(strlit5201);
  }
// compilenode returning strlit5201
  gc_frame_newslot(strlit5201);
  params[0] = strlit5201;
  partcv[0] = 1;
  Object call5202 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5200);
// compilenode returning call5202
  int op_slot_left_5192 = gc_frame_newslot(call5202);
  params[0] = opresult5198;
  partcv[0] = 1;
  Object opresult5203 = callmethod(call5202, "&&", 1, partcv, params);
// compilenode returning opresult5203
  Object if5191 = done;
  if (istrue(opresult5203)) {
// Begin line 1575
  setline(1575);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5204 = gc_frame_new();
  partcv[0] = 0;
  Object call5205 = callmethodflags(self, "trycatch", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5204);
// compilenode returning call5205
    gc_frame_newslot(call5205);
    if5191 = call5205;
  } else {
// Begin line 1578
  setline(1578);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1576
  setline(1576);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5207 = gc_frame_new();
  if (strlit5208 == NULL) {
    strlit5208 = alloc_String("identifier");
    gc_root(strlit5208);
  }
// compilenode returning strlit5208
  gc_frame_newslot(strlit5208);
  params[0] = strlit5208;
  partcv[0] = 1;
  Object call5209 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5207);
// compilenode returning call5209
  Object if5206 = done;
  if (istrue(call5209)) {
// Begin line 1577
  setline(1577);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5210 = gc_frame_new();
  partcv[0] = 0;
  Object call5211 = callmethodflags(self, "identifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5210);
// compilenode returning call5211
    gc_frame_newslot(call5211);
    if5206 = call5211;
  } else {
// Begin line 1580
  setline(1580);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1578
  setline(1578);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5215 == NULL) {
    strlit5215 = alloc_String("object");
    gc_root(strlit5215);
  }
// compilenode returning strlit5215
  int op_slot_right_5214 = gc_frame_newslot(strlit5215);
  int callframe5217 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5218 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe5217);
// compilenode returning call5218
// compilenode returning call5218
  int op_slot_left_5214 = gc_frame_newslot(call5218);
  params[0] = strlit5215;
  partcv[0] = 1;
  Object opresult5219 = callmethod(call5218, "==", 1, partcv, params);
// compilenode returning opresult5219
  int op_slot_right_5213 = gc_frame_newslot(opresult5219);
  int callframe5221 = gc_frame_new();
  if (strlit5222 == NULL) {
    strlit5222 = alloc_String("keyword");
    gc_root(strlit5222);
  }
// compilenode returning strlit5222
  gc_frame_newslot(strlit5222);
  params[0] = strlit5222;
  partcv[0] = 1;
  Object call5223 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5221);
// compilenode returning call5223
  int op_slot_left_5213 = gc_frame_newslot(call5223);
  params[0] = opresult5219;
  partcv[0] = 1;
  Object opresult5224 = callmethod(call5223, "&&", 1, partcv, params);
// compilenode returning opresult5224
  Object if5212 = done;
  if (istrue(opresult5224)) {
// Begin line 1579
  setline(1579);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5225 = gc_frame_new();
  partcv[0] = 0;
  Object call5226 = callmethodflags(self, "doobject", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5225);
// compilenode returning call5226
    gc_frame_newslot(call5226);
    if5212 = call5226;
  } else {
// Begin line 1582
  setline(1582);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1580
  setline(1580);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5228 = gc_frame_new();
  Object block5229 = alloc_Block(NULL, NULL, "parser", 1580);
  gc_frame_newslot(block5229);
  block_savedest(block5229);
  Object closure5230 = createclosure(2, "_apply");
setclosureframe(closure5230, stackframe);
  addtoclosure(closure5230, var_sym);
  addtoclosure(closure5230, selfslot);
  struct UserObject *uo5230 = (struct UserObject*)block5229;
  uo5230->data[0] = (Object)closure5230;
  Method *meth_meth_parser__apply5230 = addmethod2pos(block5229, "_apply", &meth_parser__apply5230, 0);
int argcv_meth_parser__apply5230[] = {0};
meth_meth_parser__apply5230->type = alloc_MethodType(1, argcv_meth_parser__apply5230);
  meth_meth_parser__apply5230->definitionModule = modulename;
  meth_meth_parser__apply5230->definitionLine = 1578;
// compilenode returning block5229
  gc_frame_newslot(block5229);
  int callframe5238 = gc_frame_new();
  if (strlit5239 == NULL) {
    strlit5239 = alloc_String("keyword");
    gc_root(strlit5239);
  }
// compilenode returning strlit5239
  gc_frame_newslot(strlit5239);
  params[0] = strlit5239;
  partcv[0] = 1;
  Object call5240 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5238);
// compilenode returning call5240
  params[0] = block5229;
  partcv[0] = 1;
  Object call5241 = callmethod(call5240, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe5228);
// compilenode returning call5241
  Object if5227 = done;
  if (istrue(call5241)) {
// Begin line 1581
  setline(1581);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5242 = gc_frame_new();
  partcv[0] = 0;
  Object call5243 = callmethodflags(self, "doanontype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5242);
// compilenode returning call5243
    gc_frame_newslot(call5243);
    if5227 = call5243;
  } else {
// Begin line 1584
  setline(1584);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1582
  setline(1582);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5245 = gc_frame_new();
  if (strlit5246 == NULL) {
    strlit5246 = alloc_String("lbrace");
    gc_root(strlit5246);
  }
// compilenode returning strlit5246
  gc_frame_newslot(strlit5246);
  params[0] = strlit5246;
  partcv[0] = 1;
  Object call5247 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5245);
// compilenode returning call5247
  Object if5244 = done;
  if (istrue(call5247)) {
// Begin line 1583
  setline(1583);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5248 = gc_frame_new();
  partcv[0] = 0;
  Object call5249 = callmethodflags(self, "block", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5248);
// compilenode returning call5249
    gc_frame_newslot(call5249);
    if5244 = call5249;
  } else {
// Begin line 1586
  setline(1586);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1584
  setline(1584);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5251 = gc_frame_new();
  if (strlit5252 == NULL) {
    strlit5252 = alloc_String("lsquare");
    gc_root(strlit5252);
  }
// compilenode returning strlit5252
  gc_frame_newslot(strlit5252);
  params[0] = strlit5252;
  partcv[0] = 1;
  Object call5253 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5251);
// compilenode returning call5253
  Object if5250 = done;
  if (istrue(call5253)) {
// Begin line 1585
  setline(1585);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5254 = gc_frame_new();
  partcv[0] = 0;
  Object call5255 = callmethodflags(self, "doarray", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5254);
// compilenode returning call5255
    gc_frame_newslot(call5255);
    if5250 = call5255;
  } else {
// Begin line 1590
  setline(1590);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1586
  setline(1586);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5257 = gc_frame_new();
  if (strlit5258 == NULL) {
    strlit5258 = alloc_String("op");
    gc_root(strlit5258);
  }
// compilenode returning strlit5258
  gc_frame_newslot(strlit5258);
  params[0] = strlit5258;
  partcv[0] = 1;
  Object call5259 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5257);
// compilenode returning call5259
  Object if5256 = done;
  if (istrue(call5259)) {
// Begin line 1588
  setline(1588);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5260 = gc_frame_new();
  partcv[0] = 0;
  Object call5261 = callmethodflags(self, "prefixop", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5260);
// compilenode returning call5261
    gc_frame_newslot(call5261);
    if5256 = call5261;
  } else {
  }
// compilenode returning if5256
    gc_frame_newslot(if5256);
    if5250 = if5256;
  }
// compilenode returning if5250
    gc_frame_newslot(if5250);
    if5244 = if5250;
  }
// compilenode returning if5244
    gc_frame_newslot(if5244);
    if5227 = if5244;
  }
// compilenode returning if5227
    gc_frame_newslot(if5227);
    if5212 = if5227;
  }
// compilenode returning if5212
    gc_frame_newslot(if5212);
    if5206 = if5212;
  }
// compilenode returning if5206
    gc_frame_newslot(if5206);
    if5191 = if5206;
  }
// compilenode returning if5191
    gc_frame_newslot(if5191);
    if5176 = if5191;
  }
// compilenode returning if5176
    gc_frame_newslot(if5176);
    if5161 = if5176;
  }
// compilenode returning if5161
    gc_frame_newslot(if5161);
    if5155 = if5161;
  }
// compilenode returning if5155
    gc_frame_newslot(if5155);
    if5149 = if5155;
  }
// compilenode returning if5149
    gc_frame_newslot(if5149);
    if5143 = if5149;
  }
// compilenode returning if5143
  gc_frame_end(frame);
  return if5143;
}
Object meth_parser__apply5276(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe5277 = gc_frame_new();
  partcv[0] = 0;
  Object call5278 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5277);
// compilenode returning call5278
  gc_frame_end(frame);
  return call5278;
}
Object meth_parser_expression5262(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 31, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "expression");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_statementToken = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for expression (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for expression");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sz = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sz");
  Object *var_tmpStatementToken = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "tmpStatementToken");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
// Begin line 1598
  setline(1598);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1597
  setline(1597);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5263 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call5264 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe5263);
// compilenode returning call5264
// compilenode returning call5264
  *var_sz = call5264;
  if (call5264 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1625
  setline(1625);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1598
  setline(1598);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5266 = gc_frame_new();
  if (strlit5267 == NULL) {
    strlit5267 = alloc_String("lparen");
    gc_root(strlit5267);
  }
// compilenode returning strlit5267
  gc_frame_newslot(strlit5267);
  params[0] = strlit5267;
  partcv[0] = 1;
  Object call5268 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5266);
// compilenode returning call5268
  Object if5265 = done;
  if (istrue(call5268)) {
// Begin line 1600
  setline(1600);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1599
  setline(1599);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_statementToken
  *var_tmpStatementToken = *var_statementToken;
  if (*var_statementToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1601
  setline(1601);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1600
  setline(1600);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1601
  setline(1601);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5270 = gc_frame_new();
  partcv[0] = 0;
  Object call5271 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5270);
// compilenode returning call5271
// Begin line 1613
  setline(1613);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1602
  setline(1602);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5273 = gc_frame_new();
  int callframe5274 = gc_frame_new();
  Object block5275 = alloc_Block(NULL, NULL, "parser", 1602);
  gc_frame_newslot(block5275);
  block_savedest(block5275);
  Object closure5276 = createclosure(1, "_apply");
setclosureframe(closure5276, stackframe);
  addtoclosure(closure5276, selfslot);
  struct UserObject *uo5276 = (struct UserObject*)block5275;
  uo5276->data[0] = (Object)closure5276;
  Method *meth_meth_parser__apply5276 = addmethod2pos(block5275, "_apply", &meth_parser__apply5276, 0);
int argcv_meth_parser__apply5276[] = {0};
meth_meth_parser__apply5276->type = alloc_MethodType(1, argcv_meth_parser__apply5276);
  meth_meth_parser__apply5276->definitionModule = modulename;
  meth_meth_parser__apply5276->definitionLine = 1602;
// compilenode returning block5275
  gc_frame_newslot(block5275);
  params[0] = block5275;
  partcv[0] = 1;
  Object call5280 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5274);
// compilenode returning call5280
  partcv[0] = 0;
  Object call5281 = callmethod(call5280, "not",
    1, partcv, params);
  gc_frame_end(callframe5273);
// compilenode returning call5281
// compilenode returning call5281
  Object if5272 = done;
  if (istrue(call5281)) {
// Begin line 1604
  setline(1604);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1603
  setline(1603);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5282 = gc_frame_new();
  int callframe5283 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5284 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5283);
// compilenode returning call5284
// compilenode returning call5284
  partcv[0] = 0;
  Object call5285 = callmethod(call5284, "new",
    1, partcv, params);
  gc_frame_end(callframe5282);
// compilenode returning call5285
// compilenode returning call5285
  *var_suggestion = call5285;
  if (call5285 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1604
  setline(1604);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5286 = gc_frame_new();
  if (strlit5287 == NULL) {
    strlit5287 = alloc_String("rparen");
    gc_root(strlit5287);
  }
// compilenode returning strlit5287
  gc_frame_newslot(strlit5287);
  params[0] = strlit5287;
  partcv[0] = 1;
  Object call5288 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5286);
// compilenode returning call5288
  *var_nextTok = call5288;
  if (call5288 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1610
  setline(1610);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1605
  setline(1605);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_5290 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_5290 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult5292 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult5292
  Object if5289 = done;
  if (istrue(opresult5292)) {
// Begin line 1606
  setline(1606);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5293 = gc_frame_new();
  if (strlit5294 == NULL) {
    strlit5294 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit5294);
  }
// compilenode returning strlit5294
  gc_frame_newslot(strlit5294);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit5294;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5295 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5293);
// compilenode returning call5295
    gc_frame_newslot(call5295);
    if5289 = call5295;
  } else {
// Begin line 1608
  setline(1608);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5296 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe5297 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call5298 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe5297);
// compilenode returning call5298
// compilenode returning call5298
  gc_frame_newslot(call5298);
  Object bool5299 = alloc_Boolean(1);
// compilenode returning bool5299
  gc_frame_newslot(bool5299);
  Object bool5300 = alloc_Boolean(0);
// compilenode returning bool5300
  gc_frame_newslot(bool5300);
  if (strlit5301 == NULL) {
    strlit5301 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit5301);
  }
// compilenode returning strlit5301
  gc_frame_newslot(strlit5301);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call5298;
  params[2] = bool5299;
  params[3] = bool5300;
  params[4] = strlit5301;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call5302 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe5296);
// compilenode returning call5302
    gc_frame_newslot(call5302);
    if5289 = call5302;
  }
// compilenode returning if5289
// Begin line 1610
  setline(1610);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5303 = gc_frame_new();
  if (strlit5304 == NULL) {
    strlit5304 = alloc_String("Parentheses must contain a valid expression.");
    gc_root(strlit5304);
  }
// compilenode returning strlit5304
  gc_frame_newslot(strlit5304);
// Begin line 1611
  setline(1611);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5305 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5306 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5305);
// compilenode returning call5306
// compilenode returning call5306
  gc_frame_newslot(call5306);
  int callframe5307 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5308 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5307);
// compilenode returning call5308
// compilenode returning call5308
  gc_frame_newslot(call5308);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1610
  setline(1610);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit5304;
  params[1] = call5306;
  params[2] = call5308;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5309 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe5303);
// compilenode returning call5309
    gc_frame_newslot(call5309);
    if5272 = call5309;
  } else {
  }
// compilenode returning if5272
// Begin line 1620
  setline(1620);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1613
  setline(1613);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5312 == NULL) {
    strlit5312 = alloc_String("rparen");
    gc_root(strlit5312);
  }
// compilenode returning strlit5312
  int op_slot_right_5311 = gc_frame_newslot(strlit5312);
  int callframe5314 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5315 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe5314);
// compilenode returning call5315
// compilenode returning call5315
  int op_slot_left_5311 = gc_frame_newslot(call5315);
  params[0] = strlit5312;
  partcv[0] = 1;
  Object opresult5316 = callmethod(call5315, "!=", 1, partcv, params);
// compilenode returning opresult5316
  Object if5310 = done;
  if (istrue(opresult5316)) {
// Begin line 1614
  setline(1614);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5317 = gc_frame_new();
  partcv[0] = 0;
  Object call5318 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5317);
// compilenode returning call5318
// Begin line 1616
  setline(1616);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1615
  setline(1615);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5319 = gc_frame_new();
  int callframe5320 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5321 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5320);
// compilenode returning call5321
// compilenode returning call5321
  partcv[0] = 0;
  Object call5322 = callmethod(call5321, "new",
    1, partcv, params);
  gc_frame_end(callframe5319);
// compilenode returning call5322
// compilenode returning call5322
  *var_suggestion = call5322;
  if (call5322 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1616
  setline(1616);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5323 = gc_frame_new();
  if (strlit5324 == NULL) {
    strlit5324 = alloc_String(")");
    gc_root(strlit5324);
  }
// compilenode returning strlit5324
  gc_frame_newslot(strlit5324);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit5324;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5325 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5323);
// compilenode returning call5325
// Begin line 1617
  setline(1617);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5326 = gc_frame_new();
  if (strlit5327 == NULL) {
    strlit5327 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit5327);
  }
// compilenode returning strlit5327
  gc_frame_newslot(strlit5327);
// Begin line 1618
  setline(1618);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5328 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5329 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe5328);
// compilenode returning call5329
// compilenode returning call5329
  gc_frame_newslot(call5329);
  int callframe5331 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5332 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe5331);
// compilenode returning call5332
// compilenode returning call5332
  int op_slot_right_5330 = gc_frame_newslot(call5332);
  int callframe5334 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5335 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5334);
// compilenode returning call5335
// compilenode returning call5335
  int op_slot_left_5330 = gc_frame_newslot(call5335);
  params[0] = call5332;
  partcv[0] = 1;
  Object sum5336 = callmethod(call5335, "+", 1, partcv, params);
// compilenode returning sum5336
  gc_frame_newslot(sum5336);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1617
  setline(1617);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit5327;
  params[1] = call5329;
  params[2] = sum5336;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5337 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe5326);
// compilenode returning call5337
    gc_frame_newslot(call5337);
    if5310 = call5337;
  } else {
  }
// compilenode returning if5310
// Begin line 1621
  setline(1621);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1620
  setline(1620);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_tmpStatementToken
  *var_statementToken = *var_tmpStatementToken;
  if (*var_tmpStatementToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1621
  setline(1621);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5339 = gc_frame_new();
  partcv[0] = 0;
  Object call5340 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5339);
// compilenode returning call5340
    gc_frame_newslot(call5340);
    if5265 = call5340;
  } else {
// Begin line 1623
  setline(1623);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5341 = gc_frame_new();
  partcv[0] = 0;
  Object call5342 = callmethodflags(self, "term", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5341);
// compilenode returning call5342
    gc_frame_newslot(call5342);
    if5265 = call5342;
  }
// compilenode returning if5265
// Begin line 1631
  setline(1631);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1625
  setline(1625);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sz
  int op_slot_right_5344 = gc_frame_newslot(*var_sz);
  int callframe5346 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call5347 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe5346);
// compilenode returning call5347
// compilenode returning call5347
  int op_slot_left_5344 = gc_frame_newslot(call5347);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult5348 = callmethod(call5347, ">", 1, partcv, params);
// compilenode returning opresult5348
  Object if5343 = done;
  if (istrue(opresult5348)) {
// Begin line 1626
  setline(1626);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5349 = gc_frame_new();
  partcv[0] = 0;
  Object call5350 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5349);
// compilenode returning call5350
// Begin line 1627
  setline(1627);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5351 = gc_frame_new();
  partcv[0] = 0;
  Object call5352 = callmethodflags(self, "callrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5351);
// compilenode returning call5352
// Begin line 1628
  setline(1628);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5353 = gc_frame_new();
  partcv[0] = 0;
  Object call5354 = callmethodflags(self, "postfixsquare", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5353);
// compilenode returning call5354
// Begin line 1629
  setline(1629);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5355 = gc_frame_new();
  partcv[0] = 0;
  Object call5356 = callmethodflags(self, "expressionrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5355);
// compilenode returning call5356
    gc_frame_newslot(call5356);
    if5343 = call5356;
  } else {
  }
// compilenode returning if5343
  gc_frame_end(frame);
  return if5343;
}
Object meth_parser__apply5370(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe5371 = gc_frame_new();
  partcv[0] = 0;
  Object call5372 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5371);
// compilenode returning call5372
  gc_frame_end(frame);
  return call5372;
}
Object meth_parser_postfixsquare5357(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 32, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "postfixsquare");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for postfixsquare (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for postfixsquare");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_expr = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "expr");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_index = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "index");
  Object *var_o = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "o");
// Begin line 1671
  setline(1671);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1636
  setline(1636);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5359 = gc_frame_new();
  if (strlit5360 == NULL) {
    strlit5360 = alloc_String("lsquare");
    gc_root(strlit5360);
  }
// compilenode returning strlit5360
  gc_frame_newslot(strlit5360);
  params[0] = strlit5360;
  partcv[0] = 1;
  Object call5361 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5359);
// compilenode returning call5361
  Object if5358 = done;
  if (istrue(call5361)) {
// Begin line 1637
  setline(1637);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5362 = gc_frame_new();
  partcv[0] = 0;
  Object call5363 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5362);
// compilenode returning call5363
// Begin line 1639
  setline(1639);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1638
  setline(1638);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5364 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call5365 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe5364);
// compilenode returning call5365
// compilenode returning call5365
  *var_expr = call5365;
  if (call5365 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1657
  setline(1657);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1639
  setline(1639);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5367 = gc_frame_new();
  int callframe5368 = gc_frame_new();
  Object block5369 = alloc_Block(NULL, NULL, "parser", 1639);
  gc_frame_newslot(block5369);
  block_savedest(block5369);
  Object closure5370 = createclosure(1, "_apply");
setclosureframe(closure5370, stackframe);
  addtoclosure(closure5370, selfslot);
  struct UserObject *uo5370 = (struct UserObject*)block5369;
  uo5370->data[0] = (Object)closure5370;
  Method *meth_meth_parser__apply5370 = addmethod2pos(block5369, "_apply", &meth_parser__apply5370, 0);
int argcv_meth_parser__apply5370[] = {0};
meth_meth_parser__apply5370->type = alloc_MethodType(1, argcv_meth_parser__apply5370);
  meth_meth_parser__apply5370->definitionModule = modulename;
  meth_meth_parser__apply5370->definitionLine = 1639;
// compilenode returning block5369
  gc_frame_newslot(block5369);
  params[0] = block5369;
  partcv[0] = 1;
  Object call5374 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5368);
// compilenode returning call5374
  partcv[0] = 0;
  Object call5375 = callmethod(call5374, "not",
    1, partcv, params);
  gc_frame_end(callframe5367);
// compilenode returning call5375
// compilenode returning call5375
  Object if5366 = done;
  if (istrue(call5375)) {
// Begin line 1641
  setline(1641);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1640
  setline(1640);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array5376 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array5376
  *var_suggestions = array5376;
  if (array5376 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1642
  setline(1642);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1641
  setline(1641);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5377 = gc_frame_new();
  int callframe5378 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5379 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5378);
// compilenode returning call5379
// compilenode returning call5379
  partcv[0] = 0;
  Object call5380 = callmethod(call5379, "new",
    1, partcv, params);
  gc_frame_end(callframe5377);
// compilenode returning call5380
// compilenode returning call5380
  *var_suggestion = call5380;
  if (call5380 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1642
  setline(1642);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5381 = gc_frame_new();
  if (strlit5382 == NULL) {
    strlit5382 = alloc_String("rsquare");
    gc_root(strlit5382);
  }
// compilenode returning strlit5382
  gc_frame_newslot(strlit5382);
  params[0] = strlit5382;
  partcv[0] = 1;
  Object call5383 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5381);
// compilenode returning call5383
  *var_nextTok = call5383;
  if (call5383 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1648
  setline(1648);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1643
  setline(1643);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_5385 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_5385 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult5387 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult5387
  Object if5384 = done;
  if (istrue(opresult5387)) {
// Begin line 1644
  setline(1644);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5388 = gc_frame_new();
  if (strlit5389 == NULL) {
    strlit5389 = alloc_String("""\xc2""""\xab""index""\xc2""""\xbb""");
    gc_root(strlit5389);
  }
// compilenode returning strlit5389
  gc_frame_newslot(strlit5389);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit5389;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5390 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5388);
// compilenode returning call5390
    gc_frame_newslot(call5390);
    if5384 = call5390;
  } else {
// Begin line 1646
  setline(1646);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5391 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe5392 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call5393 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe5392);
// compilenode returning call5393
// compilenode returning call5393
  gc_frame_newslot(call5393);
  Object bool5394 = alloc_Boolean(1);
// compilenode returning bool5394
  gc_frame_newslot(bool5394);
  Object bool5395 = alloc_Boolean(0);
// compilenode returning bool5395
  gc_frame_newslot(bool5395);
  if (strlit5396 == NULL) {
    strlit5396 = alloc_String("""\xc2""""\xab""index""\xc2""""\xbb""");
    gc_root(strlit5396);
  }
// compilenode returning strlit5396
  gc_frame_newslot(strlit5396);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call5393;
  params[2] = bool5394;
  params[3] = bool5395;
  params[4] = strlit5396;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call5397 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe5391);
// compilenode returning call5397
    gc_frame_newslot(call5397);
    if5384 = call5397;
  }
// compilenode returning if5384
// Begin line 1648
  setline(1648);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5398 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5399 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5398);
// compilenode returning call5399
// Begin line 1654
  setline(1654);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1649
  setline(1649);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5402 == NULL) {
    strlit5402 = alloc_String("rsquare");
    gc_root(strlit5402);
  }
// compilenode returning strlit5402
  int op_slot_right_5401 = gc_frame_newslot(strlit5402);
  int callframe5404 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call5405 = callmethod(*var_nextTok, "kind",
    1, partcv, params);
  gc_frame_end(callframe5404);
// compilenode returning call5405
// compilenode returning call5405
  int op_slot_left_5401 = gc_frame_newslot(call5405);
  params[0] = strlit5402;
  partcv[0] = 1;
  Object opresult5406 = callmethod(call5405, "==", 1, partcv, params);
// compilenode returning opresult5406
  Object if5400 = done;
  if (istrue(opresult5406)) {
// Begin line 1651
  setline(1651);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1650
  setline(1650);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5407 = gc_frame_new();
  int callframe5408 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5409 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5408);
// compilenode returning call5409
// compilenode returning call5409
  partcv[0] = 0;
  Object call5410 = callmethod(call5409, "new",
    1, partcv, params);
  gc_frame_end(callframe5407);
// compilenode returning call5410
// compilenode returning call5410
  *var_suggestion = call5410;
  if (call5410 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1651
  setline(1651);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5412 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_nextTok
  gc_frame_newslot(*var_nextTok);
  Object bool5413 = alloc_Boolean(1);
// compilenode returning bool5413
  gc_frame_newslot(bool5413);
  Object bool5414 = alloc_Boolean(0);
// compilenode returning bool5414
  gc_frame_newslot(bool5414);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = *var_nextTok;
  params[2] = bool5413;
  params[3] = bool5414;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5415 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe5412);
// compilenode returning call5415
// Begin line 1652
  setline(1652);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5416 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5417 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5416);
// compilenode returning call5417
    gc_frame_newslot(call5417);
    if5400 = call5417;
  } else {
  }
// compilenode returning if5400
// Begin line 1654
  setline(1654);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5418 = gc_frame_new();
  if (strlit5419 == NULL) {
    strlit5419 = alloc_String("A '[' in an expression must be followed by another expression and a ']'.");
    gc_root(strlit5419);
  }
// compilenode returning strlit5419
  gc_frame_newslot(strlit5419);
// Begin line 1655
  setline(1655);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5420 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5421 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5420);
// compilenode returning call5421
// compilenode returning call5421
  gc_frame_newslot(call5421);
  int callframe5422 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5423 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5422);
// compilenode returning call5423
// compilenode returning call5423
  gc_frame_newslot(call5423);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1654
  setline(1654);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit5419;
  params[1] = call5421;
  params[2] = call5423;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5424 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe5418);
// compilenode returning call5424
    gc_frame_newslot(call5424);
    if5366 = call5424;
  } else {
  }
// compilenode returning if5366
// Begin line 1658
  setline(1658);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1657
  setline(1657);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5425 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call5426 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe5425);
// compilenode returning call5426
// compilenode returning call5426
  *var_index = call5426;
  if (call5426 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1664
  setline(1664);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1658
  setline(1658);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5429 == NULL) {
    strlit5429 = alloc_String("rsquare");
    gc_root(strlit5429);
  }
// compilenode returning strlit5429
  int op_slot_right_5428 = gc_frame_newslot(strlit5429);
  int callframe5431 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5432 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe5431);
// compilenode returning call5432
// compilenode returning call5432
  int op_slot_left_5428 = gc_frame_newslot(call5432);
  params[0] = strlit5429;
  partcv[0] = 1;
  Object opresult5433 = callmethod(call5432, "!=", 1, partcv, params);
// compilenode returning opresult5433
  Object if5427 = done;
  if (istrue(opresult5433)) {
// Begin line 1660
  setline(1660);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1659
  setline(1659);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5434 = gc_frame_new();
  int callframe5435 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5436 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5435);
// compilenode returning call5436
// compilenode returning call5436
  partcv[0] = 0;
  Object call5437 = callmethod(call5436, "new",
    1, partcv, params);
  gc_frame_end(callframe5434);
// compilenode returning call5437
// compilenode returning call5437
  *var_suggestion = call5437;
  if (call5437 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1660
  setline(1660);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5438 = gc_frame_new();
  if (strlit5439 == NULL) {
    strlit5439 = alloc_String("]");
    gc_root(strlit5439);
  }
// compilenode returning strlit5439
  gc_frame_newslot(strlit5439);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit5439;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5440 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5438);
// compilenode returning call5440
// Begin line 1661
  setline(1661);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5441 = gc_frame_new();
  if (strlit5442 == NULL) {
    strlit5442 = alloc_String("A '[' in an expression must be followed by another expression and a ']'.");
    gc_root(strlit5442);
  }
// compilenode returning strlit5442
  gc_frame_newslot(strlit5442);
// Begin line 1662
  setline(1662);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5443 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5444 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe5443);
// compilenode returning call5444
// compilenode returning call5444
  gc_frame_newslot(call5444);
  int callframe5446 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5447 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe5446);
// compilenode returning call5447
// compilenode returning call5447
  int op_slot_right_5445 = gc_frame_newslot(call5447);
  int callframe5449 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5450 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5449);
// compilenode returning call5450
// compilenode returning call5450
  int op_slot_left_5445 = gc_frame_newslot(call5450);
  params[0] = call5447;
  partcv[0] = 1;
  Object sum5451 = callmethod(call5450, "+", 1, partcv, params);
// compilenode returning sum5451
  gc_frame_newslot(sum5451);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1661
  setline(1661);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit5442;
  params[1] = call5444;
  params[2] = sum5451;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5452 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe5441);
// compilenode returning call5452
    gc_frame_newslot(call5452);
    if5427 = call5452;
  } else {
  }
// compilenode returning if5427
// Begin line 1664
  setline(1664);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5453 = gc_frame_new();
  partcv[0] = 0;
  Object call5454 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5453);
// compilenode returning call5454
// Begin line 1665
  setline(1665);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5455 = gc_frame_new();
// compilenode returning *var_expr
  gc_frame_newslot(*var_expr);
// compilenode returning *var_index
  gc_frame_newslot(*var_index);
  int callframe5456 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call5457 = callmethod(*var_ast, "indexNode",
    1, partcv, params);
  gc_frame_end(callframe5456);
// compilenode returning call5457
// compilenode returning call5457
  params[0] = *var_expr;
  params[1] = *var_index;
  partcv[0] = 2;
  Object call5458 = callmethod(call5457, "new",
    1, partcv, params);
  gc_frame_end(callframe5455);
// compilenode returning call5458
  *var_o = call5458;
  if (call5458 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1666
  setline(1666);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5459 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call5460 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe5459);
// compilenode returning call5460
// Begin line 1667
  setline(1667);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5461 = gc_frame_new();
  partcv[0] = 0;
  Object call5462 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5461);
// compilenode returning call5462
// Begin line 1668
  setline(1668);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5463 = gc_frame_new();
  partcv[0] = 0;
  Object call5464 = callmethodflags(self, "callrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5463);
// compilenode returning call5464
// Begin line 1669
  setline(1669);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5465 = gc_frame_new();
  partcv[0] = 0;
  Object call5466 = callmethodflags(self, "postfixsquare", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5465);
// compilenode returning call5466
    gc_frame_newslot(call5466);
    if5358 = call5466;
  } else {
  }
// compilenode returning if5358
  gc_frame_end(frame);
  return if5358;
}
Object meth_parser_oprec5467(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "oprec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for oprec (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for oprec");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1682
  setline(1682);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1677
  setline(1677);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5470 == NULL) {
    strlit5470 = alloc_String("*");
    gc_root(strlit5470);
  }
// compilenode returning strlit5470
  int op_slot_right_5469 = gc_frame_newslot(strlit5470);
// compilenode returning *var_o
  int op_slot_left_5469 = gc_frame_newslot(*var_o);
  params[0] = strlit5470;
  partcv[0] = 1;
  Object opresult5472 = callmethod(*var_o, "==", 1, partcv, params);
// compilenode returning opresult5472
  Object if5468 = done;
  if (istrue(opresult5472)) {
// Begin line 1679
  setline(1679);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1678
  setline(1678);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num5473 = alloc_Float64(10);
// compilenode returning num5473
  return num5473;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if5468 = undefined;
  } else {
// Begin line 1682
  setline(1682);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1679
  setline(1679);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5476 == NULL) {
    strlit5476 = alloc_String("/");
    gc_root(strlit5476);
  }
// compilenode returning strlit5476
  int op_slot_right_5475 = gc_frame_newslot(strlit5476);
// compilenode returning *var_o
  int op_slot_left_5475 = gc_frame_newslot(*var_o);
  params[0] = strlit5476;
  partcv[0] = 1;
  Object opresult5478 = callmethod(*var_o, "==", 1, partcv, params);
// compilenode returning opresult5478
  Object if5474 = done;
  if (istrue(opresult5478)) {
// Begin line 1681
  setline(1681);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1680
  setline(1680);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num5479 = alloc_Float64(10);
// compilenode returning num5479
  return num5479;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if5474 = undefined;
  } else {
  }
// compilenode returning if5474
    gc_frame_newslot(if5474);
    if5468 = if5474;
  }
// compilenode returning if5468
// Begin line 1683
  setline(1683);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1682
  setline(1682);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num5480 = alloc_Float64(5);
// compilenode returning num5480
  return num5480;
// compilenode returning undefined
  gc_frame_end(frame);
  return undefined;
}
Object meth_parser_toprec5481(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toprec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toprec (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ops = &(stackframe->slots[0]);
  *var_ops = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for toprec");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_o = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "o");
// Begin line 1691
  setline(1691);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1687
  setline(1687);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num5484 = alloc_Float64(0);
// compilenode returning num5484
  int op_slot_right_5483 = gc_frame_newslot(num5484);
  int callframe5486 = gc_frame_new();
// compilenode returning *var_ops
  partcv[0] = 0;
  Object call5487 = callmethod(*var_ops, "size",
    1, partcv, params);
  gc_frame_end(callframe5486);
// compilenode returning call5487
// compilenode returning call5487
  int op_slot_left_5483 = gc_frame_newslot(call5487);
  params[0] = num5484;
  partcv[0] = 1;
  Object opresult5488 = callmethod(call5487, ">", 1, partcv, params);
// compilenode returning opresult5488
  Object if5482 = done;
  if (istrue(opresult5488)) {
// Begin line 1689
  setline(1689);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1688
  setline(1688);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5489 = gc_frame_new();
// compilenode returning *var_ops
  partcv[0] = 0;
  Object call5490 = callmethod(*var_ops, "last",
    1, partcv, params);
  gc_frame_end(callframe5489);
// compilenode returning call5490
// compilenode returning call5490
  *var_o = call5490;
  if (call5490 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1689
  setline(1689);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5491 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
  params[0] = *var_o;
  partcv[0] = 1;
  Object call5492 = callmethodflags(self, "oprec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5491);
// compilenode returning call5492
  return call5492;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if5482 = undefined;
  } else {
  }
// compilenode returning if5482
// Begin line 1691
  setline(1691);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num5493 = alloc_Float64(0);
// compilenode returning num5493
  gc_frame_end(frame);
  return num5493;
}
Object meth_parser__apply5513(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit5515 == NULL) {
    strlit5515 = alloc_String("=");
    gc_root(strlit5515);
  }
// compilenode returning strlit5515
  int op_slot_right_5514 = gc_frame_newslot(strlit5515);
  int callframe5517 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5518 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe5517);
// compilenode returning call5518
// compilenode returning call5518
  int op_slot_left_5514 = gc_frame_newslot(call5518);
  params[0] = strlit5515;
  partcv[0] = 1;
  Object opresult5519 = callmethod(call5518, "!=", 1, partcv, params);
// compilenode returning opresult5519
  gc_frame_end(frame);
  return opresult5519;
}
Object meth_parser__apply5510(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_statementToken = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1712
  setline(1712);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5511 = gc_frame_new();
  Object block5512 = alloc_Block(NULL, NULL, "parser", 1712);
  gc_frame_newslot(block5512);
  block_savedest(block5512);
  Object closure5513 = createclosure(2, "_apply");
setclosureframe(closure5513, stackframe);
  addtoclosure(closure5513, var_sym);
  addtoclosure(closure5513, selfslot);
  struct UserObject *uo5513 = (struct UserObject*)block5512;
  uo5513->data[0] = (Object)closure5513;
  Method *meth_meth_parser__apply5513 = addmethod2pos(block5512, "_apply", &meth_parser__apply5513, 0);
int argcv_meth_parser__apply5513[] = {0};
meth_meth_parser__apply5513->type = alloc_MethodType(1, argcv_meth_parser__apply5513);
  meth_meth_parser__apply5513->definitionModule = modulename;
  meth_meth_parser__apply5513->definitionLine = 1705;
// compilenode returning block5512
  gc_frame_newslot(block5512);
// Begin line 1711
  setline(1711);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5521 = gc_frame_new();
  if (strlit5522 == NULL) {
    strlit5522 = alloc_String("op");
    gc_root(strlit5522);
  }
// compilenode returning strlit5522
  gc_frame_newslot(strlit5522);
// compilenode returning *var_statementToken
  gc_frame_newslot(*var_statementToken);
  params[0] = strlit5522;
  params[1] = *var_statementToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5523 = callmethodflags(self, "accept()onLineOfLastOr", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5521);
// compilenode returning call5523
  params[0] = block5512;
  partcv[0] = 1;
  Object call5524 = callmethod(call5523, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe5511);
// compilenode returning call5524
  gc_frame_end(frame);
  return call5524;
}
Object meth_parser__apply5635(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ops = getfromclosure(closure, 0);
  Object *var_prec = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe5638 = gc_frame_new();
// compilenode returning *var_ops
  gc_frame_newslot(*var_ops);
  params[0] = *var_ops;
  partcv[0] = 1;
  Object call5639 = callmethodflags(self, "toprec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5638);
// compilenode returning call5639
  int op_slot_right_5637 = gc_frame_newslot(call5639);
// compilenode returning *var_prec
  int op_slot_left_5637 = gc_frame_newslot(*var_prec);
  params[0] = call5639;
  partcv[0] = 1;
  Object opresult5641 = callmethod(*var_prec, "<=", 1, partcv, params);
// compilenode returning opresult5641
  int op_slot_right_5636 = gc_frame_newslot(opresult5641);
  Object num5644 = alloc_Float64(0);
// compilenode returning num5644
  int op_slot_right_5643 = gc_frame_newslot(num5644);
  int callframe5646 = gc_frame_new();
// compilenode returning *var_ops
  partcv[0] = 0;
  Object call5647 = callmethod(*var_ops, "size",
    1, partcv, params);
  gc_frame_end(callframe5646);
// compilenode returning call5647
// compilenode returning call5647
  int op_slot_left_5643 = gc_frame_newslot(call5647);
  params[0] = num5644;
  partcv[0] = 1;
  Object opresult5648 = callmethod(call5647, ">", 1, partcv, params);
// compilenode returning opresult5648
  int op_slot_left_5636 = gc_frame_newslot(opresult5648);
  params[0] = opresult5641;
  partcv[0] = 1;
  Object opresult5649 = callmethod(opresult5648, "&&", 1, partcv, params);
// compilenode returning opresult5649
  gc_frame_end(frame);
  return opresult5649;
}
Object meth_parser__apply5652(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_ops = getfromclosure(closure, 0);
  Object *var_o2 = getfromclosure(closure, 1);
  Object *var_terms = getfromclosure(closure, 2);
  Object *var_tmp2 = getfromclosure(closure, 3);
  Object *var_tmp = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1744
  setline(1744);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1743
  setline(1743);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5653 = gc_frame_new();
// compilenode returning *var_ops
  partcv[0] = 0;
  Object call5654 = callmethod(*var_ops, "pop",
    1, partcv, params);
  gc_frame_end(callframe5653);
// compilenode returning call5654
// compilenode returning call5654
  *var_o2 = call5654;
  if (call5654 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1745
  setline(1745);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1744
  setline(1744);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5656 = gc_frame_new();
// compilenode returning *var_terms
  partcv[0] = 0;
  Object call5657 = callmethod(*var_terms, "pop",
    1, partcv, params);
  gc_frame_end(callframe5656);
// compilenode returning call5657
// compilenode returning call5657
  *var_tmp2 = call5657;
  if (call5657 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1746
  setline(1746);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1745
  setline(1745);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5659 = gc_frame_new();
// compilenode returning *var_terms
  partcv[0] = 0;
  Object call5660 = callmethod(*var_terms, "pop",
    1, partcv, params);
  gc_frame_end(callframe5659);
// compilenode returning call5660
// compilenode returning call5660
  *var_tmp = call5660;
  if (call5660 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1746
  setline(1746);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5662 = gc_frame_new();
// compilenode returning *var_o2
  gc_frame_newslot(*var_o2);
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_tmp2
  gc_frame_newslot(*var_tmp2);
  int callframe5663 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call5664 = callmethod(*var_ast, "opNode",
    1, partcv, params);
  gc_frame_end(callframe5663);
// compilenode returning call5664
// compilenode returning call5664
  params[0] = *var_o2;
  params[1] = *var_tmp;
  params[2] = *var_tmp2;
  partcv[0] = 3;
  Object call5665 = callmethod(call5664, "new",
    1, partcv, params);
  gc_frame_end(callframe5662);
// compilenode returning call5665
  *var_tmp = call5665;
  if (call5665 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1747
  setline(1747);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5667 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_terms
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call5668 = callmethod(*var_terms, "push",
    1, partcv, params);
  gc_frame_end(callframe5667);
// compilenode returning call5668
  gc_frame_end(frame);
  return call5668;
}
Object meth_parser__apply5683(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe5684 = gc_frame_new();
  partcv[0] = 0;
  Object call5685 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5684);
// compilenode returning call5685
  gc_frame_end(frame);
  return call5685;
}
Object meth_parser__apply5820(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe5821 = gc_frame_new();
  partcv[0] = 0;
  Object call5822 = callmethodflags(self, "term", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5821);
// compilenode returning call5822
  gc_frame_end(frame);
  return call5822;
}
Object meth_parser__apply5527(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(11, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_opcount = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_o = getfromclosure(closure, 2);
  Object *var_prec = getfromclosure(closure, 3);
  Object *var_allarith = getfromclosure(closure, 4);
  Object *var_opdtype = getfromclosure(closure, 5);
  Object *var_errormessages = getfromclosure(closure, 6);
  Object *var_lastToken = getfromclosure(closure, 7);
  Object *var_ops = getfromclosure(closure, 8);
  Object *var_o2 = getfromclosure(closure, 9);
  Object *var_terms = getfromclosure(closure, 10);
  Object *var_tmp2 = getfromclosure(closure, 11);
  Object *var_tmp = getfromclosure(closure, 12);
  Object *var_ast = getfromclosure(closure, 13);
  Object *var_util = getfromclosure(closure, 14);
  Object *var_values = getfromclosure(closure, 15);
  Object self = *(getfromclosure(closure, 16));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
// Begin line 1714
  setline(1714);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1713
  setline(1713);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num5529 = alloc_Float64(1);
// compilenode returning num5529
  int op_slot_right_5528 = gc_frame_newslot(num5529);
// compilenode returning *var_opcount
  int op_slot_left_5528 = gc_frame_newslot(*var_opcount);
  params[0] = num5529;
  partcv[0] = 1;
  Object sum5531 = callmethod(*var_opcount, "+", 1, partcv, params);
// compilenode returning sum5531
  *var_opcount = sum5531;
  if (sum5531 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1715
  setline(1715);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1714
  setline(1714);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5533 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5534 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe5533);
// compilenode returning call5534
// compilenode returning call5534
  *var_o = call5534;
  if (call5534 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1715
  setline(1715);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5536 = gc_frame_new();
  partcv[0] = 0;
  Object call5537 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5536);
// compilenode returning call5537
// Begin line 1716
  setline(1716);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5538 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
  params[0] = *var_o;
  partcv[0] = 1;
  Object call5539 = callmethodflags(self, "oprec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5538);
// compilenode returning call5539
  *var_prec = call5539;
  if (call5539 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1720
  setline(1720);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1717
  setline(1717);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5544 == NULL) {
    strlit5544 = alloc_String("-");
    gc_root(strlit5544);
  }
// compilenode returning strlit5544
  int op_slot_right_5543 = gc_frame_newslot(strlit5544);
// compilenode returning *var_o
  int op_slot_left_5543 = gc_frame_newslot(*var_o);
  params[0] = strlit5544;
  partcv[0] = 1;
  Object opresult5546 = callmethod(*var_o, "!=", 1, partcv, params);
// compilenode returning opresult5546
  int op_slot_right_5542 = gc_frame_newslot(opresult5546);
  if (strlit5550 == NULL) {
    strlit5550 = alloc_String("+");
    gc_root(strlit5550);
  }
// compilenode returning strlit5550
  int op_slot_right_5549 = gc_frame_newslot(strlit5550);
// compilenode returning *var_o
  int op_slot_left_5549 = gc_frame_newslot(*var_o);
  params[0] = strlit5550;
  partcv[0] = 1;
  Object opresult5552 = callmethod(*var_o, "!=", 1, partcv, params);
// compilenode returning opresult5552
  int op_slot_right_5548 = gc_frame_newslot(opresult5552);
  if (strlit5556 == NULL) {
    strlit5556 = alloc_String("/");
    gc_root(strlit5556);
  }
// compilenode returning strlit5556
  int op_slot_right_5555 = gc_frame_newslot(strlit5556);
// compilenode returning *var_o
  int op_slot_left_5555 = gc_frame_newslot(*var_o);
  params[0] = strlit5556;
  partcv[0] = 1;
  Object opresult5558 = callmethod(*var_o, "!=", 1, partcv, params);
// compilenode returning opresult5558
  int op_slot_right_5554 = gc_frame_newslot(opresult5558);
  if (strlit5561 == NULL) {
    strlit5561 = alloc_String("*");
    gc_root(strlit5561);
  }
// compilenode returning strlit5561
  int op_slot_right_5560 = gc_frame_newslot(strlit5561);
// compilenode returning *var_o
  int op_slot_left_5560 = gc_frame_newslot(*var_o);
  params[0] = strlit5561;
  partcv[0] = 1;
  Object opresult5563 = callmethod(*var_o, "!=", 1, partcv, params);
// compilenode returning opresult5563
  int op_slot_left_5554 = gc_frame_newslot(opresult5563);
  params[0] = opresult5558;
  partcv[0] = 1;
  Object opresult5564 = callmethod(opresult5563, "&&", 1, partcv, params);
// compilenode returning opresult5564
  int op_slot_left_5548 = gc_frame_newslot(opresult5564);
  params[0] = opresult5552;
  partcv[0] = 1;
  Object opresult5565 = callmethod(opresult5564, "&&", 1, partcv, params);
// compilenode returning opresult5565
  int op_slot_left_5542 = gc_frame_newslot(opresult5565);
  params[0] = opresult5546;
  partcv[0] = 1;
  Object opresult5566 = callmethod(opresult5565, "&&", 1, partcv, params);
// compilenode returning opresult5566
  Object if5541 = done;
  if (istrue(opresult5566)) {
// Begin line 1719
  setline(1719);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1718
  setline(1718);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5567 = alloc_Boolean(0);
// compilenode returning bool5567
  *var_allarith = bool5567;
  if (bool5567 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if5541 = done;
  } else {
  }
// compilenode returning if5541
// Begin line 1736
  setline(1736);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1720
  setline(1720);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5571 = gc_frame_new();
// compilenode returning *var_allarith
  partcv[0] = 0;
  Object call5572 = callmethod(*var_allarith, "not",
    1, partcv, params);
  gc_frame_end(callframe5571);
// compilenode returning call5572
// compilenode returning call5572
  int op_slot_right_5570 = gc_frame_newslot(call5572);
// compilenode returning *var_o
  int op_slot_right_5575 = gc_frame_newslot(*var_o);
// compilenode returning *var_opdtype
  int op_slot_left_5575 = gc_frame_newslot(*var_opdtype);
  params[0] = *var_o;
  partcv[0] = 1;
  Object opresult5577 = callmethod(*var_opdtype, "!=", 1, partcv, params);
// compilenode returning opresult5577
  int op_slot_right_5574 = gc_frame_newslot(opresult5577);
  if (strlit5580 == NULL) {
    strlit5580 = alloc_String("");
    gc_root(strlit5580);
  }
// compilenode returning strlit5580
  int op_slot_right_5579 = gc_frame_newslot(strlit5580);
// compilenode returning *var_opdtype
  int op_slot_left_5579 = gc_frame_newslot(*var_opdtype);
  params[0] = strlit5580;
  partcv[0] = 1;
  Object opresult5582 = callmethod(*var_opdtype, "!=", 1, partcv, params);
// compilenode returning opresult5582
  int op_slot_left_5574 = gc_frame_newslot(opresult5582);
  params[0] = opresult5577;
  partcv[0] = 1;
  Object opresult5583 = callmethod(opresult5582, "&&", 1, partcv, params);
// compilenode returning opresult5583
  int op_slot_left_5570 = gc_frame_newslot(opresult5583);
  params[0] = call5572;
  partcv[0] = 1;
  Object opresult5584 = callmethod(opresult5583, "&&", 1, partcv, params);
// compilenode returning opresult5584
  Object if5569 = done;
  if (istrue(opresult5584)) {
// Begin line 1725
  setline(1725);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1724
  setline(1724);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array5585 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array5585
  *var_suggestions = array5585;
  if (array5585 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1726
  setline(1726);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1725
  setline(1725);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5586 = gc_frame_new();
  int callframe5587 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5588 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5587);
// compilenode returning call5588
// compilenode returning call5588
  partcv[0] = 0;
  Object call5589 = callmethod(call5588, "new",
    1, partcv, params);
  gc_frame_end(callframe5586);
// compilenode returning call5589
// compilenode returning call5589
  *var_suggestion = call5589;
  if (call5589 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1726
  setline(1726);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5590 = gc_frame_new();
  if (strlit5591 == NULL) {
    strlit5591 = alloc_String(")");
    gc_root(strlit5591);
  }
// compilenode returning strlit5591
  gc_frame_newslot(strlit5591);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = strlit5591;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5592 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5590);
// compilenode returning call5592
// Begin line 1727
  setline(1727);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5593 = gc_frame_new();
  if (strlit5594 == NULL) {
    strlit5594 = alloc_String("(");
    gc_root(strlit5594);
  }
// compilenode returning strlit5594
  gc_frame_newslot(strlit5594);
  int callframe5595 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5596 = callmethod(*var_lastToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe5595);
// compilenode returning call5596
// compilenode returning call5596
  gc_frame_newslot(call5596);
// compilenode returning *var_suggestion
  params[0] = strlit5594;
  params[1] = call5596;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5597 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe5593);
// compilenode returning call5597
// Begin line 1728
  setline(1728);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5598 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5599 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5598);
// compilenode returning call5599
// Begin line 1730
  setline(1730);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1729
  setline(1729);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5600 = gc_frame_new();
  int callframe5601 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5602 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5601);
// compilenode returning call5602
// compilenode returning call5602
  partcv[0] = 0;
  Object call5603 = callmethod(call5602, "new",
    1, partcv, params);
  gc_frame_end(callframe5600);
// compilenode returning call5603
// compilenode returning call5603
  *var_suggestion = call5603;
  if (call5603 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1730
  setline(1730);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5605 = gc_frame_new();
  if (strlit5606 == NULL) {
    strlit5606 = alloc_String(")");
    gc_root(strlit5606);
  }
// compilenode returning strlit5606
  gc_frame_newslot(strlit5606);
  int callframe5607 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5608 = callmethod(*var_lastToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe5607);
// compilenode returning call5608
// compilenode returning call5608
  gc_frame_newslot(call5608);
// compilenode returning *var_suggestion
  params[0] = strlit5606;
  params[1] = call5608;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5609 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5605);
// compilenode returning call5609
// Begin line 1731
  setline(1731);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5610 = gc_frame_new();
  if (strlit5611 == NULL) {
    strlit5611 = alloc_String("(");
    gc_root(strlit5611);
  }
// compilenode returning strlit5611
  gc_frame_newslot(strlit5611);
  int callframe5612 = gc_frame_new();
  int callframe5613 = gc_frame_new();
  int callframe5614 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5615 = callmethod(*var_lastToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe5614);
// compilenode returning call5615
// compilenode returning call5615
  partcv[0] = 0;
  Object call5616 = callmethod(call5615, "prev",
    1, partcv, params);
  gc_frame_end(callframe5613);
// compilenode returning call5616
// compilenode returning call5616
  partcv[0] = 0;
  Object call5617 = callmethod(call5616, "prev",
    1, partcv, params);
  gc_frame_end(callframe5612);
// compilenode returning call5617
// compilenode returning call5617
  gc_frame_newslot(call5617);
// compilenode returning *var_suggestion
  params[0] = strlit5611;
  params[1] = call5617;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5618 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe5610);
// compilenode returning call5618
// Begin line 1732
  setline(1732);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5619 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5620 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5619);
// compilenode returning call5620
// Begin line 1733
  setline(1733);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5621 = gc_frame_new();
  if (strlit5622 == NULL) {
    strlit5622 = alloc_String("An expression containing both mathematical and non-mathematical operators requires parentheses.");
    gc_root(strlit5622);
  }
// compilenode returning strlit5622
  gc_frame_newslot(strlit5622);
// Begin line 1734
  setline(1734);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5623 = gc_frame_new();
  int callframe5624 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5625 = callmethod(*var_lastToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe5624);
// compilenode returning call5625
// compilenode returning call5625
  partcv[0] = 0;
  Object call5626 = callmethod(call5625, "line",
    1, partcv, params);
  gc_frame_end(callframe5623);
// compilenode returning call5626
// compilenode returning call5626
  gc_frame_newslot(call5626);
  int callframe5627 = gc_frame_new();
  int callframe5628 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5629 = callmethod(*var_lastToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe5628);
// compilenode returning call5629
// compilenode returning call5629
  partcv[0] = 0;
  Object call5630 = callmethod(call5629, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5627);
// compilenode returning call5630
// compilenode returning call5630
  gc_frame_newslot(call5630);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1733
  setline(1733);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit5622;
  params[1] = call5626;
  params[2] = call5630;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5631 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe5621);
// compilenode returning call5631
    gc_frame_newslot(call5631);
    if5569 = call5631;
  } else {
  }
// compilenode returning if5569
// Begin line 1737
  setline(1737);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1736
  setline(1736);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_o
  *var_opdtype = *var_o;
  if (*var_o == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1737
  setline(1737);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5633 = gc_frame_new();
  Object block5634 = alloc_Block(NULL, NULL, "parser", 1737);
  gc_frame_newslot(block5634);
  block_savedest(block5634);
  Object closure5635 = createclosure(3, "_apply");
setclosureframe(closure5635, stackframe);
  addtoclosure(closure5635, var_ops);
  addtoclosure(closure5635, var_prec);
  addtoclosure(closure5635, selfslot);
  struct UserObject *uo5635 = (struct UserObject*)block5634;
  uo5635->data[0] = (Object)closure5635;
  Method *meth_meth_parser__apply5635 = addmethod2pos(block5634, "_apply", &meth_parser__apply5635, 0);
int argcv_meth_parser__apply5635[] = {0};
meth_meth_parser__apply5635->type = alloc_MethodType(1, argcv_meth_parser__apply5635);
  meth_meth_parser__apply5635->definitionModule = modulename;
  meth_meth_parser__apply5635->definitionLine = 1734;
// compilenode returning block5634
  gc_frame_newslot(block5634);
  Object block5651 = alloc_Block(NULL, NULL, "parser", 1737);
  gc_frame_newslot(block5651);
  block_savedest(block5651);
  Object closure5652 = createclosure(7, "_apply");
setclosureframe(closure5652, stackframe);
  addtoclosure(closure5652, var_ops);
  addtoclosure(closure5652, var_o2);
  addtoclosure(closure5652, var_terms);
  addtoclosure(closure5652, var_tmp2);
  addtoclosure(closure5652, var_tmp);
  addtoclosure(closure5652, var_ast);
  addtoclosure(closure5652, selfslot);
  struct UserObject *uo5652 = (struct UserObject*)block5651;
  uo5652->data[0] = (Object)closure5652;
  Method *meth_meth_parser__apply5652 = addmethod2pos(block5651, "_apply", &meth_parser__apply5652, 0);
int argcv_meth_parser__apply5652[] = {0};
meth_meth_parser__apply5652->type = alloc_MethodType(1, argcv_meth_parser__apply5652);
  meth_meth_parser__apply5652->definitionModule = modulename;
  meth_meth_parser__apply5652->definitionLine = 1737;
// compilenode returning block5651
  gc_frame_newslot(block5651);
  params[0] = block5634;
  params[1] = block5651;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5670 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5633);
// compilenode returning call5670
// Begin line 1749
  setline(1749);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5671 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_ops
  params[0] = *var_o;
  partcv[0] = 1;
  Object call5672 = callmethod(*var_ops, "push",
    1, partcv, params);
  gc_frame_end(callframe5671);
// compilenode returning call5672
// Begin line 1815
  setline(1815);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1750
  setline(1750);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5674 = gc_frame_new();
  if (strlit5675 == NULL) {
    strlit5675 = alloc_String("lparen");
    gc_root(strlit5675);
  }
// compilenode returning strlit5675
  gc_frame_newslot(strlit5675);
  params[0] = strlit5675;
  partcv[0] = 1;
  Object call5676 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5674);
// compilenode returning call5676
  Object if5673 = done;
  if (istrue(call5676)) {
// Begin line 1757
  setline(1757);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5677 = gc_frame_new();
  partcv[0] = 0;
  Object call5678 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5677);
// compilenode returning call5678
// Begin line 1769
  setline(1769);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1758
  setline(1758);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5680 = gc_frame_new();
  int callframe5681 = gc_frame_new();
  Object block5682 = alloc_Block(NULL, NULL, "parser", 1758);
  gc_frame_newslot(block5682);
  block_savedest(block5682);
  Object closure5683 = createclosure(1, "_apply");
setclosureframe(closure5683, stackframe);
  addtoclosure(closure5683, selfslot);
  struct UserObject *uo5683 = (struct UserObject*)block5682;
  uo5683->data[0] = (Object)closure5683;
  Method *meth_meth_parser__apply5683 = addmethod2pos(block5682, "_apply", &meth_parser__apply5683, 0);
int argcv_meth_parser__apply5683[] = {0};
meth_meth_parser__apply5683->type = alloc_MethodType(1, argcv_meth_parser__apply5683);
  meth_meth_parser__apply5683->definitionModule = modulename;
  meth_meth_parser__apply5683->definitionLine = 1758;
// compilenode returning block5682
  gc_frame_newslot(block5682);
  params[0] = block5682;
  partcv[0] = 1;
  Object call5687 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5681);
// compilenode returning call5687
  partcv[0] = 0;
  Object call5688 = callmethod(call5687, "not",
    1, partcv, params);
  gc_frame_end(callframe5680);
// compilenode returning call5688
// compilenode returning call5688
  Object if5679 = done;
  if (istrue(call5688)) {
// Begin line 1760
  setline(1760);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1759
  setline(1759);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5689 = gc_frame_new();
  int callframe5690 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5691 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5690);
// compilenode returning call5691
// compilenode returning call5691
  partcv[0] = 0;
  Object call5692 = callmethod(call5691, "new",
    1, partcv, params);
  gc_frame_end(callframe5689);
// compilenode returning call5692
// compilenode returning call5692
  *var_suggestion = call5692;
  if (call5692 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1760
  setline(1760);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5693 = gc_frame_new();
  if (strlit5694 == NULL) {
    strlit5694 = alloc_String("rparen");
    gc_root(strlit5694);
  }
// compilenode returning strlit5694
  gc_frame_newslot(strlit5694);
  params[0] = strlit5694;
  partcv[0] = 1;
  Object call5695 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5693);
// compilenode returning call5695
  *var_nextTok = call5695;
  if (call5695 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1766
  setline(1766);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1761
  setline(1761);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_5697 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_5697 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult5699 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult5699
  Object if5696 = done;
  if (istrue(opresult5699)) {
// Begin line 1762
  setline(1762);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5700 = gc_frame_new();
  if (strlit5701 == NULL) {
    strlit5701 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit5701);
  }
// compilenode returning strlit5701
  gc_frame_newslot(strlit5701);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit5701;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5702 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5700);
// compilenode returning call5702
    gc_frame_newslot(call5702);
    if5696 = call5702;
  } else {
// Begin line 1764
  setline(1764);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5703 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe5704 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call5705 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe5704);
// compilenode returning call5705
// compilenode returning call5705
  gc_frame_newslot(call5705);
  Object bool5706 = alloc_Boolean(1);
// compilenode returning bool5706
  gc_frame_newslot(bool5706);
  Object bool5707 = alloc_Boolean(0);
// compilenode returning bool5707
  gc_frame_newslot(bool5707);
  if (strlit5708 == NULL) {
    strlit5708 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit5708);
  }
// compilenode returning strlit5708
  gc_frame_newslot(strlit5708);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call5705;
  params[2] = bool5706;
  params[3] = bool5707;
  params[4] = strlit5708;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call5709 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe5703);
// compilenode returning call5709
    gc_frame_newslot(call5709);
    if5696 = call5709;
  }
// compilenode returning if5696
// Begin line 1766
  setline(1766);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5710 = gc_frame_new();
  if (strlit5711 == NULL) {
    strlit5711 = alloc_String("Parentheses must contain a valid expression.");
    gc_root(strlit5711);
  }
// compilenode returning strlit5711
  gc_frame_newslot(strlit5711);
// Begin line 1767
  setline(1767);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5712 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5713 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5712);
// compilenode returning call5713
// compilenode returning call5713
  gc_frame_newslot(call5713);
  int callframe5714 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5715 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5714);
// compilenode returning call5715
// compilenode returning call5715
  gc_frame_newslot(call5715);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1766
  setline(1766);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit5711;
  params[1] = call5713;
  params[2] = call5715;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5716 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe5710);
// compilenode returning call5716
    gc_frame_newslot(call5716);
    if5679 = call5716;
  } else {
  }
// compilenode returning if5679
// Begin line 1776
  setline(1776);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1769
  setline(1769);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5719 == NULL) {
    strlit5719 = alloc_String("rparen");
    gc_root(strlit5719);
  }
// compilenode returning strlit5719
  int op_slot_right_5718 = gc_frame_newslot(strlit5719);
  int callframe5721 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5722 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe5721);
// compilenode returning call5722
// compilenode returning call5722
  int op_slot_left_5718 = gc_frame_newslot(call5722);
  params[0] = strlit5719;
  partcv[0] = 1;
  Object opresult5723 = callmethod(call5722, "!=", 1, partcv, params);
// compilenode returning opresult5723
  Object if5717 = done;
  if (istrue(opresult5723)) {
// Begin line 1770
  setline(1770);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5724 = gc_frame_new();
  partcv[0] = 0;
  Object call5725 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5724);
// compilenode returning call5725
// Begin line 1772
  setline(1772);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1771
  setline(1771);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5726 = gc_frame_new();
  int callframe5727 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5728 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5727);
// compilenode returning call5728
// compilenode returning call5728
  partcv[0] = 0;
  Object call5729 = callmethod(call5728, "new",
    1, partcv, params);
  gc_frame_end(callframe5726);
// compilenode returning call5729
// compilenode returning call5729
  *var_suggestion = call5729;
  if (call5729 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1772
  setline(1772);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5730 = gc_frame_new();
  if (strlit5731 == NULL) {
    strlit5731 = alloc_String(")");
    gc_root(strlit5731);
  }
// compilenode returning strlit5731
  gc_frame_newslot(strlit5731);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit5731;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5732 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5730);
// compilenode returning call5732
// Begin line 1773
  setline(1773);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5733 = gc_frame_new();
  if (strlit5734 == NULL) {
    strlit5734 = alloc_String("An expression beginning with a '(' must end with a ')'.");
    gc_root(strlit5734);
  }
// compilenode returning strlit5734
  gc_frame_newslot(strlit5734);
// Begin line 1774
  setline(1774);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5735 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5736 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe5735);
// compilenode returning call5736
// compilenode returning call5736
  gc_frame_newslot(call5736);
  int callframe5738 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5739 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe5738);
// compilenode returning call5739
// compilenode returning call5739
  int op_slot_right_5737 = gc_frame_newslot(call5739);
  int callframe5741 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5742 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5741);
// compilenode returning call5742
// compilenode returning call5742
  int op_slot_left_5737 = gc_frame_newslot(call5742);
  params[0] = call5739;
  partcv[0] = 1;
  Object sum5743 = callmethod(call5742, "+", 1, partcv, params);
// compilenode returning sum5743
  gc_frame_newslot(sum5743);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1773
  setline(1773);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit5734;
  params[1] = call5736;
  params[2] = sum5743;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5744 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe5733);
// compilenode returning call5744
    gc_frame_newslot(call5744);
    if5717 = call5744;
  } else {
  }
// compilenode returning if5717
// Begin line 1776
  setline(1776);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5745 = gc_frame_new();
  partcv[0] = 0;
  Object call5746 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5745);
// compilenode returning call5746
    gc_frame_newslot(call5746);
    if5673 = call5746;
  } else {
// Begin line 1793
  setline(1793);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1778
  setline(1778);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5748 = gc_frame_new();
  int callframe5749 = gc_frame_new();
  partcv[0] = 0;
  Object call5750 = callmethodflags(self, "tokenOnSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5749);
// compilenode returning call5750
  partcv[0] = 0;
  Object call5751 = callmethod(call5750, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe5748);
// compilenode returning call5751
  Object if5747 = done;
  if (istrue(call5751)) {
// Begin line 1780
  setline(1780);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1779
  setline(1779);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array5752 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array5752
  *var_suggestions = array5752;
  if (array5752 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1781
  setline(1781);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1780
  setline(1780);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5753 = gc_frame_new();
  int callframe5754 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5755 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5754);
// compilenode returning call5755
// compilenode returning call5755
  partcv[0] = 0;
  Object call5756 = callmethod(call5755, "new",
    1, partcv, params);
  gc_frame_end(callframe5753);
// compilenode returning call5756
// compilenode returning call5756
  *var_suggestion = call5756;
  if (call5756 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1781
  setline(1781);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5757 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool5758 = alloc_Boolean(1);
// compilenode returning bool5758
  gc_frame_newslot(bool5758);
  Object bool5759 = alloc_Boolean(0);
// compilenode returning bool5759
  gc_frame_newslot(bool5759);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool5758;
  params[2] = bool5759;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5760 = callmethod(*var_suggestion, "deleteToken()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe5757);
// compilenode returning call5760
// Begin line 1782
  setline(1782);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5761 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5762 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5761);
// compilenode returning call5762
// Begin line 1784
  setline(1784);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1783
  setline(1783);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5763 = gc_frame_new();
  int callframe5764 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5765 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5764);
// compilenode returning call5765
// compilenode returning call5765
  partcv[0] = 0;
  Object call5766 = callmethod(call5765, "new",
    1, partcv, params);
  gc_frame_end(callframe5763);
// compilenode returning call5766
// compilenode returning call5766
  *var_suggestion = call5766;
  if (call5766 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1784
  setline(1784);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5768 = gc_frame_new();
  if (strlit5769 == NULL) {
    strlit5769 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit5769);
  }
// compilenode returning strlit5769
  gc_frame_newslot(strlit5769);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit5769;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5770 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5768);
// compilenode returning call5770
// Begin line 1785
  setline(1785);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5771 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5772 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5771);
// compilenode returning call5772
// Begin line 1787
  setline(1787);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1786
  setline(1786);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5773 = gc_frame_new();
  int callframe5774 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5775 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5774);
// compilenode returning call5775
// compilenode returning call5775
  partcv[0] = 0;
  Object call5776 = callmethod(call5775, "new",
    1, partcv, params);
  gc_frame_end(callframe5773);
// compilenode returning call5776
// compilenode returning call5776
  *var_suggestion = call5776;
  if (call5776 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1787
  setline(1787);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5778 = gc_frame_new();
  int callframe5780 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call5781 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe5780);
// compilenode returning call5781
// compilenode returning call5781
  int callframe5782 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5783 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5782);
// compilenode returning call5783
// compilenode returning call5783
  params[0] = call5783;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres5784 = callmethod(call5781, "[]", 1, partcv, params);
// compilenode returning idxres5784
  int op_slot_right_5779 = gc_frame_newslot(idxres5784);
  if (strlit5786 == NULL) {
    strlit5786 = alloc_String(" ");
    gc_root(strlit5786);
  }
// compilenode returning strlit5786
  int op_slot_left_5779 = gc_frame_newslot(strlit5786);
  params[0] = idxres5784;
  partcv[0] = 1;
  Object opresult5787 = callmethod(strlit5786, "++", 1, partcv, params);
// compilenode returning opresult5787
  gc_frame_newslot(opresult5787);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = opresult5787;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5788 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5778);
// compilenode returning call5788
// Begin line 1788
  setline(1788);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5789 = gc_frame_new();
  int callframe5790 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5791 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5790);
// compilenode returning call5791
// compilenode returning call5791
  gc_frame_newslot(call5791);
// compilenode returning *var_suggestion
  params[0] = call5791;
  partcv[0] = 1;
  Object call5792 = callmethod(*var_suggestion, "deleteLine",
    1, partcv, params);
  gc_frame_end(callframe5789);
// compilenode returning call5792
// Begin line 1789
  setline(1789);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5793 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5794 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5793);
// compilenode returning call5794
// Begin line 1790
  setline(1790);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5795 = gc_frame_new();
  if (strlit5797 == NULL) {
    strlit5797 = alloc_String("'. This is often caused by a new line in the middle of an expression.");
    gc_root(strlit5797);
  }
// compilenode returning strlit5797
  int op_slot_right_5796 = gc_frame_newslot(strlit5797);
  int callframe5800 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5801 = callmethod(*var_lastToken, "value",
    1, partcv, params);
  gc_frame_end(callframe5800);
// compilenode returning call5801
// compilenode returning call5801
  int op_slot_right_5799 = gc_frame_newslot(call5801);
  if (strlit5803 == NULL) {
    strlit5803 = alloc_String("A valid expression must follow '");
    gc_root(strlit5803);
  }
// compilenode returning strlit5803
  int op_slot_left_5799 = gc_frame_newslot(strlit5803);
  params[0] = call5801;
  partcv[0] = 1;
  Object opresult5804 = callmethod(strlit5803, "++", 1, partcv, params);
// compilenode returning opresult5804
  int op_slot_left_5796 = gc_frame_newslot(opresult5804);
  params[0] = strlit5797;
  partcv[0] = 1;
  Object opresult5805 = callmethod(opresult5804, "++", 1, partcv, params);
// compilenode returning opresult5805
  gc_frame_newslot(opresult5805);
// Begin line 1791
  setline(1791);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5806 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5807 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe5806);
// compilenode returning call5807
// compilenode returning call5807
  gc_frame_newslot(call5807);
  int callframe5809 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5810 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe5809);
// compilenode returning call5810
// compilenode returning call5810
  int op_slot_right_5808 = gc_frame_newslot(call5810);
  int callframe5812 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5813 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5812);
// compilenode returning call5813
// compilenode returning call5813
  int op_slot_left_5808 = gc_frame_newslot(call5813);
  params[0] = call5810;
  partcv[0] = 1;
  Object sum5814 = callmethod(call5813, "+", 1, partcv, params);
// compilenode returning sum5814
  gc_frame_newslot(sum5814);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1790
  setline(1790);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult5805;
  params[1] = call5807;
  params[2] = sum5814;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5815 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe5795);
// compilenode returning call5815
    gc_frame_newslot(call5815);
    if5747 = call5815;
  } else {
  }
// compilenode returning if5747
// Begin line 1809
  setline(1809);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1793
  setline(1793);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5817 = gc_frame_new();
  int callframe5818 = gc_frame_new();
  Object block5819 = alloc_Block(NULL, NULL, "parser", 1793);
  gc_frame_newslot(block5819);
  block_savedest(block5819);
  Object closure5820 = createclosure(1, "_apply");
setclosureframe(closure5820, stackframe);
  addtoclosure(closure5820, selfslot);
  struct UserObject *uo5820 = (struct UserObject*)block5819;
  uo5820->data[0] = (Object)closure5820;
  Method *meth_meth_parser__apply5820 = addmethod2pos(block5819, "_apply", &meth_parser__apply5820, 0);
int argcv_meth_parser__apply5820[] = {0};
meth_meth_parser__apply5820->type = alloc_MethodType(1, argcv_meth_parser__apply5820);
  meth_meth_parser__apply5820->definitionModule = modulename;
  meth_meth_parser__apply5820->definitionLine = 1793;
// compilenode returning block5819
  gc_frame_newslot(block5819);
  params[0] = block5819;
  partcv[0] = 1;
  Object call5824 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5818);
// compilenode returning call5824
  partcv[0] = 0;
  Object call5825 = callmethod(call5824, "not",
    1, partcv, params);
  gc_frame_end(callframe5817);
// compilenode returning call5825
// compilenode returning call5825
  Object if5816 = done;
  if (istrue(call5825)) {
// Begin line 1795
  setline(1795);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1794
  setline(1794);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array5826 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array5826
  *var_suggestions = array5826;
  if (array5826 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1796
  setline(1796);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1795
  setline(1795);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5827 = gc_frame_new();
  int callframe5828 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5829 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5828);
// compilenode returning call5829
// compilenode returning call5829
  partcv[0] = 0;
  Object call5830 = callmethod(call5829, "new",
    1, partcv, params);
  gc_frame_end(callframe5827);
// compilenode returning call5830
// compilenode returning call5830
  *var_suggestion = call5830;
  if (call5830 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1796
  setline(1796);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5831 = gc_frame_new();
  if (strlit5832 == NULL) {
    strlit5832 = alloc_String("comma");
    gc_root(strlit5832);
  }
// compilenode returning strlit5832
  gc_frame_newslot(strlit5832);
  if (strlit5833 == NULL) {
    strlit5833 = alloc_String("rparen");
    gc_root(strlit5833);
  }
// compilenode returning strlit5833
  gc_frame_newslot(strlit5833);
  if (strlit5834 == NULL) {
    strlit5834 = alloc_String("rsquare");
    gc_root(strlit5834);
  }
// compilenode returning strlit5834
  gc_frame_newslot(strlit5834);
  if (strlit5835 == NULL) {
    strlit5835 = alloc_String("rbrace");
    gc_root(strlit5835);
  }
// compilenode returning strlit5835
  gc_frame_newslot(strlit5835);
  params[0] = strlit5832;
  params[1] = strlit5833;
  params[2] = strlit5834;
  params[3] = strlit5835;
  partcv[0] = 4;
  Object call5836 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5831);
// compilenode returning call5836
  *var_nextTok = call5836;
  if (call5836 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1802
  setline(1802);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1797
  setline(1797);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_5838 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_5838 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult5840 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult5840
  Object if5837 = done;
  if (istrue(opresult5840)) {
// Begin line 1798
  setline(1798);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5841 = gc_frame_new();
  if (strlit5842 == NULL) {
    strlit5842 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit5842);
  }
// compilenode returning strlit5842
  gc_frame_newslot(strlit5842);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit5842;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5843 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe5841);
// compilenode returning call5843
    gc_frame_newslot(call5843);
    if5837 = call5843;
  } else {
// Begin line 1800
  setline(1800);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5844 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe5845 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call5846 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe5845);
// compilenode returning call5846
// compilenode returning call5846
  gc_frame_newslot(call5846);
  Object bool5847 = alloc_Boolean(1);
// compilenode returning bool5847
  gc_frame_newslot(bool5847);
  Object bool5848 = alloc_Boolean(0);
// compilenode returning bool5848
  gc_frame_newslot(bool5848);
  if (strlit5849 == NULL) {
    strlit5849 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit5849);
  }
// compilenode returning strlit5849
  gc_frame_newslot(strlit5849);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call5846;
  params[2] = bool5847;
  params[3] = bool5848;
  params[4] = strlit5849;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call5850 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe5844);
// compilenode returning call5850
    gc_frame_newslot(call5850);
    if5837 = call5850;
  }
// compilenode returning if5837
// Begin line 1802
  setline(1802);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5851 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5852 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5851);
// compilenode returning call5852
// Begin line 1804
  setline(1804);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1803
  setline(1803);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5853 = gc_frame_new();
  int callframe5854 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call5855 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe5854);
// compilenode returning call5855
// compilenode returning call5855
  partcv[0] = 0;
  Object call5856 = callmethod(call5855, "new",
    1, partcv, params);
  gc_frame_end(callframe5853);
// compilenode returning call5856
// compilenode returning call5856
  *var_suggestion = call5856;
  if (call5856 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1804
  setline(1804);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5858 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe5859 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call5860 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe5859);
// compilenode returning call5860
// compilenode returning call5860
  gc_frame_newslot(call5860);
  Object bool5861 = alloc_Boolean(1);
// compilenode returning bool5861
  gc_frame_newslot(bool5861);
  Object bool5862 = alloc_Boolean(0);
// compilenode returning bool5862
  gc_frame_newslot(bool5862);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call5860;
  params[2] = bool5861;
  params[3] = bool5862;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5863 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe5858);
// compilenode returning call5863
// Begin line 1805
  setline(1805);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5864 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5865 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe5864);
// compilenode returning call5865
// Begin line 1806
  setline(1806);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5866 = gc_frame_new();
  if (strlit5868 == NULL) {
    strlit5868 = alloc_String("'. This is often caused by a new line in the middle of an expression.");
    gc_root(strlit5868);
  }
// compilenode returning strlit5868
  int op_slot_right_5867 = gc_frame_newslot(strlit5868);
  int callframe5871 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5872 = callmethod(*var_lastToken, "value",
    1, partcv, params);
  gc_frame_end(callframe5871);
// compilenode returning call5872
// compilenode returning call5872
  int op_slot_right_5870 = gc_frame_newslot(call5872);
  if (strlit5874 == NULL) {
    strlit5874 = alloc_String("A valid expression must follow '");
    gc_root(strlit5874);
  }
// compilenode returning strlit5874
  int op_slot_left_5870 = gc_frame_newslot(strlit5874);
  params[0] = call5872;
  partcv[0] = 1;
  Object opresult5875 = callmethod(strlit5874, "++", 1, partcv, params);
// compilenode returning opresult5875
  int op_slot_left_5867 = gc_frame_newslot(opresult5875);
  params[0] = strlit5868;
  partcv[0] = 1;
  Object opresult5876 = callmethod(opresult5875, "++", 1, partcv, params);
// compilenode returning opresult5876
  gc_frame_newslot(opresult5876);
// Begin line 1807
  setline(1807);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5877 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5878 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe5877);
// compilenode returning call5878
// compilenode returning call5878
  gc_frame_newslot(call5878);
  int callframe5880 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5881 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe5880);
// compilenode returning call5881
// compilenode returning call5881
  int op_slot_right_5879 = gc_frame_newslot(call5881);
  int callframe5883 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call5884 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5883);
// compilenode returning call5884
// compilenode returning call5884
  int op_slot_left_5879 = gc_frame_newslot(call5884);
  params[0] = call5881;
  partcv[0] = 1;
  Object sum5885 = callmethod(call5884, "+", 1, partcv, params);
// compilenode returning sum5885
  gc_frame_newslot(sum5885);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1806
  setline(1806);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult5876;
  params[1] = call5878;
  params[2] = sum5885;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5886 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe5866);
// compilenode returning call5886
    gc_frame_newslot(call5886);
    if5816 = call5886;
  } else {
  }
// compilenode returning if5816
    gc_frame_newslot(if5816);
    if5673 = if5816;
  }
// compilenode returning if5673
// Begin line 1815
  setline(1815);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5887 = gc_frame_new();
  partcv[0] = 0;
  Object call5888 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5887);
// compilenode returning call5888
// Begin line 1816
  setline(1816);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5889 = gc_frame_new();
  partcv[0] = 0;
  Object call5890 = callmethodflags(self, "callrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5889);
// compilenode returning call5890
// Begin line 1817
  setline(1817);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5891 = gc_frame_new();
  partcv[0] = 0;
  Object call5892 = callmethodflags(self, "postfixsquare", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5891);
// compilenode returning call5892
// Begin line 1819
  setline(1819);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1818
  setline(1818);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5893 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call5894 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe5893);
// compilenode returning call5894
// compilenode returning call5894
  *var_tmp = call5894;
  if (call5894 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1819
  setline(1819);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5896 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_terms
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call5897 = callmethod(*var_terms, "push",
    1, partcv, params);
  gc_frame_end(callframe5896);
// compilenode returning call5897
  gc_frame_end(frame);
  return call5897;
}
Object meth_parser__apply5902(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ops = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object num5904 = alloc_Float64(0);
// compilenode returning num5904
  int op_slot_right_5903 = gc_frame_newslot(num5904);
  int callframe5906 = gc_frame_new();
// compilenode returning *var_ops
  partcv[0] = 0;
  Object call5907 = callmethod(*var_ops, "size",
    1, partcv, params);
  gc_frame_end(callframe5906);
// compilenode returning call5907
// compilenode returning call5907
  int op_slot_left_5903 = gc_frame_newslot(call5907);
  params[0] = num5904;
  partcv[0] = 1;
  Object opresult5908 = callmethod(call5907, ">", 1, partcv, params);
// compilenode returning opresult5908
  gc_frame_end(frame);
  return opresult5908;
}
Object meth_parser__apply5911(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_ops = getfromclosure(closure, 0);
  Object *var_o = getfromclosure(closure, 1);
  Object *var_terms = getfromclosure(closure, 2);
  Object *var_tmp2 = getfromclosure(closure, 3);
  Object *var_tmp = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1824
  setline(1824);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1823
  setline(1823);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5912 = gc_frame_new();
// compilenode returning *var_ops
  partcv[0] = 0;
  Object call5913 = callmethod(*var_ops, "pop",
    1, partcv, params);
  gc_frame_end(callframe5912);
// compilenode returning call5913
// compilenode returning call5913
  *var_o = call5913;
  if (call5913 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1825
  setline(1825);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1824
  setline(1824);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5915 = gc_frame_new();
// compilenode returning *var_terms
  partcv[0] = 0;
  Object call5916 = callmethod(*var_terms, "pop",
    1, partcv, params);
  gc_frame_end(callframe5915);
// compilenode returning call5916
// compilenode returning call5916
  *var_tmp2 = call5916;
  if (call5916 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1826
  setline(1826);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1825
  setline(1825);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5918 = gc_frame_new();
// compilenode returning *var_terms
  partcv[0] = 0;
  Object call5919 = callmethod(*var_terms, "pop",
    1, partcv, params);
  gc_frame_end(callframe5918);
// compilenode returning call5919
// compilenode returning call5919
  *var_tmp = call5919;
  if (call5919 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1826
  setline(1826);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5921 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_tmp2
  gc_frame_newslot(*var_tmp2);
  int callframe5922 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call5923 = callmethod(*var_ast, "opNode",
    1, partcv, params);
  gc_frame_end(callframe5922);
// compilenode returning call5923
// compilenode returning call5923
  params[0] = *var_o;
  params[1] = *var_tmp;
  params[2] = *var_tmp2;
  partcv[0] = 3;
  Object call5924 = callmethod(call5923, "new",
    1, partcv, params);
  gc_frame_end(callframe5921);
// compilenode returning call5924
  *var_tmp = call5924;
  if (call5924 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1827
  setline(1827);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5926 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_terms
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call5927 = callmethod(*var_terms, "push",
    1, partcv, params);
  gc_frame_end(callframe5926);
// compilenode returning call5927
  gc_frame_end(frame);
  return call5927;
}
Object meth_parser_expressionrest5494(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 35, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(11, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "expressionrest");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[2];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_statementToken = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  Object *var_util = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for expressionrest (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for expressionrest");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_terms = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "terms");
  Object *var_ops = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ops");
  Object *var_o = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "o");
  Object *var_o2 = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "o2");
  Object *var_tmp2 = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "tmp2");
  Object *var_tmp = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "tmp");
  Object *var_prec = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "prec");
  Object *var_allarith = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "allarith");
  Object *var_opcount = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "opcount");
  Object *var_opdtype = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "opdtype");
// Begin line 1835
  setline(1835);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1699
  setline(1699);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5496 = gc_frame_new();
  if (strlit5497 == NULL) {
    strlit5497 = alloc_String("op");
    gc_root(strlit5497);
  }
// compilenode returning strlit5497
  gc_frame_newslot(strlit5497);
  params[0] = strlit5497;
  partcv[0] = 1;
  Object call5498 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5496);
// compilenode returning call5498
  Object if5495 = done;
  if (istrue(call5498)) {
// Begin line 1701
  setline(1701);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1700
  setline(1700);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array5499 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array5499
  *var_terms = array5499;
  if (array5499 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1702
  setline(1702);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1701
  setline(1701);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array5500 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array5500
  *var_ops = array5500;
  if (array5500 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1703
  setline(1703);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_o = undefined;
// compilenode returning done
// Begin line 1704
  setline(1704);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_o2 = undefined;
// compilenode returning done
// Begin line 1705
  setline(1705);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_tmp2 = undefined;
// compilenode returning done
// Begin line 1706
  setline(1706);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1705
  setline(1705);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5501 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call5502 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe5501);
// compilenode returning call5502
// compilenode returning call5502
  *var_tmp = call5502;
  if (call5502 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1706
  setline(1706);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5503 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_terms
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call5504 = callmethod(*var_terms, "push",
    1, partcv, params);
  gc_frame_end(callframe5503);
// compilenode returning call5504
// Begin line 1708
  setline(1708);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_prec = undefined;
// compilenode returning done
// Begin line 1709
  setline(1709);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1708
  setline(1708);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool5505 = alloc_Boolean(1);
// compilenode returning bool5505
  *var_allarith = bool5505;
  if (bool5505 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1710
  setline(1710);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1709
  setline(1709);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num5506 = alloc_Float64(0);
// compilenode returning num5506
  *var_opcount = num5506;
  if (num5506 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1711
  setline(1711);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1710
  setline(1710);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit5507 == NULL) {
    strlit5507 = alloc_String("");
    gc_root(strlit5507);
  }
// compilenode returning strlit5507
  *var_opdtype = strlit5507;
  if (strlit5507 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1711
  setline(1711);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5508 = gc_frame_new();
  Object block5509 = alloc_Block(NULL, NULL, "parser", 1711);
  gc_frame_newslot(block5509);
  block_savedest(block5509);
  Object closure5510 = createclosure(3, "_apply");
setclosureframe(closure5510, stackframe);
  addtoclosure(closure5510, var_sym);
  addtoclosure(closure5510, var_statementToken);
  addtoclosure(closure5510, selfslot);
  struct UserObject *uo5510 = (struct UserObject*)block5509;
  uo5510->data[0] = (Object)closure5510;
  Method *meth_meth_parser__apply5510 = addmethod2pos(block5509, "_apply", &meth_parser__apply5510, 0);
int argcv_meth_parser__apply5510[] = {0};
meth_meth_parser__apply5510->type = alloc_MethodType(1, argcv_meth_parser__apply5510);
  meth_meth_parser__apply5510->definitionModule = modulename;
  meth_meth_parser__apply5510->definitionLine = 1705;
// compilenode returning block5509
  gc_frame_newslot(block5509);
// Begin line 1712
  setline(1712);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block5526 = alloc_Block(NULL, NULL, "parser", 1712);
  gc_frame_newslot(block5526);
  block_savedest(block5526);
  Object closure5527 = createclosure(17, "_apply");
setclosureframe(closure5527, stackframe);
  addtoclosure(closure5527, var_opcount);
  addtoclosure(closure5527, var_sym);
  addtoclosure(closure5527, var_o);
  addtoclosure(closure5527, var_prec);
  addtoclosure(closure5527, var_allarith);
  addtoclosure(closure5527, var_opdtype);
  addtoclosure(closure5527, var_errormessages);
  addtoclosure(closure5527, var_lastToken);
  addtoclosure(closure5527, var_ops);
  addtoclosure(closure5527, var_o2);
  addtoclosure(closure5527, var_terms);
  addtoclosure(closure5527, var_tmp2);
  addtoclosure(closure5527, var_tmp);
  addtoclosure(closure5527, var_ast);
  addtoclosure(closure5527, var_util);
  addtoclosure(closure5527, var_values);
  addtoclosure(closure5527, selfslot);
  struct UserObject *uo5527 = (struct UserObject*)block5526;
  uo5527->data[0] = (Object)closure5527;
  Method *meth_meth_parser__apply5527 = addmethod2pos(block5526, "_apply", &meth_parser__apply5527, 0);
int argcv_meth_parser__apply5527[] = {0};
meth_meth_parser__apply5527->type = alloc_MethodType(1, argcv_meth_parser__apply5527);
  meth_meth_parser__apply5527->definitionModule = modulename;
  meth_meth_parser__apply5527->definitionLine = 1712;
// compilenode returning block5526
  gc_frame_newslot(block5526);
  params[0] = block5509;
  params[1] = block5526;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5899 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5508);
// compilenode returning call5899
// Begin line 1821
  setline(1821);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5900 = gc_frame_new();
  Object block5901 = alloc_Block(NULL, NULL, "parser", 1821);
  gc_frame_newslot(block5901);
  block_savedest(block5901);
  Object closure5902 = createclosure(2, "_apply");
setclosureframe(closure5902, stackframe);
  addtoclosure(closure5902, var_ops);
  addtoclosure(closure5902, selfslot);
  struct UserObject *uo5902 = (struct UserObject*)block5901;
  uo5902->data[0] = (Object)closure5902;
  Method *meth_meth_parser__apply5902 = addmethod2pos(block5901, "_apply", &meth_parser__apply5902, 0);
int argcv_meth_parser__apply5902[] = {0};
meth_meth_parser__apply5902->type = alloc_MethodType(1, argcv_meth_parser__apply5902);
  meth_meth_parser__apply5902->definitionModule = modulename;
  meth_meth_parser__apply5902->definitionLine = 1818;
// compilenode returning block5901
  gc_frame_newslot(block5901);
  Object block5910 = alloc_Block(NULL, NULL, "parser", 1821);
  gc_frame_newslot(block5910);
  block_savedest(block5910);
  Object closure5911 = createclosure(7, "_apply");
setclosureframe(closure5911, stackframe);
  addtoclosure(closure5911, var_ops);
  addtoclosure(closure5911, var_o);
  addtoclosure(closure5911, var_terms);
  addtoclosure(closure5911, var_tmp2);
  addtoclosure(closure5911, var_tmp);
  addtoclosure(closure5911, var_ast);
  addtoclosure(closure5911, selfslot);
  struct UserObject *uo5911 = (struct UserObject*)block5910;
  uo5911->data[0] = (Object)closure5911;
  Method *meth_meth_parser__apply5911 = addmethod2pos(block5910, "_apply", &meth_parser__apply5911, 0);
int argcv_meth_parser__apply5911[] = {0};
meth_meth_parser__apply5911->type = alloc_MethodType(1, argcv_meth_parser__apply5911);
  meth_meth_parser__apply5911->definitionModule = modulename;
  meth_meth_parser__apply5911->definitionLine = 1821;
// compilenode returning block5910
  gc_frame_newslot(block5910);
  params[0] = block5901;
  params[1] = block5910;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5929 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5900);
// compilenode returning call5929
// Begin line 1830
  setline(1830);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1829
  setline(1829);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5930 = gc_frame_new();
// compilenode returning *var_terms
  partcv[0] = 0;
  Object call5931 = callmethod(*var_terms, "pop",
    1, partcv, params);
  gc_frame_end(callframe5930);
// compilenode returning call5931
// compilenode returning call5931
  *var_tmp = call5931;
  if (call5931 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1830
  setline(1830);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5933 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_values
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call5934 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe5933);
// compilenode returning call5934
// Begin line 1834
  setline(1834);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1831
  setline(1831);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num5937 = alloc_Float64(0);
// compilenode returning num5937
  int op_slot_right_5936 = gc_frame_newslot(num5937);
  int callframe5939 = gc_frame_new();
// compilenode returning *var_terms
  partcv[0] = 0;
  Object call5940 = callmethod(*var_terms, "size",
    1, partcv, params);
  gc_frame_end(callframe5939);
// compilenode returning call5940
// compilenode returning call5940
  int op_slot_left_5936 = gc_frame_newslot(call5940);
  params[0] = num5937;
  partcv[0] = 1;
  Object opresult5941 = callmethod(call5940, ">", 1, partcv, params);
// compilenode returning opresult5941
  Object if5935 = done;
  if (istrue(opresult5941)) {
// Begin line 1832
  setline(1832);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5942 = gc_frame_new();
  if (strlit5943 == NULL) {
    strlit5943 = alloc_String("Values left on term stack.");
    gc_root(strlit5943);
  }
// compilenode returning strlit5943
  gc_frame_newslot(strlit5943);
  int callframe5944 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5945 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe5944);
// compilenode returning call5945
// compilenode returning call5945
  gc_frame_newslot(call5945);
  int callframe5946 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5947 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe5946);
// compilenode returning call5947
// compilenode returning call5947
  gc_frame_newslot(call5947);
// compilenode returning *var_errormessages
  params[0] = strlit5943;
  params[1] = call5945;
  params[2] = call5947;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call5948 = callmethod(*var_errormessages, "syntaxError()atPosition",
    2, partcv, params);
  gc_frame_end(callframe5942);
// compilenode returning call5948
    gc_frame_newslot(call5948);
    if5935 = call5948;
  } else {
  }
// compilenode returning if5935
    gc_frame_newslot(if5935);
    if5495 = if5935;
  } else {
  }
// compilenode returning if5495
  gc_frame_end(frame);
  return if5495;
}
Object meth_parser_dotrest5949(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 36, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dotrest");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_ast = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for dotrest (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for dotrest");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_lookuptarget = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "lookuptarget");
  Object *var_dro = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "dro");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
// Begin line 1868
  setline(1868);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1841
  setline(1841);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5951 = gc_frame_new();
  if (strlit5952 == NULL) {
    strlit5952 = alloc_String("dot");
    gc_root(strlit5952);
  }
// compilenode returning strlit5952
  gc_frame_newslot(strlit5952);
  params[0] = strlit5952;
  partcv[0] = 1;
  Object call5953 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5951);
// compilenode returning call5953
  Object if5950 = done;
  if (istrue(call5953)) {
// Begin line 1843
  setline(1843);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1842
  setline(1842);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5954 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call5955 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe5954);
// compilenode returning call5955
// compilenode returning call5955
  *var_lookuptarget = call5955;
  if (call5955 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1843
  setline(1843);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5956 = gc_frame_new();
  partcv[0] = 0;
  Object call5957 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5956);
// compilenode returning call5957
// Begin line 1867
  setline(1867);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1844
  setline(1844);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5959 = gc_frame_new();
  if (strlit5960 == NULL) {
    strlit5960 = alloc_String("identifier");
    gc_root(strlit5960);
  }
// compilenode returning strlit5960
  gc_frame_newslot(strlit5960);
  params[0] = strlit5960;
  partcv[0] = 1;
  Object call5961 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5959);
// compilenode returning call5961
  Object if5958 = done;
  if (istrue(call5961)) {
// Begin line 1845
  setline(1845);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5962 = gc_frame_new();
  int callframe5963 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call5964 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe5963);
// compilenode returning call5964
// compilenode returning call5964
  gc_frame_newslot(call5964);
// compilenode returning *var_lookuptarget
  gc_frame_newslot(*var_lookuptarget);
  int callframe5965 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call5966 = callmethod(*var_ast, "memberNode",
    1, partcv, params);
  gc_frame_end(callframe5965);
// compilenode returning call5966
// compilenode returning call5966
  params[0] = call5964;
  params[1] = *var_lookuptarget;
  partcv[0] = 2;
  Object call5967 = callmethod(call5966, "new",
    1, partcv, params);
  gc_frame_end(callframe5962);
// compilenode returning call5967
  *var_dro = call5967;
  if (call5967 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1846
  setline(1846);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5968 = gc_frame_new();
// compilenode returning *var_dro
  gc_frame_newslot(*var_dro);
// compilenode returning *var_values
  params[0] = *var_dro;
  partcv[0] = 1;
  Object call5969 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe5968);
// compilenode returning call5969
// Begin line 1847
  setline(1847);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5970 = gc_frame_new();
  partcv[0] = 0;
  Object call5971 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5970);
// compilenode returning call5971
// Begin line 1856
  setline(1856);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1848
  setline(1848);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5973 = gc_frame_new();
  if (strlit5974 == NULL) {
    strlit5974 = alloc_String("dot");
    gc_root(strlit5974);
  }
// compilenode returning strlit5974
  gc_frame_newslot(strlit5974);
  params[0] = strlit5974;
  partcv[0] = 1;
  Object call5975 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5973);
// compilenode returning call5975
  Object if5972 = done;
  if (istrue(call5975)) {
// Begin line 1849
  setline(1849);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5976 = gc_frame_new();
  partcv[0] = 0;
  Object call5977 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5976);
// compilenode returning call5977
    gc_frame_newslot(call5977);
    if5972 = call5977;
  } else {
// Begin line 1856
  setline(1856);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1852
  setline(1852);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5980 = gc_frame_new();
  if (strlit5981 == NULL) {
    strlit5981 = alloc_String("lgeneric");
    gc_root(strlit5981);
  }
// compilenode returning strlit5981
  gc_frame_newslot(strlit5981);
  params[0] = strlit5981;
  partcv[0] = 1;
  Object call5982 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5980);
// compilenode returning call5982
  int op_slot_right_5979 = gc_frame_newslot(call5982);
// Begin line 1851
  setline(1851);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe5985 = gc_frame_new();
  if (strlit5986 == NULL) {
    strlit5986 = alloc_String("lsquare");
    gc_root(strlit5986);
  }
// compilenode returning strlit5986
  gc_frame_newslot(strlit5986);
  params[0] = strlit5986;
  partcv[0] = 1;
  Object call5987 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5985);
// compilenode returning call5987
  int op_slot_right_5984 = gc_frame_newslot(call5987);
  int callframe5990 = gc_frame_new();
  if (strlit5991 == NULL) {
    strlit5991 = alloc_String("string");
    gc_root(strlit5991);
  }
// compilenode returning strlit5991
  gc_frame_newslot(strlit5991);
  params[0] = strlit5991;
  partcv[0] = 1;
  Object call5992 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5990);
// compilenode returning call5992
  int op_slot_right_5989 = gc_frame_newslot(call5992);
  int callframe5995 = gc_frame_new();
  if (strlit5996 == NULL) {
    strlit5996 = alloc_String("num");
    gc_root(strlit5996);
  }
// compilenode returning strlit5996
  gc_frame_newslot(strlit5996);
  params[0] = strlit5996;
  partcv[0] = 1;
  Object call5997 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5995);
// compilenode returning call5997
  int op_slot_right_5994 = gc_frame_newslot(call5997);
// Begin line 1850
  setline(1850);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6000 = gc_frame_new();
  if (strlit6001 == NULL) {
    strlit6001 = alloc_String("lbrace");
    gc_root(strlit6001);
  }
// compilenode returning strlit6001
  gc_frame_newslot(strlit6001);
  params[0] = strlit6001;
  partcv[0] = 1;
  Object call6002 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6000);
// compilenode returning call6002
  int op_slot_right_5999 = gc_frame_newslot(call6002);
  int callframe6004 = gc_frame_new();
  if (strlit6005 == NULL) {
    strlit6005 = alloc_String("lparen");
    gc_root(strlit6005);
  }
// compilenode returning strlit6005
  gc_frame_newslot(strlit6005);
  params[0] = strlit6005;
  partcv[0] = 1;
  Object call6006 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6004);
// compilenode returning call6006
  int op_slot_left_5999 = gc_frame_newslot(call6006);
  params[0] = call6002;
  partcv[0] = 1;
  Object opresult6007 = callmethod(call6006, "||", 1, partcv, params);
// compilenode returning opresult6007
  int op_slot_left_5994 = gc_frame_newslot(opresult6007);
  params[0] = call5997;
  partcv[0] = 1;
  Object opresult6008 = callmethod(opresult6007, "||", 1, partcv, params);
// compilenode returning opresult6008
  int op_slot_left_5989 = gc_frame_newslot(opresult6008);
  params[0] = call5992;
  partcv[0] = 1;
  Object opresult6009 = callmethod(opresult6008, "||", 1, partcv, params);
// compilenode returning opresult6009
  int op_slot_left_5984 = gc_frame_newslot(opresult6009);
  params[0] = call5987;
  partcv[0] = 1;
  Object opresult6010 = callmethod(opresult6009, "||", 1, partcv, params);
// compilenode returning opresult6010
  int op_slot_left_5979 = gc_frame_newslot(opresult6010);
  params[0] = call5982;
  partcv[0] = 1;
  Object opresult6011 = callmethod(opresult6010, "||", 1, partcv, params);
// compilenode returning opresult6011
  Object if5978 = done;
  if (istrue(opresult6011)) {
// Begin line 1854
  setline(1854);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6012 = gc_frame_new();
  partcv[0] = 0;
  Object call6013 = callmethodflags(self, "callrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6012);
// compilenode returning call6013
    gc_frame_newslot(call6013);
    if5978 = call6013;
  } else {
  }
// compilenode returning if5978
    gc_frame_newslot(if5978);
    if5972 = if5978;
  }
// compilenode returning if5972
    gc_frame_newslot(if5972);
    if5958 = if5972;
  } else {
// Begin line 1858
  setline(1858);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1857
  setline(1857);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array6014 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array6014
  *var_suggestions = array6014;
  if (array6014 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1859
  setline(1859);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1858
  setline(1858);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6015 = gc_frame_new();
  int callframe6016 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6017 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6016);
// compilenode returning call6017
// compilenode returning call6017
  partcv[0] = 0;
  Object call6018 = callmethod(call6017, "new",
    1, partcv, params);
  gc_frame_end(callframe6015);
// compilenode returning call6018
// compilenode returning call6018
  *var_suggestion = call6018;
  if (call6018 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1859
  setline(1859);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6019 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call6020 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe6019);
// compilenode returning call6020
// Begin line 1860
  setline(1860);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6021 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6022 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6021);
// compilenode returning call6022
// Begin line 1862
  setline(1862);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1861
  setline(1861);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6023 = gc_frame_new();
  int callframe6024 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6025 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6024);
// compilenode returning call6025
// compilenode returning call6025
  partcv[0] = 0;
  Object call6026 = callmethod(call6025, "new",
    1, partcv, params);
  gc_frame_end(callframe6023);
// compilenode returning call6026
// compilenode returning call6026
  *var_suggestion = call6026;
  if (call6026 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1862
  setline(1862);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6028 = gc_frame_new();
  if (strlit6029 == NULL) {
    strlit6029 = alloc_String("""\xc2""""\xab""method name""\xc2""""\xbb""");
    gc_root(strlit6029);
  }
// compilenode returning strlit6029
  gc_frame_newslot(strlit6029);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit6029;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6030 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6028);
// compilenode returning call6030
// Begin line 1863
  setline(1863);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6031 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6032 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6031);
// compilenode returning call6032
// Begin line 1864
  setline(1864);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6033 = gc_frame_new();
  if (strlit6034 == NULL) {
    strlit6034 = alloc_String("A field or method name must follow a '.'.");
    gc_root(strlit6034);
  }
// compilenode returning strlit6034
  gc_frame_newslot(strlit6034);
// Begin line 1865
  setline(1865);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6035 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6036 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6035);
// compilenode returning call6036
// compilenode returning call6036
  gc_frame_newslot(call6036);
  int callframe6037 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6038 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6037);
// compilenode returning call6038
// compilenode returning call6038
  gc_frame_newslot(call6038);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1864
  setline(1864);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6034;
  params[1] = call6036;
  params[2] = call6038;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6039 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe6033);
// compilenode returning call6039
    gc_frame_newslot(call6039);
    if5958 = call6039;
  }
// compilenode returning if5958
    gc_frame_newslot(if5958);
    if5950 = if5958;
  } else {
  }
// compilenode returning if5950
  gc_frame_end(frame);
  return if5950;
}
Object meth_parser__apply6105(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe6106 = gc_frame_new();
  if (strlit6107 == NULL) {
    strlit6107 = alloc_String("identifier");
    gc_root(strlit6107);
  }
// compilenode returning strlit6107
  gc_frame_newslot(strlit6107);
  params[0] = strlit6107;
  partcv[0] = 1;
  Object call6108 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6106);
// compilenode returning call6108
  gc_frame_end(frame);
  return call6108;
}
Object meth_parser__apply6111(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_genericIdents = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1907
  setline(1907);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6112 = gc_frame_new();
  partcv[0] = 0;
  Object call6113 = callmethodflags(self, "identifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6112);
// compilenode returning call6113
// Begin line 1908
  setline(1908);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6114 = gc_frame_new();
  int callframe6115 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call6116 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6115);
// compilenode returning call6116
// compilenode returning call6116
  gc_frame_newslot(call6116);
// compilenode returning *var_genericIdents
  params[0] = call6116;
  partcv[0] = 1;
  Object call6117 = callmethod(*var_genericIdents, "push",
    1, partcv, params);
  gc_frame_end(callframe6114);
// compilenode returning call6117
// Begin line 1912
  setline(1912);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1909
  setline(1909);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6119 = gc_frame_new();
  if (strlit6120 == NULL) {
    strlit6120 = alloc_String("comma");
    gc_root(strlit6120);
  }
// compilenode returning strlit6120
  gc_frame_newslot(strlit6120);
  params[0] = strlit6120;
  partcv[0] = 1;
  Object call6121 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6119);
// compilenode returning call6121
  Object if6118 = done;
  if (istrue(call6121)) {
// Begin line 1910
  setline(1910);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6122 = gc_frame_new();
  partcv[0] = 0;
  Object call6123 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6122);
// compilenode returning call6123
    gc_frame_newslot(call6123);
    if6118 = call6123;
  } else {
  }
// compilenode returning if6118
  gc_frame_end(frame);
  return if6118;
}
Object meth_parser__apply6186(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe6187 = gc_frame_new();
  partcv[0] = 0;
  Object call6188 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6187);
// compilenode returning call6188
  gc_frame_end(frame);
  return call6188;
}
Object meth_parser__apply6266(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe6267 = gc_frame_new();
  partcv[0] = 0;
  Object call6268 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6267);
// compilenode returning call6268
  gc_frame_end(frame);
  return call6268;
}
Object meth_parser__apply6326(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe6327 = gc_frame_new();
  if (strlit6328 == NULL) {
    strlit6328 = alloc_String("comma");
    gc_root(strlit6328);
  }
// compilenode returning strlit6328
  gc_frame_newslot(strlit6328);
  params[0] = strlit6328;
  partcv[0] = 1;
  Object call6329 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6327);
// compilenode returning call6329
  gc_frame_end(frame);
  return call6329;
}
Object meth_parser__apply6346(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe6347 = gc_frame_new();
  partcv[0] = 0;
  Object call6348 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6347);
// compilenode returning call6348
  gc_frame_end(frame);
  return call6348;
}
Object meth_parser__apply6468(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe6469 = gc_frame_new();
  partcv[0] = 0;
  Object call6470 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6469);
// compilenode returning call6470
  gc_frame_end(frame);
  return call6470;
}
Object meth_parser__apply6332(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_tmp = getfromclosure(closure, 1);
  Object *var_part = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_sym = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
// Begin line 1972
  setline(1972);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1971
  setline(1971);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6333 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call6334 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6333);
// compilenode returning call6334
// compilenode returning call6334
  *var_tmp = call6334;
  if (call6334 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1972
  setline(1972);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6336 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
  int callframe6337 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call6338 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe6337);
// compilenode returning call6338
// compilenode returning call6338
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call6339 = callmethod(call6338, "push",
    1, partcv, params);
  gc_frame_end(callframe6336);
// compilenode returning call6339
// Begin line 1973
  setline(1973);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6340 = gc_frame_new();
  partcv[0] = 0;
  Object call6341 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6340);
// compilenode returning call6341
// Begin line 1991
  setline(1991);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1974
  setline(1974);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6343 = gc_frame_new();
  int callframe6344 = gc_frame_new();
  Object block6345 = alloc_Block(NULL, NULL, "parser", 1974);
  gc_frame_newslot(block6345);
  block_savedest(block6345);
  Object closure6346 = createclosure(1, "_apply");
setclosureframe(closure6346, stackframe);
  addtoclosure(closure6346, selfslot);
  struct UserObject *uo6346 = (struct UserObject*)block6345;
  uo6346->data[0] = (Object)closure6346;
  Method *meth_meth_parser__apply6346 = addmethod2pos(block6345, "_apply", &meth_parser__apply6346, 0);
int argcv_meth_parser__apply6346[] = {0};
meth_meth_parser__apply6346->type = alloc_MethodType(1, argcv_meth_parser__apply6346);
  meth_meth_parser__apply6346->definitionModule = modulename;
  meth_meth_parser__apply6346->definitionLine = 1974;
// compilenode returning block6345
  gc_frame_newslot(block6345);
  params[0] = block6345;
  partcv[0] = 1;
  Object call6350 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6344);
// compilenode returning call6350
  partcv[0] = 0;
  Object call6351 = callmethod(call6350, "not",
    1, partcv, params);
  gc_frame_end(callframe6343);
// compilenode returning call6351
// compilenode returning call6351
  Object if6342 = done;
  if (istrue(call6351)) {
// Begin line 1976
  setline(1976);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1975
  setline(1975);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array6352 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array6352
  *var_suggestions = array6352;
  if (array6352 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1977
  setline(1977);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1976
  setline(1976);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6353 = gc_frame_new();
  int callframe6354 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6355 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6354);
// compilenode returning call6355
// compilenode returning call6355
  partcv[0] = 0;
  Object call6356 = callmethod(call6355, "new",
    1, partcv, params);
  gc_frame_end(callframe6353);
// compilenode returning call6356
// compilenode returning call6356
  *var_suggestion = call6356;
  if (call6356 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1977
  setline(1977);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6357 = gc_frame_new();
  if (strlit6358 == NULL) {
    strlit6358 = alloc_String("rparen");
    gc_root(strlit6358);
  }
// compilenode returning strlit6358
  gc_frame_newslot(strlit6358);
  params[0] = strlit6358;
  partcv[0] = 1;
  Object call6359 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6357);
// compilenode returning call6359
  *var_nextTok = call6359;
  if (call6359 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1983
  setline(1983);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1978
  setline(1978);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_6361 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_6361 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult6363 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult6363
  Object if6360 = done;
  if (istrue(opresult6363)) {
// Begin line 1979
  setline(1979);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6364 = gc_frame_new();
  if (strlit6365 == NULL) {
    strlit6365 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit6365);
  }
// compilenode returning strlit6365
  gc_frame_newslot(strlit6365);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit6365;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6366 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6364);
// compilenode returning call6366
    gc_frame_newslot(call6366);
    if6360 = call6366;
  } else {
// Begin line 1981
  setline(1981);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6367 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe6368 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call6369 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6368);
// compilenode returning call6369
// compilenode returning call6369
  gc_frame_newslot(call6369);
  Object bool6370 = alloc_Boolean(1);
// compilenode returning bool6370
  gc_frame_newslot(bool6370);
  Object bool6371 = alloc_Boolean(0);
// compilenode returning bool6371
  gc_frame_newslot(bool6371);
  if (strlit6372 == NULL) {
    strlit6372 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit6372);
  }
// compilenode returning strlit6372
  gc_frame_newslot(strlit6372);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call6369;
  params[2] = bool6370;
  params[3] = bool6371;
  params[4] = strlit6372;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6373 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe6367);
// compilenode returning call6373
    gc_frame_newslot(call6373);
    if6360 = call6373;
  }
// compilenode returning if6360
// Begin line 1983
  setline(1983);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6374 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6375 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6374);
// compilenode returning call6375
// Begin line 1985
  setline(1985);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1984
  setline(1984);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6376 = gc_frame_new();
  int callframe6377 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6378 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6377);
// compilenode returning call6378
// compilenode returning call6378
  partcv[0] = 0;
  Object call6379 = callmethod(call6378, "new",
    1, partcv, params);
  gc_frame_end(callframe6376);
// compilenode returning call6379
// compilenode returning call6379
  *var_suggestion = call6379;
  if (call6379 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1985
  setline(1985);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6381 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe6382 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call6383 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6382);
// compilenode returning call6383
// compilenode returning call6383
  gc_frame_newslot(call6383);
  Object bool6384 = alloc_Boolean(1);
// compilenode returning bool6384
  gc_frame_newslot(bool6384);
  Object bool6385 = alloc_Boolean(0);
// compilenode returning bool6385
  gc_frame_newslot(bool6385);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call6383;
  params[2] = bool6384;
  params[3] = bool6385;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6386 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe6381);
// compilenode returning call6386
// Begin line 1986
  setline(1986);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6387 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6388 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6387);
// compilenode returning call6388
// Begin line 1987
  setline(1987);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6389 = gc_frame_new();
  if (strlit6390 == NULL) {
    strlit6390 = alloc_String("A method request must have an expression after a ','.");
    gc_root(strlit6390);
  }
// compilenode returning strlit6390
  gc_frame_newslot(strlit6390);
// Begin line 1988
  setline(1988);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6391 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6392 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6391);
// compilenode returning call6392
// compilenode returning call6392
  gc_frame_newslot(call6392);
  int callframe6393 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6394 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6393);
// compilenode returning call6394
// compilenode returning call6394
  gc_frame_newslot(call6394);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1987
  setline(1987);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6390;
  params[1] = call6392;
  params[2] = call6394;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6395 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe6389);
// compilenode returning call6395
    gc_frame_newslot(call6395);
    if6342 = call6395;
  } else {
  }
// compilenode returning if6342
// Begin line 2026
  setline(2026);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1991
  setline(1991);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6397 = gc_frame_new();
  if (strlit6398 == NULL) {
    strlit6398 = alloc_String("colon");
    gc_root(strlit6398);
  }
// compilenode returning strlit6398
  gc_frame_newslot(strlit6398);
  params[0] = strlit6398;
  partcv[0] = 1;
  Object call6399 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6397);
// compilenode returning call6399
  Object if6396 = done;
  if (istrue(call6399)) {
// Begin line 1993
  setline(1993);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1992
  setline(1992);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6400 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call6401 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6400);
// compilenode returning call6401
// compilenode returning call6401
  *var_tmp = call6401;
  if (call6401 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2005
  setline(2005);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1993
  setline(1993);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6405 == NULL) {
    strlit6405 = alloc_String("identifier");
    gc_root(strlit6405);
  }
// compilenode returning strlit6405
  int op_slot_right_6404 = gc_frame_newslot(strlit6405);
  int callframe6407 = gc_frame_new();
// compilenode returning *var_tmp
  partcv[0] = 0;
  Object call6408 = callmethod(*var_tmp, "kind",
    1, partcv, params);
  gc_frame_end(callframe6407);
// compilenode returning call6408
// compilenode returning call6408
  int op_slot_left_6404 = gc_frame_newslot(call6408);
  params[0] = strlit6405;
  partcv[0] = 1;
  Object opresult6409 = callmethod(call6408, "!=", 1, partcv, params);
// compilenode returning opresult6409
  Object if6403 = done;
  if (istrue(opresult6409)) {
// Begin line 1995
  setline(1995);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1994
  setline(1994);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6410 = gc_frame_new();
  int callframe6411 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6412 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6411);
// compilenode returning call6412
// compilenode returning call6412
  partcv[0] = 0;
  Object call6413 = callmethod(call6412, "new",
    1, partcv, params);
  gc_frame_end(callframe6410);
// compilenode returning call6413
// compilenode returning call6413
  *var_suggestion = call6413;
  if (call6413 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2004
  setline(2004);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1995
  setline(1995);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6416 == NULL) {
    strlit6416 = alloc_String("identifier");
    gc_root(strlit6416);
  }
// compilenode returning strlit6416
  int op_slot_right_6415 = gc_frame_newslot(strlit6416);
  int callframe6418 = gc_frame_new();
  int callframe6419 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6420 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe6419);
// compilenode returning call6420
// compilenode returning call6420
  partcv[0] = 0;
  Object call6421 = callmethod(call6420, "kind",
    1, partcv, params);
  gc_frame_end(callframe6418);
// compilenode returning call6421
// compilenode returning call6421
  int op_slot_left_6415 = gc_frame_newslot(call6421);
  params[0] = strlit6416;
  partcv[0] = 1;
  Object opresult6422 = callmethod(call6421, "==", 1, partcv, params);
// compilenode returning opresult6422
  Object if6414 = done;
  if (istrue(opresult6422)) {
// Begin line 1996
  setline(1996);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6423 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe6424 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6425 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe6424);
// compilenode returning call6425
// compilenode returning call6425
  gc_frame_newslot(call6425);
  Object bool6426 = alloc_Boolean(1);
// compilenode returning bool6426
  gc_frame_newslot(bool6426);
  Object bool6427 = alloc_Boolean(0);
// compilenode returning bool6427
  gc_frame_newslot(bool6427);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call6425;
  params[2] = bool6426;
  params[3] = bool6427;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6428 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe6423);
// compilenode returning call6428
// Begin line 1997
  setline(1997);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6429 = gc_frame_new();
  if (strlit6430 == NULL) {
    strlit6430 = alloc_String("Only variables and constants may be followed by a ':' and a type.");
    gc_root(strlit6430);
  }
// compilenode returning strlit6430
  gc_frame_newslot(strlit6430);
// Begin line 1998
  setline(1998);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6431 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6432 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6431);
// compilenode returning call6432
// compilenode returning call6432
  gc_frame_newslot(call6432);
  int callframe6433 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6434 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6433);
// compilenode returning call6434
// compilenode returning call6434
  gc_frame_newslot(call6434);
  Object num6436 = alloc_Float64(1);
// compilenode returning num6436
  int op_slot_right_6435 = gc_frame_newslot(num6436);
  int callframe6439 = gc_frame_new();
  int callframe6440 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6441 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe6440);
// compilenode returning call6441
// compilenode returning call6441
  partcv[0] = 0;
  Object call6442 = callmethod(call6441, "size",
    1, partcv, params);
  gc_frame_end(callframe6439);
// compilenode returning call6442
// compilenode returning call6442
  int op_slot_right_6438 = gc_frame_newslot(call6442);
  int callframe6444 = gc_frame_new();
  int callframe6445 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6446 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe6445);
// compilenode returning call6446
// compilenode returning call6446
  partcv[0] = 0;
  Object call6447 = callmethod(call6446, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6444);
// compilenode returning call6447
// compilenode returning call6447
  int op_slot_left_6438 = gc_frame_newslot(call6447);
  params[0] = call6442;
  partcv[0] = 1;
  Object sum6448 = callmethod(call6447, "+", 1, partcv, params);
// compilenode returning sum6448
  int op_slot_left_6435 = gc_frame_newslot(sum6448);
  params[0] = num6436;
  partcv[0] = 1;
  Object diff6449 = callmethod(sum6448, "-", 1, partcv, params);
// compilenode returning diff6449
  gc_frame_newslot(diff6449);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1997
  setline(1997);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6430;
  params[1] = call6432;
  params[2] = call6434;
  params[3] = diff6449;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call6450 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6429);
// compilenode returning call6450
    gc_frame_newslot(call6450);
    if6414 = call6450;
  } else {
// Begin line 2000
  setline(2000);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6451 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call6452 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe6451);
// compilenode returning call6452
// Begin line 2001
  setline(2001);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6453 = gc_frame_new();
  if (strlit6454 == NULL) {
    strlit6454 = alloc_String("Only variables and constants may be followed by a ':' and a type.");
    gc_root(strlit6454);
  }
// compilenode returning strlit6454
  gc_frame_newslot(strlit6454);
// Begin line 2002
  setline(2002);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6455 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6456 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6455);
// compilenode returning call6456
// compilenode returning call6456
  gc_frame_newslot(call6456);
  int callframe6457 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6458 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6457);
// compilenode returning call6458
// compilenode returning call6458
  gc_frame_newslot(call6458);
  int callframe6459 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6460 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6459);
// compilenode returning call6460
// compilenode returning call6460
  gc_frame_newslot(call6460);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2001
  setline(2001);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6454;
  params[1] = call6456;
  params[2] = call6458;
  params[3] = call6460;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call6461 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6453);
// compilenode returning call6461
    gc_frame_newslot(call6461);
    if6414 = call6461;
  }
// compilenode returning if6414
    gc_frame_newslot(if6414);
    if6403 = if6414;
  } else {
  }
// compilenode returning if6403
// Begin line 2005
  setline(2005);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6462 = gc_frame_new();
  partcv[0] = 0;
  Object call6463 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6462);
// compilenode returning call6463
// Begin line 2023
  setline(2023);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2006
  setline(2006);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6465 = gc_frame_new();
  int callframe6466 = gc_frame_new();
  Object block6467 = alloc_Block(NULL, NULL, "parser", 2006);
  gc_frame_newslot(block6467);
  block_savedest(block6467);
  Object closure6468 = createclosure(1, "_apply");
setclosureframe(closure6468, stackframe);
  addtoclosure(closure6468, selfslot);
  struct UserObject *uo6468 = (struct UserObject*)block6467;
  uo6468->data[0] = (Object)closure6468;
  Method *meth_meth_parser__apply6468 = addmethod2pos(block6467, "_apply", &meth_parser__apply6468, 0);
int argcv_meth_parser__apply6468[] = {0};
meth_meth_parser__apply6468->type = alloc_MethodType(1, argcv_meth_parser__apply6468);
  meth_meth_parser__apply6468->definitionModule = modulename;
  meth_meth_parser__apply6468->definitionLine = 2006;
// compilenode returning block6467
  gc_frame_newslot(block6467);
  params[0] = block6467;
  partcv[0] = 1;
  Object call6472 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6466);
// compilenode returning call6472
  partcv[0] = 0;
  Object call6473 = callmethod(call6472, "not",
    1, partcv, params);
  gc_frame_end(callframe6465);
// compilenode returning call6473
// compilenode returning call6473
  Object if6464 = done;
  if (istrue(call6473)) {
// Begin line 2007
  setline(2007);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6474 = gc_frame_new();
  partcv[0] = 0;
  Object call6475 = callmethodflags(self, "checkBadAnonymousType", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6474);
// compilenode returning call6475
// Begin line 2009
  setline(2009);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2008
  setline(2008);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array6476 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array6476
  *var_suggestions = array6476;
  if (array6476 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2010
  setline(2010);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2009
  setline(2009);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6477 = gc_frame_new();
  int callframe6478 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6479 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6478);
// compilenode returning call6479
// compilenode returning call6479
  partcv[0] = 0;
  Object call6480 = callmethod(call6479, "new",
    1, partcv, params);
  gc_frame_end(callframe6477);
// compilenode returning call6480
// compilenode returning call6480
  *var_suggestion = call6480;
  if (call6480 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2010
  setline(2010);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6481 = gc_frame_new();
  if (strlit6482 == NULL) {
    strlit6482 = alloc_String("rparen");
    gc_root(strlit6482);
  }
// compilenode returning strlit6482
  gc_frame_newslot(strlit6482);
  params[0] = strlit6482;
  partcv[0] = 1;
  Object call6483 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6481);
// compilenode returning call6483
  *var_nextTok = call6483;
  if (call6483 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2016
  setline(2016);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2011
  setline(2011);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_6485 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_6485 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult6487 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult6487
  Object if6484 = done;
  if (istrue(opresult6487)) {
// Begin line 2012
  setline(2012);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6488 = gc_frame_new();
  if (strlit6489 == NULL) {
    strlit6489 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit6489);
  }
// compilenode returning strlit6489
  gc_frame_newslot(strlit6489);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit6489;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6490 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6488);
// compilenode returning call6490
    gc_frame_newslot(call6490);
    if6484 = call6490;
  } else {
// Begin line 2014
  setline(2014);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6491 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe6492 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call6493 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6492);
// compilenode returning call6493
// compilenode returning call6493
  gc_frame_newslot(call6493);
  Object bool6494 = alloc_Boolean(1);
// compilenode returning bool6494
  gc_frame_newslot(bool6494);
  Object bool6495 = alloc_Boolean(0);
// compilenode returning bool6495
  gc_frame_newslot(bool6495);
  if (strlit6496 == NULL) {
    strlit6496 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit6496);
  }
// compilenode returning strlit6496
  gc_frame_newslot(strlit6496);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call6493;
  params[2] = bool6494;
  params[3] = bool6495;
  params[4] = strlit6496;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6497 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe6491);
// compilenode returning call6497
    gc_frame_newslot(call6497);
    if6484 = call6497;
  }
// compilenode returning if6484
// Begin line 2016
  setline(2016);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6498 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6499 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6498);
// compilenode returning call6499
// Begin line 2018
  setline(2018);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2017
  setline(2017);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6500 = gc_frame_new();
  int callframe6501 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6502 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6501);
// compilenode returning call6502
// compilenode returning call6502
  partcv[0] = 0;
  Object call6503 = callmethod(call6502, "new",
    1, partcv, params);
  gc_frame_end(callframe6500);
// compilenode returning call6503
// compilenode returning call6503
  *var_suggestion = call6503;
  if (call6503 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2018
  setline(2018);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6505 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe6506 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call6507 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6506);
// compilenode returning call6507
// compilenode returning call6507
  gc_frame_newslot(call6507);
  Object bool6508 = alloc_Boolean(1);
// compilenode returning bool6508
  gc_frame_newslot(bool6508);
  Object bool6509 = alloc_Boolean(0);
// compilenode returning bool6509
  gc_frame_newslot(bool6509);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call6507;
  params[2] = bool6508;
  params[3] = bool6509;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6510 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe6505);
// compilenode returning call6510
// Begin line 2019
  setline(2019);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6511 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6512 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6511);
// compilenode returning call6512
// Begin line 2020
  setline(2020);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6513 = gc_frame_new();
  if (strlit6514 == NULL) {
    strlit6514 = alloc_String("A type name or type expression must follow ':'.");
    gc_root(strlit6514);
  }
// compilenode returning strlit6514
  gc_frame_newslot(strlit6514);
// Begin line 2021
  setline(2021);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6515 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6516 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6515);
// compilenode returning call6516
// compilenode returning call6516
  gc_frame_newslot(call6516);
  int callframe6517 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6518 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6517);
// compilenode returning call6518
// compilenode returning call6518
  gc_frame_newslot(call6518);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2020
  setline(2020);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6514;
  params[1] = call6516;
  params[2] = call6518;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6519 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe6513);
// compilenode returning call6519
    gc_frame_newslot(call6519);
    if6464 = call6519;
  } else {
  }
// compilenode returning if6464
// Begin line 2024
  setline(2024);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2021
  setline(2021);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6520 = gc_frame_new();
// Begin line 2023
  setline(2023);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6521 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call6522 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6521);
// compilenode returning call6522
// compilenode returning call6522
  gc_frame_newslot(call6522);
// compilenode returning *var_tmp
  params[0] = call6522;
  partcv[0] = 1;
  Object call6523 = callmethod(*var_tmp, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe6520);
// compilenode returning call6523
// compilenode returning done
// Begin line 2024
  setline(2024);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6524 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_values
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call6525 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6524);
// compilenode returning call6525
    gc_frame_newslot(call6525);
    if6396 = call6525;
  } else {
  }
// compilenode returning if6396
  gc_frame_end(frame);
  return if6396;
}
Object meth_parser__apply6191(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_tmp = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_part = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
// Begin line 1970
  setline(1970);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1935
  setline(1935);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6193 = gc_frame_new();
  if (strlit6194 == NULL) {
    strlit6194 = alloc_String("colon");
    gc_root(strlit6194);
  }
// compilenode returning strlit6194
  gc_frame_newslot(strlit6194);
  params[0] = strlit6194;
  partcv[0] = 1;
  Object call6195 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6193);
// compilenode returning call6195
  Object if6192 = done;
  if (istrue(call6195)) {
// Begin line 1937
  setline(1937);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1936
  setline(1936);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6196 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call6197 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6196);
// compilenode returning call6197
// compilenode returning call6197
  *var_tmp = call6197;
  if (call6197 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1949
  setline(1949);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1937
  setline(1937);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6201 == NULL) {
    strlit6201 = alloc_String("identifier");
    gc_root(strlit6201);
  }
// compilenode returning strlit6201
  int op_slot_right_6200 = gc_frame_newslot(strlit6201);
  int callframe6203 = gc_frame_new();
// compilenode returning *var_tmp
  partcv[0] = 0;
  Object call6204 = callmethod(*var_tmp, "kind",
    1, partcv, params);
  gc_frame_end(callframe6203);
// compilenode returning call6204
// compilenode returning call6204
  int op_slot_left_6200 = gc_frame_newslot(call6204);
  params[0] = strlit6201;
  partcv[0] = 1;
  Object opresult6205 = callmethod(call6204, "!=", 1, partcv, params);
// compilenode returning opresult6205
  Object if6199 = done;
  if (istrue(opresult6205)) {
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1938
  setline(1938);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6206 = gc_frame_new();
  int callframe6207 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6208 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6207);
// compilenode returning call6208
// compilenode returning call6208
  partcv[0] = 0;
  Object call6209 = callmethod(call6208, "new",
    1, partcv, params);
  gc_frame_end(callframe6206);
// compilenode returning call6209
// compilenode returning call6209
  *var_suggestion = call6209;
  if (call6209 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1948
  setline(1948);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6212 == NULL) {
    strlit6212 = alloc_String("identifier");
    gc_root(strlit6212);
  }
// compilenode returning strlit6212
  int op_slot_right_6211 = gc_frame_newslot(strlit6212);
  int callframe6214 = gc_frame_new();
  int callframe6215 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6216 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe6215);
// compilenode returning call6216
// compilenode returning call6216
  partcv[0] = 0;
  Object call6217 = callmethod(call6216, "kind",
    1, partcv, params);
  gc_frame_end(callframe6214);
// compilenode returning call6217
// compilenode returning call6217
  int op_slot_left_6211 = gc_frame_newslot(call6217);
  params[0] = strlit6212;
  partcv[0] = 1;
  Object opresult6218 = callmethod(call6217, "==", 1, partcv, params);
// compilenode returning opresult6218
  Object if6210 = done;
  if (istrue(opresult6218)) {
// Begin line 1940
  setline(1940);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6219 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe6220 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6221 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe6220);
// compilenode returning call6221
// compilenode returning call6221
  gc_frame_newslot(call6221);
  Object bool6222 = alloc_Boolean(1);
// compilenode returning bool6222
  gc_frame_newslot(bool6222);
  Object bool6223 = alloc_Boolean(0);
// compilenode returning bool6223
  gc_frame_newslot(bool6223);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call6221;
  params[2] = bool6222;
  params[3] = bool6223;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6224 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe6219);
// compilenode returning call6224
// Begin line 1941
  setline(1941);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6225 = gc_frame_new();
  if (strlit6226 == NULL) {
    strlit6226 = alloc_String("Only variables and constants may be followed by a ':' and a type.");
    gc_root(strlit6226);
  }
// compilenode returning strlit6226
  gc_frame_newslot(strlit6226);
// Begin line 1942
  setline(1942);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6227 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6228 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6227);
// compilenode returning call6228
// compilenode returning call6228
  gc_frame_newslot(call6228);
  int callframe6229 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6230 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6229);
// compilenode returning call6230
// compilenode returning call6230
  gc_frame_newslot(call6230);
  Object num6232 = alloc_Float64(1);
// compilenode returning num6232
  int op_slot_right_6231 = gc_frame_newslot(num6232);
  int callframe6235 = gc_frame_new();
  int callframe6236 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6237 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe6236);
// compilenode returning call6237
// compilenode returning call6237
  partcv[0] = 0;
  Object call6238 = callmethod(call6237, "size",
    1, partcv, params);
  gc_frame_end(callframe6235);
// compilenode returning call6238
// compilenode returning call6238
  int op_slot_right_6234 = gc_frame_newslot(call6238);
  int callframe6240 = gc_frame_new();
  int callframe6241 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6242 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe6241);
// compilenode returning call6242
// compilenode returning call6242
  partcv[0] = 0;
  Object call6243 = callmethod(call6242, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6240);
// compilenode returning call6243
// compilenode returning call6243
  int op_slot_left_6234 = gc_frame_newslot(call6243);
  params[0] = call6238;
  partcv[0] = 1;
  Object sum6244 = callmethod(call6243, "+", 1, partcv, params);
// compilenode returning sum6244
  int op_slot_left_6231 = gc_frame_newslot(sum6244);
  params[0] = num6232;
  partcv[0] = 1;
  Object diff6245 = callmethod(sum6244, "-", 1, partcv, params);
// compilenode returning diff6245
  gc_frame_newslot(diff6245);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1941
  setline(1941);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6226;
  params[1] = call6228;
  params[2] = call6230;
  params[3] = diff6245;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call6246 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6225);
// compilenode returning call6246
    gc_frame_newslot(call6246);
    if6210 = call6246;
  } else {
// Begin line 1944
  setline(1944);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6247 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool6248 = alloc_Boolean(1);
// compilenode returning bool6248
  gc_frame_newslot(bool6248);
  Object bool6249 = alloc_Boolean(0);
// compilenode returning bool6249
  gc_frame_newslot(bool6249);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool6248;
  params[2] = bool6249;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6250 = callmethod(*var_suggestion, "deleteToken()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe6247);
// compilenode returning call6250
// Begin line 1945
  setline(1945);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6251 = gc_frame_new();
  if (strlit6252 == NULL) {
    strlit6252 = alloc_String("Only variables and constants may be followed by a ':' and a type.");
    gc_root(strlit6252);
  }
// compilenode returning strlit6252
  gc_frame_newslot(strlit6252);
// Begin line 1946
  setline(1946);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6253 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6254 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6253);
// compilenode returning call6254
// compilenode returning call6254
  gc_frame_newslot(call6254);
  int callframe6255 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6256 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6255);
// compilenode returning call6256
// compilenode returning call6256
  gc_frame_newslot(call6256);
  int callframe6257 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6258 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6257);
// compilenode returning call6258
// compilenode returning call6258
  gc_frame_newslot(call6258);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 1945
  setline(1945);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6252;
  params[1] = call6254;
  params[2] = call6256;
  params[3] = call6258;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call6259 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6251);
// compilenode returning call6259
    gc_frame_newslot(call6259);
    if6210 = call6259;
  }
// compilenode returning if6210
    gc_frame_newslot(if6210);
    if6199 = if6210;
  } else {
  }
// compilenode returning if6199
// Begin line 1949
  setline(1949);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6260 = gc_frame_new();
  partcv[0] = 0;
  Object call6261 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6260);
// compilenode returning call6261
// Begin line 1967
  setline(1967);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1950
  setline(1950);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6263 = gc_frame_new();
  int callframe6264 = gc_frame_new();
  Object block6265 = alloc_Block(NULL, NULL, "parser", 1950);
  gc_frame_newslot(block6265);
  block_savedest(block6265);
  Object closure6266 = createclosure(1, "_apply");
setclosureframe(closure6266, stackframe);
  addtoclosure(closure6266, selfslot);
  struct UserObject *uo6266 = (struct UserObject*)block6265;
  uo6266->data[0] = (Object)closure6266;
  Method *meth_meth_parser__apply6266 = addmethod2pos(block6265, "_apply", &meth_parser__apply6266, 0);
int argcv_meth_parser__apply6266[] = {0};
meth_meth_parser__apply6266->type = alloc_MethodType(1, argcv_meth_parser__apply6266);
  meth_meth_parser__apply6266->definitionModule = modulename;
  meth_meth_parser__apply6266->definitionLine = 1950;
// compilenode returning block6265
  gc_frame_newslot(block6265);
  params[0] = block6265;
  partcv[0] = 1;
  Object call6270 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6264);
// compilenode returning call6270
  partcv[0] = 0;
  Object call6271 = callmethod(call6270, "not",
    1, partcv, params);
  gc_frame_end(callframe6263);
// compilenode returning call6271
// compilenode returning call6271
  Object if6262 = done;
  if (istrue(call6271)) {
// Begin line 1951
  setline(1951);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6272 = gc_frame_new();
  partcv[0] = 0;
  Object call6273 = callmethodflags(self, "checkBadAnonymousType", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6272);
// compilenode returning call6273
// Begin line 1953
  setline(1953);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1952
  setline(1952);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array6274 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array6274
  *var_suggestions = array6274;
  if (array6274 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1954
  setline(1954);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1953
  setline(1953);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6275 = gc_frame_new();
  int callframe6276 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6277 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6276);
// compilenode returning call6277
// compilenode returning call6277
  partcv[0] = 0;
  Object call6278 = callmethod(call6277, "new",
    1, partcv, params);
  gc_frame_end(callframe6275);
// compilenode returning call6278
// compilenode returning call6278
  *var_suggestion = call6278;
  if (call6278 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1954
  setline(1954);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6279 = gc_frame_new();
  if (strlit6280 == NULL) {
    strlit6280 = alloc_String("rparen");
    gc_root(strlit6280);
  }
// compilenode returning strlit6280
  gc_frame_newslot(strlit6280);
  params[0] = strlit6280;
  partcv[0] = 1;
  Object call6281 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6279);
// compilenode returning call6281
  *var_nextTok = call6281;
  if (call6281 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1960
  setline(1960);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1955
  setline(1955);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_6283 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_6283 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult6285 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult6285
  Object if6282 = done;
  if (istrue(opresult6285)) {
// Begin line 1956
  setline(1956);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6286 = gc_frame_new();
  if (strlit6287 == NULL) {
    strlit6287 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit6287);
  }
// compilenode returning strlit6287
  gc_frame_newslot(strlit6287);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit6287;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6288 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6286);
// compilenode returning call6288
    gc_frame_newslot(call6288);
    if6282 = call6288;
  } else {
// Begin line 1958
  setline(1958);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6289 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe6290 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call6291 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6290);
// compilenode returning call6291
// compilenode returning call6291
  gc_frame_newslot(call6291);
  Object bool6292 = alloc_Boolean(1);
// compilenode returning bool6292
  gc_frame_newslot(bool6292);
  Object bool6293 = alloc_Boolean(0);
// compilenode returning bool6293
  gc_frame_newslot(bool6293);
  if (strlit6294 == NULL) {
    strlit6294 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit6294);
  }
// compilenode returning strlit6294
  gc_frame_newslot(strlit6294);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call6291;
  params[2] = bool6292;
  params[3] = bool6293;
  params[4] = strlit6294;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6295 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe6289);
// compilenode returning call6295
    gc_frame_newslot(call6295);
    if6282 = call6295;
  }
// compilenode returning if6282
// Begin line 1960
  setline(1960);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6296 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6297 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6296);
// compilenode returning call6297
// Begin line 1962
  setline(1962);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1961
  setline(1961);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6298 = gc_frame_new();
  int callframe6299 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6300 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6299);
// compilenode returning call6300
// compilenode returning call6300
  partcv[0] = 0;
  Object call6301 = callmethod(call6300, "new",
    1, partcv, params);
  gc_frame_end(callframe6298);
// compilenode returning call6301
// compilenode returning call6301
  *var_suggestion = call6301;
  if (call6301 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1962
  setline(1962);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6303 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe6304 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call6305 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe6304);
// compilenode returning call6305
// compilenode returning call6305
  gc_frame_newslot(call6305);
  Object bool6306 = alloc_Boolean(1);
// compilenode returning bool6306
  gc_frame_newslot(bool6306);
  Object bool6307 = alloc_Boolean(0);
// compilenode returning bool6307
  gc_frame_newslot(bool6307);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call6305;
  params[2] = bool6306;
  params[3] = bool6307;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6308 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe6303);
// compilenode returning call6308
// Begin line 1963
  setline(1963);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6309 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6310 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe6309);
// compilenode returning call6310
// Begin line 1964
  setline(1964);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6311 = gc_frame_new();
  if (strlit6312 == NULL) {
    strlit6312 = alloc_String("A type name or type expression must follow ':'.");
    gc_root(strlit6312);
  }
// compilenode returning strlit6312
  gc_frame_newslot(strlit6312);
// Begin line 1965
  setline(1965);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6313 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6314 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6313);
// compilenode returning call6314
// compilenode returning call6314
  gc_frame_newslot(call6314);
  int callframe6315 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6316 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6315);
// compilenode returning call6316
// compilenode returning call6316
  gc_frame_newslot(call6316);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1964
  setline(1964);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6312;
  params[1] = call6314;
  params[2] = call6316;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6317 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe6311);
// compilenode returning call6317
    gc_frame_newslot(call6317);
    if6262 = call6317;
  } else {
  }
// compilenode returning if6262
// Begin line 1968
  setline(1968);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1965
  setline(1965);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6318 = gc_frame_new();
// Begin line 1967
  setline(1967);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6319 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call6320 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6319);
// compilenode returning call6320
// compilenode returning call6320
  gc_frame_newslot(call6320);
// compilenode returning *var_tmp
  params[0] = call6320;
  partcv[0] = 1;
  Object call6321 = callmethod(*var_tmp, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe6318);
// compilenode returning call6321
// compilenode returning done
// Begin line 1968
  setline(1968);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6322 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_values
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call6323 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6322);
// compilenode returning call6323
    gc_frame_newslot(call6323);
    if6192 = call6323;
  } else {
  }
// compilenode returning if6192
// Begin line 1970
  setline(1970);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6324 = gc_frame_new();
  Object block6325 = alloc_Block(NULL, NULL, "parser", 1970);
  gc_frame_newslot(block6325);
  block_savedest(block6325);
  Object closure6326 = createclosure(1, "_apply");
setclosureframe(closure6326, stackframe);
  addtoclosure(closure6326, selfslot);
  struct UserObject *uo6326 = (struct UserObject*)block6325;
  uo6326->data[0] = (Object)closure6326;
  Method *meth_meth_parser__apply6326 = addmethod2pos(block6325, "_apply", &meth_parser__apply6326, 0);
int argcv_meth_parser__apply6326[] = {0};
meth_meth_parser__apply6326->type = alloc_MethodType(1, argcv_meth_parser__apply6326);
  meth_meth_parser__apply6326->definitionModule = modulename;
  meth_meth_parser__apply6326->definitionLine = 1967;
// compilenode returning block6325
  gc_frame_newslot(block6325);
  Object block6331 = alloc_Block(NULL, NULL, "parser", 1970);
  gc_frame_newslot(block6331);
  block_savedest(block6331);
  Object closure6332 = createclosure(7, "_apply");
setclosureframe(closure6332, stackframe);
  addtoclosure(closure6332, var_values);
  addtoclosure(closure6332, var_tmp);
  addtoclosure(closure6332, var_part);
  addtoclosure(closure6332, var_errormessages);
  addtoclosure(closure6332, var_sym);
  addtoclosure(closure6332, var_lastToken);
  addtoclosure(closure6332, selfslot);
  struct UserObject *uo6332 = (struct UserObject*)block6331;
  uo6332->data[0] = (Object)closure6332;
  Method *meth_meth_parser__apply6332 = addmethod2pos(block6331, "_apply", &meth_parser__apply6332, 0);
int argcv_meth_parser__apply6332[] = {0};
meth_meth_parser__apply6332->type = alloc_MethodType(1, argcv_meth_parser__apply6332);
  meth_meth_parser__apply6332->definitionModule = modulename;
  meth_meth_parser__apply6332->definitionLine = 1967;
// compilenode returning block6331
  gc_frame_newslot(block6331);
  params[0] = block6325;
  params[1] = block6331;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6527 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6324);
// compilenode returning call6527
// Begin line 2028
  setline(2028);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2027
  setline(2027);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6528 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call6529 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6528);
// compilenode returning call6529
// compilenode returning call6529
  *var_tmp = call6529;
  if (call6529 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2028
  setline(2028);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6531 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
  int callframe6532 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call6533 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe6532);
// compilenode returning call6533
// compilenode returning call6533
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call6534 = callmethod(call6533, "push",
    1, partcv, params);
  gc_frame_end(callframe6531);
// compilenode returning call6534
  gc_frame_end(frame);
  return call6534;
}
Object meth_parser__apply6588(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_tok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe6589 = gc_frame_new();
  if (strlit6590 == NULL) {
    strlit6590 = alloc_String("lbrace");
    gc_root(strlit6590);
  }
// compilenode returning strlit6590
  gc_frame_newslot(strlit6590);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6590;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6591 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6589);
// compilenode returning call6591
  gc_frame_end(frame);
  return call6591;
}
Object meth_parser__apply6674(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_root = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit6676 == NULL) {
    strlit6676 = alloc_String("member");
    gc_root(strlit6676);
  }
// compilenode returning strlit6676
  int op_slot_right_6675 = gc_frame_newslot(strlit6676);
  int callframe6678 = gc_frame_new();
// compilenode returning *var_root
  partcv[0] = 0;
  Object call6679 = callmethod(*var_root, "kind",
    1, partcv, params);
  gc_frame_end(callframe6678);
// compilenode returning call6679
// compilenode returning call6679
  int op_slot_left_6675 = gc_frame_newslot(call6679);
  params[0] = strlit6676;
  partcv[0] = 1;
  Object opresult6680 = callmethod(call6679, "==", 1, partcv, params);
// compilenode returning opresult6680
  gc_frame_end(frame);
  return opresult6680;
}
Object meth_parser__apply6683(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_root = getfromclosure(closure, 0);
  Object *var_outroot = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2063
  setline(2063);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2062
  setline(2062);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_root
  *var_outroot = *var_root;
  if (*var_root == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2064
  setline(2064);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2063
  setline(2063);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6685 = gc_frame_new();
// compilenode returning *var_root
  partcv[0] = 0;
  Object call6686 = callmethod(*var_root, "in",
    1, partcv, params);
  gc_frame_end(callframe6685);
// compilenode returning call6686
// compilenode returning call6686
  *var_root = call6686;
  if (call6686 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_callrest6040(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 37, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(23, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "callrest");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_linenum = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_ast = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_minIndentLevel = getfromclosure(closure, 5);
  Object *var_collections = getfromclosure(closure, 6);
  Object *var_errormessages = getfromclosure(closure, 7);
  Object *var_don_39_tTakeBlock = getfromclosure(closure, 8);
  Object *var_util = getfromclosure(closure, 9);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for callrest (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for callrest");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_meth = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "meth");
  Object *var_lnum = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "lnum");
  Object *var_lpos = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "lpos");
  Object *var_methn = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "methn");
  Object *var_btok = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "btok");
  Object *var_tmp = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "tmp");
  Object *var_ln = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "ln");
  Object *var_signature = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "signature");
  Object *var_part = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "part");
  Object *var_hadcall = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "hadcall");
  Object *var_tok = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "tok");
  Object *var_startInd = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "startInd");
  Object *var_genericIdents = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "genericIdents");
  Object *var_startToken = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "startToken");
  Object *var_suggestion = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "suggestion");
  Object *var_suggestion2 = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "suggestion2");
  Object *var_suggestions = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "suggestions");
  Object *var_ar = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "ar");
  Object *var_root = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "root");
  Object *var_outroot = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "outroot");
  Object *var_meth_39_ = &(stackframe->slots[21]);
  setframeelementname(stackframe, 21, "meth'");
// Begin line 1877
  setline(1877);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1874
  setline(1874);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num6043 = alloc_Float64(0);
// compilenode returning num6043
  int op_slot_right_6042 = gc_frame_newslot(num6043);
  int callframe6045 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call6046 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe6045);
// compilenode returning call6046
// compilenode returning call6046
  int op_slot_left_6042 = gc_frame_newslot(call6046);
  params[0] = num6043;
  partcv[0] = 1;
  Object opresult6047 = callmethod(call6046, "==", 1, partcv, params);
// compilenode returning opresult6047
  Object if6041 = done;
  if (istrue(opresult6047)) {
// Begin line 1876
  setline(1876);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1875
  setline(1875);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num6048 = alloc_Float64(0);
// compilenode returning num6048
  return num6048;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if6041 = undefined;
  } else {
  }
// compilenode returning if6041
// Begin line 1878
  setline(1878);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1877
  setline(1877);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6049 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call6050 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6049);
// compilenode returning call6050
// compilenode returning call6050
  *var_meth = call6050;
  if (call6050 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1879
  setline(1879);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1878
  setline(1878);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_linenum
  *var_lnum = *var_linenum;
  if (*var_linenum == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1880
  setline(1880);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1879
  setline(1879);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num6051 = alloc_Float64(1);
// compilenode returning num6051
  *var_lpos = num6051;
  if (num6051 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1886
  setline(1886);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1880
  setline(1880);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6054 == NULL) {
    strlit6054 = alloc_String("identifier");
    gc_root(strlit6054);
  }
// compilenode returning strlit6054
  int op_slot_right_6053 = gc_frame_newslot(strlit6054);
  int callframe6056 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6057 = callmethod(*var_meth, "kind",
    1, partcv, params);
  gc_frame_end(callframe6056);
// compilenode returning call6057
// compilenode returning call6057
  int op_slot_left_6053 = gc_frame_newslot(call6057);
  params[0] = strlit6054;
  partcv[0] = 1;
  Object opresult6058 = callmethod(call6057, "!=", 1, partcv, params);
// compilenode returning opresult6058
  Object if6052 = done;
  if (istrue(opresult6058)) {
// Begin line 1885
  setline(1885);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1881
  setline(1881);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6061 == NULL) {
    strlit6061 = alloc_String("member");
    gc_root(strlit6061);
  }
// compilenode returning strlit6061
  int op_slot_right_6060 = gc_frame_newslot(strlit6061);
  int callframe6063 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6064 = callmethod(*var_meth, "kind",
    1, partcv, params);
  gc_frame_end(callframe6063);
// compilenode returning call6064
// compilenode returning call6064
  int op_slot_left_6060 = gc_frame_newslot(call6064);
  params[0] = strlit6061;
  partcv[0] = 1;
  Object opresult6065 = callmethod(call6064, "!=", 1, partcv, params);
// compilenode returning opresult6065
  Object if6059 = done;
  if (istrue(opresult6065)) {
// Begin line 1882
  setline(1882);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6066 = gc_frame_new();
// compilenode returning *var_meth
  gc_frame_newslot(*var_meth);
// compilenode returning *var_values
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call6067 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6066);
// compilenode returning call6067
// Begin line 1884
  setline(1884);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1883
  setline(1883);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num6068 = alloc_Float64(0);
// compilenode returning num6068
  return num6068;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if6059 = undefined;
  } else {
  }
// compilenode returning if6059
    gc_frame_newslot(if6059);
    if6052 = if6059;
  } else {
  }
// compilenode returning if6052
// Begin line 1890
  setline(1890);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1886
  setline(1886);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6071 == NULL) {
    strlit6071 = alloc_String("identifier");
    gc_root(strlit6071);
  }
// compilenode returning strlit6071
  int op_slot_right_6070 = gc_frame_newslot(strlit6071);
  int callframe6073 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6074 = callmethod(*var_meth, "kind",
    1, partcv, params);
  gc_frame_end(callframe6073);
// compilenode returning call6074
// compilenode returning call6074
  int op_slot_left_6070 = gc_frame_newslot(call6074);
  params[0] = strlit6071;
  partcv[0] = 1;
  Object opresult6075 = callmethod(call6074, "==", 1, partcv, params);
// compilenode returning opresult6075
  Object if6069 = done;
  if (istrue(opresult6075)) {
// Begin line 1888
  setline(1888);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1887
  setline(1887);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6076 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6077 = callmethod(*var_meth, "line",
    1, partcv, params);
  gc_frame_end(callframe6076);
// compilenode returning call6077
// compilenode returning call6077
  *var_lnum = call6077;
  if (call6077 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1889
  setline(1889);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1888
  setline(1888);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6079 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6080 = callmethod(*var_meth, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6079);
// compilenode returning call6080
// compilenode returning call6080
  *var_lpos = call6080;
  if (call6080 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6069 = done;
  } else {
  }
// compilenode returning if6069
// Begin line 1891
  setline(1891);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_methn = undefined;
// compilenode returning done
// Begin line 1892
  setline(1892);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1891
  setline(1891);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1893
  setline(1893);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_tmp = undefined;
// compilenode returning done
// Begin line 1894
  setline(1894);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1893
  setline(1893);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6082 = alloc_Boolean(0);
// compilenode returning bool6082
  *var_ln = bool6082;
  if (bool6082 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1895
  setline(1895);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1894
  setline(1894);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array6083 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array6083
  *var_signature = array6083;
  if (array6083 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1896
  setline(1896);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1895
  setline(1895);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6084 = gc_frame_new();
  int callframe6085 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call6086 = callmethod(*var_ast, "callWithPart",
    1, partcv, params);
  gc_frame_end(callframe6085);
// compilenode returning call6086
// compilenode returning call6086
  partcv[0] = 0;
  Object call6087 = callmethod(call6086, "new",
    1, partcv, params);
  gc_frame_end(callframe6084);
// compilenode returning call6087
// compilenode returning call6087
  *var_part = call6087;
  if (call6087 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1896
  setline(1896);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6088 = gc_frame_new();
// compilenode returning *var_part
  gc_frame_newslot(*var_part);
// compilenode returning *var_signature
  params[0] = *var_part;
  partcv[0] = 1;
  Object call6089 = callmethod(*var_signature, "push",
    1, partcv, params);
  gc_frame_end(callframe6088);
// compilenode returning call6089
// Begin line 1898
  setline(1898);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1897
  setline(1897);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6090 = alloc_Boolean(0);
// compilenode returning bool6090
  *var_hadcall = bool6090;
  if (bool6090 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1899
  setline(1899);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1898
  setline(1898);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  *var_tok = *var_lastToken;
  if (*var_lastToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1900
  setline(1900);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1899
  setline(1899);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  *var_startInd = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1901
  setline(1901);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1900
  setline(1900);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6091 = alloc_Boolean(0);
// compilenode returning bool6091
  *var_genericIdents = bool6091;
  if (bool6091 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1925
  setline(1925);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1901
  setline(1901);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6093 = gc_frame_new();
  if (strlit6094 == NULL) {
    strlit6094 = alloc_String("lgeneric");
    gc_root(strlit6094);
  }
// compilenode returning strlit6094
  gc_frame_newslot(strlit6094);
  params[0] = strlit6094;
  partcv[0] = 1;
  Object call6095 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6093);
// compilenode returning call6095
  Object if6092 = done;
  if (istrue(call6095)) {
// Begin line 1904
  setline(1904);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1903
  setline(1903);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_startToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1904
  setline(1904);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6096 = gc_frame_new();
  partcv[0] = 0;
  Object call6097 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6096);
// compilenode returning call6097
// Begin line 1906
  setline(1906);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1905
  setline(1905);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6098 = gc_frame_new();
  int callframe6099 = gc_frame_new();
// compilenode returning *var_collections
  partcv[0] = 0;
  Object call6100 = callmethod(*var_collections, "list",
    1, partcv, params);
  gc_frame_end(callframe6099);
// compilenode returning call6100
// compilenode returning call6100
  partcv[0] = 0;
  Object call6101 = callmethod(call6100, "new",
    1, partcv, params);
  gc_frame_end(callframe6098);
// compilenode returning call6101
// compilenode returning call6101
  *var_genericIdents = call6101;
  if (call6101 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1906
  setline(1906);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6103 = gc_frame_new();
  Object block6104 = alloc_Block(NULL, NULL, "parser", 1906);
  gc_frame_newslot(block6104);
  block_savedest(block6104);
  Object closure6105 = createclosure(1, "_apply");
setclosureframe(closure6105, stackframe);
  addtoclosure(closure6105, selfslot);
  struct UserObject *uo6105 = (struct UserObject*)block6104;
  uo6105->data[0] = (Object)closure6105;
  Method *meth_meth_parser__apply6105 = addmethod2pos(block6104, "_apply", &meth_parser__apply6105, 0);
int argcv_meth_parser__apply6105[] = {0};
meth_meth_parser__apply6105->type = alloc_MethodType(1, argcv_meth_parser__apply6105);
  meth_meth_parser__apply6105->definitionModule = modulename;
  meth_meth_parser__apply6105->definitionLine = 1905;
// compilenode returning block6104
  gc_frame_newslot(block6104);
  Object block6110 = alloc_Block(NULL, NULL, "parser", 1906);
  gc_frame_newslot(block6110);
  block_savedest(block6110);
  Object closure6111 = createclosure(3, "_apply");
setclosureframe(closure6111, stackframe);
  addtoclosure(closure6111, var_values);
  addtoclosure(closure6111, var_genericIdents);
  addtoclosure(closure6111, selfslot);
  struct UserObject *uo6111 = (struct UserObject*)block6110;
  uo6111->data[0] = (Object)closure6111;
  Method *meth_meth_parser__apply6111 = addmethod2pos(block6110, "_apply", &meth_parser__apply6111, 0);
int argcv_meth_parser__apply6111[] = {0};
meth_meth_parser__apply6111->type = alloc_MethodType(1, argcv_meth_parser__apply6111);
  meth_meth_parser__apply6111->definitionModule = modulename;
  meth_meth_parser__apply6111->definitionLine = 1905;
// compilenode returning block6110
  gc_frame_newslot(block6110);
  params[0] = block6104;
  params[1] = block6110;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6125 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6103);
// compilenode returning call6125
// Begin line 1923
  setline(1923);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1913
  setline(1913);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6128 == NULL) {
    strlit6128 = alloc_String("rgeneric");
    gc_root(strlit6128);
  }
// compilenode returning strlit6128
  int op_slot_right_6127 = gc_frame_newslot(strlit6128);
  int callframe6130 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6131 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe6130);
// compilenode returning call6131
// compilenode returning call6131
  int op_slot_left_6127 = gc_frame_newslot(call6131);
  params[0] = strlit6128;
  partcv[0] = 1;
  Object opresult6132 = callmethod(call6131, "!=", 1, partcv, params);
// compilenode returning opresult6132
  Object if6126 = done;
  if (istrue(opresult6132)) {
// Begin line 1915
  setline(1915);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1914
  setline(1914);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6133 = gc_frame_new();
  int callframe6134 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6135 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6134);
// compilenode returning call6135
// compilenode returning call6135
  partcv[0] = 0;
  Object call6136 = callmethod(call6135, "new",
    1, partcv, params);
  gc_frame_end(callframe6133);
// compilenode returning call6136
// compilenode returning call6136
  *var_suggestion = call6136;
  if (call6136 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1915
  setline(1915);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6137 = gc_frame_new();
  if (strlit6138 == NULL) {
    strlit6138 = alloc_String(">");
    gc_root(strlit6138);
  }
// compilenode returning strlit6138
  gc_frame_newslot(strlit6138);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit6138;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6139 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6137);
// compilenode returning call6139
// Begin line 1917
  setline(1917);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1916
  setline(1916);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6140 = gc_frame_new();
  int callframe6141 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6142 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6141);
// compilenode returning call6142
// compilenode returning call6142
  partcv[0] = 0;
  Object call6143 = callmethod(call6142, "new",
    1, partcv, params);
  gc_frame_end(callframe6140);
// compilenode returning call6143
// compilenode returning call6143
  *var_suggestion2 = call6143;
  if (call6143 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1917
  setline(1917);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6144 = gc_frame_new();
  if (strlit6145 == NULL) {
    strlit6145 = alloc_String(" ");
    gc_root(strlit6145);
  }
// compilenode returning strlit6145
  gc_frame_newslot(strlit6145);
// compilenode returning *var_startToken
  gc_frame_newslot(*var_startToken);
// compilenode returning *var_suggestion2
  params[0] = strlit6145;
  params[1] = *var_startToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6146 = callmethod(*var_suggestion2, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe6144);
// compilenode returning call6146
// Begin line 1919
  setline(1919);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1918
  setline(1918);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array6147 = alloc_BuiltinList();
  gc_pause();
// compilenode returning *var_suggestion
  params[0] = *var_suggestion;
  partcv[0] = 1;
  callmethod(array6147, "push", 1, partcv, params);
// compilenode returning *var_suggestion2
  params[0] = *var_suggestion2;
  partcv[0] = 1;
  callmethod(array6147, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array6147
  *var_suggestions = array6147;
  if (array6147 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1919
  setline(1919);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6148 = gc_frame_new();
  if (strlit6149 == NULL) {
    strlit6149 = alloc_String("A method request containing a '<' must have a matching '>', or the '<' operator must have a space before it.");
    gc_root(strlit6149);
  }
// compilenode returning strlit6149
  gc_frame_newslot(strlit6149);
// Begin line 1920
  setline(1920);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6150 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call6151 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe6150);
// compilenode returning call6151
// compilenode returning call6151
  gc_frame_newslot(call6151);
  int callframe6153 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call6154 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe6153);
// compilenode returning call6154
// compilenode returning call6154
  int op_slot_right_6152 = gc_frame_newslot(call6154);
  int callframe6156 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call6157 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6156);
// compilenode returning call6157
// compilenode returning call6157
  int op_slot_left_6152 = gc_frame_newslot(call6157);
  params[0] = call6154;
  partcv[0] = 1;
  Object sum6158 = callmethod(call6157, "+", 1, partcv, params);
// compilenode returning sum6158
  gc_frame_newslot(sum6158);
// Begin line 1921
  setline(1921);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 1919
  setline(1919);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6149;
  params[1] = call6151;
  params[2] = sum6158;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6159 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe6148);
// compilenode returning call6159
    gc_frame_newslot(call6159);
    if6126 = call6159;
  } else {
  }
// compilenode returning if6126
// Begin line 1923
  setline(1923);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6160 = gc_frame_new();
  partcv[0] = 0;
  Object call6161 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6160);
// compilenode returning call6161
    gc_frame_newslot(call6161);
    if6092 = call6161;
  } else {
  }
// compilenode returning if6092
// Begin line 2073
  setline(2073);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1925
  setline(1925);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6163 = gc_frame_new();
  if (strlit6164 == NULL) {
    strlit6164 = alloc_String("lparen");
    gc_root(strlit6164);
  }
// compilenode returning strlit6164
  gc_frame_newslot(strlit6164);
  params[0] = strlit6164;
  partcv[0] = 1;
  Object call6165 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6163);
// compilenode returning call6165
  Object if6162 = done;
  if (istrue(call6165)) {
// Begin line 1927
  setline(1927);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1920
  setline(1920);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6166 = gc_frame_new();
// Begin line 1926
  setline(1926);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6167 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6168 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6167);
// compilenode returning call6168
// compilenode returning call6168
  gc_frame_newslot(call6168);
// compilenode returning *var_part
  params[0] = call6168;
  partcv[0] = 1;
  Object call6169 = callmethod(*var_part, "line:=",
    1, partcv, params);
  gc_frame_end(callframe6166);
// compilenode returning call6169
// compilenode returning done
// Begin line 1928
  setline(1928);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1926
  setline(1926);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6170 = gc_frame_new();
// Begin line 1927
  setline(1927);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6171 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6172 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6171);
// compilenode returning call6172
// compilenode returning call6172
  gc_frame_newslot(call6172);
// compilenode returning *var_part
  params[0] = call6172;
  partcv[0] = 1;
  Object call6173 = callmethod(*var_part, "linePos:=",
    1, partcv, params);
  gc_frame_end(callframe6170);
// compilenode returning call6173
// compilenode returning done
// Begin line 1929
  setline(1929);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1928
  setline(1928);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_tok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1930
  setline(1930);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1929
  setline(1929);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6175 = alloc_Boolean(1);
// compilenode returning bool6175
  *var_hadcall = bool6175;
  if (bool6175 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1931
  setline(1931);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1930
  setline(1930);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6177 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6178 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe6177);
// compilenode returning call6178
// compilenode returning call6178
  *var_methn = call6178;
  if (call6178 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 1932
  setline(1932);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 1930
  setline(1930);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6180 = gc_frame_new();
// Begin line 1931
  setline(1931);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_methn
  gc_frame_newslot(*var_methn);
// compilenode returning *var_part
  params[0] = *var_methn;
  partcv[0] = 1;
  Object call6181 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe6180);
// compilenode returning call6181
// compilenode returning done
// Begin line 1932
  setline(1932);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6182 = gc_frame_new();
  partcv[0] = 0;
  Object call6183 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6182);
// compilenode returning call6183
// Begin line 1933
  setline(1933);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6184 = gc_frame_new();
  Object block6185 = alloc_Block(NULL, NULL, "parser", 1933);
  gc_frame_newslot(block6185);
  block_savedest(block6185);
  Object closure6186 = createclosure(1, "_apply");
setclosureframe(closure6186, stackframe);
  addtoclosure(closure6186, selfslot);
  struct UserObject *uo6186 = (struct UserObject*)block6185;
  uo6186->data[0] = (Object)closure6186;
  Method *meth_meth_parser__apply6186 = addmethod2pos(block6185, "_apply", &meth_parser__apply6186, 0);
int argcv_meth_parser__apply6186[] = {0};
meth_meth_parser__apply6186->type = alloc_MethodType(1, argcv_meth_parser__apply6186);
  meth_meth_parser__apply6186->definitionModule = modulename;
  meth_meth_parser__apply6186->definitionLine = 1930;
// compilenode returning block6185
  gc_frame_newslot(block6185);
  Object block6190 = alloc_Block(NULL, NULL, "parser", 1933);
  gc_frame_newslot(block6190);
  block_savedest(block6190);
  Object closure6191 = createclosure(7, "_apply");
setclosureframe(closure6191, stackframe);
  addtoclosure(closure6191, var_values);
  addtoclosure(closure6191, var_tmp);
  addtoclosure(closure6191, var_errormessages);
  addtoclosure(closure6191, var_sym);
  addtoclosure(closure6191, var_lastToken);
  addtoclosure(closure6191, var_part);
  addtoclosure(closure6191, selfslot);
  struct UserObject *uo6191 = (struct UserObject*)block6190;
  uo6191->data[0] = (Object)closure6191;
  Method *meth_meth_parser__apply6191 = addmethod2pos(block6190, "_apply", &meth_parser__apply6191, 0);
int argcv_meth_parser__apply6191[] = {0};
meth_meth_parser__apply6191->type = alloc_MethodType(1, argcv_meth_parser__apply6191);
  meth_meth_parser__apply6191->definitionModule = modulename;
  meth_meth_parser__apply6191->definitionLine = 1930;
// compilenode returning block6190
  gc_frame_newslot(block6190);
  params[0] = block6185;
  params[1] = block6190;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6536 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6184);
// compilenode returning call6536
// Begin line 2037
  setline(2037);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2030
  setline(2030);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6539 == NULL) {
    strlit6539 = alloc_String("rparen");
    gc_root(strlit6539);
  }
// compilenode returning strlit6539
  int op_slot_right_6538 = gc_frame_newslot(strlit6539);
  int callframe6541 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6542 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe6541);
// compilenode returning call6542
// compilenode returning call6542
  int op_slot_left_6538 = gc_frame_newslot(call6542);
  params[0] = strlit6539;
  partcv[0] = 1;
  Object opresult6543 = callmethod(call6542, "!=", 1, partcv, params);
// compilenode returning opresult6543
  Object if6537 = done;
  if (istrue(opresult6543)) {
// Begin line 2031
  setline(2031);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6544 = gc_frame_new();
  partcv[0] = 0;
  Object call6545 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6544);
// compilenode returning call6545
// Begin line 2033
  setline(2033);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2032
  setline(2032);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6546 = gc_frame_new();
  int callframe6547 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6548 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6547);
// compilenode returning call6548
// compilenode returning call6548
  partcv[0] = 0;
  Object call6549 = callmethod(call6548, "new",
    1, partcv, params);
  gc_frame_end(callframe6546);
// compilenode returning call6549
// compilenode returning call6549
  *var_suggestion = call6549;
  if (call6549 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2033
  setline(2033);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6550 = gc_frame_new();
  if (strlit6551 == NULL) {
    strlit6551 = alloc_String(")");
    gc_root(strlit6551);
  }
// compilenode returning strlit6551
  gc_frame_newslot(strlit6551);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit6551;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6552 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6550);
// compilenode returning call6552
// Begin line 2034
  setline(2034);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6553 = gc_frame_new();
  if (strlit6554 == NULL) {
    strlit6554 = alloc_String("A method request beginning with a '(' must end with a ')'.");
    gc_root(strlit6554);
  }
// compilenode returning strlit6554
  gc_frame_newslot(strlit6554);
// Begin line 2035
  setline(2035);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6555 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call6556 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe6555);
// compilenode returning call6556
// compilenode returning call6556
  gc_frame_newslot(call6556);
  int callframe6558 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call6559 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe6558);
// compilenode returning call6559
// compilenode returning call6559
  int op_slot_right_6557 = gc_frame_newslot(call6559);
  int callframe6561 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call6562 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6561);
// compilenode returning call6562
// compilenode returning call6562
  int op_slot_left_6557 = gc_frame_newslot(call6562);
  params[0] = call6559;
  partcv[0] = 1;
  Object sum6563 = callmethod(call6562, "+", 1, partcv, params);
// compilenode returning sum6563
  gc_frame_newslot(sum6563);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2034
  setline(2034);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6554;
  params[1] = call6556;
  params[2] = sum6563;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6564 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6553);
// compilenode returning call6564
    gc_frame_newslot(call6564);
    if6537 = call6564;
  } else {
  }
// compilenode returning if6537
// Begin line 2040
  setline(2040);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2037
  setline(2037);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6567 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call6568 = callmethod(*var_part, "line",
    1, partcv, params);
  gc_frame_end(callframe6567);
// compilenode returning call6568
// compilenode returning call6568
  int op_slot_right_6566 = gc_frame_newslot(call6568);
  int callframe6570 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6571 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6570);
// compilenode returning call6571
// compilenode returning call6571
  int op_slot_left_6566 = gc_frame_newslot(call6571);
  params[0] = call6568;
  partcv[0] = 1;
  Object opresult6572 = callmethod(call6571, "==", 1, partcv, params);
// compilenode returning opresult6572
  Object if6565 = done;
  if (istrue(opresult6572)) {
// Begin line 2039
  setline(2039);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2037
  setline(2037);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6573 = gc_frame_new();
// Begin line 2039
  setline(2039);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2038
  setline(2038);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6575 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call6576 = callmethod(*var_part, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6575);
// compilenode returning call6576
// compilenode returning call6576
  int op_slot_right_6574 = gc_frame_newslot(call6576);
  int callframe6578 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6579 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6578);
// compilenode returning call6579
// compilenode returning call6579
  int op_slot_left_6574 = gc_frame_newslot(call6579);
  params[0] = call6576;
  partcv[0] = 1;
  Object diff6580 = callmethod(call6579, "-", 1, partcv, params);
// compilenode returning diff6580
  gc_frame_newslot(diff6580);
// compilenode returning *var_part
  params[0] = diff6580;
  partcv[0] = 1;
  Object call6581 = callmethod(*var_part, "lineLength:=",
    1, partcv, params);
  gc_frame_end(callframe6573);
// compilenode returning call6581
// compilenode returning done
    gc_frame_newslot(done);
    if6565 = done;
  } else {
  }
// compilenode returning if6565
// Begin line 2041
  setline(2041);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2040
  setline(2040);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_linenum
  *var_ln = *var_linenum;
  if (*var_linenum == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2041
  setline(2041);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6583 = gc_frame_new();
  partcv[0] = 0;
  Object call6584 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6583);
// compilenode returning call6584
    gc_frame_newslot(call6584);
    if6162 = call6584;
  } else {
// Begin line 2044
  setline(2044);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2042
  setline(2042);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block6587 = alloc_Block(NULL, NULL, "parser", 2042);
  gc_frame_newslot(block6587);
  block_savedest(block6587);
  Object closure6588 = createclosure(2, "_apply");
setclosureframe(closure6588, stackframe);
  addtoclosure(closure6588, var_tok);
  addtoclosure(closure6588, selfslot);
  struct UserObject *uo6588 = (struct UserObject*)block6587;
  uo6588->data[0] = (Object)closure6588;
  Method *meth_meth_parser__apply6588 = addmethod2pos(block6587, "_apply", &meth_parser__apply6588, 0);
int argcv_meth_parser__apply6588[] = {0};
meth_meth_parser__apply6588->type = alloc_MethodType(1, argcv_meth_parser__apply6588);
  meth_meth_parser__apply6588->definitionModule = modulename;
  meth_meth_parser__apply6588->definitionLine = 2038;
// compilenode returning block6587
  int op_slot_right_6586 = gc_frame_newslot(block6587);
// compilenode returning *var_don_39_tTakeBlock
  int op_slot_left_6586 = gc_frame_newslot(*var_don_39_tTakeBlock);
  params[0] = block6587;
  partcv[0] = 1;
  Object opresult6594 = callmethod(*var_don_39_tTakeBlock, "&&", 1, partcv, params);
// compilenode returning opresult6594
  Object if6585 = done;
  if (istrue(opresult6594)) {
// Begin line 2043
  setline(2043);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6595 = gc_frame_new();
// compilenode returning *var_meth
  gc_frame_newslot(*var_meth);
// compilenode returning *var_values
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call6596 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6595);
// compilenode returning call6596
    gc_frame_newslot(call6596);
    if6585 = call6596;
  } else {
// Begin line 2056
  setline(2056);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2047
  setline(2047);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6602 == NULL) {
    strlit6602 = alloc_String("false");
    gc_root(strlit6602);
  }
// compilenode returning strlit6602
  int op_slot_right_6601 = gc_frame_newslot(strlit6602);
  int callframe6604 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6605 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe6604);
// compilenode returning call6605
// compilenode returning call6605
  int op_slot_left_6601 = gc_frame_newslot(call6605);
  params[0] = strlit6602;
  partcv[0] = 1;
  Object opresult6606 = callmethod(call6605, "==", 1, partcv, params);
// compilenode returning opresult6606
  int op_slot_right_6600 = gc_frame_newslot(opresult6606);
// Begin line 2046
  setline(2046);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6609 == NULL) {
    strlit6609 = alloc_String("true");
    gc_root(strlit6609);
  }
// compilenode returning strlit6609
  int op_slot_right_6608 = gc_frame_newslot(strlit6609);
  int callframe6611 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6612 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe6611);
// compilenode returning call6612
// compilenode returning call6612
  int op_slot_left_6608 = gc_frame_newslot(call6612);
  params[0] = strlit6609;
  partcv[0] = 1;
  Object opresult6613 = callmethod(call6612, "==", 1, partcv, params);
// compilenode returning opresult6613
  int op_slot_left_6600 = gc_frame_newslot(opresult6613);
  params[0] = opresult6606;
  partcv[0] = 1;
  Object opresult6614 = callmethod(opresult6613, "||", 1, partcv, params);
// compilenode returning opresult6614
  int op_slot_right_6599 = gc_frame_newslot(opresult6614);
  int callframe6616 = gc_frame_new();
  if (strlit6617 == NULL) {
    strlit6617 = alloc_String("identifier");
    gc_root(strlit6617);
  }
// compilenode returning strlit6617
  gc_frame_newslot(strlit6617);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6617;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6618 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6616);
// compilenode returning call6618
  int op_slot_left_6599 = gc_frame_newslot(call6618);
  params[0] = opresult6614;
  partcv[0] = 1;
  Object opresult6619 = callmethod(call6618, "&&", 1, partcv, params);
// compilenode returning opresult6619
  int op_slot_right_6598 = gc_frame_newslot(opresult6619);
// Begin line 2045
  setline(2045);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6622 = gc_frame_new();
  if (strlit6623 == NULL) {
    strlit6623 = alloc_String("lbrace");
    gc_root(strlit6623);
  }
// compilenode returning strlit6623
  gc_frame_newslot(strlit6623);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6623;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6624 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6622);
// compilenode returning call6624
  int op_slot_right_6621 = gc_frame_newslot(call6624);
// Begin line 2044
  setline(2044);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6627 = gc_frame_new();
  if (strlit6628 == NULL) {
    strlit6628 = alloc_String("num");
    gc_root(strlit6628);
  }
// compilenode returning strlit6628
  gc_frame_newslot(strlit6628);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6628;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6629 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6627);
// compilenode returning call6629
  int op_slot_right_6626 = gc_frame_newslot(call6629);
  int callframe6631 = gc_frame_new();
  if (strlit6632 == NULL) {
    strlit6632 = alloc_String("string");
    gc_root(strlit6632);
  }
// compilenode returning strlit6632
  gc_frame_newslot(strlit6632);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6632;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6633 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6631);
// compilenode returning call6633
  int op_slot_left_6626 = gc_frame_newslot(call6633);
  params[0] = call6629;
  partcv[0] = 1;
  Object opresult6634 = callmethod(call6633, "||", 1, partcv, params);
// compilenode returning opresult6634
  int op_slot_left_6621 = gc_frame_newslot(opresult6634);
  params[0] = call6624;
  partcv[0] = 1;
  Object opresult6635 = callmethod(opresult6634, "||", 1, partcv, params);
// compilenode returning opresult6635
  int op_slot_left_6598 = gc_frame_newslot(opresult6635);
  params[0] = opresult6619;
  partcv[0] = 1;
  Object opresult6636 = callmethod(opresult6635, "||", 1, partcv, params);
// compilenode returning opresult6636
  Object if6597 = done;
  if (istrue(opresult6636)) {
// Begin line 2049
  setline(2049);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2048
  setline(2048);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_tok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2050
  setline(2050);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2049
  setline(2049);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6638 = alloc_Boolean(1);
// compilenode returning bool6638
  *var_hadcall = bool6638;
  if (bool6638 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2051
  setline(2051);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2050
  setline(2050);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6640 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6641 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe6640);
// compilenode returning call6641
// compilenode returning call6641
  *var_methn = call6641;
  if (call6641 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2052
  setline(2052);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2050
  setline(2050);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6643 = gc_frame_new();
// Begin line 2051
  setline(2051);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_methn
  gc_frame_newslot(*var_methn);
// compilenode returning *var_part
  params[0] = *var_methn;
  partcv[0] = 1;
  Object call6644 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe6643);
// compilenode returning call6644
// compilenode returning done
// Begin line 2053
  setline(2053);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2052
  setline(2052);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_linenum
  *var_ln = *var_linenum;
  if (*var_linenum == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2053
  setline(2053);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6646 = gc_frame_new();
  partcv[0] = 0;
  Object call6647 = callmethodflags(self, "term", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6646);
// compilenode returning call6647
// Begin line 2055
  setline(2055);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2054
  setline(2054);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6648 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call6649 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6648);
// compilenode returning call6649
// compilenode returning call6649
  *var_ar = call6649;
  if (call6649 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2055
  setline(2055);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6650 = gc_frame_new();
// compilenode returning *var_ar
  gc_frame_newslot(*var_ar);
  int callframe6651 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call6652 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe6651);
// compilenode returning call6652
// compilenode returning call6652
  params[0] = *var_ar;
  partcv[0] = 1;
  Object call6653 = callmethod(call6652, "push",
    1, partcv, params);
  gc_frame_end(callframe6650);
// compilenode returning call6653
    gc_frame_newslot(call6653);
    if6597 = call6653;
  } else {
// Begin line 2058
  setline(2058);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2056
  setline(2056);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6656 == NULL) {
    strlit6656 = alloc_String("identifier");
    gc_root(strlit6656);
  }
// compilenode returning strlit6656
  int op_slot_right_6655 = gc_frame_newslot(strlit6656);
  int callframe6658 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6659 = callmethod(*var_meth, "kind",
    1, partcv, params);
  gc_frame_end(callframe6658);
// compilenode returning call6659
// compilenode returning call6659
  int op_slot_left_6655 = gc_frame_newslot(call6659);
  params[0] = strlit6656;
  partcv[0] = 1;
  Object opresult6660 = callmethod(call6659, "==", 1, partcv, params);
// compilenode returning opresult6660
  Object if6654 = done;
  if (istrue(opresult6660)) {
// Begin line 2057
  setline(2057);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6661 = gc_frame_new();
// compilenode returning *var_meth
  gc_frame_newslot(*var_meth);
// compilenode returning *var_values
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call6662 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6661);
// compilenode returning call6662
    gc_frame_newslot(call6662);
    if6654 = call6662;
  } else {
// Begin line 2070
  setline(2070);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2058
  setline(2058);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6665 == NULL) {
    strlit6665 = alloc_String("member");
    gc_root(strlit6665);
  }
// compilenode returning strlit6665
  int op_slot_right_6664 = gc_frame_newslot(strlit6665);
  int callframe6667 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6668 = callmethod(*var_meth, "kind",
    1, partcv, params);
  gc_frame_end(callframe6667);
// compilenode returning call6668
// compilenode returning call6668
  int op_slot_left_6664 = gc_frame_newslot(call6668);
  params[0] = strlit6665;
  partcv[0] = 1;
  Object opresult6669 = callmethod(call6668, "==", 1, partcv, params);
// compilenode returning opresult6669
  Object if6663 = done;
  if (istrue(opresult6669)) {
// Begin line 2060
  setline(2060);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2059
  setline(2059);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6670 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6671 = callmethod(*var_meth, "in",
    1, partcv, params);
  gc_frame_end(callframe6670);
// compilenode returning call6671
// compilenode returning call6671
  *var_root = call6671;
  if (call6671 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2061
  setline(2061);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2060
  setline(2060);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_meth
  *var_outroot = *var_meth;
  if (*var_meth == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2061
  setline(2061);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6672 = gc_frame_new();
  Object block6673 = alloc_Block(NULL, NULL, "parser", 2061);
  gc_frame_newslot(block6673);
  block_savedest(block6673);
  Object closure6674 = createclosure(2, "_apply");
setclosureframe(closure6674, stackframe);
  addtoclosure(closure6674, var_root);
  addtoclosure(closure6674, selfslot);
  struct UserObject *uo6674 = (struct UserObject*)block6673;
  uo6674->data[0] = (Object)closure6674;
  Method *meth_meth_parser__apply6674 = addmethod2pos(block6673, "_apply", &meth_parser__apply6674, 0);
int argcv_meth_parser__apply6674[] = {0};
meth_meth_parser__apply6674->type = alloc_MethodType(1, argcv_meth_parser__apply6674);
  meth_meth_parser__apply6674->definitionModule = modulename;
  meth_meth_parser__apply6674->definitionLine = 2059;
// compilenode returning block6673
  gc_frame_newslot(block6673);
  Object block6682 = alloc_Block(NULL, NULL, "parser", 2061);
  gc_frame_newslot(block6682);
  block_savedest(block6682);
  Object closure6683 = createclosure(3, "_apply");
setclosureframe(closure6683, stackframe);
  addtoclosure(closure6683, var_root);
  addtoclosure(closure6683, var_outroot);
  addtoclosure(closure6683, selfslot);
  struct UserObject *uo6683 = (struct UserObject*)block6682;
  uo6683->data[0] = (Object)closure6683;
  Method *meth_meth_parser__apply6683 = addmethod2pos(block6682, "_apply", &meth_parser__apply6683, 0);
int argcv_meth_parser__apply6683[] = {0};
meth_meth_parser__apply6683->type = alloc_MethodType(1, argcv_meth_parser__apply6683);
  meth_meth_parser__apply6683->definitionModule = modulename;
  meth_meth_parser__apply6683->definitionLine = 2061;
// compilenode returning block6682
  gc_frame_newslot(block6682);
  params[0] = block6673;
  params[1] = block6682;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6689 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6672);
// compilenode returning call6689
// Begin line 2070
  setline(2070);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2065
  setline(2065);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6692 == NULL) {
    strlit6692 = alloc_String("identifier");
    gc_root(strlit6692);
  }
// compilenode returning strlit6692
  int op_slot_right_6691 = gc_frame_newslot(strlit6692);
  int callframe6694 = gc_frame_new();
// compilenode returning *var_root
  partcv[0] = 0;
  Object call6695 = callmethod(*var_root, "kind",
    1, partcv, params);
  gc_frame_end(callframe6694);
// compilenode returning call6695
// compilenode returning call6695
  int op_slot_left_6691 = gc_frame_newslot(call6695);
  params[0] = strlit6692;
  partcv[0] = 1;
  Object opresult6696 = callmethod(call6695, "==", 1, partcv, params);
// compilenode returning opresult6696
  Object if6690 = done;
  if (istrue(opresult6696)) {
// Begin line 2066
  setline(2066);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6697 = gc_frame_new();
// compilenode returning *var_meth
  gc_frame_newslot(*var_meth);
// compilenode returning *var_values
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call6698 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6697);
// compilenode returning call6698
    gc_frame_newslot(call6698);
    if6690 = call6698;
  } else {
// Begin line 2068
  setline(2068);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6699 = gc_frame_new();
// compilenode returning *var_meth
  gc_frame_newslot(*var_meth);
// compilenode returning *var_values
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call6700 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6699);
// compilenode returning call6700
    gc_frame_newslot(call6700);
    if6690 = call6700;
  }
// compilenode returning if6690
    gc_frame_newslot(if6690);
    if6663 = if6690;
  } else {
// Begin line 2071
  setline(2071);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6701 = gc_frame_new();
// compilenode returning *var_meth
  gc_frame_newslot(*var_meth);
// compilenode returning *var_values
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call6702 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6701);
// compilenode returning call6702
    gc_frame_newslot(call6702);
    if6663 = call6702;
  }
// compilenode returning if6663
    gc_frame_newslot(if6663);
    if6654 = if6663;
  }
// compilenode returning if6654
    gc_frame_newslot(if6654);
    if6597 = if6654;
  }
// compilenode returning if6597
    gc_frame_newslot(if6597);
    if6585 = if6597;
  }
// compilenode returning if6585
    gc_frame_newslot(if6585);
    if6162 = if6585;
  }
// compilenode returning if6162
// Begin line 2094
  setline(2094);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2073
  setline(2073);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_hadcall
  Object if6703 = done;
  if (istrue(*var_hadcall)) {
// Begin line 2089
  setline(2089);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2074
  setline(2074);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6705 = gc_frame_new();
  if (strlit6706 == NULL) {
    strlit6706 = alloc_String("identifier");
    gc_root(strlit6706);
  }
// compilenode returning strlit6706
  gc_frame_newslot(strlit6706);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6706;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6707 = callmethodflags(self, "accept()onLineOfLastOr", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6705);
// compilenode returning call6707
  Object if6704 = done;
  if (istrue(call6707)) {
// Begin line 2076
  setline(2076);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6708 = gc_frame_new();
// compilenode returning *var_methn
  gc_frame_newslot(*var_methn);
  Object bool6709 = alloc_Boolean(0);
// compilenode returning bool6709
  gc_frame_newslot(bool6709);
  int callframe6710 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call6711 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe6710);
// compilenode returning call6711
// compilenode returning call6711
  params[0] = *var_methn;
  params[1] = bool6709;
  partcv[0] = 2;
  Object call6712 = callmethod(call6711, "new",
    1, partcv, params);
  gc_frame_end(callframe6708);
// compilenode returning call6712
  *var_meth_39_ = call6712;
  if (call6712 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2078
  setline(2078);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2076
  setline(2076);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6713 = gc_frame_new();
// Begin line 2077
  setline(2077);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lnum
  gc_frame_newslot(*var_lnum);
// compilenode returning *var_meth_39_
  params[0] = *var_lnum;
  partcv[0] = 1;
  Object call6714 = callmethod(*var_meth_39_, "line:=",
    1, partcv, params);
  gc_frame_end(callframe6713);
// compilenode returning call6714
// compilenode returning done
// Begin line 2079
  setline(2079);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2076
  setline(2076);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6715 = gc_frame_new();
// Begin line 2078
  setline(2078);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lpos
  gc_frame_newslot(*var_lpos);
// compilenode returning *var_meth_39_
  params[0] = *var_lpos;
  partcv[0] = 1;
  Object call6716 = callmethod(*var_meth_39_, "linePos:=",
    1, partcv, params);
  gc_frame_end(callframe6715);
// compilenode returning call6716
// compilenode returning done
// Begin line 2079
  setline(2079);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6717 = gc_frame_new();
// compilenode returning *var_meth_39_
  gc_frame_newslot(*var_meth_39_);
// compilenode returning *var_signature
  gc_frame_newslot(*var_signature);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = *var_meth_39_;
  params[1] = *var_signature;
  params[2] = *var_tok;
  partcv[0] = 3;
  Object call6718 = callmethodflags(self, "callmprest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6717);
// compilenode returning call6718
  *var_methn = call6718;
  if (call6718 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2088
  setline(2088);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2080
  setline(2080);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6722 == NULL) {
    strlit6722 = alloc_String("member");
    gc_root(strlit6722);
  }
// compilenode returning strlit6722
  int op_slot_right_6721 = gc_frame_newslot(strlit6722);
  int callframe6724 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6725 = callmethod(*var_meth, "kind",
    1, partcv, params);
  gc_frame_end(callframe6724);
// compilenode returning call6725
// compilenode returning call6725
  int op_slot_left_6721 = gc_frame_newslot(call6725);
  params[0] = strlit6722;
  partcv[0] = 1;
  Object opresult6726 = callmethod(call6725, "==", 1, partcv, params);
// compilenode returning opresult6726
  Object if6720 = done;
  if (istrue(opresult6726)) {
// Begin line 2084
  setline(2084);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6727 = gc_frame_new();
  int callframe6728 = gc_frame_new();
// compilenode returning *var_methn
  partcv[0] = 0;
  Object call6729 = callmethod(*var_methn, "value",
    1, partcv, params);
  gc_frame_end(callframe6728);
// compilenode returning call6729
// compilenode returning call6729
  gc_frame_newslot(call6729);
  int callframe6730 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6731 = callmethod(*var_meth, "in",
    1, partcv, params);
  gc_frame_end(callframe6730);
// compilenode returning call6731
// compilenode returning call6731
  gc_frame_newslot(call6731);
  int callframe6732 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call6733 = callmethod(*var_ast, "memberNode",
    1, partcv, params);
  gc_frame_end(callframe6732);
// compilenode returning call6733
// compilenode returning call6733
  params[0] = call6729;
  params[1] = call6731;
  partcv[0] = 2;
  Object call6734 = callmethod(call6733, "new",
    1, partcv, params);
  gc_frame_end(callframe6727);
// compilenode returning call6734
  *var_meth = call6734;
  if (call6734 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6720 = done;
  } else {
// Begin line 2087
  setline(2087);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2086
  setline(2086);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_methn
  *var_meth = *var_methn;
  if (*var_methn == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6720 = done;
  }
// compilenode returning if6720
    gc_frame_newslot(if6720);
    if6704 = if6720;
  } else {
  }
// compilenode returning if6704
// Begin line 2089
  setline(2089);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6737 = gc_frame_new();
// compilenode returning *var_lnum
  gc_frame_newslot(*var_lnum);
// compilenode returning *var_util
  params[0] = *var_lnum;
  partcv[0] = 1;
  Object call6738 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe6737);
// compilenode returning call6738
// Begin line 2090
  setline(2090);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6739 = gc_frame_new();
// compilenode returning *var_meth
  gc_frame_newslot(*var_meth);
// compilenode returning *var_signature
  gc_frame_newslot(*var_signature);
  int callframe6740 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call6741 = callmethod(*var_ast, "callNode",
    1, partcv, params);
  gc_frame_end(callframe6740);
// compilenode returning call6741
// compilenode returning call6741
  params[0] = *var_meth;
  params[1] = *var_signature;
  partcv[0] = 2;
  Object call6742 = callmethod(call6741, "new",
    1, partcv, params);
  gc_frame_end(callframe6739);
// compilenode returning call6742
  *var_tmp = call6742;
  if (call6742 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2092
  setline(2092);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2090
  setline(2090);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6744 = gc_frame_new();
// Begin line 2091
  setline(2091);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_genericIdents
  gc_frame_newslot(*var_genericIdents);
// compilenode returning *var_tmp
  params[0] = *var_genericIdents;
  partcv[0] = 1;
  Object call6745 = callmethod(*var_tmp, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe6744);
// compilenode returning call6745
// compilenode returning done
// Begin line 2092
  setline(2092);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6746 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_values
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call6747 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe6746);
// compilenode returning call6747
    gc_frame_newslot(call6747);
    if6703 = call6747;
  } else {
  }
// compilenode returning if6703
// Begin line 2095
  setline(2095);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2094
  setline(2094);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_startInd
  *var_minIndentLevel = *var_startInd;
  if (*var_startInd == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2095
  setline(2095);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6749 = gc_frame_new();
  partcv[0] = 0;
  Object call6750 = callmethodflags(self, "dotrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6749);
// compilenode returning call6750
  gc_frame_end(frame);
  return call6750;
}
Object meth_parser__apply6758(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_tok = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2108
  setline(2108);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6760 = gc_frame_new();
  if (strlit6761 == NULL) {
    strlit6761 = alloc_String("identifier");
    gc_root(strlit6761);
  }
// compilenode returning strlit6761
  gc_frame_newslot(strlit6761);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  params[0] = strlit6761;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6762 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6760);
// compilenode returning call6762
  int op_slot_right_6759 = gc_frame_newslot(call6762);
// Begin line 2107
  setline(2107);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6764 = gc_frame_new();
  if (strlit6765 == NULL) {
    strlit6765 = alloc_String("identifier");
    gc_root(strlit6765);
  }
// compilenode returning strlit6765
  gc_frame_newslot(strlit6765);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6765;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6766 = callmethodflags(self, "accept()onLineOf", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6764);
// compilenode returning call6766
  int op_slot_left_6759 = gc_frame_newslot(call6766);
  params[0] = call6762;
  partcv[0] = 1;
  Object opresult6767 = callmethod(call6766, "||", 1, partcv, params);
// compilenode returning opresult6767
  gc_frame_end(frame);
  return opresult6767;
}
Object meth_parser__apply6991(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe6992 = gc_frame_new();
  partcv[0] = 0;
  Object call6993 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6992);
// compilenode returning call6993
  gc_frame_end(frame);
  return call6993;
}
Object meth_parser__apply7043(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe7044 = gc_frame_new();
  if (strlit7045 == NULL) {
    strlit7045 = alloc_String("comma");
    gc_root(strlit7045);
  }
// compilenode returning strlit7045
  gc_frame_newslot(strlit7045);
  params[0] = strlit7045;
  partcv[0] = 1;
  Object call7046 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7044);
// compilenode returning call7046
  gc_frame_end(frame);
  return call7046;
}
Object meth_parser__apply7063(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe7064 = gc_frame_new();
  partcv[0] = 0;
  Object call7065 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7064);
// compilenode returning call7065
  gc_frame_end(frame);
  return call7065;
}
Object meth_parser__apply7049(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_nxt = getfromclosure(closure, 1);
  Object *var_part = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_sym = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
// Begin line 2187
  setline(2187);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2186
  setline(2186);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7050 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call7051 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7050);
// compilenode returning call7051
// compilenode returning call7051
  *var_nxt = call7051;
  if (call7051 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2187
  setline(2187);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7053 = gc_frame_new();
// compilenode returning *var_nxt
  gc_frame_newslot(*var_nxt);
  int callframe7054 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call7055 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe7054);
// compilenode returning call7055
// compilenode returning call7055
  params[0] = *var_nxt;
  partcv[0] = 1;
  Object call7056 = callmethod(call7055, "push",
    1, partcv, params);
  gc_frame_end(callframe7053);
// compilenode returning call7056
// Begin line 2188
  setline(2188);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7057 = gc_frame_new();
  partcv[0] = 0;
  Object call7058 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7057);
// compilenode returning call7058
// Begin line 2205
  setline(2205);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2189
  setline(2189);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7060 = gc_frame_new();
  int callframe7061 = gc_frame_new();
  Object block7062 = alloc_Block(NULL, NULL, "parser", 2189);
  gc_frame_newslot(block7062);
  block_savedest(block7062);
  Object closure7063 = createclosure(1, "_apply");
setclosureframe(closure7063, stackframe);
  addtoclosure(closure7063, selfslot);
  struct UserObject *uo7063 = (struct UserObject*)block7062;
  uo7063->data[0] = (Object)closure7063;
  Method *meth_meth_parser__apply7063 = addmethod2pos(block7062, "_apply", &meth_parser__apply7063, 0);
int argcv_meth_parser__apply7063[] = {0};
meth_meth_parser__apply7063->type = alloc_MethodType(1, argcv_meth_parser__apply7063);
  meth_meth_parser__apply7063->definitionModule = modulename;
  meth_meth_parser__apply7063->definitionLine = 2189;
// compilenode returning block7062
  gc_frame_newslot(block7062);
  params[0] = block7062;
  partcv[0] = 1;
  Object call7067 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7061);
// compilenode returning call7067
  partcv[0] = 0;
  Object call7068 = callmethod(call7067, "not",
    1, partcv, params);
  gc_frame_end(callframe7060);
// compilenode returning call7068
// compilenode returning call7068
  Object if7059 = done;
  if (istrue(call7068)) {
// Begin line 2191
  setline(2191);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2190
  setline(2190);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array7069 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array7069
  *var_suggestions = array7069;
  if (array7069 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2192
  setline(2192);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2191
  setline(2191);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7070 = gc_frame_new();
  int callframe7071 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7072 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7071);
// compilenode returning call7072
// compilenode returning call7072
  partcv[0] = 0;
  Object call7073 = callmethod(call7072, "new",
    1, partcv, params);
  gc_frame_end(callframe7070);
// compilenode returning call7073
// compilenode returning call7073
  *var_suggestion = call7073;
  if (call7073 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2192
  setline(2192);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7074 = gc_frame_new();
  if (strlit7075 == NULL) {
    strlit7075 = alloc_String("rparen");
    gc_root(strlit7075);
  }
// compilenode returning strlit7075
  gc_frame_newslot(strlit7075);
  params[0] = strlit7075;
  partcv[0] = 1;
  Object call7076 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7074);
// compilenode returning call7076
  *var_nextTok = call7076;
  if (call7076 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2198
  setline(2198);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2193
  setline(2193);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_7078 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_7078 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7080 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult7080
  Object if7077 = done;
  if (istrue(opresult7080)) {
// Begin line 2194
  setline(2194);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7081 = gc_frame_new();
  if (strlit7082 == NULL) {
    strlit7082 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7082);
  }
// compilenode returning strlit7082
  gc_frame_newslot(strlit7082);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7082;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7083 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7081);
// compilenode returning call7083
    gc_frame_newslot(call7083);
    if7077 = call7083;
  } else {
// Begin line 2196
  setline(2196);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7084 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe7085 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call7086 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7085);
// compilenode returning call7086
// compilenode returning call7086
  gc_frame_newslot(call7086);
  Object bool7087 = alloc_Boolean(1);
// compilenode returning bool7087
  gc_frame_newslot(bool7087);
  Object bool7088 = alloc_Boolean(0);
// compilenode returning bool7088
  gc_frame_newslot(bool7088);
  if (strlit7089 == NULL) {
    strlit7089 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7089);
  }
// compilenode returning strlit7089
  gc_frame_newslot(strlit7089);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call7086;
  params[2] = bool7087;
  params[3] = bool7088;
  params[4] = strlit7089;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7090 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe7084);
// compilenode returning call7090
    gc_frame_newslot(call7090);
    if7077 = call7090;
  }
// compilenode returning if7077
// Begin line 2198
  setline(2198);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7091 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7092 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7091);
// compilenode returning call7092
// Begin line 2200
  setline(2200);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2199
  setline(2199);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7093 = gc_frame_new();
  int callframe7094 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7095 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7094);
// compilenode returning call7095
// compilenode returning call7095
  partcv[0] = 0;
  Object call7096 = callmethod(call7095, "new",
    1, partcv, params);
  gc_frame_end(callframe7093);
// compilenode returning call7096
// compilenode returning call7096
  *var_suggestion = call7096;
  if (call7096 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2200
  setline(2200);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7098 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe7099 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call7100 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7099);
// compilenode returning call7100
// compilenode returning call7100
  gc_frame_newslot(call7100);
  Object bool7101 = alloc_Boolean(1);
// compilenode returning bool7101
  gc_frame_newslot(bool7101);
  Object bool7102 = alloc_Boolean(0);
// compilenode returning bool7102
  gc_frame_newslot(bool7102);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call7100;
  params[2] = bool7101;
  params[3] = bool7102;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7103 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe7098);
// compilenode returning call7103
// Begin line 2201
  setline(2201);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7104 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7105 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7104);
// compilenode returning call7105
// Begin line 2202
  setline(2202);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7106 = gc_frame_new();
  if (strlit7107 == NULL) {
    strlit7107 = alloc_String("A method request must have an expression after a ','.");
    gc_root(strlit7107);
  }
// compilenode returning strlit7107
  gc_frame_newslot(strlit7107);
// Begin line 2203
  setline(2203);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7108 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7109 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7108);
// compilenode returning call7109
// compilenode returning call7109
  gc_frame_newslot(call7109);
  int callframe7110 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7111 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7110);
// compilenode returning call7111
// compilenode returning call7111
  gc_frame_newslot(call7111);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2202
  setline(2202);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit7107;
  params[1] = call7109;
  params[2] = call7111;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7112 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe7106);
// compilenode returning call7112
    gc_frame_newslot(call7112);
    if7059 = call7112;
  } else {
  }
// compilenode returning if7059
  gc_frame_end(frame);
  return if7059;
}
Object meth_parser__apply6770(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_ast = getfromclosure(closure, 0);
  Object *var_part = getfromclosure(closure, 1);
  Object *var_signature = getfromclosure(closure, 2);
  Object *var_methname = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_nxt = getfromclosure(closure, 5);
  Object *var_errormessages = getfromclosure(closure, 6);
  Object *var_sym = getfromclosure(closure, 7);
  Object *var_lastToken = getfromclosure(closure, 8);
  Object *var_tok = getfromclosure(closure, 9);
  Object *var_lastline = getfromclosure(closure, 10);
  Object *var_ln = getfromclosure(closure, 11);
  Object self = *(getfromclosure(closure, 12));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_isTerm = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "isTerm");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_isEmpty = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "isEmpty");
  Object *var_suggestions = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestions");
  Object *var_nextTok = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nextTok");
// Begin line 2112
  setline(2112);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2111
  setline(2111);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6771 = gc_frame_new();
  int callframe6772 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call6773 = callmethod(*var_ast, "callWithPart",
    1, partcv, params);
  gc_frame_end(callframe6772);
// compilenode returning call6773
// compilenode returning call6773
  partcv[0] = 0;
  Object call6774 = callmethod(call6773, "new",
    1, partcv, params);
  gc_frame_end(callframe6771);
// compilenode returning call6774
// compilenode returning call6774
  *var_part = call6774;
  if (call6774 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2112
  setline(2112);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6776 = gc_frame_new();
// compilenode returning *var_part
  gc_frame_newslot(*var_part);
// compilenode returning *var_signature
  params[0] = *var_part;
  partcv[0] = 1;
  Object call6777 = callmethod(*var_signature, "push",
    1, partcv, params);
  gc_frame_end(callframe6776);
// compilenode returning call6777
// Begin line 2114
  setline(2114);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2113
  setline(2113);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6779 == NULL) {
    strlit6779 = alloc_String("()");
    gc_root(strlit6779);
  }
// compilenode returning strlit6779
  int op_slot_right_6778 = gc_frame_newslot(strlit6779);
// compilenode returning *var_methname
  int op_slot_left_6778 = gc_frame_newslot(*var_methname);
  params[0] = strlit6779;
  partcv[0] = 1;
  Object opresult6781 = callmethod(*var_methname, "++", 1, partcv, params);
// compilenode returning opresult6781
  *var_methname = opresult6781;
  if (opresult6781 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2114
  setline(2114);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6783 = gc_frame_new();
  partcv[0] = 0;
  Object call6784 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6783);
// compilenode returning call6784
// Begin line 2116
  setline(2116);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2115
  setline(2115);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6785 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call6786 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe6785);
// compilenode returning call6786
// compilenode returning call6786
  *var_nxt = call6786;
  if (call6786 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2117
  setline(2117);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2116
  setline(2116);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6789 = gc_frame_new();
// compilenode returning *var_nxt
  partcv[0] = 0;
  Object call6790 = callmethod(*var_nxt, "value",
    1, partcv, params);
  gc_frame_end(callframe6789);
// compilenode returning call6790
// compilenode returning call6790
  int op_slot_right_6788 = gc_frame_newslot(call6790);
// compilenode returning *var_methname
  int op_slot_left_6788 = gc_frame_newslot(*var_methname);
  params[0] = call6790;
  partcv[0] = 1;
  Object opresult6792 = callmethod(*var_methname, "++", 1, partcv, params);
// compilenode returning opresult6792
  *var_methname = opresult6792;
  if (opresult6792 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2118
  setline(2118);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2116
  setline(2116);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6794 = gc_frame_new();
// Begin line 2117
  setline(2117);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6795 = gc_frame_new();
// compilenode returning *var_nxt
  partcv[0] = 0;
  Object call6796 = callmethod(*var_nxt, "value",
    1, partcv, params);
  gc_frame_end(callframe6795);
// compilenode returning call6796
// compilenode returning call6796
  gc_frame_newslot(call6796);
// compilenode returning *var_part
  params[0] = call6796;
  partcv[0] = 1;
  Object call6797 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe6794);
// compilenode returning call6797
// compilenode returning done
// Begin line 2119
  setline(2119);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2118
  setline(2118);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6798 = alloc_Boolean(0);
// compilenode returning bool6798
  *var_isTerm = bool6798;
  if (bool6798 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2149
  setline(2149);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2120
  setline(2120);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6801 = gc_frame_new();
  int callframe6802 = gc_frame_new();
  if (strlit6803 == NULL) {
    strlit6803 = alloc_String("num");
    gc_root(strlit6803);
  }
// compilenode returning strlit6803
  gc_frame_newslot(strlit6803);
  params[0] = strlit6803;
  partcv[0] = 1;
  Object call6804 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6802);
// compilenode returning call6804
  partcv[0] = 0;
  Object call6805 = callmethod(call6804, "not",
    1, partcv, params);
  gc_frame_end(callframe6801);
// compilenode returning call6805
// compilenode returning call6805
  int op_slot_right_6800 = gc_frame_newslot(call6805);
  int callframe6808 = gc_frame_new();
  int callframe6809 = gc_frame_new();
  if (strlit6810 == NULL) {
    strlit6810 = alloc_String("string");
    gc_root(strlit6810);
  }
// compilenode returning strlit6810
  gc_frame_newslot(strlit6810);
  params[0] = strlit6810;
  partcv[0] = 1;
  Object call6811 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6809);
// compilenode returning call6811
  partcv[0] = 0;
  Object call6812 = callmethod(call6811, "not",
    1, partcv, params);
  gc_frame_end(callframe6808);
// compilenode returning call6812
// compilenode returning call6812
  int op_slot_right_6807 = gc_frame_newslot(call6812);
// Begin line 2119
  setline(2119);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6815 = gc_frame_new();
  int callframe6816 = gc_frame_new();
  if (strlit6817 == NULL) {
    strlit6817 = alloc_String("lbrace");
    gc_root(strlit6817);
  }
// compilenode returning strlit6817
  gc_frame_newslot(strlit6817);
  params[0] = strlit6817;
  partcv[0] = 1;
  Object call6818 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6816);
// compilenode returning call6818
  partcv[0] = 0;
  Object call6819 = callmethod(call6818, "not",
    1, partcv, params);
  gc_frame_end(callframe6815);
// compilenode returning call6819
// compilenode returning call6819
  int op_slot_right_6814 = gc_frame_newslot(call6819);
  int callframe6821 = gc_frame_new();
  int callframe6822 = gc_frame_new();
  if (strlit6823 == NULL) {
    strlit6823 = alloc_String("lparen");
    gc_root(strlit6823);
  }
// compilenode returning strlit6823
  gc_frame_newslot(strlit6823);
  params[0] = strlit6823;
  partcv[0] = 1;
  Object call6824 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6822);
// compilenode returning call6824
  partcv[0] = 0;
  Object call6825 = callmethod(call6824, "not",
    1, partcv, params);
  gc_frame_end(callframe6821);
// compilenode returning call6825
// compilenode returning call6825
  int op_slot_left_6814 = gc_frame_newslot(call6825);
  params[0] = call6819;
  partcv[0] = 1;
  Object opresult6826 = callmethod(call6825, "&&", 1, partcv, params);
// compilenode returning opresult6826
  int op_slot_left_6807 = gc_frame_newslot(opresult6826);
  params[0] = call6812;
  partcv[0] = 1;
  Object opresult6827 = callmethod(opresult6826, "&&", 1, partcv, params);
// compilenode returning opresult6827
  int op_slot_left_6800 = gc_frame_newslot(opresult6827);
  params[0] = call6805;
  partcv[0] = 1;
  Object opresult6828 = callmethod(opresult6827, "&&", 1, partcv, params);
// compilenode returning opresult6828
  Object if6799 = done;
  if (istrue(opresult6828)) {
// Begin line 2122
  setline(2122);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2121
  setline(2121);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6829 = gc_frame_new();
  int callframe6830 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call6831 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6830);
// compilenode returning call6831
// compilenode returning call6831
  partcv[0] = 0;
  Object call6832 = callmethod(call6831, "new",
    1, partcv, params);
  gc_frame_end(callframe6829);
// compilenode returning call6832
// compilenode returning call6832
  *var_suggestion = call6832;
  if (call6832 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2148
  setline(2148);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2122
  setline(2122);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6835 == NULL) {
    strlit6835 = alloc_String("identifier");
    gc_root(strlit6835);
  }
// compilenode returning strlit6835
  int op_slot_right_6834 = gc_frame_newslot(strlit6835);
  int callframe6837 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6838 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe6837);
// compilenode returning call6838
// compilenode returning call6838
  int op_slot_left_6834 = gc_frame_newslot(call6838);
  params[0] = strlit6835;
  partcv[0] = 1;
  Object opresult6839 = callmethod(call6838, "==", 1, partcv, params);
// compilenode returning opresult6839
  Object if6833 = done;
  if (istrue(opresult6839)) {
// Begin line 2123
  setline(2123);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6840 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool6841 = alloc_Boolean(1);
// compilenode returning bool6841
  gc_frame_newslot(bool6841);
  Object bool6842 = alloc_Boolean(0);
// compilenode returning bool6842
  gc_frame_newslot(bool6842);
  if (strlit6844 == NULL) {
    strlit6844 = alloc_String(")");
    gc_root(strlit6844);
  }
// compilenode returning strlit6844
  int op_slot_right_6843 = gc_frame_newslot(strlit6844);
  int callframe6847 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6848 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe6847);
// compilenode returning call6848
// compilenode returning call6848
  int op_slot_right_6846 = gc_frame_newslot(call6848);
  if (strlit6850 == NULL) {
    strlit6850 = alloc_String("(");
    gc_root(strlit6850);
  }
// compilenode returning strlit6850
  int op_slot_left_6846 = gc_frame_newslot(strlit6850);
  params[0] = call6848;
  partcv[0] = 1;
  Object opresult6851 = callmethod(strlit6850, "++", 1, partcv, params);
// compilenode returning opresult6851
  int op_slot_left_6843 = gc_frame_newslot(opresult6851);
  params[0] = strlit6844;
  partcv[0] = 1;
  Object opresult6852 = callmethod(opresult6851, "++", 1, partcv, params);
// compilenode returning opresult6852
  gc_frame_newslot(opresult6852);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool6841;
  params[2] = bool6842;
  params[3] = opresult6852;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6853 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe6840);
// compilenode returning call6853
// Begin line 2131
  setline(2131);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2124
  setline(2124);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6856 == NULL) {
    strlit6856 = alloc_String("while()do");
    gc_root(strlit6856);
  }
// compilenode returning strlit6856
  int op_slot_right_6855 = gc_frame_newslot(strlit6856);
// compilenode returning *var_methname
  int op_slot_left_6855 = gc_frame_newslot(*var_methname);
  params[0] = strlit6856;
  partcv[0] = 1;
  Object opresult6858 = callmethod(*var_methname, "==", 1, partcv, params);
// compilenode returning opresult6858
  Object if6854 = done;
  if (istrue(opresult6858)) {
// Begin line 2125
  setline(2125);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6859 = gc_frame_new();
  if (strlit6860 == NULL) {
    strlit6860 = alloc_String("A while loop must have either a loop body in braces, or a block in parentheses.");
    gc_root(strlit6860);
  }
// compilenode returning strlit6860
  gc_frame_newslot(strlit6860);
// Begin line 2126
  setline(2126);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6861 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6862 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6861);
// compilenode returning call6862
// compilenode returning call6862
  gc_frame_newslot(call6862);
  int callframe6863 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6864 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6863);
// compilenode returning call6864
// compilenode returning call6864
  gc_frame_newslot(call6864);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2125
  setline(2125);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6860;
  params[1] = call6862;
  params[2] = call6864;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6865 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6859);
// compilenode returning call6865
    gc_frame_newslot(call6865);
    if6854 = call6865;
  } else {
// Begin line 2131
  setline(2131);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2127
  setline(2127);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6868 == NULL) {
    strlit6868 = alloc_String("for()do");
    gc_root(strlit6868);
  }
// compilenode returning strlit6868
  int op_slot_right_6867 = gc_frame_newslot(strlit6868);
// compilenode returning *var_methname
  int op_slot_left_6867 = gc_frame_newslot(*var_methname);
  params[0] = strlit6868;
  partcv[0] = 1;
  Object opresult6870 = callmethod(*var_methname, "==", 1, partcv, params);
// compilenode returning opresult6870
  Object if6866 = done;
  if (istrue(opresult6870)) {
// Begin line 2128
  setline(2128);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6871 = gc_frame_new();
  if (strlit6872 == NULL) {
    strlit6872 = alloc_String("A for loop must have either a loop body in braces, or a block in parentheses.");
    gc_root(strlit6872);
  }
// compilenode returning strlit6872
  gc_frame_newslot(strlit6872);
// Begin line 2129
  setline(2129);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6873 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6874 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6873);
// compilenode returning call6874
// compilenode returning call6874
  gc_frame_newslot(call6874);
  int callframe6875 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6876 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6875);
// compilenode returning call6876
// compilenode returning call6876
  gc_frame_newslot(call6876);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2128
  setline(2128);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6872;
  params[1] = call6874;
  params[2] = call6876;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6877 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6871);
// compilenode returning call6877
    gc_frame_newslot(call6877);
    if6866 = call6877;
  } else {
  }
// compilenode returning if6866
    gc_frame_newslot(if6866);
    if6854 = if6866;
  }
// compilenode returning if6854
// Begin line 2131
  setline(2131);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6878 = gc_frame_new();
  if (strlit6879 == NULL) {
    strlit6879 = alloc_String("A multi-part method request must have parentheses around each part of the method.");
    gc_root(strlit6879);
  }
// compilenode returning strlit6879
  gc_frame_newslot(strlit6879);
// Begin line 2132
  setline(2132);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6880 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6881 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6880);
// compilenode returning call6881
// compilenode returning call6881
  gc_frame_newslot(call6881);
  int callframe6882 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6883 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6882);
// compilenode returning call6883
// compilenode returning call6883
  gc_frame_newslot(call6883);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2131
  setline(2131);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6879;
  params[1] = call6881;
  params[2] = call6883;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6884 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6878);
// compilenode returning call6884
    gc_frame_newslot(call6884);
    if6833 = call6884;
  } else {
// Begin line 2147
  setline(2147);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2134
  setline(2134);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6887 == NULL) {
    strlit6887 = alloc_String("while()do");
    gc_root(strlit6887);
  }
// compilenode returning strlit6887
  int op_slot_right_6886 = gc_frame_newslot(strlit6887);
// compilenode returning *var_methname
  int op_slot_left_6886 = gc_frame_newslot(*var_methname);
  params[0] = strlit6887;
  partcv[0] = 1;
  Object opresult6889 = callmethod(*var_methname, "==", 1, partcv, params);
// compilenode returning opresult6889
  Object if6885 = done;
  if (istrue(opresult6889)) {
// Begin line 2135
  setline(2135);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6890 = gc_frame_new();
  if (strlit6891 == NULL) {
    strlit6891 = alloc_String(" {}");
    gc_root(strlit6891);
  }
// compilenode returning strlit6891
  gc_frame_newslot(strlit6891);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit6891;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6892 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6890);
// compilenode returning call6892
// Begin line 2136
  setline(2136);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6893 = gc_frame_new();
  if (strlit6894 == NULL) {
    strlit6894 = alloc_String("A while loop must have a body.");
    gc_root(strlit6894);
  }
// compilenode returning strlit6894
  gc_frame_newslot(strlit6894);
// Begin line 2137
  setline(2137);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6895 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6896 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6895);
// compilenode returning call6896
// compilenode returning call6896
  gc_frame_newslot(call6896);
  int callframe6897 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6898 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6897);
// compilenode returning call6898
// compilenode returning call6898
  gc_frame_newslot(call6898);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2136
  setline(2136);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6894;
  params[1] = call6896;
  params[2] = call6898;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6899 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6893);
// compilenode returning call6899
    gc_frame_newslot(call6899);
    if6885 = call6899;
  } else {
// Begin line 2142
  setline(2142);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2138
  setline(2138);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6902 == NULL) {
    strlit6902 = alloc_String("for()do");
    gc_root(strlit6902);
  }
// compilenode returning strlit6902
  int op_slot_right_6901 = gc_frame_newslot(strlit6902);
// compilenode returning *var_methname
  int op_slot_left_6901 = gc_frame_newslot(*var_methname);
  params[0] = strlit6902;
  partcv[0] = 1;
  Object opresult6904 = callmethod(*var_methname, "==", 1, partcv, params);
// compilenode returning opresult6904
  Object if6900 = done;
  if (istrue(opresult6904)) {
// Begin line 2139
  setline(2139);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6905 = gc_frame_new();
  if (strlit6906 == NULL) {
    strlit6906 = alloc_String(" {}");
    gc_root(strlit6906);
  }
// compilenode returning strlit6906
  gc_frame_newslot(strlit6906);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit6906;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6907 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6905);
// compilenode returning call6907
// Begin line 2140
  setline(2140);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6908 = gc_frame_new();
  if (strlit6909 == NULL) {
    strlit6909 = alloc_String("A for loop must have a body.");
    gc_root(strlit6909);
  }
// compilenode returning strlit6909
  gc_frame_newslot(strlit6909);
// Begin line 2141
  setline(2141);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6910 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6911 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6910);
// compilenode returning call6911
// compilenode returning call6911
  gc_frame_newslot(call6911);
  int callframe6912 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6913 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6912);
// compilenode returning call6913
// compilenode returning call6913
  gc_frame_newslot(call6913);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2140
  setline(2140);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6909;
  params[1] = call6911;
  params[2] = call6913;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6914 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6908);
// compilenode returning call6914
    gc_frame_newslot(call6914);
    if6900 = call6914;
  } else {
// Begin line 2143
  setline(2143);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6915 = gc_frame_new();
  if (strlit6916 == NULL) {
    strlit6916 = alloc_String("()");
    gc_root(strlit6916);
  }
// compilenode returning strlit6916
  gc_frame_newslot(strlit6916);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit6916;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6917 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe6915);
// compilenode returning call6917
// Begin line 2144
  setline(2144);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6918 = gc_frame_new();
  if (strlit6919 == NULL) {
    strlit6919 = alloc_String("A multi-part method request must end with '()'.");
    gc_root(strlit6919);
  }
// compilenode returning strlit6919
  gc_frame_newslot(strlit6919);
// Begin line 2145
  setline(2145);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6920 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6921 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe6920);
// compilenode returning call6921
// compilenode returning call6921
  gc_frame_newslot(call6921);
  int callframe6922 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6923 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6922);
// compilenode returning call6923
// compilenode returning call6923
  gc_frame_newslot(call6923);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2144
  setline(2144);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit6919;
  params[1] = call6921;
  params[2] = call6923;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6924 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe6918);
// compilenode returning call6924
    gc_frame_newslot(call6924);
    if6900 = call6924;
  }
// compilenode returning if6900
    gc_frame_newslot(if6900);
    if6885 = if6900;
  }
// compilenode returning if6885
    gc_frame_newslot(if6885);
    if6833 = if6885;
  }
// compilenode returning if6833
    gc_frame_newslot(if6833);
    if6799 = if6833;
  } else {
  }
// compilenode returning if6799
// Begin line 2159
  setline(2159);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2154
  setline(2154);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6930 == NULL) {
    strlit6930 = alloc_String("false");
    gc_root(strlit6930);
  }
// compilenode returning strlit6930
  int op_slot_right_6929 = gc_frame_newslot(strlit6930);
  int callframe6932 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6933 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe6932);
// compilenode returning call6933
// compilenode returning call6933
  int op_slot_left_6929 = gc_frame_newslot(call6933);
  params[0] = strlit6930;
  partcv[0] = 1;
  Object opresult6934 = callmethod(call6933, "==", 1, partcv, params);
// compilenode returning opresult6934
  int op_slot_right_6928 = gc_frame_newslot(opresult6934);
// Begin line 2153
  setline(2153);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6937 == NULL) {
    strlit6937 = alloc_String("true");
    gc_root(strlit6937);
  }
// compilenode returning strlit6937
  int op_slot_right_6936 = gc_frame_newslot(strlit6937);
  int callframe6939 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6940 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe6939);
// compilenode returning call6940
// compilenode returning call6940
  int op_slot_left_6936 = gc_frame_newslot(call6940);
  params[0] = strlit6937;
  partcv[0] = 1;
  Object opresult6941 = callmethod(call6940, "==", 1, partcv, params);
// compilenode returning opresult6941
  int op_slot_left_6928 = gc_frame_newslot(opresult6941);
  params[0] = opresult6934;
  partcv[0] = 1;
  Object opresult6942 = callmethod(opresult6941, "||", 1, partcv, params);
// compilenode returning opresult6942
  int op_slot_right_6927 = gc_frame_newslot(opresult6942);
// Begin line 2152
  setline(2152);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6944 = gc_frame_new();
  if (strlit6945 == NULL) {
    strlit6945 = alloc_String("identifier");
    gc_root(strlit6945);
  }
// compilenode returning strlit6945
  gc_frame_newslot(strlit6945);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6945;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6946 = callmethodflags(self, "accept()onLineOfLastOr", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6944);
// compilenode returning call6946
  int op_slot_left_6927 = gc_frame_newslot(call6946);
  params[0] = opresult6942;
  partcv[0] = 1;
  Object opresult6947 = callmethod(call6946, "&&", 1, partcv, params);
// compilenode returning opresult6947
  int op_slot_right_6926 = gc_frame_newslot(opresult6947);
// Begin line 2151
  setline(2151);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6950 = gc_frame_new();
  if (strlit6951 == NULL) {
    strlit6951 = alloc_String("num");
    gc_root(strlit6951);
  }
// compilenode returning strlit6951
  gc_frame_newslot(strlit6951);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6951;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6952 = callmethodflags(self, "accept()onLineOfLastOr", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6950);
// compilenode returning call6952
  int op_slot_right_6949 = gc_frame_newslot(call6952);
// Begin line 2150
  setline(2150);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6955 = gc_frame_new();
  if (strlit6956 == NULL) {
    strlit6956 = alloc_String("string");
    gc_root(strlit6956);
  }
// compilenode returning strlit6956
  gc_frame_newslot(strlit6956);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6956;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6957 = callmethodflags(self, "accept()onLineOfLastOr", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6955);
// compilenode returning call6957
  int op_slot_right_6954 = gc_frame_newslot(call6957);
// Begin line 2149
  setline(2149);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6959 = gc_frame_new();
  if (strlit6960 == NULL) {
    strlit6960 = alloc_String("lbrace");
    gc_root(strlit6960);
  }
// compilenode returning strlit6960
  gc_frame_newslot(strlit6960);
// compilenode returning *var_tok
  gc_frame_newslot(*var_tok);
  params[0] = strlit6960;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6961 = callmethodflags(self, "accept()onLineOfLastOr", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6959);
// compilenode returning call6961
  int op_slot_left_6954 = gc_frame_newslot(call6961);
  params[0] = call6957;
  partcv[0] = 1;
  Object opresult6962 = callmethod(call6961, "||", 1, partcv, params);
// compilenode returning opresult6962
  int op_slot_left_6949 = gc_frame_newslot(opresult6962);
  params[0] = call6952;
  partcv[0] = 1;
  Object opresult6963 = callmethod(opresult6962, "||", 1, partcv, params);
// compilenode returning opresult6963
  int op_slot_left_6926 = gc_frame_newslot(opresult6963);
  params[0] = opresult6947;
  partcv[0] = 1;
  Object opresult6964 = callmethod(opresult6963, "||", 1, partcv, params);
// compilenode returning opresult6964
  Object if6925 = done;
  if (istrue(opresult6964)) {
// Begin line 2156
  setline(2156);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2155
  setline(2155);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6965 = alloc_Boolean(1);
// compilenode returning bool6965
  *var_isTerm = bool6965;
  if (bool6965 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6925 = done;
  } else {
// Begin line 2157
  setline(2157);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6967 = gc_frame_new();
  partcv[0] = 0;
  Object call6968 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6967);
// compilenode returning call6968
    gc_frame_newslot(call6968);
    if6925 = call6968;
  }
// compilenode returning if6925
// Begin line 2160
  setline(2160);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2159
  setline(2159);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6969 = alloc_Boolean(0);
// compilenode returning bool6969
  *var_isEmpty = bool6969;
  if (bool6969 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2163
  setline(2163);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2160
  setline(2160);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6971 = gc_frame_new();
  if (strlit6972 == NULL) {
    strlit6972 = alloc_String("rparen");
    gc_root(strlit6972);
  }
// compilenode returning strlit6972
  gc_frame_newslot(strlit6972);
  params[0] = strlit6972;
  partcv[0] = 1;
  Object call6973 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6971);
// compilenode returning call6973
  Object if6970 = done;
  if (istrue(call6973)) {
// Begin line 2162
  setline(2162);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2161
  setline(2161);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool6974 = alloc_Boolean(1);
// compilenode returning bool6974
  *var_isEmpty = bool6974;
  if (bool6974 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if6970 = done;
  } else {
  }
// compilenode returning if6970
// Begin line 2207
  setline(2207);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2163
  setline(2163);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_isTerm
  Object if6976 = done;
  if (istrue(*var_isTerm)) {
// Begin line 2165
  setline(2165);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2164
  setline(2164);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastline
  *var_ln = *var_lastline;
  if (*var_lastline == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2165
  setline(2165);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6978 = gc_frame_new();
  partcv[0] = 0;
  Object call6979 = callmethodflags(self, "term", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6978);
// compilenode returning call6979
    gc_frame_newslot(call6979);
    if6976 = call6979;
  } else {
// Begin line 2185
  setline(2185);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2167
  setline(2167);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit6982 == NULL) {
    strlit6982 = alloc_String("rparen");
    gc_root(strlit6982);
  }
// compilenode returning strlit6982
  int op_slot_right_6981 = gc_frame_newslot(strlit6982);
  int callframe6984 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call6985 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe6984);
// compilenode returning call6985
// compilenode returning call6985
  int op_slot_left_6981 = gc_frame_newslot(call6985);
  params[0] = strlit6982;
  partcv[0] = 1;
  Object opresult6986 = callmethod(call6985, "!=", 1, partcv, params);
// compilenode returning opresult6986
  Object if6980 = done;
  if (istrue(opresult6986)) {
// Begin line 2184
  setline(2184);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2168
  setline(2168);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6988 = gc_frame_new();
  int callframe6989 = gc_frame_new();
  Object block6990 = alloc_Block(NULL, NULL, "parser", 2168);
  gc_frame_newslot(block6990);
  block_savedest(block6990);
  Object closure6991 = createclosure(1, "_apply");
setclosureframe(closure6991, stackframe);
  addtoclosure(closure6991, selfslot);
  struct UserObject *uo6991 = (struct UserObject*)block6990;
  uo6991->data[0] = (Object)closure6991;
  Method *meth_meth_parser__apply6991 = addmethod2pos(block6990, "_apply", &meth_parser__apply6991, 0);
int argcv_meth_parser__apply6991[] = {0};
meth_meth_parser__apply6991->type = alloc_MethodType(1, argcv_meth_parser__apply6991);
  meth_meth_parser__apply6991->definitionModule = modulename;
  meth_meth_parser__apply6991->definitionLine = 2168;
// compilenode returning block6990
  gc_frame_newslot(block6990);
  params[0] = block6990;
  partcv[0] = 1;
  Object call6995 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6989);
// compilenode returning call6995
  partcv[0] = 0;
  Object call6996 = callmethod(call6995, "not",
    1, partcv, params);
  gc_frame_end(callframe6988);
// compilenode returning call6996
// compilenode returning call6996
  Object if6987 = done;
  if (istrue(call6996)) {
// Begin line 2170
  setline(2170);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2169
  setline(2169);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array6997 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array6997
  *var_suggestions = array6997;
  if (array6997 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2171
  setline(2171);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2170
  setline(2170);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6998 = gc_frame_new();
  int callframe6999 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7000 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe6999);
// compilenode returning call7000
// compilenode returning call7000
  partcv[0] = 0;
  Object call7001 = callmethod(call7000, "new",
    1, partcv, params);
  gc_frame_end(callframe6998);
// compilenode returning call7001
// compilenode returning call7001
  *var_suggestion = call7001;
  if (call7001 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2171
  setline(2171);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7002 = gc_frame_new();
  if (strlit7003 == NULL) {
    strlit7003 = alloc_String("rparen");
    gc_root(strlit7003);
  }
// compilenode returning strlit7003
  gc_frame_newslot(strlit7003);
  params[0] = strlit7003;
  partcv[0] = 1;
  Object call7004 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7002);
// compilenode returning call7004
  *var_nextTok = call7004;
  if (call7004 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2180
  setline(2180);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2172
  setline(2172);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_7006 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_7006 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7008 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult7008
  Object if7005 = done;
  if (istrue(opresult7008)) {
// Begin line 2173
  setline(2173);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7009 = gc_frame_new();
  if (strlit7010 == NULL) {
    strlit7010 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7010);
  }
// compilenode returning strlit7010
  gc_frame_newslot(strlit7010);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7010;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7011 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7009);
// compilenode returning call7011
    gc_frame_newslot(call7011);
    if7005 = call7011;
  } else {
// Begin line 2175
  setline(2175);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7012 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe7013 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call7014 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7013);
// compilenode returning call7014
// compilenode returning call7014
  gc_frame_newslot(call7014);
  Object bool7015 = alloc_Boolean(1);
// compilenode returning bool7015
  gc_frame_newslot(bool7015);
  Object bool7016 = alloc_Boolean(0);
// compilenode returning bool7016
  gc_frame_newslot(bool7016);
  if (strlit7017 == NULL) {
    strlit7017 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7017);
  }
// compilenode returning strlit7017
  gc_frame_newslot(strlit7017);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call7014;
  params[2] = bool7015;
  params[3] = bool7016;
  params[4] = strlit7017;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7018 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe7012);
// compilenode returning call7018
// Begin line 2176
  setline(2176);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7019 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7020 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7019);
// compilenode returning call7020
// Begin line 2178
  setline(2178);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2177
  setline(2177);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7021 = gc_frame_new();
  int callframe7022 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7023 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7022);
// compilenode returning call7023
// compilenode returning call7023
  partcv[0] = 0;
  Object call7024 = callmethod(call7023, "new",
    1, partcv, params);
  gc_frame_end(callframe7021);
// compilenode returning call7024
// compilenode returning call7024
  *var_suggestion = call7024;
  if (call7024 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2178
  setline(2178);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7026 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe7027 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call7028 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7027);
// compilenode returning call7028
// compilenode returning call7028
  gc_frame_newslot(call7028);
  Object bool7029 = alloc_Boolean(1);
// compilenode returning bool7029
  gc_frame_newslot(bool7029);
  Object bool7030 = alloc_Boolean(0);
// compilenode returning bool7030
  gc_frame_newslot(bool7030);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call7028;
  params[2] = bool7029;
  params[3] = bool7030;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7031 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe7026);
// compilenode returning call7031
    gc_frame_newslot(call7031);
    if7005 = call7031;
  }
// compilenode returning if7005
// Begin line 2180
  setline(2180);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7032 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7033 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7032);
// compilenode returning call7033
// Begin line 2181
  setline(2181);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7034 = gc_frame_new();
  if (strlit7035 == NULL) {
    strlit7035 = alloc_String("A method request must have an expression or a ')' after a '('.");
    gc_root(strlit7035);
  }
// compilenode returning strlit7035
  gc_frame_newslot(strlit7035);
// Begin line 2182
  setline(2182);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7036 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7037 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7036);
// compilenode returning call7037
// compilenode returning call7037
  gc_frame_newslot(call7037);
  int callframe7038 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7039 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7038);
// compilenode returning call7039
// compilenode returning call7039
  gc_frame_newslot(call7039);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2181
  setline(2181);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit7035;
  params[1] = call7037;
  params[2] = call7039;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7040 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe7034);
// compilenode returning call7040
    gc_frame_newslot(call7040);
    if6987 = call7040;
  } else {
  }
// compilenode returning if6987
    gc_frame_newslot(if6987);
    if6980 = if6987;
  } else {
  }
// compilenode returning if6980
// Begin line 2185
  setline(2185);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7041 = gc_frame_new();
  Object block7042 = alloc_Block(NULL, NULL, "parser", 2185);
  gc_frame_newslot(block7042);
  block_savedest(block7042);
  Object closure7043 = createclosure(1, "_apply");
setclosureframe(closure7043, stackframe);
  addtoclosure(closure7043, selfslot);
  struct UserObject *uo7043 = (struct UserObject*)block7042;
  uo7043->data[0] = (Object)closure7043;
  Method *meth_meth_parser__apply7043 = addmethod2pos(block7042, "_apply", &meth_parser__apply7043, 0);
int argcv_meth_parser__apply7043[] = {0};
meth_meth_parser__apply7043->type = alloc_MethodType(1, argcv_meth_parser__apply7043);
  meth_meth_parser__apply7043->definitionModule = modulename;
  meth_meth_parser__apply7043->definitionLine = 2182;
// compilenode returning block7042
  gc_frame_newslot(block7042);
  Object block7048 = alloc_Block(NULL, NULL, "parser", 2185);
  gc_frame_newslot(block7048);
  block_savedest(block7048);
  Object closure7049 = createclosure(7, "_apply");
setclosureframe(closure7049, stackframe);
  addtoclosure(closure7049, var_values);
  addtoclosure(closure7049, var_nxt);
  addtoclosure(closure7049, var_part);
  addtoclosure(closure7049, var_errormessages);
  addtoclosure(closure7049, var_sym);
  addtoclosure(closure7049, var_lastToken);
  addtoclosure(closure7049, selfslot);
  struct UserObject *uo7049 = (struct UserObject*)block7048;
  uo7049->data[0] = (Object)closure7049;
  Method *meth_meth_parser__apply7049 = addmethod2pos(block7048, "_apply", &meth_parser__apply7049, 0);
int argcv_meth_parser__apply7049[] = {0};
meth_meth_parser__apply7049->type = alloc_MethodType(1, argcv_meth_parser__apply7049);
  meth_meth_parser__apply7049->definitionModule = modulename;
  meth_meth_parser__apply7049->definitionLine = 2182;
// compilenode returning block7048
  gc_frame_newslot(block7048);
  params[0] = block7042;
  params[1] = block7048;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7114 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7041);
// compilenode returning call7114
    gc_frame_newslot(call7114);
    if6976 = call7114;
  }
// compilenode returning if6976
// Begin line 2211
  setline(2211);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2207
  setline(2207);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7116 = gc_frame_new();
// compilenode returning *var_isEmpty
  partcv[0] = 0;
  Object call7117 = callmethod(*var_isEmpty, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe7116);
// compilenode returning call7117
  Object if7115 = done;
  if (istrue(call7117)) {
// Begin line 2209
  setline(2209);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2208
  setline(2208);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7118 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call7119 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7118);
// compilenode returning call7119
// compilenode returning call7119
  *var_nxt = call7119;
  if (call7119 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2209
  setline(2209);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7121 = gc_frame_new();
// compilenode returning *var_nxt
  gc_frame_newslot(*var_nxt);
  int callframe7122 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call7123 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe7122);
// compilenode returning call7123
// compilenode returning call7123
  params[0] = *var_nxt;
  partcv[0] = 1;
  Object call7124 = callmethod(call7123, "push",
    1, partcv, params);
  gc_frame_end(callframe7121);
// compilenode returning call7124
    gc_frame_newslot(call7124);
    if7115 = call7124;
  } else {
  }
// compilenode returning if7115
// Begin line 2220
  setline(2220);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2211
  setline(2211);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7126 = gc_frame_new();
// compilenode returning *var_isTerm
  partcv[0] = 0;
  Object call7127 = callmethod(*var_isTerm, "not",
    1, partcv, params);
  gc_frame_end(callframe7126);
// compilenode returning call7127
// compilenode returning call7127
  Object if7125 = done;
  if (istrue(call7127)) {
// Begin line 2219
  setline(2219);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2212
  setline(2212);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7130 == NULL) {
    strlit7130 = alloc_String("rparen");
    gc_root(strlit7130);
  }
// compilenode returning strlit7130
  int op_slot_right_7129 = gc_frame_newslot(strlit7130);
  int callframe7132 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7133 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe7132);
// compilenode returning call7133
// compilenode returning call7133
  int op_slot_left_7129 = gc_frame_newslot(call7133);
  params[0] = strlit7130;
  partcv[0] = 1;
  Object opresult7134 = callmethod(call7133, "!=", 1, partcv, params);
// compilenode returning opresult7134
  Object if7128 = done;
  if (istrue(opresult7134)) {
// Begin line 2213
  setline(2213);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7135 = gc_frame_new();
  partcv[0] = 0;
  Object call7136 = callmethodflags(self, "checkBadOperators", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7135);
// compilenode returning call7136
// Begin line 2215
  setline(2215);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2214
  setline(2214);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7137 = gc_frame_new();
  int callframe7138 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7139 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7138);
// compilenode returning call7139
// compilenode returning call7139
  partcv[0] = 0;
  Object call7140 = callmethod(call7139, "new",
    1, partcv, params);
  gc_frame_end(callframe7137);
// compilenode returning call7140
// compilenode returning call7140
  *var_suggestion = call7140;
  if (call7140 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2215
  setline(2215);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7141 = gc_frame_new();
  if (strlit7142 == NULL) {
    strlit7142 = alloc_String(")");
    gc_root(strlit7142);
  }
// compilenode returning strlit7142
  gc_frame_newslot(strlit7142);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7142;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7143 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7141);
// compilenode returning call7143
// Begin line 2216
  setline(2216);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7144 = gc_frame_new();
  if (strlit7145 == NULL) {
    strlit7145 = alloc_String("A part of a multi-part method request beginning with a '(' must end with a ')'.");
    gc_root(strlit7145);
  }
// compilenode returning strlit7145
  gc_frame_newslot(strlit7145);
// Begin line 2217
  setline(2217);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7146 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7147 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe7146);
// compilenode returning call7147
// compilenode returning call7147
  gc_frame_newslot(call7147);
  int callframe7149 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7150 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe7149);
// compilenode returning call7150
// compilenode returning call7150
  int op_slot_right_7148 = gc_frame_newslot(call7150);
  int callframe7152 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7153 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7152);
// compilenode returning call7153
// compilenode returning call7153
  int op_slot_left_7148 = gc_frame_newslot(call7153);
  params[0] = call7150;
  partcv[0] = 1;
  Object sum7154 = callmethod(call7153, "+", 1, partcv, params);
// compilenode returning sum7154
  gc_frame_newslot(sum7154);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2216
  setline(2216);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit7145;
  params[1] = call7147;
  params[2] = sum7154;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7155 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe7144);
// compilenode returning call7155
    gc_frame_newslot(call7155);
    if7128 = call7155;
  } else {
  }
// compilenode returning if7128
    gc_frame_newslot(if7128);
    if7125 = if7128;
  } else {
  }
// compilenode returning if7125
// Begin line 2224
  setline(2224);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2220
  setline(2220);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7158 = gc_frame_new();
// compilenode returning *var_isTerm
  partcv[0] = 0;
  Object call7159 = callmethod(*var_isTerm, "not",
    1, partcv, params);
  gc_frame_end(callframe7158);
// compilenode returning call7159
// compilenode returning call7159
  int op_slot_right_7157 = gc_frame_newslot(call7159);
  int callframe7161 = gc_frame_new();
  if (strlit7162 == NULL) {
    strlit7162 = alloc_String("rparen");
    gc_root(strlit7162);
  }
// compilenode returning strlit7162
  gc_frame_newslot(strlit7162);
  params[0] = strlit7162;
  partcv[0] = 1;
  Object call7163 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7161);
// compilenode returning call7163
  int op_slot_left_7157 = gc_frame_newslot(call7163);
  params[0] = call7159;
  partcv[0] = 1;
  Object opresult7164 = callmethod(call7163, "&&", 1, partcv, params);
// compilenode returning opresult7164
  Object if7156 = done;
  if (istrue(opresult7164)) {
// Begin line 2222
  setline(2222);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2221
  setline(2221);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastline
  *var_ln = *var_lastline;
  if (*var_lastline == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2222
  setline(2222);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7166 = gc_frame_new();
  partcv[0] = 0;
  Object call7167 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7166);
// compilenode returning call7167
    gc_frame_newslot(call7167);
    if7156 = call7167;
  } else {
  }
// compilenode returning if7156
  gc_frame_end(frame);
  return if7156;
}
Object meth_parser_callmprest6751(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 38, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(10, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "callmprest");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  Object *var_linenum = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  Object *var_ast = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_sym = getfromclosure(closure, 5);
  Object *var_lastline = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for callmprest (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_meth = &(stackframe->slots[0]);
  *var_meth = args[curarg];
  curarg++;
  Object *var_signature = &(stackframe->slots[1]);
  *var_signature = args[curarg];
  curarg++;
  Object *var_tok = &(stackframe->slots[2]);
  *var_tok = args[curarg];
  curarg++;
if (argcv && argcv[0] > 3)
  gracedie("too many arguments for callmprest");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_methname = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "methname");
  Object *var_nxt = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nxt");
  Object *var_ln = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "ln");
  Object *var_lp = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "lp");
  Object *var_part = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "part");
  Object *var_meth_39_ = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "meth'");
// Begin line 2103
  setline(2103);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2102
  setline(2102);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6752 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6753 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe6752);
// compilenode returning call6753
// compilenode returning call6753
  *var_methname = call6753;
  if (call6753 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2104
  setline(2104);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_nxt = undefined;
// compilenode returning done
// Begin line 2105
  setline(2105);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2104
  setline(2104);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_linenum
  *var_ln = *var_linenum;
  if (*var_linenum == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2106
  setline(2106);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2105
  setline(2105);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe6754 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call6755 = callmethod(*var_meth, "linePos",
    1, partcv, params);
  gc_frame_end(callframe6754);
// compilenode returning call6755
// compilenode returning call6755
  *var_lp = call6755;
  if (call6755 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2107
  setline(2107);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_part = undefined;
// compilenode returning done
  int callframe6756 = gc_frame_new();
  Object block6757 = alloc_Block(NULL, NULL, "parser", 2107);
  gc_frame_newslot(block6757);
  block_savedest(block6757);
  Object closure6758 = createclosure(3, "_apply");
setclosureframe(closure6758, stackframe);
  addtoclosure(closure6758, var_lastToken);
  addtoclosure(closure6758, var_tok);
  addtoclosure(closure6758, selfslot);
  struct UserObject *uo6758 = (struct UserObject*)block6757;
  uo6758->data[0] = (Object)closure6758;
  Method *meth_meth_parser__apply6758 = addmethod2pos(block6757, "_apply", &meth_parser__apply6758, 0);
int argcv_meth_parser__apply6758[] = {0};
meth_meth_parser__apply6758->type = alloc_MethodType(1, argcv_meth_parser__apply6758);
  meth_meth_parser__apply6758->definitionModule = modulename;
  meth_meth_parser__apply6758->definitionLine = 2105;
// compilenode returning block6757
  gc_frame_newslot(block6757);
// Begin line 2108
  setline(2108);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block6769 = alloc_Block(NULL, NULL, "parser", 2108);
  gc_frame_newslot(block6769);
  block_savedest(block6769);
  Object closure6770 = createclosure(13, "_apply");
setclosureframe(closure6770, stackframe);
  addtoclosure(closure6770, var_ast);
  addtoclosure(closure6770, var_part);
  addtoclosure(closure6770, var_signature);
  addtoclosure(closure6770, var_methname);
  addtoclosure(closure6770, var_values);
  addtoclosure(closure6770, var_nxt);
  addtoclosure(closure6770, var_errormessages);
  addtoclosure(closure6770, var_sym);
  addtoclosure(closure6770, var_lastToken);
  addtoclosure(closure6770, var_tok);
  addtoclosure(closure6770, var_lastline);
  addtoclosure(closure6770, var_ln);
  addtoclosure(closure6770, selfslot);
  struct UserObject *uo6770 = (struct UserObject*)block6769;
  uo6770->data[0] = (Object)closure6770;
  Method *meth_meth_parser__apply6770 = addmethod2pos(block6769, "_apply", &meth_parser__apply6770, 0);
int argcv_meth_parser__apply6770[] = {0};
meth_meth_parser__apply6770->type = alloc_MethodType(1, argcv_meth_parser__apply6770);
  meth_meth_parser__apply6770->definitionModule = modulename;
  meth_meth_parser__apply6770->definitionLine = 2105;
// compilenode returning block6769
  gc_frame_newslot(block6769);
  params[0] = block6757;
  params[1] = block6769;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7169 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6756);
// compilenode returning call7169
// Begin line 2225
  setline(2225);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7170 = gc_frame_new();
// compilenode returning *var_methname
  gc_frame_newslot(*var_methname);
  Object bool7171 = alloc_Boolean(0);
// compilenode returning bool7171
  gc_frame_newslot(bool7171);
  int callframe7172 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call7173 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe7172);
// compilenode returning call7173
// compilenode returning call7173
  params[0] = *var_methname;
  params[1] = bool7171;
  partcv[0] = 2;
  Object call7174 = callmethod(call7173, "new",
    1, partcv, params);
  gc_frame_end(callframe7170);
// compilenode returning call7174
  *var_meth_39_ = call7174;
  if (call7174 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2227
  setline(2227);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2225
  setline(2225);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7175 = gc_frame_new();
// Begin line 2226
  setline(2226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7176 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call7177 = callmethod(*var_meth, "line",
    1, partcv, params);
  gc_frame_end(callframe7176);
// compilenode returning call7177
// compilenode returning call7177
  gc_frame_newslot(call7177);
// compilenode returning *var_meth_39_
  params[0] = call7177;
  partcv[0] = 1;
  Object call7178 = callmethod(*var_meth_39_, "line:=",
    1, partcv, params);
  gc_frame_end(callframe7175);
// compilenode returning call7178
// compilenode returning done
// Begin line 2228
  setline(2228);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2226
  setline(2226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7179 = gc_frame_new();
// Begin line 2227
  setline(2227);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7180 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call7181 = callmethod(*var_meth, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7180);
// compilenode returning call7181
// compilenode returning call7181
  gc_frame_newslot(call7181);
// compilenode returning *var_meth_39_
  params[0] = call7181;
  partcv[0] = 1;
  Object call7182 = callmethod(*var_meth_39_, "linePos:=",
    1, partcv, params);
  gc_frame_end(callframe7179);
// compilenode returning call7182
// compilenode returning done
// Begin line 2228
  setline(2228);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_meth_39_
  gc_frame_end(frame);
  return *var_meth_39_;
}
Object meth_parser__apply7216(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2241
  setline(2241);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7219 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7220 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7219);
// compilenode returning call7220
// compilenode returning call7220
  int op_slot_right_7218 = gc_frame_newslot(call7220);
  int callframe7222 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call7223 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe7222);
// compilenode returning call7223
// compilenode returning call7223
  int op_slot_left_7218 = gc_frame_newslot(call7223);
  params[0] = call7220;
  partcv[0] = 1;
  Object opresult7224 = callmethod(call7223, "==", 1, partcv, params);
// compilenode returning opresult7224
  int op_slot_right_7217 = gc_frame_newslot(opresult7224);
  if (strlit7228 == NULL) {
    strlit7228 = alloc_String("=");
    gc_root(strlit7228);
  }
// compilenode returning strlit7228
  int op_slot_right_7227 = gc_frame_newslot(strlit7228);
  int callframe7230 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call7231 = callmethod(*var_t, "value",
    1, partcv, params);
  gc_frame_end(callframe7230);
// compilenode returning call7231
// compilenode returning call7231
  int op_slot_left_7227 = gc_frame_newslot(call7231);
  params[0] = strlit7228;
  partcv[0] = 1;
  Object opresult7232 = callmethod(call7231, "==", 1, partcv, params);
// compilenode returning opresult7232
  int op_slot_right_7226 = gc_frame_newslot(opresult7232);
// Begin line 2240
  setline(2240);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7235 == NULL) {
    strlit7235 = alloc_String("op");
    gc_root(strlit7235);
  }
// compilenode returning strlit7235
  int op_slot_right_7234 = gc_frame_newslot(strlit7235);
  int callframe7237 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call7238 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe7237);
// compilenode returning call7238
// compilenode returning call7238
  int op_slot_left_7234 = gc_frame_newslot(call7238);
  params[0] = strlit7235;
  partcv[0] = 1;
  Object opresult7239 = callmethod(call7238, "==", 1, partcv, params);
// compilenode returning opresult7239
  int op_slot_left_7226 = gc_frame_newslot(opresult7239);
  params[0] = opresult7232;
  partcv[0] = 1;
  Object opresult7240 = callmethod(opresult7239, "&&", 1, partcv, params);
// compilenode returning opresult7240
  int op_slot_left_7217 = gc_frame_newslot(opresult7240);
  params[0] = opresult7224;
  partcv[0] = 1;
  Object opresult7241 = callmethod(opresult7240, "&&", 1, partcv, params);
// compilenode returning opresult7241
  gc_frame_end(frame);
  return opresult7241;
}
Object meth_parser__apply7316(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe7317 = gc_frame_new();
  partcv[0] = 0;
  Object call7318 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7317);
// compilenode returning call7318
  gc_frame_end(frame);
  return call7318;
}
Object meth_parser__apply7442(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2305
  setline(2305);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7445 == NULL) {
    strlit7445 = alloc_String("confidential");
    gc_root(strlit7445);
  }
// compilenode returning strlit7445
  int op_slot_right_7444 = gc_frame_newslot(strlit7445);
  int callframe7447 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7448 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe7447);
// compilenode returning call7448
// compilenode returning call7448
  int op_slot_left_7444 = gc_frame_newslot(call7448);
  params[0] = strlit7445;
  partcv[0] = 1;
  Object opresult7449 = callmethod(call7448, "==", 1, partcv, params);
// compilenode returning opresult7449
  int op_slot_right_7443 = gc_frame_newslot(opresult7449);
// Begin line 2304
  setline(2304);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7452 == NULL) {
    strlit7452 = alloc_String("public");
    gc_root(strlit7452);
  }
// compilenode returning strlit7452
  int op_slot_right_7451 = gc_frame_newslot(strlit7452);
  int callframe7454 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7455 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe7454);
// compilenode returning call7455
// compilenode returning call7455
  int op_slot_left_7451 = gc_frame_newslot(call7455);
  params[0] = strlit7452;
  partcv[0] = 1;
  Object opresult7456 = callmethod(call7455, "==", 1, partcv, params);
// compilenode returning opresult7456
  int op_slot_left_7443 = gc_frame_newslot(opresult7456);
  params[0] = opresult7449;
  partcv[0] = 1;
  Object opresult7457 = callmethod(opresult7456, "||", 1, partcv, params);
// compilenode returning opresult7457
  gc_frame_end(frame);
  return opresult7457;
}
Object meth_parser__apply7471(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2310
  setline(2310);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7474 == NULL) {
    strlit7474 = alloc_String("writable");
    gc_root(strlit7474);
  }
// compilenode returning strlit7474
  int op_slot_right_7473 = gc_frame_newslot(strlit7474);
  int callframe7476 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7477 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe7476);
// compilenode returning call7477
// compilenode returning call7477
  int op_slot_left_7473 = gc_frame_newslot(call7477);
  params[0] = strlit7474;
  partcv[0] = 1;
  Object opresult7478 = callmethod(call7477, "==", 1, partcv, params);
// compilenode returning opresult7478
  int op_slot_right_7472 = gc_frame_newslot(opresult7478);
// Begin line 2309
  setline(2309);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7481 == NULL) {
    strlit7481 = alloc_String("readable");
    gc_root(strlit7481);
  }
// compilenode returning strlit7481
  int op_slot_right_7480 = gc_frame_newslot(strlit7481);
  int callframe7483 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7484 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe7483);
// compilenode returning call7484
// compilenode returning call7484
  int op_slot_left_7480 = gc_frame_newslot(call7484);
  params[0] = strlit7481;
  partcv[0] = 1;
  Object opresult7485 = callmethod(call7484, "==", 1, partcv, params);
// compilenode returning opresult7485
  int op_slot_left_7472 = gc_frame_newslot(opresult7485);
  params[0] = opresult7478;
  partcv[0] = 1;
  Object opresult7486 = callmethod(opresult7485, "||", 1, partcv, params);
// compilenode returning opresult7486
  gc_frame_end(frame);
  return opresult7486;
}
Object meth_parser__apply7438(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_hasVisibility = getfromclosure(closure, 0);
  Object *var_hasAccessibility = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2308
  setline(2308);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2303
  setline(2303);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7440 = gc_frame_new();
  Object block7441 = alloc_Block(NULL, NULL, "parser", 2303);
  gc_frame_newslot(block7441);
  block_savedest(block7441);
  Object closure7442 = createclosure(2, "_apply");
setclosureframe(closure7442, stackframe);
  addtoclosure(closure7442, var_a);
  addtoclosure(closure7442, selfslot);
  struct UserObject *uo7442 = (struct UserObject*)block7441;
  uo7442->data[0] = (Object)closure7442;
  Method *meth_meth_parser__apply7442 = addmethod2pos(block7441, "_apply", &meth_parser__apply7442, 0);
int argcv_meth_parser__apply7442[] = {0};
meth_meth_parser__apply7442->type = alloc_MethodType(1, argcv_meth_parser__apply7442);
  meth_meth_parser__apply7442->definitionModule = modulename;
  meth_meth_parser__apply7442->definitionLine = 2298;
// compilenode returning block7441
  gc_frame_newslot(block7441);
// Begin line 2303
  setline(2303);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7460 == NULL) {
    strlit7460 = alloc_String("identifier");
    gc_root(strlit7460);
  }
// compilenode returning strlit7460
  int op_slot_right_7459 = gc_frame_newslot(strlit7460);
  int callframe7462 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7463 = callmethod(*var_a, "kind",
    1, partcv, params);
  gc_frame_end(callframe7462);
// compilenode returning call7463
// compilenode returning call7463
  int op_slot_left_7459 = gc_frame_newslot(call7463);
  params[0] = strlit7460;
  partcv[0] = 1;
  Object opresult7464 = callmethod(call7463, "==", 1, partcv, params);
// compilenode returning opresult7464
  params[0] = block7441;
  partcv[0] = 1;
  Object call7465 = callmethod(opresult7464, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe7440);
// compilenode returning call7465
  Object if7439 = done;
  if (istrue(call7465)) {
// Begin line 2307
  setline(2307);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2306
  setline(2306);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7466 = alloc_Boolean(1);
// compilenode returning bool7466
  *var_hasVisibility = bool7466;
  if (bool7466 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7439 = done;
  } else {
  }
// compilenode returning if7439
// Begin line 2313
  setline(2313);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2308
  setline(2308);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7469 = gc_frame_new();
  Object block7470 = alloc_Block(NULL, NULL, "parser", 2308);
  gc_frame_newslot(block7470);
  block_savedest(block7470);
  Object closure7471 = createclosure(2, "_apply");
setclosureframe(closure7471, stackframe);
  addtoclosure(closure7471, var_a);
  addtoclosure(closure7471, selfslot);
  struct UserObject *uo7471 = (struct UserObject*)block7470;
  uo7471->data[0] = (Object)closure7471;
  Method *meth_meth_parser__apply7471 = addmethod2pos(block7470, "_apply", &meth_parser__apply7471, 0);
int argcv_meth_parser__apply7471[] = {0};
meth_meth_parser__apply7471->type = alloc_MethodType(1, argcv_meth_parser__apply7471);
  meth_meth_parser__apply7471->definitionModule = modulename;
  meth_meth_parser__apply7471->definitionLine = 2303;
// compilenode returning block7470
  gc_frame_newslot(block7470);
// Begin line 2308
  setline(2308);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7489 == NULL) {
    strlit7489 = alloc_String("identifier");
    gc_root(strlit7489);
  }
// compilenode returning strlit7489
  int op_slot_right_7488 = gc_frame_newslot(strlit7489);
  int callframe7491 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7492 = callmethod(*var_a, "kind",
    1, partcv, params);
  gc_frame_end(callframe7491);
// compilenode returning call7492
// compilenode returning call7492
  int op_slot_left_7488 = gc_frame_newslot(call7492);
  params[0] = strlit7489;
  partcv[0] = 1;
  Object opresult7493 = callmethod(call7492, "==", 1, partcv, params);
// compilenode returning opresult7493
  params[0] = block7470;
  partcv[0] = 1;
  Object call7494 = callmethod(opresult7493, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe7469);
// compilenode returning call7494
  Object if7468 = done;
  if (istrue(call7494)) {
// Begin line 2312
  setline(2312);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2311
  setline(2311);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7495 = alloc_Boolean(1);
// compilenode returning bool7495
  *var_hasAccessibility = bool7495;
  if (bool7495 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7468 = done;
  } else {
  }
// compilenode returning if7468
  gc_frame_end(frame);
  return if7468;
}
Object meth_parser_defdec7183(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 39, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(19, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defdec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_ast = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_defaultDefVisibility = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defdec (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for defdec");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "line");
  Object *var_pos = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "pos");
  Object *var_defTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "defTok");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_nextToken = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nextToken");
  Object *var_val = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "val");
  Object *var_dtype = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "dtype");
  Object *var_name = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "name");
  Object *var_anns = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "anns");
  Object *var_nextTok = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "nextTok");
  Object *var_suggestions = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "suggestions");
  Object *var_o = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "o");
  Object *var_hasVisibility = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "hasVisibility");
  Object *var_hasAccessibility = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "hasAccessibility");
// Begin line 2324
  setline(2324);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2233
  setline(2233);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7187 == NULL) {
    strlit7187 = alloc_String("def");
    gc_root(strlit7187);
  }
// compilenode returning strlit7187
  int op_slot_right_7186 = gc_frame_newslot(strlit7187);
  int callframe7189 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7190 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7189);
// compilenode returning call7190
// compilenode returning call7190
  int op_slot_left_7186 = gc_frame_newslot(call7190);
  params[0] = strlit7187;
  partcv[0] = 1;
  Object opresult7191 = callmethod(call7190, "==", 1, partcv, params);
// compilenode returning opresult7191
  int op_slot_right_7185 = gc_frame_newslot(opresult7191);
  int callframe7193 = gc_frame_new();
  if (strlit7194 == NULL) {
    strlit7194 = alloc_String("keyword");
    gc_root(strlit7194);
  }
// compilenode returning strlit7194
  gc_frame_newslot(strlit7194);
  params[0] = strlit7194;
  partcv[0] = 1;
  Object call7195 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7193);
// compilenode returning call7195
  int op_slot_left_7185 = gc_frame_newslot(call7195);
  params[0] = opresult7191;
  partcv[0] = 1;
  Object opresult7196 = callmethod(call7195, "&&", 1, partcv, params);
// compilenode returning opresult7196
  Object if7184 = done;
  if (istrue(opresult7196)) {
// Begin line 2235
  setline(2235);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2234
  setline(2234);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7197 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7198 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7197);
// compilenode returning call7198
// compilenode returning call7198
  *var_line = call7198;
  if (call7198 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2236
  setline(2236);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2235
  setline(2235);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7199 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7200 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7199);
// compilenode returning call7200
// compilenode returning call7200
  *var_pos = call7200;
  if (call7200 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2237
  setline(2237);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2236
  setline(2236);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_defTok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2237
  setline(2237);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7201 = gc_frame_new();
  partcv[0] = 0;
  Object call7202 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7201);
// compilenode returning call7202
// Begin line 2252
  setline(2252);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2238
  setline(2238);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7205 == NULL) {
    strlit7205 = alloc_String("identifier");
    gc_root(strlit7205);
  }
// compilenode returning strlit7205
  int op_slot_right_7204 = gc_frame_newslot(strlit7205);
  int callframe7207 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7208 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe7207);
// compilenode returning call7208
// compilenode returning call7208
  int op_slot_left_7204 = gc_frame_newslot(call7208);
  params[0] = strlit7205;
  partcv[0] = 1;
  Object opresult7209 = callmethod(call7208, "!=", 1, partcv, params);
// compilenode returning opresult7209
  Object if7203 = done;
  if (istrue(opresult7209)) {
// Begin line 2240
  setline(2240);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2239
  setline(2239);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7210 = gc_frame_new();
  int callframe7211 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7212 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7211);
// compilenode returning call7212
// compilenode returning call7212
  partcv[0] = 0;
  Object call7213 = callmethod(call7212, "new",
    1, partcv, params);
  gc_frame_end(callframe7210);
// compilenode returning call7213
// compilenode returning call7213
  *var_suggestion = call7213;
  if (call7213 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2240
  setline(2240);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7214 = gc_frame_new();
  Object block7215 = alloc_Block(NULL, NULL, "parser", 2240);
  gc_frame_newslot(block7215);
  block_savedest(block7215);
  Object closure7216 = createclosure(2, "_apply");
setclosureframe(closure7216, stackframe);
  addtoclosure(closure7216, var_sym);
  addtoclosure(closure7216, selfslot);
  struct UserObject *uo7216 = (struct UserObject*)block7215;
  uo7216->data[0] = (Object)closure7216;
  Method *meth_meth_parser__apply7216 = addmethod2pos(block7215, "_apply", &meth_parser__apply7216, 0);
int argcv_meth_parser__apply7216[] = {1};
meth_meth_parser__apply7216->type = alloc_MethodType(1, argcv_meth_parser__apply7216);
  meth_meth_parser__apply7216->definitionModule = modulename;
  meth_meth_parser__apply7216->definitionLine = 2239;
// compilenode returning block7215
  gc_frame_newslot(block7215);
  params[0] = block7215;
  partcv[0] = 1;
  Object call7243 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7214);
// compilenode returning call7243
  *var_nextToken = call7243;
  if (call7243 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2249
  setline(2249);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2242
  setline(2242);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7246 = alloc_Boolean(0);
// compilenode returning bool7246
  int op_slot_right_7245 = gc_frame_newslot(bool7246);
// compilenode returning *var_nextToken
  int op_slot_left_7245 = gc_frame_newslot(*var_nextToken);
  params[0] = bool7246;
  partcv[0] = 1;
  Object opresult7248 = callmethod(*var_nextToken, "==", 1, partcv, params);
// compilenode returning opresult7248
  Object if7244 = done;
  if (istrue(opresult7248)) {
// Begin line 2243
  setline(2243);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7249 = gc_frame_new();
  if (strlit7250 == NULL) {
    strlit7250 = alloc_String(" ""\xc2""""\xab""name""\xc2""""\xbb"" =");
    gc_root(strlit7250);
  }
// compilenode returning strlit7250
  gc_frame_newslot(strlit7250);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7250;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7251 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7249);
// compilenode returning call7251
    gc_frame_newslot(call7251);
    if7244 = call7251;
  } else {
// Begin line 2246
  setline(2246);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2244
  setline(2244);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_7253 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextToken
  int op_slot_left_7253 = gc_frame_newslot(*var_nextToken);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7255 = callmethod(*var_nextToken, "==", 1, partcv, params);
// compilenode returning opresult7255
  Object if7252 = done;
  if (istrue(opresult7255)) {
// Begin line 2245
  setline(2245);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7256 = gc_frame_new();
  if (strlit7257 == NULL) {
    strlit7257 = alloc_String(" ""\xc2""""\xab""name""\xc2""""\xbb""");
    gc_root(strlit7257);
  }
// compilenode returning strlit7257
  gc_frame_newslot(strlit7257);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7257;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7258 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7256);
// compilenode returning call7258
    gc_frame_newslot(call7258);
    if7252 = call7258;
  } else {
// Begin line 2247
  setline(2247);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7259 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe7260 = gc_frame_new();
// compilenode returning *var_nextToken
  partcv[0] = 0;
  Object call7261 = callmethod(*var_nextToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe7260);
// compilenode returning call7261
// compilenode returning call7261
  gc_frame_newslot(call7261);
  Object bool7262 = alloc_Boolean(0);
// compilenode returning bool7262
  gc_frame_newslot(bool7262);
  Object bool7263 = alloc_Boolean(1);
// compilenode returning bool7263
  gc_frame_newslot(bool7263);
  if (strlit7264 == NULL) {
    strlit7264 = alloc_String("""\xc2""""\xab""name""\xc2""""\xbb"" ");
    gc_root(strlit7264);
  }
// compilenode returning strlit7264
  gc_frame_newslot(strlit7264);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call7261;
  params[2] = bool7262;
  params[3] = bool7263;
  params[4] = strlit7264;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7265 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe7259);
// compilenode returning call7265
    gc_frame_newslot(call7265);
    if7252 = call7265;
  }
// compilenode returning if7252
    gc_frame_newslot(if7252);
    if7244 = if7252;
  }
// compilenode returning if7244
// Begin line 2249
  setline(2249);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7266 = gc_frame_new();
  if (strlit7267 == NULL) {
    strlit7267 = alloc_String("A constant declaration must have a name, a '=', and a value after the 'def'.");
    gc_root(strlit7267);
  }
// compilenode returning strlit7267
  gc_frame_newslot(strlit7267);
// Begin line 2250
  setline(2250);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7268 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7269 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7268);
// compilenode returning call7269
// compilenode returning call7269
  gc_frame_newslot(call7269);
  int callframe7270 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7271 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7270);
// compilenode returning call7271
// compilenode returning call7271
  gc_frame_newslot(call7271);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2249
  setline(2249);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit7267;
  params[1] = call7269;
  params[2] = call7271;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7272 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe7266);
// compilenode returning call7272
    gc_frame_newslot(call7272);
    if7203 = call7272;
  } else {
  }
// compilenode returning if7203
// Begin line 2252
  setline(2252);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7273 = gc_frame_new();
  partcv[0] = 0;
  Object call7274 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7273);
// compilenode returning call7274
// Begin line 2254
  setline(2254);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2253
  setline(2253);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7275 = alloc_Boolean(0);
// compilenode returning bool7275
  *var_val = bool7275;
  if (bool7275 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2254
  setline(2254);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7276 = gc_frame_new();
  if (strlit7277 == NULL) {
    strlit7277 = alloc_String("Unknown");
    gc_root(strlit7277);
  }
// compilenode returning strlit7277
  gc_frame_newslot(strlit7277);
  Object bool7278 = alloc_Boolean(0);
// compilenode returning bool7278
  gc_frame_newslot(bool7278);
  int callframe7279 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call7280 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe7279);
// compilenode returning call7280
// compilenode returning call7280
  params[0] = strlit7277;
  params[1] = bool7278;
  partcv[0] = 2;
  Object call7281 = callmethod(call7280, "new",
    1, partcv, params);
  gc_frame_end(callframe7276);
// compilenode returning call7281
  *var_dtype = call7281;
  if (call7281 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2256
  setline(2256);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2255
  setline(2255);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7282 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call7283 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7282);
// compilenode returning call7283
// compilenode returning call7283
  *var_name = call7283;
  if (call7283 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2261
  setline(2261);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2256
  setline(2256);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7285 = gc_frame_new();
  if (strlit7286 == NULL) {
    strlit7286 = alloc_String("colon");
    gc_root(strlit7286);
  }
// compilenode returning strlit7286
  gc_frame_newslot(strlit7286);
  params[0] = strlit7286;
  partcv[0] = 1;
  Object call7287 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7285);
// compilenode returning call7287
  Object if7284 = done;
  if (istrue(call7287)) {
// Begin line 2257
  setline(2257);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7288 = gc_frame_new();
  partcv[0] = 0;
  Object call7289 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7288);
// compilenode returning call7289
// Begin line 2258
  setline(2258);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7290 = gc_frame_new();
  partcv[0] = 0;
  Object call7291 = callmethodflags(self, "dotyperef", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7290);
// compilenode returning call7291
// Begin line 2260
  setline(2260);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2259
  setline(2259);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7292 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call7293 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7292);
// compilenode returning call7293
// compilenode returning call7293
  *var_dtype = call7293;
  if (call7293 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7284 = done;
  } else {
  }
// compilenode returning if7284
// Begin line 2262
  setline(2262);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2261
  setline(2261);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7295 = gc_frame_new();
  partcv[0] = 0;
  Object call7296 = callmethodflags(self, "doannotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7295);
// compilenode returning call7296
  *var_anns = call7296;
  if (call7296 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2298
  setline(2298);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2262
  setline(2262);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7300 == NULL) {
    strlit7300 = alloc_String("=");
    gc_root(strlit7300);
  }
// compilenode returning strlit7300
  int op_slot_right_7299 = gc_frame_newslot(strlit7300);
  int callframe7302 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7303 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7302);
// compilenode returning call7303
// compilenode returning call7303
  int op_slot_left_7299 = gc_frame_newslot(call7303);
  params[0] = strlit7300;
  partcv[0] = 1;
  Object opresult7304 = callmethod(call7303, "==", 1, partcv, params);
// compilenode returning opresult7304
  int op_slot_right_7298 = gc_frame_newslot(opresult7304);
  int callframe7306 = gc_frame_new();
  if (strlit7307 == NULL) {
    strlit7307 = alloc_String("op");
    gc_root(strlit7307);
  }
// compilenode returning strlit7307
  gc_frame_newslot(strlit7307);
  params[0] = strlit7307;
  partcv[0] = 1;
  Object call7308 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7306);
// compilenode returning call7308
  int op_slot_left_7298 = gc_frame_newslot(call7308);
  params[0] = opresult7304;
  partcv[0] = 1;
  Object opresult7309 = callmethod(call7308, "&&", 1, partcv, params);
// compilenode returning opresult7309
  Object if7297 = done;
  if (istrue(opresult7309)) {
// Begin line 2263
  setline(2263);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7310 = gc_frame_new();
  partcv[0] = 0;
  Object call7311 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7310);
// compilenode returning call7311
// Begin line 2275
  setline(2275);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2264
  setline(2264);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7313 = gc_frame_new();
  int callframe7314 = gc_frame_new();
  Object block7315 = alloc_Block(NULL, NULL, "parser", 2264);
  gc_frame_newslot(block7315);
  block_savedest(block7315);
  Object closure7316 = createclosure(1, "_apply");
setclosureframe(closure7316, stackframe);
  addtoclosure(closure7316, selfslot);
  struct UserObject *uo7316 = (struct UserObject*)block7315;
  uo7316->data[0] = (Object)closure7316;
  Method *meth_meth_parser__apply7316 = addmethod2pos(block7315, "_apply", &meth_parser__apply7316, 0);
int argcv_meth_parser__apply7316[] = {0};
meth_meth_parser__apply7316->type = alloc_MethodType(1, argcv_meth_parser__apply7316);
  meth_meth_parser__apply7316->definitionModule = modulename;
  meth_meth_parser__apply7316->definitionLine = 2264;
// compilenode returning block7315
  gc_frame_newslot(block7315);
  params[0] = block7315;
  partcv[0] = 1;
  Object call7320 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7314);
// compilenode returning call7320
  partcv[0] = 0;
  Object call7321 = callmethod(call7320, "not",
    1, partcv, params);
  gc_frame_end(callframe7313);
// compilenode returning call7321
// compilenode returning call7321
  Object if7312 = done;
  if (istrue(call7321)) {
// Begin line 2266
  setline(2266);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2265
  setline(2265);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7322 = gc_frame_new();
  int callframe7323 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7324 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7323);
// compilenode returning call7324
// compilenode returning call7324
  partcv[0] = 0;
  Object call7325 = callmethod(call7324, "new",
    1, partcv, params);
  gc_frame_end(callframe7322);
// compilenode returning call7325
// compilenode returning call7325
  *var_suggestion = call7325;
  if (call7325 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2266
  setline(2266);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7326 = gc_frame_new();
  partcv[0] = 0;
  Object call7327 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7326);
// compilenode returning call7327
  *var_nextTok = call7327;
  if (call7327 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2272
  setline(2272);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2267
  setline(2267);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_7329 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_7329 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7331 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult7331
  Object if7328 = done;
  if (istrue(opresult7331)) {
// Begin line 2268
  setline(2268);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7332 = gc_frame_new();
  if (strlit7333 == NULL) {
    strlit7333 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7333);
  }
// compilenode returning strlit7333
  gc_frame_newslot(strlit7333);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7333;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7334 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7332);
// compilenode returning call7334
    gc_frame_newslot(call7334);
    if7328 = call7334;
  } else {
// Begin line 2270
  setline(2270);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7335 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe7336 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call7337 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7336);
// compilenode returning call7337
// compilenode returning call7337
  gc_frame_newslot(call7337);
  Object bool7338 = alloc_Boolean(1);
// compilenode returning bool7338
  gc_frame_newslot(bool7338);
  Object bool7339 = alloc_Boolean(0);
// compilenode returning bool7339
  gc_frame_newslot(bool7339);
  if (strlit7340 == NULL) {
    strlit7340 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7340);
  }
// compilenode returning strlit7340
  gc_frame_newslot(strlit7340);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call7337;
  params[2] = bool7338;
  params[3] = bool7339;
  params[4] = strlit7340;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7341 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe7335);
// compilenode returning call7341
    gc_frame_newslot(call7341);
    if7328 = call7341;
  }
// compilenode returning if7328
// Begin line 2272
  setline(2272);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7342 = gc_frame_new();
  if (strlit7343 == NULL) {
    strlit7343 = alloc_String("A constant declaration must have a value after the '='.");
    gc_root(strlit7343);
  }
// compilenode returning strlit7343
  gc_frame_newslot(strlit7343);
// Begin line 2273
  setline(2273);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7344 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7345 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe7344);
// compilenode returning call7345
// compilenode returning call7345
  gc_frame_newslot(call7345);
  int callframe7347 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7348 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe7347);
// compilenode returning call7348
// compilenode returning call7348
  int op_slot_right_7346 = gc_frame_newslot(call7348);
  int callframe7350 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7351 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7350);
// compilenode returning call7351
// compilenode returning call7351
  int op_slot_left_7346 = gc_frame_newslot(call7351);
  params[0] = call7348;
  partcv[0] = 1;
  Object sum7352 = callmethod(call7351, "+", 1, partcv, params);
// compilenode returning sum7352
  gc_frame_newslot(sum7352);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2272
  setline(2272);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit7343;
  params[1] = call7345;
  params[2] = sum7352;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7353 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe7342);
// compilenode returning call7353
    gc_frame_newslot(call7353);
    if7312 = call7353;
  } else {
  }
// compilenode returning if7312
// Begin line 2276
  setline(2276);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2275
  setline(2275);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7354 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call7355 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7354);
// compilenode returning call7355
// compilenode returning call7355
  *var_val = call7355;
  if (call7355 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7297 = done;
  } else {
// Begin line 2286
  setline(2286);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2276
  setline(2276);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7358 = gc_frame_new();
  if (strlit7359 == NULL) {
    strlit7359 = alloc_String("bind");
    gc_root(strlit7359);
  }
// compilenode returning strlit7359
  gc_frame_newslot(strlit7359);
  params[0] = strlit7359;
  partcv[0] = 1;
  Object call7360 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7358);
// compilenode returning call7360
  Object if7357 = done;
  if (istrue(call7360)) {
// Begin line 2278
  setline(2278);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2277
  setline(2277);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array7361 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array7361
  *var_suggestions = array7361;
  if (array7361 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2279
  setline(2279);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2278
  setline(2278);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7362 = gc_frame_new();
  int callframe7363 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7364 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7363);
// compilenode returning call7364
// compilenode returning call7364
  partcv[0] = 0;
  Object call7365 = callmethod(call7364, "new",
    1, partcv, params);
  gc_frame_end(callframe7362);
// compilenode returning call7365
// compilenode returning call7365
  *var_suggestion = call7365;
  if (call7365 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2279
  setline(2279);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7366 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit7367 == NULL) {
    strlit7367 = alloc_String("=");
    gc_root(strlit7367);
  }
// compilenode returning strlit7367
  gc_frame_newslot(strlit7367);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = strlit7367;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7368 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe7366);
// compilenode returning call7368
// Begin line 2280
  setline(2280);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7369 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7370 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7369);
// compilenode returning call7370
// Begin line 2282
  setline(2282);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2281
  setline(2281);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7371 = gc_frame_new();
  int callframe7372 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7373 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7372);
// compilenode returning call7373
// compilenode returning call7373
  partcv[0] = 0;
  Object call7374 = callmethod(call7373, "new",
    1, partcv, params);
  gc_frame_end(callframe7371);
// compilenode returning call7374
// compilenode returning call7374
  *var_suggestion = call7374;
  if (call7374 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2282
  setline(2282);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7376 = gc_frame_new();
// compilenode returning *var_defTok
  gc_frame_newslot(*var_defTok);
  if (strlit7377 == NULL) {
    strlit7377 = alloc_String("var");
    gc_root(strlit7377);
  }
// compilenode returning strlit7377
  gc_frame_newslot(strlit7377);
// compilenode returning *var_suggestion
  params[0] = *var_defTok;
  params[1] = strlit7377;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7378 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe7376);
// compilenode returning call7378
// Begin line 2283
  setline(2283);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7379 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7380 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7379);
// compilenode returning call7380
// Begin line 2284
  setline(2284);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7381 = gc_frame_new();
  if (strlit7382 == NULL) {
    strlit7382 = alloc_String("A constant declaration must use '=' instead of ':='. A variable declaration uses 'var' and ':='.");
    gc_root(strlit7382);
  }
// compilenode returning strlit7382
  gc_frame_newslot(strlit7382);
// Begin line 2285
  setline(2285);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7383 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7384 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7383);
// compilenode returning call7384
// compilenode returning call7384
  gc_frame_newslot(call7384);
  int callframe7385 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7386 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7385);
// compilenode returning call7386
// compilenode returning call7386
  gc_frame_newslot(call7386);
  Object num7388 = alloc_Float64(1);
// compilenode returning num7388
  int op_slot_right_7387 = gc_frame_newslot(num7388);
  int callframe7390 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7391 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7390);
// compilenode returning call7391
// compilenode returning call7391
  int op_slot_left_7387 = gc_frame_newslot(call7391);
  params[0] = num7388;
  partcv[0] = 1;
  Object sum7392 = callmethod(call7391, "+", 1, partcv, params);
// compilenode returning sum7392
  gc_frame_newslot(sum7392);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2284
  setline(2284);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit7382;
  params[1] = call7384;
  params[2] = call7386;
  params[3] = sum7392;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call7393 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe7381);
// compilenode returning call7393
    gc_frame_newslot(call7393);
    if7357 = call7393;
  } else {
// Begin line 2288
  setline(2288);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2287
  setline(2287);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array7394 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array7394
  *var_suggestions = array7394;
  if (array7394 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2289
  setline(2289);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2288
  setline(2288);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7395 = gc_frame_new();
  int callframe7396 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7397 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7396);
// compilenode returning call7397
// compilenode returning call7397
  partcv[0] = 0;
  Object call7398 = callmethod(call7397, "new",
    1, partcv, params);
  gc_frame_end(callframe7395);
// compilenode returning call7398
// compilenode returning call7398
  *var_suggestion = call7398;
  if (call7398 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2289
  setline(2289);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7399 = gc_frame_new();
  if (strlit7400 == NULL) {
    strlit7400 = alloc_String(" = ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7400);
  }
// compilenode returning strlit7400
  gc_frame_newslot(strlit7400);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7400;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7401 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7399);
// compilenode returning call7401
// Begin line 2290
  setline(2290);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7402 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7403 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7402);
// compilenode returning call7403
// Begin line 2292
  setline(2292);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2291
  setline(2291);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7404 = gc_frame_new();
  int callframe7405 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7406 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7405);
// compilenode returning call7406
// compilenode returning call7406
  partcv[0] = 0;
  Object call7407 = callmethod(call7406, "new",
    1, partcv, params);
  gc_frame_end(callframe7404);
// compilenode returning call7407
// compilenode returning call7407
  *var_suggestion = call7407;
  if (call7407 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2292
  setline(2292);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7409 = gc_frame_new();
// compilenode returning *var_defTok
  gc_frame_newslot(*var_defTok);
  if (strlit7410 == NULL) {
    strlit7410 = alloc_String("var");
    gc_root(strlit7410);
  }
// compilenode returning strlit7410
  gc_frame_newslot(strlit7410);
// compilenode returning *var_suggestion
  params[0] = *var_defTok;
  params[1] = strlit7410;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7411 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe7409);
// compilenode returning call7411
// Begin line 2293
  setline(2293);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7412 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7413 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7412);
// compilenode returning call7413
// Begin line 2294
  setline(2294);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7414 = gc_frame_new();
// Begin line 2295
  setline(2295);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7416 == NULL) {
    strlit7416 = alloc_String("A variable declaration does not require a value and uses 'var' instead of 'def'.");
    gc_root(strlit7416);
  }
// compilenode returning strlit7416
  int op_slot_right_7415 = gc_frame_newslot(strlit7416);
// Begin line 2294
  setline(2294);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7418 == NULL) {
    strlit7418 = alloc_String("A constant declaration must have a '=' and a value after the name. ");
    gc_root(strlit7418);
  }
// compilenode returning strlit7418
  int op_slot_left_7415 = gc_frame_newslot(strlit7418);
  params[0] = strlit7416;
  partcv[0] = 1;
  Object opresult7419 = callmethod(strlit7418, "++", 1, partcv, params);
// compilenode returning opresult7419
  gc_frame_newslot(opresult7419);
// Begin line 2296
  setline(2296);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7420 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7421 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7420);
// compilenode returning call7421
// compilenode returning call7421
  gc_frame_newslot(call7421);
  int callframe7422 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7423 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7422);
// compilenode returning call7423
// compilenode returning call7423
  gc_frame_newslot(call7423);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2294
  setline(2294);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult7419;
  params[1] = call7421;
  params[2] = call7423;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7424 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe7414);
// compilenode returning call7424
    gc_frame_newslot(call7424);
    if7357 = call7424;
  }
// compilenode returning if7357
    gc_frame_newslot(if7357);
    if7297 = if7357;
  }
// compilenode returning if7297
// Begin line 2298
  setline(2298);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7425 = gc_frame_new();
// compilenode returning *var_name
  gc_frame_newslot(*var_name);
// compilenode returning *var_val
  gc_frame_newslot(*var_val);
// compilenode returning *var_dtype
  gc_frame_newslot(*var_dtype);
  int callframe7426 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call7427 = callmethod(*var_ast, "defDecNode",
    1, partcv, params);
  gc_frame_end(callframe7426);
// compilenode returning call7427
// compilenode returning call7427
  params[0] = *var_name;
  params[1] = *var_val;
  params[2] = *var_dtype;
  partcv[0] = 3;
  Object call7428 = callmethod(call7427, "new",
    1, partcv, params);
  gc_frame_end(callframe7425);
// compilenode returning call7428
  *var_o = call7428;
  if (call7428 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2300
  setline(2300);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2299
  setline(2299);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7429 = alloc_Boolean(0);
// compilenode returning bool7429
  *var_hasVisibility = bool7429;
  if (bool7429 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2301
  setline(2301);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2300
  setline(2300);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7430 = alloc_Boolean(0);
// compilenode returning bool7430
  *var_hasAccessibility = bool7430;
  if (bool7430 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2316
  setline(2316);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2301
  setline(2301);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7433 = alloc_Boolean(0);
// compilenode returning bool7433
  int op_slot_right_7432 = gc_frame_newslot(bool7433);
// compilenode returning *var_anns
  int op_slot_left_7432 = gc_frame_newslot(*var_anns);
  params[0] = bool7433;
  partcv[0] = 1;
  Object opresult7435 = callmethod(*var_anns, "!=", 1, partcv, params);
// compilenode returning opresult7435
  Object if7431 = done;
  if (istrue(opresult7435)) {
// Begin line 2302
  setline(2302);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7436 = gc_frame_new();
// compilenode returning *var_anns
  gc_frame_newslot(*var_anns);
  Object block7437 = alloc_Block(NULL, NULL, "parser", 2302);
  gc_frame_newslot(block7437);
  block_savedest(block7437);
  Object closure7438 = createclosure(3, "_apply");
setclosureframe(closure7438, stackframe);
  addtoclosure(closure7438, var_hasVisibility);
  addtoclosure(closure7438, var_hasAccessibility);
  addtoclosure(closure7438, selfslot);
  struct UserObject *uo7438 = (struct UserObject*)block7437;
  uo7438->data[0] = (Object)closure7438;
  Method *meth_meth_parser__apply7438 = addmethod2pos(block7437, "_apply", &meth_parser__apply7438, 0);
int argcv_meth_parser__apply7438[] = {1};
meth_meth_parser__apply7438->type = alloc_MethodType(1, argcv_meth_parser__apply7438);
  meth_meth_parser__apply7438->definitionModule = modulename;
  meth_meth_parser__apply7438->definitionLine = 2298;
// compilenode returning block7437
  gc_frame_newslot(block7437);
  params[0] = *var_anns;
  params[1] = block7437;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7498 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7436);
// compilenode returning call7498
// Begin line 2314
  setline(2314);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7499 = gc_frame_new();
// compilenode returning *var_anns
  gc_frame_newslot(*var_anns);
  int callframe7500 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call7501 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe7500);
// compilenode returning call7501
// compilenode returning call7501
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call7502 = callmethod(call7501, "extend",
    1, partcv, params);
  gc_frame_end(callframe7499);
// compilenode returning call7502
    gc_frame_newslot(call7502);
    if7431 = call7502;
  } else {
  }
// compilenode returning if7431
// Begin line 2321
  setline(2321);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2316
  setline(2316);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7505 = gc_frame_new();
// compilenode returning *var_hasAccessibility
  partcv[0] = 0;
  Object call7506 = callmethod(*var_hasAccessibility, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe7505);
// compilenode returning call7506
  int op_slot_right_7504 = gc_frame_newslot(call7506);
  int callframe7508 = gc_frame_new();
// compilenode returning *var_hasVisibility
  partcv[0] = 0;
  Object call7509 = callmethod(*var_hasVisibility, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe7508);
// compilenode returning call7509
  int op_slot_left_7504 = gc_frame_newslot(call7509);
  params[0] = call7506;
  partcv[0] = 1;
  Object opresult7510 = callmethod(call7509, "&&", 1, partcv, params);
// compilenode returning opresult7510
  Object if7503 = done;
  if (istrue(opresult7510)) {
// Begin line 2320
  setline(2320);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2317
  setline(2317);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7513 == NULL) {
    strlit7513 = alloc_String("public");
    gc_root(strlit7513);
  }
// compilenode returning strlit7513
  int op_slot_right_7512 = gc_frame_newslot(strlit7513);
// compilenode returning *var_defaultDefVisibility
  int op_slot_left_7512 = gc_frame_newslot(*var_defaultDefVisibility);
  params[0] = strlit7513;
  partcv[0] = 1;
  Object opresult7515 = callmethod(*var_defaultDefVisibility, "==", 1, partcv, params);
// compilenode returning opresult7515
  Object if7511 = done;
  if (istrue(opresult7515)) {
// Begin line 2318
  setline(2318);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7516 = gc_frame_new();
  int callframe7517 = gc_frame_new();
  if (strlit7518 == NULL) {
    strlit7518 = alloc_String("public");
    gc_root(strlit7518);
  }
// compilenode returning strlit7518
  gc_frame_newslot(strlit7518);
  Object bool7519 = alloc_Boolean(0);
// compilenode returning bool7519
  gc_frame_newslot(bool7519);
  int callframe7520 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call7521 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe7520);
// compilenode returning call7521
// compilenode returning call7521
  params[0] = strlit7518;
  params[1] = bool7519;
  partcv[0] = 2;
  Object call7522 = callmethod(call7521, "new",
    1, partcv, params);
  gc_frame_end(callframe7517);
// compilenode returning call7522
  gc_frame_newslot(call7522);
  int callframe7523 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call7524 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe7523);
// compilenode returning call7524
// compilenode returning call7524
  params[0] = call7522;
  partcv[0] = 1;
  Object call7525 = callmethod(call7524, "push",
    1, partcv, params);
  gc_frame_end(callframe7516);
// compilenode returning call7525
    gc_frame_newslot(call7525);
    if7511 = call7525;
  } else {
  }
// compilenode returning if7511
    gc_frame_newslot(if7511);
    if7503 = if7511;
  } else {
  }
// compilenode returning if7503
// Begin line 2322
  setline(2322);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2318
  setline(2318);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7526 = gc_frame_new();
// Begin line 2321
  setline(2321);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_defTok
  gc_frame_newslot(*var_defTok);
// compilenode returning *var_o
  params[0] = *var_defTok;
  partcv[0] = 1;
  Object call7527 = callmethod(*var_o, "startToken:=",
    1, partcv, params);
  gc_frame_end(callframe7526);
// compilenode returning call7527
// compilenode returning done
// Begin line 2322
  setline(2322);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7528 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call7529 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe7528);
// compilenode returning call7529
    gc_frame_newslot(call7529);
    if7184 = call7529;
  } else {
  }
// compilenode returning if7184
  gc_frame_end(frame);
  return if7184;
}
Object meth_parser__apply7563(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2336
  setline(2336);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7566 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7567 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7566);
// compilenode returning call7567
// compilenode returning call7567
  int op_slot_right_7565 = gc_frame_newslot(call7567);
  int callframe7569 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call7570 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe7569);
// compilenode returning call7570
// compilenode returning call7570
  int op_slot_left_7565 = gc_frame_newslot(call7570);
  params[0] = call7567;
  partcv[0] = 1;
  Object opresult7571 = callmethod(call7570, "==", 1, partcv, params);
// compilenode returning opresult7571
  int op_slot_right_7564 = gc_frame_newslot(opresult7571);
// Begin line 2335
  setline(2335);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7574 == NULL) {
    strlit7574 = alloc_String("bind");
    gc_root(strlit7574);
  }
// compilenode returning strlit7574
  int op_slot_right_7573 = gc_frame_newslot(strlit7574);
  int callframe7576 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call7577 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe7576);
// compilenode returning call7577
// compilenode returning call7577
  int op_slot_left_7573 = gc_frame_newslot(call7577);
  params[0] = strlit7574;
  partcv[0] = 1;
  Object opresult7578 = callmethod(call7577, "==", 1, partcv, params);
// compilenode returning opresult7578
  int op_slot_left_7564 = gc_frame_newslot(opresult7578);
  params[0] = opresult7571;
  partcv[0] = 1;
  Object opresult7579 = callmethod(opresult7578, "&&", 1, partcv, params);
// compilenode returning opresult7579
  gc_frame_end(frame);
  return opresult7579;
}
Object meth_parser__apply7585(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_nextToken = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var_sym
  int op_slot_right_7586 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextToken
  int op_slot_left_7586 = gc_frame_newslot(*var_nextToken);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7588 = callmethod(*var_nextToken, "==", 1, partcv, params);
// compilenode returning opresult7588
  gc_frame_end(frame);
  return opresult7588;
}
Object meth_parser__apply7646(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe7647 = gc_frame_new();
  partcv[0] = 0;
  Object call7648 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7647);
// compilenode returning call7648
  gc_frame_end(frame);
  return call7648;
}
Object meth_parser__apply7766(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2396
  setline(2396);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7769 == NULL) {
    strlit7769 = alloc_String("confidential");
    gc_root(strlit7769);
  }
// compilenode returning strlit7769
  int op_slot_right_7768 = gc_frame_newslot(strlit7769);
  int callframe7771 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7772 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe7771);
// compilenode returning call7772
// compilenode returning call7772
  int op_slot_left_7768 = gc_frame_newslot(call7772);
  params[0] = strlit7769;
  partcv[0] = 1;
  Object opresult7773 = callmethod(call7772, "==", 1, partcv, params);
// compilenode returning opresult7773
  int op_slot_right_7767 = gc_frame_newslot(opresult7773);
// Begin line 2395
  setline(2395);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7776 == NULL) {
    strlit7776 = alloc_String("public");
    gc_root(strlit7776);
  }
// compilenode returning strlit7776
  int op_slot_right_7775 = gc_frame_newslot(strlit7776);
  int callframe7778 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7779 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe7778);
// compilenode returning call7779
// compilenode returning call7779
  int op_slot_left_7775 = gc_frame_newslot(call7779);
  params[0] = strlit7776;
  partcv[0] = 1;
  Object opresult7780 = callmethod(call7779, "==", 1, partcv, params);
// compilenode returning opresult7780
  int op_slot_left_7767 = gc_frame_newslot(opresult7780);
  params[0] = opresult7773;
  partcv[0] = 1;
  Object opresult7781 = callmethod(opresult7780, "||", 1, partcv, params);
// compilenode returning opresult7781
  gc_frame_end(frame);
  return opresult7781;
}
Object meth_parser__apply7795(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2401
  setline(2401);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7798 == NULL) {
    strlit7798 = alloc_String("writable");
    gc_root(strlit7798);
  }
// compilenode returning strlit7798
  int op_slot_right_7797 = gc_frame_newslot(strlit7798);
  int callframe7800 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7801 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe7800);
// compilenode returning call7801
// compilenode returning call7801
  int op_slot_left_7797 = gc_frame_newslot(call7801);
  params[0] = strlit7798;
  partcv[0] = 1;
  Object opresult7802 = callmethod(call7801, "==", 1, partcv, params);
// compilenode returning opresult7802
  int op_slot_right_7796 = gc_frame_newslot(opresult7802);
// Begin line 2400
  setline(2400);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7805 == NULL) {
    strlit7805 = alloc_String("readable");
    gc_root(strlit7805);
  }
// compilenode returning strlit7805
  int op_slot_right_7804 = gc_frame_newslot(strlit7805);
  int callframe7807 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7808 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe7807);
// compilenode returning call7808
// compilenode returning call7808
  int op_slot_left_7804 = gc_frame_newslot(call7808);
  params[0] = strlit7805;
  partcv[0] = 1;
  Object opresult7809 = callmethod(call7808, "==", 1, partcv, params);
// compilenode returning opresult7809
  int op_slot_left_7796 = gc_frame_newslot(opresult7809);
  params[0] = opresult7802;
  partcv[0] = 1;
  Object opresult7810 = callmethod(opresult7809, "||", 1, partcv, params);
// compilenode returning opresult7810
  gc_frame_end(frame);
  return opresult7810;
}
Object meth_parser__apply7762(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_hasVisibility = getfromclosure(closure, 0);
  Object *var_hasAccessibility = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2399
  setline(2399);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2394
  setline(2394);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7764 = gc_frame_new();
  Object block7765 = alloc_Block(NULL, NULL, "parser", 2394);
  gc_frame_newslot(block7765);
  block_savedest(block7765);
  Object closure7766 = createclosure(2, "_apply");
setclosureframe(closure7766, stackframe);
  addtoclosure(closure7766, var_a);
  addtoclosure(closure7766, selfslot);
  struct UserObject *uo7766 = (struct UserObject*)block7765;
  uo7766->data[0] = (Object)closure7766;
  Method *meth_meth_parser__apply7766 = addmethod2pos(block7765, "_apply", &meth_parser__apply7766, 0);
int argcv_meth_parser__apply7766[] = {0};
meth_meth_parser__apply7766->type = alloc_MethodType(1, argcv_meth_parser__apply7766);
  meth_meth_parser__apply7766->definitionModule = modulename;
  meth_meth_parser__apply7766->definitionLine = 2389;
// compilenode returning block7765
  gc_frame_newslot(block7765);
// Begin line 2394
  setline(2394);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7784 == NULL) {
    strlit7784 = alloc_String("identifier");
    gc_root(strlit7784);
  }
// compilenode returning strlit7784
  int op_slot_right_7783 = gc_frame_newslot(strlit7784);
  int callframe7786 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7787 = callmethod(*var_a, "kind",
    1, partcv, params);
  gc_frame_end(callframe7786);
// compilenode returning call7787
// compilenode returning call7787
  int op_slot_left_7783 = gc_frame_newslot(call7787);
  params[0] = strlit7784;
  partcv[0] = 1;
  Object opresult7788 = callmethod(call7787, "==", 1, partcv, params);
// compilenode returning opresult7788
  params[0] = block7765;
  partcv[0] = 1;
  Object call7789 = callmethod(opresult7788, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe7764);
// compilenode returning call7789
  Object if7763 = done;
  if (istrue(call7789)) {
// Begin line 2398
  setline(2398);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2397
  setline(2397);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7790 = alloc_Boolean(1);
// compilenode returning bool7790
  *var_hasVisibility = bool7790;
  if (bool7790 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7763 = done;
  } else {
  }
// compilenode returning if7763
// Begin line 2404
  setline(2404);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2399
  setline(2399);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7793 = gc_frame_new();
  Object block7794 = alloc_Block(NULL, NULL, "parser", 2399);
  gc_frame_newslot(block7794);
  block_savedest(block7794);
  Object closure7795 = createclosure(2, "_apply");
setclosureframe(closure7795, stackframe);
  addtoclosure(closure7795, var_a);
  addtoclosure(closure7795, selfslot);
  struct UserObject *uo7795 = (struct UserObject*)block7794;
  uo7795->data[0] = (Object)closure7795;
  Method *meth_meth_parser__apply7795 = addmethod2pos(block7794, "_apply", &meth_parser__apply7795, 0);
int argcv_meth_parser__apply7795[] = {0};
meth_meth_parser__apply7795->type = alloc_MethodType(1, argcv_meth_parser__apply7795);
  meth_meth_parser__apply7795->definitionModule = modulename;
  meth_meth_parser__apply7795->definitionLine = 2394;
// compilenode returning block7794
  gc_frame_newslot(block7794);
// Begin line 2399
  setline(2399);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7813 == NULL) {
    strlit7813 = alloc_String("identifier");
    gc_root(strlit7813);
  }
// compilenode returning strlit7813
  int op_slot_right_7812 = gc_frame_newslot(strlit7813);
  int callframe7815 = gc_frame_new();
// compilenode returning *var_a
  partcv[0] = 0;
  Object call7816 = callmethod(*var_a, "kind",
    1, partcv, params);
  gc_frame_end(callframe7815);
// compilenode returning call7816
// compilenode returning call7816
  int op_slot_left_7812 = gc_frame_newslot(call7816);
  params[0] = strlit7813;
  partcv[0] = 1;
  Object opresult7817 = callmethod(call7816, "==", 1, partcv, params);
// compilenode returning opresult7817
  params[0] = block7794;
  partcv[0] = 1;
  Object call7818 = callmethod(opresult7817, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe7793);
// compilenode returning call7818
  Object if7792 = done;
  if (istrue(call7818)) {
// Begin line 2403
  setline(2403);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2402
  setline(2402);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7819 = alloc_Boolean(1);
// compilenode returning bool7819
  *var_hasAccessibility = bool7819;
  if (bool7819 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7792 = done;
  } else {
  }
// compilenode returning if7792
  gc_frame_end(frame);
  return if7792;
}
Object meth_parser_vardec7530(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 40, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(18, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "vardec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_ast = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_defaultVarVisibility = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for vardec (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for vardec");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "line");
  Object *var_pos = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "pos");
  Object *var_varTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "varTok");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_nextToken = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nextToken");
  Object *var_val = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "val");
  Object *var_dtype = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "dtype");
  Object *var_name = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "name");
  Object *var_anns = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "anns");
  Object *var_suggestions = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "suggestions");
  Object *var_nextTok = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "nextTok");
  Object *var_o = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "o");
  Object *var_hasVisibility = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "hasVisibility");
  Object *var_hasAccessibility = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "hasAccessibility");
// Begin line 2417
  setline(2417);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2328
  setline(2328);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7534 == NULL) {
    strlit7534 = alloc_String("var");
    gc_root(strlit7534);
  }
// compilenode returning strlit7534
  int op_slot_right_7533 = gc_frame_newslot(strlit7534);
  int callframe7536 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7537 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7536);
// compilenode returning call7537
// compilenode returning call7537
  int op_slot_left_7533 = gc_frame_newslot(call7537);
  params[0] = strlit7534;
  partcv[0] = 1;
  Object opresult7538 = callmethod(call7537, "==", 1, partcv, params);
// compilenode returning opresult7538
  int op_slot_right_7532 = gc_frame_newslot(opresult7538);
  int callframe7540 = gc_frame_new();
  if (strlit7541 == NULL) {
    strlit7541 = alloc_String("keyword");
    gc_root(strlit7541);
  }
// compilenode returning strlit7541
  gc_frame_newslot(strlit7541);
  params[0] = strlit7541;
  partcv[0] = 1;
  Object call7542 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7540);
// compilenode returning call7542
  int op_slot_left_7532 = gc_frame_newslot(call7542);
  params[0] = opresult7538;
  partcv[0] = 1;
  Object opresult7543 = callmethod(call7542, "&&", 1, partcv, params);
// compilenode returning opresult7543
  Object if7531 = done;
  if (istrue(opresult7543)) {
// Begin line 2330
  setline(2330);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2329
  setline(2329);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7544 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7545 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7544);
// compilenode returning call7545
// compilenode returning call7545
  *var_line = call7545;
  if (call7545 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2331
  setline(2331);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2330
  setline(2330);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7546 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7547 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7546);
// compilenode returning call7547
// compilenode returning call7547
  *var_pos = call7547;
  if (call7547 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2332
  setline(2332);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2331
  setline(2331);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_varTok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2332
  setline(2332);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7548 = gc_frame_new();
  partcv[0] = 0;
  Object call7549 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7548);
// compilenode returning call7549
// Begin line 2345
  setline(2345);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2333
  setline(2333);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7552 == NULL) {
    strlit7552 = alloc_String("identifier");
    gc_root(strlit7552);
  }
// compilenode returning strlit7552
  int op_slot_right_7551 = gc_frame_newslot(strlit7552);
  int callframe7554 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7555 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe7554);
// compilenode returning call7555
// compilenode returning call7555
  int op_slot_left_7551 = gc_frame_newslot(call7555);
  params[0] = strlit7552;
  partcv[0] = 1;
  Object opresult7556 = callmethod(call7555, "!=", 1, partcv, params);
// compilenode returning opresult7556
  Object if7550 = done;
  if (istrue(opresult7556)) {
// Begin line 2335
  setline(2335);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2334
  setline(2334);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7557 = gc_frame_new();
  int callframe7558 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7559 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7558);
// compilenode returning call7559
// compilenode returning call7559
  partcv[0] = 0;
  Object call7560 = callmethod(call7559, "new",
    1, partcv, params);
  gc_frame_end(callframe7557);
// compilenode returning call7560
// compilenode returning call7560
  *var_suggestion = call7560;
  if (call7560 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2335
  setline(2335);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7561 = gc_frame_new();
  Object block7562 = alloc_Block(NULL, NULL, "parser", 2335);
  gc_frame_newslot(block7562);
  block_savedest(block7562);
  Object closure7563 = createclosure(2, "_apply");
setclosureframe(closure7563, stackframe);
  addtoclosure(closure7563, var_sym);
  addtoclosure(closure7563, selfslot);
  struct UserObject *uo7563 = (struct UserObject*)block7562;
  uo7563->data[0] = (Object)closure7563;
  Method *meth_meth_parser__apply7563 = addmethod2pos(block7562, "_apply", &meth_parser__apply7563, 0);
int argcv_meth_parser__apply7563[] = {1};
meth_meth_parser__apply7563->type = alloc_MethodType(1, argcv_meth_parser__apply7563);
  meth_meth_parser__apply7563->definitionModule = modulename;
  meth_meth_parser__apply7563->definitionLine = 2334;
// compilenode returning block7562
  gc_frame_newslot(block7562);
  params[0] = block7562;
  partcv[0] = 1;
  Object call7581 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7561);
// compilenode returning call7581
  *var_nextToken = call7581;
  if (call7581 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2342
  setline(2342);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2337
  setline(2337);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7583 = gc_frame_new();
  Object block7584 = alloc_Block(NULL, NULL, "parser", 2337);
  gc_frame_newslot(block7584);
  block_savedest(block7584);
  Object closure7585 = createclosure(3, "_apply");
setclosureframe(closure7585, stackframe);
  addtoclosure(closure7585, var_sym);
  addtoclosure(closure7585, var_nextToken);
  addtoclosure(closure7585, selfslot);
  struct UserObject *uo7585 = (struct UserObject*)block7584;
  uo7585->data[0] = (Object)closure7585;
  Method *meth_meth_parser__apply7585 = addmethod2pos(block7584, "_apply", &meth_parser__apply7585, 0);
int argcv_meth_parser__apply7585[] = {0};
meth_meth_parser__apply7585->type = alloc_MethodType(1, argcv_meth_parser__apply7585);
  meth_meth_parser__apply7585->definitionModule = modulename;
  meth_meth_parser__apply7585->definitionLine = 2335;
// compilenode returning block7584
  gc_frame_newslot(block7584);
  Object bool7591 = alloc_Boolean(0);
// compilenode returning bool7591
  int op_slot_right_7590 = gc_frame_newslot(bool7591);
// compilenode returning *var_nextToken
  int op_slot_left_7590 = gc_frame_newslot(*var_nextToken);
  params[0] = bool7591;
  partcv[0] = 1;
  Object opresult7593 = callmethod(*var_nextToken, "==", 1, partcv, params);
// compilenode returning opresult7593
  params[0] = block7584;
  partcv[0] = 1;
  Object call7594 = callmethod(opresult7593, "orElse",
    1, partcv, params);
  gc_frame_end(callframe7583);
// compilenode returning call7594
  Object if7582 = done;
  if (istrue(call7594)) {
// Begin line 2338
  setline(2338);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7595 = gc_frame_new();
  if (strlit7596 == NULL) {
    strlit7596 = alloc_String(" ""\xc2""""\xab""name""\xc2""""\xbb""");
    gc_root(strlit7596);
  }
// compilenode returning strlit7596
  gc_frame_newslot(strlit7596);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7596;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7597 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7595);
// compilenode returning call7597
    gc_frame_newslot(call7597);
    if7582 = call7597;
  } else {
// Begin line 2340
  setline(2340);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7598 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe7599 = gc_frame_new();
// compilenode returning *var_nextToken
  partcv[0] = 0;
  Object call7600 = callmethod(*var_nextToken, "prev",
    1, partcv, params);
  gc_frame_end(callframe7599);
// compilenode returning call7600
// compilenode returning call7600
  gc_frame_newslot(call7600);
  Object bool7601 = alloc_Boolean(0);
// compilenode returning bool7601
  gc_frame_newslot(bool7601);
  Object bool7602 = alloc_Boolean(1);
// compilenode returning bool7602
  gc_frame_newslot(bool7602);
  if (strlit7603 == NULL) {
    strlit7603 = alloc_String("""\xc2""""\xab""name""\xc2""""\xbb"" ");
    gc_root(strlit7603);
  }
// compilenode returning strlit7603
  gc_frame_newslot(strlit7603);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call7600;
  params[2] = bool7601;
  params[3] = bool7602;
  params[4] = strlit7603;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7604 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe7598);
// compilenode returning call7604
    gc_frame_newslot(call7604);
    if7582 = call7604;
  }
// compilenode returning if7582
// Begin line 2342
  setline(2342);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7605 = gc_frame_new();
  if (strlit7606 == NULL) {
    strlit7606 = alloc_String("A variable declaration must have a name after the 'var'.");
    gc_root(strlit7606);
  }
// compilenode returning strlit7606
  gc_frame_newslot(strlit7606);
// Begin line 2343
  setline(2343);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7607 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7608 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7607);
// compilenode returning call7608
// compilenode returning call7608
  gc_frame_newslot(call7608);
  int callframe7609 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7610 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7609);
// compilenode returning call7610
// compilenode returning call7610
  gc_frame_newslot(call7610);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2342
  setline(2342);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit7606;
  params[1] = call7608;
  params[2] = call7610;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7611 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe7605);
// compilenode returning call7611
    gc_frame_newslot(call7611);
    if7550 = call7611;
  } else {
  }
// compilenode returning if7550
// Begin line 2345
  setline(2345);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7612 = gc_frame_new();
  partcv[0] = 0;
  Object call7613 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7612);
// compilenode returning call7613
// Begin line 2347
  setline(2347);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2346
  setline(2346);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7614 = alloc_Boolean(0);
// compilenode returning bool7614
  *var_val = bool7614;
  if (bool7614 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2347
  setline(2347);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7615 = gc_frame_new();
  if (strlit7616 == NULL) {
    strlit7616 = alloc_String("Unknown");
    gc_root(strlit7616);
  }
// compilenode returning strlit7616
  gc_frame_newslot(strlit7616);
  Object bool7617 = alloc_Boolean(0);
// compilenode returning bool7617
  gc_frame_newslot(bool7617);
  int callframe7618 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call7619 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe7618);
// compilenode returning call7619
// compilenode returning call7619
  params[0] = strlit7616;
  params[1] = bool7617;
  partcv[0] = 2;
  Object call7620 = callmethod(call7619, "new",
    1, partcv, params);
  gc_frame_end(callframe7615);
// compilenode returning call7620
  *var_dtype = call7620;
  if (call7620 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2349
  setline(2349);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2348
  setline(2348);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7621 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call7622 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7621);
// compilenode returning call7622
// compilenode returning call7622
  *var_name = call7622;
  if (call7622 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2354
  setline(2354);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2349
  setline(2349);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7624 = gc_frame_new();
  if (strlit7625 == NULL) {
    strlit7625 = alloc_String("colon");
    gc_root(strlit7625);
  }
// compilenode returning strlit7625
  gc_frame_newslot(strlit7625);
  params[0] = strlit7625;
  partcv[0] = 1;
  Object call7626 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7624);
// compilenode returning call7626
  Object if7623 = done;
  if (istrue(call7626)) {
// Begin line 2350
  setline(2350);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7627 = gc_frame_new();
  partcv[0] = 0;
  Object call7628 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7627);
// compilenode returning call7628
// Begin line 2351
  setline(2351);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7629 = gc_frame_new();
  partcv[0] = 0;
  Object call7630 = callmethodflags(self, "dotyperef", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7629);
// compilenode returning call7630
// Begin line 2353
  setline(2353);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2352
  setline(2352);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7631 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call7632 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7631);
// compilenode returning call7632
// compilenode returning call7632
  *var_dtype = call7632;
  if (call7632 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7623 = done;
  } else {
  }
// compilenode returning if7623
// Begin line 2355
  setline(2355);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2354
  setline(2354);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7634 = gc_frame_new();
  partcv[0] = 0;
  Object call7635 = callmethodflags(self, "doannotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7634);
// compilenode returning call7635
  *var_anns = call7635;
  if (call7635 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2389
  setline(2389);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2355
  setline(2355);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7637 = gc_frame_new();
  if (strlit7638 == NULL) {
    strlit7638 = alloc_String("bind");
    gc_root(strlit7638);
  }
// compilenode returning strlit7638
  gc_frame_newslot(strlit7638);
  params[0] = strlit7638;
  partcv[0] = 1;
  Object call7639 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7637);
// compilenode returning call7639
  Object if7636 = done;
  if (istrue(call7639)) {
// Begin line 2356
  setline(2356);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7640 = gc_frame_new();
  partcv[0] = 0;
  Object call7641 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7640);
// compilenode returning call7641
// Begin line 2374
  setline(2374);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2357
  setline(2357);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7643 = gc_frame_new();
  int callframe7644 = gc_frame_new();
  Object block7645 = alloc_Block(NULL, NULL, "parser", 2357);
  gc_frame_newslot(block7645);
  block_savedest(block7645);
  Object closure7646 = createclosure(1, "_apply");
setclosureframe(closure7646, stackframe);
  addtoclosure(closure7646, selfslot);
  struct UserObject *uo7646 = (struct UserObject*)block7645;
  uo7646->data[0] = (Object)closure7646;
  Method *meth_meth_parser__apply7646 = addmethod2pos(block7645, "_apply", &meth_parser__apply7646, 0);
int argcv_meth_parser__apply7646[] = {0};
meth_meth_parser__apply7646->type = alloc_MethodType(1, argcv_meth_parser__apply7646);
  meth_meth_parser__apply7646->definitionModule = modulename;
  meth_meth_parser__apply7646->definitionLine = 2357;
// compilenode returning block7645
  gc_frame_newslot(block7645);
  params[0] = block7645;
  partcv[0] = 1;
  Object call7650 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7644);
// compilenode returning call7650
  partcv[0] = 0;
  Object call7651 = callmethod(call7650, "not",
    1, partcv, params);
  gc_frame_end(callframe7643);
// compilenode returning call7651
// compilenode returning call7651
  Object if7642 = done;
  if (istrue(call7651)) {
// Begin line 2359
  setline(2359);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2358
  setline(2358);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array7652 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array7652
  *var_suggestions = array7652;
  if (array7652 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2360
  setline(2360);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2359
  setline(2359);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7653 = gc_frame_new();
  int callframe7654 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7655 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7654);
// compilenode returning call7655
// compilenode returning call7655
  partcv[0] = 0;
  Object call7656 = callmethod(call7655, "new",
    1, partcv, params);
  gc_frame_end(callframe7653);
// compilenode returning call7656
// compilenode returning call7656
  *var_suggestion = call7656;
  if (call7656 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2360
  setline(2360);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7657 = gc_frame_new();
  partcv[0] = 0;
  Object call7658 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7657);
// compilenode returning call7658
  *var_nextTok = call7658;
  if (call7658 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2366
  setline(2366);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2361
  setline(2361);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_7660 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_7660 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7662 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult7662
  Object if7659 = done;
  if (istrue(opresult7662)) {
// Begin line 2362
  setline(2362);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7663 = gc_frame_new();
  if (strlit7664 == NULL) {
    strlit7664 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7664);
  }
// compilenode returning strlit7664
  gc_frame_newslot(strlit7664);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7664;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7665 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7663);
// compilenode returning call7665
    gc_frame_newslot(call7665);
    if7659 = call7665;
  } else {
// Begin line 2364
  setline(2364);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7666 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe7667 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call7668 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7667);
// compilenode returning call7668
// compilenode returning call7668
  gc_frame_newslot(call7668);
  Object bool7669 = alloc_Boolean(1);
// compilenode returning bool7669
  gc_frame_newslot(bool7669);
  Object bool7670 = alloc_Boolean(0);
// compilenode returning bool7670
  gc_frame_newslot(bool7670);
  if (strlit7671 == NULL) {
    strlit7671 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7671);
  }
// compilenode returning strlit7671
  gc_frame_newslot(strlit7671);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call7668;
  params[2] = bool7669;
  params[3] = bool7670;
  params[4] = strlit7671;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7672 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe7666);
// compilenode returning call7672
    gc_frame_newslot(call7672);
    if7659 = call7672;
  }
// compilenode returning if7659
// Begin line 2366
  setline(2366);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7673 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7674 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7673);
// compilenode returning call7674
// Begin line 2368
  setline(2368);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2367
  setline(2367);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7675 = gc_frame_new();
  int callframe7676 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7677 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7676);
// compilenode returning call7677
// compilenode returning call7677
  partcv[0] = 0;
  Object call7678 = callmethod(call7677, "new",
    1, partcv, params);
  gc_frame_end(callframe7675);
// compilenode returning call7678
// compilenode returning call7678
  *var_suggestion = call7678;
  if (call7678 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2368
  setline(2368);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7680 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe7681 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call7682 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7681);
// compilenode returning call7682
// compilenode returning call7682
  gc_frame_newslot(call7682);
  Object bool7683 = alloc_Boolean(1);
// compilenode returning bool7683
  gc_frame_newslot(bool7683);
  Object bool7684 = alloc_Boolean(0);
// compilenode returning bool7684
  gc_frame_newslot(bool7684);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call7682;
  params[2] = bool7683;
  params[3] = bool7684;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7685 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe7680);
// compilenode returning call7685
// Begin line 2369
  setline(2369);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7686 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7687 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7686);
// compilenode returning call7687
// Begin line 2370
  setline(2370);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7688 = gc_frame_new();
// Begin line 2371
  setline(2371);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7690 == NULL) {
    strlit7690 = alloc_String("A variable without a value can be declared with 'var' followed only by the variable name.");
    gc_root(strlit7690);
  }
// compilenode returning strlit7690
  int op_slot_right_7689 = gc_frame_newslot(strlit7690);
// Begin line 2370
  setline(2370);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7692 == NULL) {
    strlit7692 = alloc_String("A variable declaration must have a value after the ':='. ");
    gc_root(strlit7692);
  }
// compilenode returning strlit7692
  int op_slot_left_7689 = gc_frame_newslot(strlit7692);
  params[0] = strlit7690;
  partcv[0] = 1;
  Object opresult7693 = callmethod(strlit7692, "++", 1, partcv, params);
// compilenode returning opresult7693
  gc_frame_newslot(opresult7693);
// Begin line 2372
  setline(2372);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7694 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7695 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe7694);
// compilenode returning call7695
// compilenode returning call7695
  gc_frame_newslot(call7695);
  int callframe7697 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7698 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe7697);
// compilenode returning call7698
// compilenode returning call7698
  int op_slot_right_7696 = gc_frame_newslot(call7698);
  int callframe7700 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7701 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7700);
// compilenode returning call7701
// compilenode returning call7701
  int op_slot_left_7696 = gc_frame_newslot(call7701);
  params[0] = call7698;
  partcv[0] = 1;
  Object sum7702 = callmethod(call7701, "+", 1, partcv, params);
// compilenode returning sum7702
  gc_frame_newslot(sum7702);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2370
  setline(2370);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult7693;
  params[1] = call7695;
  params[2] = sum7702;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7703 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe7688);
// compilenode returning call7703
    gc_frame_newslot(call7703);
    if7642 = call7703;
  } else {
  }
// compilenode returning if7642
// Begin line 2375
  setline(2375);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2374
  setline(2374);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7704 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call7705 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7704);
// compilenode returning call7705
// compilenode returning call7705
  *var_val = call7705;
  if (call7705 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if7636 = done;
  } else {
// Begin line 2388
  setline(2388);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2376
  setline(2376);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7710 == NULL) {
    strlit7710 = alloc_String("=");
    gc_root(strlit7710);
  }
// compilenode returning strlit7710
  int op_slot_right_7709 = gc_frame_newslot(strlit7710);
  int callframe7712 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7713 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7712);
// compilenode returning call7713
// compilenode returning call7713
  int op_slot_left_7709 = gc_frame_newslot(call7713);
  params[0] = strlit7710;
  partcv[0] = 1;
  Object opresult7714 = callmethod(call7713, "==", 1, partcv, params);
// compilenode returning opresult7714
  int op_slot_right_7708 = gc_frame_newslot(opresult7714);
  int callframe7716 = gc_frame_new();
  if (strlit7717 == NULL) {
    strlit7717 = alloc_String("op");
    gc_root(strlit7717);
  }
// compilenode returning strlit7717
  gc_frame_newslot(strlit7717);
  params[0] = strlit7717;
  partcv[0] = 1;
  Object call7718 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7716);
// compilenode returning call7718
  int op_slot_left_7708 = gc_frame_newslot(call7718);
  params[0] = opresult7714;
  partcv[0] = 1;
  Object opresult7719 = callmethod(call7718, "&&", 1, partcv, params);
// compilenode returning opresult7719
  Object if7707 = done;
  if (istrue(opresult7719)) {
// Begin line 2378
  setline(2378);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2377
  setline(2377);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array7720 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array7720
  *var_suggestions = array7720;
  if (array7720 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2379
  setline(2379);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2378
  setline(2378);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7721 = gc_frame_new();
  int callframe7722 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7723 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7722);
// compilenode returning call7723
// compilenode returning call7723
  partcv[0] = 0;
  Object call7724 = callmethod(call7723, "new",
    1, partcv, params);
  gc_frame_end(callframe7721);
// compilenode returning call7724
// compilenode returning call7724
  *var_suggestion = call7724;
  if (call7724 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2379
  setline(2379);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7725 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit7726 == NULL) {
    strlit7726 = alloc_String(":=");
    gc_root(strlit7726);
  }
// compilenode returning strlit7726
  gc_frame_newslot(strlit7726);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = strlit7726;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7727 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe7725);
// compilenode returning call7727
// Begin line 2380
  setline(2380);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7728 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7729 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7728);
// compilenode returning call7729
// Begin line 2382
  setline(2382);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2381
  setline(2381);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7730 = gc_frame_new();
  int callframe7731 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7732 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7731);
// compilenode returning call7732
// compilenode returning call7732
  partcv[0] = 0;
  Object call7733 = callmethod(call7732, "new",
    1, partcv, params);
  gc_frame_end(callframe7730);
// compilenode returning call7733
// compilenode returning call7733
  *var_suggestion = call7733;
  if (call7733 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2382
  setline(2382);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7735 = gc_frame_new();
// compilenode returning *var_varTok
  gc_frame_newslot(*var_varTok);
  if (strlit7736 == NULL) {
    strlit7736 = alloc_String("def");
    gc_root(strlit7736);
  }
// compilenode returning strlit7736
  gc_frame_newslot(strlit7736);
// compilenode returning *var_suggestion
  params[0] = *var_varTok;
  params[1] = strlit7736;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7737 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe7735);
// compilenode returning call7737
// Begin line 2383
  setline(2383);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7738 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7739 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7738);
// compilenode returning call7739
// Begin line 2384
  setline(2384);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7740 = gc_frame_new();
  if (strlit7741 == NULL) {
    strlit7741 = alloc_String("A variable declaration must use ':=' instead of '='. A constant declaration uses 'def' and '='.");
    gc_root(strlit7741);
  }
// compilenode returning strlit7741
  gc_frame_newslot(strlit7741);
// Begin line 2385
  setline(2385);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7742 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7743 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7742);
// compilenode returning call7743
// compilenode returning call7743
  gc_frame_newslot(call7743);
  int callframe7744 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7745 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7744);
// compilenode returning call7745
// compilenode returning call7745
  gc_frame_newslot(call7745);
  int callframe7746 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7747 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7746);
// compilenode returning call7747
// compilenode returning call7747
  gc_frame_newslot(call7747);
// Begin line 2386
  setline(2386);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2384
  setline(2384);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit7741;
  params[1] = call7743;
  params[2] = call7745;
  params[3] = call7747;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call7748 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe7740);
// compilenode returning call7748
    gc_frame_newslot(call7748);
    if7707 = call7748;
  } else {
  }
// compilenode returning if7707
    gc_frame_newslot(if7707);
    if7636 = if7707;
  }
// compilenode returning if7636
// Begin line 2389
  setline(2389);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7749 = gc_frame_new();
// compilenode returning *var_name
  gc_frame_newslot(*var_name);
// compilenode returning *var_val
  gc_frame_newslot(*var_val);
// compilenode returning *var_dtype
  gc_frame_newslot(*var_dtype);
  int callframe7750 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call7751 = callmethod(*var_ast, "varDecNode",
    1, partcv, params);
  gc_frame_end(callframe7750);
// compilenode returning call7751
// compilenode returning call7751
  params[0] = *var_name;
  params[1] = *var_val;
  params[2] = *var_dtype;
  partcv[0] = 3;
  Object call7752 = callmethod(call7751, "new",
    1, partcv, params);
  gc_frame_end(callframe7749);
// compilenode returning call7752
  *var_o = call7752;
  if (call7752 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2391
  setline(2391);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2390
  setline(2390);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7753 = alloc_Boolean(0);
// compilenode returning bool7753
  *var_hasVisibility = bool7753;
  if (bool7753 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2392
  setline(2392);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2391
  setline(2391);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7754 = alloc_Boolean(0);
// compilenode returning bool7754
  *var_hasAccessibility = bool7754;
  if (bool7754 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2407
  setline(2407);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2392
  setline(2392);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7757 = alloc_Boolean(0);
// compilenode returning bool7757
  int op_slot_right_7756 = gc_frame_newslot(bool7757);
// compilenode returning *var_anns
  int op_slot_left_7756 = gc_frame_newslot(*var_anns);
  params[0] = bool7757;
  partcv[0] = 1;
  Object opresult7759 = callmethod(*var_anns, "!=", 1, partcv, params);
// compilenode returning opresult7759
  Object if7755 = done;
  if (istrue(opresult7759)) {
// Begin line 2393
  setline(2393);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7760 = gc_frame_new();
// compilenode returning *var_anns
  gc_frame_newslot(*var_anns);
  Object block7761 = alloc_Block(NULL, NULL, "parser", 2393);
  gc_frame_newslot(block7761);
  block_savedest(block7761);
  Object closure7762 = createclosure(3, "_apply");
setclosureframe(closure7762, stackframe);
  addtoclosure(closure7762, var_hasVisibility);
  addtoclosure(closure7762, var_hasAccessibility);
  addtoclosure(closure7762, selfslot);
  struct UserObject *uo7762 = (struct UserObject*)block7761;
  uo7762->data[0] = (Object)closure7762;
  Method *meth_meth_parser__apply7762 = addmethod2pos(block7761, "_apply", &meth_parser__apply7762, 0);
int argcv_meth_parser__apply7762[] = {1};
meth_meth_parser__apply7762->type = alloc_MethodType(1, argcv_meth_parser__apply7762);
  meth_meth_parser__apply7762->definitionModule = modulename;
  meth_meth_parser__apply7762->definitionLine = 2389;
// compilenode returning block7761
  gc_frame_newslot(block7761);
  params[0] = *var_anns;
  params[1] = block7761;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7822 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7760);
// compilenode returning call7822
// Begin line 2405
  setline(2405);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7823 = gc_frame_new();
// compilenode returning *var_anns
  gc_frame_newslot(*var_anns);
  int callframe7824 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call7825 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe7824);
// compilenode returning call7825
// compilenode returning call7825
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call7826 = callmethod(call7825, "extend",
    1, partcv, params);
  gc_frame_end(callframe7823);
// compilenode returning call7826
    gc_frame_newslot(call7826);
    if7755 = call7826;
  } else {
  }
// compilenode returning if7755
// Begin line 2415
  setline(2415);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2407
  setline(2407);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7829 = gc_frame_new();
// compilenode returning *var_hasAccessibility
  partcv[0] = 0;
  Object call7830 = callmethod(*var_hasAccessibility, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe7829);
// compilenode returning call7830
  int op_slot_right_7828 = gc_frame_newslot(call7830);
  int callframe7832 = gc_frame_new();
// compilenode returning *var_hasVisibility
  partcv[0] = 0;
  Object call7833 = callmethod(*var_hasVisibility, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe7832);
// compilenode returning call7833
  int op_slot_left_7828 = gc_frame_newslot(call7833);
  params[0] = call7830;
  partcv[0] = 1;
  Object opresult7834 = callmethod(call7833, "&&", 1, partcv, params);
// compilenode returning opresult7834
  Object if7827 = done;
  if (istrue(opresult7834)) {
// Begin line 2414
  setline(2414);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2408
  setline(2408);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7837 == NULL) {
    strlit7837 = alloc_String("public");
    gc_root(strlit7837);
  }
// compilenode returning strlit7837
  int op_slot_right_7836 = gc_frame_newslot(strlit7837);
// compilenode returning *var_defaultVarVisibility
  int op_slot_left_7836 = gc_frame_newslot(*var_defaultVarVisibility);
  params[0] = strlit7837;
  partcv[0] = 1;
  Object opresult7839 = callmethod(*var_defaultVarVisibility, "==", 1, partcv, params);
// compilenode returning opresult7839
  Object if7835 = done;
  if (istrue(opresult7839)) {
// Begin line 2409
  setline(2409);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7840 = gc_frame_new();
  int callframe7841 = gc_frame_new();
  if (strlit7842 == NULL) {
    strlit7842 = alloc_String("readable");
    gc_root(strlit7842);
  }
// compilenode returning strlit7842
  gc_frame_newslot(strlit7842);
// Begin line 2410
  setline(2410);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7843 = alloc_Boolean(0);
// compilenode returning bool7843
  gc_frame_newslot(bool7843);
// Begin line 2409
  setline(2409);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7844 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call7845 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe7844);
// compilenode returning call7845
// compilenode returning call7845
  params[0] = strlit7842;
  params[1] = bool7843;
  partcv[0] = 2;
  Object call7846 = callmethod(call7845, "new",
    1, partcv, params);
  gc_frame_end(callframe7841);
// compilenode returning call7846
  gc_frame_newslot(call7846);
  int callframe7847 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call7848 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe7847);
// compilenode returning call7848
// compilenode returning call7848
  params[0] = call7846;
  partcv[0] = 1;
  Object call7849 = callmethod(call7848, "push",
    1, partcv, params);
  gc_frame_end(callframe7840);
// compilenode returning call7849
// Begin line 2411
  setline(2411);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7850 = gc_frame_new();
  int callframe7851 = gc_frame_new();
  if (strlit7852 == NULL) {
    strlit7852 = alloc_String("writable");
    gc_root(strlit7852);
  }
// compilenode returning strlit7852
  gc_frame_newslot(strlit7852);
// Begin line 2412
  setline(2412);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool7853 = alloc_Boolean(0);
// compilenode returning bool7853
  gc_frame_newslot(bool7853);
// Begin line 2411
  setline(2411);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7854 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call7855 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe7854);
// compilenode returning call7855
// compilenode returning call7855
  params[0] = strlit7852;
  params[1] = bool7853;
  partcv[0] = 2;
  Object call7856 = callmethod(call7855, "new",
    1, partcv, params);
  gc_frame_end(callframe7851);
// compilenode returning call7856
  gc_frame_newslot(call7856);
  int callframe7857 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call7858 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe7857);
// compilenode returning call7858
// compilenode returning call7858
  params[0] = call7856;
  partcv[0] = 1;
  Object call7859 = callmethod(call7858, "push",
    1, partcv, params);
  gc_frame_end(callframe7850);
// compilenode returning call7859
    gc_frame_newslot(call7859);
    if7835 = call7859;
  } else {
  }
// compilenode returning if7835
    gc_frame_newslot(if7835);
    if7827 = if7835;
  } else {
  }
// compilenode returning if7827
// Begin line 2415
  setline(2415);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7860 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call7861 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe7860);
// compilenode returning call7861
    gc_frame_newslot(call7861);
    if7531 = call7861;
  } else {
  }
// compilenode returning if7531
  gc_frame_end(frame);
  return if7531;
}
Object meth_parser__apply7872(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe7873 = gc_frame_new();
  partcv[0] = 0;
  Object call7874 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7873);
// compilenode returning call7874
  gc_frame_end(frame);
  return call7874;
}
Object meth_parser__apply7880(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe7881 = gc_frame_new();
  if (strlit7882 == NULL) {
    strlit7882 = alloc_String("comma");
    gc_root(strlit7882);
  }
// compilenode returning strlit7882
  gc_frame_newslot(strlit7882);
  params[0] = strlit7882;
  partcv[0] = 1;
  Object call7883 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7881);
// compilenode returning call7883
  gc_frame_end(frame);
  return call7883;
}
Object meth_parser__apply7898(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe7899 = gc_frame_new();
  partcv[0] = 0;
  Object call7900 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7899);
// compilenode returning call7900
  gc_frame_end(frame);
  return call7900;
}
Object meth_parser__apply7886(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_tmp = getfromclosure(closure, 1);
  Object *var_params = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_sym = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
// Begin line 2428
  setline(2428);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2427
  setline(2427);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7887 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call7888 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7887);
// compilenode returning call7888
// compilenode returning call7888
  *var_tmp = call7888;
  if (call7888 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2428
  setline(2428);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7890 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_params
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call7891 = callmethod(*var_params, "push",
    1, partcv, params);
  gc_frame_end(callframe7890);
// compilenode returning call7891
// Begin line 2429
  setline(2429);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7892 = gc_frame_new();
  partcv[0] = 0;
  Object call7893 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7892);
// compilenode returning call7893
// Begin line 2446
  setline(2446);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2430
  setline(2430);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7895 = gc_frame_new();
  int callframe7896 = gc_frame_new();
  Object block7897 = alloc_Block(NULL, NULL, "parser", 2430);
  gc_frame_newslot(block7897);
  block_savedest(block7897);
  Object closure7898 = createclosure(1, "_apply");
setclosureframe(closure7898, stackframe);
  addtoclosure(closure7898, selfslot);
  struct UserObject *uo7898 = (struct UserObject*)block7897;
  uo7898->data[0] = (Object)closure7898;
  Method *meth_meth_parser__apply7898 = addmethod2pos(block7897, "_apply", &meth_parser__apply7898, 0);
int argcv_meth_parser__apply7898[] = {0};
meth_meth_parser__apply7898->type = alloc_MethodType(1, argcv_meth_parser__apply7898);
  meth_meth_parser__apply7898->definitionModule = modulename;
  meth_meth_parser__apply7898->definitionLine = 2430;
// compilenode returning block7897
  gc_frame_newslot(block7897);
  params[0] = block7897;
  partcv[0] = 1;
  Object call7902 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7896);
// compilenode returning call7902
  partcv[0] = 0;
  Object call7903 = callmethod(call7902, "not",
    1, partcv, params);
  gc_frame_end(callframe7895);
// compilenode returning call7903
// compilenode returning call7903
  Object if7894 = done;
  if (istrue(call7903)) {
// Begin line 2432
  setline(2432);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2431
  setline(2431);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array7904 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array7904
  *var_suggestions = array7904;
  if (array7904 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2433
  setline(2433);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2432
  setline(2432);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7905 = gc_frame_new();
  int callframe7906 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7907 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7906);
// compilenode returning call7907
// compilenode returning call7907
  partcv[0] = 0;
  Object call7908 = callmethod(call7907, "new",
    1, partcv, params);
  gc_frame_end(callframe7905);
// compilenode returning call7908
// compilenode returning call7908
  *var_suggestion = call7908;
  if (call7908 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2433
  setline(2433);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7909 = gc_frame_new();
  if (strlit7910 == NULL) {
    strlit7910 = alloc_String("rsquare");
    gc_root(strlit7910);
  }
// compilenode returning strlit7910
  gc_frame_newslot(strlit7910);
  params[0] = strlit7910;
  partcv[0] = 1;
  Object call7911 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7909);
// compilenode returning call7911
  *var_nextTok = call7911;
  if (call7911 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2439
  setline(2439);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2434
  setline(2434);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_7913 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_7913 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7915 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult7915
  Object if7912 = done;
  if (istrue(opresult7915)) {
// Begin line 2435
  setline(2435);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7916 = gc_frame_new();
  if (strlit7917 == NULL) {
    strlit7917 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7917);
  }
// compilenode returning strlit7917
  gc_frame_newslot(strlit7917);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7917;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7918 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7916);
// compilenode returning call7918
    gc_frame_newslot(call7918);
    if7912 = call7918;
  } else {
// Begin line 2437
  setline(2437);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7919 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe7920 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call7921 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7920);
// compilenode returning call7921
// compilenode returning call7921
  gc_frame_newslot(call7921);
  Object bool7922 = alloc_Boolean(1);
// compilenode returning bool7922
  gc_frame_newslot(bool7922);
  Object bool7923 = alloc_Boolean(0);
// compilenode returning bool7923
  gc_frame_newslot(bool7923);
  if (strlit7924 == NULL) {
    strlit7924 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7924);
  }
// compilenode returning strlit7924
  gc_frame_newslot(strlit7924);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call7921;
  params[2] = bool7922;
  params[3] = bool7923;
  params[4] = strlit7924;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7925 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe7919);
// compilenode returning call7925
    gc_frame_newslot(call7925);
    if7912 = call7925;
  }
// compilenode returning if7912
// Begin line 2439
  setline(2439);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7926 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7927 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7926);
// compilenode returning call7927
// Begin line 2441
  setline(2441);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2440
  setline(2440);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7928 = gc_frame_new();
  int callframe7929 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7930 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7929);
// compilenode returning call7930
// compilenode returning call7930
  partcv[0] = 0;
  Object call7931 = callmethod(call7930, "new",
    1, partcv, params);
  gc_frame_end(callframe7928);
// compilenode returning call7931
// compilenode returning call7931
  *var_suggestion = call7931;
  if (call7931 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2441
  setline(2441);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7933 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe7934 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call7935 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe7934);
// compilenode returning call7935
// compilenode returning call7935
  gc_frame_newslot(call7935);
  Object bool7936 = alloc_Boolean(1);
// compilenode returning bool7936
  gc_frame_newslot(bool7936);
  Object bool7937 = alloc_Boolean(0);
// compilenode returning bool7937
  gc_frame_newslot(bool7937);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call7935;
  params[2] = bool7936;
  params[3] = bool7937;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7938 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe7933);
// compilenode returning call7938
// Begin line 2442
  setline(2442);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7939 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7940 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe7939);
// compilenode returning call7940
// Begin line 2443
  setline(2443);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7941 = gc_frame_new();
  if (strlit7942 == NULL) {
    strlit7942 = alloc_String("A list must contain zero or more valid expressions separated by commas.");
    gc_root(strlit7942);
  }
// compilenode returning strlit7942
  gc_frame_newslot(strlit7942);
// Begin line 2444
  setline(2444);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7943 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7944 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe7943);
// compilenode returning call7944
// compilenode returning call7944
  gc_frame_newslot(call7944);
  int callframe7945 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7946 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7945);
// compilenode returning call7946
// compilenode returning call7946
  gc_frame_newslot(call7946);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2443
  setline(2443);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit7942;
  params[1] = call7944;
  params[2] = call7946;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7947 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe7941);
// compilenode returning call7947
    gc_frame_newslot(call7947);
    if7894 = call7947;
  } else {
  }
// compilenode returning if7894
  gc_frame_end(frame);
  return if7894;
}
Object meth_parser__apply7877(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_tmp = getfromclosure(closure, 1);
  Object *var_params = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_sym = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2426
  setline(2426);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7878 = gc_frame_new();
  Object block7879 = alloc_Block(NULL, NULL, "parser", 2426);
  gc_frame_newslot(block7879);
  block_savedest(block7879);
  Object closure7880 = createclosure(1, "_apply");
setclosureframe(closure7880, stackframe);
  addtoclosure(closure7880, selfslot);
  struct UserObject *uo7880 = (struct UserObject*)block7879;
  uo7880->data[0] = (Object)closure7880;
  Method *meth_meth_parser__apply7880 = addmethod2pos(block7879, "_apply", &meth_parser__apply7880, 0);
int argcv_meth_parser__apply7880[] = {0};
meth_meth_parser__apply7880->type = alloc_MethodType(1, argcv_meth_parser__apply7880);
  meth_meth_parser__apply7880->definitionModule = modulename;
  meth_meth_parser__apply7880->definitionLine = 2411;
// compilenode returning block7879
  gc_frame_newslot(block7879);
  Object block7885 = alloc_Block(NULL, NULL, "parser", 2426);
  gc_frame_newslot(block7885);
  block_savedest(block7885);
  Object closure7886 = createclosure(7, "_apply");
setclosureframe(closure7886, stackframe);
  addtoclosure(closure7886, var_values);
  addtoclosure(closure7886, var_tmp);
  addtoclosure(closure7886, var_params);
  addtoclosure(closure7886, var_errormessages);
  addtoclosure(closure7886, var_sym);
  addtoclosure(closure7886, var_lastToken);
  addtoclosure(closure7886, selfslot);
  struct UserObject *uo7886 = (struct UserObject*)block7885;
  uo7886->data[0] = (Object)closure7886;
  Method *meth_meth_parser__apply7886 = addmethod2pos(block7885, "_apply", &meth_parser__apply7886, 0);
int argcv_meth_parser__apply7886[] = {0};
meth_meth_parser__apply7886->type = alloc_MethodType(1, argcv_meth_parser__apply7886);
  meth_meth_parser__apply7886->definitionModule = modulename;
  meth_meth_parser__apply7886->definitionLine = 2411;
// compilenode returning block7885
  gc_frame_newslot(block7885);
  params[0] = block7879;
  params[1] = block7885;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7949 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7878);
// compilenode returning call7949
// Begin line 2448
  setline(2448);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2447
  setline(2447);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7950 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call7951 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe7950);
// compilenode returning call7951
// compilenode returning call7951
  *var_tmp = call7951;
  if (call7951 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2448
  setline(2448);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7953 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
// compilenode returning *var_params
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call7954 = callmethod(*var_params, "push",
    1, partcv, params);
  gc_frame_end(callframe7953);
// compilenode returning call7954
  gc_frame_end(frame);
  return call7954;
}
Object meth_parser_doarray7862(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 41, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doarray");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doarray (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for doarray");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_tmp = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "tmp");
  Object *var_params = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "params");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_o = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "o");
// Begin line 2460
  setline(2460);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2421
  setline(2421);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7864 = gc_frame_new();
  if (strlit7865 == NULL) {
    strlit7865 = alloc_String("lsquare");
    gc_root(strlit7865);
  }
// compilenode returning strlit7865
  gc_frame_newslot(strlit7865);
  params[0] = strlit7865;
  partcv[0] = 1;
  Object call7866 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7864);
// compilenode returning call7866
  Object if7863 = done;
  if (istrue(call7866)) {
// Begin line 2422
  setline(2422);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7867 = gc_frame_new();
  partcv[0] = 0;
  Object call7868 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7867);
// compilenode returning call7868
// Begin line 2424
  setline(2424);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_tmp = undefined;
// compilenode returning done
// Begin line 2425
  setline(2425);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2424
  setline(2424);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array7869 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array7869
  *var_params = array7869;
  if (array7869 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2425
  setline(2425);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7870 = gc_frame_new();
  Object block7871 = alloc_Block(NULL, NULL, "parser", 2425);
  gc_frame_newslot(block7871);
  block_savedest(block7871);
  Object closure7872 = createclosure(1, "_apply");
setclosureframe(closure7872, stackframe);
  addtoclosure(closure7872, selfslot);
  struct UserObject *uo7872 = (struct UserObject*)block7871;
  uo7872->data[0] = (Object)closure7872;
  Method *meth_meth_parser__apply7872 = addmethod2pos(block7871, "_apply", &meth_parser__apply7872, 0);
int argcv_meth_parser__apply7872[] = {0};
meth_meth_parser__apply7872->type = alloc_MethodType(1, argcv_meth_parser__apply7872);
  meth_meth_parser__apply7872->definitionModule = modulename;
  meth_meth_parser__apply7872->definitionLine = 2411;
// compilenode returning block7871
  gc_frame_newslot(block7871);
  Object block7876 = alloc_Block(NULL, NULL, "parser", 2425);
  gc_frame_newslot(block7876);
  block_savedest(block7876);
  Object closure7877 = createclosure(7, "_apply");
setclosureframe(closure7877, stackframe);
  addtoclosure(closure7877, var_values);
  addtoclosure(closure7877, var_tmp);
  addtoclosure(closure7877, var_params);
  addtoclosure(closure7877, var_errormessages);
  addtoclosure(closure7877, var_sym);
  addtoclosure(closure7877, var_lastToken);
  addtoclosure(closure7877, selfslot);
  struct UserObject *uo7877 = (struct UserObject*)block7876;
  uo7877->data[0] = (Object)closure7877;
  Method *meth_meth_parser__apply7877 = addmethod2pos(block7876, "_apply", &meth_parser__apply7877, 0);
int argcv_meth_parser__apply7877[] = {0};
meth_meth_parser__apply7877->type = alloc_MethodType(1, argcv_meth_parser__apply7877);
  meth_meth_parser__apply7877->definitionModule = modulename;
  meth_meth_parser__apply7877->definitionLine = 2411;
// compilenode returning block7876
  gc_frame_newslot(block7876);
  params[0] = block7871;
  params[1] = block7876;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7956 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7870);
// compilenode returning call7956
// Begin line 2456
  setline(2456);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2450
  setline(2450);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7959 == NULL) {
    strlit7959 = alloc_String("rsquare");
    gc_root(strlit7959);
  }
// compilenode returning strlit7959
  int op_slot_right_7958 = gc_frame_newslot(strlit7959);
  int callframe7961 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7962 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe7961);
// compilenode returning call7962
// compilenode returning call7962
  int op_slot_left_7958 = gc_frame_newslot(call7962);
  params[0] = strlit7959;
  partcv[0] = 1;
  Object opresult7963 = callmethod(call7962, "!=", 1, partcv, params);
// compilenode returning opresult7963
  Object if7957 = done;
  if (istrue(opresult7963)) {
// Begin line 2452
  setline(2452);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2451
  setline(2451);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7964 = gc_frame_new();
  int callframe7965 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call7966 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe7965);
// compilenode returning call7966
// compilenode returning call7966
  partcv[0] = 0;
  Object call7967 = callmethod(call7966, "new",
    1, partcv, params);
  gc_frame_end(callframe7964);
// compilenode returning call7967
// compilenode returning call7967
  *var_suggestion = call7967;
  if (call7967 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2452
  setline(2452);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7968 = gc_frame_new();
  if (strlit7969 == NULL) {
    strlit7969 = alloc_String("]");
    gc_root(strlit7969);
  }
// compilenode returning strlit7969
  gc_frame_newslot(strlit7969);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit7969;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7970 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe7968);
// compilenode returning call7970
// Begin line 2453
  setline(2453);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7971 = gc_frame_new();
  if (strlit7972 == NULL) {
    strlit7972 = alloc_String("A list beginning with a '[' must end with a ']'.");
    gc_root(strlit7972);
  }
// compilenode returning strlit7972
  gc_frame_newslot(strlit7972);
// Begin line 2454
  setline(2454);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7973 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7974 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe7973);
// compilenode returning call7974
// compilenode returning call7974
  gc_frame_newslot(call7974);
  int callframe7976 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7977 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe7976);
// compilenode returning call7977
// compilenode returning call7977
  int op_slot_right_7975 = gc_frame_newslot(call7977);
  int callframe7979 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call7980 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe7979);
// compilenode returning call7980
// compilenode returning call7980
  int op_slot_left_7975 = gc_frame_newslot(call7980);
  params[0] = call7977;
  partcv[0] = 1;
  Object sum7981 = callmethod(call7980, "+", 1, partcv, params);
// compilenode returning sum7981
  gc_frame_newslot(sum7981);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2453
  setline(2453);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit7972;
  params[1] = call7974;
  params[2] = sum7981;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7982 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe7971);
// compilenode returning call7982
    gc_frame_newslot(call7982);
    if7957 = call7982;
  } else {
  }
// compilenode returning if7957
// Begin line 2456
  setline(2456);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7983 = gc_frame_new();
// compilenode returning *var_params
  gc_frame_newslot(*var_params);
  int callframe7984 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call7985 = callmethod(*var_ast, "arrayNode",
    1, partcv, params);
  gc_frame_end(callframe7984);
// compilenode returning call7985
// compilenode returning call7985
  params[0] = *var_params;
  partcv[0] = 1;
  Object call7986 = callmethod(call7985, "new",
    1, partcv, params);
  gc_frame_end(callframe7983);
// compilenode returning call7986
  *var_o = call7986;
  if (call7986 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2457
  setline(2457);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7987 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call7988 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe7987);
// compilenode returning call7988
// Begin line 2458
  setline(2458);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe7989 = gc_frame_new();
  partcv[0] = 0;
  Object call7990 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7989);
// compilenode returning call7990
    gc_frame_newslot(call7990);
    if7863 = call7990;
  } else {
  }
// compilenode returning if7863
  gc_frame_end(frame);
  return if7863;
}
Object meth_parser_dodialect7991(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 42, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dodialect");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_ast = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for dodialect (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for dodialect");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_errorPos = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "errorPos");
// Begin line 2482
  setline(2482);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2464
  setline(2464);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit7995 == NULL) {
    strlit7995 = alloc_String("dialect");
    gc_root(strlit7995);
  }
// compilenode returning strlit7995
  int op_slot_right_7994 = gc_frame_newslot(strlit7995);
  int callframe7997 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call7998 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe7997);
// compilenode returning call7998
// compilenode returning call7998
  int op_slot_left_7994 = gc_frame_newslot(call7998);
  params[0] = strlit7995;
  partcv[0] = 1;
  Object opresult7999 = callmethod(call7998, "==", 1, partcv, params);
// compilenode returning opresult7999
  int op_slot_right_7993 = gc_frame_newslot(opresult7999);
  int callframe8001 = gc_frame_new();
  if (strlit8002 == NULL) {
    strlit8002 = alloc_String("keyword");
    gc_root(strlit8002);
  }
// compilenode returning strlit8002
  gc_frame_newslot(strlit8002);
  params[0] = strlit8002;
  partcv[0] = 1;
  Object call8003 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8001);
// compilenode returning call8003
  int op_slot_left_7993 = gc_frame_newslot(call8003);
  params[0] = opresult7999;
  partcv[0] = 1;
  Object opresult8004 = callmethod(call8003, "&&", 1, partcv, params);
// compilenode returning opresult8004
  Object if7992 = done;
  if (istrue(opresult8004)) {
// Begin line 2465
  setline(2465);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8005 = gc_frame_new();
  partcv[0] = 0;
  Object call8006 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8005);
// compilenode returning call8006
// Begin line 2479
  setline(2479);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2466
  setline(2466);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8009 == NULL) {
    strlit8009 = alloc_String("string");
    gc_root(strlit8009);
  }
// compilenode returning strlit8009
  int op_slot_right_8008 = gc_frame_newslot(strlit8009);
  int callframe8011 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8012 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8011);
// compilenode returning call8012
// compilenode returning call8012
  int op_slot_left_8008 = gc_frame_newslot(call8012);
  params[0] = strlit8009;
  partcv[0] = 1;
  Object opresult8013 = callmethod(call8012, "!=", 1, partcv, params);
// compilenode returning opresult8013
  Object if8007 = done;
  if (istrue(opresult8013)) {
// Begin line 2468
  setline(2468);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2467
  setline(2467);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8014 = gc_frame_new();
  int callframe8015 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8016 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8015);
// compilenode returning call8016
// compilenode returning call8016
  partcv[0] = 0;
  Object call8017 = callmethod(call8016, "new",
    1, partcv, params);
  gc_frame_end(callframe8014);
// compilenode returning call8017
// compilenode returning call8017
  *var_suggestion = call8017;
  if (call8017 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2469
  setline(2469);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_errorPos = undefined;
// compilenode returning done
// Begin line 2476
  setline(2476);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2469
  setline(2469);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8021 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8022 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8021);
// compilenode returning call8022
// compilenode returning call8022
  int op_slot_right_8020 = gc_frame_newslot(call8022);
  int callframe8024 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8025 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe8024);
// compilenode returning call8025
// compilenode returning call8025
  int op_slot_left_8020 = gc_frame_newslot(call8025);
  params[0] = call8022;
  partcv[0] = 1;
  Object opresult8026 = callmethod(call8025, "==", 1, partcv, params);
// compilenode returning opresult8026
  int op_slot_right_8019 = gc_frame_newslot(opresult8026);
  if (strlit8029 == NULL) {
    strlit8029 = alloc_String("identifier");
    gc_root(strlit8029);
  }
// compilenode returning strlit8029
  int op_slot_right_8028 = gc_frame_newslot(strlit8029);
  int callframe8031 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8032 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8031);
// compilenode returning call8032
// compilenode returning call8032
  int op_slot_left_8028 = gc_frame_newslot(call8032);
  params[0] = strlit8029;
  partcv[0] = 1;
  Object opresult8033 = callmethod(call8032, "==", 1, partcv, params);
// compilenode returning opresult8033
  int op_slot_left_8019 = gc_frame_newslot(opresult8033);
  params[0] = opresult8026;
  partcv[0] = 1;
  Object opresult8034 = callmethod(opresult8033, "&&", 1, partcv, params);
// compilenode returning opresult8034
  Object if8018 = done;
  if (istrue(opresult8034)) {
// Begin line 2470
  setline(2470);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8035 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit8037 == NULL) {
    strlit8037 = alloc_String("""\x22""");
    gc_root(strlit8037);
  }
// compilenode returning strlit8037
  int op_slot_right_8036 = gc_frame_newslot(strlit8037);
  int callframe8040 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8041 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe8040);
// compilenode returning call8041
// compilenode returning call8041
  int op_slot_right_8039 = gc_frame_newslot(call8041);
  if (strlit8043 == NULL) {
    strlit8043 = alloc_String("""\x22""");
    gc_root(strlit8043);
  }
// compilenode returning strlit8043
  int op_slot_left_8039 = gc_frame_newslot(strlit8043);
  params[0] = call8041;
  partcv[0] = 1;
  Object opresult8044 = callmethod(strlit8043, "++", 1, partcv, params);
// compilenode returning opresult8044
  int op_slot_left_8036 = gc_frame_newslot(opresult8044);
  params[0] = strlit8037;
  partcv[0] = 1;
  Object opresult8045 = callmethod(opresult8044, "++", 1, partcv, params);
// compilenode returning opresult8045
  gc_frame_newslot(opresult8045);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = opresult8045;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8046 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe8035);
// compilenode returning call8046
// Begin line 2472
  setline(2472);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2471
  setline(2471);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8047 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8048 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8047);
// compilenode returning call8048
// compilenode returning call8048
  *var_errorPos = call8048;
  if (call8048 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8018 = done;
  } else {
// Begin line 2473
  setline(2473);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8050 = gc_frame_new();
  if (strlit8051 == NULL) {
    strlit8051 = alloc_String(" ""\x22""""\xc2""""\xab""dialect name""\xc2""""\xbb""""\x22""");
    gc_root(strlit8051);
  }
// compilenode returning strlit8051
  gc_frame_newslot(strlit8051);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit8051;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8052 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8050);
// compilenode returning call8052
// Begin line 2475
  setline(2475);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2474
  setline(2474);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8054 = alloc_Float64(1);
// compilenode returning num8054
  int op_slot_right_8053 = gc_frame_newslot(num8054);
  int callframe8057 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8058 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8057);
// compilenode returning call8058
// compilenode returning call8058
  int op_slot_right_8056 = gc_frame_newslot(call8058);
  int callframe8060 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8061 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8060);
// compilenode returning call8061
// compilenode returning call8061
  int op_slot_left_8056 = gc_frame_newslot(call8061);
  params[0] = call8058;
  partcv[0] = 1;
  Object sum8062 = callmethod(call8061, "+", 1, partcv, params);
// compilenode returning sum8062
  int op_slot_left_8053 = gc_frame_newslot(sum8062);
  params[0] = num8054;
  partcv[0] = 1;
  Object sum8063 = callmethod(sum8062, "+", 1, partcv, params);
// compilenode returning sum8063
  *var_errorPos = sum8063;
  if (sum8063 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8018 = done;
  }
// compilenode returning if8018
// Begin line 2476
  setline(2476);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8065 = gc_frame_new();
  if (strlit8066 == NULL) {
    strlit8066 = alloc_String("A dialect statement must have the name of the dialect in quotes after the 'dialect'.");
    gc_root(strlit8066);
  }
// compilenode returning strlit8066
  gc_frame_newslot(strlit8066);
// Begin line 2477
  setline(2477);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8067 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8068 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8067);
// compilenode returning call8068
// compilenode returning call8068
  gc_frame_newslot(call8068);
// compilenode returning *var_errorPos
  gc_frame_newslot(*var_errorPos);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2476
  setline(2476);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit8066;
  params[1] = call8068;
  params[2] = *var_errorPos;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8069 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8065);
// compilenode returning call8069
    gc_frame_newslot(call8069);
    if8007 = call8069;
  } else {
  }
// compilenode returning if8007
// Begin line 2479
  setline(2479);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8070 = gc_frame_new();
  int callframe8071 = gc_frame_new();
  int callframe8072 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8073 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe8072);
// compilenode returning call8073
// compilenode returning call8073
  gc_frame_newslot(call8073);
  int callframe8074 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call8075 = callmethod(*var_ast, "dialectNode",
    1, partcv, params);
  gc_frame_end(callframe8074);
// compilenode returning call8075
// compilenode returning call8075
  params[0] = call8073;
  partcv[0] = 1;
  Object call8076 = callmethod(call8075, "new",
    1, partcv, params);
  gc_frame_end(callframe8071);
// compilenode returning call8076
  gc_frame_newslot(call8076);
// compilenode returning *var_values
  params[0] = call8076;
  partcv[0] = 1;
  Object call8077 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe8070);
// compilenode returning call8077
// Begin line 2480
  setline(2480);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8078 = gc_frame_new();
  partcv[0] = 0;
  Object call8079 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8078);
// compilenode returning call8079
    gc_frame_newslot(call8079);
    if7992 = call8079;
  } else {
  }
// compilenode returning if7992
  gc_frame_end(frame);
  return if7992;
}
Object meth_parser__apply8102(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe8103 = gc_frame_new();
  partcv[0] = 0;
  Object call8104 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8103);
// compilenode returning call8104
  gc_frame_end(frame);
  return call8104;
}
Object meth_parser_inheritsdec8080(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 43, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "inheritsdec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for inheritsdec (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for inheritsdec");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
  Object *var_tmp = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "tmp");
// Begin line 2508
  setline(2508);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2486
  setline(2486);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8084 == NULL) {
    strlit8084 = alloc_String("inherits");
    gc_root(strlit8084);
  }
// compilenode returning strlit8084
  int op_slot_right_8083 = gc_frame_newslot(strlit8084);
  int callframe8086 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8087 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe8086);
// compilenode returning call8087
// compilenode returning call8087
  int op_slot_left_8083 = gc_frame_newslot(call8087);
  params[0] = strlit8084;
  partcv[0] = 1;
  Object opresult8088 = callmethod(call8087, "==", 1, partcv, params);
// compilenode returning opresult8088
  int op_slot_right_8082 = gc_frame_newslot(opresult8088);
  int callframe8090 = gc_frame_new();
  if (strlit8091 == NULL) {
    strlit8091 = alloc_String("keyword");
    gc_root(strlit8091);
  }
// compilenode returning strlit8091
  gc_frame_newslot(strlit8091);
  params[0] = strlit8091;
  partcv[0] = 1;
  Object call8092 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8090);
// compilenode returning call8092
  int op_slot_left_8082 = gc_frame_newslot(call8092);
  params[0] = opresult8088;
  partcv[0] = 1;
  Object opresult8093 = callmethod(call8092, "&&", 1, partcv, params);
// compilenode returning opresult8093
  Object if8081 = done;
  if (istrue(opresult8093)) {
// Begin line 2487
  setline(2487);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8094 = gc_frame_new();
  partcv[0] = 0;
  Object call8095 = callmethodflags(self, "checkIndent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8094);
// compilenode returning call8095
// Begin line 2488
  setline(2488);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8096 = gc_frame_new();
  partcv[0] = 0;
  Object call8097 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8096);
// compilenode returning call8097
// Begin line 2505
  setline(2505);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2489
  setline(2489);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8099 = gc_frame_new();
  int callframe8100 = gc_frame_new();
  Object block8101 = alloc_Block(NULL, NULL, "parser", 2489);
  gc_frame_newslot(block8101);
  block_savedest(block8101);
  Object closure8102 = createclosure(1, "_apply");
setclosureframe(closure8102, stackframe);
  addtoclosure(closure8102, selfslot);
  struct UserObject *uo8102 = (struct UserObject*)block8101;
  uo8102->data[0] = (Object)closure8102;
  Method *meth_meth_parser__apply8102 = addmethod2pos(block8101, "_apply", &meth_parser__apply8102, 0);
int argcv_meth_parser__apply8102[] = {0};
meth_meth_parser__apply8102->type = alloc_MethodType(1, argcv_meth_parser__apply8102);
  meth_meth_parser__apply8102->definitionModule = modulename;
  meth_meth_parser__apply8102->definitionLine = 2489;
// compilenode returning block8101
  gc_frame_newslot(block8101);
  params[0] = block8101;
  partcv[0] = 1;
  Object call8106 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8100);
// compilenode returning call8106
  partcv[0] = 0;
  Object call8107 = callmethod(call8106, "not",
    1, partcv, params);
  gc_frame_end(callframe8099);
// compilenode returning call8107
// compilenode returning call8107
  Object if8098 = done;
  if (istrue(call8107)) {
// Begin line 2491
  setline(2491);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2490
  setline(2490);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array8108 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array8108
  *var_suggestions = array8108;
  if (array8108 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2492
  setline(2492);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2491
  setline(2491);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8109 = gc_frame_new();
  int callframe8110 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8111 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8110);
// compilenode returning call8111
// compilenode returning call8111
  partcv[0] = 0;
  Object call8112 = callmethod(call8111, "new",
    1, partcv, params);
  gc_frame_end(callframe8109);
// compilenode returning call8112
// compilenode returning call8112
  *var_suggestion = call8112;
  if (call8112 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2492
  setline(2492);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8113 = gc_frame_new();
  if (strlit8114 == NULL) {
    strlit8114 = alloc_String("rsquare");
    gc_root(strlit8114);
  }
// compilenode returning strlit8114
  gc_frame_newslot(strlit8114);
  params[0] = strlit8114;
  partcv[0] = 1;
  Object call8115 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8113);
// compilenode returning call8115
  *var_nextTok = call8115;
  if (call8115 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2498
  setline(2498);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2493
  setline(2493);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_8117 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_8117 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult8119 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult8119
  Object if8116 = done;
  if (istrue(opresult8119)) {
// Begin line 2494
  setline(2494);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8120 = gc_frame_new();
  if (strlit8121 == NULL) {
    strlit8121 = alloc_String(" ""\xc2""""\xab""parent""\xc2""""\xbb""");
    gc_root(strlit8121);
  }
// compilenode returning strlit8121
  gc_frame_newslot(strlit8121);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit8121;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8122 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8120);
// compilenode returning call8122
    gc_frame_newslot(call8122);
    if8116 = call8122;
  } else {
// Begin line 2496
  setline(2496);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8123 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe8124 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call8125 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe8124);
// compilenode returning call8125
// compilenode returning call8125
  gc_frame_newslot(call8125);
  Object bool8126 = alloc_Boolean(1);
// compilenode returning bool8126
  gc_frame_newslot(bool8126);
  Object bool8127 = alloc_Boolean(0);
// compilenode returning bool8127
  gc_frame_newslot(bool8127);
  if (strlit8128 == NULL) {
    strlit8128 = alloc_String(" ""\xc2""""\xab""parent""\xc2""""\xbb""");
    gc_root(strlit8128);
  }
// compilenode returning strlit8128
  gc_frame_newslot(strlit8128);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call8125;
  params[2] = bool8126;
  params[3] = bool8127;
  params[4] = strlit8128;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call8129 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe8123);
// compilenode returning call8129
    gc_frame_newslot(call8129);
    if8116 = call8129;
  }
// compilenode returning if8116
// Begin line 2498
  setline(2498);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8130 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8131 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe8130);
// compilenode returning call8131
// Begin line 2500
  setline(2500);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2499
  setline(2499);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8132 = gc_frame_new();
  int callframe8133 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8134 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8133);
// compilenode returning call8134
// compilenode returning call8134
  partcv[0] = 0;
  Object call8135 = callmethod(call8134, "new",
    1, partcv, params);
  gc_frame_end(callframe8132);
// compilenode returning call8135
// compilenode returning call8135
  *var_suggestion = call8135;
  if (call8135 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2500
  setline(2500);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8137 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe8138 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call8139 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe8138);
// compilenode returning call8139
// compilenode returning call8139
  gc_frame_newslot(call8139);
  Object bool8140 = alloc_Boolean(1);
// compilenode returning bool8140
  gc_frame_newslot(bool8140);
  Object bool8141 = alloc_Boolean(0);
// compilenode returning bool8141
  gc_frame_newslot(bool8141);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call8139;
  params[2] = bool8140;
  params[3] = bool8141;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call8142 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe8137);
// compilenode returning call8142
// Begin line 2501
  setline(2501);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8143 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8144 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe8143);
// compilenode returning call8144
// Begin line 2502
  setline(2502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8145 = gc_frame_new();
  if (strlit8146 == NULL) {
    strlit8146 = alloc_String("An inheritance statement must have the object being inherited from after the 'inherits'.");
    gc_root(strlit8146);
  }
// compilenode returning strlit8146
  gc_frame_newslot(strlit8146);
// Begin line 2503
  setline(2503);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8147 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8148 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8147);
// compilenode returning call8148
// compilenode returning call8148
  gc_frame_newslot(call8148);
  Object num8150 = alloc_Float64(1);
// compilenode returning num8150
  int op_slot_right_8149 = gc_frame_newslot(num8150);
  int callframe8153 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8154 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8153);
// compilenode returning call8154
// compilenode returning call8154
  int op_slot_right_8152 = gc_frame_newslot(call8154);
  int callframe8156 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8157 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8156);
// compilenode returning call8157
// compilenode returning call8157
  int op_slot_left_8152 = gc_frame_newslot(call8157);
  params[0] = call8154;
  partcv[0] = 1;
  Object sum8158 = callmethod(call8157, "+", 1, partcv, params);
// compilenode returning sum8158
  int op_slot_left_8149 = gc_frame_newslot(sum8158);
  params[0] = num8150;
  partcv[0] = 1;
  Object sum8159 = callmethod(sum8158, "+", 1, partcv, params);
// compilenode returning sum8159
  gc_frame_newslot(sum8159);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2502
  setline(2502);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit8146;
  params[1] = call8148;
  params[2] = sum8159;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8160 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe8145);
// compilenode returning call8160
    gc_frame_newslot(call8160);
    if8098 = call8160;
  } else {
  }
// compilenode returning if8098
// Begin line 2506
  setline(2506);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2505
  setline(2505);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8161 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8162 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8161);
// compilenode returning call8162
// compilenode returning call8162
  *var_tmp = call8162;
  if (call8162 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2506
  setline(2506);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8163 = gc_frame_new();
  int callframe8164 = gc_frame_new();
// compilenode returning *var_tmp
  gc_frame_newslot(*var_tmp);
  int callframe8165 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call8166 = callmethod(*var_ast, "inheritsNode",
    1, partcv, params);
  gc_frame_end(callframe8165);
// compilenode returning call8166
// compilenode returning call8166
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call8167 = callmethod(call8166, "new",
    1, partcv, params);
  gc_frame_end(callframe8164);
// compilenode returning call8167
  gc_frame_newslot(call8167);
// compilenode returning *var_values
  params[0] = call8167;
  partcv[0] = 1;
  Object call8168 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe8163);
// compilenode returning call8168
    gc_frame_newslot(call8168);
    if8081 = call8168;
  } else {
  }
// compilenode returning if8081
  gc_frame_end(frame);
  return if8081;
}
Object meth_parser__apply8199(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit8201 == NULL) {
    strlit8201 = alloc_String("rbrace");
    gc_root(strlit8201);
  }
// compilenode returning strlit8201
  int op_slot_right_8200 = gc_frame_newslot(strlit8201);
  int callframe8203 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call8204 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe8203);
// compilenode returning call8204
// compilenode returning call8204
  int op_slot_left_8200 = gc_frame_newslot(call8204);
  params[0] = strlit8201;
  partcv[0] = 1;
  Object opresult8205 = callmethod(call8204, "==", 1, partcv, params);
// compilenode returning opresult8205
  gc_frame_end(frame);
  return opresult8205;
}
Object meth_parser__apply8267(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe8268 = gc_frame_new();
  int callframe8269 = gc_frame_new();
  if (strlit8270 == NULL) {
    strlit8270 = alloc_String("rbrace");
    gc_root(strlit8270);
  }
// compilenode returning strlit8270
  gc_frame_newslot(strlit8270);
  params[0] = strlit8270;
  partcv[0] = 1;
  Object call8271 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8269);
// compilenode returning call8271
  partcv[0] = 0;
  Object call8272 = callmethod(call8271, "not",
    1, partcv, params);
  gc_frame_end(callframe8268);
// compilenode returning call8272
// compilenode returning call8272
  gc_frame_end(frame);
  return call8272;
}
Object meth_parser__apply8275(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_sz = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
// Begin line 2544
  setline(2544);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8276 = gc_frame_new();
  partcv[0] = 0;
  Object call8277 = callmethodflags(self, "methoddec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8276);
// compilenode returning call8277
// Begin line 2545
  setline(2545);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8278 = gc_frame_new();
  partcv[0] = 0;
  Object call8279 = callmethodflags(self, "inheritsdec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8278);
// compilenode returning call8279
// Begin line 2546
  setline(2546);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8280 = gc_frame_new();
  partcv[0] = 0;
  Object call8281 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8280);
// compilenode returning call8281
// Begin line 2560
  setline(2560);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2547
  setline(2547);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8284 == NULL) {
    strlit8284 = alloc_String("eof");
    gc_root(strlit8284);
  }
// compilenode returning strlit8284
  int op_slot_right_8283 = gc_frame_newslot(strlit8284);
  int callframe8286 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8287 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8286);
// compilenode returning call8287
// compilenode returning call8287
  int op_slot_left_8283 = gc_frame_newslot(call8287);
  params[0] = strlit8284;
  partcv[0] = 1;
  Object opresult8288 = callmethod(call8287, "==", 1, partcv, params);
// compilenode returning opresult8288
  Object if8282 = done;
  if (istrue(opresult8288)) {
// Begin line 2554
  setline(2554);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2548
  setline(2548);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8291 == NULL) {
    strlit8291 = alloc_String("rbrace");
    gc_root(strlit8291);
  }
// compilenode returning strlit8291
  int op_slot_right_8290 = gc_frame_newslot(strlit8291);
  int callframe8293 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8294 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8293);
// compilenode returning call8294
// compilenode returning call8294
  int op_slot_left_8290 = gc_frame_newslot(call8294);
  params[0] = strlit8291;
  partcv[0] = 1;
  Object opresult8295 = callmethod(call8294, "!=", 1, partcv, params);
// compilenode returning opresult8295
  Object if8289 = done;
  if (istrue(opresult8295)) {
// Begin line 2550
  setline(2550);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2549
  setline(2549);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8296 = gc_frame_new();
  int callframe8297 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8298 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8297);
// compilenode returning call8298
// compilenode returning call8298
  partcv[0] = 0;
  Object call8299 = callmethod(call8298, "new",
    1, partcv, params);
  gc_frame_end(callframe8296);
// compilenode returning call8299
// compilenode returning call8299
  *var_suggestion = call8299;
  if (call8299 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2550
  setline(2550);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8300 = gc_frame_new();
  if (strlit8301 == NULL) {
    strlit8301 = alloc_String("}");
    gc_root(strlit8301);
  }
// compilenode returning strlit8301
  gc_frame_newslot(strlit8301);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit8301;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8302 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8300);
// compilenode returning call8302
// Begin line 2551
  setline(2551);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8303 = gc_frame_new();
  if (strlit8304 == NULL) {
    strlit8304 = alloc_String("An object must end with a '}'.");
    gc_root(strlit8304);
  }
// compilenode returning strlit8304
  gc_frame_newslot(strlit8304);
// Begin line 2552
  setline(2552);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8305 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8306 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8305);
// compilenode returning call8306
// compilenode returning call8306
  gc_frame_newslot(call8306);
  int callframe8308 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8309 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8308);
// compilenode returning call8309
// compilenode returning call8309
  int op_slot_right_8307 = gc_frame_newslot(call8309);
  int callframe8311 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8312 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8311);
// compilenode returning call8312
// compilenode returning call8312
  int op_slot_left_8307 = gc_frame_newslot(call8312);
  params[0] = call8309;
  partcv[0] = 1;
  Object sum8313 = callmethod(call8312, "+", 1, partcv, params);
// compilenode returning sum8313
  gc_frame_newslot(sum8313);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2551
  setline(2551);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit8304;
  params[1] = call8306;
  params[2] = sum8313;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8314 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8303);
// compilenode returning call8314
    gc_frame_newslot(call8314);
    if8289 = call8314;
  } else {
  }
// compilenode returning if8289
    gc_frame_newslot(if8289);
    if8282 = if8289;
  } else {
// Begin line 2560
  setline(2560);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2554
  setline(2554);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8318 == NULL) {
    strlit8318 = alloc_String("semicolon");
    gc_root(strlit8318);
  }
// compilenode returning strlit8318
  int op_slot_right_8317 = gc_frame_newslot(strlit8318);
  int callframe8320 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8321 = callmethod(*var_lastToken, "kind",
    1, partcv, params);
  gc_frame_end(callframe8320);
// compilenode returning call8321
// compilenode returning call8321
  int op_slot_left_8317 = gc_frame_newslot(call8321);
  params[0] = strlit8318;
  partcv[0] = 1;
  Object opresult8322 = callmethod(call8321, "!=", 1, partcv, params);
// compilenode returning opresult8322
  int op_slot_right_8316 = gc_frame_newslot(opresult8322);
// compilenode returning *var_sz
  int op_slot_right_8324 = gc_frame_newslot(*var_sz);
  int callframe8326 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8327 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe8326);
// compilenode returning call8327
// compilenode returning call8327
  int op_slot_left_8324 = gc_frame_newslot(call8327);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult8328 = callmethod(call8327, "==", 1, partcv, params);
// compilenode returning opresult8328
  int op_slot_left_8316 = gc_frame_newslot(opresult8328);
  params[0] = opresult8322;
  partcv[0] = 1;
  Object opresult8329 = callmethod(opresult8328, "&&", 1, partcv, params);
// compilenode returning opresult8329
  Object if8315 = done;
  if (istrue(opresult8329)) {
// Begin line 2556
  setline(2556);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2555
  setline(2555);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8330 = gc_frame_new();
  int callframe8331 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8332 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8331);
// compilenode returning call8332
// compilenode returning call8332
  partcv[0] = 0;
  Object call8333 = callmethod(call8332, "new",
    1, partcv, params);
  gc_frame_end(callframe8330);
// compilenode returning call8333
// compilenode returning call8333
  *var_suggestion = call8333;
  if (call8333 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2556
  setline(2556);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8334 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call8335 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe8334);
// compilenode returning call8335
// Begin line 2557
  setline(2557);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8336 = gc_frame_new();
  if (strlit8337 == NULL) {
    strlit8337 = alloc_String("An object can only contain variable, constant, and method declarations; and statements.");
    gc_root(strlit8337);
  }
// compilenode returning strlit8337
  gc_frame_newslot(strlit8337);
// Begin line 2558
  setline(2558);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8338 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8339 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe8338);
// compilenode returning call8339
// compilenode returning call8339
  gc_frame_newslot(call8339);
  int callframe8340 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8341 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8340);
// compilenode returning call8341
// compilenode returning call8341
  gc_frame_newslot(call8341);
  Object num8343 = alloc_Float64(1);
// compilenode returning num8343
  int op_slot_right_8342 = gc_frame_newslot(num8343);
  int callframe8346 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8347 = callmethod(*var_sym, "size",
    1, partcv, params);
  gc_frame_end(callframe8346);
// compilenode returning call8347
// compilenode returning call8347
  int op_slot_right_8345 = gc_frame_newslot(call8347);
  int callframe8349 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8350 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8349);
// compilenode returning call8350
// compilenode returning call8350
  int op_slot_left_8345 = gc_frame_newslot(call8350);
  params[0] = call8347;
  partcv[0] = 1;
  Object sum8351 = callmethod(call8350, "+", 1, partcv, params);
// compilenode returning sum8351
  int op_slot_left_8342 = gc_frame_newslot(sum8351);
  params[0] = num8343;
  partcv[0] = 1;
  Object diff8352 = callmethod(sum8351, "-", 1, partcv, params);
// compilenode returning diff8352
  gc_frame_newslot(diff8352);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2557
  setline(2557);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit8337;
  params[1] = call8339;
  params[2] = call8341;
  params[3] = diff8352;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call8353 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8336);
// compilenode returning call8353
    gc_frame_newslot(call8353);
    if8315 = call8353;
  } else {
  }
// compilenode returning if8315
    gc_frame_newslot(if8315);
    if8282 = if8315;
  }
// compilenode returning if8282
// Begin line 2561
  setline(2561);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2560
  setline(2560);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8354 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8355 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe8354);
// compilenode returning call8355
// compilenode returning call8355
  *var_sz = call8355;
  if (call8355 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply8366(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit8368 == NULL) {
    strlit8368 = alloc_String("lbrace");
    gc_root(strlit8368);
  }
// compilenode returning strlit8368
  int op_slot_right_8367 = gc_frame_newslot(strlit8368);
  int callframe8370 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call8371 = callmethod(*var_n, "kind",
    1, partcv, params);
  gc_frame_end(callframe8370);
// compilenode returning call8371
// compilenode returning call8371
  int op_slot_left_8367 = gc_frame_newslot(call8371);
  params[0] = strlit8368;
  partcv[0] = 1;
  Object opresult8372 = callmethod(call8371, "!=", 1, partcv, params);
// compilenode returning opresult8372
  gc_frame_end(frame);
  return opresult8372;
}
Object meth_parser__apply8375(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_rbody = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2566
  setline(2566);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8376 = gc_frame_new();
// compilenode returning *var_n
  gc_frame_newslot(*var_n);
// compilenode returning *var_rbody
  params[0] = *var_n;
  partcv[0] = 1;
  Object call8377 = callmethod(*var_rbody, "push",
    1, partcv, params);
  gc_frame_end(callframe8376);
// compilenode returning call8377
// Begin line 2568
  setline(2568);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2567
  setline(2567);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8378 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8379 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8378);
// compilenode returning call8379
// compilenode returning call8379
  *var_n = call8379;
  if (call8379 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply8388(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_rbody = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_p = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "p");
// Begin line 2573
  setline(2573);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2572
  setline(2572);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8389 = gc_frame_new();
// compilenode returning *var_rbody
  partcv[0] = 0;
  Object call8390 = callmethod(*var_rbody, "pop",
    1, partcv, params);
  gc_frame_end(callframe8389);
// compilenode returning call8390
// compilenode returning call8390
  *var_p = call8390;
  if (call8390 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2573
  setline(2573);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8391 = gc_frame_new();
// compilenode returning *var_p
  gc_frame_newslot(*var_p);
// compilenode returning *var_body
  params[0] = *var_p;
  partcv[0] = 1;
  Object call8392 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe8391);
// compilenode returning call8392
  gc_frame_end(frame);
  return call8392;
}
Object meth_parser_doobject8169(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 44, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(11, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doobject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_minIndentLevel = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_statementToken = getfromclosure(closure, 5);
  Object *var_util = getfromclosure(closure, 6);
  Object *var_ast = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doobject (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for doobject");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_localMinIndentLevel = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "localMinIndentLevel");
  Object *var_superclass = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "superclass");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_nextTok = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nextTok");
  Object *var_sz = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "sz");
  Object *var_rbody = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "rbody");
  Object *var_n = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "n");
  Object *var_body = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "body");
  Object *var_o = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "o");
// Begin line 2580
  setline(2580);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2513
  setline(2513);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8173 == NULL) {
    strlit8173 = alloc_String("object");
    gc_root(strlit8173);
  }
// compilenode returning strlit8173
  int op_slot_right_8172 = gc_frame_newslot(strlit8173);
  int callframe8175 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8176 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe8175);
// compilenode returning call8176
// compilenode returning call8176
  int op_slot_left_8172 = gc_frame_newslot(call8176);
  params[0] = strlit8173;
  partcv[0] = 1;
  Object opresult8177 = callmethod(call8176, "==", 1, partcv, params);
// compilenode returning opresult8177
  int op_slot_right_8171 = gc_frame_newslot(opresult8177);
  int callframe8179 = gc_frame_new();
  if (strlit8180 == NULL) {
    strlit8180 = alloc_String("keyword");
    gc_root(strlit8180);
  }
// compilenode returning strlit8180
  gc_frame_newslot(strlit8180);
  params[0] = strlit8180;
  partcv[0] = 1;
  Object call8181 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8179);
// compilenode returning call8181
  int op_slot_left_8171 = gc_frame_newslot(call8181);
  params[0] = opresult8177;
  partcv[0] = 1;
  Object opresult8182 = callmethod(call8181, "&&", 1, partcv, params);
// compilenode returning opresult8182
  Object if8170 = done;
  if (istrue(opresult8182)) {
// Begin line 2515
  setline(2515);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2514
  setline(2514);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2516
  setline(2516);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2515
  setline(2515);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  *var_localMinIndentLevel = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2516
  setline(2516);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8183 = gc_frame_new();
  partcv[0] = 0;
  Object call8184 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8183);
// compilenode returning call8184
// Begin line 2518
  setline(2518);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2517
  setline(2517);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool8185 = alloc_Boolean(0);
// compilenode returning bool8185
  *var_superclass = bool8185;
  if (bool8185 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2529
  setline(2529);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2518
  setline(2518);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8188 == NULL) {
    strlit8188 = alloc_String("lbrace");
    gc_root(strlit8188);
  }
// compilenode returning strlit8188
  int op_slot_right_8187 = gc_frame_newslot(strlit8188);
  int callframe8190 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8191 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8190);
// compilenode returning call8191
// compilenode returning call8191
  int op_slot_left_8187 = gc_frame_newslot(call8191);
  params[0] = strlit8188;
  partcv[0] = 1;
  Object opresult8192 = callmethod(call8191, "!=", 1, partcv, params);
// compilenode returning opresult8192
  Object if8186 = done;
  if (istrue(opresult8192)) {
// Begin line 2520
  setline(2520);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2519
  setline(2519);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8193 = gc_frame_new();
  int callframe8194 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8195 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8194);
// compilenode returning call8195
// compilenode returning call8195
  partcv[0] = 0;
  Object call8196 = callmethod(call8195, "new",
    1, partcv, params);
  gc_frame_end(callframe8193);
// compilenode returning call8196
// compilenode returning call8196
  *var_suggestion = call8196;
  if (call8196 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2520
  setline(2520);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8197 = gc_frame_new();
  Object block8198 = alloc_Block(NULL, NULL, "parser", 2520);
  gc_frame_newslot(block8198);
  block_savedest(block8198);
  Object closure8199 = createclosure(1, "_apply");
setclosureframe(closure8199, stackframe);
  addtoclosure(closure8199, selfslot);
  struct UserObject *uo8199 = (struct UserObject*)block8198;
  uo8199->data[0] = (Object)closure8199;
  Method *meth_meth_parser__apply8199 = addmethod2pos(block8198, "_apply", &meth_parser__apply8199, 0);
int argcv_meth_parser__apply8199[] = {1};
meth_meth_parser__apply8199->type = alloc_MethodType(1, argcv_meth_parser__apply8199);
  meth_meth_parser__apply8199->definitionModule = modulename;
  meth_meth_parser__apply8199->definitionLine = 2519;
// compilenode returning block8198
  gc_frame_newslot(block8198);
  params[0] = block8198;
  partcv[0] = 1;
  Object call8207 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8197);
// compilenode returning call8207
  *var_nextTok = call8207;
  if (call8207 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2526
  setline(2526);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2521
  setline(2521);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool8210 = alloc_Boolean(0);
// compilenode returning bool8210
  int op_slot_right_8209 = gc_frame_newslot(bool8210);
// compilenode returning *var_nextTok
  int op_slot_left_8209 = gc_frame_newslot(*var_nextTok);
  params[0] = bool8210;
  partcv[0] = 1;
  Object opresult8212 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult8212
  Object if8208 = done;
  if (istrue(opresult8212)) {
// Begin line 2522
  setline(2522);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8213 = gc_frame_new();
  if (strlit8214 == NULL) {
    strlit8214 = alloc_String(" {}");
    gc_root(strlit8214);
  }
// compilenode returning strlit8214
  gc_frame_newslot(strlit8214);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit8214;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8215 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8213);
// compilenode returning call8215
    gc_frame_newslot(call8215);
    if8208 = call8215;
  } else {
// Begin line 2524
  setline(2524);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8216 = gc_frame_new();
  if (strlit8217 == NULL) {
    strlit8217 = alloc_String(" {");
    gc_root(strlit8217);
  }
// compilenode returning strlit8217
  gc_frame_newslot(strlit8217);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit8217;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8218 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8216);
// compilenode returning call8218
    gc_frame_newslot(call8218);
    if8208 = call8218;
  }
// compilenode returning if8208
// Begin line 2526
  setline(2526);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8219 = gc_frame_new();
  if (strlit8220 == NULL) {
    strlit8220 = alloc_String("An object must have a '{' afer the 'object'.");
    gc_root(strlit8220);
  }
// compilenode returning strlit8220
  gc_frame_newslot(strlit8220);
// Begin line 2527
  setline(2527);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8221 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8222 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8221);
// compilenode returning call8222
// compilenode returning call8222
  gc_frame_newslot(call8222);
  int callframe8224 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8225 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8224);
// compilenode returning call8225
// compilenode returning call8225
  int op_slot_right_8223 = gc_frame_newslot(call8225);
  int callframe8227 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8228 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8227);
// compilenode returning call8228
// compilenode returning call8228
  int op_slot_left_8223 = gc_frame_newslot(call8228);
  params[0] = call8225;
  partcv[0] = 1;
  Object sum8229 = callmethod(call8228, "+", 1, partcv, params);
// compilenode returning sum8229
  gc_frame_newslot(sum8229);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2526
  setline(2526);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit8220;
  params[1] = call8222;
  params[2] = sum8229;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8230 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8219);
// compilenode returning call8230
    gc_frame_newslot(call8230);
    if8186 = call8230;
  } else {
  }
// compilenode returning if8186
// Begin line 2529
  setline(2529);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8231 = gc_frame_new();
  Object inheritingObject8232 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8232 = alloc_userobj2(4,4, objclass8232);
  gc_frame_newslot(obj8232);
// OBJECT OUTER DEC outer
  adddatum2(obj8232, self, 0);
  addmethodreal(obj8232,"outer", &reader_parser_outer_8233);
  Object oldself8232 = self;
  struct StackFrameObject *oldstackframe8232 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8232);
  gc_frame_newslot((Object)stackframe);
  self = obj8232;
  Object *oldselfslot8232 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8232 = (*(struct UserObject *)self).data[0], lowerouter8232 = thisouter8232;
  if (inheritingObject8232) {
    struct UserObject *inho8232 = (struct UserObject *)inheritingObject8232;
    while (inho8232->super != GraceDefaultObject) inho8232 = (struct UserObject *)inho8232->super;
    inho8232->super = obj8232;
    self = inheritingObject8232;
    *selfslot = self;
    lowerouter8232 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8232;
  }
if (objclass8232 == NULL) {
  Method *reader8234 = addmethodrealflags(obj8232, "kind",&reader_parser_kind_8234, 0);
  Method *writer8234 = addmethodrealflags(obj8232, "kind:=",&writer_parser_kind_8234, 0);
  reader8234->definitionModule = modulename;
  writer8234->definitionModule = modulename;
  reader8234->definitionLine = 2531;
  writer8234->definitionLine = 2531;
}
obj8232->flags |= OFLAG_MUTABLE;
adddatum2(obj8232, alloc_Undefined(), 1);
if (objclass8232 == NULL) {
  Method *reader8235 = addmethodrealflags(obj8232, "register",&reader_parser_register_8235, 0);
  Method *writer8235 = addmethodrealflags(obj8232, "register:=",&writer_parser_register_8235, 0);
  reader8235->definitionModule = modulename;
  writer8235->definitionModule = modulename;
  reader8235->definitionLine = 2532;
  writer8235->definitionLine = 2532;
}
obj8232->flags |= OFLAG_MUTABLE;
adddatum2(obj8232, alloc_Undefined(), 2);
  sourceObject = obj8232;
// Begin line 2530
  setline(2530);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8236 == NULL) {
    strlit8236 = alloc_String("lbrace");
    gc_root(strlit8236);
  }
// compilenode returning strlit8236
  adddatum2(obj8232, strlit8236, 1);
  sourceObject = obj8232;
// Begin line 2531
  setline(2531);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8237 == NULL) {
    strlit8237 = alloc_String("");
    gc_root(strlit8237);
  }
// compilenode returning strlit8237
  adddatum2(obj8232, strlit8237, 2);
objclass8232 = obj8232->class;
  objclass8232->definitionModule = modulename;
  objclass8232->definitionLine = 2529;
  (*(struct UserObject *)self).data[0] = lowerouter8232;
  self = oldself8232;
  selfslot = oldselfslot8232;
  stackframe = oldstackframe8232;
// compilenode returning obj8232
  gc_frame_newslot(obj8232);
// Begin line 2529
  setline(2529);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  params[0] = obj8232;
  partcv[0] = 1;
  Object call8238 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe8231);
// compilenode returning call8238
// Begin line 2533
  setline(2533);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8239 = gc_frame_new();
  partcv[0] = 0;
  Object call8240 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8239);
// compilenode returning call8240
// Begin line 2539
  setline(2539);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2534
  setline(2534);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8243 = gc_frame_new();
// compilenode returning *var_statementToken
  partcv[0] = 0;
  Object call8244 = callmethod(*var_statementToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8243);
// compilenode returning call8244
// compilenode returning call8244
  int op_slot_right_8242 = gc_frame_newslot(call8244);
  int callframe8246 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8247 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe8246);
// compilenode returning call8247
// compilenode returning call8247
  int op_slot_left_8242 = gc_frame_newslot(call8247);
  params[0] = call8244;
  partcv[0] = 1;
  Object opresult8248 = callmethod(call8247, "==", 1, partcv, params);
// compilenode returning opresult8248
  Object if8241 = done;
  if (istrue(opresult8248)) {
// Begin line 2536
  setline(2536);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2535
  setline(2535);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8250 = alloc_Float64(1);
// compilenode returning num8250
  int op_slot_right_8249 = gc_frame_newslot(num8250);
  int callframe8252 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8253 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8252);
// compilenode returning call8253
// compilenode returning call8253
  int op_slot_left_8249 = gc_frame_newslot(call8253);
  params[0] = num8250;
  partcv[0] = 1;
  Object diff8254 = callmethod(call8253, "-", 1, partcv, params);
// compilenode returning diff8254
  *var_minIndentLevel = diff8254;
  if (diff8254 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8241 = done;
  } else {
// Begin line 2538
  setline(2538);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2537
  setline(2537);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8257 = alloc_Float64(1);
// compilenode returning num8257
  int op_slot_right_8256 = gc_frame_newslot(num8257);
  int callframe8259 = gc_frame_new();
// compilenode returning *var_statementToken
  partcv[0] = 0;
  Object call8260 = callmethod(*var_statementToken, "indent",
    1, partcv, params);
  gc_frame_end(callframe8259);
// compilenode returning call8260
// compilenode returning call8260
  int op_slot_left_8256 = gc_frame_newslot(call8260);
  params[0] = num8257;
  partcv[0] = 1;
  Object sum8261 = callmethod(call8260, "+", 1, partcv, params);
// compilenode returning sum8261
  *var_minIndentLevel = sum8261;
  if (sum8261 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8241 = done;
  }
// compilenode returning if8241
// Begin line 2540
  setline(2540);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2539
  setline(2539);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8263 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8264 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe8263);
// compilenode returning call8264
// compilenode returning call8264
  *var_sz = call8264;
  if (call8264 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2540
  setline(2540);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8265 = gc_frame_new();
  Object block8266 = alloc_Block(NULL, NULL, "parser", 2540);
  gc_frame_newslot(block8266);
  block_savedest(block8266);
  Object closure8267 = createclosure(1, "_apply");
setclosureframe(closure8267, stackframe);
  addtoclosure(closure8267, selfslot);
  struct UserObject *uo8267 = (struct UserObject*)block8266;
  uo8267->data[0] = (Object)closure8267;
  Method *meth_meth_parser__apply8267 = addmethod2pos(block8266, "_apply", &meth_parser__apply8267, 0);
int argcv_meth_parser__apply8267[] = {0};
meth_meth_parser__apply8267->type = alloc_MethodType(1, argcv_meth_parser__apply8267);
  meth_meth_parser__apply8267->definitionModule = modulename;
  meth_meth_parser__apply8267->definitionLine = 2539;
// compilenode returning block8266
  gc_frame_newslot(block8266);
  Object block8274 = alloc_Block(NULL, NULL, "parser", 2540);
  gc_frame_newslot(block8274);
  block_savedest(block8274);
  Object closure8275 = createclosure(6, "_apply");
setclosureframe(closure8275, stackframe);
  addtoclosure(closure8275, var_sym);
  addtoclosure(closure8275, var_errormessages);
  addtoclosure(closure8275, var_lastToken);
  addtoclosure(closure8275, var_sz);
  addtoclosure(closure8275, var_values);
  addtoclosure(closure8275, selfslot);
  struct UserObject *uo8275 = (struct UserObject*)block8274;
  uo8275->data[0] = (Object)closure8275;
  Method *meth_meth_parser__apply8275 = addmethod2pos(block8274, "_apply", &meth_parser__apply8275, 0);
int argcv_meth_parser__apply8275[] = {0};
meth_meth_parser__apply8275->type = alloc_MethodType(1, argcv_meth_parser__apply8275);
  meth_meth_parser__apply8275->definitionModule = modulename;
  meth_meth_parser__apply8275->definitionLine = 2540;
// compilenode returning block8274
  gc_frame_newslot(block8274);
  params[0] = block8266;
  params[1] = block8274;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8358 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8265);
// compilenode returning call8358
// Begin line 2562
  setline(2562);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8359 = gc_frame_new();
  partcv[0] = 0;
  Object call8360 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8359);
// compilenode returning call8360
// Begin line 2564
  setline(2564);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2563
  setline(2563);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array8361 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array8361
  *var_rbody = array8361;
  if (array8361 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2565
  setline(2565);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2564
  setline(2564);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8362 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8363 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8362);
// compilenode returning call8363
// compilenode returning call8363
  *var_n = call8363;
  if (call8363 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2565
  setline(2565);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8364 = gc_frame_new();
  Object block8365 = alloc_Block(NULL, NULL, "parser", 2565);
  gc_frame_newslot(block8365);
  block_savedest(block8365);
  Object closure8366 = createclosure(2, "_apply");
setclosureframe(closure8366, stackframe);
  addtoclosure(closure8366, var_n);
  addtoclosure(closure8366, selfslot);
  struct UserObject *uo8366 = (struct UserObject*)block8365;
  uo8366->data[0] = (Object)closure8366;
  Method *meth_meth_parser__apply8366 = addmethod2pos(block8365, "_apply", &meth_parser__apply8366, 0);
int argcv_meth_parser__apply8366[] = {0};
meth_meth_parser__apply8366->type = alloc_MethodType(1, argcv_meth_parser__apply8366);
  meth_meth_parser__apply8366->definitionModule = modulename;
  meth_meth_parser__apply8366->definitionLine = 2564;
// compilenode returning block8365
  gc_frame_newslot(block8365);
  Object block8374 = alloc_Block(NULL, NULL, "parser", 2565);
  gc_frame_newslot(block8374);
  block_savedest(block8374);
  Object closure8375 = createclosure(4, "_apply");
setclosureframe(closure8375, stackframe);
  addtoclosure(closure8375, var_n);
  addtoclosure(closure8375, var_rbody);
  addtoclosure(closure8375, var_values);
  addtoclosure(closure8375, selfslot);
  struct UserObject *uo8375 = (struct UserObject*)block8374;
  uo8375->data[0] = (Object)closure8375;
  Method *meth_meth_parser__apply8375 = addmethod2pos(block8374, "_apply", &meth_parser__apply8375, 0);
int argcv_meth_parser__apply8375[] = {0};
meth_meth_parser__apply8375->type = alloc_MethodType(1, argcv_meth_parser__apply8375);
  meth_meth_parser__apply8375->definitionModule = modulename;
  meth_meth_parser__apply8375->definitionLine = 2565;
// compilenode returning block8374
  gc_frame_newslot(block8374);
  params[0] = block8365;
  params[1] = block8374;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8382 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8364);
// compilenode returning call8382
// Begin line 2570
  setline(2570);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2569
  setline(2569);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array8383 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array8383
  *var_body = array8383;
  if (array8383 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2570
  setline(2570);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8384 = gc_frame_new();
  int callframe8385 = gc_frame_new();
// compilenode returning *var_rbody
  partcv[0] = 0;
  Object call8386 = callmethod(*var_rbody, "indices",
    1, partcv, params);
  gc_frame_end(callframe8385);
// compilenode returning call8386
// compilenode returning call8386
  gc_frame_newslot(call8386);
  Object block8387 = alloc_Block(NULL, NULL, "parser", 2570);
  gc_frame_newslot(block8387);
  block_savedest(block8387);
  Object closure8388 = createclosure(3, "_apply");
setclosureframe(closure8388, stackframe);
  addtoclosure(closure8388, var_rbody);
  addtoclosure(closure8388, var_body);
  addtoclosure(closure8388, selfslot);
  struct UserObject *uo8388 = (struct UserObject*)block8387;
  uo8388->data[0] = (Object)closure8388;
  Method *meth_meth_parser__apply8388 = addmethod2pos(block8387, "_apply", &meth_parser__apply8388, 0);
int argcv_meth_parser__apply8388[] = {1};
meth_meth_parser__apply8388->type = alloc_MethodType(1, argcv_meth_parser__apply8388);
  meth_meth_parser__apply8388->definitionModule = modulename;
  meth_meth_parser__apply8388->definitionLine = 2570;
// compilenode returning block8387
  gc_frame_newslot(block8387);
  params[0] = call8386;
  params[1] = block8387;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8394 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8384);
// compilenode returning call8394
// Begin line 2575
  setline(2575);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8395 = gc_frame_new();
  int callframe8396 = gc_frame_new();
// compilenode returning *var_btok
  partcv[0] = 0;
  Object call8397 = callmethod(*var_btok, "line",
    1, partcv, params);
  gc_frame_end(callframe8396);
// compilenode returning call8397
// compilenode returning call8397
  gc_frame_newslot(call8397);
// compilenode returning *var_util
  params[0] = call8397;
  partcv[0] = 1;
  Object call8398 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe8395);
// compilenode returning call8398
// Begin line 2576
  setline(2576);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8399 = gc_frame_new();
// compilenode returning *var_body
  gc_frame_newslot(*var_body);
// compilenode returning *var_superclass
  gc_frame_newslot(*var_superclass);
  int callframe8400 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call8401 = callmethod(*var_ast, "objectNode",
    1, partcv, params);
  gc_frame_end(callframe8400);
// compilenode returning call8401
// compilenode returning call8401
  params[0] = *var_body;
  params[1] = *var_superclass;
  partcv[0] = 2;
  Object call8402 = callmethod(call8401, "new",
    1, partcv, params);
  gc_frame_end(callframe8399);
// compilenode returning call8402
  *var_o = call8402;
  if (call8402 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2577
  setline(2577);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8403 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call8404 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe8403);
// compilenode returning call8404
// Begin line 2579
  setline(2579);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2578
  setline(2578);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_localMinIndentLevel
  *var_minIndentLevel = *var_localMinIndentLevel;
  if (*var_localMinIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8170 = done;
  } else {
  }
// compilenode returning if8170
  gc_frame_end(frame);
  return if8170;
}
Object meth_parser__apply8593(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe8594 = gc_frame_new();
  int callframe8595 = gc_frame_new();
  if (strlit8596 == NULL) {
    strlit8596 = alloc_String("rbrace");
    gc_root(strlit8596);
  }
// compilenode returning strlit8596
  gc_frame_newslot(strlit8596);
  params[0] = strlit8596;
  partcv[0] = 1;
  Object call8597 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8595);
// compilenode returning call8597
  partcv[0] = 0;
  Object call8598 = callmethod(call8597, "not",
    1, partcv, params);
  gc_frame_end(callframe8594);
// compilenode returning call8598
// compilenode returning call8598
  gc_frame_end(frame);
  return call8598;
}
Object meth_parser__apply8604(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe8605 = gc_frame_new();
  partcv[0] = 0;
  Object call8606 = callmethodflags(self, "methoddec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8605);
// compilenode returning call8606
  gc_frame_end(frame);
  return call8606;
}
Object meth_parser__apply8609(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2645
  setline(2645);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8610 = gc_frame_new();
  int callframe8611 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8612 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8611);
// compilenode returning call8612
// compilenode returning call8612
  gc_frame_newslot(call8612);
// compilenode returning *var_body
  params[0] = call8612;
  partcv[0] = 1;
  Object call8613 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe8610);
// compilenode returning call8613
  gc_frame_end(frame);
  return call8613;
}
Object meth_parser__apply8618(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe8619 = gc_frame_new();
  partcv[0] = 0;
  Object call8620 = callmethodflags(self, "inheritsdec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8619);
// compilenode returning call8620
  gc_frame_end(frame);
  return call8620;
}
Object meth_parser__apply8623(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2648
  setline(2648);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8624 = gc_frame_new();
  int callframe8625 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8626 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8625);
// compilenode returning call8626
// compilenode returning call8626
  gc_frame_newslot(call8626);
// compilenode returning *var_body
  params[0] = call8626;
  partcv[0] = 1;
  Object call8627 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe8624);
// compilenode returning call8627
  gc_frame_end(frame);
  return call8627;
}
Object meth_parser__apply8632(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe8633 = gc_frame_new();
  partcv[0] = 0;
  Object call8634 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8633);
// compilenode returning call8634
  gc_frame_end(frame);
  return call8634;
}
Object meth_parser__apply8637(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2651
  setline(2651);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8638 = gc_frame_new();
  int callframe8639 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8640 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8639);
// compilenode returning call8640
// compilenode returning call8640
  gc_frame_newslot(call8640);
// compilenode returning *var_body
  params[0] = call8640;
  partcv[0] = 1;
  Object call8641 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe8638);
// compilenode returning call8641
  gc_frame_end(frame);
  return call8641;
}
Object meth_parser__apply8601(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2644
  setline(2644);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8602 = gc_frame_new();
  Object block8603 = alloc_Block(NULL, NULL, "parser", 2644);
  gc_frame_newslot(block8603);
  block_savedest(block8603);
  Object closure8604 = createclosure(1, "_apply");
setclosureframe(closure8604, stackframe);
  addtoclosure(closure8604, selfslot);
  struct UserObject *uo8604 = (struct UserObject*)block8603;
  uo8604->data[0] = (Object)closure8604;
  Method *meth_meth_parser__apply8604 = addmethod2pos(block8603, "_apply", &meth_parser__apply8604, 0);
int argcv_meth_parser__apply8604[] = {0};
meth_meth_parser__apply8604->type = alloc_MethodType(1, argcv_meth_parser__apply8604);
  meth_meth_parser__apply8604->definitionModule = modulename;
  meth_meth_parser__apply8604->definitionLine = 2643;
// compilenode returning block8603
  gc_frame_newslot(block8603);
  Object block8608 = alloc_Block(NULL, NULL, "parser", 2644);
  gc_frame_newslot(block8608);
  block_savedest(block8608);
  Object closure8609 = createclosure(3, "_apply");
setclosureframe(closure8609, stackframe);
  addtoclosure(closure8609, var_values);
  addtoclosure(closure8609, var_body);
  addtoclosure(closure8609, selfslot);
  struct UserObject *uo8609 = (struct UserObject*)block8608;
  uo8609->data[0] = (Object)closure8609;
  Method *meth_meth_parser__apply8609 = addmethod2pos(block8608, "_apply", &meth_parser__apply8609, 0);
int argcv_meth_parser__apply8609[] = {0};
meth_meth_parser__apply8609->type = alloc_MethodType(1, argcv_meth_parser__apply8609);
  meth_meth_parser__apply8609->definitionModule = modulename;
  meth_meth_parser__apply8609->definitionLine = 2643;
// compilenode returning block8608
  gc_frame_newslot(block8608);
  params[0] = block8603;
  params[1] = block8608;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8615 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8602);
// compilenode returning call8615
// Begin line 2647
  setline(2647);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8616 = gc_frame_new();
  Object block8617 = alloc_Block(NULL, NULL, "parser", 2647);
  gc_frame_newslot(block8617);
  block_savedest(block8617);
  Object closure8618 = createclosure(1, "_apply");
setclosureframe(closure8618, stackframe);
  addtoclosure(closure8618, selfslot);
  struct UserObject *uo8618 = (struct UserObject*)block8617;
  uo8618->data[0] = (Object)closure8618;
  Method *meth_meth_parser__apply8618 = addmethod2pos(block8617, "_apply", &meth_parser__apply8618, 0);
int argcv_meth_parser__apply8618[] = {0};
meth_meth_parser__apply8618->type = alloc_MethodType(1, argcv_meth_parser__apply8618);
  meth_meth_parser__apply8618->definitionModule = modulename;
  meth_meth_parser__apply8618->definitionLine = 2645;
// compilenode returning block8617
  gc_frame_newslot(block8617);
  Object block8622 = alloc_Block(NULL, NULL, "parser", 2647);
  gc_frame_newslot(block8622);
  block_savedest(block8622);
  Object closure8623 = createclosure(3, "_apply");
setclosureframe(closure8623, stackframe);
  addtoclosure(closure8623, var_values);
  addtoclosure(closure8623, var_body);
  addtoclosure(closure8623, selfslot);
  struct UserObject *uo8623 = (struct UserObject*)block8622;
  uo8623->data[0] = (Object)closure8623;
  Method *meth_meth_parser__apply8623 = addmethod2pos(block8622, "_apply", &meth_parser__apply8623, 0);
int argcv_meth_parser__apply8623[] = {0};
meth_meth_parser__apply8623->type = alloc_MethodType(1, argcv_meth_parser__apply8623);
  meth_meth_parser__apply8623->definitionModule = modulename;
  meth_meth_parser__apply8623->definitionLine = 2645;
// compilenode returning block8622
  gc_frame_newslot(block8622);
  params[0] = block8617;
  params[1] = block8622;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8629 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8616);
// compilenode returning call8629
// Begin line 2650
  setline(2650);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8630 = gc_frame_new();
  Object block8631 = alloc_Block(NULL, NULL, "parser", 2650);
  gc_frame_newslot(block8631);
  block_savedest(block8631);
  Object closure8632 = createclosure(1, "_apply");
setclosureframe(closure8632, stackframe);
  addtoclosure(closure8632, selfslot);
  struct UserObject *uo8632 = (struct UserObject*)block8631;
  uo8632->data[0] = (Object)closure8632;
  Method *meth_meth_parser__apply8632 = addmethod2pos(block8631, "_apply", &meth_parser__apply8632, 0);
int argcv_meth_parser__apply8632[] = {0};
meth_meth_parser__apply8632->type = alloc_MethodType(1, argcv_meth_parser__apply8632);
  meth_meth_parser__apply8632->definitionModule = modulename;
  meth_meth_parser__apply8632->definitionLine = 2648;
// compilenode returning block8631
  gc_frame_newslot(block8631);
  Object block8636 = alloc_Block(NULL, NULL, "parser", 2650);
  gc_frame_newslot(block8636);
  block_savedest(block8636);
  Object closure8637 = createclosure(3, "_apply");
setclosureframe(closure8637, stackframe);
  addtoclosure(closure8637, var_values);
  addtoclosure(closure8637, var_body);
  addtoclosure(closure8637, selfslot);
  struct UserObject *uo8637 = (struct UserObject*)block8636;
  uo8637->data[0] = (Object)closure8637;
  Method *meth_meth_parser__apply8637 = addmethod2pos(block8636, "_apply", &meth_parser__apply8637, 0);
int argcv_meth_parser__apply8637[] = {0};
meth_meth_parser__apply8637->type = alloc_MethodType(1, argcv_meth_parser__apply8637);
  meth_meth_parser__apply8637->definitionModule = modulename;
  meth_meth_parser__apply8637->definitionLine = 2648;
// compilenode returning block8636
  gc_frame_newslot(block8636);
  params[0] = block8631;
  params[1] = block8636;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8643 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8630);
// compilenode returning call8643
  gc_frame_end(frame);
  return call8643;
}
Object meth_parser_doclass8406(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 45, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(15, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doclass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[6];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_minIndentLevel = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_tokens = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_statementToken = getfromclosure(closure, 6);
  Object *var_util = getfromclosure(closure, 7);
  Object *var_ast = getfromclosure(closure, 8);
  Object *var_defaultMethodVisibility = getfromclosure(closure, 9);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doclass (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for doclass");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_localMinIndentLevel = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "localMinIndentLevel");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_cname = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "cname");
  Object *var_s = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "s");
  Object *var_csig = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "csig");
  Object *var_constructorName = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "constructorName");
  Object *var_dtype = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "dtype");
  Object *var_anns = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "anns");
  Object *var_body = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "body");
  Object *var_o = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "o");
// Begin line 2674
  setline(2674);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2589
  setline(2589);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8410 == NULL) {
    strlit8410 = alloc_String("class");
    gc_root(strlit8410);
  }
// compilenode returning strlit8410
  int op_slot_right_8409 = gc_frame_newslot(strlit8410);
  int callframe8412 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8413 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe8412);
// compilenode returning call8413
// compilenode returning call8413
  int op_slot_left_8409 = gc_frame_newslot(call8413);
  params[0] = strlit8410;
  partcv[0] = 1;
  Object opresult8414 = callmethod(call8413, "==", 1, partcv, params);
// compilenode returning opresult8414
  int op_slot_right_8408 = gc_frame_newslot(opresult8414);
  int callframe8416 = gc_frame_new();
  if (strlit8417 == NULL) {
    strlit8417 = alloc_String("keyword");
    gc_root(strlit8417);
  }
// compilenode returning strlit8417
  gc_frame_newslot(strlit8417);
  params[0] = strlit8417;
  partcv[0] = 1;
  Object call8418 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8416);
// compilenode returning call8418
  int op_slot_left_8408 = gc_frame_newslot(call8418);
  params[0] = opresult8414;
  partcv[0] = 1;
  Object opresult8419 = callmethod(call8418, "&&", 1, partcv, params);
// compilenode returning opresult8419
  Object if8407 = done;
  if (istrue(opresult8419)) {
// Begin line 2591
  setline(2591);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2590
  setline(2590);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2591
  setline(2591);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8420 = gc_frame_new();
  partcv[0] = 0;
  Object call8421 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8420);
// compilenode returning call8421
// Begin line 2593
  setline(2593);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2592
  setline(2592);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  *var_localMinIndentLevel = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2610
  setline(2610);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2593
  setline(2593);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8424 == NULL) {
    strlit8424 = alloc_String("identifier");
    gc_root(strlit8424);
  }
// compilenode returning strlit8424
  int op_slot_right_8423 = gc_frame_newslot(strlit8424);
  int callframe8426 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8427 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8426);
// compilenode returning call8427
// compilenode returning call8427
  int op_slot_left_8423 = gc_frame_newslot(call8427);
  params[0] = strlit8424;
  partcv[0] = 1;
  Object opresult8428 = callmethod(call8427, "!=", 1, partcv, params);
// compilenode returning opresult8428
  Object if8422 = done;
  if (istrue(opresult8428)) {
// Begin line 2595
  setline(2595);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2594
  setline(2594);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array8429 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array8429
  *var_suggestions = array8429;
  if (array8429 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2607
  setline(2607);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2595
  setline(2595);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8432 == NULL) {
    strlit8432 = alloc_String("lbrace");
    gc_root(strlit8432);
  }
// compilenode returning strlit8432
  int op_slot_right_8431 = gc_frame_newslot(strlit8432);
  int callframe8434 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8435 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8434);
// compilenode returning call8435
// compilenode returning call8435
  int op_slot_left_8431 = gc_frame_newslot(call8435);
  params[0] = strlit8432;
  partcv[0] = 1;
  Object opresult8436 = callmethod(call8435, "==", 1, partcv, params);
// compilenode returning opresult8436
  Object if8430 = done;
  if (istrue(opresult8436)) {
// Begin line 2597
  setline(2597);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2596
  setline(2596);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8437 = gc_frame_new();
  int callframe8438 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8439 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8438);
// compilenode returning call8439
// compilenode returning call8439
  partcv[0] = 0;
  Object call8440 = callmethod(call8439, "new",
    1, partcv, params);
  gc_frame_end(callframe8437);
// compilenode returning call8440
// compilenode returning call8440
  *var_suggestion = call8440;
  if (call8440 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2597
  setline(2597);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8441 = gc_frame_new();
  if (strlit8442 == NULL) {
    strlit8442 = alloc_String(" ""\xc2""""\xab""class name""\xc2""""\xbb"".new");
    gc_root(strlit8442);
  }
// compilenode returning strlit8442
  gc_frame_newslot(strlit8442);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit8442;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8443 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8441);
// compilenode returning call8443
// Begin line 2598
  setline(2598);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8444 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8445 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe8444);
// compilenode returning call8445
// Begin line 2600
  setline(2600);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2599
  setline(2599);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8446 = gc_frame_new();
  int callframe8447 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8448 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8447);
// compilenode returning call8448
// compilenode returning call8448
  partcv[0] = 0;
  Object call8449 = callmethod(call8448, "new",
    1, partcv, params);
  gc_frame_end(callframe8446);
// compilenode returning call8449
// compilenode returning call8449
  *var_suggestion = call8449;
  if (call8449 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2600
  setline(2600);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8451 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  if (strlit8452 == NULL) {
    strlit8452 = alloc_String("object");
    gc_root(strlit8452);
  }
// compilenode returning strlit8452
  gc_frame_newslot(strlit8452);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = strlit8452;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8453 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe8451);
// compilenode returning call8453
// Begin line 2601
  setline(2601);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8454 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8455 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe8454);
// compilenode returning call8455
    gc_frame_newslot(call8455);
    if8430 = call8455;
  } else {
// Begin line 2604
  setline(2604);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2603
  setline(2603);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8456 = gc_frame_new();
  int callframe8457 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8458 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8457);
// compilenode returning call8458
// compilenode returning call8458
  partcv[0] = 0;
  Object call8459 = callmethod(call8458, "new",
    1, partcv, params);
  gc_frame_end(callframe8456);
// compilenode returning call8459
// compilenode returning call8459
  *var_suggestion = call8459;
  if (call8459 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2604
  setline(2604);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8460 = gc_frame_new();
  if (strlit8461 == NULL) {
    strlit8461 = alloc_String(" ""\xc2""""\xab""class name""\xc2""""\xbb"".new {}");
    gc_root(strlit8461);
  }
// compilenode returning strlit8461
  gc_frame_newslot(strlit8461);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit8461;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8462 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8460);
// compilenode returning call8462
// Begin line 2605
  setline(2605);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8463 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8464 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe8463);
// compilenode returning call8464
    gc_frame_newslot(call8464);
    if8430 = call8464;
  }
// compilenode returning if8430
// Begin line 2607
  setline(2607);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8465 = gc_frame_new();
  if (strlit8466 == NULL) {
    strlit8466 = alloc_String("A class must have a name after the 'class'.");
    gc_root(strlit8466);
  }
// compilenode returning strlit8466
  gc_frame_newslot(strlit8466);
// Begin line 2608
  setline(2608);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8467 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8468 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8467);
// compilenode returning call8468
// compilenode returning call8468
  gc_frame_newslot(call8468);
  Object num8470 = alloc_Float64(1);
// compilenode returning num8470
  int op_slot_right_8469 = gc_frame_newslot(num8470);
  int callframe8473 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8474 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8473);
// compilenode returning call8474
// compilenode returning call8474
  int op_slot_right_8472 = gc_frame_newslot(call8474);
  int callframe8476 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8477 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8476);
// compilenode returning call8477
// compilenode returning call8477
  int op_slot_left_8472 = gc_frame_newslot(call8477);
  params[0] = call8474;
  partcv[0] = 1;
  Object sum8478 = callmethod(call8477, "+", 1, partcv, params);
// compilenode returning sum8478
  int op_slot_left_8469 = gc_frame_newslot(sum8478);
  params[0] = num8470;
  partcv[0] = 1;
  Object sum8479 = callmethod(sum8478, "+", 1, partcv, params);
// compilenode returning sum8479
  gc_frame_newslot(sum8479);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2607
  setline(2607);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit8466;
  params[1] = call8468;
  params[2] = sum8479;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8480 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe8465);
// compilenode returning call8480
    gc_frame_newslot(call8480);
    if8422 = call8480;
  } else {
  }
// compilenode returning if8422
// Begin line 2625
  setline(2625);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2610
  setline(2610);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8483 == NULL) {
    strlit8483 = alloc_String("dot");
    gc_root(strlit8483);
  }
// compilenode returning strlit8483
  int op_slot_right_8482 = gc_frame_newslot(strlit8483);
  int callframe8485 = gc_frame_new();
  int callframe8486 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call8487 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe8486);
// compilenode returning call8487
// compilenode returning call8487
  partcv[0] = 0;
  Object call8488 = callmethod(call8487, "kind",
    1, partcv, params);
  gc_frame_end(callframe8485);
// compilenode returning call8488
// compilenode returning call8488
  int op_slot_left_8482 = gc_frame_newslot(call8488);
  params[0] = strlit8483;
  partcv[0] = 1;
  Object opresult8489 = callmethod(call8488, "==", 1, partcv, params);
// compilenode returning opresult8489
  Object if8481 = done;
struct StackFrameObject *iftmpstackframe8481 = stackframe;
  if (istrue(opresult8489)) {
stackframe = alloc_StackFrame(2, iftmpstackframe8481);
gc_frame_newslot((Object)stackframe);
  Object *var_cname_39_ = &(stackframe->slots[0]);
  setframeelementname(stackframe, 0, "cname'");
// Begin line 2611
  setline(2611);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8490 = gc_frame_new();
  partcv[0] = 0;
  Object call8491 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8490);
// compilenode returning call8491
// Begin line 2613
  setline(2613);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2612
  setline(2612);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8492 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8493 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8492);
// compilenode returning call8493
// compilenode returning call8493
  *var_cname_39_ = call8493;
  if (call8493 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2620
  setline(2620);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2613
  setline(2613);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8495 = gc_frame_new();
  int callframe8496 = gc_frame_new();
  if (strlit8497 == NULL) {
    strlit8497 = alloc_String("dot");
    gc_root(strlit8497);
  }
// compilenode returning strlit8497
  gc_frame_newslot(strlit8497);
  params[0] = strlit8497;
  partcv[0] = 1;
  Object call8498 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8496);
// compilenode returning call8498
  partcv[0] = 0;
  Object call8499 = callmethod(call8498, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe8495);
// compilenode returning call8499
  Object if8494 = done;
  if (istrue(call8499)) {
// Begin line 2615
  setline(2615);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2614
  setline(2614);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8500 = gc_frame_new();
  int callframe8501 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8502 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8501);
// compilenode returning call8502
// compilenode returning call8502
  partcv[0] = 0;
  Object call8503 = callmethod(call8502, "new",
    1, partcv, params);
  gc_frame_end(callframe8500);
// compilenode returning call8503
// compilenode returning call8503
  *var_suggestion = call8503;
  if (call8503 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2615
  setline(2615);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8504 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit8505 == NULL) {
    strlit8505 = alloc_String(".");
    gc_root(strlit8505);
  }
// compilenode returning strlit8505
  gc_frame_newslot(strlit8505);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = strlit8505;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8506 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe8504);
// compilenode returning call8506
// Begin line 2616
  setline(2616);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8507 = gc_frame_new();
  if (strlit8508 == NULL) {
    strlit8508 = alloc_String("A class must have a dot after the object name.");
    gc_root(strlit8508);
  }
// compilenode returning strlit8508
  gc_frame_newslot(strlit8508);
// Begin line 2617
  setline(2617);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8509 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8510 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8509);
// compilenode returning call8510
// compilenode returning call8510
  gc_frame_newslot(call8510);
  Object num8512 = alloc_Float64(1);
// compilenode returning num8512
  int op_slot_right_8511 = gc_frame_newslot(num8512);
  int callframe8515 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8516 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8515);
// compilenode returning call8516
// compilenode returning call8516
  int op_slot_right_8514 = gc_frame_newslot(call8516);
  int callframe8518 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8519 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8518);
// compilenode returning call8519
// compilenode returning call8519
  int op_slot_left_8514 = gc_frame_newslot(call8519);
  params[0] = call8516;
  partcv[0] = 1;
  Object sum8520 = callmethod(call8519, "+", 1, partcv, params);
// compilenode returning sum8520
  int op_slot_left_8511 = gc_frame_newslot(sum8520);
  params[0] = num8512;
  partcv[0] = 1;
  Object sum8521 = callmethod(sum8520, "+", 1, partcv, params);
// compilenode returning sum8521
  gc_frame_newslot(sum8521);
// Begin line 2618
  setline(2618);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2616
  setline(2616);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit8508;
  params[1] = call8510;
  params[2] = sum8521;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8522 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8507);
// compilenode returning call8522
    gc_frame_newslot(call8522);
    if8494 = call8522;
  } else {
  }
// compilenode returning if8494
// Begin line 2620
  setline(2620);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8523 = gc_frame_new();
  partcv[0] = 0;
  Object call8524 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8523);
// compilenode returning call8524
// Begin line 2621
  setline(2621);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_cname_39_
    gc_frame_newslot(*var_cname_39_);
    if8481 = *var_cname_39_;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe8481);
gc_frame_newslot((Object)stackframe);
// Begin line 2623
  setline(2623);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool8525 = alloc_Boolean(0);
// compilenode returning bool8525
    gc_frame_newslot(bool8525);
    if8481 = bool8525;
  }
stackframe = iftmpstackframe8481;
// compilenode returning if8481
  *var_cname = if8481;
  if (if8481 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2625
  setline(2625);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8526 = gc_frame_new();
  Object bool8527 = alloc_Boolean(0);
// compilenode returning bool8527
  gc_frame_newslot(bool8527);
  params[0] = bool8527;
  partcv[0] = 1;
  Object call8528 = callmethodflags(self, "methodsignature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8526);
// compilenode returning call8528
  *var_s = call8528;
  if (call8528 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2627
  setline(2627);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2626
  setline(2626);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8529 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call8530 = callmethod(*var_s, "sig",
    1, partcv, params);
  gc_frame_end(callframe8529);
// compilenode returning call8530
// compilenode returning call8530
  *var_csig = call8530;
  if (call8530 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2628
  setline(2628);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2627
  setline(2627);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8531 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call8532 = callmethod(*var_s, "m",
    1, partcv, params);
  gc_frame_end(callframe8531);
// compilenode returning call8532
// compilenode returning call8532
  *var_constructorName = call8532;
  if (call8532 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2629
  setline(2629);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2628
  setline(2628);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8533 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call8534 = callmethod(*var_s, "rtype",
    1, partcv, params);
  gc_frame_end(callframe8533);
// compilenode returning call8534
// compilenode returning call8534
  *var_dtype = call8534;
  if (call8534 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2630
  setline(2630);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2629
  setline(2629);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8535 = gc_frame_new();
  partcv[0] = 0;
  Object call8536 = callmethodflags(self, "doannotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8535);
// compilenode returning call8536
  *var_anns = call8536;
  if (call8536 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2636
  setline(2636);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2630
  setline(2630);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8538 = gc_frame_new();
  int callframe8539 = gc_frame_new();
  if (strlit8540 == NULL) {
    strlit8540 = alloc_String("lbrace");
    gc_root(strlit8540);
  }
// compilenode returning strlit8540
  gc_frame_newslot(strlit8540);
  params[0] = strlit8540;
  partcv[0] = 1;
  Object call8541 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8539);
// compilenode returning call8541
  partcv[0] = 0;
  Object call8542 = callmethod(call8541, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe8538);
// compilenode returning call8542
  Object if8537 = done;
  if (istrue(call8542)) {
// Begin line 2632
  setline(2632);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2631
  setline(2631);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8543 = gc_frame_new();
  int callframe8544 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8545 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8544);
// compilenode returning call8545
// compilenode returning call8545
  partcv[0] = 0;
  Object call8546 = callmethod(call8545, "new",
    1, partcv, params);
  gc_frame_end(callframe8543);
// compilenode returning call8546
// compilenode returning call8546
  *var_suggestion = call8546;
  if (call8546 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2632
  setline(2632);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8547 = gc_frame_new();
  if (strlit8548 == NULL) {
    strlit8548 = alloc_String(" {");
    gc_root(strlit8548);
  }
// compilenode returning strlit8548
  gc_frame_newslot(strlit8548);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit8548;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8549 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8547);
// compilenode returning call8549
// Begin line 2633
  setline(2633);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8550 = gc_frame_new();
  if (strlit8551 == NULL) {
    strlit8551 = alloc_String("A class must have a '{' after the name.");
    gc_root(strlit8551);
  }
// compilenode returning strlit8551
  gc_frame_newslot(strlit8551);
// Begin line 2634
  setline(2634);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8552 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8553 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8552);
// compilenode returning call8553
// compilenode returning call8553
  gc_frame_newslot(call8553);
  Object num8555 = alloc_Float64(1);
// compilenode returning num8555
  int op_slot_right_8554 = gc_frame_newslot(num8555);
  int callframe8558 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8559 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8558);
// compilenode returning call8559
// compilenode returning call8559
  int op_slot_right_8557 = gc_frame_newslot(call8559);
  int callframe8561 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8562 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8561);
// compilenode returning call8562
// compilenode returning call8562
  int op_slot_left_8557 = gc_frame_newslot(call8562);
  params[0] = call8559;
  partcv[0] = 1;
  Object sum8563 = callmethod(call8562, "+", 1, partcv, params);
// compilenode returning sum8563
  int op_slot_left_8554 = gc_frame_newslot(sum8563);
  params[0] = num8555;
  partcv[0] = 1;
  Object sum8564 = callmethod(sum8563, "+", 1, partcv, params);
// compilenode returning sum8564
  gc_frame_newslot(sum8564);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2633
  setline(2633);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit8551;
  params[1] = call8553;
  params[2] = sum8564;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8565 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8550);
// compilenode returning call8565
    gc_frame_newslot(call8565);
    if8537 = call8565;
  } else {
  }
// compilenode returning if8537
// Begin line 2636
  setline(2636);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8566 = gc_frame_new();
  partcv[0] = 0;
  Object call8567 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8566);
// compilenode returning call8567
// Begin line 2642
  setline(2642);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2637
  setline(2637);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8570 = gc_frame_new();
// compilenode returning *var_statementToken
  partcv[0] = 0;
  Object call8571 = callmethod(*var_statementToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8570);
// compilenode returning call8571
// compilenode returning call8571
  int op_slot_right_8569 = gc_frame_newslot(call8571);
  int callframe8573 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8574 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe8573);
// compilenode returning call8574
// compilenode returning call8574
  int op_slot_left_8569 = gc_frame_newslot(call8574);
  params[0] = call8571;
  partcv[0] = 1;
  Object opresult8575 = callmethod(call8574, "==", 1, partcv, params);
// compilenode returning opresult8575
  Object if8568 = done;
  if (istrue(opresult8575)) {
// Begin line 2639
  setline(2639);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2638
  setline(2638);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8577 = alloc_Float64(1);
// compilenode returning num8577
  int op_slot_right_8576 = gc_frame_newslot(num8577);
  int callframe8579 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8580 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8579);
// compilenode returning call8580
// compilenode returning call8580
  int op_slot_left_8576 = gc_frame_newslot(call8580);
  params[0] = num8577;
  partcv[0] = 1;
  Object diff8581 = callmethod(call8580, "-", 1, partcv, params);
// compilenode returning diff8581
  *var_minIndentLevel = diff8581;
  if (diff8581 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8568 = done;
  } else {
// Begin line 2641
  setline(2641);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2640
  setline(2640);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8584 = alloc_Float64(1);
// compilenode returning num8584
  int op_slot_right_8583 = gc_frame_newslot(num8584);
  int callframe8586 = gc_frame_new();
// compilenode returning *var_statementToken
  partcv[0] = 0;
  Object call8587 = callmethod(*var_statementToken, "indent",
    1, partcv, params);
  gc_frame_end(callframe8586);
// compilenode returning call8587
// compilenode returning call8587
  int op_slot_left_8583 = gc_frame_newslot(call8587);
  params[0] = num8584;
  partcv[0] = 1;
  Object sum8588 = callmethod(call8587, "+", 1, partcv, params);
// compilenode returning sum8588
  *var_minIndentLevel = sum8588;
  if (sum8588 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8568 = done;
  }
// compilenode returning if8568
// Begin line 2643
  setline(2643);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2642
  setline(2642);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array8590 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array8590
  *var_body = array8590;
  if (array8590 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2643
  setline(2643);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8591 = gc_frame_new();
  Object block8592 = alloc_Block(NULL, NULL, "parser", 2643);
  gc_frame_newslot(block8592);
  block_savedest(block8592);
  Object closure8593 = createclosure(1, "_apply");
setclosureframe(closure8593, stackframe);
  addtoclosure(closure8593, selfslot);
  struct UserObject *uo8593 = (struct UserObject*)block8592;
  uo8593->data[0] = (Object)closure8593;
  Method *meth_meth_parser__apply8593 = addmethod2pos(block8592, "_apply", &meth_parser__apply8593, 0);
int argcv_meth_parser__apply8593[] = {0};
meth_meth_parser__apply8593->type = alloc_MethodType(1, argcv_meth_parser__apply8593);
  meth_meth_parser__apply8593->definitionModule = modulename;
  meth_meth_parser__apply8593->definitionLine = 2640;
// compilenode returning block8592
  gc_frame_newslot(block8592);
  Object block8600 = alloc_Block(NULL, NULL, "parser", 2643);
  gc_frame_newslot(block8600);
  block_savedest(block8600);
  Object closure8601 = createclosure(3, "_apply");
setclosureframe(closure8601, stackframe);
  addtoclosure(closure8601, var_values);
  addtoclosure(closure8601, var_body);
  addtoclosure(closure8601, selfslot);
  struct UserObject *uo8601 = (struct UserObject*)block8600;
  uo8601->data[0] = (Object)closure8601;
  Method *meth_meth_parser__apply8601 = addmethod2pos(block8600, "_apply", &meth_parser__apply8601, 0);
int argcv_meth_parser__apply8601[] = {0};
meth_meth_parser__apply8601->type = alloc_MethodType(1, argcv_meth_parser__apply8601);
  meth_meth_parser__apply8601->definitionModule = modulename;
  meth_meth_parser__apply8601->definitionLine = 2643;
// compilenode returning block8600
  gc_frame_newslot(block8600);
  params[0] = block8592;
  params[1] = block8600;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8645 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8591);
// compilenode returning call8645
// Begin line 2654
  setline(2654);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8646 = gc_frame_new();
  partcv[0] = 0;
  Object call8647 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8646);
// compilenode returning call8647
// Begin line 2655
  setline(2655);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8648 = gc_frame_new();
  int callframe8649 = gc_frame_new();
// compilenode returning *var_btok
  partcv[0] = 0;
  Object call8650 = callmethod(*var_btok, "line",
    1, partcv, params);
  gc_frame_end(callframe8649);
// compilenode returning call8650
// compilenode returning call8650
  gc_frame_newslot(call8650);
// compilenode returning *var_util
  params[0] = call8650;
  partcv[0] = 1;
  Object call8651 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe8648);
// compilenode returning call8651
// Begin line 2662
  setline(2662);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2656
  setline(2656);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_cname
  int op_slot_right_8653 = gc_frame_newslot(*var_cname);
  Object bool8655 = alloc_Boolean(0);
// compilenode returning bool8655
  int op_slot_left_8653 = gc_frame_newslot(bool8655);
  params[0] = *var_cname;
  partcv[0] = 1;
  Object opresult8656 = callmethod(bool8655, "==", 1, partcv, params);
// compilenode returning opresult8656
  Object if8652 = done;
struct StackFrameObject *iftmpstackframe8652 = stackframe;
  if (istrue(opresult8656)) {
stackframe = alloc_StackFrame(0, iftmpstackframe8652);
gc_frame_newslot((Object)stackframe);
// Begin line 2657
  setline(2657);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8657 = gc_frame_new();
// compilenode returning *var_constructorName
  gc_frame_newslot(*var_constructorName);
// compilenode returning *var_csig
  gc_frame_newslot(*var_csig);
// Begin line 2658
  setline(2658);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array8658 = alloc_BuiltinList();
  gc_pause();
  int callframe8659 = gc_frame_new();
// compilenode returning *var_body
  gc_frame_newslot(*var_body);
  Object bool8660 = alloc_Boolean(0);
// compilenode returning bool8660
  gc_frame_newslot(bool8660);
  int callframe8661 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call8662 = callmethod(*var_ast, "objectNode",
    1, partcv, params);
  gc_frame_end(callframe8661);
// compilenode returning call8662
// compilenode returning call8662
  params[0] = *var_body;
  params[1] = bool8660;
  partcv[0] = 2;
  Object call8663 = callmethod(call8662, "new",
    1, partcv, params);
  gc_frame_end(callframe8659);
// compilenode returning call8663
  params[0] = call8663;
  partcv[0] = 1;
  callmethod(array8658, "push", 1, partcv, params);
  gc_unpause();
// compilenode returning array8658
  gc_frame_newslot(array8658);
  Object bool8664 = alloc_Boolean(0);
// compilenode returning bool8664
  gc_frame_newslot(bool8664);
// Begin line 2657
  setline(2657);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8665 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call8666 = callmethod(*var_ast, "methodNode",
    1, partcv, params);
  gc_frame_end(callframe8665);
// compilenode returning call8666
// compilenode returning call8666
  params[0] = *var_constructorName;
  params[1] = *var_csig;
  params[2] = array8658;
  params[3] = bool8664;
  partcv[0] = 4;
  Object call8667 = callmethod(call8666, "new",
    1, partcv, params);
  gc_frame_end(callframe8657);
// compilenode returning call8667
    gc_frame_newslot(call8667);
    if8652 = call8667;
  } else {
stackframe = alloc_StackFrame(0, iftmpstackframe8652);
gc_frame_newslot((Object)stackframe);
// Begin line 2660
  setline(2660);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8668 = gc_frame_new();
// compilenode returning *var_cname
  gc_frame_newslot(*var_cname);
// compilenode returning *var_csig
  gc_frame_newslot(*var_csig);
// compilenode returning *var_body
  gc_frame_newslot(*var_body);
  Object bool8669 = alloc_Boolean(0);
// compilenode returning bool8669
  gc_frame_newslot(bool8669);
// compilenode returning *var_constructorName
  gc_frame_newslot(*var_constructorName);
// compilenode returning *var_dtype
  gc_frame_newslot(*var_dtype);
  int callframe8670 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call8671 = callmethod(*var_ast, "classNode",
    1, partcv, params);
  gc_frame_end(callframe8670);
// compilenode returning call8671
// compilenode returning call8671
  params[0] = *var_cname;
  params[1] = *var_csig;
  params[2] = *var_body;
  params[3] = bool8669;
  params[4] = *var_constructorName;
  params[5] = *var_dtype;
  partcv[0] = 6;
  Object call8672 = callmethod(call8671, "new",
    1, partcv, params);
  gc_frame_end(callframe8668);
// compilenode returning call8672
    gc_frame_newslot(call8672);
    if8652 = call8672;
  }
stackframe = iftmpstackframe8652;
// compilenode returning if8652
  *var_o = if8652;
  if (if8652 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2663
  setline(2663);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2660
  setline(2660);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8673 = gc_frame_new();
// Begin line 2662
  setline(2662);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8674 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call8675 = callmethod(*var_s, "generics",
    1, partcv, params);
  gc_frame_end(callframe8674);
// compilenode returning call8675
// compilenode returning call8675
  gc_frame_newslot(call8675);
// compilenode returning *var_o
  params[0] = call8675;
  partcv[0] = 1;
  Object call8676 = callmethod(*var_o, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe8673);
// compilenode returning call8676
// compilenode returning done
// Begin line 2671
  setline(2671);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2663
  setline(2663);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_anns
  int op_slot_right_8678 = gc_frame_newslot(*var_anns);
  Object bool8680 = alloc_Boolean(0);
// compilenode returning bool8680
  int op_slot_left_8678 = gc_frame_newslot(bool8680);
  params[0] = *var_anns;
  partcv[0] = 1;
  Object opresult8681 = callmethod(bool8680, "!=", 1, partcv, params);
// compilenode returning opresult8681
  Object if8677 = done;
  if (istrue(opresult8681)) {
// Begin line 2664
  setline(2664);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8682 = gc_frame_new();
// compilenode returning *var_anns
  gc_frame_newslot(*var_anns);
  int callframe8683 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call8684 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe8683);
// compilenode returning call8684
// compilenode returning call8684
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call8685 = callmethod(call8684, "extend",
    1, partcv, params);
  gc_frame_end(callframe8682);
// compilenode returning call8685
    gc_frame_newslot(call8685);
    if8677 = call8685;
  } else {
// Begin line 2670
  setline(2670);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2666
  setline(2666);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8688 == NULL) {
    strlit8688 = alloc_String("confidential");
    gc_root(strlit8688);
  }
// compilenode returning strlit8688
  int op_slot_right_8687 = gc_frame_newslot(strlit8688);
// compilenode returning *var_defaultMethodVisibility
  int op_slot_left_8687 = gc_frame_newslot(*var_defaultMethodVisibility);
  params[0] = strlit8688;
  partcv[0] = 1;
  Object opresult8690 = callmethod(*var_defaultMethodVisibility, "==", 1, partcv, params);
// compilenode returning opresult8690
  Object if8686 = done;
  if (istrue(opresult8690)) {
// Begin line 2667
  setline(2667);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8691 = gc_frame_new();
  int callframe8692 = gc_frame_new();
  if (strlit8693 == NULL) {
    strlit8693 = alloc_String("confidential");
    gc_root(strlit8693);
  }
// compilenode returning strlit8693
  gc_frame_newslot(strlit8693);
// Begin line 2668
  setline(2668);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool8694 = alloc_Boolean(0);
// compilenode returning bool8694
  gc_frame_newslot(bool8694);
// Begin line 2667
  setline(2667);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8695 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call8696 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe8695);
// compilenode returning call8696
// compilenode returning call8696
  params[0] = strlit8693;
  params[1] = bool8694;
  partcv[0] = 2;
  Object call8697 = callmethod(call8696, "new",
    1, partcv, params);
  gc_frame_end(callframe8692);
// compilenode returning call8697
  gc_frame_newslot(call8697);
  int callframe8698 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call8699 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe8698);
// compilenode returning call8699
// compilenode returning call8699
  params[0] = call8697;
  partcv[0] = 1;
  Object call8700 = callmethod(call8699, "push",
    1, partcv, params);
  gc_frame_end(callframe8691);
// compilenode returning call8700
    gc_frame_newslot(call8700);
    if8686 = call8700;
  } else {
  }
// compilenode returning if8686
    gc_frame_newslot(if8686);
    if8677 = if8686;
  }
// compilenode returning if8677
// Begin line 2671
  setline(2671);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8701 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call8702 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe8701);
// compilenode returning call8702
// Begin line 2673
  setline(2673);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2672
  setline(2672);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_localMinIndentLevel
  *var_minIndentLevel = *var_localMinIndentLevel;
  if (*var_localMinIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8407 = done;
  } else {
  }
// compilenode returning if8407
  gc_frame_end(frame);
  return if8407;
}
Object meth_parser__apply8781(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit8783 == NULL) {
    strlit8783 = alloc_String("lbrace");
    gc_root(strlit8783);
  }
// compilenode returning strlit8783
  int op_slot_right_8782 = gc_frame_newslot(strlit8783);
  int callframe8785 = gc_frame_new();
// compilenode returning *var_s
  partcv[0] = 0;
  Object call8786 = callmethod(*var_s, "kind",
    1, partcv, params);
  gc_frame_end(callframe8785);
// compilenode returning call8786
// compilenode returning call8786
  int op_slot_left_8782 = gc_frame_newslot(call8786);
  params[0] = strlit8783;
  partcv[0] = 1;
  Object opresult8787 = callmethod(call8786, "!=", 1, partcv, params);
// compilenode returning opresult8787
  gc_frame_end(frame);
  return opresult8787;
}
Object meth_parser__apply8790(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2710
  setline(2710);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8791 = gc_frame_new();
// compilenode returning *var_s
  gc_frame_newslot(*var_s);
// compilenode returning *var_body
  params[0] = *var_s;
  partcv[0] = 1;
  Object call8792 = callmethod(*var_body, "push",
    1, partcv, params);
  gc_frame_end(callframe8791);
// compilenode returning call8792
// Begin line 2711
  setline(2711);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8793 = gc_frame_new();
  partcv[0] = 0;
  Object call8794 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8793);
// compilenode returning call8794
// Begin line 2713
  setline(2713);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2712
  setline(2712);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8795 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8796 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8795);
// compilenode returning call8796
// compilenode returning call8796
  *var_s = call8796;
  if (call8796 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_methoddec8704(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 46, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(18, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methoddec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_minIndentLevel = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_util = getfromclosure(closure, 5);
  Object *var_ast = getfromclosure(closure, 6);
  Object *var_defaultMethodVisibility = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for methoddec (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for methoddec");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_stok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "stok");
  Object *var_m = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "m");
  Object *var_meth = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "meth");
  Object *var_signature = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "signature");
  Object *var_dtype = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "dtype");
  Object *var_varargs = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "varargs");
  Object *var_generics = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "generics");
  Object *var_body = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "body");
  Object *var_localMin = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "localMin");
  Object *var_anns = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "anns");
  Object *var_s = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "s");
  Object *var_suggestion = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "suggestion");
  Object *var_closingBrace = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "closingBrace");
  Object *var_o = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "o");
// Begin line 2762
  setline(2762);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2678
  setline(2678);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8708 == NULL) {
    strlit8708 = alloc_String("method");
    gc_root(strlit8708);
  }
// compilenode returning strlit8708
  int op_slot_right_8707 = gc_frame_newslot(strlit8708);
  int callframe8710 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8711 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe8710);
// compilenode returning call8711
// compilenode returning call8711
  int op_slot_left_8707 = gc_frame_newslot(call8711);
  params[0] = strlit8708;
  partcv[0] = 1;
  Object opresult8712 = callmethod(call8711, "==", 1, partcv, params);
// compilenode returning opresult8712
  int op_slot_right_8706 = gc_frame_newslot(opresult8712);
  int callframe8714 = gc_frame_new();
  if (strlit8715 == NULL) {
    strlit8715 = alloc_String("keyword");
    gc_root(strlit8715);
  }
// compilenode returning strlit8715
  gc_frame_newslot(strlit8715);
  params[0] = strlit8715;
  partcv[0] = 1;
  Object call8716 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8714);
// compilenode returning call8716
  int op_slot_left_8706 = gc_frame_newslot(call8716);
  params[0] = opresult8712;
  partcv[0] = 1;
  Object opresult8717 = callmethod(call8716, "&&", 1, partcv, params);
// compilenode returning opresult8717
  Object if8705 = done;
  if (istrue(opresult8717)) {
// Begin line 2680
  setline(2680);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2679
  setline(2679);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2680
  setline(2680);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8718 = gc_frame_new();
  partcv[0] = 0;
  Object call8719 = callmethodflags(self, "checkIndent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8718);
// compilenode returning call8719
// Begin line 2682
  setline(2682);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2681
  setline(2681);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_stok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2682
  setline(2682);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8720 = gc_frame_new();
  partcv[0] = 0;
  Object call8721 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8720);
// compilenode returning call8721
// Begin line 2683
  setline(2683);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8722 = gc_frame_new();
  Object bool8723 = alloc_Boolean(0);
// compilenode returning bool8723
  gc_frame_newslot(bool8723);
  params[0] = bool8723;
  partcv[0] = 1;
  Object call8724 = callmethodflags(self, "methodsignature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8722);
// compilenode returning call8724
  *var_m = call8724;
  if (call8724 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2685
  setline(2685);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2684
  setline(2684);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8725 = gc_frame_new();
// compilenode returning *var_m
  partcv[0] = 0;
  Object call8726 = callmethod(*var_m, "m",
    1, partcv, params);
  gc_frame_end(callframe8725);
// compilenode returning call8726
// compilenode returning call8726
  *var_meth = call8726;
  if (call8726 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2686
  setline(2686);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2685
  setline(2685);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8727 = gc_frame_new();
// compilenode returning *var_m
  partcv[0] = 0;
  Object call8728 = callmethod(*var_m, "sig",
    1, partcv, params);
  gc_frame_end(callframe8727);
// compilenode returning call8728
// compilenode returning call8728
  *var_signature = call8728;
  if (call8728 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2687
  setline(2687);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2686
  setline(2686);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8729 = gc_frame_new();
// compilenode returning *var_m
  partcv[0] = 0;
  Object call8730 = callmethod(*var_m, "rtype",
    1, partcv, params);
  gc_frame_end(callframe8729);
// compilenode returning call8730
// compilenode returning call8730
  *var_dtype = call8730;
  if (call8730 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2688
  setline(2688);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2687
  setline(2687);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8731 = gc_frame_new();
// compilenode returning *var_m
  partcv[0] = 0;
  Object call8732 = callmethod(*var_m, "v",
    1, partcv, params);
  gc_frame_end(callframe8731);
// compilenode returning call8732
// compilenode returning call8732
  *var_varargs = call8732;
  if (call8732 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2689
  setline(2689);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2688
  setline(2688);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8733 = gc_frame_new();
// compilenode returning *var_m
  partcv[0] = 0;
  Object call8734 = callmethod(*var_m, "generics",
    1, partcv, params);
  gc_frame_end(callframe8733);
// compilenode returning call8734
// compilenode returning call8734
  *var_generics = call8734;
  if (call8734 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2690
  setline(2690);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2689
  setline(2689);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array8735 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array8735
  *var_body = array8735;
  if (array8735 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2691
  setline(2691);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_localMin = undefined;
// compilenode returning done
// Begin line 2692
  setline(2692);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2691
  setline(2691);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8736 = gc_frame_new();
  partcv[0] = 0;
  Object call8737 = callmethodflags(self, "doannotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8736);
// compilenode returning call8737
  *var_anns = call8737;
  if (call8737 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2746
  setline(2746);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2692
  setline(2692);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8739 = gc_frame_new();
  if (strlit8740 == NULL) {
    strlit8740 = alloc_String("lbrace");
    gc_root(strlit8740);
  }
// compilenode returning strlit8740
  gc_frame_newslot(strlit8740);
  params[0] = strlit8740;
  partcv[0] = 1;
  Object call8741 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8739);
// compilenode returning call8741
  Object if8738 = done;
  if (istrue(call8741)) {
// Begin line 2693
  setline(2693);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8742 = gc_frame_new();
  partcv[0] = 0;
  Object call8743 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8742);
// compilenode returning call8743
// Begin line 2695
  setline(2695);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2694
  setline(2694);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  *var_localMin = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2700
  setline(2700);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2695
  setline(2695);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8747 = gc_frame_new();
// compilenode returning *var_stok
  partcv[0] = 0;
  Object call8748 = callmethod(*var_stok, "line",
    1, partcv, params);
  gc_frame_end(callframe8747);
// compilenode returning call8748
// compilenode returning call8748
  int op_slot_right_8746 = gc_frame_newslot(call8748);
  int callframe8750 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8751 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe8750);
// compilenode returning call8751
// compilenode returning call8751
  int op_slot_left_8746 = gc_frame_newslot(call8751);
  params[0] = call8748;
  partcv[0] = 1;
  Object opresult8752 = callmethod(call8751, "==", 1, partcv, params);
// compilenode returning opresult8752
  Object if8745 = done;
  if (istrue(opresult8752)) {
// Begin line 2697
  setline(2697);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2696
  setline(2696);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8754 = alloc_Float64(1);
// compilenode returning num8754
  int op_slot_right_8753 = gc_frame_newslot(num8754);
  int callframe8756 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8757 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8756);
// compilenode returning call8757
// compilenode returning call8757
  int op_slot_left_8753 = gc_frame_newslot(call8757);
  params[0] = num8754;
  partcv[0] = 1;
  Object diff8758 = callmethod(call8757, "-", 1, partcv, params);
// compilenode returning diff8758
  *var_minIndentLevel = diff8758;
  if (diff8758 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8745 = done;
  } else {
// Begin line 2699
  setline(2699);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2698
  setline(2698);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num8761 = alloc_Float64(1);
// compilenode returning num8761
  int op_slot_right_8760 = gc_frame_newslot(num8761);
  int callframe8763 = gc_frame_new();
// compilenode returning *var_stok
  partcv[0] = 0;
  Object call8764 = callmethod(*var_stok, "indent",
    1, partcv, params);
  gc_frame_end(callframe8763);
// compilenode returning call8764
// compilenode returning call8764
  int op_slot_left_8760 = gc_frame_newslot(call8764);
  params[0] = num8761;
  partcv[0] = 1;
  Object sum8765 = callmethod(call8764, "+", 1, partcv, params);
// compilenode returning sum8765
  *var_minIndentLevel = sum8765;
  if (sum8765 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8745 = done;
  }
// compilenode returning if8745
// Begin line 2700
  setline(2700);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8767 = gc_frame_new();
  Object inheritingObject8768 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8768 = alloc_userobj2(4,4, objclass8768);
  gc_frame_newslot(obj8768);
// OBJECT OUTER DEC outer
  adddatum2(obj8768, self, 0);
  addmethodreal(obj8768,"outer", &reader_parser_outer_8769);
  Object oldself8768 = self;
  struct StackFrameObject *oldstackframe8768 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8768);
  gc_frame_newslot((Object)stackframe);
  self = obj8768;
  Object *oldselfslot8768 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8768 = (*(struct UserObject *)self).data[0], lowerouter8768 = thisouter8768;
  if (inheritingObject8768) {
    struct UserObject *inho8768 = (struct UserObject *)inheritingObject8768;
    while (inho8768->super != GraceDefaultObject) inho8768 = (struct UserObject *)inho8768->super;
    inho8768->super = obj8768;
    self = inheritingObject8768;
    *selfslot = self;
    lowerouter8768 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8768;
  }
if (objclass8768 == NULL) {
  Method *reader8770 = addmethodrealflags(obj8768, "kind",&reader_parser_kind_8770, 0);
  Method *writer8770 = addmethodrealflags(obj8768, "kind:=",&writer_parser_kind_8770, 0);
  reader8770->definitionModule = modulename;
  writer8770->definitionModule = modulename;
  reader8770->definitionLine = 2702;
  writer8770->definitionLine = 2702;
}
obj8768->flags |= OFLAG_MUTABLE;
adddatum2(obj8768, alloc_Undefined(), 1);
if (objclass8768 == NULL) {
  Method *reader8771 = addmethodrealflags(obj8768, "register",&reader_parser_register_8771, 0);
  Method *writer8771 = addmethodrealflags(obj8768, "register:=",&writer_parser_register_8771, 0);
  reader8771->definitionModule = modulename;
  writer8771->definitionModule = modulename;
  reader8771->definitionLine = 2703;
  writer8771->definitionLine = 2703;
}
obj8768->flags |= OFLAG_MUTABLE;
adddatum2(obj8768, alloc_Undefined(), 2);
  sourceObject = obj8768;
// Begin line 2701
  setline(2701);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8772 == NULL) {
    strlit8772 = alloc_String("lbrace");
    gc_root(strlit8772);
  }
// compilenode returning strlit8772
  adddatum2(obj8768, strlit8772, 1);
  sourceObject = obj8768;
// Begin line 2702
  setline(2702);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8773 == NULL) {
    strlit8773 = alloc_String("");
    gc_root(strlit8773);
  }
// compilenode returning strlit8773
  adddatum2(obj8768, strlit8773, 2);
objclass8768 = obj8768->class;
  objclass8768->definitionModule = modulename;
  objclass8768->definitionLine = 2700;
  (*(struct UserObject *)self).data[0] = lowerouter8768;
  self = oldself8768;
  selfslot = oldselfslot8768;
  stackframe = oldstackframe8768;
// compilenode returning obj8768
  gc_frame_newslot(obj8768);
// Begin line 2700
  setline(2700);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  params[0] = obj8768;
  partcv[0] = 1;
  Object call8774 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe8767);
// compilenode returning call8774
// Begin line 2704
  setline(2704);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8775 = gc_frame_new();
  partcv[0] = 0;
  Object call8776 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8775);
// compilenode returning call8776
// Begin line 2706
  setline(2706);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2705
  setline(2705);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8777 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8778 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8777);
// compilenode returning call8778
// compilenode returning call8778
  *var_s = call8778;
  if (call8778 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2706
  setline(2706);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8779 = gc_frame_new();
  Object block8780 = alloc_Block(NULL, NULL, "parser", 2706);
  gc_frame_newslot(block8780);
  block_savedest(block8780);
  Object closure8781 = createclosure(2, "_apply");
setclosureframe(closure8781, stackframe);
  addtoclosure(closure8781, var_s);
  addtoclosure(closure8781, selfslot);
  struct UserObject *uo8781 = (struct UserObject*)block8780;
  uo8781->data[0] = (Object)closure8781;
  Method *meth_meth_parser__apply8781 = addmethod2pos(block8780, "_apply", &meth_parser__apply8781, 0);
int argcv_meth_parser__apply8781[] = {0};
meth_meth_parser__apply8781->type = alloc_MethodType(1, argcv_meth_parser__apply8781);
  meth_meth_parser__apply8781->definitionModule = modulename;
  meth_meth_parser__apply8781->definitionLine = 2705;
// compilenode returning block8780
  gc_frame_newslot(block8780);
  Object block8789 = alloc_Block(NULL, NULL, "parser", 2706);
  gc_frame_newslot(block8789);
  block_savedest(block8789);
  Object closure8790 = createclosure(4, "_apply");
setclosureframe(closure8790, stackframe);
  addtoclosure(closure8790, var_s);
  addtoclosure(closure8790, var_body);
  addtoclosure(closure8790, var_values);
  addtoclosure(closure8790, selfslot);
  struct UserObject *uo8790 = (struct UserObject*)block8789;
  uo8790->data[0] = (Object)closure8790;
  Method *meth_meth_parser__apply8790 = addmethod2pos(block8789, "_apply", &meth_parser__apply8790, 0);
int argcv_meth_parser__apply8790[] = {0};
meth_meth_parser__apply8790->type = alloc_MethodType(1, argcv_meth_parser__apply8790);
  meth_meth_parser__apply8790->definitionModule = modulename;
  meth_meth_parser__apply8790->definitionLine = 2706;
// compilenode returning block8789
  gc_frame_newslot(block8789);
  params[0] = block8780;
  params[1] = block8789;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8799 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8779);
// compilenode returning call8799
// Begin line 2728
  setline(2728);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2714
  setline(2714);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8802 == NULL) {
    strlit8802 = alloc_String("rbrace");
    gc_root(strlit8802);
  }
// compilenode returning strlit8802
  int op_slot_right_8801 = gc_frame_newslot(strlit8802);
  int callframe8804 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8805 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe8804);
// compilenode returning call8805
// compilenode returning call8805
  int op_slot_left_8801 = gc_frame_newslot(call8805);
  params[0] = strlit8802;
  partcv[0] = 1;
  Object opresult8806 = callmethod(call8805, "!=", 1, partcv, params);
// compilenode returning opresult8806
  Object if8800 = done;
  if (istrue(opresult8806)) {
// Begin line 2716
  setline(2716);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2715
  setline(2715);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8807 = gc_frame_new();
  int callframe8808 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8809 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8808);
// compilenode returning call8809
// compilenode returning call8809
  partcv[0] = 0;
  Object call8810 = callmethod(call8809, "new",
    1, partcv, params);
  gc_frame_end(callframe8807);
// compilenode returning call8810
// compilenode returning call8810
  *var_suggestion = call8810;
  if (call8810 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2716
  setline(2716);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8811 = gc_frame_new();
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
  Object bool8812 = alloc_Boolean(0);
// compilenode returning bool8812
  gc_frame_newslot(bool8812);
  params[0] = *var_btok;
  params[1] = bool8812;
  partcv[0] = 2;
  Object call8813 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8811);
// compilenode returning call8813
  *var_closingBrace = call8813;
  if (call8813 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2724
  setline(2724);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2717
  setline(2717);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool8816 = alloc_Boolean(0);
// compilenode returning bool8816
  int op_slot_right_8815 = gc_frame_newslot(bool8816);
  int callframe8818 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call8819 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe8818);
// compilenode returning call8819
// compilenode returning call8819
  int op_slot_left_8815 = gc_frame_newslot(call8819);
  params[0] = bool8816;
  partcv[0] = 1;
  Object opresult8820 = callmethod(call8819, "==", 1, partcv, params);
// compilenode returning opresult8820
  Object if8814 = done;
  if (istrue(opresult8820)) {
// Begin line 2723
  setline(2723);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2718
  setline(2718);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_8822 = gc_frame_newslot(*var_sym);
  int callframe8824 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call8825 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe8824);
// compilenode returning call8825
// compilenode returning call8825
  int op_slot_left_8822 = gc_frame_newslot(call8825);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult8826 = callmethod(call8825, "==", 1, partcv, params);
// compilenode returning opresult8826
  Object if8821 = done;
  if (istrue(opresult8826)) {
// Begin line 2719
  setline(2719);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8827 = gc_frame_new();
  if (strlit8828 == NULL) {
    strlit8828 = alloc_String("}");
    gc_root(strlit8828);
  }
// compilenode returning strlit8828
  gc_frame_newslot(strlit8828);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit8828;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8829 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe8827);
// compilenode returning call8829
    gc_frame_newslot(call8829);
    if8821 = call8829;
  } else {
// Begin line 2721
  setline(2721);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8830 = gc_frame_new();
  Object num8832 = alloc_Float64(0.1);
// compilenode returning num8832
  int op_slot_right_8831 = gc_frame_newslot(num8832);
  int callframe8834 = gc_frame_new();
  int callframe8835 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call8836 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe8835);
// compilenode returning call8836
// compilenode returning call8836
  partcv[0] = 0;
  Object call8837 = callmethod(call8836, "line",
    1, partcv, params);
  gc_frame_end(callframe8834);
// compilenode returning call8837
// compilenode returning call8837
  int op_slot_left_8831 = gc_frame_newslot(call8837);
  params[0] = num8832;
  partcv[0] = 1;
  Object sum8838 = callmethod(call8837, "+", 1, partcv, params);
// compilenode returning sum8838
  gc_frame_newslot(sum8838);
  if (strlit8839 == NULL) {
    strlit8839 = alloc_String("}");
    gc_root(strlit8839);
  }
// compilenode returning strlit8839
  gc_frame_newslot(strlit8839);
// compilenode returning *var_suggestion
  params[0] = sum8838;
  params[1] = strlit8839;
  partcv[0] = 2;
  Object call8840 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe8830);
// compilenode returning call8840
    gc_frame_newslot(call8840);
    if8821 = call8840;
  }
// compilenode returning if8821
    gc_frame_newslot(if8821);
    if8814 = if8821;
  } else {
  }
// compilenode returning if8814
// Begin line 2724
  setline(2724);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8841 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call8842 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe8841);
// compilenode returning call8842
// Begin line 2725
  setline(2725);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8843 = gc_frame_new();
  if (strlit8844 == NULL) {
    strlit8844 = alloc_String("A method must end with a '}'.");
    gc_root(strlit8844);
  }
// compilenode returning strlit8844
  gc_frame_newslot(strlit8844);
// Begin line 2726
  setline(2726);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8845 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8846 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe8845);
// compilenode returning call8846
// compilenode returning call8846
  gc_frame_newslot(call8846);
  int callframe8847 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call8848 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8847);
// compilenode returning call8848
// compilenode returning call8848
  gc_frame_newslot(call8848);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2725
  setline(2725);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit8844;
  params[1] = call8846;
  params[2] = call8848;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8849 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8843);
// compilenode returning call8849
    gc_frame_newslot(call8849);
    if8800 = call8849;
  } else {
  }
// compilenode returning if8800
// Begin line 2728
  setline(2728);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8850 = gc_frame_new();
  partcv[0] = 0;
  Object call8851 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8850);
// compilenode returning call8851
// Begin line 2730
  setline(2730);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2729
  setline(2729);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_localMin
  *var_minIndentLevel = *var_localMin;
  if (*var_localMin == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if8738 = done;
  } else {
// Begin line 2732
  setline(2732);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2731
  setline(2731);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8853 = gc_frame_new();
  int callframe8854 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call8855 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe8854);
// compilenode returning call8855
// compilenode returning call8855
  partcv[0] = 0;
  Object call8856 = callmethod(call8855, "new",
    1, partcv, params);
  gc_frame_end(callframe8853);
// compilenode returning call8856
// compilenode returning call8856
  *var_suggestion = call8856;
  if (call8856 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2732
  setline(2732);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8857 = gc_frame_new();
// compilenode returning *var_btok
  gc_frame_newslot(*var_btok);
  Object bool8858 = alloc_Boolean(1);
// compilenode returning bool8858
  gc_frame_newslot(bool8858);
  params[0] = *var_btok;
  params[1] = bool8858;
  partcv[0] = 2;
  Object call8859 = callmethodflags(self, "findClosingBrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8857);
// compilenode returning call8859
  *var_closingBrace = call8859;
  if (call8859 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2743
  setline(2743);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2733
  setline(2733);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool8862 = alloc_Boolean(0);
// compilenode returning bool8862
  int op_slot_right_8861 = gc_frame_newslot(bool8862);
  int callframe8864 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call8865 = callmethod(*var_closingBrace, "found",
    1, partcv, params);
  gc_frame_end(callframe8864);
// compilenode returning call8865
// compilenode returning call8865
  int op_slot_left_8861 = gc_frame_newslot(call8865);
  params[0] = bool8862;
  partcv[0] = 1;
  Object opresult8866 = callmethod(call8865, "==", 1, partcv, params);
// compilenode returning opresult8866
  Object if8860 = done;
  if (istrue(opresult8866)) {
// Begin line 2740
  setline(2740);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2734
  setline(2734);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  int op_slot_right_8868 = gc_frame_newslot(*var_lastToken);
  int callframe8870 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call8871 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe8870);
// compilenode returning call8871
// compilenode returning call8871
  int op_slot_left_8868 = gc_frame_newslot(call8871);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult8872 = callmethod(call8871, "==", 1, partcv, params);
// compilenode returning opresult8872
  Object if8867 = done;
  if (istrue(opresult8872)) {
// Begin line 2735
  setline(2735);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8873 = gc_frame_new();
  if (strlit8874 == NULL) {
    strlit8874 = alloc_String(" {}");
    gc_root(strlit8874);
  }
// compilenode returning strlit8874
  gc_frame_newslot(strlit8874);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool8875 = alloc_Boolean(1);
// compilenode returning bool8875
  gc_frame_newslot(bool8875);
// compilenode returning *var_suggestion
  params[0] = strlit8874;
  params[1] = *var_lastToken;
  params[2] = bool8875;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call8876 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe8873);
// compilenode returning call8876
    gc_frame_newslot(call8876);
    if8867 = call8876;
  } else {
// Begin line 2737
  setline(2737);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8877 = gc_frame_new();
  Object num8879 = alloc_Float64(0.1);
// compilenode returning num8879
  int op_slot_right_8878 = gc_frame_newslot(num8879);
  int callframe8881 = gc_frame_new();
  int callframe8882 = gc_frame_new();
// compilenode returning *var_closingBrace
  partcv[0] = 0;
  Object call8883 = callmethod(*var_closingBrace, "tok",
    1, partcv, params);
  gc_frame_end(callframe8882);
// compilenode returning call8883
// compilenode returning call8883
  partcv[0] = 0;
  Object call8884 = callmethod(call8883, "line",
    1, partcv, params);
  gc_frame_end(callframe8881);
// compilenode returning call8884
// compilenode returning call8884
  int op_slot_left_8878 = gc_frame_newslot(call8884);
  params[0] = num8879;
  partcv[0] = 1;
  Object sum8885 = callmethod(call8884, "+", 1, partcv, params);
// compilenode returning sum8885
  gc_frame_newslot(sum8885);
  if (strlit8886 == NULL) {
    strlit8886 = alloc_String("}");
    gc_root(strlit8886);
  }
// compilenode returning strlit8886
  gc_frame_newslot(strlit8886);
// compilenode returning *var_suggestion
  params[0] = sum8885;
  params[1] = strlit8886;
  partcv[0] = 2;
  Object call8887 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe8877);
// compilenode returning call8887
// Begin line 2738
  setline(2738);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8888 = gc_frame_new();
  if (strlit8889 == NULL) {
    strlit8889 = alloc_String(" {");
    gc_root(strlit8889);
  }
// compilenode returning strlit8889
  gc_frame_newslot(strlit8889);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool8890 = alloc_Boolean(1);
// compilenode returning bool8890
  gc_frame_newslot(bool8890);
// compilenode returning *var_suggestion
  params[0] = strlit8889;
  params[1] = *var_lastToken;
  params[2] = bool8890;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call8891 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe8888);
// compilenode returning call8891
    gc_frame_newslot(call8891);
    if8867 = call8891;
  }
// compilenode returning if8867
    gc_frame_newslot(if8867);
    if8860 = if8867;
  } else {
// Begin line 2741
  setline(2741);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8892 = gc_frame_new();
  if (strlit8893 == NULL) {
    strlit8893 = alloc_String(" {");
    gc_root(strlit8893);
  }
// compilenode returning strlit8893
  gc_frame_newslot(strlit8893);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool8894 = alloc_Boolean(1);
// compilenode returning bool8894
  gc_frame_newslot(bool8894);
// compilenode returning *var_suggestion
  params[0] = strlit8893;
  params[1] = *var_lastToken;
  params[2] = bool8894;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call8895 = callmethod(*var_suggestion, "insert()afterToken()andTrailingSpace",
    3, partcv, params);
  gc_frame_end(callframe8892);
// compilenode returning call8895
    gc_frame_newslot(call8895);
    if8860 = call8895;
  }
// compilenode returning if8860
// Begin line 2743
  setline(2743);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8896 = gc_frame_new();
  if (strlit8897 == NULL) {
    strlit8897 = alloc_String("A method must have a '{' after the name.");
    gc_root(strlit8897);
  }
// compilenode returning strlit8897
  gc_frame_newslot(strlit8897);
// Begin line 2744
  setline(2744);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8898 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8899 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe8898);
// compilenode returning call8899
// compilenode returning call8899
  gc_frame_newslot(call8899);
  int callframe8901 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8902 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe8901);
// compilenode returning call8902
// compilenode returning call8902
  int op_slot_right_8900 = gc_frame_newslot(call8902);
  int callframe8904 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call8905 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe8904);
// compilenode returning call8905
// compilenode returning call8905
  int op_slot_left_8900 = gc_frame_newslot(call8905);
  params[0] = call8902;
  partcv[0] = 1;
  Object sum8906 = callmethod(call8905, "+", 1, partcv, params);
// compilenode returning sum8906
  gc_frame_newslot(sum8906);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2743
  setline(2743);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit8897;
  params[1] = call8899;
  params[2] = sum8906;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8907 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe8896);
// compilenode returning call8907
    gc_frame_newslot(call8907);
    if8738 = call8907;
  }
// compilenode returning if8738
// Begin line 2746
  setline(2746);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8908 = gc_frame_new();
  int callframe8909 = gc_frame_new();
// compilenode returning *var_btok
  partcv[0] = 0;
  Object call8910 = callmethod(*var_btok, "line",
    1, partcv, params);
  gc_frame_end(callframe8909);
// compilenode returning call8910
// compilenode returning call8910
  gc_frame_newslot(call8910);
// compilenode returning *var_util
  params[0] = call8910;
  partcv[0] = 1;
  Object call8911 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe8908);
// compilenode returning call8911
// Begin line 2747
  setline(2747);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8912 = gc_frame_new();
// compilenode returning *var_meth
  gc_frame_newslot(*var_meth);
// compilenode returning *var_signature
  gc_frame_newslot(*var_signature);
// compilenode returning *var_body
  gc_frame_newslot(*var_body);
// compilenode returning *var_dtype
  gc_frame_newslot(*var_dtype);
  int callframe8913 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call8914 = callmethod(*var_ast, "methodNode",
    1, partcv, params);
  gc_frame_end(callframe8913);
// compilenode returning call8914
// compilenode returning call8914
  params[0] = *var_meth;
  params[1] = *var_signature;
  params[2] = *var_body;
  params[3] = *var_dtype;
  partcv[0] = 4;
  Object call8915 = callmethod(call8914, "new",
    1, partcv, params);
  gc_frame_end(callframe8912);
// compilenode returning call8915
  *var_o = call8915;
  if (call8915 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2751
  setline(2751);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2748
  setline(2748);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_varargs
  Object if8916 = done;
  if (istrue(*var_varargs)) {
// Begin line 2750
  setline(2750);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2747
  setline(2747);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8917 = gc_frame_new();
// Begin line 2749
  setline(2749);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool8918 = alloc_Boolean(1);
// compilenode returning bool8918
  gc_frame_newslot(bool8918);
// compilenode returning *var_o
  params[0] = bool8918;
  partcv[0] = 1;
  Object call8919 = callmethod(*var_o, "varargs:=",
    1, partcv, params);
  gc_frame_end(callframe8917);
// compilenode returning call8919
// compilenode returning done
    gc_frame_newslot(done);
    if8916 = done;
  } else {
  }
// compilenode returning if8916
// Begin line 2752
  setline(2752);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2747
  setline(2747);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8920 = gc_frame_new();
// Begin line 2751
  setline(2751);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_generics
  gc_frame_newslot(*var_generics);
// compilenode returning *var_o
  params[0] = *var_generics;
  partcv[0] = 1;
  Object call8921 = callmethod(*var_o, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe8920);
// compilenode returning call8921
// compilenode returning done
// Begin line 2760
  setline(2760);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2752
  setline(2752);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_anns
  int op_slot_right_8923 = gc_frame_newslot(*var_anns);
  Object bool8925 = alloc_Boolean(0);
// compilenode returning bool8925
  int op_slot_left_8923 = gc_frame_newslot(bool8925);
  params[0] = *var_anns;
  partcv[0] = 1;
  Object opresult8926 = callmethod(bool8925, "!=", 1, partcv, params);
// compilenode returning opresult8926
  Object if8922 = done;
  if (istrue(opresult8926)) {
// Begin line 2753
  setline(2753);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8927 = gc_frame_new();
// compilenode returning *var_anns
  gc_frame_newslot(*var_anns);
  int callframe8928 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call8929 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe8928);
// compilenode returning call8929
// compilenode returning call8929
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call8930 = callmethod(call8929, "extend",
    1, partcv, params);
  gc_frame_end(callframe8927);
// compilenode returning call8930
    gc_frame_newslot(call8930);
    if8922 = call8930;
  } else {
// Begin line 2759
  setline(2759);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2755
  setline(2755);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8933 == NULL) {
    strlit8933 = alloc_String("confidential");
    gc_root(strlit8933);
  }
// compilenode returning strlit8933
  int op_slot_right_8932 = gc_frame_newslot(strlit8933);
// compilenode returning *var_defaultMethodVisibility
  int op_slot_left_8932 = gc_frame_newslot(*var_defaultMethodVisibility);
  params[0] = strlit8933;
  partcv[0] = 1;
  Object opresult8935 = callmethod(*var_defaultMethodVisibility, "==", 1, partcv, params);
// compilenode returning opresult8935
  Object if8931 = done;
  if (istrue(opresult8935)) {
// Begin line 2756
  setline(2756);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8936 = gc_frame_new();
  int callframe8937 = gc_frame_new();
  if (strlit8938 == NULL) {
    strlit8938 = alloc_String("confidential");
    gc_root(strlit8938);
  }
// compilenode returning strlit8938
  gc_frame_newslot(strlit8938);
// Begin line 2757
  setline(2757);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool8939 = alloc_Boolean(0);
// compilenode returning bool8939
  gc_frame_newslot(bool8939);
// Begin line 2756
  setline(2756);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8940 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call8941 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe8940);
// compilenode returning call8941
// compilenode returning call8941
  params[0] = strlit8938;
  params[1] = bool8939;
  partcv[0] = 2;
  Object call8942 = callmethod(call8941, "new",
    1, partcv, params);
  gc_frame_end(callframe8937);
// compilenode returning call8942
  gc_frame_newslot(call8942);
  int callframe8943 = gc_frame_new();
// compilenode returning *var_o
  partcv[0] = 0;
  Object call8944 = callmethod(*var_o, "annotations",
    1, partcv, params);
  gc_frame_end(callframe8943);
// compilenode returning call8944
// compilenode returning call8944
  params[0] = call8942;
  partcv[0] = 1;
  Object call8945 = callmethod(call8944, "push",
    1, partcv, params);
  gc_frame_end(callframe8936);
// compilenode returning call8945
    gc_frame_newslot(call8945);
    if8931 = call8945;
  } else {
  }
// compilenode returning if8931
    gc_frame_newslot(if8931);
    if8922 = if8931;
  }
// compilenode returning if8922
// Begin line 2760
  setline(2760);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8946 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call8947 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe8946);
// compilenode returning call8947
    gc_frame_newslot(call8947);
    if8705 = call8947;
  } else {
  }
// compilenode returning if8705
  gc_frame_end(frame);
  return if8705;
}
Object meth_parser__apply8957(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sameline = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe8959 = gc_frame_new();
  if (strlit8960 == NULL) {
    strlit8960 = alloc_String("identifier");
    gc_root(strlit8960);
  }
// compilenode returning strlit8960
  gc_frame_newslot(strlit8960);
  params[0] = strlit8960;
  partcv[0] = 1;
  Object call8961 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8959);
// compilenode returning call8961
  int op_slot_right_8958 = gc_frame_newslot(call8961);
  int callframe8964 = gc_frame_new();
  if (strlit8965 == NULL) {
    strlit8965 = alloc_String("identifier");
    gc_root(strlit8965);
  }
// compilenode returning strlit8965
  gc_frame_newslot(strlit8965);
  params[0] = strlit8965;
  partcv[0] = 1;
  Object call8966 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8964);
// compilenode returning call8966
  int op_slot_right_8963 = gc_frame_newslot(call8966);
  int callframe8968 = gc_frame_new();
// compilenode returning *var_sameline
  partcv[0] = 0;
  Object call8969 = callmethod(*var_sameline, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe8968);
// compilenode returning call8969
  int op_slot_left_8963 = gc_frame_newslot(call8969);
  params[0] = call8966;
  partcv[0] = 1;
  Object opresult8970 = callmethod(call8969, "&&", 1, partcv, params);
// compilenode returning opresult8970
  int op_slot_left_8958 = gc_frame_newslot(opresult8970);
  params[0] = call8961;
  partcv[0] = 1;
  Object opresult8971 = callmethod(opresult8970, "||", 1, partcv, params);
// compilenode returning opresult8971
  gc_frame_end(frame);
  return opresult8971;
}
Object meth_parser__apply9025(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2790
  setline(2790);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9029 == NULL) {
    strlit9029 = alloc_String("*");
    gc_root(strlit9029);
  }
// compilenode returning strlit9029
  int op_slot_right_9028 = gc_frame_newslot(strlit9029);
  int callframe9031 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9032 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9031);
// compilenode returning call9032
// compilenode returning call9032
  int op_slot_left_9028 = gc_frame_newslot(call9032);
  params[0] = strlit9029;
  partcv[0] = 1;
  Object opresult9033 = callmethod(call9032, "==", 1, partcv, params);
// compilenode returning opresult9033
  int op_slot_right_9027 = gc_frame_newslot(opresult9033);
  int callframe9035 = gc_frame_new();
  if (strlit9036 == NULL) {
    strlit9036 = alloc_String("op");
    gc_root(strlit9036);
  }
// compilenode returning strlit9036
  gc_frame_newslot(strlit9036);
  params[0] = strlit9036;
  partcv[0] = 1;
  Object call9037 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9035);
// compilenode returning call9037
  int op_slot_left_9027 = gc_frame_newslot(call9037);
  params[0] = opresult9033;
  partcv[0] = 1;
  Object opresult9038 = callmethod(call9037, "&&", 1, partcv, params);
// compilenode returning opresult9038
  int op_slot_right_9026 = gc_frame_newslot(opresult9038);
// Begin line 2789
  setline(2789);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9040 = gc_frame_new();
  if (strlit9041 == NULL) {
    strlit9041 = alloc_String("identifier");
    gc_root(strlit9041);
  }
// compilenode returning strlit9041
  gc_frame_newslot(strlit9041);
  params[0] = strlit9041;
  partcv[0] = 1;
  Object call9042 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9040);
// compilenode returning call9042
  int op_slot_left_9026 = gc_frame_newslot(call9042);
  params[0] = opresult9038;
  partcv[0] = 1;
  Object opresult9043 = callmethod(call9042, "||", 1, partcv, params);
// compilenode returning opresult9043
  gc_frame_end(frame);
  return opresult9043;
}
Object meth_parser__apply9046(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_vararg = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_comma = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_nxt = getfromclosure(closure, 6);
  Object *var_part = getfromclosure(closure, 7);
  Object *var_tm = getfromclosure(closure, 8);
  Object self = *(getfromclosure(closure, 9));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_tp = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "tp");
// Begin line 2812
  setline(2812);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2791
  setline(2791);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9048 = gc_frame_new();
  if (strlit9049 == NULL) {
    strlit9049 = alloc_String("op");
    gc_root(strlit9049);
  }
// compilenode returning strlit9049
  gc_frame_newslot(strlit9049);
  params[0] = strlit9049;
  partcv[0] = 1;
  Object call9050 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9048);
// compilenode returning call9050
  Object if9047 = done;
  if (istrue(call9050)) {
// Begin line 2792
  setline(2792);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9051 = gc_frame_new();
  partcv[0] = 0;
  Object call9052 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9051);
// compilenode returning call9052
// Begin line 2794
  setline(2794);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2793
  setline(2793);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9053 = alloc_Boolean(1);
// compilenode returning bool9053
  *var_vararg = bool9053;
  if (bool9053 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2811
  setline(2811);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2794
  setline(2794);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9057 == NULL) {
    strlit9057 = alloc_String("identifier");
    gc_root(strlit9057);
  }
// compilenode returning strlit9057
  int op_slot_right_9056 = gc_frame_newslot(strlit9057);
  int callframe9059 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9060 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9059);
// compilenode returning call9060
// compilenode returning call9060
  int op_slot_left_9056 = gc_frame_newslot(call9060);
  params[0] = strlit9057;
  partcv[0] = 1;
  Object opresult9061 = callmethod(call9060, "!=", 1, partcv, params);
// compilenode returning opresult9061
  Object if9055 = done;
  if (istrue(opresult9061)) {
// Begin line 2796
  setline(2796);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2795
  setline(2795);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array9062 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9062
  *var_suggestions = array9062;
  if (array9062 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2797
  setline(2797);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2796
  setline(2796);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9063 = gc_frame_new();
  int callframe9064 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9065 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9064);
// compilenode returning call9065
// compilenode returning call9065
  partcv[0] = 0;
  Object call9066 = callmethod(call9065, "new",
    1, partcv, params);
  gc_frame_end(callframe9063);
// compilenode returning call9066
// compilenode returning call9066
  *var_suggestion = call9066;
  if (call9066 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2797
  setline(2797);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9067 = gc_frame_new();
  if (strlit9068 == NULL) {
    strlit9068 = alloc_String("""\xc2""""\xab""parameter name""\xc2""""\xbb""");
    gc_root(strlit9068);
  }
// compilenode returning strlit9068
  gc_frame_newslot(strlit9068);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9068;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9069 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9067);
// compilenode returning call9069
// Begin line 2798
  setline(2798);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9070 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9071 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9070);
// compilenode returning call9071
// Begin line 2808
  setline(2808);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2799
  setline(2799);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9074 = alloc_Boolean(0);
// compilenode returning bool9074
  int op_slot_right_9073 = gc_frame_newslot(bool9074);
// compilenode returning *var_comma
  int op_slot_left_9073 = gc_frame_newslot(*var_comma);
  params[0] = bool9074;
  partcv[0] = 1;
  Object opresult9076 = callmethod(*var_comma, "==", 1, partcv, params);
// compilenode returning opresult9076
  Object if9072 = done;
  if (istrue(opresult9076)) {
// Begin line 2801
  setline(2801);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2800
  setline(2800);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9077 = gc_frame_new();
  int callframe9078 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9079 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9078);
// compilenode returning call9079
// compilenode returning call9079
  partcv[0] = 0;
  Object call9080 = callmethod(call9079, "new",
    1, partcv, params);
  gc_frame_end(callframe9077);
// compilenode returning call9080
// compilenode returning call9080
  *var_suggestion = call9080;
  if (call9080 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2801
  setline(2801);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9082 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call9083 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe9082);
// compilenode returning call9083
// Begin line 2802
  setline(2802);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9084 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9085 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9084);
// compilenode returning call9085
    gc_frame_newslot(call9085);
    if9072 = call9085;
  } else {
// Begin line 2805
  setline(2805);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2804
  setline(2804);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9086 = gc_frame_new();
  int callframe9087 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9088 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9087);
// compilenode returning call9088
// compilenode returning call9088
  partcv[0] = 0;
  Object call9089 = callmethod(call9088, "new",
    1, partcv, params);
  gc_frame_end(callframe9086);
// compilenode returning call9089
// compilenode returning call9089
  *var_suggestion = call9089;
  if (call9089 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2805
  setline(2805);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9091 = gc_frame_new();
// compilenode returning *var_comma
  gc_frame_newslot(*var_comma);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = *var_comma;
  params[1] = *var_lastToken;
  partcv[0] = 2;
  Object call9092 = callmethod(*var_suggestion, "deleteTokenRange",
    1, partcv, params);
  gc_frame_end(callframe9091);
// compilenode returning call9092
// Begin line 2806
  setline(2806);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9093 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9094 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9093);
// compilenode returning call9094
    gc_frame_newslot(call9094);
    if9072 = call9094;
  }
// compilenode returning if9072
// Begin line 2808
  setline(2808);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9095 = gc_frame_new();
  if (strlit9096 == NULL) {
    strlit9096 = alloc_String("A variable length parameter (a parameter beginning with a '*') must have a name after the '*'.");
    gc_root(strlit9096);
  }
// compilenode returning strlit9096
  gc_frame_newslot(strlit9096);
// Begin line 2809
  setline(2809);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9097 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9098 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9097);
// compilenode returning call9098
// compilenode returning call9098
  gc_frame_newslot(call9098);
  int callframe9100 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9101 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9100);
// compilenode returning call9101
// compilenode returning call9101
  int op_slot_right_9099 = gc_frame_newslot(call9101);
  int callframe9103 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9104 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9103);
// compilenode returning call9104
// compilenode returning call9104
  int op_slot_left_9099 = gc_frame_newslot(call9104);
  params[0] = call9101;
  partcv[0] = 1;
  Object sum9105 = callmethod(call9104, "+", 1, partcv, params);
// compilenode returning sum9105
  gc_frame_newslot(sum9105);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2808
  setline(2808);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9096;
  params[1] = call9098;
  params[2] = sum9105;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9106 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe9095);
// compilenode returning call9106
    gc_frame_newslot(call9106);
    if9055 = call9106;
  } else {
  }
// compilenode returning if9055
    gc_frame_newslot(if9055);
    if9047 = if9055;
  } else {
  }
// compilenode returning if9047
// Begin line 2812
  setline(2812);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9107 = gc_frame_new();
  partcv[0] = 0;
  Object call9108 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9107);
// compilenode returning call9108
// Begin line 2814
  setline(2814);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2813
  setline(2813);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9109 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call9110 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9109);
// compilenode returning call9110
// compilenode returning call9110
  *var_nxt = call9110;
  if (call9110 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2820
  setline(2820);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2814
  setline(2814);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9113 = gc_frame_new();
  if (strlit9114 == NULL) {
    strlit9114 = alloc_String("colon");
    gc_root(strlit9114);
  }
// compilenode returning strlit9114
  gc_frame_newslot(strlit9114);
  params[0] = strlit9114;
  partcv[0] = 1;
  Object call9115 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9113);
// compilenode returning call9115
  Object if9112 = done;
  if (istrue(call9115)) {
// Begin line 2815
  setline(2815);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9116 = gc_frame_new();
  partcv[0] = 0;
  Object call9117 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9116);
// compilenode returning call9117
// Begin line 2816
  setline(2816);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9118 = gc_frame_new();
  partcv[0] = 0;
  Object call9119 = callmethodflags(self, "dotyperef", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9118);
// compilenode returning call9119
// Begin line 2818
  setline(2818);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2817
  setline(2817);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9120 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call9121 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9120);
// compilenode returning call9121
// compilenode returning call9121
  *var_tp = call9121;
  if (call9121 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2819
  setline(2819);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2817
  setline(2817);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9122 = gc_frame_new();
// Begin line 2818
  setline(2818);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_tp
  gc_frame_newslot(*var_tp);
// compilenode returning *var_nxt
  params[0] = *var_tp;
  partcv[0] = 1;
  Object call9123 = callmethod(*var_nxt, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe9122);
// compilenode returning call9123
// compilenode returning done
    gc_frame_newslot(done);
    if9112 = done;
  } else {
  }
// compilenode returning if9112
// Begin line 2832
  setline(2832);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2820
  setline(2820);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_vararg
  Object if9124 = done;
  if (istrue(*var_vararg)) {
// Begin line 2822
  setline(2822);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2817
  setline(2817);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9125 = gc_frame_new();
// Begin line 2821
  setline(2821);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_nxt
  gc_frame_newslot(*var_nxt);
// compilenode returning *var_part
  params[0] = *var_nxt;
  partcv[0] = 1;
  Object call9126 = callmethod(*var_part, "vararg:=",
    1, partcv, params);
  gc_frame_end(callframe9125);
// compilenode returning call9126
// compilenode returning done
// Begin line 2823
  setline(2823);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2817
  setline(2817);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9127 = gc_frame_new();
// Begin line 2822
  setline(2822);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9128 = alloc_Boolean(1);
// compilenode returning bool9128
  gc_frame_newslot(bool9128);
// compilenode returning *var_tm
  params[0] = bool9128;
  partcv[0] = 1;
  Object call9129 = callmethod(*var_tm, "varargs:=",
    1, partcv, params);
  gc_frame_end(callframe9127);
// compilenode returning call9129
// compilenode returning done
// Begin line 2829
  setline(2829);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2823
  setline(2823);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9132 == NULL) {
    strlit9132 = alloc_String("rparen");
    gc_root(strlit9132);
  }
// compilenode returning strlit9132
  int op_slot_right_9131 = gc_frame_newslot(strlit9132);
  int callframe9134 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9135 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9134);
// compilenode returning call9135
// compilenode returning call9135
  int op_slot_left_9131 = gc_frame_newslot(call9135);
  params[0] = strlit9132;
  partcv[0] = 1;
  Object opresult9136 = callmethod(call9135, "!=", 1, partcv, params);
// compilenode returning opresult9136
  Object if9130 = done;
  if (istrue(opresult9136)) {
// Begin line 2825
  setline(2825);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2824
  setline(2824);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9137 = gc_frame_new();
  int callframe9138 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9139 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9138);
// compilenode returning call9139
// compilenode returning call9139
  partcv[0] = 0;
  Object call9140 = callmethod(call9139, "new",
    1, partcv, params);
  gc_frame_end(callframe9137);
// compilenode returning call9140
// compilenode returning call9140
  *var_suggestion = call9140;
  if (call9140 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2825
  setline(2825);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9141 = gc_frame_new();
  if (strlit9142 == NULL) {
    strlit9142 = alloc_String(")");
    gc_root(strlit9142);
  }
// compilenode returning strlit9142
  gc_frame_newslot(strlit9142);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9142;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9143 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9141);
// compilenode returning call9143
// Begin line 2826
  setline(2826);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9144 = gc_frame_new();
  if (strlit9145 == NULL) {
    strlit9145 = alloc_String("A part of a multi-part method beginning with a '(' must end with a ')'.");
    gc_root(strlit9145);
  }
// compilenode returning strlit9145
  gc_frame_newslot(strlit9145);
// Begin line 2827
  setline(2827);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9146 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9147 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9146);
// compilenode returning call9147
// compilenode returning call9147
  gc_frame_newslot(call9147);
  int callframe9149 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9150 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9149);
// compilenode returning call9150
// compilenode returning call9150
  int op_slot_right_9148 = gc_frame_newslot(call9150);
  int callframe9152 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9153 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9152);
// compilenode returning call9153
// compilenode returning call9153
  int op_slot_left_9148 = gc_frame_newslot(call9153);
  params[0] = call9150;
  partcv[0] = 1;
  Object sum9154 = callmethod(call9153, "+", 1, partcv, params);
// compilenode returning sum9154
  gc_frame_newslot(sum9154);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2826
  setline(2826);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9145;
  params[1] = call9147;
  params[2] = sum9154;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9155 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9144);
// compilenode returning call9155
    gc_frame_newslot(call9155);
    if9130 = call9155;
  } else {
  }
// compilenode returning if9130
    gc_frame_newslot(if9130);
    if9124 = if9130;
  } else {
// Begin line 2830
  setline(2830);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9156 = gc_frame_new();
// compilenode returning *var_nxt
  gc_frame_newslot(*var_nxt);
  int callframe9157 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9158 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe9157);
// compilenode returning call9158
// compilenode returning call9158
  params[0] = *var_nxt;
  partcv[0] = 1;
  Object call9159 = callmethod(call9158, "push",
    1, partcv, params);
  gc_frame_end(callframe9156);
// compilenode returning call9159
    gc_frame_newslot(call9159);
    if9124 = call9159;
  }
// compilenode returning if9124
// Begin line 2836
  setline(2836);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2832
  setline(2832);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9161 = gc_frame_new();
  if (strlit9162 == NULL) {
    strlit9162 = alloc_String("comma");
    gc_root(strlit9162);
  }
// compilenode returning strlit9162
  gc_frame_newslot(strlit9162);
  params[0] = strlit9162;
  partcv[0] = 1;
  Object call9163 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9161);
// compilenode returning call9163
  Object if9160 = done;
  if (istrue(call9163)) {
// Begin line 2834
  setline(2834);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2833
  setline(2833);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_comma = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2834
  setline(2834);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9165 = gc_frame_new();
  partcv[0] = 0;
  Object call9166 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9165);
// compilenode returning call9166
    gc_frame_newslot(call9166);
    if9160 = call9166;
  } else {
  }
// compilenode returning if9160
  gc_frame_end(frame);
  return if9160;
}
Object meth_parser__apply8974(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_methname = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  Object *var_nxt = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  Object *var_sym = getfromclosure(closure, 6);
  Object *var_tm = getfromclosure(closure, 7);
  Object *var_signature = getfromclosure(closure, 8);
  Object self = *(getfromclosure(closure, 9));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_part = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "part");
  Object *var_vararg = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "vararg");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_comma = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "comma");
// Begin line 2775
  setline(2775);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2774
  setline(2774);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit8976 == NULL) {
    strlit8976 = alloc_String("()");
    gc_root(strlit8976);
  }
// compilenode returning strlit8976
  int op_slot_right_8975 = gc_frame_newslot(strlit8976);
// compilenode returning *var_methname
  int op_slot_left_8975 = gc_frame_newslot(*var_methname);
  params[0] = strlit8976;
  partcv[0] = 1;
  Object opresult8978 = callmethod(*var_methname, "++", 1, partcv, params);
// compilenode returning opresult8978
  *var_methname = opresult8978;
  if (opresult8978 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2776
  setline(2776);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2775
  setline(2775);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8980 = gc_frame_new();
  int callframe8981 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call8982 = callmethod(*var_ast, "signaturePart",
    1, partcv, params);
  gc_frame_end(callframe8981);
// compilenode returning call8982
// compilenode returning call8982
  partcv[0] = 0;
  Object call8983 = callmethod(call8982, "new",
    1, partcv, params);
  gc_frame_end(callframe8980);
// compilenode returning call8983
// compilenode returning call8983
  *var_part = call8983;
  if (call8983 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2776
  setline(2776);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8984 = gc_frame_new();
  partcv[0] = 0;
  Object call8985 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8984);
// compilenode returning call8985
// Begin line 2778
  setline(2778);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2777
  setline(2777);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8986 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call8987 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe8986);
// compilenode returning call8987
// compilenode returning call8987
  *var_nxt = call8987;
  if (call8987 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2779
  setline(2779);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2778
  setline(2778);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8990 = gc_frame_new();
// compilenode returning *var_nxt
  partcv[0] = 0;
  Object call8991 = callmethod(*var_nxt, "value",
    1, partcv, params);
  gc_frame_end(callframe8990);
// compilenode returning call8991
// compilenode returning call8991
  int op_slot_right_8989 = gc_frame_newslot(call8991);
// compilenode returning *var_methname
  int op_slot_left_8989 = gc_frame_newslot(*var_methname);
  params[0] = call8991;
  partcv[0] = 1;
  Object opresult8993 = callmethod(*var_methname, "++", 1, partcv, params);
// compilenode returning opresult8993
  *var_methname = opresult8993;
  if (opresult8993 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2780
  setline(2780);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2778
  setline(2778);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8995 = gc_frame_new();
// Begin line 2779
  setline(2779);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8996 = gc_frame_new();
// compilenode returning *var_nxt
  partcv[0] = 0;
  Object call8997 = callmethod(*var_nxt, "value",
    1, partcv, params);
  gc_frame_end(callframe8996);
// compilenode returning call8997
// compilenode returning call8997
  gc_frame_newslot(call8997);
// compilenode returning *var_part
  params[0] = call8997;
  partcv[0] = 1;
  Object call8998 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe8995);
// compilenode returning call8998
// compilenode returning done
// Begin line 2781
  setline(2781);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2780
  setline(2780);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool8999 = alloc_Boolean(0);
// compilenode returning bool8999
  *var_vararg = bool8999;
  if (bool8999 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2787
  setline(2787);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2781
  setline(2781);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9001 = gc_frame_new();
  int callframe9002 = gc_frame_new();
  if (strlit9003 == NULL) {
    strlit9003 = alloc_String("lparen");
    gc_root(strlit9003);
  }
// compilenode returning strlit9003
  gc_frame_newslot(strlit9003);
  params[0] = strlit9003;
  partcv[0] = 1;
  Object call9004 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9002);
// compilenode returning call9004
  partcv[0] = 0;
  Object call9005 = callmethod(call9004, "not",
    1, partcv, params);
  gc_frame_end(callframe9001);
// compilenode returning call9005
// compilenode returning call9005
  Object if9000 = done;
  if (istrue(call9005)) {
// Begin line 2783
  setline(2783);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2782
  setline(2782);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9006 = gc_frame_new();
  int callframe9007 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9008 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9007);
// compilenode returning call9008
// compilenode returning call9008
  partcv[0] = 0;
  Object call9009 = callmethod(call9008, "new",
    1, partcv, params);
  gc_frame_end(callframe9006);
// compilenode returning call9009
// compilenode returning call9009
  *var_suggestion = call9009;
  if (call9009 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2783
  setline(2783);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9010 = gc_frame_new();
  if (strlit9011 == NULL) {
    strlit9011 = alloc_String("()");
    gc_root(strlit9011);
  }
// compilenode returning strlit9011
  gc_frame_newslot(strlit9011);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9011;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9012 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9010);
// compilenode returning call9012
// Begin line 2784
  setline(2784);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9013 = gc_frame_new();
  if (strlit9014 == NULL) {
    strlit9014 = alloc_String("A multi-part method must have parentheses around each part of the method.");
    gc_root(strlit9014);
  }
// compilenode returning strlit9014
  gc_frame_newslot(strlit9014);
// Begin line 2785
  setline(2785);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9015 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9016 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe9015);
// compilenode returning call9016
// compilenode returning call9016
  gc_frame_newslot(call9016);
  int callframe9017 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9018 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9017);
// compilenode returning call9018
// compilenode returning call9018
  gc_frame_newslot(call9018);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2784
  setline(2784);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9014;
  params[1] = call9016;
  params[2] = call9018;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9019 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9013);
// compilenode returning call9019
    gc_frame_newslot(call9019);
    if9000 = call9019;
  } else {
  }
// compilenode returning if9000
// Begin line 2787
  setline(2787);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9020 = gc_frame_new();
  partcv[0] = 0;
  Object call9021 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9020);
// compilenode returning call9021
// Begin line 2789
  setline(2789);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2788
  setline(2788);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9022 = alloc_Boolean(0);
// compilenode returning bool9022
  *var_comma = bool9022;
  if (bool9022 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2789
  setline(2789);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9023 = gc_frame_new();
  Object block9024 = alloc_Block(NULL, NULL, "parser", 2789);
  gc_frame_newslot(block9024);
  block_savedest(block9024);
  Object closure9025 = createclosure(2, "_apply");
setclosureframe(closure9025, stackframe);
  addtoclosure(closure9025, var_sym);
  addtoclosure(closure9025, selfslot);
  struct UserObject *uo9025 = (struct UserObject*)block9024;
  uo9025->data[0] = (Object)closure9025;
  Method *meth_meth_parser__apply9025 = addmethod2pos(block9024, "_apply", &meth_parser__apply9025, 0);
int argcv_meth_parser__apply9025[] = {0};
meth_meth_parser__apply9025->type = alloc_MethodType(1, argcv_meth_parser__apply9025);
  meth_meth_parser__apply9025->definitionModule = modulename;
  meth_meth_parser__apply9025->definitionLine = 2785;
// compilenode returning block9024
  gc_frame_newslot(block9024);
// Begin line 2790
  setline(2790);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block9045 = alloc_Block(NULL, NULL, "parser", 2790);
  gc_frame_newslot(block9045);
  block_savedest(block9045);
  Object closure9046 = createclosure(10, "_apply");
setclosureframe(closure9046, stackframe);
  addtoclosure(closure9046, var_vararg);
  addtoclosure(closure9046, var_sym);
  addtoclosure(closure9046, var_errormessages);
  addtoclosure(closure9046, var_lastToken);
  addtoclosure(closure9046, var_comma);
  addtoclosure(closure9046, var_values);
  addtoclosure(closure9046, var_nxt);
  addtoclosure(closure9046, var_part);
  addtoclosure(closure9046, var_tm);
  addtoclosure(closure9046, selfslot);
  struct UserObject *uo9046 = (struct UserObject*)block9045;
  uo9046->data[0] = (Object)closure9046;
  Method *meth_meth_parser__apply9046 = addmethod2pos(block9045, "_apply", &meth_parser__apply9046, 0);
int argcv_meth_parser__apply9046[] = {0};
meth_meth_parser__apply9046->type = alloc_MethodType(1, argcv_meth_parser__apply9046);
  meth_meth_parser__apply9046->definitionModule = modulename;
  meth_meth_parser__apply9046->definitionLine = 2790;
// compilenode returning block9045
  gc_frame_newslot(block9045);
  params[0] = block9024;
  params[1] = block9045;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9168 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9023);
// compilenode returning call9168
// Begin line 2843
  setline(2843);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2837
  setline(2837);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9171 == NULL) {
    strlit9171 = alloc_String("rparen");
    gc_root(strlit9171);
  }
// compilenode returning strlit9171
  int op_slot_right_9170 = gc_frame_newslot(strlit9171);
  int callframe9173 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9174 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9173);
// compilenode returning call9174
// compilenode returning call9174
  int op_slot_left_9170 = gc_frame_newslot(call9174);
  params[0] = strlit9171;
  partcv[0] = 1;
  Object opresult9175 = callmethod(call9174, "!=", 1, partcv, params);
// compilenode returning opresult9175
  Object if9169 = done;
  if (istrue(opresult9175)) {
// Begin line 2839
  setline(2839);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2838
  setline(2838);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9176 = gc_frame_new();
  int callframe9177 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9178 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9177);
// compilenode returning call9178
// compilenode returning call9178
  partcv[0] = 0;
  Object call9179 = callmethod(call9178, "new",
    1, partcv, params);
  gc_frame_end(callframe9176);
// compilenode returning call9179
// compilenode returning call9179
  *var_suggestion = call9179;
  if (call9179 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2839
  setline(2839);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9180 = gc_frame_new();
  if (strlit9181 == NULL) {
    strlit9181 = alloc_String(")");
    gc_root(strlit9181);
  }
// compilenode returning strlit9181
  gc_frame_newslot(strlit9181);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9181;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9182 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9180);
// compilenode returning call9182
// Begin line 2840
  setline(2840);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9183 = gc_frame_new();
  if (strlit9184 == NULL) {
    strlit9184 = alloc_String("A part of a multi-part method beginning with a '(' must end with a ')'.");
    gc_root(strlit9184);
  }
// compilenode returning strlit9184
  gc_frame_newslot(strlit9184);
// Begin line 2841
  setline(2841);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9185 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9186 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9185);
// compilenode returning call9186
// compilenode returning call9186
  gc_frame_newslot(call9186);
  int callframe9188 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9189 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9188);
// compilenode returning call9189
// compilenode returning call9189
  int op_slot_right_9187 = gc_frame_newslot(call9189);
  int callframe9191 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9192 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9191);
// compilenode returning call9192
// compilenode returning call9192
  int op_slot_left_9187 = gc_frame_newslot(call9192);
  params[0] = call9189;
  partcv[0] = 1;
  Object sum9193 = callmethod(call9192, "+", 1, partcv, params);
// compilenode returning sum9193
  gc_frame_newslot(sum9193);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2840
  setline(2840);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9184;
  params[1] = call9186;
  params[2] = sum9193;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9194 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9183);
// compilenode returning call9194
    gc_frame_newslot(call9194);
    if9169 = call9194;
  } else {
  }
// compilenode returning if9169
// Begin line 2843
  setline(2843);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9195 = gc_frame_new();
  partcv[0] = 0;
  Object call9196 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9195);
// compilenode returning call9196
// Begin line 2844
  setline(2844);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9197 = gc_frame_new();
// compilenode returning *var_part
  gc_frame_newslot(*var_part);
// compilenode returning *var_signature
  params[0] = *var_part;
  partcv[0] = 1;
  Object call9198 = callmethod(*var_signature, "push",
    1, partcv, params);
  gc_frame_end(callframe9197);
// compilenode returning call9198
  gc_frame_end(frame);
  return call9198;
}
Object meth_parser_parsempmndecrest8948(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 47, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "parsempmndecrest");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  Object *var_ast = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_sym = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for parsempmndecrest (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tm = &(stackframe->slots[0]);
  *var_tm = args[curarg];
  curarg++;
  Object *var_sameline = &(stackframe->slots[1]);
  *var_sameline = args[curarg];
  curarg++;
if (argcv && argcv[0] > 2)
  gracedie("too many arguments for parsempmndecrest");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_methname = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "methname");
  Object *var_signature = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "signature");
  Object *var_nxt = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nxt");
// Begin line 2771
  setline(2771);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2770
  setline(2770);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8949 = gc_frame_new();
  int callframe8950 = gc_frame_new();
// compilenode returning *var_tm
  partcv[0] = 0;
  Object call8951 = callmethod(*var_tm, "value",
    1, partcv, params);
  gc_frame_end(callframe8950);
// compilenode returning call8951
// compilenode returning call8951
  partcv[0] = 0;
  Object call8952 = callmethod(call8951, "value",
    1, partcv, params);
  gc_frame_end(callframe8949);
// compilenode returning call8952
// compilenode returning call8952
  *var_methname = call8952;
  if (call8952 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2772
  setline(2772);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2771
  setline(2771);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe8953 = gc_frame_new();
// compilenode returning *var_tm
  partcv[0] = 0;
  Object call8954 = callmethod(*var_tm, "signature",
    1, partcv, params);
  gc_frame_end(callframe8953);
// compilenode returning call8954
// compilenode returning call8954
  *var_signature = call8954;
  if (call8954 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2773
  setline(2773);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_nxt = undefined;
// compilenode returning done
  int callframe8955 = gc_frame_new();
  Object block8956 = alloc_Block(NULL, NULL, "parser", 2773);
  gc_frame_newslot(block8956);
  block_savedest(block8956);
  Object closure8957 = createclosure(2, "_apply");
setclosureframe(closure8957, stackframe);
  addtoclosure(closure8957, var_sameline);
  addtoclosure(closure8957, selfslot);
  struct UserObject *uo8957 = (struct UserObject*)block8956;
  uo8957->data[0] = (Object)closure8957;
  Method *meth_meth_parser__apply8957 = addmethod2pos(block8956, "_apply", &meth_parser__apply8957, 0);
int argcv_meth_parser__apply8957[] = {0};
meth_meth_parser__apply8957->type = alloc_MethodType(1, argcv_meth_parser__apply8957);
  meth_meth_parser__apply8957->definitionModule = modulename;
  meth_meth_parser__apply8957->definitionLine = 2771;
// compilenode returning block8956
  gc_frame_newslot(block8956);
  Object block8973 = alloc_Block(NULL, NULL, "parser", 2773);
  gc_frame_newslot(block8973);
  block_savedest(block8973);
  Object closure8974 = createclosure(10, "_apply");
setclosureframe(closure8974, stackframe);
  addtoclosure(closure8974, var_methname);
  addtoclosure(closure8974, var_ast);
  addtoclosure(closure8974, var_values);
  addtoclosure(closure8974, var_nxt);
  addtoclosure(closure8974, var_errormessages);
  addtoclosure(closure8974, var_lastToken);
  addtoclosure(closure8974, var_sym);
  addtoclosure(closure8974, var_tm);
  addtoclosure(closure8974, var_signature);
  addtoclosure(closure8974, selfslot);
  struct UserObject *uo8974 = (struct UserObject*)block8973;
  uo8974->data[0] = (Object)closure8974;
  Method *meth_meth_parser__apply8974 = addmethod2pos(block8973, "_apply", &meth_parser__apply8974, 0);
int argcv_meth_parser__apply8974[] = {0};
meth_meth_parser__apply8974->type = alloc_MethodType(1, argcv_meth_parser__apply8974);
  meth_meth_parser__apply8974->definitionModule = modulename;
  meth_meth_parser__apply8974->definitionLine = 2771;
// compilenode returning block8973
  gc_frame_newslot(block8973);
  params[0] = block8956;
  params[1] = block8973;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9200 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8955);
// compilenode returning call9200
// Begin line 2846
  setline(2846);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9201 = gc_frame_new();
// compilenode returning *var_methname
  gc_frame_newslot(*var_methname);
  Object bool9202 = alloc_Boolean(0);
// compilenode returning bool9202
  gc_frame_newslot(bool9202);
  int callframe9203 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call9204 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe9203);
// compilenode returning call9204
// compilenode returning call9204
  params[0] = *var_methname;
  params[1] = bool9202;
  partcv[0] = 2;
  Object call9205 = callmethod(call9204, "new",
    1, partcv, params);
  gc_frame_end(callframe9201);
// compilenode returning call9205
  gc_frame_end(frame);
  return call9205;
}
Object meth_parser__apply9283(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit9285 == NULL) {
    strlit9285 = alloc_String("rsquare");
    gc_root(strlit9285);
  }
// compilenode returning strlit9285
  int op_slot_right_9284 = gc_frame_newslot(strlit9285);
  int callframe9287 = gc_frame_new();
  int callframe9288 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call9289 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe9288);
// compilenode returning call9289
// compilenode returning call9289
  partcv[0] = 0;
  Object call9290 = callmethod(call9289, "kind",
    1, partcv, params);
  gc_frame_end(callframe9287);
// compilenode returning call9290
// compilenode returning call9290
  int op_slot_left_9284 = gc_frame_newslot(call9290);
  params[0] = strlit9285;
  partcv[0] = 1;
  Object opresult9291 = callmethod(call9290, "==", 1, partcv, params);
// compilenode returning opresult9291
  gc_frame_end(frame);
  return opresult9291;
}
Object meth_parser__apply9407(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe9408 = gc_frame_new();
  if (strlit9409 == NULL) {
    strlit9409 = alloc_String("identifier");
    gc_root(strlit9409);
  }
// compilenode returning strlit9409
  gc_frame_newslot(strlit9409);
  params[0] = strlit9409;
  partcv[0] = 1;
  Object call9410 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9408);
// compilenode returning call9410
  gc_frame_end(frame);
  return call9410;
}
Object meth_parser__apply9413(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_genericIdents = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2893
  setline(2893);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9414 = gc_frame_new();
  partcv[0] = 0;
  Object call9415 = callmethodflags(self, "identifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9414);
// compilenode returning call9415
// Begin line 2894
  setline(2894);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9416 = gc_frame_new();
  int callframe9417 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call9418 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9417);
// compilenode returning call9418
// compilenode returning call9418
  gc_frame_newslot(call9418);
// compilenode returning *var_genericIdents
  params[0] = call9418;
  partcv[0] = 1;
  Object call9419 = callmethod(*var_genericIdents, "push",
    1, partcv, params);
  gc_frame_end(callframe9416);
// compilenode returning call9419
// Begin line 2898
  setline(2898);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2895
  setline(2895);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9421 = gc_frame_new();
  if (strlit9422 == NULL) {
    strlit9422 = alloc_String("comma");
    gc_root(strlit9422);
  }
// compilenode returning strlit9422
  gc_frame_newslot(strlit9422);
  params[0] = strlit9422;
  partcv[0] = 1;
  Object call9423 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9421);
// compilenode returning call9423
  Object if9420 = done;
  if (istrue(call9423)) {
// Begin line 2896
  setline(2896);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9424 = gc_frame_new();
  partcv[0] = 0;
  Object call9425 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9424);
// compilenode returning call9425
    gc_frame_newslot(call9425);
    if9420 = call9425;
  } else {
  }
// compilenode returning if9420
  gc_frame_end(frame);
  return if9420;
}
Object meth_parser__apply9527(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2926
  setline(2926);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9531 == NULL) {
    strlit9531 = alloc_String("*");
    gc_root(strlit9531);
  }
// compilenode returning strlit9531
  int op_slot_right_9530 = gc_frame_newslot(strlit9531);
  int callframe9533 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9534 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9533);
// compilenode returning call9534
// compilenode returning call9534
  int op_slot_left_9530 = gc_frame_newslot(call9534);
  params[0] = strlit9531;
  partcv[0] = 1;
  Object opresult9535 = callmethod(call9534, "==", 1, partcv, params);
// compilenode returning opresult9535
  int op_slot_right_9529 = gc_frame_newslot(opresult9535);
  int callframe9537 = gc_frame_new();
  if (strlit9538 == NULL) {
    strlit9538 = alloc_String("op");
    gc_root(strlit9538);
  }
// compilenode returning strlit9538
  gc_frame_newslot(strlit9538);
  params[0] = strlit9538;
  partcv[0] = 1;
  Object call9539 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9537);
// compilenode returning call9539
  int op_slot_left_9529 = gc_frame_newslot(call9539);
  params[0] = opresult9535;
  partcv[0] = 1;
  Object opresult9540 = callmethod(call9539, "&&", 1, partcv, params);
// compilenode returning opresult9540
  int op_slot_right_9528 = gc_frame_newslot(opresult9540);
// Begin line 2925
  setline(2925);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9542 = gc_frame_new();
  if (strlit9543 == NULL) {
    strlit9543 = alloc_String("identifier");
    gc_root(strlit9543);
  }
// compilenode returning strlit9543
  gc_frame_newslot(strlit9543);
  params[0] = strlit9543;
  partcv[0] = 1;
  Object call9544 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9542);
// compilenode returning call9544
  int op_slot_left_9528 = gc_frame_newslot(call9544);
  params[0] = opresult9540;
  partcv[0] = 1;
  Object opresult9545 = callmethod(call9544, "||", 1, partcv, params);
// compilenode returning opresult9545
  gc_frame_end(frame);
  return opresult9545;
}
Object meth_parser__apply9627(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe9628 = gc_frame_new();
  partcv[0] = 0;
  Object call9629 = callmethodflags(self, "dotyperef", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9628);
// compilenode returning call9629
  gc_frame_end(frame);
  return call9629;
}
Object meth_parser__apply9683(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe9686 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9687 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe9686);
// compilenode returning call9687
// compilenode returning call9687
  int op_slot_right_9685 = gc_frame_newslot(call9687);
  int callframe9689 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call9690 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe9689);
// compilenode returning call9690
// compilenode returning call9690
  int op_slot_left_9685 = gc_frame_newslot(call9690);
  params[0] = call9687;
  partcv[0] = 1;
  Object opresult9691 = callmethod(call9690, "==", 1, partcv, params);
// compilenode returning opresult9691
  int op_slot_right_9684 = gc_frame_newslot(opresult9691);
  if (strlit9694 == NULL) {
    strlit9694 = alloc_String("rparen");
    gc_root(strlit9694);
  }
// compilenode returning strlit9694
  int op_slot_right_9693 = gc_frame_newslot(strlit9694);
  int callframe9696 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call9697 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe9696);
// compilenode returning call9697
// compilenode returning call9697
  int op_slot_left_9693 = gc_frame_newslot(call9697);
  params[0] = strlit9694;
  partcv[0] = 1;
  Object opresult9698 = callmethod(call9697, "==", 1, partcv, params);
// compilenode returning opresult9698
  int op_slot_left_9684 = gc_frame_newslot(opresult9698);
  params[0] = opresult9691;
  partcv[0] = 1;
  Object opresult9699 = callmethod(opresult9698, "&&", 1, partcv, params);
// compilenode returning opresult9699
  gc_frame_end(frame);
  return opresult9699;
}
Object meth_parser__apply9548(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_comma = getfromclosure(closure, 3);
  Object *var_vararg = getfromclosure(closure, 4);
  Object *var_varargs = getfromclosure(closure, 5);
  Object *var_values = getfromclosure(closure, 6);
  Object *var_id = getfromclosure(closure, 7);
  Object *var_dtype = getfromclosure(closure, 8);
  Object *var_part = getfromclosure(closure, 9);
  Object *var_lparen = getfromclosure(closure, 10);
  Object self = *(getfromclosure(closure, 11));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_rparen = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "rparen");
// Begin line 2951
  setline(2951);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2929
  setline(2929);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9550 = gc_frame_new();
  if (strlit9551 == NULL) {
    strlit9551 = alloc_String("op");
    gc_root(strlit9551);
  }
// compilenode returning strlit9551
  gc_frame_newslot(strlit9551);
  params[0] = strlit9551;
  partcv[0] = 1;
  Object call9552 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9550);
// compilenode returning call9552
  Object if9549 = done;
  if (istrue(call9552)) {
// Begin line 2930
  setline(2930);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9553 = gc_frame_new();
  partcv[0] = 0;
  Object call9554 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9553);
// compilenode returning call9554
// Begin line 2948
  setline(2948);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2931
  setline(2931);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9557 == NULL) {
    strlit9557 = alloc_String("identifier");
    gc_root(strlit9557);
  }
// compilenode returning strlit9557
  int op_slot_right_9556 = gc_frame_newslot(strlit9557);
  int callframe9559 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9560 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9559);
// compilenode returning call9560
// compilenode returning call9560
  int op_slot_left_9556 = gc_frame_newslot(call9560);
  params[0] = strlit9557;
  partcv[0] = 1;
  Object opresult9561 = callmethod(call9560, "!=", 1, partcv, params);
// compilenode returning opresult9561
  Object if9555 = done;
  if (istrue(opresult9561)) {
// Begin line 2933
  setline(2933);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2932
  setline(2932);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array9562 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9562
  *var_suggestions = array9562;
  if (array9562 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2934
  setline(2934);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2933
  setline(2933);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9563 = gc_frame_new();
  int callframe9564 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9565 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9564);
// compilenode returning call9565
// compilenode returning call9565
  partcv[0] = 0;
  Object call9566 = callmethod(call9565, "new",
    1, partcv, params);
  gc_frame_end(callframe9563);
// compilenode returning call9566
// compilenode returning call9566
  *var_suggestion = call9566;
  if (call9566 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2934
  setline(2934);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9567 = gc_frame_new();
  if (strlit9568 == NULL) {
    strlit9568 = alloc_String("""\xc2""""\xab""parameter name""\xc2""""\xbb""");
    gc_root(strlit9568);
  }
// compilenode returning strlit9568
  gc_frame_newslot(strlit9568);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9568;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9569 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9567);
// compilenode returning call9569
// Begin line 2935
  setline(2935);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9570 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9571 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9570);
// compilenode returning call9571
// Begin line 2945
  setline(2945);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2936
  setline(2936);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9574 = alloc_Boolean(0);
// compilenode returning bool9574
  int op_slot_right_9573 = gc_frame_newslot(bool9574);
// compilenode returning *var_comma
  int op_slot_left_9573 = gc_frame_newslot(*var_comma);
  params[0] = bool9574;
  partcv[0] = 1;
  Object opresult9576 = callmethod(*var_comma, "==", 1, partcv, params);
// compilenode returning opresult9576
  Object if9572 = done;
  if (istrue(opresult9576)) {
// Begin line 2938
  setline(2938);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2937
  setline(2937);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9577 = gc_frame_new();
  int callframe9578 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9579 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9578);
// compilenode returning call9579
// compilenode returning call9579
  partcv[0] = 0;
  Object call9580 = callmethod(call9579, "new",
    1, partcv, params);
  gc_frame_end(callframe9577);
// compilenode returning call9580
// compilenode returning call9580
  *var_suggestion = call9580;
  if (call9580 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2938
  setline(2938);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9582 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call9583 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe9582);
// compilenode returning call9583
// Begin line 2939
  setline(2939);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9584 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9585 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9584);
// compilenode returning call9585
    gc_frame_newslot(call9585);
    if9572 = call9585;
  } else {
// Begin line 2942
  setline(2942);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2941
  setline(2941);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9586 = gc_frame_new();
  int callframe9587 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9588 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9587);
// compilenode returning call9588
// compilenode returning call9588
  partcv[0] = 0;
  Object call9589 = callmethod(call9588, "new",
    1, partcv, params);
  gc_frame_end(callframe9586);
// compilenode returning call9589
// compilenode returning call9589
  *var_suggestion = call9589;
  if (call9589 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2942
  setline(2942);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9591 = gc_frame_new();
// compilenode returning *var_comma
  gc_frame_newslot(*var_comma);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = *var_comma;
  params[1] = *var_lastToken;
  partcv[0] = 2;
  Object call9592 = callmethod(*var_suggestion, "deleteTokenRange",
    1, partcv, params);
  gc_frame_end(callframe9591);
// compilenode returning call9592
// Begin line 2943
  setline(2943);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9593 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9594 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9593);
// compilenode returning call9594
    gc_frame_newslot(call9594);
    if9572 = call9594;
  }
// compilenode returning if9572
// Begin line 2945
  setline(2945);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9595 = gc_frame_new();
  if (strlit9596 == NULL) {
    strlit9596 = alloc_String("A variable length parameter (a parameter beginning with a '*') must have a name after the '*'.");
    gc_root(strlit9596);
  }
// compilenode returning strlit9596
  gc_frame_newslot(strlit9596);
// Begin line 2946
  setline(2946);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9597 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9598 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9597);
// compilenode returning call9598
// compilenode returning call9598
  gc_frame_newslot(call9598);
  int callframe9600 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9601 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9600);
// compilenode returning call9601
// compilenode returning call9601
  int op_slot_right_9599 = gc_frame_newslot(call9601);
  int callframe9603 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9604 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9603);
// compilenode returning call9604
// compilenode returning call9604
  int op_slot_left_9599 = gc_frame_newslot(call9604);
  params[0] = call9601;
  partcv[0] = 1;
  Object sum9605 = callmethod(call9604, "+", 1, partcv, params);
// compilenode returning sum9605
  gc_frame_newslot(sum9605);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2945
  setline(2945);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9596;
  params[1] = call9598;
  params[2] = sum9605;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9606 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe9595);
// compilenode returning call9606
    gc_frame_newslot(call9606);
    if9555 = call9606;
  } else {
  }
// compilenode returning if9555
// Begin line 2949
  setline(2949);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2948
  setline(2948);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9607 = alloc_Boolean(1);
// compilenode returning bool9607
  *var_vararg = bool9607;
  if (bool9607 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2950
  setline(2950);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2949
  setline(2949);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9609 = alloc_Boolean(1);
// compilenode returning bool9609
  *var_varargs = bool9609;
  if (bool9609 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if9549 = done;
  } else {
  }
// compilenode returning if9549
// Begin line 2951
  setline(2951);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9611 = gc_frame_new();
  partcv[0] = 0;
  Object call9612 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9611);
// compilenode returning call9612
// Begin line 2953
  setline(2953);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2952
  setline(2952);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9613 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call9614 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9613);
// compilenode returning call9614
// compilenode returning call9614
  *var_id = call9614;
  if (call9614 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2954
  setline(2954);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2953
  setline(2953);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9616 = alloc_Boolean(0);
// compilenode returning bool9616
  *var_dtype = bool9616;
  if (bool9616 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2971
  setline(2971);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2954
  setline(2954);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9619 = gc_frame_new();
  if (strlit9620 == NULL) {
    strlit9620 = alloc_String("colon");
    gc_root(strlit9620);
  }
// compilenode returning strlit9620
  gc_frame_newslot(strlit9620);
  params[0] = strlit9620;
  partcv[0] = 1;
  Object call9621 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9619);
// compilenode returning call9621
  Object if9618 = done;
  if (istrue(call9621)) {
// Begin line 2955
  setline(2955);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9622 = gc_frame_new();
  partcv[0] = 0;
  Object call9623 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9622);
// compilenode returning call9623
// Begin line 2970
  setline(2970);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2956
  setline(2956);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9625 = gc_frame_new();
  Object block9626 = alloc_Block(NULL, NULL, "parser", 2956);
  gc_frame_newslot(block9626);
  block_savedest(block9626);
  Object closure9627 = createclosure(1, "_apply");
setclosureframe(closure9627, stackframe);
  addtoclosure(closure9627, selfslot);
  struct UserObject *uo9627 = (struct UserObject*)block9626;
  uo9627->data[0] = (Object)closure9627;
  Method *meth_meth_parser__apply9627 = addmethod2pos(block9626, "_apply", &meth_parser__apply9627, 0);
int argcv_meth_parser__apply9627[] = {0};
meth_meth_parser__apply9627->type = alloc_MethodType(1, argcv_meth_parser__apply9627);
  meth_meth_parser__apply9627->definitionModule = modulename;
  meth_meth_parser__apply9627->definitionLine = 2952;
// compilenode returning block9626
  gc_frame_newslot(block9626);
  params[0] = block9626;
  partcv[0] = 1;
  Object call9631 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9625);
// compilenode returning call9631
  Object if9624 = done;
  if (istrue(call9631)) {
// Begin line 2958
  setline(2958);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2957
  setline(2957);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9632 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call9633 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9632);
// compilenode returning call9633
// compilenode returning call9633
  *var_dtype = call9633;
  if (call9633 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if9624 = done;
  } else {
// Begin line 2959
  setline(2959);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9635 = gc_frame_new();
  partcv[0] = 0;
  Object call9636 = callmethodflags(self, "checkBadAnonymousType", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9635);
// compilenode returning call9636
// Begin line 2961
  setline(2961);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2960
  setline(2960);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array9637 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9637
  *var_suggestions = array9637;
  if (array9637 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2962
  setline(2962);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2961
  setline(2961);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9638 = gc_frame_new();
  int callframe9639 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9640 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9639);
// compilenode returning call9640
// compilenode returning call9640
  partcv[0] = 0;
  Object call9641 = callmethod(call9640, "new",
    1, partcv, params);
  gc_frame_end(callframe9638);
// compilenode returning call9641
// compilenode returning call9641
  *var_suggestion = call9641;
  if (call9641 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2962
  setline(2962);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9642 = gc_frame_new();
  if (strlit9643 == NULL) {
    strlit9643 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit9643);
  }
// compilenode returning strlit9643
  gc_frame_newslot(strlit9643);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9643;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9644 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9642);
// compilenode returning call9644
// Begin line 2963
  setline(2963);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9645 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9646 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9645);
// compilenode returning call9646
// Begin line 2965
  setline(2965);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2964
  setline(2964);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9647 = gc_frame_new();
  int callframe9648 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9649 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9648);
// compilenode returning call9649
// compilenode returning call9649
  partcv[0] = 0;
  Object call9650 = callmethod(call9649, "new",
    1, partcv, params);
  gc_frame_end(callframe9647);
// compilenode returning call9650
// compilenode returning call9650
  *var_suggestion = call9650;
  if (call9650 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2965
  setline(2965);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9652 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  Object bool9653 = alloc_Boolean(1);
// compilenode returning bool9653
  gc_frame_newslot(bool9653);
  Object bool9654 = alloc_Boolean(0);
// compilenode returning bool9654
  gc_frame_newslot(bool9654);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = bool9653;
  params[2] = bool9654;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call9655 = callmethod(*var_suggestion, "deleteToken()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe9652);
// compilenode returning call9655
// Begin line 2966
  setline(2966);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9656 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9657 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9656);
// compilenode returning call9657
// Begin line 2967
  setline(2967);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9658 = gc_frame_new();
  if (strlit9659 == NULL) {
    strlit9659 = alloc_String("A type name or type expression must follow ':'.");
    gc_root(strlit9659);
  }
// compilenode returning strlit9659
  gc_frame_newslot(strlit9659);
// Begin line 2968
  setline(2968);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9660 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9661 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe9660);
// compilenode returning call9661
// compilenode returning call9661
  gc_frame_newslot(call9661);
  int callframe9662 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9663 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9662);
// compilenode returning call9663
// compilenode returning call9663
  gc_frame_newslot(call9663);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2967
  setline(2967);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9659;
  params[1] = call9661;
  params[2] = call9663;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9664 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe9658);
// compilenode returning call9664
    gc_frame_newslot(call9664);
    if9624 = call9664;
  }
// compilenode returning if9624
    gc_frame_newslot(if9624);
    if9618 = if9624;
  } else {
  }
// compilenode returning if9618
// Begin line 2972
  setline(2972);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2968
  setline(2968);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9665 = gc_frame_new();
// Begin line 2971
  setline(2971);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_dtype
  gc_frame_newslot(*var_dtype);
// compilenode returning *var_id
  params[0] = *var_dtype;
  partcv[0] = 1;
  Object call9666 = callmethod(*var_id, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe9665);
// compilenode returning call9666
// compilenode returning done
// Begin line 2991
  setline(2991);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2972
  setline(2972);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_vararg
  Object if9667 = done;
  if (istrue(*var_vararg)) {
// Begin line 2974
  setline(2974);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2968
  setline(2968);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9668 = gc_frame_new();
// Begin line 2973
  setline(2973);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_id
  gc_frame_newslot(*var_id);
// compilenode returning *var_part
  params[0] = *var_id;
  partcv[0] = 1;
  Object call9669 = callmethod(*var_part, "vararg:=",
    1, partcv, params);
  gc_frame_end(callframe9668);
// compilenode returning call9669
// compilenode returning done
// Begin line 2988
  setline(2988);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2974
  setline(2974);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9672 == NULL) {
    strlit9672 = alloc_String("rparen");
    gc_root(strlit9672);
  }
// compilenode returning strlit9672
  int op_slot_right_9671 = gc_frame_newslot(strlit9672);
  int callframe9674 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9675 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9674);
// compilenode returning call9675
// compilenode returning call9675
  int op_slot_left_9671 = gc_frame_newslot(call9675);
  params[0] = strlit9672;
  partcv[0] = 1;
  Object opresult9676 = callmethod(call9675, "!=", 1, partcv, params);
// compilenode returning opresult9676
  Object if9670 = done;
  if (istrue(opresult9676)) {
// Begin line 2976
  setline(2976);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2975
  setline(2975);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9677 = gc_frame_new();
  int callframe9678 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9679 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9678);
// compilenode returning call9679
// compilenode returning call9679
  partcv[0] = 0;
  Object call9680 = callmethod(call9679, "new",
    1, partcv, params);
  gc_frame_end(callframe9677);
// compilenode returning call9680
// compilenode returning call9680
  *var_suggestion = call9680;
  if (call9680 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2976
  setline(2976);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9681 = gc_frame_new();
  Object block9682 = alloc_Block(NULL, NULL, "parser", 2976);
  gc_frame_newslot(block9682);
  block_savedest(block9682);
  Object closure9683 = createclosure(2, "_apply");
setclosureframe(closure9683, stackframe);
  addtoclosure(closure9683, var_sym);
  addtoclosure(closure9683, selfslot);
  struct UserObject *uo9683 = (struct UserObject*)block9682;
  uo9683->data[0] = (Object)closure9683;
  Method *meth_meth_parser__apply9683 = addmethod2pos(block9682, "_apply", &meth_parser__apply9683, 0);
int argcv_meth_parser__apply9683[] = {1};
meth_meth_parser__apply9683->type = alloc_MethodType(1, argcv_meth_parser__apply9683);
  meth_meth_parser__apply9683->definitionModule = modulename;
  meth_meth_parser__apply9683->definitionLine = 2975;
// compilenode returning block9682
  gc_frame_newslot(block9682);
  params[0] = block9682;
  partcv[0] = 1;
  Object call9701 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9681);
// compilenode returning call9701
  *var_rparen = call9701;
  if (call9701 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2987
  setline(2987);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2977
  setline(2977);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9705 = alloc_Boolean(0);
// compilenode returning bool9705
  int op_slot_right_9704 = gc_frame_newslot(bool9705);
// compilenode returning *var_rparen
  int op_slot_left_9704 = gc_frame_newslot(*var_rparen);
  params[0] = bool9705;
  partcv[0] = 1;
  Object opresult9707 = callmethod(*var_rparen, "!=", 1, partcv, params);
// compilenode returning opresult9707
  int op_slot_right_9703 = gc_frame_newslot(opresult9707);
  if (strlit9710 == NULL) {
    strlit9710 = alloc_String("comma");
    gc_root(strlit9710);
  }
// compilenode returning strlit9710
  int op_slot_right_9709 = gc_frame_newslot(strlit9710);
  int callframe9712 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9713 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9712);
// compilenode returning call9713
// compilenode returning call9713
  int op_slot_left_9709 = gc_frame_newslot(call9713);
  params[0] = strlit9710;
  partcv[0] = 1;
  Object opresult9714 = callmethod(call9713, "==", 1, partcv, params);
// compilenode returning opresult9714
  int op_slot_left_9703 = gc_frame_newslot(opresult9714);
  params[0] = opresult9707;
  partcv[0] = 1;
  Object opresult9715 = callmethod(opresult9714, "&&", 1, partcv, params);
// compilenode returning opresult9715
  Object if9702 = done;
  if (istrue(opresult9715)) {
// Begin line 2978
  setline(2978);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9716 = gc_frame_new();
  if (strlit9718 == NULL) {
    strlit9718 = alloc_String("");
    gc_root(strlit9718);
  }
// compilenode returning strlit9718
  int op_slot_right_9717 = gc_frame_newslot(strlit9718);
  int callframe9721 = gc_frame_new();
// compilenode returning *var_id
  partcv[0] = 0;
  Object call9722 = callmethod(*var_id, "value",
    1, partcv, params);
  gc_frame_end(callframe9721);
// compilenode returning call9722
// compilenode returning call9722
  int op_slot_right_9720 = gc_frame_newslot(call9722);
  if (strlit9724 == NULL) {
    strlit9724 = alloc_String(",*");
    gc_root(strlit9724);
  }
// compilenode returning strlit9724
  int op_slot_left_9720 = gc_frame_newslot(strlit9724);
  params[0] = call9722;
  partcv[0] = 1;
  Object opresult9725 = callmethod(strlit9724, "++", 1, partcv, params);
// compilenode returning opresult9725
  int op_slot_left_9717 = gc_frame_newslot(opresult9725);
  params[0] = strlit9718;
  partcv[0] = 1;
  Object opresult9726 = callmethod(opresult9725, "++", 1, partcv, params);
// compilenode returning opresult9726
  gc_frame_newslot(opresult9726);
// compilenode returning *var_rparen
  gc_frame_newslot(*var_rparen);
// compilenode returning *var_suggestion
  params[0] = opresult9726;
  params[1] = *var_rparen;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9727 = callmethod(*var_suggestion, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe9716);
// compilenode returning call9727
// Begin line 2979
  setline(2979);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9728 = gc_frame_new();
  int callframe9729 = gc_frame_new();
// compilenode returning *var_lparen
  partcv[0] = 0;
  Object call9730 = callmethod(*var_lparen, "next",
    1, partcv, params);
  gc_frame_end(callframe9729);
// compilenode returning call9730
// compilenode returning call9730
  gc_frame_newslot(call9730);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool9731 = alloc_Boolean(1);
// compilenode returning bool9731
  gc_frame_newslot(bool9731);
  Object bool9732 = alloc_Boolean(0);
// compilenode returning bool9732
  gc_frame_newslot(bool9732);
// compilenode returning *var_suggestion
  params[0] = call9730;
  params[1] = *var_sym;
  params[2] = bool9731;
  params[3] = bool9732;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call9733 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe9728);
// compilenode returning call9733
// Begin line 2980
  setline(2980);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9734 = gc_frame_new();
  if (strlit9735 == NULL) {
    strlit9735 = alloc_String("A variable length parameter (a parameter beginning with a '*') cannot have any more parameters after it.");
    gc_root(strlit9735);
  }
// compilenode returning strlit9735
  gc_frame_newslot(strlit9735);
// Begin line 2981
  setline(2981);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9736 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9737 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9736);
// compilenode returning call9737
// compilenode returning call9737
  gc_frame_newslot(call9737);
  int callframe9738 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9739 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9738);
// compilenode returning call9739
// compilenode returning call9739
  gc_frame_newslot(call9739);
  Object num9741 = alloc_Float64(1);
// compilenode returning num9741
  int op_slot_right_9740 = gc_frame_newslot(num9741);
  int callframe9743 = gc_frame_new();
// compilenode returning *var_rparen
  partcv[0] = 0;
  Object call9744 = callmethod(*var_rparen, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9743);
// compilenode returning call9744
// compilenode returning call9744
  int op_slot_left_9740 = gc_frame_newslot(call9744);
  params[0] = num9741;
  partcv[0] = 1;
  Object diff9745 = callmethod(call9744, "-", 1, partcv, params);
// compilenode returning diff9745
  gc_frame_newslot(diff9745);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2980
  setline(2980);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9735;
  params[1] = call9737;
  params[2] = call9739;
  params[3] = diff9745;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call9746 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9734);
// compilenode returning call9746
    gc_frame_newslot(call9746);
    if9702 = call9746;
  } else {
// Begin line 2983
  setline(2983);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9747 = gc_frame_new();
  if (strlit9748 == NULL) {
    strlit9748 = alloc_String(")");
    gc_root(strlit9748);
  }
// compilenode returning strlit9748
  gc_frame_newslot(strlit9748);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9748;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9749 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9747);
// compilenode returning call9749
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9750 = gc_frame_new();
  if (strlit9751 == NULL) {
    strlit9751 = alloc_String("A part of a method beginning with a '(' must end with a ')'.");
    gc_root(strlit9751);
  }
// compilenode returning strlit9751
  gc_frame_newslot(strlit9751);
// Begin line 2985
  setline(2985);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9752 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9753 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9752);
// compilenode returning call9753
// compilenode returning call9753
  gc_frame_newslot(call9753);
  int callframe9755 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9756 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9755);
// compilenode returning call9756
// compilenode returning call9756
  int op_slot_right_9754 = gc_frame_newslot(call9756);
  int callframe9758 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9759 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9758);
// compilenode returning call9759
// compilenode returning call9759
  int op_slot_left_9754 = gc_frame_newslot(call9759);
  params[0] = call9756;
  partcv[0] = 1;
  Object sum9760 = callmethod(call9759, "+", 1, partcv, params);
// compilenode returning sum9760
  gc_frame_newslot(sum9760);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9751;
  params[1] = call9753;
  params[2] = sum9760;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9761 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9750);
// compilenode returning call9761
    gc_frame_newslot(call9761);
    if9702 = call9761;
  }
// compilenode returning if9702
    gc_frame_newslot(if9702);
    if9670 = if9702;
  } else {
  }
// compilenode returning if9670
    gc_frame_newslot(if9670);
    if9667 = if9670;
  } else {
// Begin line 2989
  setline(2989);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9762 = gc_frame_new();
// compilenode returning *var_id
  gc_frame_newslot(*var_id);
  int callframe9763 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9764 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe9763);
// compilenode returning call9764
// compilenode returning call9764
  params[0] = *var_id;
  partcv[0] = 1;
  Object call9765 = callmethod(call9764, "push",
    1, partcv, params);
  gc_frame_end(callframe9762);
// compilenode returning call9765
    gc_frame_newslot(call9765);
    if9667 = call9765;
  }
// compilenode returning if9667
// Begin line 3002
  setline(3002);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2991
  setline(2991);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9767 = gc_frame_new();
  if (strlit9768 == NULL) {
    strlit9768 = alloc_String("comma");
    gc_root(strlit9768);
  }
// compilenode returning strlit9768
  gc_frame_newslot(strlit9768);
  params[0] = strlit9768;
  partcv[0] = 1;
  Object call9769 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9767);
// compilenode returning call9769
  Object if9766 = done;
  if (istrue(call9769)) {
// Begin line 2993
  setline(2993);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2992
  setline(2992);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_comma = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2993
  setline(2993);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9771 = gc_frame_new();
  partcv[0] = 0;
  Object call9772 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9771);
// compilenode returning call9772
    gc_frame_newslot(call9772);
    if9766 = call9772;
  } else {
// Begin line 3002
  setline(3002);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2994
  setline(2994);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9775 == NULL) {
    strlit9775 = alloc_String("rparen");
    gc_root(strlit9775);
  }
// compilenode returning strlit9775
  int op_slot_right_9774 = gc_frame_newslot(strlit9775);
  int callframe9777 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9778 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9777);
// compilenode returning call9778
// compilenode returning call9778
  int op_slot_left_9774 = gc_frame_newslot(call9778);
  params[0] = strlit9775;
  partcv[0] = 1;
  Object opresult9779 = callmethod(call9778, "!=", 1, partcv, params);
// compilenode returning opresult9779
  Object if9773 = done;
  if (istrue(opresult9779)) {
// Begin line 3001
  setline(3001);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2995
  setline(2995);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9782 == NULL) {
    strlit9782 = alloc_String("rparen");
    gc_root(strlit9782);
  }
// compilenode returning strlit9782
  int op_slot_right_9781 = gc_frame_newslot(strlit9782);
  int callframe9784 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9785 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9784);
// compilenode returning call9785
// compilenode returning call9785
  int op_slot_left_9781 = gc_frame_newslot(call9785);
  params[0] = strlit9782;
  partcv[0] = 1;
  Object opresult9786 = callmethod(call9785, "!=", 1, partcv, params);
// compilenode returning opresult9786
  Object if9780 = done;
  if (istrue(opresult9786)) {
// Begin line 2997
  setline(2997);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2996
  setline(2996);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9787 = gc_frame_new();
  int callframe9788 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9789 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9788);
// compilenode returning call9789
// compilenode returning call9789
  partcv[0] = 0;
  Object call9790 = callmethod(call9789, "new",
    1, partcv, params);
  gc_frame_end(callframe9787);
// compilenode returning call9790
// compilenode returning call9790
  *var_suggestion = call9790;
  if (call9790 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2997
  setline(2997);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9791 = gc_frame_new();
  if (strlit9792 == NULL) {
    strlit9792 = alloc_String(")");
    gc_root(strlit9792);
  }
// compilenode returning strlit9792
  gc_frame_newslot(strlit9792);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9792;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9793 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9791);
// compilenode returning call9793
// Begin line 2998
  setline(2998);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9794 = gc_frame_new();
  if (strlit9795 == NULL) {
    strlit9795 = alloc_String("A part of a method beginning with a '(' must end with a ')'.");
    gc_root(strlit9795);
  }
// compilenode returning strlit9795
  gc_frame_newslot(strlit9795);
// Begin line 2999
  setline(2999);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9796 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9797 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9796);
// compilenode returning call9797
// compilenode returning call9797
  gc_frame_newslot(call9797);
  int callframe9799 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9800 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9799);
// compilenode returning call9800
// compilenode returning call9800
  int op_slot_right_9798 = gc_frame_newslot(call9800);
  int callframe9802 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9803 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9802);
// compilenode returning call9803
// compilenode returning call9803
  int op_slot_left_9798 = gc_frame_newslot(call9803);
  params[0] = call9800;
  partcv[0] = 1;
  Object sum9804 = callmethod(call9803, "+", 1, partcv, params);
// compilenode returning sum9804
  gc_frame_newslot(sum9804);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2998
  setline(2998);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9795;
  params[1] = call9797;
  params[2] = sum9804;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9805 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9794);
// compilenode returning call9805
    gc_frame_newslot(call9805);
    if9780 = call9805;
  } else {
  }
// compilenode returning if9780
    gc_frame_newslot(if9780);
    if9773 = if9780;
  } else {
  }
// compilenode returning if9773
    gc_frame_newslot(if9773);
    if9766 = if9773;
  }
// compilenode returning if9766
  gc_frame_end(frame);
  return if9766;
}
Object meth_parser__apply9821(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe9824 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9825 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9824);
// compilenode returning call9825
// compilenode returning call9825
  int op_slot_right_9823 = gc_frame_newslot(call9825);
  int callframe9827 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call9828 = callmethod(*var_t, "line",
    1, partcv, params);
  gc_frame_end(callframe9827);
// compilenode returning call9828
// compilenode returning call9828
  int op_slot_left_9823 = gc_frame_newslot(call9828);
  params[0] = call9825;
  partcv[0] = 1;
  Object opresult9829 = callmethod(call9828, "==", 1, partcv, params);
// compilenode returning opresult9829
  int op_slot_right_9822 = gc_frame_newslot(opresult9829);
  if (strlit9832 == NULL) {
    strlit9832 = alloc_String("rparen");
    gc_root(strlit9832);
  }
// compilenode returning strlit9832
  int op_slot_right_9831 = gc_frame_newslot(strlit9832);
  int callframe9834 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call9835 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe9834);
// compilenode returning call9835
// compilenode returning call9835
  int op_slot_left_9831 = gc_frame_newslot(call9835);
  params[0] = strlit9832;
  partcv[0] = 1;
  Object opresult9836 = callmethod(call9835, "==", 1, partcv, params);
// compilenode returning opresult9836
  int op_slot_left_9822 = gc_frame_newslot(opresult9836);
  params[0] = opresult9829;
  partcv[0] = 1;
  Object opresult9837 = callmethod(opresult9836, "&&", 1, partcv, params);
// compilenode returning opresult9837
  gc_frame_end(frame);
  return opresult9837;
}
Object meth_parser_methodsignature9206(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 48, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(21, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methodsignature");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  Object *var_tokens = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for methodsignature (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_sameline = &(stackframe->slots[0]);
  *var_sameline = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for methodsignature");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_meth = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "meth");
  Object *var_signature = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "signature");
  Object *var_part = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "part");
  Object *var_genericIdents = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "genericIdents");
  Object *var_suggestions = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "suggestions");
  Object *var_dtype = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "dtype");
  Object *var_varargs = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "varargs");
  Object *var_vararg = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "vararg");
  Object *var_lparen = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "lparen");
  Object *var_id = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "id");
  Object *var_comma = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "comma");
  Object *var_rparen = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "rparen");
  Object *var_tm = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "tm");
  Object *var_o = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "o");
// Begin line 2857
  setline(2857);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2851
  setline(2851);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9210 == NULL) {
    strlit9210 = alloc_String("lsquare");
    gc_root(strlit9210);
  }
// compilenode returning strlit9210
  int op_slot_right_9209 = gc_frame_newslot(strlit9210);
  int callframe9212 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9213 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9212);
// compilenode returning call9213
// compilenode returning call9213
  int op_slot_left_9209 = gc_frame_newslot(call9213);
  params[0] = strlit9210;
  partcv[0] = 1;
  Object opresult9214 = callmethod(call9213, "!=", 1, partcv, params);
// compilenode returning opresult9214
  int op_slot_right_9208 = gc_frame_newslot(opresult9214);
  if (strlit9218 == NULL) {
    strlit9218 = alloc_String("op");
    gc_root(strlit9218);
  }
// compilenode returning strlit9218
  int op_slot_right_9217 = gc_frame_newslot(strlit9218);
  int callframe9220 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9221 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9220);
// compilenode returning call9221
// compilenode returning call9221
  int op_slot_left_9217 = gc_frame_newslot(call9221);
  params[0] = strlit9218;
  partcv[0] = 1;
  Object opresult9222 = callmethod(call9221, "!=", 1, partcv, params);
// compilenode returning opresult9222
  int op_slot_right_9216 = gc_frame_newslot(opresult9222);
  if (strlit9225 == NULL) {
    strlit9225 = alloc_String("identifier");
    gc_root(strlit9225);
  }
// compilenode returning strlit9225
  int op_slot_right_9224 = gc_frame_newslot(strlit9225);
  int callframe9227 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9228 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9227);
// compilenode returning call9228
// compilenode returning call9228
  int op_slot_left_9224 = gc_frame_newslot(call9228);
  params[0] = strlit9225;
  partcv[0] = 1;
  Object opresult9229 = callmethod(call9228, "!=", 1, partcv, params);
// compilenode returning opresult9229
  int op_slot_left_9216 = gc_frame_newslot(opresult9229);
  params[0] = opresult9222;
  partcv[0] = 1;
  Object opresult9230 = callmethod(opresult9229, "&&", 1, partcv, params);
// compilenode returning opresult9230
  int op_slot_left_9208 = gc_frame_newslot(opresult9230);
  params[0] = opresult9214;
  partcv[0] = 1;
  Object opresult9231 = callmethod(opresult9230, "&&", 1, partcv, params);
// compilenode returning opresult9231
  Object if9207 = done;
  if (istrue(opresult9231)) {
// Begin line 2853
  setline(2853);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2852
  setline(2852);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9232 = gc_frame_new();
  int callframe9233 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9234 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9233);
// compilenode returning call9234
// compilenode returning call9234
  partcv[0] = 0;
  Object call9235 = callmethod(call9234, "new",
    1, partcv, params);
  gc_frame_end(callframe9232);
// compilenode returning call9235
// compilenode returning call9235
  *var_suggestion = call9235;
  if (call9235 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2853
  setline(2853);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9236 = gc_frame_new();
  if (strlit9237 == NULL) {
    strlit9237 = alloc_String(" ""\xc2""""\xab""method name""\xc2""""\xbb""");
    gc_root(strlit9237);
  }
// compilenode returning strlit9237
  gc_frame_newslot(strlit9237);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9237;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9238 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9236);
// compilenode returning call9238
// Begin line 2854
  setline(2854);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9239 = gc_frame_new();
  if (strlit9240 == NULL) {
    strlit9240 = alloc_String("A method name must either start with an identifier or '[]'.");
    gc_root(strlit9240);
  }
// compilenode returning strlit9240
  gc_frame_newslot(strlit9240);
// Begin line 2855
  setline(2855);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9241 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9242 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9241);
// compilenode returning call9242
// compilenode returning call9242
  gc_frame_newslot(call9242);
  int callframe9244 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9245 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9244);
// compilenode returning call9245
// compilenode returning call9245
  int op_slot_right_9243 = gc_frame_newslot(call9245);
  int callframe9247 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9248 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9247);
// compilenode returning call9248
// compilenode returning call9248
  int op_slot_left_9243 = gc_frame_newslot(call9248);
  params[0] = call9245;
  partcv[0] = 1;
  Object sum9249 = callmethod(call9248, "+", 1, partcv, params);
// compilenode returning sum9249
  gc_frame_newslot(sum9249);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2854
  setline(2854);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9240;
  params[1] = call9242;
  params[2] = sum9249;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9250 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9239);
// compilenode returning call9250
    gc_frame_newslot(call9250);
    if9207 = call9250;
  } else {
  }
// compilenode returning if9207
// Begin line 2857
  setline(2857);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9251 = gc_frame_new();
  partcv[0] = 0;
  Object call9252 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9251);
// compilenode returning call9252
// Begin line 2859
  setline(2859);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2858
  setline(2858);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9253 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call9254 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9253);
// compilenode returning call9254
// compilenode returning call9254
  *var_meth = call9254;
  if (call9254 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2860
  setline(2860);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2859
  setline(2859);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array9255 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9255
  *var_signature = array9255;
  if (array9255 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2860
  setline(2860);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9256 = gc_frame_new();
  int callframe9257 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9258 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9257);
// compilenode returning call9258
// compilenode returning call9258
  gc_frame_newslot(call9258);
  int callframe9259 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call9260 = callmethod(*var_ast, "signaturePart",
    1, partcv, params);
  gc_frame_end(callframe9259);
// compilenode returning call9260
// compilenode returning call9260
  params[0] = call9258;
  partcv[0] = 1;
  Object call9261 = callmethod(call9260, "new",
    1, partcv, params);
  gc_frame_end(callframe9256);
// compilenode returning call9261
  *var_part = call9261;
  if (call9261 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2862
  setline(2862);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2861
  setline(2861);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array9262 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9262
  *var_genericIdents = array9262;
  if (array9262 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2862
  setline(2862);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9263 = gc_frame_new();
// compilenode returning *var_part
  gc_frame_newslot(*var_part);
// compilenode returning *var_signature
  params[0] = *var_part;
  partcv[0] = 1;
  Object call9264 = callmethod(*var_signature, "push",
    1, partcv, params);
  gc_frame_end(callframe9263);
// compilenode returning call9264
// Begin line 2888
  setline(2888);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2863
  setline(2863);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9267 == NULL) {
    strlit9267 = alloc_String("[");
    gc_root(strlit9267);
  }
// compilenode returning strlit9267
  int op_slot_right_9266 = gc_frame_newslot(strlit9267);
  int callframe9269 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9270 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9269);
// compilenode returning call9270
// compilenode returning call9270
  int op_slot_left_9266 = gc_frame_newslot(call9270);
  params[0] = strlit9267;
  partcv[0] = 1;
  Object opresult9271 = callmethod(call9270, "==", 1, partcv, params);
// compilenode returning opresult9271
  Object if9265 = done;
  if (istrue(opresult9271)) {
// Begin line 2885
  setline(2885);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2864
  setline(2864);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9274 == NULL) {
    strlit9274 = alloc_String("rsquare");
    gc_root(strlit9274);
  }
// compilenode returning strlit9274
  int op_slot_right_9273 = gc_frame_newslot(strlit9274);
  int callframe9276 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9277 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9276);
// compilenode returning call9277
// compilenode returning call9277
  int op_slot_left_9273 = gc_frame_newslot(call9277);
  params[0] = strlit9274;
  partcv[0] = 1;
  Object opresult9278 = callmethod(call9277, "!=", 1, partcv, params);
// compilenode returning opresult9278
  Object if9272 = done;
  if (istrue(opresult9278)) {
// Begin line 2884
  setline(2884);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2866
  setline(2866);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9281 = gc_frame_new();
  Object block9282 = alloc_Block(NULL, NULL, "parser", 2866);
  gc_frame_newslot(block9282);
  block_savedest(block9282);
  Object closure9283 = createclosure(2, "_apply");
setclosureframe(closure9283, stackframe);
  addtoclosure(closure9283, var_tokens);
  addtoclosure(closure9283, selfslot);
  struct UserObject *uo9283 = (struct UserObject*)block9282;
  uo9283->data[0] = (Object)closure9283;
  Method *meth_meth_parser__apply9283 = addmethod2pos(block9282, "_apply", &meth_parser__apply9283, 0);
int argcv_meth_parser__apply9283[] = {0};
meth_meth_parser__apply9283->type = alloc_MethodType(1, argcv_meth_parser__apply9283);
  meth_meth_parser__apply9283->definitionModule = modulename;
  meth_meth_parser__apply9283->definitionLine = 2864;
// compilenode returning block9282
  gc_frame_newslot(block9282);
// Begin line 2865
  setline(2865);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num9294 = alloc_Float64(0);
// compilenode returning num9294
  int op_slot_right_9293 = gc_frame_newslot(num9294);
  int callframe9296 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call9297 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe9296);
// compilenode returning call9297
// compilenode returning call9297
  int op_slot_left_9293 = gc_frame_newslot(call9297);
  params[0] = num9294;
  partcv[0] = 1;
  Object opresult9298 = callmethod(call9297, "==", 1, partcv, params);
// compilenode returning opresult9298
  params[0] = block9282;
  partcv[0] = 1;
  Object call9299 = callmethod(opresult9298, "orElse",
    1, partcv, params);
  gc_frame_end(callframe9281);
// compilenode returning call9299
  int op_slot_right_9280 = gc_frame_newslot(call9299);
  if (strlit9302 == NULL) {
    strlit9302 = alloc_String("identifier");
    gc_root(strlit9302);
  }
// compilenode returning strlit9302
  int op_slot_right_9301 = gc_frame_newslot(strlit9302);
  int callframe9304 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9305 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9304);
// compilenode returning call9305
// compilenode returning call9305
  int op_slot_left_9301 = gc_frame_newslot(call9305);
  params[0] = strlit9302;
  partcv[0] = 1;
  Object opresult9306 = callmethod(call9305, "==", 1, partcv, params);
// compilenode returning opresult9306
  int op_slot_left_9280 = gc_frame_newslot(opresult9306);
  params[0] = call9299;
  partcv[0] = 1;
  Object opresult9307 = callmethod(opresult9306, "&&", 1, partcv, params);
// compilenode returning opresult9307
  Object if9279 = done;
  if (istrue(opresult9307)) {
// Begin line 2868
  setline(2868);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2867
  setline(2867);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array9308 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9308
  *var_suggestions = array9308;
  if (array9308 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2869
  setline(2869);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2868
  setline(2868);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9309 = gc_frame_new();
  int callframe9310 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9311 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9310);
// compilenode returning call9311
// compilenode returning call9311
  partcv[0] = 0;
  Object call9312 = callmethod(call9311, "new",
    1, partcv, params);
  gc_frame_end(callframe9309);
// compilenode returning call9312
// compilenode returning call9312
  *var_suggestion = call9312;
  if (call9312 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2876
  setline(2876);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2869
  setline(2869);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num9315 = alloc_Float64(0);
// compilenode returning num9315
  int op_slot_right_9314 = gc_frame_newslot(num9315);
  int callframe9317 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call9318 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe9317);
// compilenode returning call9318
// compilenode returning call9318
  int op_slot_left_9314 = gc_frame_newslot(call9318);
  params[0] = num9315;
  partcv[0] = 1;
  Object opresult9319 = callmethod(call9318, "==", 1, partcv, params);
// compilenode returning opresult9319
  Object if9313 = done;
  if (istrue(opresult9319)) {
// Begin line 2870
  setline(2870);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9320 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit9322 == NULL) {
    strlit9322 = alloc_String(")");
    gc_root(strlit9322);
  }
// compilenode returning strlit9322
  int op_slot_right_9321 = gc_frame_newslot(strlit9322);
  int callframe9325 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9326 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9325);
// compilenode returning call9326
// compilenode returning call9326
  int op_slot_right_9324 = gc_frame_newslot(call9326);
  if (strlit9328 == NULL) {
    strlit9328 = alloc_String("](");
    gc_root(strlit9328);
  }
// compilenode returning strlit9328
  int op_slot_left_9324 = gc_frame_newslot(strlit9328);
  params[0] = call9326;
  partcv[0] = 1;
  Object opresult9329 = callmethod(strlit9328, "++", 1, partcv, params);
// compilenode returning opresult9329
  int op_slot_left_9321 = gc_frame_newslot(opresult9329);
  params[0] = strlit9322;
  partcv[0] = 1;
  Object opresult9330 = callmethod(opresult9329, "++", 1, partcv, params);
// compilenode returning opresult9330
  gc_frame_newslot(opresult9330);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = opresult9330;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9331 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe9320);
// compilenode returning call9331
// Begin line 2871
  setline(2871);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9332 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9333 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9332);
// compilenode returning call9333
    gc_frame_newslot(call9333);
    if9313 = call9333;
  } else {
// Begin line 2876
  setline(2876);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2872
  setline(2872);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9336 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9337 = callmethod(*var_meth, "line",
    1, partcv, params);
  gc_frame_end(callframe9336);
// compilenode returning call9337
// compilenode returning call9337
  int op_slot_right_9335 = gc_frame_newslot(call9337);
  int callframe9339 = gc_frame_new();
  int callframe9340 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call9341 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe9340);
// compilenode returning call9341
// compilenode returning call9341
  partcv[0] = 0;
  Object call9342 = callmethod(call9341, "line",
    1, partcv, params);
  gc_frame_end(callframe9339);
// compilenode returning call9342
// compilenode returning call9342
  int op_slot_left_9335 = gc_frame_newslot(call9342);
  params[0] = call9337;
  partcv[0] = 1;
  Object opresult9343 = callmethod(call9342, "==", 1, partcv, params);
// compilenode returning opresult9343
  Object if9334 = done;
  if (istrue(opresult9343)) {
// Begin line 2873
  setline(2873);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9344 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe9345 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call9346 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe9345);
// compilenode returning call9346
// compilenode returning call9346
  gc_frame_newslot(call9346);
  if (strlit9348 == NULL) {
    strlit9348 = alloc_String(")");
    gc_root(strlit9348);
  }
// compilenode returning strlit9348
  int op_slot_right_9347 = gc_frame_newslot(strlit9348);
  int callframe9351 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9352 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9351);
// compilenode returning call9352
// compilenode returning call9352
  int op_slot_right_9350 = gc_frame_newslot(call9352);
  if (strlit9354 == NULL) {
    strlit9354 = alloc_String("](");
    gc_root(strlit9354);
  }
// compilenode returning strlit9354
  int op_slot_left_9350 = gc_frame_newslot(strlit9354);
  params[0] = call9352;
  partcv[0] = 1;
  Object opresult9355 = callmethod(strlit9354, "++", 1, partcv, params);
// compilenode returning opresult9355
  int op_slot_left_9347 = gc_frame_newslot(opresult9355);
  params[0] = strlit9348;
  partcv[0] = 1;
  Object opresult9356 = callmethod(opresult9355, "++", 1, partcv, params);
// compilenode returning opresult9356
  gc_frame_newslot(opresult9356);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call9346;
  params[2] = opresult9356;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call9357 = callmethod(*var_suggestion, "replaceTokenRange()with",
    2, partcv, params);
  gc_frame_end(callframe9344);
// compilenode returning call9357
// Begin line 2874
  setline(2874);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9358 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9359 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9358);
// compilenode returning call9359
    gc_frame_newslot(call9359);
    if9334 = call9359;
  } else {
  }
// compilenode returning if9334
    gc_frame_newslot(if9334);
    if9313 = if9334;
  }
// compilenode returning if9313
// Begin line 2876
  setline(2876);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9360 = gc_frame_new();
  if (strlit9361 == NULL) {
    strlit9361 = alloc_String("A method name beginning with '[]' must have the parameter name in parentheses after the '[]'.");
    gc_root(strlit9361);
  }
// compilenode returning strlit9361
  gc_frame_newslot(strlit9361);
// Begin line 2877
  setline(2877);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9362 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9363 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9362);
// compilenode returning call9363
// compilenode returning call9363
  gc_frame_newslot(call9363);
  int callframe9365 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9366 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9365);
// compilenode returning call9366
// compilenode returning call9366
  int op_slot_right_9364 = gc_frame_newslot(call9366);
  int callframe9368 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9369 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9368);
// compilenode returning call9369
// compilenode returning call9369
  int op_slot_left_9364 = gc_frame_newslot(call9369);
  params[0] = call9366;
  partcv[0] = 1;
  Object sum9370 = callmethod(call9369, "+", 1, partcv, params);
// compilenode returning sum9370
  gc_frame_newslot(sum9370);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2876
  setline(2876);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9361;
  params[1] = call9363;
  params[2] = sum9370;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9371 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe9360);
// compilenode returning call9371
    gc_frame_newslot(call9371);
    if9279 = call9371;
  } else {
// Begin line 2880
  setline(2880);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2879
  setline(2879);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9372 = gc_frame_new();
  int callframe9373 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9374 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9373);
// compilenode returning call9374
// compilenode returning call9374
  partcv[0] = 0;
  Object call9375 = callmethod(call9374, "new",
    1, partcv, params);
  gc_frame_end(callframe9372);
// compilenode returning call9375
// compilenode returning call9375
  *var_suggestion = call9375;
  if (call9375 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2880
  setline(2880);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9376 = gc_frame_new();
  if (strlit9377 == NULL) {
    strlit9377 = alloc_String("]");
    gc_root(strlit9377);
  }
// compilenode returning strlit9377
  gc_frame_newslot(strlit9377);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9377;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9378 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9376);
// compilenode returning call9378
// Begin line 2881
  setline(2881);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9379 = gc_frame_new();
  if (strlit9380 == NULL) {
    strlit9380 = alloc_String("A method name must either start with an identifier or '[]'.");
    gc_root(strlit9380);
  }
// compilenode returning strlit9380
  gc_frame_newslot(strlit9380);
// Begin line 2882
  setline(2882);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9381 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9382 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9381);
// compilenode returning call9382
// compilenode returning call9382
  gc_frame_newslot(call9382);
  int callframe9384 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9385 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9384);
// compilenode returning call9385
// compilenode returning call9385
  int op_slot_right_9383 = gc_frame_newslot(call9385);
  int callframe9387 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9388 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9387);
// compilenode returning call9388
// compilenode returning call9388
  int op_slot_left_9383 = gc_frame_newslot(call9388);
  params[0] = call9385;
  partcv[0] = 1;
  Object sum9389 = callmethod(call9388, "+", 1, partcv, params);
// compilenode returning sum9389
  gc_frame_newslot(sum9389);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2881
  setline(2881);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9380;
  params[1] = call9382;
  params[2] = sum9389;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9390 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9379);
// compilenode returning call9390
    gc_frame_newslot(call9390);
    if9279 = call9390;
  }
// compilenode returning if9279
    gc_frame_newslot(if9279);
    if9272 = if9279;
  } else {
  }
// compilenode returning if9272
// Begin line 2885
  setline(2885);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9391 = gc_frame_new();
  partcv[0] = 0;
  Object call9392 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9391);
// compilenode returning call9392
// Begin line 2887
  setline(2887);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2882
  setline(2882);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9393 = gc_frame_new();
// Begin line 2886
  setline(2886);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9394 == NULL) {
    strlit9394 = alloc_String("[]");
    gc_root(strlit9394);
  }
// compilenode returning strlit9394
  gc_frame_newslot(strlit9394);
// compilenode returning *var_meth
  params[0] = strlit9394;
  partcv[0] = 1;
  Object call9395 = callmethod(*var_meth, "value:=",
    1, partcv, params);
  gc_frame_end(callframe9393);
// compilenode returning call9395
// compilenode returning done
    gc_frame_newslot(done);
    if9265 = done;
  } else {
  }
// compilenode returning if9265
// Begin line 2907
  setline(2907);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2888
  setline(2888);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9397 = gc_frame_new();
  if (strlit9398 == NULL) {
    strlit9398 = alloc_String("lgeneric");
    gc_root(strlit9398);
  }
// compilenode returning strlit9398
  gc_frame_newslot(strlit9398);
  params[0] = strlit9398;
  partcv[0] = 1;
  Object call9399 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9397);
// compilenode returning call9399
  Object if9396 = done;
  if (istrue(call9399)) {
// Begin line 2890
  setline(2890);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9400 = gc_frame_new();
  partcv[0] = 0;
  Object call9401 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9400);
// compilenode returning call9401
// Begin line 2892
  setline(2892);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2891
  setline(2891);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9402 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9403 = callmethod(*var_part, "generics",
    1, partcv, params);
  gc_frame_end(callframe9402);
// compilenode returning call9403
// compilenode returning call9403
  *var_genericIdents = call9403;
  if (call9403 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2892
  setline(2892);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9405 = gc_frame_new();
  Object block9406 = alloc_Block(NULL, NULL, "parser", 2892);
  gc_frame_newslot(block9406);
  block_savedest(block9406);
  Object closure9407 = createclosure(1, "_apply");
setclosureframe(closure9407, stackframe);
  addtoclosure(closure9407, selfslot);
  struct UserObject *uo9407 = (struct UserObject*)block9406;
  uo9407->data[0] = (Object)closure9407;
  Method *meth_meth_parser__apply9407 = addmethod2pos(block9406, "_apply", &meth_parser__apply9407, 0);
int argcv_meth_parser__apply9407[] = {0};
meth_meth_parser__apply9407->type = alloc_MethodType(1, argcv_meth_parser__apply9407);
  meth_meth_parser__apply9407->definitionModule = modulename;
  meth_meth_parser__apply9407->definitionLine = 2891;
// compilenode returning block9406
  gc_frame_newslot(block9406);
  Object block9412 = alloc_Block(NULL, NULL, "parser", 2892);
  gc_frame_newslot(block9412);
  block_savedest(block9412);
  Object closure9413 = createclosure(3, "_apply");
setclosureframe(closure9413, stackframe);
  addtoclosure(closure9413, var_values);
  addtoclosure(closure9413, var_genericIdents);
  addtoclosure(closure9413, selfslot);
  struct UserObject *uo9413 = (struct UserObject*)block9412;
  uo9413->data[0] = (Object)closure9413;
  Method *meth_meth_parser__apply9413 = addmethod2pos(block9412, "_apply", &meth_parser__apply9413, 0);
int argcv_meth_parser__apply9413[] = {0};
meth_meth_parser__apply9413->type = alloc_MethodType(1, argcv_meth_parser__apply9413);
  meth_meth_parser__apply9413->definitionModule = modulename;
  meth_meth_parser__apply9413->definitionLine = 2891;
// compilenode returning block9412
  gc_frame_newslot(block9412);
  params[0] = block9406;
  params[1] = block9412;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9427 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9405);
// compilenode returning call9427
// Begin line 2905
  setline(2905);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2899
  setline(2899);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9430 == NULL) {
    strlit9430 = alloc_String("rgeneric");
    gc_root(strlit9430);
  }
// compilenode returning strlit9430
  int op_slot_right_9429 = gc_frame_newslot(strlit9430);
  int callframe9432 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9433 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9432);
// compilenode returning call9433
// compilenode returning call9433
  int op_slot_left_9429 = gc_frame_newslot(call9433);
  params[0] = strlit9430;
  partcv[0] = 1;
  Object opresult9434 = callmethod(call9433, "!=", 1, partcv, params);
// compilenode returning opresult9434
  Object if9428 = done;
  if (istrue(opresult9434)) {
// Begin line 2901
  setline(2901);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2900
  setline(2900);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9435 = gc_frame_new();
  int callframe9436 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9437 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9436);
// compilenode returning call9437
// compilenode returning call9437
  partcv[0] = 0;
  Object call9438 = callmethod(call9437, "new",
    1, partcv, params);
  gc_frame_end(callframe9435);
// compilenode returning call9438
// compilenode returning call9438
  *var_suggestion = call9438;
  if (call9438 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2901
  setline(2901);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9439 = gc_frame_new();
  if (strlit9440 == NULL) {
    strlit9440 = alloc_String(">");
    gc_root(strlit9440);
  }
// compilenode returning strlit9440
  gc_frame_newslot(strlit9440);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9440;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9441 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9439);
// compilenode returning call9441
// Begin line 2902
  setline(2902);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9442 = gc_frame_new();
  if (strlit9443 == NULL) {
    strlit9443 = alloc_String("A type containing a '<' must end with a '>'.");
    gc_root(strlit9443);
  }
// compilenode returning strlit9443
  gc_frame_newslot(strlit9443);
// Begin line 2903
  setline(2903);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9444 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9445 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9444);
// compilenode returning call9445
// compilenode returning call9445
  gc_frame_newslot(call9445);
  int callframe9447 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9448 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9447);
// compilenode returning call9448
// compilenode returning call9448
  int op_slot_right_9446 = gc_frame_newslot(call9448);
  int callframe9450 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9451 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9450);
// compilenode returning call9451
// compilenode returning call9451
  int op_slot_left_9446 = gc_frame_newslot(call9451);
  params[0] = call9448;
  partcv[0] = 1;
  Object sum9452 = callmethod(call9451, "+", 1, partcv, params);
// compilenode returning sum9452
  gc_frame_newslot(sum9452);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2902
  setline(2902);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9443;
  params[1] = call9445;
  params[2] = sum9452;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9453 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9442);
// compilenode returning call9453
    gc_frame_newslot(call9453);
    if9428 = call9453;
  } else {
  }
// compilenode returning if9428
// Begin line 2905
  setline(2905);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9454 = gc_frame_new();
  partcv[0] = 0;
  Object call9455 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9454);
// compilenode returning call9455
    gc_frame_newslot(call9455);
    if9396 = call9455;
  } else {
  }
// compilenode returning if9396
// Begin line 2916
  setline(2916);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2907
  setline(2907);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9457 = gc_frame_new();
  if (strlit9458 == NULL) {
    strlit9458 = alloc_String("bind");
    gc_root(strlit9458);
  }
// compilenode returning strlit9458
  gc_frame_newslot(strlit9458);
  params[0] = strlit9458;
  partcv[0] = 1;
  Object call9459 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9457);
// compilenode returning call9459
  Object if9456 = done;
  if (istrue(call9459)) {
// Begin line 2908
  setline(2908);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9460 = gc_frame_new();
  partcv[0] = 0;
  Object call9461 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9460);
// compilenode returning call9461
// Begin line 2910
  setline(2910);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2903
  setline(2903);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9462 = gc_frame_new();
// Begin line 2910
  setline(2910);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2909
  setline(2909);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9464 == NULL) {
    strlit9464 = alloc_String(":=");
    gc_root(strlit9464);
  }
// compilenode returning strlit9464
  int op_slot_right_9463 = gc_frame_newslot(strlit9464);
  int callframe9466 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9467 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9466);
// compilenode returning call9467
// compilenode returning call9467
  int op_slot_left_9463 = gc_frame_newslot(call9467);
  params[0] = strlit9464;
  partcv[0] = 1;
  Object opresult9468 = callmethod(call9467, "++", 1, partcv, params);
// compilenode returning opresult9468
  gc_frame_newslot(opresult9468);
// compilenode returning *var_meth
  params[0] = opresult9468;
  partcv[0] = 1;
  Object call9469 = callmethod(*var_meth, "value:=",
    1, partcv, params);
  gc_frame_end(callframe9462);
// compilenode returning call9469
// compilenode returning done
// Begin line 2911
  setline(2911);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2909
  setline(2909);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9470 = gc_frame_new();
// Begin line 2911
  setline(2911);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2910
  setline(2910);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9472 == NULL) {
    strlit9472 = alloc_String(":=");
    gc_root(strlit9472);
  }
// compilenode returning strlit9472
  int op_slot_right_9471 = gc_frame_newslot(strlit9472);
  int callframe9474 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9475 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe9474);
// compilenode returning call9475
// compilenode returning call9475
  int op_slot_left_9471 = gc_frame_newslot(call9475);
  params[0] = strlit9472;
  partcv[0] = 1;
  Object opresult9476 = callmethod(call9475, "++", 1, partcv, params);
// compilenode returning opresult9476
  gc_frame_newslot(opresult9476);
// compilenode returning *var_part
  params[0] = opresult9476;
  partcv[0] = 1;
  Object call9477 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe9470);
// compilenode returning call9477
// compilenode returning done
    gc_frame_newslot(done);
    if9456 = done;
  } else {
// Begin line 2916
  setline(2916);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2911
  setline(2911);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9481 == NULL) {
    strlit9481 = alloc_String("prefix");
    gc_root(strlit9481);
  }
// compilenode returning strlit9481
  int op_slot_right_9480 = gc_frame_newslot(strlit9481);
  int callframe9483 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9484 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9483);
// compilenode returning call9484
// compilenode returning call9484
  int op_slot_left_9480 = gc_frame_newslot(call9484);
  params[0] = strlit9481;
  partcv[0] = 1;
  Object opresult9485 = callmethod(call9484, "==", 1, partcv, params);
// compilenode returning opresult9485
  int op_slot_right_9479 = gc_frame_newslot(opresult9485);
  int callframe9487 = gc_frame_new();
  if (strlit9488 == NULL) {
    strlit9488 = alloc_String("op");
    gc_root(strlit9488);
  }
// compilenode returning strlit9488
  gc_frame_newslot(strlit9488);
  params[0] = strlit9488;
  partcv[0] = 1;
  Object call9489 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9487);
// compilenode returning call9489
  int op_slot_left_9479 = gc_frame_newslot(call9489);
  params[0] = opresult9485;
  partcv[0] = 1;
  Object opresult9490 = callmethod(call9489, "&&", 1, partcv, params);
// compilenode returning opresult9490
  Object if9478 = done;
  if (istrue(opresult9490)) {
// Begin line 2913
  setline(2913);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2911
  setline(2911);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9491 = gc_frame_new();
// Begin line 2913
  setline(2913);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2912
  setline(2912);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9493 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9494 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9493);
// compilenode returning call9494
// compilenode returning call9494
  int op_slot_right_9492 = gc_frame_newslot(call9494);
  int callframe9496 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9497 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9496);
// compilenode returning call9497
// compilenode returning call9497
  int op_slot_left_9492 = gc_frame_newslot(call9497);
  params[0] = call9494;
  partcv[0] = 1;
  Object opresult9498 = callmethod(call9497, "++", 1, partcv, params);
// compilenode returning opresult9498
  gc_frame_newslot(opresult9498);
// compilenode returning *var_meth
  params[0] = opresult9498;
  partcv[0] = 1;
  Object call9499 = callmethod(*var_meth, "value:=",
    1, partcv, params);
  gc_frame_end(callframe9491);
// compilenode returning call9499
// compilenode returning done
// Begin line 2914
  setline(2914);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2912
  setline(2912);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9500 = gc_frame_new();
// Begin line 2914
  setline(2914);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2913
  setline(2913);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9502 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9503 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9502);
// compilenode returning call9503
// compilenode returning call9503
  int op_slot_right_9501 = gc_frame_newslot(call9503);
  int callframe9505 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9506 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe9505);
// compilenode returning call9506
// compilenode returning call9506
  int op_slot_left_9501 = gc_frame_newslot(call9506);
  params[0] = call9503;
  partcv[0] = 1;
  Object opresult9507 = callmethod(call9506, "++", 1, partcv, params);
// compilenode returning opresult9507
  gc_frame_newslot(opresult9507);
// compilenode returning *var_part
  params[0] = opresult9507;
  partcv[0] = 1;
  Object call9508 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe9500);
// compilenode returning call9508
// compilenode returning done
// Begin line 2914
  setline(2914);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9509 = gc_frame_new();
  partcv[0] = 0;
  Object call9510 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9509);
// compilenode returning call9510
    gc_frame_newslot(call9510);
    if9478 = call9510;
  } else {
  }
// compilenode returning if9478
    gc_frame_newslot(if9478);
    if9456 = if9478;
  }
// compilenode returning if9456
// Begin line 2917
  setline(2917);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2916
  setline(2916);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9511 = alloc_Boolean(0);
// compilenode returning bool9511
  *var_dtype = bool9511;
  if (bool9511 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2918
  setline(2918);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2917
  setline(2917);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9512 = alloc_Boolean(0);
// compilenode returning bool9512
  *var_varargs = bool9512;
  if (bool9512 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2919
  setline(2919);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2918
  setline(2918);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9513 = alloc_Boolean(0);
// compilenode returning bool9513
  *var_vararg = bool9513;
  if (bool9513 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3027
  setline(3027);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2919
  setline(2919);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9515 = gc_frame_new();
  if (strlit9516 == NULL) {
    strlit9516 = alloc_String("lparen");
    gc_root(strlit9516);
  }
// compilenode returning strlit9516
  gc_frame_newslot(strlit9516);
  params[0] = strlit9516;
  partcv[0] = 1;
  Object call9517 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9515);
// compilenode returning call9517
  Object if9514 = done;
  if (istrue(call9517)) {
// Begin line 2921
  setline(2921);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2920
  setline(2920);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_lparen = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2922
  setline(2922);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2913
  setline(2913);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9518 = gc_frame_new();
// Begin line 2921
  setline(2921);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9519 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9520 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9519);
// compilenode returning call9520
// compilenode returning call9520
  gc_frame_newslot(call9520);
// compilenode returning *var_part
  params[0] = call9520;
  partcv[0] = 1;
  Object call9521 = callmethod(*var_part, "linePos:=",
    1, partcv, params);
  gc_frame_end(callframe9518);
// compilenode returning call9521
// compilenode returning done
// Begin line 2922
  setline(2922);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9522 = gc_frame_new();
  partcv[0] = 0;
  Object call9523 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9522);
// compilenode returning call9523
// Begin line 2924
  setline(2924);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_id = undefined;
// compilenode returning done
// Begin line 2925
  setline(2925);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2924
  setline(2924);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9524 = alloc_Boolean(0);
// compilenode returning bool9524
  *var_comma = bool9524;
  if (bool9524 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2925
  setline(2925);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9525 = gc_frame_new();
  Object block9526 = alloc_Block(NULL, NULL, "parser", 2925);
  gc_frame_newslot(block9526);
  block_savedest(block9526);
  Object closure9527 = createclosure(2, "_apply");
setclosureframe(closure9527, stackframe);
  addtoclosure(closure9527, var_sym);
  addtoclosure(closure9527, selfslot);
  struct UserObject *uo9527 = (struct UserObject*)block9526;
  uo9527->data[0] = (Object)closure9527;
  Method *meth_meth_parser__apply9527 = addmethod2pos(block9526, "_apply", &meth_parser__apply9527, 0);
int argcv_meth_parser__apply9527[] = {0};
meth_meth_parser__apply9527->type = alloc_MethodType(1, argcv_meth_parser__apply9527);
  meth_meth_parser__apply9527->definitionModule = modulename;
  meth_meth_parser__apply9527->definitionLine = 2921;
// compilenode returning block9526
  gc_frame_newslot(block9526);
// Begin line 2926
  setline(2926);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block9547 = alloc_Block(NULL, NULL, "parser", 2926);
  gc_frame_newslot(block9547);
  block_savedest(block9547);
  Object closure9548 = createclosure(12, "_apply");
setclosureframe(closure9548, stackframe);
  addtoclosure(closure9548, var_sym);
  addtoclosure(closure9548, var_errormessages);
  addtoclosure(closure9548, var_lastToken);
  addtoclosure(closure9548, var_comma);
  addtoclosure(closure9548, var_vararg);
  addtoclosure(closure9548, var_varargs);
  addtoclosure(closure9548, var_values);
  addtoclosure(closure9548, var_id);
  addtoclosure(closure9548, var_dtype);
  addtoclosure(closure9548, var_part);
  addtoclosure(closure9548, var_lparen);
  addtoclosure(closure9548, selfslot);
  struct UserObject *uo9548 = (struct UserObject*)block9547;
  uo9548->data[0] = (Object)closure9548;
  Method *meth_meth_parser__apply9548 = addmethod2pos(block9547, "_apply", &meth_parser__apply9548, 0);
int argcv_meth_parser__apply9548[] = {0};
meth_meth_parser__apply9548->type = alloc_MethodType(1, argcv_meth_parser__apply9548);
  meth_meth_parser__apply9548->definitionModule = modulename;
  meth_meth_parser__apply9548->definitionLine = 2926;
// compilenode returning block9547
  gc_frame_newslot(block9547);
  params[0] = block9526;
  params[1] = block9547;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9807 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9525);
// compilenode returning call9807
// Begin line 3014
  setline(3014);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3003
  setline(3003);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9810 == NULL) {
    strlit9810 = alloc_String("rparen");
    gc_root(strlit9810);
  }
// compilenode returning strlit9810
  int op_slot_right_9809 = gc_frame_newslot(strlit9810);
  int callframe9812 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9813 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9812);
// compilenode returning call9813
// compilenode returning call9813
  int op_slot_left_9809 = gc_frame_newslot(call9813);
  params[0] = strlit9810;
  partcv[0] = 1;
  Object opresult9814 = callmethod(call9813, "!=", 1, partcv, params);
// compilenode returning opresult9814
  Object if9808 = done;
  if (istrue(opresult9814)) {
// Begin line 3005
  setline(3005);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3004
  setline(3004);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9815 = gc_frame_new();
  int callframe9816 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9817 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9816);
// compilenode returning call9817
// compilenode returning call9817
  partcv[0] = 0;
  Object call9818 = callmethod(call9817, "new",
    1, partcv, params);
  gc_frame_end(callframe9815);
// compilenode returning call9818
// compilenode returning call9818
  *var_suggestion = call9818;
  if (call9818 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3005
  setline(3005);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9819 = gc_frame_new();
  Object block9820 = alloc_Block(NULL, NULL, "parser", 3005);
  gc_frame_newslot(block9820);
  block_savedest(block9820);
  Object closure9821 = createclosure(2, "_apply");
setclosureframe(closure9821, stackframe);
  addtoclosure(closure9821, var_lastToken);
  addtoclosure(closure9821, selfslot);
  struct UserObject *uo9821 = (struct UserObject*)block9820;
  uo9821->data[0] = (Object)closure9821;
  Method *meth_meth_parser__apply9821 = addmethod2pos(block9820, "_apply", &meth_parser__apply9821, 0);
int argcv_meth_parser__apply9821[] = {1};
meth_meth_parser__apply9821->type = alloc_MethodType(1, argcv_meth_parser__apply9821);
  meth_meth_parser__apply9821->definitionModule = modulename;
  meth_meth_parser__apply9821->definitionLine = 3004;
// compilenode returning block9820
  gc_frame_newslot(block9820);
  params[0] = block9820;
  partcv[0] = 1;
  Object call9839 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9819);
// compilenode returning call9839
  *var_rparen = call9839;
  if (call9839 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3011
  setline(3011);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3006
  setline(3006);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9842 = alloc_Boolean(0);
// compilenode returning bool9842
  int op_slot_right_9841 = gc_frame_newslot(bool9842);
// compilenode returning *var_rparen
  int op_slot_left_9841 = gc_frame_newslot(*var_rparen);
  params[0] = bool9842;
  partcv[0] = 1;
  Object opresult9844 = callmethod(*var_rparen, "==", 1, partcv, params);
// compilenode returning opresult9844
  Object if9840 = done;
  if (istrue(opresult9844)) {
// Begin line 3007
  setline(3007);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9845 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  if (strlit9846 == NULL) {
    strlit9846 = alloc_String(")");
    gc_root(strlit9846);
  }
// compilenode returning strlit9846
  gc_frame_newslot(strlit9846);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = strlit9846;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9847 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe9845);
// compilenode returning call9847
    gc_frame_newslot(call9847);
    if9840 = call9847;
  } else {
// Begin line 3009
  setline(3009);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9848 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call9849 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe9848);
// compilenode returning call9849
    gc_frame_newslot(call9849);
    if9840 = call9849;
  }
// compilenode returning if9840
// Begin line 3011
  setline(3011);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9850 = gc_frame_new();
  if (strlit9851 == NULL) {
    strlit9851 = alloc_String("A part of a method beginning with a '(' must end with a ')'.");
    gc_root(strlit9851);
  }
// compilenode returning strlit9851
  gc_frame_newslot(strlit9851);
// Begin line 3012
  setline(3012);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9852 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9853 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9852);
// compilenode returning call9853
// compilenode returning call9853
  gc_frame_newslot(call9853);
  int callframe9854 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9855 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9854);
// compilenode returning call9855
// compilenode returning call9855
  gc_frame_newslot(call9855);
  int callframe9856 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9857 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9856);
// compilenode returning call9857
// compilenode returning call9857
  gc_frame_newslot(call9857);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3011
  setline(3011);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9851;
  params[1] = call9853;
  params[2] = call9855;
  params[3] = call9857;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call9858 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9850);
// compilenode returning call9858
    gc_frame_newslot(call9858);
    if9808 = call9858;
  } else {
  }
// compilenode returning if9808
// Begin line 3017
  setline(3017);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3014
  setline(3014);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9861 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9862 = callmethod(*var_part, "line",
    1, partcv, params);
  gc_frame_end(callframe9861);
// compilenode returning call9862
// compilenode returning call9862
  int op_slot_right_9860 = gc_frame_newslot(call9862);
  int callframe9864 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9865 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe9864);
// compilenode returning call9865
// compilenode returning call9865
  int op_slot_left_9860 = gc_frame_newslot(call9865);
  params[0] = call9862;
  partcv[0] = 1;
  Object opresult9866 = callmethod(call9865, "==", 1, partcv, params);
// compilenode returning opresult9866
  Object if9859 = done;
  if (istrue(opresult9866)) {
// Begin line 3016
  setline(3016);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3014
  setline(3014);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9867 = gc_frame_new();
// Begin line 3016
  setline(3016);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3015
  setline(3015);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9869 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9870 = callmethod(*var_part, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9869);
// compilenode returning call9870
// compilenode returning call9870
  int op_slot_right_9868 = gc_frame_newslot(call9870);
  int callframe9872 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9873 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9872);
// compilenode returning call9873
// compilenode returning call9873
  int op_slot_left_9868 = gc_frame_newslot(call9873);
  params[0] = call9870;
  partcv[0] = 1;
  Object diff9874 = callmethod(call9873, "-", 1, partcv, params);
// compilenode returning diff9874
  gc_frame_newslot(diff9874);
// compilenode returning *var_part
  params[0] = diff9874;
  partcv[0] = 1;
  Object call9875 = callmethod(*var_part, "lineLength:=",
    1, partcv, params);
  gc_frame_end(callframe9867);
// compilenode returning call9875
// compilenode returning done
    gc_frame_newslot(done);
    if9859 = done;
  } else {
  }
// compilenode returning if9859
// Begin line 3017
  setline(3017);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9876 = gc_frame_new();
  partcv[0] = 0;
  Object call9877 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9876);
// compilenode returning call9877
// Begin line 3026
  setline(3026);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3019
  setline(3019);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9880 = gc_frame_new();
  if (strlit9881 == NULL) {
    strlit9881 = alloc_String("identifier");
    gc_root(strlit9881);
  }
// compilenode returning strlit9881
  gc_frame_newslot(strlit9881);
  params[0] = strlit9881;
  partcv[0] = 1;
  Object call9882 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9880);
// compilenode returning call9882
  int op_slot_right_9879 = gc_frame_newslot(call9882);
// Begin line 3018
  setline(3018);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9885 = gc_frame_new();
  if (strlit9886 == NULL) {
    strlit9886 = alloc_String("identifier");
    gc_root(strlit9886);
  }
// compilenode returning strlit9886
  gc_frame_newslot(strlit9886);
  params[0] = strlit9886;
  partcv[0] = 1;
  Object call9887 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9885);
// compilenode returning call9887
  int op_slot_right_9884 = gc_frame_newslot(call9887);
  int callframe9889 = gc_frame_new();
// compilenode returning *var_sameline
  partcv[0] = 0;
  Object call9890 = callmethod(*var_sameline, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe9889);
// compilenode returning call9890
  int op_slot_left_9884 = gc_frame_newslot(call9890);
  params[0] = call9887;
  partcv[0] = 1;
  Object opresult9891 = callmethod(call9890, "&&", 1, partcv, params);
// compilenode returning opresult9891
  int op_slot_left_9879 = gc_frame_newslot(opresult9891);
  params[0] = call9882;
  partcv[0] = 1;
  Object opresult9892 = callmethod(opresult9891, "||", 1, partcv, params);
// compilenode returning opresult9892
  Object if9878 = done;
  if (istrue(opresult9892)) {
// Begin line 3022
  setline(3022);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9893 = gc_frame_new();
// compilenode returning *var_meth
  gc_frame_newslot(*var_meth);
// compilenode returning *var_signature
  gc_frame_newslot(*var_signature);
  Object array9894 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9894
  gc_frame_newslot(array9894);
  Object bool9895 = alloc_Boolean(0);
// compilenode returning bool9895
  gc_frame_newslot(bool9895);
  int callframe9896 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call9897 = callmethod(*var_ast, "methodNode",
    1, partcv, params);
  gc_frame_end(callframe9896);
// compilenode returning call9897
// compilenode returning call9897
  params[0] = *var_meth;
  params[1] = *var_signature;
  params[2] = array9894;
  params[3] = bool9895;
  partcv[0] = 4;
  Object call9898 = callmethod(call9897, "new",
    1, partcv, params);
  gc_frame_end(callframe9893);
// compilenode returning call9898
  *var_tm = call9898;
  if (call9898 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3023
  setline(3023);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9899 = gc_frame_new();
// compilenode returning *var_tm
  gc_frame_newslot(*var_tm);
// compilenode returning *var_sameline
  gc_frame_newslot(*var_sameline);
  params[0] = *var_tm;
  params[1] = *var_sameline;
  partcv[0] = 2;
  Object call9900 = callmethodflags(self, "parsempmndecrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9899);
// compilenode returning call9900
  *var_meth = call9900;
  if (call9900 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3025
  setline(3025);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3024
  setline(3024);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9903 = gc_frame_new();
// compilenode returning *var_tm
  partcv[0] = 0;
  Object call9904 = callmethod(*var_tm, "varargs",
    1, partcv, params);
  gc_frame_end(callframe9903);
// compilenode returning call9904
// compilenode returning call9904
  int op_slot_right_9902 = gc_frame_newslot(call9904);
// compilenode returning *var_varargs
  int op_slot_left_9902 = gc_frame_newslot(*var_varargs);
  params[0] = call9904;
  partcv[0] = 1;
  Object opresult9906 = callmethod(*var_varargs, "||", 1, partcv, params);
// compilenode returning opresult9906
  *var_varargs = opresult9906;
  if (opresult9906 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if9878 = done;
  } else {
  }
// compilenode returning if9878
    gc_frame_newslot(if9878);
    if9514 = if9878;
  } else {
  }
// compilenode returning if9514
// Begin line 3035
  setline(3035);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3027
  setline(3027);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9909 = gc_frame_new();
  if (strlit9910 == NULL) {
    strlit9910 = alloc_String("arrow");
    gc_root(strlit9910);
  }
// compilenode returning strlit9910
  gc_frame_newslot(strlit9910);
  params[0] = strlit9910;
  partcv[0] = 1;
  Object call9911 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9909);
// compilenode returning call9911
  Object if9908 = done;
  if (istrue(call9911)) {
// Begin line 3029
  setline(3029);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9912 = gc_frame_new();
  partcv[0] = 0;
  Object call9913 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9912);
// compilenode returning call9913
// Begin line 3030
  setline(3030);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9914 = gc_frame_new();
  partcv[0] = 0;
  Object call9915 = callmethodflags(self, "dotyperef", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9914);
// compilenode returning call9915
// Begin line 3032
  setline(3032);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3031
  setline(3031);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9916 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call9917 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9916);
// compilenode returning call9917
// compilenode returning call9917
  *var_dtype = call9917;
  if (call9917 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if9908 = done;
  } else {
// Begin line 3034
  setline(3034);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3033
  setline(3033);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9919 = alloc_Boolean(0);
// compilenode returning bool9919
  *var_dtype = bool9919;
  if (bool9919 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if9908 = done;
  }
// compilenode returning if9908
// Begin line 3035
  setline(3035);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject9921 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9921 = alloc_userobj2(10,6, objclass9921);
  gc_frame_newslot(obj9921);
// OBJECT OUTER DEC outer
  adddatum2(obj9921, self, 0);
  addmethodreal(obj9921,"outer", &reader_parser_outer_9922);
  Object oldself9921 = self;
  struct StackFrameObject *oldstackframe9921 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9921);
  gc_frame_newslot((Object)stackframe);
  self = obj9921;
  Object *oldselfslot9921 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9921 = (*(struct UserObject *)self).data[0], lowerouter9921 = thisouter9921;
  if (inheritingObject9921) {
    struct UserObject *inho9921 = (struct UserObject *)inheritingObject9921;
    while (inho9921->super != GraceDefaultObject) inho9921 = (struct UserObject *)inho9921->super;
    inho9921->super = obj9921;
    self = inheritingObject9921;
    *selfslot = self;
    lowerouter9921 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9921;
  }
if (objclass9921 == NULL) {
  Method *reader9923 = addmethodrealflags(obj9921, "m",&reader_parser_m_9923, 0);
  Method *writer9923 = addmethodrealflags(obj9921, "m:=",&writer_parser_m_9923, 0);
  reader9923->definitionModule = modulename;
  writer9923->definitionModule = modulename;
  reader9923->definitionLine = 3037;
  writer9923->definitionLine = 3037;
}
obj9921->flags |= OFLAG_MUTABLE;
adddatum2(obj9921, alloc_Undefined(), 1);
if (objclass9921 == NULL) {
  Method *reader9924 = addmethodrealflags(obj9921, "sig",&reader_parser_sig_9924, 0);
  Method *writer9924 = addmethodrealflags(obj9921, "sig:=",&writer_parser_sig_9924, 0);
  reader9924->definitionModule = modulename;
  writer9924->definitionModule = modulename;
  reader9924->definitionLine = 3038;
  writer9924->definitionLine = 3038;
}
obj9921->flags |= OFLAG_MUTABLE;
adddatum2(obj9921, alloc_Undefined(), 2);
if (objclass9921 == NULL) {
  Method *reader9925 = addmethodrealflags(obj9921, "rtype",&reader_parser_rtype_9925, 0);
  Method *writer9925 = addmethodrealflags(obj9921, "rtype:=",&writer_parser_rtype_9925, 0);
  reader9925->definitionModule = modulename;
  writer9925->definitionModule = modulename;
  reader9925->definitionLine = 3039;
  writer9925->definitionLine = 3039;
}
obj9921->flags |= OFLAG_MUTABLE;
adddatum2(obj9921, alloc_Undefined(), 3);
if (objclass9921 == NULL) {
  Method *reader9926 = addmethodrealflags(obj9921, "v",&reader_parser_v_9926, 0);
  Method *writer9926 = addmethodrealflags(obj9921, "v:=",&writer_parser_v_9926, 0);
  reader9926->definitionModule = modulename;
  writer9926->definitionModule = modulename;
  reader9926->definitionLine = 3040;
  writer9926->definitionLine = 3040;
}
obj9921->flags |= OFLAG_MUTABLE;
adddatum2(obj9921, alloc_Undefined(), 4);
if (objclass9921 == NULL) {
  Method *reader9927 = addmethodrealflags(obj9921, "generics",&reader_parser_generics_9927, 0);
  Method *writer9927 = addmethodrealflags(obj9921, "generics:=",&writer_parser_generics_9927, 0);
  reader9927->definitionModule = modulename;
  writer9927->definitionModule = modulename;
  reader9927->definitionLine = 3041;
  writer9927->definitionLine = 3041;
}
obj9921->flags |= OFLAG_MUTABLE;
adddatum2(obj9921, alloc_Undefined(), 5);
  sourceObject = obj9921;
// Begin line 3036
  setline(3036);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_meth
  adddatum2(obj9921, *var_meth, 1);
  sourceObject = obj9921;
// Begin line 3037
  setline(3037);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_signature
  adddatum2(obj9921, *var_signature, 2);
  sourceObject = obj9921;
// Begin line 3038
  setline(3038);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_dtype
  adddatum2(obj9921, *var_dtype, 3);
  sourceObject = obj9921;
// Begin line 3039
  setline(3039);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_varargs
  adddatum2(obj9921, *var_varargs, 4);
  sourceObject = obj9921;
// Begin line 3040
  setline(3040);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_genericIdents
  adddatum2(obj9921, *var_genericIdents, 5);
objclass9921 = obj9921->class;
  objclass9921->definitionModule = modulename;
  objclass9921->definitionLine = 3035;
  (*(struct UserObject *)self).data[0] = lowerouter9921;
  self = oldself9921;
  selfslot = oldselfslot9921;
  stackframe = oldstackframe9921;
// compilenode returning obj9921
  *var_o = obj9921;
  if (obj9921 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3042
  setline(3042);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_o
  gc_frame_end(frame);
  return *var_o;
}
Object meth_parser_methodsignature9206_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 48, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(21, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methodsignature()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  Object *var_tokens = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for methodsignature (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_sameline = &(stackframe->slots[0]);
  *var_sameline = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for methodsignature");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_meth = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "meth");
  Object *var_signature = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "signature");
  Object *var_part = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "part");
  Object *var_genericIdents = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "genericIdents");
  Object *var_suggestions = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "suggestions");
  Object *var_dtype = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "dtype");
  Object *var_varargs = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "varargs");
  Object *var_vararg = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "vararg");
  Object *var_lparen = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "lparen");
  Object *var_id = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "id");
  Object *var_comma = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "comma");
  Object *var_rparen = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "rparen");
  Object *var_tm = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "tm");
  Object *var_o = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "o");
// Begin line 2857
  setline(2857);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2851
  setline(2851);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9210 == NULL) {
    strlit9210 = alloc_String("lsquare");
    gc_root(strlit9210);
  }
// compilenode returning strlit9210
  int op_slot_right_9209 = gc_frame_newslot(strlit9210);
  int callframe9212 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9213 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9212);
// compilenode returning call9213
// compilenode returning call9213
  int op_slot_left_9209 = gc_frame_newslot(call9213);
  params[0] = strlit9210;
  partcv[0] = 1;
  Object opresult9214 = callmethod(call9213, "!=", 1, partcv, params);
// compilenode returning opresult9214
  int op_slot_right_9208 = gc_frame_newslot(opresult9214);
  if (strlit9218 == NULL) {
    strlit9218 = alloc_String("op");
    gc_root(strlit9218);
  }
// compilenode returning strlit9218
  int op_slot_right_9217 = gc_frame_newslot(strlit9218);
  int callframe9220 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9221 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9220);
// compilenode returning call9221
// compilenode returning call9221
  int op_slot_left_9217 = gc_frame_newslot(call9221);
  params[0] = strlit9218;
  partcv[0] = 1;
  Object opresult9222 = callmethod(call9221, "!=", 1, partcv, params);
// compilenode returning opresult9222
  int op_slot_right_9216 = gc_frame_newslot(opresult9222);
  if (strlit9225 == NULL) {
    strlit9225 = alloc_String("identifier");
    gc_root(strlit9225);
  }
// compilenode returning strlit9225
  int op_slot_right_9224 = gc_frame_newslot(strlit9225);
  int callframe9227 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9228 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9227);
// compilenode returning call9228
// compilenode returning call9228
  int op_slot_left_9224 = gc_frame_newslot(call9228);
  params[0] = strlit9225;
  partcv[0] = 1;
  Object opresult9229 = callmethod(call9228, "!=", 1, partcv, params);
// compilenode returning opresult9229
  int op_slot_left_9216 = gc_frame_newslot(opresult9229);
  params[0] = opresult9222;
  partcv[0] = 1;
  Object opresult9230 = callmethod(opresult9229, "&&", 1, partcv, params);
// compilenode returning opresult9230
  int op_slot_left_9208 = gc_frame_newslot(opresult9230);
  params[0] = opresult9214;
  partcv[0] = 1;
  Object opresult9231 = callmethod(opresult9230, "&&", 1, partcv, params);
// compilenode returning opresult9231
  Object if9207 = done;
  if (istrue(opresult9231)) {
// Begin line 2853
  setline(2853);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2852
  setline(2852);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9232 = gc_frame_new();
  int callframe9233 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9234 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9233);
// compilenode returning call9234
// compilenode returning call9234
  partcv[0] = 0;
  Object call9235 = callmethod(call9234, "new",
    1, partcv, params);
  gc_frame_end(callframe9232);
// compilenode returning call9235
// compilenode returning call9235
  *var_suggestion = call9235;
  if (call9235 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2853
  setline(2853);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9236 = gc_frame_new();
  if (strlit9237 == NULL) {
    strlit9237 = alloc_String(" ""\xc2""""\xab""method name""\xc2""""\xbb""");
    gc_root(strlit9237);
  }
// compilenode returning strlit9237
  gc_frame_newslot(strlit9237);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9237;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9238 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9236);
// compilenode returning call9238
// Begin line 2854
  setline(2854);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9239 = gc_frame_new();
  if (strlit9240 == NULL) {
    strlit9240 = alloc_String("A method name must either start with an identifier or '[]'.");
    gc_root(strlit9240);
  }
// compilenode returning strlit9240
  gc_frame_newslot(strlit9240);
// Begin line 2855
  setline(2855);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9241 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9242 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9241);
// compilenode returning call9242
// compilenode returning call9242
  gc_frame_newslot(call9242);
  int callframe9244 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9245 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9244);
// compilenode returning call9245
// compilenode returning call9245
  int op_slot_right_9243 = gc_frame_newslot(call9245);
  int callframe9247 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9248 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9247);
// compilenode returning call9248
// compilenode returning call9248
  int op_slot_left_9243 = gc_frame_newslot(call9248);
  params[0] = call9245;
  partcv[0] = 1;
  Object sum9249 = callmethod(call9248, "+", 1, partcv, params);
// compilenode returning sum9249
  gc_frame_newslot(sum9249);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2854
  setline(2854);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9240;
  params[1] = call9242;
  params[2] = sum9249;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9250 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9239);
// compilenode returning call9250
    gc_frame_newslot(call9250);
    if9207 = call9250;
  } else {
  }
// compilenode returning if9207
// Begin line 2857
  setline(2857);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9251 = gc_frame_new();
  partcv[0] = 0;
  Object call9252 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9251);
// compilenode returning call9252
// Begin line 2859
  setline(2859);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2858
  setline(2858);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9253 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call9254 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9253);
// compilenode returning call9254
// compilenode returning call9254
  *var_meth = call9254;
  if (call9254 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2860
  setline(2860);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2859
  setline(2859);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array9255 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9255
  *var_signature = array9255;
  if (array9255 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2860
  setline(2860);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9256 = gc_frame_new();
  int callframe9257 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9258 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9257);
// compilenode returning call9258
// compilenode returning call9258
  gc_frame_newslot(call9258);
  int callframe9259 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call9260 = callmethod(*var_ast, "signaturePart",
    1, partcv, params);
  gc_frame_end(callframe9259);
// compilenode returning call9260
// compilenode returning call9260
  params[0] = call9258;
  partcv[0] = 1;
  Object call9261 = callmethod(call9260, "new",
    1, partcv, params);
  gc_frame_end(callframe9256);
// compilenode returning call9261
  *var_part = call9261;
  if (call9261 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2862
  setline(2862);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2861
  setline(2861);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array9262 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9262
  *var_genericIdents = array9262;
  if (array9262 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2862
  setline(2862);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9263 = gc_frame_new();
// compilenode returning *var_part
  gc_frame_newslot(*var_part);
// compilenode returning *var_signature
  params[0] = *var_part;
  partcv[0] = 1;
  Object call9264 = callmethod(*var_signature, "push",
    1, partcv, params);
  gc_frame_end(callframe9263);
// compilenode returning call9264
// Begin line 2888
  setline(2888);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2863
  setline(2863);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9267 == NULL) {
    strlit9267 = alloc_String("[");
    gc_root(strlit9267);
  }
// compilenode returning strlit9267
  int op_slot_right_9266 = gc_frame_newslot(strlit9267);
  int callframe9269 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9270 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9269);
// compilenode returning call9270
// compilenode returning call9270
  int op_slot_left_9266 = gc_frame_newslot(call9270);
  params[0] = strlit9267;
  partcv[0] = 1;
  Object opresult9271 = callmethod(call9270, "==", 1, partcv, params);
// compilenode returning opresult9271
  Object if9265 = done;
  if (istrue(opresult9271)) {
// Begin line 2885
  setline(2885);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2864
  setline(2864);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9274 == NULL) {
    strlit9274 = alloc_String("rsquare");
    gc_root(strlit9274);
  }
// compilenode returning strlit9274
  int op_slot_right_9273 = gc_frame_newslot(strlit9274);
  int callframe9276 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9277 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9276);
// compilenode returning call9277
// compilenode returning call9277
  int op_slot_left_9273 = gc_frame_newslot(call9277);
  params[0] = strlit9274;
  partcv[0] = 1;
  Object opresult9278 = callmethod(call9277, "!=", 1, partcv, params);
// compilenode returning opresult9278
  Object if9272 = done;
  if (istrue(opresult9278)) {
// Begin line 2884
  setline(2884);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2866
  setline(2866);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9281 = gc_frame_new();
  Object block9282 = alloc_Block(NULL, NULL, "parser", 2866);
  gc_frame_newslot(block9282);
  block_savedest(block9282);
  Object closure9283 = createclosure(2, "_apply");
setclosureframe(closure9283, stackframe);
  addtoclosure(closure9283, var_tokens);
  addtoclosure(closure9283, selfslot);
  struct UserObject *uo9283 = (struct UserObject*)block9282;
  uo9283->data[0] = (Object)closure9283;
  Method *meth_meth_parser__apply9283 = addmethod2pos(block9282, "_apply", &meth_parser__apply9283, 0);
int argcv_meth_parser__apply9283[] = {0};
meth_meth_parser__apply9283->type = alloc_MethodType(1, argcv_meth_parser__apply9283);
  meth_meth_parser__apply9283->definitionModule = modulename;
  meth_meth_parser__apply9283->definitionLine = 2864;
// compilenode returning block9282
  gc_frame_newslot(block9282);
// Begin line 2865
  setline(2865);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num9294 = alloc_Float64(0);
// compilenode returning num9294
  int op_slot_right_9293 = gc_frame_newslot(num9294);
  int callframe9296 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call9297 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe9296);
// compilenode returning call9297
// compilenode returning call9297
  int op_slot_left_9293 = gc_frame_newslot(call9297);
  params[0] = num9294;
  partcv[0] = 1;
  Object opresult9298 = callmethod(call9297, "==", 1, partcv, params);
// compilenode returning opresult9298
  params[0] = block9282;
  partcv[0] = 1;
  Object call9299 = callmethod(opresult9298, "orElse",
    1, partcv, params);
  gc_frame_end(callframe9281);
// compilenode returning call9299
  int op_slot_right_9280 = gc_frame_newslot(call9299);
  if (strlit9302 == NULL) {
    strlit9302 = alloc_String("identifier");
    gc_root(strlit9302);
  }
// compilenode returning strlit9302
  int op_slot_right_9301 = gc_frame_newslot(strlit9302);
  int callframe9304 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9305 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9304);
// compilenode returning call9305
// compilenode returning call9305
  int op_slot_left_9301 = gc_frame_newslot(call9305);
  params[0] = strlit9302;
  partcv[0] = 1;
  Object opresult9306 = callmethod(call9305, "==", 1, partcv, params);
// compilenode returning opresult9306
  int op_slot_left_9280 = gc_frame_newslot(opresult9306);
  params[0] = call9299;
  partcv[0] = 1;
  Object opresult9307 = callmethod(opresult9306, "&&", 1, partcv, params);
// compilenode returning opresult9307
  Object if9279 = done;
  if (istrue(opresult9307)) {
// Begin line 2868
  setline(2868);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2867
  setline(2867);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array9308 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9308
  *var_suggestions = array9308;
  if (array9308 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2869
  setline(2869);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2868
  setline(2868);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9309 = gc_frame_new();
  int callframe9310 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9311 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9310);
// compilenode returning call9311
// compilenode returning call9311
  partcv[0] = 0;
  Object call9312 = callmethod(call9311, "new",
    1, partcv, params);
  gc_frame_end(callframe9309);
// compilenode returning call9312
// compilenode returning call9312
  *var_suggestion = call9312;
  if (call9312 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2876
  setline(2876);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2869
  setline(2869);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num9315 = alloc_Float64(0);
// compilenode returning num9315
  int op_slot_right_9314 = gc_frame_newslot(num9315);
  int callframe9317 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call9318 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe9317);
// compilenode returning call9318
// compilenode returning call9318
  int op_slot_left_9314 = gc_frame_newslot(call9318);
  params[0] = num9315;
  partcv[0] = 1;
  Object opresult9319 = callmethod(call9318, "==", 1, partcv, params);
// compilenode returning opresult9319
  Object if9313 = done;
  if (istrue(opresult9319)) {
// Begin line 2870
  setline(2870);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9320 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit9322 == NULL) {
    strlit9322 = alloc_String(")");
    gc_root(strlit9322);
  }
// compilenode returning strlit9322
  int op_slot_right_9321 = gc_frame_newslot(strlit9322);
  int callframe9325 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9326 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9325);
// compilenode returning call9326
// compilenode returning call9326
  int op_slot_right_9324 = gc_frame_newslot(call9326);
  if (strlit9328 == NULL) {
    strlit9328 = alloc_String("](");
    gc_root(strlit9328);
  }
// compilenode returning strlit9328
  int op_slot_left_9324 = gc_frame_newslot(strlit9328);
  params[0] = call9326;
  partcv[0] = 1;
  Object opresult9329 = callmethod(strlit9328, "++", 1, partcv, params);
// compilenode returning opresult9329
  int op_slot_left_9321 = gc_frame_newslot(opresult9329);
  params[0] = strlit9322;
  partcv[0] = 1;
  Object opresult9330 = callmethod(opresult9329, "++", 1, partcv, params);
// compilenode returning opresult9330
  gc_frame_newslot(opresult9330);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = opresult9330;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9331 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe9320);
// compilenode returning call9331
// Begin line 2871
  setline(2871);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9332 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9333 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9332);
// compilenode returning call9333
    gc_frame_newslot(call9333);
    if9313 = call9333;
  } else {
// Begin line 2876
  setline(2876);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2872
  setline(2872);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9336 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9337 = callmethod(*var_meth, "line",
    1, partcv, params);
  gc_frame_end(callframe9336);
// compilenode returning call9337
// compilenode returning call9337
  int op_slot_right_9335 = gc_frame_newslot(call9337);
  int callframe9339 = gc_frame_new();
  int callframe9340 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call9341 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe9340);
// compilenode returning call9341
// compilenode returning call9341
  partcv[0] = 0;
  Object call9342 = callmethod(call9341, "line",
    1, partcv, params);
  gc_frame_end(callframe9339);
// compilenode returning call9342
// compilenode returning call9342
  int op_slot_left_9335 = gc_frame_newslot(call9342);
  params[0] = call9337;
  partcv[0] = 1;
  Object opresult9343 = callmethod(call9342, "==", 1, partcv, params);
// compilenode returning opresult9343
  Object if9334 = done;
  if (istrue(opresult9343)) {
// Begin line 2873
  setline(2873);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9344 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe9345 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call9346 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe9345);
// compilenode returning call9346
// compilenode returning call9346
  gc_frame_newslot(call9346);
  if (strlit9348 == NULL) {
    strlit9348 = alloc_String(")");
    gc_root(strlit9348);
  }
// compilenode returning strlit9348
  int op_slot_right_9347 = gc_frame_newslot(strlit9348);
  int callframe9351 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9352 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9351);
// compilenode returning call9352
// compilenode returning call9352
  int op_slot_right_9350 = gc_frame_newslot(call9352);
  if (strlit9354 == NULL) {
    strlit9354 = alloc_String("](");
    gc_root(strlit9354);
  }
// compilenode returning strlit9354
  int op_slot_left_9350 = gc_frame_newslot(strlit9354);
  params[0] = call9352;
  partcv[0] = 1;
  Object opresult9355 = callmethod(strlit9354, "++", 1, partcv, params);
// compilenode returning opresult9355
  int op_slot_left_9347 = gc_frame_newslot(opresult9355);
  params[0] = strlit9348;
  partcv[0] = 1;
  Object opresult9356 = callmethod(opresult9355, "++", 1, partcv, params);
// compilenode returning opresult9356
  gc_frame_newslot(opresult9356);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call9346;
  params[2] = opresult9356;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call9357 = callmethod(*var_suggestion, "replaceTokenRange()with",
    2, partcv, params);
  gc_frame_end(callframe9344);
// compilenode returning call9357
// Begin line 2874
  setline(2874);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9358 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9359 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe9358);
// compilenode returning call9359
    gc_frame_newslot(call9359);
    if9334 = call9359;
  } else {
  }
// compilenode returning if9334
    gc_frame_newslot(if9334);
    if9313 = if9334;
  }
// compilenode returning if9313
// Begin line 2876
  setline(2876);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9360 = gc_frame_new();
  if (strlit9361 == NULL) {
    strlit9361 = alloc_String("A method name beginning with '[]' must have the parameter name in parentheses after the '[]'.");
    gc_root(strlit9361);
  }
// compilenode returning strlit9361
  gc_frame_newslot(strlit9361);
// Begin line 2877
  setline(2877);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9362 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9363 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9362);
// compilenode returning call9363
// compilenode returning call9363
  gc_frame_newslot(call9363);
  int callframe9365 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9366 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9365);
// compilenode returning call9366
// compilenode returning call9366
  int op_slot_right_9364 = gc_frame_newslot(call9366);
  int callframe9368 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9369 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9368);
// compilenode returning call9369
// compilenode returning call9369
  int op_slot_left_9364 = gc_frame_newslot(call9369);
  params[0] = call9366;
  partcv[0] = 1;
  Object sum9370 = callmethod(call9369, "+", 1, partcv, params);
// compilenode returning sum9370
  gc_frame_newslot(sum9370);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 2876
  setline(2876);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9361;
  params[1] = call9363;
  params[2] = sum9370;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9371 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe9360);
// compilenode returning call9371
    gc_frame_newslot(call9371);
    if9279 = call9371;
  } else {
// Begin line 2880
  setline(2880);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2879
  setline(2879);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9372 = gc_frame_new();
  int callframe9373 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9374 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9373);
// compilenode returning call9374
// compilenode returning call9374
  partcv[0] = 0;
  Object call9375 = callmethod(call9374, "new",
    1, partcv, params);
  gc_frame_end(callframe9372);
// compilenode returning call9375
// compilenode returning call9375
  *var_suggestion = call9375;
  if (call9375 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2880
  setline(2880);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9376 = gc_frame_new();
  if (strlit9377 == NULL) {
    strlit9377 = alloc_String("]");
    gc_root(strlit9377);
  }
// compilenode returning strlit9377
  gc_frame_newslot(strlit9377);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9377;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9378 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9376);
// compilenode returning call9378
// Begin line 2881
  setline(2881);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9379 = gc_frame_new();
  if (strlit9380 == NULL) {
    strlit9380 = alloc_String("A method name must either start with an identifier or '[]'.");
    gc_root(strlit9380);
  }
// compilenode returning strlit9380
  gc_frame_newslot(strlit9380);
// Begin line 2882
  setline(2882);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9381 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9382 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9381);
// compilenode returning call9382
// compilenode returning call9382
  gc_frame_newslot(call9382);
  int callframe9384 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9385 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9384);
// compilenode returning call9385
// compilenode returning call9385
  int op_slot_right_9383 = gc_frame_newslot(call9385);
  int callframe9387 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9388 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9387);
// compilenode returning call9388
// compilenode returning call9388
  int op_slot_left_9383 = gc_frame_newslot(call9388);
  params[0] = call9385;
  partcv[0] = 1;
  Object sum9389 = callmethod(call9388, "+", 1, partcv, params);
// compilenode returning sum9389
  gc_frame_newslot(sum9389);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2881
  setline(2881);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9380;
  params[1] = call9382;
  params[2] = sum9389;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9390 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9379);
// compilenode returning call9390
    gc_frame_newslot(call9390);
    if9279 = call9390;
  }
// compilenode returning if9279
    gc_frame_newslot(if9279);
    if9272 = if9279;
  } else {
  }
// compilenode returning if9272
// Begin line 2885
  setline(2885);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9391 = gc_frame_new();
  partcv[0] = 0;
  Object call9392 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9391);
// compilenode returning call9392
// Begin line 2887
  setline(2887);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2882
  setline(2882);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9393 = gc_frame_new();
// Begin line 2886
  setline(2886);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9394 == NULL) {
    strlit9394 = alloc_String("[]");
    gc_root(strlit9394);
  }
// compilenode returning strlit9394
  gc_frame_newslot(strlit9394);
// compilenode returning *var_meth
  params[0] = strlit9394;
  partcv[0] = 1;
  Object call9395 = callmethod(*var_meth, "value:=",
    1, partcv, params);
  gc_frame_end(callframe9393);
// compilenode returning call9395
// compilenode returning done
    gc_frame_newslot(done);
    if9265 = done;
  } else {
  }
// compilenode returning if9265
// Begin line 2907
  setline(2907);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2888
  setline(2888);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9397 = gc_frame_new();
  if (strlit9398 == NULL) {
    strlit9398 = alloc_String("lgeneric");
    gc_root(strlit9398);
  }
// compilenode returning strlit9398
  gc_frame_newslot(strlit9398);
  params[0] = strlit9398;
  partcv[0] = 1;
  Object call9399 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9397);
// compilenode returning call9399
  Object if9396 = done;
  if (istrue(call9399)) {
// Begin line 2890
  setline(2890);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9400 = gc_frame_new();
  partcv[0] = 0;
  Object call9401 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9400);
// compilenode returning call9401
// Begin line 2892
  setline(2892);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2891
  setline(2891);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9402 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9403 = callmethod(*var_part, "generics",
    1, partcv, params);
  gc_frame_end(callframe9402);
// compilenode returning call9403
// compilenode returning call9403
  *var_genericIdents = call9403;
  if (call9403 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2892
  setline(2892);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9405 = gc_frame_new();
  Object block9406 = alloc_Block(NULL, NULL, "parser", 2892);
  gc_frame_newslot(block9406);
  block_savedest(block9406);
  Object closure9407 = createclosure(1, "_apply");
setclosureframe(closure9407, stackframe);
  addtoclosure(closure9407, selfslot);
  struct UserObject *uo9407 = (struct UserObject*)block9406;
  uo9407->data[0] = (Object)closure9407;
  Method *meth_meth_parser__apply9407 = addmethod2pos(block9406, "_apply", &meth_parser__apply9407, 0);
int argcv_meth_parser__apply9407[] = {0};
meth_meth_parser__apply9407->type = alloc_MethodType(1, argcv_meth_parser__apply9407);
  meth_meth_parser__apply9407->definitionModule = modulename;
  meth_meth_parser__apply9407->definitionLine = 2891;
// compilenode returning block9406
  gc_frame_newslot(block9406);
  Object block9412 = alloc_Block(NULL, NULL, "parser", 2892);
  gc_frame_newslot(block9412);
  block_savedest(block9412);
  Object closure9413 = createclosure(3, "_apply");
setclosureframe(closure9413, stackframe);
  addtoclosure(closure9413, var_values);
  addtoclosure(closure9413, var_genericIdents);
  addtoclosure(closure9413, selfslot);
  struct UserObject *uo9413 = (struct UserObject*)block9412;
  uo9413->data[0] = (Object)closure9413;
  Method *meth_meth_parser__apply9413 = addmethod2pos(block9412, "_apply", &meth_parser__apply9413, 0);
int argcv_meth_parser__apply9413[] = {0};
meth_meth_parser__apply9413->type = alloc_MethodType(1, argcv_meth_parser__apply9413);
  meth_meth_parser__apply9413->definitionModule = modulename;
  meth_meth_parser__apply9413->definitionLine = 2891;
// compilenode returning block9412
  gc_frame_newslot(block9412);
  params[0] = block9406;
  params[1] = block9412;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9427 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9405);
// compilenode returning call9427
// Begin line 2905
  setline(2905);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2899
  setline(2899);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9430 == NULL) {
    strlit9430 = alloc_String("rgeneric");
    gc_root(strlit9430);
  }
// compilenode returning strlit9430
  int op_slot_right_9429 = gc_frame_newslot(strlit9430);
  int callframe9432 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9433 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9432);
// compilenode returning call9433
// compilenode returning call9433
  int op_slot_left_9429 = gc_frame_newslot(call9433);
  params[0] = strlit9430;
  partcv[0] = 1;
  Object opresult9434 = callmethod(call9433, "!=", 1, partcv, params);
// compilenode returning opresult9434
  Object if9428 = done;
  if (istrue(opresult9434)) {
// Begin line 2901
  setline(2901);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2900
  setline(2900);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9435 = gc_frame_new();
  int callframe9436 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9437 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9436);
// compilenode returning call9437
// compilenode returning call9437
  partcv[0] = 0;
  Object call9438 = callmethod(call9437, "new",
    1, partcv, params);
  gc_frame_end(callframe9435);
// compilenode returning call9438
// compilenode returning call9438
  *var_suggestion = call9438;
  if (call9438 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2901
  setline(2901);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9439 = gc_frame_new();
  if (strlit9440 == NULL) {
    strlit9440 = alloc_String(">");
    gc_root(strlit9440);
  }
// compilenode returning strlit9440
  gc_frame_newslot(strlit9440);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9440;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9441 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9439);
// compilenode returning call9441
// Begin line 2902
  setline(2902);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9442 = gc_frame_new();
  if (strlit9443 == NULL) {
    strlit9443 = alloc_String("A type containing a '<' must end with a '>'.");
    gc_root(strlit9443);
  }
// compilenode returning strlit9443
  gc_frame_newslot(strlit9443);
// Begin line 2903
  setline(2903);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9444 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9445 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9444);
// compilenode returning call9445
// compilenode returning call9445
  gc_frame_newslot(call9445);
  int callframe9447 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9448 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9447);
// compilenode returning call9448
// compilenode returning call9448
  int op_slot_right_9446 = gc_frame_newslot(call9448);
  int callframe9450 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9451 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9450);
// compilenode returning call9451
// compilenode returning call9451
  int op_slot_left_9446 = gc_frame_newslot(call9451);
  params[0] = call9448;
  partcv[0] = 1;
  Object sum9452 = callmethod(call9451, "+", 1, partcv, params);
// compilenode returning sum9452
  gc_frame_newslot(sum9452);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 2902
  setline(2902);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9443;
  params[1] = call9445;
  params[2] = sum9452;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9453 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9442);
// compilenode returning call9453
    gc_frame_newslot(call9453);
    if9428 = call9453;
  } else {
  }
// compilenode returning if9428
// Begin line 2905
  setline(2905);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9454 = gc_frame_new();
  partcv[0] = 0;
  Object call9455 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9454);
// compilenode returning call9455
    gc_frame_newslot(call9455);
    if9396 = call9455;
  } else {
  }
// compilenode returning if9396
// Begin line 2916
  setline(2916);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2907
  setline(2907);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9457 = gc_frame_new();
  if (strlit9458 == NULL) {
    strlit9458 = alloc_String("bind");
    gc_root(strlit9458);
  }
// compilenode returning strlit9458
  gc_frame_newslot(strlit9458);
  params[0] = strlit9458;
  partcv[0] = 1;
  Object call9459 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9457);
// compilenode returning call9459
  Object if9456 = done;
  if (istrue(call9459)) {
// Begin line 2908
  setline(2908);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9460 = gc_frame_new();
  partcv[0] = 0;
  Object call9461 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9460);
// compilenode returning call9461
// Begin line 2910
  setline(2910);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2903
  setline(2903);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9462 = gc_frame_new();
// Begin line 2910
  setline(2910);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2909
  setline(2909);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9464 == NULL) {
    strlit9464 = alloc_String(":=");
    gc_root(strlit9464);
  }
// compilenode returning strlit9464
  int op_slot_right_9463 = gc_frame_newslot(strlit9464);
  int callframe9466 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9467 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9466);
// compilenode returning call9467
// compilenode returning call9467
  int op_slot_left_9463 = gc_frame_newslot(call9467);
  params[0] = strlit9464;
  partcv[0] = 1;
  Object opresult9468 = callmethod(call9467, "++", 1, partcv, params);
// compilenode returning opresult9468
  gc_frame_newslot(opresult9468);
// compilenode returning *var_meth
  params[0] = opresult9468;
  partcv[0] = 1;
  Object call9469 = callmethod(*var_meth, "value:=",
    1, partcv, params);
  gc_frame_end(callframe9462);
// compilenode returning call9469
// compilenode returning done
// Begin line 2911
  setline(2911);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2909
  setline(2909);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9470 = gc_frame_new();
// Begin line 2911
  setline(2911);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2910
  setline(2910);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9472 == NULL) {
    strlit9472 = alloc_String(":=");
    gc_root(strlit9472);
  }
// compilenode returning strlit9472
  int op_slot_right_9471 = gc_frame_newslot(strlit9472);
  int callframe9474 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9475 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe9474);
// compilenode returning call9475
// compilenode returning call9475
  int op_slot_left_9471 = gc_frame_newslot(call9475);
  params[0] = strlit9472;
  partcv[0] = 1;
  Object opresult9476 = callmethod(call9475, "++", 1, partcv, params);
// compilenode returning opresult9476
  gc_frame_newslot(opresult9476);
// compilenode returning *var_part
  params[0] = opresult9476;
  partcv[0] = 1;
  Object call9477 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe9470);
// compilenode returning call9477
// compilenode returning done
    gc_frame_newslot(done);
    if9456 = done;
  } else {
// Begin line 2916
  setline(2916);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2911
  setline(2911);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9481 == NULL) {
    strlit9481 = alloc_String("prefix");
    gc_root(strlit9481);
  }
// compilenode returning strlit9481
  int op_slot_right_9480 = gc_frame_newslot(strlit9481);
  int callframe9483 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9484 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9483);
// compilenode returning call9484
// compilenode returning call9484
  int op_slot_left_9480 = gc_frame_newslot(call9484);
  params[0] = strlit9481;
  partcv[0] = 1;
  Object opresult9485 = callmethod(call9484, "==", 1, partcv, params);
// compilenode returning opresult9485
  int op_slot_right_9479 = gc_frame_newslot(opresult9485);
  int callframe9487 = gc_frame_new();
  if (strlit9488 == NULL) {
    strlit9488 = alloc_String("op");
    gc_root(strlit9488);
  }
// compilenode returning strlit9488
  gc_frame_newslot(strlit9488);
  params[0] = strlit9488;
  partcv[0] = 1;
  Object call9489 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9487);
// compilenode returning call9489
  int op_slot_left_9479 = gc_frame_newslot(call9489);
  params[0] = opresult9485;
  partcv[0] = 1;
  Object opresult9490 = callmethod(call9489, "&&", 1, partcv, params);
// compilenode returning opresult9490
  Object if9478 = done;
  if (istrue(opresult9490)) {
// Begin line 2913
  setline(2913);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2911
  setline(2911);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9491 = gc_frame_new();
// Begin line 2913
  setline(2913);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2912
  setline(2912);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9493 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9494 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9493);
// compilenode returning call9494
// compilenode returning call9494
  int op_slot_right_9492 = gc_frame_newslot(call9494);
  int callframe9496 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call9497 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe9496);
// compilenode returning call9497
// compilenode returning call9497
  int op_slot_left_9492 = gc_frame_newslot(call9497);
  params[0] = call9494;
  partcv[0] = 1;
  Object opresult9498 = callmethod(call9497, "++", 1, partcv, params);
// compilenode returning opresult9498
  gc_frame_newslot(opresult9498);
// compilenode returning *var_meth
  params[0] = opresult9498;
  partcv[0] = 1;
  Object call9499 = callmethod(*var_meth, "value:=",
    1, partcv, params);
  gc_frame_end(callframe9491);
// compilenode returning call9499
// compilenode returning done
// Begin line 2914
  setline(2914);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2912
  setline(2912);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9500 = gc_frame_new();
// Begin line 2914
  setline(2914);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2913
  setline(2913);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9502 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9503 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9502);
// compilenode returning call9503
// compilenode returning call9503
  int op_slot_right_9501 = gc_frame_newslot(call9503);
  int callframe9505 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9506 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe9505);
// compilenode returning call9506
// compilenode returning call9506
  int op_slot_left_9501 = gc_frame_newslot(call9506);
  params[0] = call9503;
  partcv[0] = 1;
  Object opresult9507 = callmethod(call9506, "++", 1, partcv, params);
// compilenode returning opresult9507
  gc_frame_newslot(opresult9507);
// compilenode returning *var_part
  params[0] = opresult9507;
  partcv[0] = 1;
  Object call9508 = callmethod(*var_part, "name:=",
    1, partcv, params);
  gc_frame_end(callframe9500);
// compilenode returning call9508
// compilenode returning done
// Begin line 2914
  setline(2914);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9509 = gc_frame_new();
  partcv[0] = 0;
  Object call9510 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9509);
// compilenode returning call9510
    gc_frame_newslot(call9510);
    if9478 = call9510;
  } else {
  }
// compilenode returning if9478
    gc_frame_newslot(if9478);
    if9456 = if9478;
  }
// compilenode returning if9456
// Begin line 2917
  setline(2917);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2916
  setline(2916);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9511 = alloc_Boolean(0);
// compilenode returning bool9511
  *var_dtype = bool9511;
  if (bool9511 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2918
  setline(2918);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2917
  setline(2917);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9512 = alloc_Boolean(0);
// compilenode returning bool9512
  *var_varargs = bool9512;
  if (bool9512 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2919
  setline(2919);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2918
  setline(2918);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9513 = alloc_Boolean(0);
// compilenode returning bool9513
  *var_vararg = bool9513;
  if (bool9513 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3027
  setline(3027);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2919
  setline(2919);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9515 = gc_frame_new();
  if (strlit9516 == NULL) {
    strlit9516 = alloc_String("lparen");
    gc_root(strlit9516);
  }
// compilenode returning strlit9516
  gc_frame_newslot(strlit9516);
  params[0] = strlit9516;
  partcv[0] = 1;
  Object call9517 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9515);
// compilenode returning call9517
  Object if9514 = done;
  if (istrue(call9517)) {
// Begin line 2921
  setline(2921);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2920
  setline(2920);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_lparen = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2922
  setline(2922);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2913
  setline(2913);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9518 = gc_frame_new();
// Begin line 2921
  setline(2921);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9519 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9520 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9519);
// compilenode returning call9520
// compilenode returning call9520
  gc_frame_newslot(call9520);
// compilenode returning *var_part
  params[0] = call9520;
  partcv[0] = 1;
  Object call9521 = callmethod(*var_part, "linePos:=",
    1, partcv, params);
  gc_frame_end(callframe9518);
// compilenode returning call9521
// compilenode returning done
// Begin line 2922
  setline(2922);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9522 = gc_frame_new();
  partcv[0] = 0;
  Object call9523 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9522);
// compilenode returning call9523
// Begin line 2924
  setline(2924);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_id = undefined;
// compilenode returning done
// Begin line 2925
  setline(2925);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 2924
  setline(2924);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9524 = alloc_Boolean(0);
// compilenode returning bool9524
  *var_comma = bool9524;
  if (bool9524 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 2925
  setline(2925);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9525 = gc_frame_new();
  Object block9526 = alloc_Block(NULL, NULL, "parser", 2925);
  gc_frame_newslot(block9526);
  block_savedest(block9526);
  Object closure9527 = createclosure(2, "_apply");
setclosureframe(closure9527, stackframe);
  addtoclosure(closure9527, var_sym);
  addtoclosure(closure9527, selfslot);
  struct UserObject *uo9527 = (struct UserObject*)block9526;
  uo9527->data[0] = (Object)closure9527;
  Method *meth_meth_parser__apply9527 = addmethod2pos(block9526, "_apply", &meth_parser__apply9527, 0);
int argcv_meth_parser__apply9527[] = {0};
meth_meth_parser__apply9527->type = alloc_MethodType(1, argcv_meth_parser__apply9527);
  meth_meth_parser__apply9527->definitionModule = modulename;
  meth_meth_parser__apply9527->definitionLine = 2921;
// compilenode returning block9526
  gc_frame_newslot(block9526);
// Begin line 2926
  setline(2926);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object block9547 = alloc_Block(NULL, NULL, "parser", 2926);
  gc_frame_newslot(block9547);
  block_savedest(block9547);
  Object closure9548 = createclosure(12, "_apply");
setclosureframe(closure9548, stackframe);
  addtoclosure(closure9548, var_sym);
  addtoclosure(closure9548, var_errormessages);
  addtoclosure(closure9548, var_lastToken);
  addtoclosure(closure9548, var_comma);
  addtoclosure(closure9548, var_vararg);
  addtoclosure(closure9548, var_varargs);
  addtoclosure(closure9548, var_values);
  addtoclosure(closure9548, var_id);
  addtoclosure(closure9548, var_dtype);
  addtoclosure(closure9548, var_part);
  addtoclosure(closure9548, var_lparen);
  addtoclosure(closure9548, selfslot);
  struct UserObject *uo9548 = (struct UserObject*)block9547;
  uo9548->data[0] = (Object)closure9548;
  Method *meth_meth_parser__apply9548 = addmethod2pos(block9547, "_apply", &meth_parser__apply9548, 0);
int argcv_meth_parser__apply9548[] = {0};
meth_meth_parser__apply9548->type = alloc_MethodType(1, argcv_meth_parser__apply9548);
  meth_meth_parser__apply9548->definitionModule = modulename;
  meth_meth_parser__apply9548->definitionLine = 2926;
// compilenode returning block9547
  gc_frame_newslot(block9547);
  params[0] = block9526;
  params[1] = block9547;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9807 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9525);
// compilenode returning call9807
// Begin line 3014
  setline(3014);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3003
  setline(3003);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9810 == NULL) {
    strlit9810 = alloc_String("rparen");
    gc_root(strlit9810);
  }
// compilenode returning strlit9810
  int op_slot_right_9809 = gc_frame_newslot(strlit9810);
  int callframe9812 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9813 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9812);
// compilenode returning call9813
// compilenode returning call9813
  int op_slot_left_9809 = gc_frame_newslot(call9813);
  params[0] = strlit9810;
  partcv[0] = 1;
  Object opresult9814 = callmethod(call9813, "!=", 1, partcv, params);
// compilenode returning opresult9814
  Object if9808 = done;
  if (istrue(opresult9814)) {
// Begin line 3005
  setline(3005);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3004
  setline(3004);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9815 = gc_frame_new();
  int callframe9816 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9817 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9816);
// compilenode returning call9817
// compilenode returning call9817
  partcv[0] = 0;
  Object call9818 = callmethod(call9817, "new",
    1, partcv, params);
  gc_frame_end(callframe9815);
// compilenode returning call9818
// compilenode returning call9818
  *var_suggestion = call9818;
  if (call9818 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3005
  setline(3005);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9819 = gc_frame_new();
  Object block9820 = alloc_Block(NULL, NULL, "parser", 3005);
  gc_frame_newslot(block9820);
  block_savedest(block9820);
  Object closure9821 = createclosure(2, "_apply");
setclosureframe(closure9821, stackframe);
  addtoclosure(closure9821, var_lastToken);
  addtoclosure(closure9821, selfslot);
  struct UserObject *uo9821 = (struct UserObject*)block9820;
  uo9821->data[0] = (Object)closure9821;
  Method *meth_meth_parser__apply9821 = addmethod2pos(block9820, "_apply", &meth_parser__apply9821, 0);
int argcv_meth_parser__apply9821[] = {1};
meth_meth_parser__apply9821->type = alloc_MethodType(1, argcv_meth_parser__apply9821);
  meth_meth_parser__apply9821->definitionModule = modulename;
  meth_meth_parser__apply9821->definitionLine = 3004;
// compilenode returning block9820
  gc_frame_newslot(block9820);
  params[0] = block9820;
  partcv[0] = 1;
  Object call9839 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9819);
// compilenode returning call9839
  *var_rparen = call9839;
  if (call9839 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3011
  setline(3011);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3006
  setline(3006);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9842 = alloc_Boolean(0);
// compilenode returning bool9842
  int op_slot_right_9841 = gc_frame_newslot(bool9842);
// compilenode returning *var_rparen
  int op_slot_left_9841 = gc_frame_newslot(*var_rparen);
  params[0] = bool9842;
  partcv[0] = 1;
  Object opresult9844 = callmethod(*var_rparen, "==", 1, partcv, params);
// compilenode returning opresult9844
  Object if9840 = done;
  if (istrue(opresult9844)) {
// Begin line 3007
  setline(3007);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9845 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  if (strlit9846 == NULL) {
    strlit9846 = alloc_String(")");
    gc_root(strlit9846);
  }
// compilenode returning strlit9846
  gc_frame_newslot(strlit9846);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = strlit9846;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9847 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe9845);
// compilenode returning call9847
    gc_frame_newslot(call9847);
    if9840 = call9847;
  } else {
// Begin line 3009
  setline(3009);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9848 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call9849 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe9848);
// compilenode returning call9849
    gc_frame_newslot(call9849);
    if9840 = call9849;
  }
// compilenode returning if9840
// Begin line 3011
  setline(3011);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9850 = gc_frame_new();
  if (strlit9851 == NULL) {
    strlit9851 = alloc_String("A part of a method beginning with a '(' must end with a ')'.");
    gc_root(strlit9851);
  }
// compilenode returning strlit9851
  gc_frame_newslot(strlit9851);
// Begin line 3012
  setline(3012);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9852 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9853 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9852);
// compilenode returning call9853
// compilenode returning call9853
  gc_frame_newslot(call9853);
  int callframe9854 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9855 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9854);
// compilenode returning call9855
// compilenode returning call9855
  gc_frame_newslot(call9855);
  int callframe9856 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9857 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9856);
// compilenode returning call9857
// compilenode returning call9857
  gc_frame_newslot(call9857);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3011
  setline(3011);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit9851;
  params[1] = call9853;
  params[2] = call9855;
  params[3] = call9857;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call9858 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe9850);
// compilenode returning call9858
    gc_frame_newslot(call9858);
    if9808 = call9858;
  } else {
  }
// compilenode returning if9808
// Begin line 3017
  setline(3017);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3014
  setline(3014);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9861 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9862 = callmethod(*var_part, "line",
    1, partcv, params);
  gc_frame_end(callframe9861);
// compilenode returning call9862
// compilenode returning call9862
  int op_slot_right_9860 = gc_frame_newslot(call9862);
  int callframe9864 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9865 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe9864);
// compilenode returning call9865
// compilenode returning call9865
  int op_slot_left_9860 = gc_frame_newslot(call9865);
  params[0] = call9862;
  partcv[0] = 1;
  Object opresult9866 = callmethod(call9865, "==", 1, partcv, params);
// compilenode returning opresult9866
  Object if9859 = done;
  if (istrue(opresult9866)) {
// Begin line 3016
  setline(3016);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3014
  setline(3014);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9867 = gc_frame_new();
// Begin line 3016
  setline(3016);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3015
  setline(3015);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9869 = gc_frame_new();
// compilenode returning *var_part
  partcv[0] = 0;
  Object call9870 = callmethod(*var_part, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9869);
// compilenode returning call9870
// compilenode returning call9870
  int op_slot_right_9868 = gc_frame_newslot(call9870);
  int callframe9872 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9873 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9872);
// compilenode returning call9873
// compilenode returning call9873
  int op_slot_left_9868 = gc_frame_newslot(call9873);
  params[0] = call9870;
  partcv[0] = 1;
  Object diff9874 = callmethod(call9873, "-", 1, partcv, params);
// compilenode returning diff9874
  gc_frame_newslot(diff9874);
// compilenode returning *var_part
  params[0] = diff9874;
  partcv[0] = 1;
  Object call9875 = callmethod(*var_part, "lineLength:=",
    1, partcv, params);
  gc_frame_end(callframe9867);
// compilenode returning call9875
// compilenode returning done
    gc_frame_newslot(done);
    if9859 = done;
  } else {
  }
// compilenode returning if9859
// Begin line 3017
  setline(3017);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9876 = gc_frame_new();
  partcv[0] = 0;
  Object call9877 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9876);
// compilenode returning call9877
// Begin line 3026
  setline(3026);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3019
  setline(3019);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9880 = gc_frame_new();
  if (strlit9881 == NULL) {
    strlit9881 = alloc_String("identifier");
    gc_root(strlit9881);
  }
// compilenode returning strlit9881
  gc_frame_newslot(strlit9881);
  params[0] = strlit9881;
  partcv[0] = 1;
  Object call9882 = callmethodflags(self, "acceptSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9880);
// compilenode returning call9882
  int op_slot_right_9879 = gc_frame_newslot(call9882);
// Begin line 3018
  setline(3018);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9885 = gc_frame_new();
  if (strlit9886 == NULL) {
    strlit9886 = alloc_String("identifier");
    gc_root(strlit9886);
  }
// compilenode returning strlit9886
  gc_frame_newslot(strlit9886);
  params[0] = strlit9886;
  partcv[0] = 1;
  Object call9887 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9885);
// compilenode returning call9887
  int op_slot_right_9884 = gc_frame_newslot(call9887);
  int callframe9889 = gc_frame_new();
// compilenode returning *var_sameline
  partcv[0] = 0;
  Object call9890 = callmethod(*var_sameline, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe9889);
// compilenode returning call9890
  int op_slot_left_9884 = gc_frame_newslot(call9890);
  params[0] = call9887;
  partcv[0] = 1;
  Object opresult9891 = callmethod(call9890, "&&", 1, partcv, params);
// compilenode returning opresult9891
  int op_slot_left_9879 = gc_frame_newslot(opresult9891);
  params[0] = call9882;
  partcv[0] = 1;
  Object opresult9892 = callmethod(opresult9891, "||", 1, partcv, params);
// compilenode returning opresult9892
  Object if9878 = done;
  if (istrue(opresult9892)) {
// Begin line 3022
  setline(3022);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9893 = gc_frame_new();
// compilenode returning *var_meth
  gc_frame_newslot(*var_meth);
// compilenode returning *var_signature
  gc_frame_newslot(*var_signature);
  Object array9894 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array9894
  gc_frame_newslot(array9894);
  Object bool9895 = alloc_Boolean(0);
// compilenode returning bool9895
  gc_frame_newslot(bool9895);
  int callframe9896 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call9897 = callmethod(*var_ast, "methodNode",
    1, partcv, params);
  gc_frame_end(callframe9896);
// compilenode returning call9897
// compilenode returning call9897
  params[0] = *var_meth;
  params[1] = *var_signature;
  params[2] = array9894;
  params[3] = bool9895;
  partcv[0] = 4;
  Object call9898 = callmethod(call9897, "new",
    1, partcv, params);
  gc_frame_end(callframe9893);
// compilenode returning call9898
  *var_tm = call9898;
  if (call9898 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3023
  setline(3023);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9899 = gc_frame_new();
// compilenode returning *var_tm
  gc_frame_newslot(*var_tm);
// compilenode returning *var_sameline
  gc_frame_newslot(*var_sameline);
  params[0] = *var_tm;
  params[1] = *var_sameline;
  partcv[0] = 2;
  Object call9900 = callmethodflags(self, "parsempmndecrest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9899);
// compilenode returning call9900
  *var_meth = call9900;
  if (call9900 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3025
  setline(3025);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3024
  setline(3024);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9903 = gc_frame_new();
// compilenode returning *var_tm
  partcv[0] = 0;
  Object call9904 = callmethod(*var_tm, "varargs",
    1, partcv, params);
  gc_frame_end(callframe9903);
// compilenode returning call9904
// compilenode returning call9904
  int op_slot_right_9902 = gc_frame_newslot(call9904);
// compilenode returning *var_varargs
  int op_slot_left_9902 = gc_frame_newslot(*var_varargs);
  params[0] = call9904;
  partcv[0] = 1;
  Object opresult9906 = callmethod(*var_varargs, "||", 1, partcv, params);
// compilenode returning opresult9906
  *var_varargs = opresult9906;
  if (opresult9906 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if9878 = done;
  } else {
  }
// compilenode returning if9878
    gc_frame_newslot(if9878);
    if9514 = if9878;
  } else {
  }
// compilenode returning if9514
// Begin line 3035
  setline(3035);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3027
  setline(3027);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9909 = gc_frame_new();
  if (strlit9910 == NULL) {
    strlit9910 = alloc_String("arrow");
    gc_root(strlit9910);
  }
// compilenode returning strlit9910
  gc_frame_newslot(strlit9910);
  params[0] = strlit9910;
  partcv[0] = 1;
  Object call9911 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9909);
// compilenode returning call9911
  Object if9908 = done;
  if (istrue(call9911)) {
// Begin line 3029
  setline(3029);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9912 = gc_frame_new();
  partcv[0] = 0;
  Object call9913 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9912);
// compilenode returning call9913
// Begin line 3030
  setline(3030);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9914 = gc_frame_new();
  partcv[0] = 0;
  Object call9915 = callmethodflags(self, "dotyperef", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9914);
// compilenode returning call9915
// Begin line 3032
  setline(3032);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3031
  setline(3031);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9916 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call9917 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe9916);
// compilenode returning call9917
// compilenode returning call9917
  *var_dtype = call9917;
  if (call9917 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if9908 = done;
  } else {
// Begin line 3034
  setline(3034);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3033
  setline(3033);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool9919 = alloc_Boolean(0);
// compilenode returning bool9919
  *var_dtype = bool9919;
  if (bool9919 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if9908 = done;
  }
// compilenode returning if9908
// Begin line 3035
  setline(3035);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject9921 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9921 = alloc_userobj2(10,6, objclass9921);
  gc_frame_newslot(obj9921);
// OBJECT OUTER DEC outer
  adddatum2(obj9921, self, 0);
  addmethodreal(obj9921,"outer", &reader_parser_outer_9922);
  Object oldself9921 = self;
  struct StackFrameObject *oldstackframe9921 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9921);
  gc_frame_newslot((Object)stackframe);
  self = obj9921;
  Object *oldselfslot9921 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9921 = (*(struct UserObject *)self).data[0], lowerouter9921 = thisouter9921;
  if (inheritingObject9921) {
    struct UserObject *inho9921 = (struct UserObject *)inheritingObject9921;
    while (inho9921->super != GraceDefaultObject) inho9921 = (struct UserObject *)inho9921->super;
    inho9921->super = obj9921;
    self = inheritingObject9921;
    *selfslot = self;
    lowerouter9921 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9921;
  }
if (objclass9921 == NULL) {
  Method *reader9923 = addmethodrealflags(obj9921, "m",&reader_parser_m_9923, 0);
  Method *writer9923 = addmethodrealflags(obj9921, "m:=",&writer_parser_m_9923, 0);
  reader9923->definitionModule = modulename;
  writer9923->definitionModule = modulename;
  reader9923->definitionLine = 3037;
  writer9923->definitionLine = 3037;
}
obj9921->flags |= OFLAG_MUTABLE;
adddatum2(obj9921, alloc_Undefined(), 1);
if (objclass9921 == NULL) {
  Method *reader9924 = addmethodrealflags(obj9921, "sig",&reader_parser_sig_9924, 0);
  Method *writer9924 = addmethodrealflags(obj9921, "sig:=",&writer_parser_sig_9924, 0);
  reader9924->definitionModule = modulename;
  writer9924->definitionModule = modulename;
  reader9924->definitionLine = 3038;
  writer9924->definitionLine = 3038;
}
obj9921->flags |= OFLAG_MUTABLE;
adddatum2(obj9921, alloc_Undefined(), 2);
if (objclass9921 == NULL) {
  Method *reader9925 = addmethodrealflags(obj9921, "rtype",&reader_parser_rtype_9925, 0);
  Method *writer9925 = addmethodrealflags(obj9921, "rtype:=",&writer_parser_rtype_9925, 0);
  reader9925->definitionModule = modulename;
  writer9925->definitionModule = modulename;
  reader9925->definitionLine = 3039;
  writer9925->definitionLine = 3039;
}
obj9921->flags |= OFLAG_MUTABLE;
adddatum2(obj9921, alloc_Undefined(), 3);
if (objclass9921 == NULL) {
  Method *reader9926 = addmethodrealflags(obj9921, "v",&reader_parser_v_9926, 0);
  Method *writer9926 = addmethodrealflags(obj9921, "v:=",&writer_parser_v_9926, 0);
  reader9926->definitionModule = modulename;
  writer9926->definitionModule = modulename;
  reader9926->definitionLine = 3040;
  writer9926->definitionLine = 3040;
}
obj9921->flags |= OFLAG_MUTABLE;
adddatum2(obj9921, alloc_Undefined(), 4);
if (objclass9921 == NULL) {
  Method *reader9927 = addmethodrealflags(obj9921, "generics",&reader_parser_generics_9927, 0);
  Method *writer9927 = addmethodrealflags(obj9921, "generics:=",&writer_parser_generics_9927, 0);
  reader9927->definitionModule = modulename;
  writer9927->definitionModule = modulename;
  reader9927->definitionLine = 3041;
  writer9927->definitionLine = 3041;
}
obj9921->flags |= OFLAG_MUTABLE;
adddatum2(obj9921, alloc_Undefined(), 5);
  sourceObject = obj9921;
// Begin line 3036
  setline(3036);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_meth
  adddatum2(obj9921, *var_meth, 1);
  sourceObject = obj9921;
// Begin line 3037
  setline(3037);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_signature
  adddatum2(obj9921, *var_signature, 2);
  sourceObject = obj9921;
// Begin line 3038
  setline(3038);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_dtype
  adddatum2(obj9921, *var_dtype, 3);
  sourceObject = obj9921;
// Begin line 3039
  setline(3039);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_varargs
  adddatum2(obj9921, *var_varargs, 4);
  sourceObject = obj9921;
// Begin line 3040
  setline(3040);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_genericIdents
  adddatum2(obj9921, *var_genericIdents, 5);
objclass9921 = obj9921->class;
  objclass9921->definitionModule = modulename;
  objclass9921->definitionLine = 3035;
  (*(struct UserObject *)self).data[0] = lowerouter9921;
  self = oldself9921;
  selfslot = oldselfslot9921;
  stackframe = oldstackframe9921;
// compilenode returning obj9921
  *var_o = obj9921;
  if (obj9921 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3042
  setline(3042);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_o
  gc_frame_end(frame);
  return *var_o;
}
Object meth_parser_doimport9929(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 49, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(10, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doimport");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_util = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doimport (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for doimport");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_importline = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "importline");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_errorPos = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "errorPos");
  Object *var_p = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "p");
  Object *var_n = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "n");
  Object *var_o = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "o");
// Begin line 3101
  setline(3101);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3048
  setline(3048);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9933 == NULL) {
    strlit9933 = alloc_String("import");
    gc_root(strlit9933);
  }
// compilenode returning strlit9933
  int op_slot_right_9932 = gc_frame_newslot(strlit9933);
  int callframe9935 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9936 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9935);
// compilenode returning call9936
// compilenode returning call9936
  int op_slot_left_9932 = gc_frame_newslot(call9936);
  params[0] = strlit9933;
  partcv[0] = 1;
  Object opresult9937 = callmethod(call9936, "==", 1, partcv, params);
// compilenode returning opresult9937
  int op_slot_right_9931 = gc_frame_newslot(opresult9937);
  int callframe9939 = gc_frame_new();
  if (strlit9940 == NULL) {
    strlit9940 = alloc_String("keyword");
    gc_root(strlit9940);
  }
// compilenode returning strlit9940
  gc_frame_newslot(strlit9940);
  params[0] = strlit9940;
  partcv[0] = 1;
  Object call9941 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9939);
// compilenode returning call9941
  int op_slot_left_9931 = gc_frame_newslot(call9941);
  params[0] = opresult9937;
  partcv[0] = 1;
  Object opresult9942 = callmethod(call9941, "&&", 1, partcv, params);
// compilenode returning opresult9942
  Object if9930 = done;
  if (istrue(opresult9942)) {
// Begin line 3050
  setline(3050);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3049
  setline(3049);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9943 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9944 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe9943);
// compilenode returning call9944
// compilenode returning call9944
  *var_importline = call9944;
  if (call9944 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3050
  setline(3050);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9945 = gc_frame_new();
  partcv[0] = 0;
  Object call9946 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9945);
// compilenode returning call9946
// Begin line 3064
  setline(3064);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3051
  setline(3051);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit9949 == NULL) {
    strlit9949 = alloc_String("string");
    gc_root(strlit9949);
  }
// compilenode returning strlit9949
  int op_slot_right_9948 = gc_frame_newslot(strlit9949);
  int callframe9951 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9952 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9951);
// compilenode returning call9952
// compilenode returning call9952
  int op_slot_left_9948 = gc_frame_newslot(call9952);
  params[0] = strlit9949;
  partcv[0] = 1;
  Object opresult9953 = callmethod(call9952, "!=", 1, partcv, params);
// compilenode returning opresult9953
  Object if9947 = done;
  if (istrue(opresult9953)) {
// Begin line 3053
  setline(3053);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3052
  setline(3052);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9954 = gc_frame_new();
  int callframe9955 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call9956 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe9955);
// compilenode returning call9956
// compilenode returning call9956
  partcv[0] = 0;
  Object call9957 = callmethod(call9956, "new",
    1, partcv, params);
  gc_frame_end(callframe9954);
// compilenode returning call9957
// compilenode returning call9957
  *var_suggestion = call9957;
  if (call9957 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3054
  setline(3054);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_errorPos = undefined;
// compilenode returning done
// Begin line 3061
  setline(3061);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3054
  setline(3054);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9961 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9962 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe9961);
// compilenode returning call9962
// compilenode returning call9962
  int op_slot_right_9960 = gc_frame_newslot(call9962);
  int callframe9964 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9965 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe9964);
// compilenode returning call9965
// compilenode returning call9965
  int op_slot_left_9960 = gc_frame_newslot(call9965);
  params[0] = call9962;
  partcv[0] = 1;
  Object opresult9966 = callmethod(call9965, "==", 1, partcv, params);
// compilenode returning opresult9966
  int op_slot_right_9959 = gc_frame_newslot(opresult9966);
  if (strlit9969 == NULL) {
    strlit9969 = alloc_String("identifier");
    gc_root(strlit9969);
  }
// compilenode returning strlit9969
  int op_slot_right_9968 = gc_frame_newslot(strlit9969);
  int callframe9971 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9972 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe9971);
// compilenode returning call9972
// compilenode returning call9972
  int op_slot_left_9968 = gc_frame_newslot(call9972);
  params[0] = strlit9969;
  partcv[0] = 1;
  Object opresult9973 = callmethod(call9972, "==", 1, partcv, params);
// compilenode returning opresult9973
  int op_slot_left_9959 = gc_frame_newslot(opresult9973);
  params[0] = opresult9966;
  partcv[0] = 1;
  Object opresult9974 = callmethod(opresult9973, "&&", 1, partcv, params);
// compilenode returning opresult9974
  Object if9958 = done;
  if (istrue(opresult9974)) {
// Begin line 3055
  setline(3055);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9975 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit9977 == NULL) {
    strlit9977 = alloc_String("""\x22""");
    gc_root(strlit9977);
  }
// compilenode returning strlit9977
  int op_slot_right_9976 = gc_frame_newslot(strlit9977);
  int callframe9980 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9981 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe9980);
// compilenode returning call9981
// compilenode returning call9981
  int op_slot_right_9979 = gc_frame_newslot(call9981);
  if (strlit9983 == NULL) {
    strlit9983 = alloc_String("""\x22""");
    gc_root(strlit9983);
  }
// compilenode returning strlit9983
  int op_slot_left_9979 = gc_frame_newslot(strlit9983);
  params[0] = call9981;
  partcv[0] = 1;
  Object opresult9984 = callmethod(strlit9983, "++", 1, partcv, params);
// compilenode returning opresult9984
  int op_slot_left_9976 = gc_frame_newslot(opresult9984);
  params[0] = strlit9977;
  partcv[0] = 1;
  Object opresult9985 = callmethod(opresult9984, "++", 1, partcv, params);
// compilenode returning opresult9985
  gc_frame_newslot(opresult9985);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = opresult9985;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9986 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe9975);
// compilenode returning call9986
// Begin line 3057
  setline(3057);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3056
  setline(3056);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9987 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call9988 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe9987);
// compilenode returning call9988
// compilenode returning call9988
  *var_errorPos = call9988;
  if (call9988 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if9958 = done;
  } else {
// Begin line 3058
  setline(3058);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe9990 = gc_frame_new();
  if (strlit9991 == NULL) {
    strlit9991 = alloc_String(" ""\x22""""\xc2""""\xab""module name""\xc2""""\xbb""""\x22""");
    gc_root(strlit9991);
  }
// compilenode returning strlit9991
  gc_frame_newslot(strlit9991);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit9991;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9992 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe9990);
// compilenode returning call9992
// Begin line 3060
  setline(3060);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3059
  setline(3059);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num9994 = alloc_Float64(1);
// compilenode returning num9994
  int op_slot_right_9993 = gc_frame_newslot(num9994);
  int callframe9997 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call9998 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe9997);
// compilenode returning call9998
// compilenode returning call9998
  int op_slot_right_9996 = gc_frame_newslot(call9998);
  int callframe10000 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10001 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10000);
// compilenode returning call10001
// compilenode returning call10001
  int op_slot_left_9996 = gc_frame_newslot(call10001);
  params[0] = call9998;
  partcv[0] = 1;
  Object sum10002 = callmethod(call10001, "+", 1, partcv, params);
// compilenode returning sum10002
  int op_slot_left_9993 = gc_frame_newslot(sum10002);
  params[0] = num9994;
  partcv[0] = 1;
  Object sum10003 = callmethod(sum10002, "+", 1, partcv, params);
// compilenode returning sum10003
  *var_errorPos = sum10003;
  if (sum10003 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if9958 = done;
  }
// compilenode returning if9958
// Begin line 3061
  setline(3061);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10005 = gc_frame_new();
  if (strlit10006 == NULL) {
    strlit10006 = alloc_String("An import statement must have the name of the module in quotes, 'as', and an identifier after 'import'.");
    gc_root(strlit10006);
  }
// compilenode returning strlit10006
  gc_frame_newslot(strlit10006);
// Begin line 3062
  setline(3062);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10007 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10008 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10007);
// compilenode returning call10008
// compilenode returning call10008
  gc_frame_newslot(call10008);
// compilenode returning *var_errorPos
  gc_frame_newslot(*var_errorPos);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3061
  setline(3061);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit10006;
  params[1] = call10008;
  params[2] = *var_errorPos;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10009 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe10005);
// compilenode returning call10009
    gc_frame_newslot(call10009);
    if9947 = call10009;
  } else {
  }
// compilenode returning if9947
// Begin line 3064
  setline(3064);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10010 = gc_frame_new();
  partcv[0] = 0;
  Object call10011 = callmethodflags(self, "pushstring", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10010);
// compilenode returning call10011
// Begin line 3066
  setline(3066);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3065
  setline(3065);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10012 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call10013 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10012);
// compilenode returning call10013
// compilenode returning call10013
  *var_p = call10013;
  if (call10013 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3076
  setline(3076);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3066
  setline(3066);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10017 == NULL) {
    strlit10017 = alloc_String("as");
    gc_root(strlit10017);
  }
// compilenode returning strlit10017
  int op_slot_right_10016 = gc_frame_newslot(strlit10017);
  int callframe10019 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10020 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10019);
// compilenode returning call10020
// compilenode returning call10020
  int op_slot_left_10016 = gc_frame_newslot(call10020);
  params[0] = strlit10017;
  partcv[0] = 1;
  Object opresult10021 = callmethod(call10020, "!=", 1, partcv, params);
// compilenode returning opresult10021
  int op_slot_right_10015 = gc_frame_newslot(opresult10021);
  if (strlit10024 == NULL) {
    strlit10024 = alloc_String("identifier");
    gc_root(strlit10024);
  }
// compilenode returning strlit10024
  int op_slot_right_10023 = gc_frame_newslot(strlit10024);
  int callframe10026 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10027 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10026);
// compilenode returning call10027
// compilenode returning call10027
  int op_slot_left_10023 = gc_frame_newslot(call10027);
  params[0] = strlit10024;
  partcv[0] = 1;
  Object opresult10028 = callmethod(call10027, "!=", 1, partcv, params);
// compilenode returning opresult10028
  int op_slot_left_10015 = gc_frame_newslot(opresult10028);
  params[0] = opresult10021;
  partcv[0] = 1;
  Object opresult10029 = callmethod(opresult10028, "||", 1, partcv, params);
// compilenode returning opresult10029
  Object if10014 = done;
  if (istrue(opresult10029)) {
// Begin line 3068
  setline(3068);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3067
  setline(3067);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10030 = gc_frame_new();
  int callframe10031 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10032 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10031);
// compilenode returning call10032
// compilenode returning call10032
  partcv[0] = 0;
  Object call10033 = callmethod(call10032, "new",
    1, partcv, params);
  gc_frame_end(callframe10030);
// compilenode returning call10033
// compilenode returning call10033
  *var_suggestion = call10033;
  if (call10033 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3073
  setline(3073);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3068
  setline(3068);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10037 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10038 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10037);
// compilenode returning call10038
// compilenode returning call10038
  int op_slot_right_10036 = gc_frame_newslot(call10038);
  int callframe10040 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10041 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10040);
// compilenode returning call10041
// compilenode returning call10041
  int op_slot_left_10036 = gc_frame_newslot(call10041);
  params[0] = call10038;
  partcv[0] = 1;
  Object opresult10042 = callmethod(call10041, "==", 1, partcv, params);
// compilenode returning opresult10042
  int op_slot_right_10035 = gc_frame_newslot(opresult10042);
  if (strlit10045 == NULL) {
    strlit10045 = alloc_String("identifier");
    gc_root(strlit10045);
  }
// compilenode returning strlit10045
  int op_slot_right_10044 = gc_frame_newslot(strlit10045);
  int callframe10047 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10048 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10047);
// compilenode returning call10048
// compilenode returning call10048
  int op_slot_left_10044 = gc_frame_newslot(call10048);
  params[0] = strlit10045;
  partcv[0] = 1;
  Object opresult10049 = callmethod(call10048, "==", 1, partcv, params);
// compilenode returning opresult10049
  int op_slot_left_10035 = gc_frame_newslot(opresult10049);
  params[0] = opresult10042;
  partcv[0] = 1;
  Object opresult10050 = callmethod(opresult10049, "&&", 1, partcv, params);
// compilenode returning opresult10050
  Object if10034 = done;
  if (istrue(opresult10050)) {
// Begin line 3069
  setline(3069);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10051 = gc_frame_new();
  if (strlit10052 == NULL) {
    strlit10052 = alloc_String(" as");
    gc_root(strlit10052);
  }
// compilenode returning strlit10052
  gc_frame_newslot(strlit10052);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit10052;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10053 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe10051);
// compilenode returning call10053
    gc_frame_newslot(call10053);
    if10034 = call10053;
  } else {
// Begin line 3071
  setline(3071);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10054 = gc_frame_new();
  if (strlit10056 == NULL) {
    strlit10056 = alloc_String("");
    gc_root(strlit10056);
  }
// compilenode returning strlit10056
  int op_slot_right_10055 = gc_frame_newslot(strlit10056);
  int callframe10059 = gc_frame_new();
// compilenode returning *var_p
  partcv[0] = 0;
  Object call10060 = callmethod(*var_p, "value",
    1, partcv, params);
  gc_frame_end(callframe10059);
// compilenode returning call10060
// compilenode returning call10060
  int op_slot_right_10058 = gc_frame_newslot(call10060);
  if (strlit10062 == NULL) {
    strlit10062 = alloc_String(" as ");
    gc_root(strlit10062);
  }
// compilenode returning strlit10062
  int op_slot_left_10058 = gc_frame_newslot(strlit10062);
  params[0] = call10060;
  partcv[0] = 1;
  Object opresult10063 = callmethod(strlit10062, "++", 1, partcv, params);
// compilenode returning opresult10063
  int op_slot_left_10055 = gc_frame_newslot(opresult10063);
  params[0] = strlit10056;
  partcv[0] = 1;
  Object opresult10064 = callmethod(opresult10063, "++", 1, partcv, params);
// compilenode returning opresult10064
  gc_frame_newslot(opresult10064);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = opresult10064;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10065 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe10054);
// compilenode returning call10065
    gc_frame_newslot(call10065);
    if10034 = call10065;
  }
// compilenode returning if10034
// Begin line 3073
  setline(3073);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10066 = gc_frame_new();
  if (strlit10067 == NULL) {
    strlit10067 = alloc_String("An import statement must have 'as', and an identifier after the name of the module in quotes.");
    gc_root(strlit10067);
  }
// compilenode returning strlit10067
  gc_frame_newslot(strlit10067);
// Begin line 3074
  setline(3074);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10068 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10069 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10068);
// compilenode returning call10069
// compilenode returning call10069
  gc_frame_newslot(call10069);
  Object num10071 = alloc_Float64(1);
// compilenode returning num10071
  int op_slot_right_10070 = gc_frame_newslot(num10071);
  int callframe10074 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10075 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe10074);
// compilenode returning call10075
// compilenode returning call10075
  int op_slot_right_10073 = gc_frame_newslot(call10075);
  int callframe10077 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10078 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10077);
// compilenode returning call10078
// compilenode returning call10078
  int op_slot_left_10073 = gc_frame_newslot(call10078);
  params[0] = call10075;
  partcv[0] = 1;
  Object sum10079 = callmethod(call10078, "+", 1, partcv, params);
// compilenode returning sum10079
  int op_slot_left_10070 = gc_frame_newslot(sum10079);
  params[0] = num10071;
  partcv[0] = 1;
  Object sum10080 = callmethod(sum10079, "+", 1, partcv, params);
// compilenode returning sum10080
  gc_frame_newslot(sum10080);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3073
  setline(3073);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit10067;
  params[1] = call10069;
  params[2] = sum10080;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10081 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe10066);
// compilenode returning call10081
    gc_frame_newslot(call10081);
    if10014 = call10081;
  } else {
  }
// compilenode returning if10014
// Begin line 3076
  setline(3076);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10082 = gc_frame_new();
  partcv[0] = 0;
  Object call10083 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10082);
// compilenode returning call10083
// Begin line 3090
  setline(3090);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3077
  setline(3077);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10086 == NULL) {
    strlit10086 = alloc_String("identifier");
    gc_root(strlit10086);
  }
// compilenode returning strlit10086
  int op_slot_right_10085 = gc_frame_newslot(strlit10086);
  int callframe10088 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10089 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10088);
// compilenode returning call10089
// compilenode returning call10089
  int op_slot_left_10085 = gc_frame_newslot(call10089);
  params[0] = strlit10086;
  partcv[0] = 1;
  Object opresult10090 = callmethod(call10089, "!=", 1, partcv, params);
// compilenode returning opresult10090
  Object if10084 = done;
  if (istrue(opresult10090)) {
// Begin line 3079
  setline(3079);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3078
  setline(3078);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10091 = gc_frame_new();
  int callframe10092 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10093 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10092);
// compilenode returning call10093
// compilenode returning call10093
  partcv[0] = 0;
  Object call10094 = callmethod(call10093, "new",
    1, partcv, params);
  gc_frame_end(callframe10091);
// compilenode returning call10094
// compilenode returning call10094
  *var_suggestion = call10094;
  if (call10094 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3080
  setline(3080);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_errorPos = undefined;
// compilenode returning done
// Begin line 3087
  setline(3087);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3080
  setline(3080);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10098 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10099 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10098);
// compilenode returning call10099
// compilenode returning call10099
  int op_slot_right_10097 = gc_frame_newslot(call10099);
  int callframe10101 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10102 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10101);
// compilenode returning call10102
// compilenode returning call10102
  int op_slot_left_10097 = gc_frame_newslot(call10102);
  params[0] = call10099;
  partcv[0] = 1;
  Object opresult10103 = callmethod(call10102, "==", 1, partcv, params);
// compilenode returning opresult10103
  int op_slot_right_10096 = gc_frame_newslot(opresult10103);
  if (strlit10106 == NULL) {
    strlit10106 = alloc_String("string");
    gc_root(strlit10106);
  }
// compilenode returning strlit10106
  int op_slot_right_10105 = gc_frame_newslot(strlit10106);
  int callframe10108 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10109 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10108);
// compilenode returning call10109
// compilenode returning call10109
  int op_slot_left_10105 = gc_frame_newslot(call10109);
  params[0] = strlit10106;
  partcv[0] = 1;
  Object opresult10110 = callmethod(call10109, "==", 1, partcv, params);
// compilenode returning opresult10110
  int op_slot_left_10096 = gc_frame_newslot(opresult10110);
  params[0] = opresult10103;
  partcv[0] = 1;
  Object opresult10111 = callmethod(opresult10110, "&&", 1, partcv, params);
// compilenode returning opresult10111
  Object if10095 = done;
  if (istrue(opresult10111)) {
// Begin line 3081
  setline(3081);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10112 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit10114 == NULL) {
    strlit10114 = alloc_String("");
    gc_root(strlit10114);
  }
// compilenode returning strlit10114
  int op_slot_right_10113 = gc_frame_newslot(strlit10114);
  int callframe10117 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10118 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10117);
// compilenode returning call10118
// compilenode returning call10118
  int op_slot_right_10116 = gc_frame_newslot(call10118);
  if (strlit10120 == NULL) {
    strlit10120 = alloc_String("");
    gc_root(strlit10120);
  }
// compilenode returning strlit10120
  int op_slot_left_10116 = gc_frame_newslot(strlit10120);
  params[0] = call10118;
  partcv[0] = 1;
  Object opresult10121 = callmethod(strlit10120, "++", 1, partcv, params);
// compilenode returning opresult10121
  int op_slot_left_10113 = gc_frame_newslot(opresult10121);
  params[0] = strlit10114;
  partcv[0] = 1;
  Object opresult10122 = callmethod(opresult10121, "++", 1, partcv, params);
// compilenode returning opresult10122
  gc_frame_newslot(opresult10122);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = opresult10122;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10123 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe10112);
// compilenode returning call10123
// Begin line 3083
  setline(3083);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3082
  setline(3082);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10124 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10125 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10124);
// compilenode returning call10125
// compilenode returning call10125
  *var_errorPos = call10125;
  if (call10125 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if10095 = done;
  } else {
// Begin line 3084
  setline(3084);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10127 = gc_frame_new();
  if (strlit10129 == NULL) {
    strlit10129 = alloc_String("");
    gc_root(strlit10129);
  }
// compilenode returning strlit10129
  int op_slot_right_10128 = gc_frame_newslot(strlit10129);
  int callframe10132 = gc_frame_new();
// compilenode returning *var_p
  partcv[0] = 0;
  Object call10133 = callmethod(*var_p, "value",
    1, partcv, params);
  gc_frame_end(callframe10132);
// compilenode returning call10133
// compilenode returning call10133
  int op_slot_right_10131 = gc_frame_newslot(call10133);
  if (strlit10135 == NULL) {
    strlit10135 = alloc_String(" ");
    gc_root(strlit10135);
  }
// compilenode returning strlit10135
  int op_slot_left_10131 = gc_frame_newslot(strlit10135);
  params[0] = call10133;
  partcv[0] = 1;
  Object opresult10136 = callmethod(strlit10135, "++", 1, partcv, params);
// compilenode returning opresult10136
  int op_slot_left_10128 = gc_frame_newslot(opresult10136);
  params[0] = strlit10129;
  partcv[0] = 1;
  Object opresult10137 = callmethod(opresult10136, "++", 1, partcv, params);
// compilenode returning opresult10137
  gc_frame_newslot(opresult10137);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = opresult10137;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10138 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe10127);
// compilenode returning call10138
// Begin line 3086
  setline(3086);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3085
  setline(3085);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num10140 = alloc_Float64(1);
// compilenode returning num10140
  int op_slot_right_10139 = gc_frame_newslot(num10140);
  int callframe10143 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10144 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe10143);
// compilenode returning call10144
// compilenode returning call10144
  int op_slot_right_10142 = gc_frame_newslot(call10144);
  int callframe10146 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10147 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10146);
// compilenode returning call10147
// compilenode returning call10147
  int op_slot_left_10142 = gc_frame_newslot(call10147);
  params[0] = call10144;
  partcv[0] = 1;
  Object sum10148 = callmethod(call10147, "+", 1, partcv, params);
// compilenode returning sum10148
  int op_slot_left_10139 = gc_frame_newslot(sum10148);
  params[0] = num10140;
  partcv[0] = 1;
  Object sum10149 = callmethod(sum10148, "+", 1, partcv, params);
// compilenode returning sum10149
  *var_errorPos = sum10149;
  if (sum10149 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if10095 = done;
  }
// compilenode returning if10095
// Begin line 3087
  setline(3087);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10151 = gc_frame_new();
  if (strlit10152 == NULL) {
    strlit10152 = alloc_String("An import statement must have an identifier after 'as'.");
    gc_root(strlit10152);
  }
// compilenode returning strlit10152
  gc_frame_newslot(strlit10152);
// Begin line 3088
  setline(3088);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10153 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10154 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10153);
// compilenode returning call10154
// compilenode returning call10154
  gc_frame_newslot(call10154);
// compilenode returning *var_errorPos
  gc_frame_newslot(*var_errorPos);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3087
  setline(3087);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit10152;
  params[1] = call10154;
  params[2] = *var_errorPos;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10155 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe10151);
// compilenode returning call10155
    gc_frame_newslot(call10155);
    if10084 = call10155;
  } else {
  }
// compilenode returning if10084
// Begin line 3090
  setline(3090);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10156 = gc_frame_new();
  partcv[0] = 0;
  Object call10157 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10156);
// compilenode returning call10157
// Begin line 3092
  setline(3092);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3091
  setline(3091);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10158 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call10159 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10158);
// compilenode returning call10159
// compilenode returning call10159
  *var_n = call10159;
  if (call10159 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3092
  setline(3092);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10160 = gc_frame_new();
// compilenode returning *var_importline
  gc_frame_newslot(*var_importline);
// compilenode returning *var_util
  params[0] = *var_importline;
  partcv[0] = 1;
  Object call10161 = callmethod(*var_util, "setline",
    1, partcv, params);
  gc_frame_end(callframe10160);
// compilenode returning call10161
// Begin line 3093
  setline(3093);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10162 = gc_frame_new();
  int callframe10163 = gc_frame_new();
// compilenode returning *var_p
  partcv[0] = 0;
  Object call10164 = callmethod(*var_p, "value",
    1, partcv, params);
  gc_frame_end(callframe10163);
// compilenode returning call10164
// compilenode returning call10164
  gc_frame_newslot(call10164);
  int callframe10165 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call10166 = callmethod(*var_n, "value",
    1, partcv, params);
  gc_frame_end(callframe10165);
// compilenode returning call10166
// compilenode returning call10166
  gc_frame_newslot(call10166);
  int callframe10167 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call10168 = callmethod(*var_ast, "importNode",
    1, partcv, params);
  gc_frame_end(callframe10167);
// compilenode returning call10168
// compilenode returning call10168
  params[0] = call10164;
  params[1] = call10166;
  partcv[0] = 2;
  Object call10169 = callmethod(call10168, "new",
    1, partcv, params);
  gc_frame_end(callframe10162);
// compilenode returning call10169
  *var_o = call10169;
  if (call10169 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3099
  setline(3099);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3094
  setline(3094);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10171 = gc_frame_new();
  if (strlit10172 == NULL) {
    strlit10172 = alloc_String("colon");
    gc_root(strlit10172);
  }
// compilenode returning strlit10172
  gc_frame_newslot(strlit10172);
  params[0] = strlit10172;
  partcv[0] = 1;
  Object call10173 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10171);
// compilenode returning call10173
  Object if10170 = done;
  if (istrue(call10173)) {
// Begin line 3095
  setline(3095);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10174 = gc_frame_new();
  partcv[0] = 0;
  Object call10175 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10174);
// compilenode returning call10175
// Begin line 3096
  setline(3096);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10176 = gc_frame_new();
  partcv[0] = 0;
  Object call10177 = callmethodflags(self, "dotypeterm", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10176);
// compilenode returning call10177
// Begin line 3098
  setline(3098);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3093
  setline(3093);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10178 = gc_frame_new();
// Begin line 3097
  setline(3097);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10179 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call10180 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10179);
// compilenode returning call10180
// compilenode returning call10180
  gc_frame_newslot(call10180);
// compilenode returning *var_o
  params[0] = call10180;
  partcv[0] = 1;
  Object call10181 = callmethod(*var_o, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe10178);
// compilenode returning call10181
// compilenode returning done
    gc_frame_newslot(done);
    if10170 = done;
  } else {
  }
// compilenode returning if10170
// Begin line 3099
  setline(3099);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10182 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call10183 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe10182);
// compilenode returning call10183
    gc_frame_newslot(call10183);
    if9930 = call10183;
  } else {
  }
// compilenode returning if9930
  gc_frame_end(frame);
  return if9930;
}
Object meth_parser__apply10207(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe10208 = gc_frame_new();
  partcv[0] = 0;
  Object call10209 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10208);
// compilenode returning call10209
  gc_frame_end(frame);
  return call10209;
}
Object meth_parser_doreturn10184(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 50, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doreturn");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doreturn (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for doreturn");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_retval = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "retval");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_o = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "o");
// Begin line 3136
  setline(3136);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3106
  setline(3106);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10188 == NULL) {
    strlit10188 = alloc_String("return");
    gc_root(strlit10188);
  }
// compilenode returning strlit10188
  int op_slot_right_10187 = gc_frame_newslot(strlit10188);
  int callframe10190 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10191 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10190);
// compilenode returning call10191
// compilenode returning call10191
  int op_slot_left_10187 = gc_frame_newslot(call10191);
  params[0] = strlit10188;
  partcv[0] = 1;
  Object opresult10192 = callmethod(call10191, "==", 1, partcv, params);
// compilenode returning opresult10192
  int op_slot_right_10186 = gc_frame_newslot(opresult10192);
  int callframe10194 = gc_frame_new();
  if (strlit10195 == NULL) {
    strlit10195 = alloc_String("keyword");
    gc_root(strlit10195);
  }
// compilenode returning strlit10195
  gc_frame_newslot(strlit10195);
  params[0] = strlit10195;
  partcv[0] = 1;
  Object call10196 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10194);
// compilenode returning call10196
  int op_slot_left_10186 = gc_frame_newslot(call10196);
  params[0] = opresult10192;
  partcv[0] = 1;
  Object opresult10197 = callmethod(call10196, "&&", 1, partcv, params);
// compilenode returning opresult10197
  Object if10185 = done;
  if (istrue(opresult10197)) {
// Begin line 3107
  setline(3107);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10198 = gc_frame_new();
  partcv[0] = 0;
  Object call10199 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10198);
// compilenode returning call10199
// Begin line 3109
  setline(3109);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_retval = undefined;
// compilenode returning done
// Begin line 3133
  setline(3133);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3109
  setline(3109);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10201 = gc_frame_new();
  partcv[0] = 0;
  Object call10202 = callmethodflags(self, "tokenOnSameLine", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10201);
// compilenode returning call10202
  Object if10200 = done;
  if (istrue(call10202)) {
// Begin line 3129
  setline(3129);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3110
  setline(3110);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10204 = gc_frame_new();
  int callframe10205 = gc_frame_new();
  Object block10206 = alloc_Block(NULL, NULL, "parser", 3110);
  gc_frame_newslot(block10206);
  block_savedest(block10206);
  Object closure10207 = createclosure(1, "_apply");
setclosureframe(closure10207, stackframe);
  addtoclosure(closure10207, selfslot);
  struct UserObject *uo10207 = (struct UserObject*)block10206;
  uo10207->data[0] = (Object)closure10207;
  Method *meth_meth_parser__apply10207 = addmethod2pos(block10206, "_apply", &meth_parser__apply10207, 0);
int argcv_meth_parser__apply10207[] = {0};
meth_meth_parser__apply10207->type = alloc_MethodType(1, argcv_meth_parser__apply10207);
  meth_meth_parser__apply10207->definitionModule = modulename;
  meth_meth_parser__apply10207->definitionLine = 3110;
// compilenode returning block10206
  gc_frame_newslot(block10206);
  params[0] = block10206;
  partcv[0] = 1;
  Object call10211 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10205);
// compilenode returning call10211
  partcv[0] = 0;
  Object call10212 = callmethod(call10211, "not",
    1, partcv, params);
  gc_frame_end(callframe10204);
// compilenode returning call10212
// compilenode returning call10212
  Object if10203 = done;
  if (istrue(call10212)) {
// Begin line 3112
  setline(3112);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3111
  setline(3111);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array10213 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array10213
  *var_suggestions = array10213;
  if (array10213 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3113
  setline(3113);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3112
  setline(3112);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10214 = gc_frame_new();
  int callframe10215 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10216 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10215);
// compilenode returning call10216
// compilenode returning call10216
  partcv[0] = 0;
  Object call10217 = callmethod(call10216, "new",
    1, partcv, params);
  gc_frame_end(callframe10214);
// compilenode returning call10217
// compilenode returning call10217
  *var_suggestion = call10217;
  if (call10217 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3113
  setline(3113);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10218 = gc_frame_new();
  if (strlit10219 == NULL) {
    strlit10219 = alloc_String("rbrace");
    gc_root(strlit10219);
  }
// compilenode returning strlit10219
  gc_frame_newslot(strlit10219);
  params[0] = strlit10219;
  partcv[0] = 1;
  Object call10220 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10218);
// compilenode returning call10220
  *var_nextTok = call10220;
  if (call10220 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3125
  setline(3125);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3114
  setline(3114);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_10222 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_10222 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult10224 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult10224
  Object if10221 = done;
  if (istrue(opresult10224)) {
// Begin line 3115
  setline(3115);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10225 = gc_frame_new();
  if (strlit10226 == NULL) {
    strlit10226 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit10226);
  }
// compilenode returning strlit10226
  gc_frame_newslot(strlit10226);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit10226;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10227 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe10225);
// compilenode returning call10227
// Begin line 3116
  setline(3116);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10228 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10229 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe10228);
// compilenode returning call10229
// Begin line 3118
  setline(3118);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3117
  setline(3117);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10230 = gc_frame_new();
  int callframe10231 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10232 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10231);
// compilenode returning call10232
// compilenode returning call10232
  partcv[0] = 0;
  Object call10233 = callmethod(call10232, "new",
    1, partcv, params);
  gc_frame_end(callframe10230);
// compilenode returning call10233
// compilenode returning call10233
  *var_suggestion = call10233;
  if (call10233 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3118
  setline(3118);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10235 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool10236 = alloc_Boolean(1);
// compilenode returning bool10236
  gc_frame_newslot(bool10236);
  Object bool10237 = alloc_Boolean(0);
// compilenode returning bool10237
  gc_frame_newslot(bool10237);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool10236;
  params[2] = bool10237;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call10238 = callmethod(*var_suggestion, "deleteToken()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe10235);
// compilenode returning call10238
    gc_frame_newslot(call10238);
    if10221 = call10238;
  } else {
// Begin line 3120
  setline(3120);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10239 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe10240 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call10241 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe10240);
// compilenode returning call10241
// compilenode returning call10241
  gc_frame_newslot(call10241);
  Object bool10242 = alloc_Boolean(1);
// compilenode returning bool10242
  gc_frame_newslot(bool10242);
  Object bool10243 = alloc_Boolean(0);
// compilenode returning bool10243
  gc_frame_newslot(bool10243);
  if (strlit10244 == NULL) {
    strlit10244 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit10244);
  }
// compilenode returning strlit10244
  gc_frame_newslot(strlit10244);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call10241;
  params[2] = bool10242;
  params[3] = bool10243;
  params[4] = strlit10244;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call10245 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe10239);
// compilenode returning call10245
// Begin line 3121
  setline(3121);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10246 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10247 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe10246);
// compilenode returning call10247
// Begin line 3123
  setline(3123);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3122
  setline(3122);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10248 = gc_frame_new();
  int callframe10249 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10250 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10249);
// compilenode returning call10250
// compilenode returning call10250
  partcv[0] = 0;
  Object call10251 = callmethod(call10250, "new",
    1, partcv, params);
  gc_frame_end(callframe10248);
// compilenode returning call10251
// compilenode returning call10251
  *var_suggestion = call10251;
  if (call10251 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3123
  setline(3123);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10253 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe10254 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call10255 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe10254);
// compilenode returning call10255
// compilenode returning call10255
  gc_frame_newslot(call10255);
  Object bool10256 = alloc_Boolean(1);
// compilenode returning bool10256
  gc_frame_newslot(bool10256);
  Object bool10257 = alloc_Boolean(0);
// compilenode returning bool10257
  gc_frame_newslot(bool10257);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call10255;
  params[2] = bool10256;
  params[3] = bool10257;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call10258 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe10253);
// compilenode returning call10258
    gc_frame_newslot(call10258);
    if10221 = call10258;
  }
// compilenode returning if10221
// Begin line 3125
  setline(3125);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10259 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10260 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe10259);
// compilenode returning call10260
// Begin line 3126
  setline(3126);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10261 = gc_frame_new();
  if (strlit10262 == NULL) {
    strlit10262 = alloc_String("A return statement must have either an expression or a new-line after 'return'.");
    gc_root(strlit10262);
  }
// compilenode returning strlit10262
  gc_frame_newslot(strlit10262);
// Begin line 3127
  setline(3127);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10263 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10264 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10263);
// compilenode returning call10264
// compilenode returning call10264
  gc_frame_newslot(call10264);
  int callframe10265 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10266 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10265);
// compilenode returning call10266
// compilenode returning call10266
  gc_frame_newslot(call10266);
  Object num10268 = alloc_Float64(1);
// compilenode returning num10268
  int op_slot_right_10267 = gc_frame_newslot(num10268);
  int callframe10271 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10272 = callmethod(*var_sym, "size",
    1, partcv, params);
  gc_frame_end(callframe10271);
// compilenode returning call10272
// compilenode returning call10272
  int op_slot_right_10270 = gc_frame_newslot(call10272);
  int callframe10274 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10275 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10274);
// compilenode returning call10275
// compilenode returning call10275
  int op_slot_left_10270 = gc_frame_newslot(call10275);
  params[0] = call10272;
  partcv[0] = 1;
  Object sum10276 = callmethod(call10275, "+", 1, partcv, params);
// compilenode returning sum10276
  int op_slot_left_10267 = gc_frame_newslot(sum10276);
  params[0] = num10268;
  partcv[0] = 1;
  Object diff10277 = callmethod(sum10276, "-", 1, partcv, params);
// compilenode returning diff10277
  gc_frame_newslot(diff10277);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 3126
  setline(3126);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit10262;
  params[1] = call10264;
  params[2] = call10266;
  params[3] = diff10277;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call10278 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe10261);
// compilenode returning call10278
    gc_frame_newslot(call10278);
    if10203 = call10278;
  } else {
  }
// compilenode returning if10203
// Begin line 3130
  setline(3130);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3129
  setline(3129);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10279 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call10280 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10279);
// compilenode returning call10280
// compilenode returning call10280
  *var_retval = call10280;
  if (call10280 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if10200 = done;
  } else {
// Begin line 3131
  setline(3131);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10282 = gc_frame_new();
  if (strlit10283 == NULL) {
    strlit10283 = alloc_String("done");
    gc_root(strlit10283);
  }
// compilenode returning strlit10283
  gc_frame_newslot(strlit10283);
  Object bool10284 = alloc_Boolean(0);
// compilenode returning bool10284
  gc_frame_newslot(bool10284);
  int callframe10285 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call10286 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe10285);
// compilenode returning call10286
// compilenode returning call10286
  params[0] = strlit10283;
  params[1] = bool10284;
  partcv[0] = 2;
  Object call10287 = callmethod(call10286, "new",
    1, partcv, params);
  gc_frame_end(callframe10282);
// compilenode returning call10287
  *var_retval = call10287;
  if (call10287 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if10200 = done;
  }
// compilenode returning if10200
// Begin line 3133
  setline(3133);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10289 = gc_frame_new();
// compilenode returning *var_retval
  gc_frame_newslot(*var_retval);
  int callframe10290 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call10291 = callmethod(*var_ast, "returnNode",
    1, partcv, params);
  gc_frame_end(callframe10290);
// compilenode returning call10291
// compilenode returning call10291
  params[0] = *var_retval;
  partcv[0] = 1;
  Object call10292 = callmethod(call10291, "new",
    1, partcv, params);
  gc_frame_end(callframe10289);
// compilenode returning call10292
  *var_o = call10292;
  if (call10292 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3134
  setline(3134);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10293 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call10294 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe10293);
// compilenode returning call10294
    gc_frame_newslot(call10294);
    if10185 = call10294;
  } else {
  }
// compilenode returning if10185
  gc_frame_end(frame);
  return if10185;
}
Object meth_parser_domethodtype10295(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 51, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(9, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "domethodtype");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_ast = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_util = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for domethodtype (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for domethodtype");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_m = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "m");
  Object *var_meth = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "meth");
  Object *var_signature = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "signature");
  Object *var_dtype = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "dtype");
  Object *var_varargs = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "varargs");
  Object *var_o = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "o");
  Object *var_suggestion = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "suggestion");
  Object *var_newLine = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "newLine");
// Begin line 3139
  setline(3139);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10296 = gc_frame_new();
  Object bool10297 = alloc_Boolean(1);
// compilenode returning bool10297
  gc_frame_newslot(bool10297);
  params[0] = bool10297;
  partcv[0] = 1;
  Object call10298 = callmethodflags(self, "methodsignature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10296);
// compilenode returning call10298
  *var_m = call10298;
  if (call10298 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3141
  setline(3141);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3140
  setline(3140);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10299 = gc_frame_new();
// compilenode returning *var_m
  partcv[0] = 0;
  Object call10300 = callmethod(*var_m, "m",
    1, partcv, params);
  gc_frame_end(callframe10299);
// compilenode returning call10300
// compilenode returning call10300
  *var_meth = call10300;
  if (call10300 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3142
  setline(3142);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3141
  setline(3141);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10301 = gc_frame_new();
// compilenode returning *var_m
  partcv[0] = 0;
  Object call10302 = callmethod(*var_m, "sig",
    1, partcv, params);
  gc_frame_end(callframe10301);
// compilenode returning call10302
// compilenode returning call10302
  *var_signature = call10302;
  if (call10302 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3143
  setline(3143);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3142
  setline(3142);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10303 = gc_frame_new();
// compilenode returning *var_m
  partcv[0] = 0;
  Object call10304 = callmethod(*var_m, "rtype",
    1, partcv, params);
  gc_frame_end(callframe10303);
// compilenode returning call10304
// compilenode returning call10304
  *var_dtype = call10304;
  if (call10304 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3144
  setline(3144);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3143
  setline(3143);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10305 = gc_frame_new();
// compilenode returning *var_m
  partcv[0] = 0;
  Object call10306 = callmethod(*var_m, "v",
    1, partcv, params);
  gc_frame_end(callframe10305);
// compilenode returning call10306
// compilenode returning call10306
  *var_varargs = call10306;
  if (call10306 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3147
  setline(3147);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3144
  setline(3144);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool10309 = alloc_Boolean(0);
// compilenode returning bool10309
  int op_slot_right_10308 = gc_frame_newslot(bool10309);
// compilenode returning *var_dtype
  int op_slot_left_10308 = gc_frame_newslot(*var_dtype);
  params[0] = bool10309;
  partcv[0] = 1;
  Object opresult10311 = callmethod(*var_dtype, "==", 1, partcv, params);
// compilenode returning opresult10311
  Object if10307 = done;
  if (istrue(opresult10311)) {
// Begin line 3145
  setline(3145);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10312 = gc_frame_new();
  if (strlit10313 == NULL) {
    strlit10313 = alloc_String("Done");
    gc_root(strlit10313);
  }
// compilenode returning strlit10313
  gc_frame_newslot(strlit10313);
  Object bool10314 = alloc_Boolean(0);
// compilenode returning bool10314
  gc_frame_newslot(bool10314);
  int callframe10315 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call10316 = callmethod(*var_ast, "identifierNode",
    1, partcv, params);
  gc_frame_end(callframe10315);
// compilenode returning call10316
// compilenode returning call10316
  params[0] = strlit10313;
  params[1] = bool10314;
  partcv[0] = 2;
  Object call10317 = callmethod(call10316, "new",
    1, partcv, params);
  gc_frame_end(callframe10312);
// compilenode returning call10317
  *var_dtype = call10317;
  if (call10317 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if10307 = done;
  } else {
  }
// compilenode returning if10307
// Begin line 3147
  setline(3147);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10319 = gc_frame_new();
  int callframe10320 = gc_frame_new();
// compilenode returning *var_meth
  partcv[0] = 0;
  Object call10321 = callmethod(*var_meth, "value",
    1, partcv, params);
  gc_frame_end(callframe10320);
// compilenode returning call10321
// compilenode returning call10321
  gc_frame_newslot(call10321);
// compilenode returning *var_signature
  gc_frame_newslot(*var_signature);
// compilenode returning *var_dtype
  gc_frame_newslot(*var_dtype);
  int callframe10322 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call10323 = callmethod(*var_ast, "methodTypeNode",
    1, partcv, params);
  gc_frame_end(callframe10322);
// compilenode returning call10323
// compilenode returning call10323
  params[0] = call10321;
  params[1] = *var_signature;
  params[2] = *var_dtype;
  partcv[0] = 3;
  Object call10324 = callmethod(call10323, "new",
    1, partcv, params);
  gc_frame_end(callframe10319);
// compilenode returning call10324
  *var_o = call10324;
  if (call10324 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3149
  setline(3149);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3147
  setline(3147);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10325 = gc_frame_new();
// Begin line 3148
  setline(3148);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10326 = gc_frame_new();
// compilenode returning *var_m
  partcv[0] = 0;
  Object call10327 = callmethod(*var_m, "generics",
    1, partcv, params);
  gc_frame_end(callframe10326);
// compilenode returning call10327
// compilenode returning call10327
  gc_frame_newslot(call10327);
// compilenode returning *var_o
  params[0] = call10327;
  partcv[0] = 1;
  Object call10328 = callmethod(*var_o, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe10325);
// compilenode returning call10328
// compilenode returning done
// Begin line 3149
  setline(3149);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10329 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call10330 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe10329);
// compilenode returning call10330
// Begin line 3164
  setline(3164);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3150
  setline(3150);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10332 = gc_frame_new();
  if (strlit10333 == NULL) {
    strlit10333 = alloc_String("semicolon");
    gc_root(strlit10333);
  }
// compilenode returning strlit10333
  gc_frame_newslot(strlit10333);
  params[0] = strlit10333;
  partcv[0] = 1;
  Object call10334 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10332);
// compilenode returning call10334
  Object if10331 = done;
  if (istrue(call10334)) {
// Begin line 3151
  setline(3151);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10335 = gc_frame_new();
  partcv[0] = 0;
  Object call10336 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10335);
// compilenode returning call10336
    gc_frame_newslot(call10336);
    if10331 = call10336;
  } else {
// Begin line 3163
  setline(3163);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3153
  setline(3153);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10338 = gc_frame_new();
  int callframe10339 = gc_frame_new();
  if (strlit10340 == NULL) {
    strlit10340 = alloc_String("rbrace");
    gc_root(strlit10340);
  }
// compilenode returning strlit10340
  gc_frame_newslot(strlit10340);
  params[0] = strlit10340;
  partcv[0] = 1;
  Object call10341 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10339);
// compilenode returning call10341
  partcv[0] = 0;
  Object call10342 = callmethod(call10341, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe10338);
// compilenode returning call10342
  Object if10337 = done;
  if (istrue(call10342)) {
// Begin line 3162
  setline(3162);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3154
  setline(3154);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10345 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10346 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10345);
// compilenode returning call10346
// compilenode returning call10346
  int op_slot_right_10344 = gc_frame_newslot(call10346);
  int callframe10348 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10349 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10348);
// compilenode returning call10349
// compilenode returning call10349
  int op_slot_left_10344 = gc_frame_newslot(call10349);
  params[0] = call10346;
  partcv[0] = 1;
  Object opresult10350 = callmethod(call10349, "==", 1, partcv, params);
// compilenode returning opresult10350
  Object if10343 = done;
  if (istrue(opresult10350)) {
// Begin line 3156
  setline(3156);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3155
  setline(3155);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10351 = gc_frame_new();
  int callframe10352 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10353 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10352);
// compilenode returning call10353
// compilenode returning call10353
  partcv[0] = 0;
  Object call10354 = callmethod(call10353, "new",
    1, partcv, params);
  gc_frame_end(callframe10351);
// compilenode returning call10354
// compilenode returning call10354
  *var_suggestion = call10354;
  if (call10354 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3157
  setline(3157);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3156
  setline(3156);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10356 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10357 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10356);
// compilenode returning call10357
// compilenode returning call10357
  int op_slot_right_10355 = gc_frame_newslot(call10357);
  int callframe10359 = gc_frame_new();
  Object num10360 = alloc_Float64(1);
// compilenode returning num10360
  gc_frame_newslot(num10360);
  Object num10362 = alloc_Float64(1);
// compilenode returning num10362
  int op_slot_right_10361 = gc_frame_newslot(num10362);
  int callframe10364 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10365 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10364);
// compilenode returning call10365
// compilenode returning call10365
  int op_slot_left_10361 = gc_frame_newslot(call10365);
  params[0] = num10362;
  partcv[0] = 1;
  Object diff10366 = callmethod(call10365, "-", 1, partcv, params);
// compilenode returning diff10366
  gc_frame_newslot(diff10366);
  int callframe10367 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call10368 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe10367);
// compilenode returning call10368
// compilenode returning call10368
  int callframe10369 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10370 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10369);
// compilenode returning call10370
// compilenode returning call10370
  params[0] = call10370;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres10371 = callmethod(call10368, "[]", 1, partcv, params);
// compilenode returning idxres10371
  params[0] = num10360;
  params[1] = diff10366;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10372 = callmethod(idxres10371, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe10359);
// compilenode returning call10372
  int op_slot_left_10355 = gc_frame_newslot(call10372);
  params[0] = call10357;
  partcv[0] = 1;
  Object opresult10373 = callmethod(call10372, "++", 1, partcv, params);
// compilenode returning opresult10373
  *var_newLine = opresult10373;
  if (opresult10373 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3157
  setline(3157);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10374 = gc_frame_new();
  Object num10376 = alloc_Float64(0.1);
// compilenode returning num10376
  int op_slot_right_10375 = gc_frame_newslot(num10376);
  int callframe10378 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10379 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10378);
// compilenode returning call10379
// compilenode returning call10379
  int op_slot_left_10375 = gc_frame_newslot(call10379);
  params[0] = num10376;
  partcv[0] = 1;
  Object sum10380 = callmethod(call10379, "+", 1, partcv, params);
// compilenode returning sum10380
  gc_frame_newslot(sum10380);
// compilenode returning *var_newLine
  gc_frame_newslot(*var_newLine);
// compilenode returning *var_suggestion
  params[0] = sum10380;
  params[1] = *var_newLine;
  partcv[0] = 2;
  Object call10381 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe10374);
// compilenode returning call10381
// Begin line 3158
  setline(3158);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10382 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool10383 = alloc_Boolean(1);
// compilenode returning bool10383
  gc_frame_newslot(bool10383);
  Object bool10384 = alloc_Boolean(1);
// compilenode returning bool10384
  gc_frame_newslot(bool10384);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool10383;
  params[2] = bool10384;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call10385 = callmethod(*var_suggestion, "deleteToken()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe10382);
// compilenode returning call10385
// Begin line 3159
  setline(3159);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10386 = gc_frame_new();
  if (strlit10387 == NULL) {
    strlit10387 = alloc_String("Each method must be on a separate line in a type.");
    gc_root(strlit10387);
  }
// compilenode returning strlit10387
  gc_frame_newslot(strlit10387);
// Begin line 3160
  setline(3160);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10388 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10389 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10388);
// compilenode returning call10389
// compilenode returning call10389
  gc_frame_newslot(call10389);
  int callframe10390 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10391 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10390);
// compilenode returning call10391
// compilenode returning call10391
  gc_frame_newslot(call10391);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3159
  setline(3159);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit10387;
  params[1] = call10389;
  params[2] = call10391;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10392 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe10386);
// compilenode returning call10392
    gc_frame_newslot(call10392);
    if10343 = call10392;
  } else {
  }
// compilenode returning if10343
    gc_frame_newslot(if10343);
    if10337 = if10343;
  } else {
  }
// compilenode returning if10337
    gc_frame_newslot(if10337);
    if10331 = if10337;
  }
// compilenode returning if10331
  gc_frame_end(frame);
  return if10331;
}
Object meth_parser__apply10397(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit10399 == NULL) {
    strlit10399 = alloc_String("type");
    gc_root(strlit10399);
  }
// compilenode returning strlit10399
  int op_slot_right_10398 = gc_frame_newslot(strlit10399);
  int callframe10401 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10402 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10401);
// compilenode returning call10402
// compilenode returning call10402
  int op_slot_left_10398 = gc_frame_newslot(call10402);
  params[0] = strlit10399;
  partcv[0] = 1;
  Object opresult10403 = callmethod(call10402, "==", 1, partcv, params);
// compilenode returning opresult10403
  gc_frame_end(frame);
  return opresult10403;
}
Object meth_parser__apply10441(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe10442 = gc_frame_new();
  int callframe10443 = gc_frame_new();
  if (strlit10444 == NULL) {
    strlit10444 = alloc_String("rbrace");
    gc_root(strlit10444);
  }
// compilenode returning strlit10444
  gc_frame_newslot(strlit10444);
  params[0] = strlit10444;
  partcv[0] = 1;
  Object call10445 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10443);
// compilenode returning call10445
  partcv[0] = 0;
  Object call10446 = callmethod(call10445, "not",
    1, partcv, params);
  gc_frame_end(callframe10442);
// compilenode returning call10446
// compilenode returning call10446
  gc_frame_end(frame);
  return call10446;
}
Object meth_parser__apply10449(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_methods = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3180
  setline(3180);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10450 = gc_frame_new();
  partcv[0] = 0;
  Object call10451 = callmethodflags(self, "domethodtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10450);
// compilenode returning call10451
// Begin line 3181
  setline(3181);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10452 = gc_frame_new();
  int callframe10453 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call10454 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10453);
// compilenode returning call10454
// compilenode returning call10454
  gc_frame_newslot(call10454);
// compilenode returning *var_methods
  params[0] = call10454;
  partcv[0] = 1;
  Object call10455 = callmethod(*var_methods, "push",
    1, partcv, params);
  gc_frame_end(callframe10452);
// compilenode returning call10455
  gc_frame_end(frame);
  return call10455;
}
Object meth_parser_doanontype10393(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 52, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doanontype");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_auto_count = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for doanontype (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for doanontype");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_methods = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "methods");
  Object *var_mc = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "mc");
  Object *var_t = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "t");
// Begin line 3188
  setline(3188);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3167
  setline(3167);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10395 = gc_frame_new();
  Object block10396 = alloc_Block(NULL, NULL, "parser", 3167);
  gc_frame_newslot(block10396);
  block_savedest(block10396);
  Object closure10397 = createclosure(2, "_apply");
setclosureframe(closure10397, stackframe);
  addtoclosure(closure10397, var_sym);
  addtoclosure(closure10397, selfslot);
  struct UserObject *uo10397 = (struct UserObject*)block10396;
  uo10397->data[0] = (Object)closure10397;
  Method *meth_meth_parser__apply10397 = addmethod2pos(block10396, "_apply", &meth_parser__apply10397, 0);
int argcv_meth_parser__apply10397[] = {0};
meth_meth_parser__apply10397->type = alloc_MethodType(1, argcv_meth_parser__apply10397);
  meth_meth_parser__apply10397->definitionModule = modulename;
  meth_meth_parser__apply10397->definitionLine = 3160;
// compilenode returning block10396
  gc_frame_newslot(block10396);
  int callframe10405 = gc_frame_new();
  if (strlit10406 == NULL) {
    strlit10406 = alloc_String("keyword");
    gc_root(strlit10406);
  }
// compilenode returning strlit10406
  gc_frame_newslot(strlit10406);
  params[0] = strlit10406;
  partcv[0] = 1;
  Object call10407 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10405);
// compilenode returning call10407
  params[0] = block10396;
  partcv[0] = 1;
  Object call10408 = callmethod(call10407, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe10395);
// compilenode returning call10408
  Object if10394 = done;
  if (istrue(call10408)) {
// Begin line 3168
  setline(3168);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10409 = gc_frame_new();
  partcv[0] = 0;
  Object call10410 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10409);
// compilenode returning call10410
// Begin line 3175
  setline(3175);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3169
  setline(3169);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10412 = gc_frame_new();
  int callframe10413 = gc_frame_new();
  if (strlit10414 == NULL) {
    strlit10414 = alloc_String("lbrace");
    gc_root(strlit10414);
  }
// compilenode returning strlit10414
  gc_frame_newslot(strlit10414);
  params[0] = strlit10414;
  partcv[0] = 1;
  Object call10415 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10413);
// compilenode returning call10415
  partcv[0] = 0;
  Object call10416 = callmethod(call10415, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe10412);
// compilenode returning call10416
  Object if10411 = done;
  if (istrue(call10416)) {
// Begin line 3171
  setline(3171);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3170
  setline(3170);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10417 = gc_frame_new();
  int callframe10418 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10419 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10418);
// compilenode returning call10419
// compilenode returning call10419
  partcv[0] = 0;
  Object call10420 = callmethod(call10419, "new",
    1, partcv, params);
  gc_frame_end(callframe10417);
// compilenode returning call10420
// compilenode returning call10420
  *var_suggestion = call10420;
  if (call10420 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3171
  setline(3171);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10421 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  if (strlit10422 == NULL) {
    strlit10422 = alloc_String("{");
    gc_root(strlit10422);
  }
// compilenode returning strlit10422
  gc_frame_newslot(strlit10422);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = strlit10422;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10423 = callmethod(*var_suggestion, "replaceToken()with",
    2, partcv, params);
  gc_frame_end(callframe10421);
// compilenode returning call10423
// Begin line 3172
  setline(3172);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10424 = gc_frame_new();
  if (strlit10425 == NULL) {
    strlit10425 = alloc_String("Anonymous types must open with braces.");
    gc_root(strlit10425);
  }
// compilenode returning strlit10425
  gc_frame_newslot(strlit10425);
// Begin line 3173
  setline(3173);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10426 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10427 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10426);
// compilenode returning call10427
// compilenode returning call10427
  gc_frame_newslot(call10427);
  int callframe10428 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10429 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10428);
// compilenode returning call10429
// compilenode returning call10429
  gc_frame_newslot(call10429);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3172
  setline(3172);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit10425;
  params[1] = call10427;
  params[2] = call10429;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10430 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe10424);
// compilenode returning call10430
    gc_frame_newslot(call10430);
    if10411 = call10430;
  } else {
  }
// compilenode returning if10411
// Begin line 3176
  setline(3176);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3175
  setline(3175);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array10431 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array10431
  *var_methods = array10431;
  if (array10431 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3177
  setline(3177);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3176
  setline(3176);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_auto_count
  *var_mc = *var_auto_count;
  if (*var_auto_count == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3178
  setline(3178);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3177
  setline(3177);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num10433 = alloc_Float64(1);
// compilenode returning num10433
  int op_slot_right_10432 = gc_frame_newslot(num10433);
// compilenode returning *var_auto_count
  int op_slot_left_10432 = gc_frame_newslot(*var_auto_count);
  params[0] = num10433;
  partcv[0] = 1;
  Object sum10435 = callmethod(*var_auto_count, "+", 1, partcv, params);
// compilenode returning sum10435
  *var_auto_count = sum10435;
  if (sum10435 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3178
  setline(3178);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10437 = gc_frame_new();
  partcv[0] = 0;
  Object call10438 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10437);
// compilenode returning call10438
// Begin line 3179
  setline(3179);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10439 = gc_frame_new();
  Object block10440 = alloc_Block(NULL, NULL, "parser", 3179);
  gc_frame_newslot(block10440);
  block_savedest(block10440);
  Object closure10441 = createclosure(1, "_apply");
setclosureframe(closure10441, stackframe);
  addtoclosure(closure10441, selfslot);
  struct UserObject *uo10441 = (struct UserObject*)block10440;
  uo10441->data[0] = (Object)closure10441;
  Method *meth_meth_parser__apply10441 = addmethod2pos(block10440, "_apply", &meth_parser__apply10441, 0);
int argcv_meth_parser__apply10441[] = {0};
meth_meth_parser__apply10441->type = alloc_MethodType(1, argcv_meth_parser__apply10441);
  meth_meth_parser__apply10441->definitionModule = modulename;
  meth_meth_parser__apply10441->definitionLine = 3173;
// compilenode returning block10440
  gc_frame_newslot(block10440);
  Object block10448 = alloc_Block(NULL, NULL, "parser", 3179);
  gc_frame_newslot(block10448);
  block_savedest(block10448);
  Object closure10449 = createclosure(3, "_apply");
setclosureframe(closure10449, stackframe);
  addtoclosure(closure10449, var_values);
  addtoclosure(closure10449, var_methods);
  addtoclosure(closure10449, selfslot);
  struct UserObject *uo10449 = (struct UserObject*)block10448;
  uo10449->data[0] = (Object)closure10449;
  Method *meth_meth_parser__apply10449 = addmethod2pos(block10448, "_apply", &meth_parser__apply10449, 0);
int argcv_meth_parser__apply10449[] = {0};
meth_meth_parser__apply10449->type = alloc_MethodType(1, argcv_meth_parser__apply10449);
  meth_meth_parser__apply10449->definitionModule = modulename;
  meth_meth_parser__apply10449->definitionLine = 3179;
// compilenode returning block10448
  gc_frame_newslot(block10448);
  params[0] = block10440;
  params[1] = block10448;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10457 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10439);
// compilenode returning call10457
// Begin line 3183
  setline(3183);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10458 = gc_frame_new();
  partcv[0] = 0;
  Object call10459 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10458);
// compilenode returning call10459
// Begin line 3184
  setline(3184);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10460 = gc_frame_new();
  if (strlit10462 == NULL) {
    strlit10462 = alloc_String(">");
    gc_root(strlit10462);
  }
// compilenode returning strlit10462
  int op_slot_right_10461 = gc_frame_newslot(strlit10462);
// compilenode returning *var_mc
  int op_slot_right_10464 = gc_frame_newslot(*var_mc);
  if (strlit10466 == NULL) {
    strlit10466 = alloc_String("<Anon_");
    gc_root(strlit10466);
  }
// compilenode returning strlit10466
  int op_slot_left_10464 = gc_frame_newslot(strlit10466);
  params[0] = *var_mc;
  partcv[0] = 1;
  Object opresult10467 = callmethod(strlit10466, "++", 1, partcv, params);
// compilenode returning opresult10467
  int op_slot_left_10461 = gc_frame_newslot(opresult10467);
  params[0] = strlit10462;
  partcv[0] = 1;
  Object opresult10468 = callmethod(opresult10467, "++", 1, partcv, params);
// compilenode returning opresult10468
  gc_frame_newslot(opresult10468);
// compilenode returning *var_methods
  gc_frame_newslot(*var_methods);
  int callframe10469 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call10470 = callmethod(*var_ast, "typeNode",
    1, partcv, params);
  gc_frame_end(callframe10469);
// compilenode returning call10470
// compilenode returning call10470
  params[0] = opresult10468;
  params[1] = *var_methods;
  partcv[0] = 2;
  Object call10471 = callmethod(call10470, "new",
    1, partcv, params);
  gc_frame_end(callframe10460);
// compilenode returning call10471
  *var_t = call10471;
  if (call10471 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3186
  setline(3186);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3184
  setline(3184);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10472 = gc_frame_new();
// Begin line 3185
  setline(3185);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool10473 = alloc_Boolean(1);
// compilenode returning bool10473
  gc_frame_newslot(bool10473);
// compilenode returning *var_t
  params[0] = bool10473;
  partcv[0] = 1;
  Object call10474 = callmethod(*var_t, "anonymous:=",
    1, partcv, params);
  gc_frame_end(callframe10472);
// compilenode returning call10474
// compilenode returning done
// Begin line 3186
  setline(3186);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10475 = gc_frame_new();
// compilenode returning *var_t
  gc_frame_newslot(*var_t);
// compilenode returning *var_values
  params[0] = *var_t;
  partcv[0] = 1;
  Object call10476 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe10475);
// compilenode returning call10476
    gc_frame_newslot(call10476);
    if10394 = call10476;
  } else {
  }
// compilenode returning if10394
  gc_frame_end(frame);
  return if10394;
}
Object meth_parser__apply10567(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  if (strlit10569 == NULL) {
    strlit10569 = alloc_String("lbrace");
    gc_root(strlit10569);
  }
// compilenode returning strlit10569
  int op_slot_right_10568 = gc_frame_newslot(strlit10569);
  int callframe10571 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call10572 = callmethod(*var_t, "kind",
    1, partcv, params);
  gc_frame_end(callframe10571);
// compilenode returning call10572
// compilenode returning call10572
  int op_slot_left_10568 = gc_frame_newslot(call10572);
  params[0] = strlit10569;
  partcv[0] = 1;
  Object opresult10573 = callmethod(call10572, "==", 1, partcv, params);
// compilenode returning opresult10573
  gc_frame_end(frame);
  return opresult10573;
}
Object meth_parser__apply10579(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_nextTok = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var_sym
  int op_slot_right_10580 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_10580 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult10582 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult10582
  gc_frame_end(frame);
  return opresult10582;
}
Object meth_parser__apply10624(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe10625 = gc_frame_new();
  int callframe10626 = gc_frame_new();
  if (strlit10627 == NULL) {
    strlit10627 = alloc_String("rbrace");
    gc_root(strlit10627);
  }
// compilenode returning strlit10627
  gc_frame_newslot(strlit10627);
  params[0] = strlit10627;
  partcv[0] = 1;
  Object call10628 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10626);
// compilenode returning call10628
  partcv[0] = 0;
  Object call10629 = callmethod(call10628, "not",
    1, partcv, params);
  gc_frame_end(callframe10625);
// compilenode returning call10629
// compilenode returning call10629
  gc_frame_end(frame);
  return call10629;
}
Object meth_parser__apply10632(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_methods = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3225
  setline(3225);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10633 = gc_frame_new();
  partcv[0] = 0;
  Object call10634 = callmethodflags(self, "domethodtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10633);
// compilenode returning call10634
// Begin line 3226
  setline(3226);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10635 = gc_frame_new();
  int callframe10636 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call10637 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10636);
// compilenode returning call10637
// compilenode returning call10637
  gc_frame_newslot(call10637);
// compilenode returning *var_methods
  params[0] = call10637;
  partcv[0] = 1;
  Object call10638 = callmethod(*var_methods, "push",
    1, partcv, params);
  gc_frame_end(callframe10635);
// compilenode returning call10638
  gc_frame_end(frame);
  return call10638;
}
Object meth_parser__apply10690(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_nt = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ut = &(stackframe->slots[0]);
  *var_ut = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3243
  setline(3243);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10691 = gc_frame_new();
// compilenode returning *var_ut
  gc_frame_newslot(*var_ut);
  int callframe10692 = gc_frame_new();
// compilenode returning *var_nt
  partcv[0] = 0;
  Object call10693 = callmethod(*var_nt, "unionTypes",
    1, partcv, params);
  gc_frame_end(callframe10692);
// compilenode returning call10693
// compilenode returning call10693
  params[0] = *var_ut;
  partcv[0] = 1;
  Object call10694 = callmethod(call10693, "push",
    1, partcv, params);
  gc_frame_end(callframe10691);
// compilenode returning call10694
  gc_frame_end(frame);
  return call10694;
}
Object meth_parser__apply10701(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_nt = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ut = &(stackframe->slots[0]);
  *var_ut = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3246
  setline(3246);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10702 = gc_frame_new();
// compilenode returning *var_ut
  gc_frame_newslot(*var_ut);
  int callframe10703 = gc_frame_new();
// compilenode returning *var_nt
  partcv[0] = 0;
  Object call10704 = callmethod(*var_nt, "intersectionTypes",
    1, partcv, params);
  gc_frame_end(callframe10703);
// compilenode returning call10704
// compilenode returning call10704
  params[0] = *var_ut;
  partcv[0] = 1;
  Object call10705 = callmethod(call10704, "push",
    1, partcv, params);
  gc_frame_end(callframe10702);
// compilenode returning call10705
  gc_frame_end(frame);
  return call10705;
}
Object meth_parser_dotype10477(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 53, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(11, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dotype");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for dotype (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for dotype");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_p = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "p");
  Object *var_gens = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "gens");
  Object *var_anns = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "anns");
  Object *var_nextTok = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nextTok");
  Object *var_methods = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "methods");
  Object *var_t = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "t");
  Object *var_ot = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "ot");
  Object *var_nt = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "nt");
// Begin line 3258
  setline(3258);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3191
  setline(3191);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10481 == NULL) {
    strlit10481 = alloc_String("type");
    gc_root(strlit10481);
  }
// compilenode returning strlit10481
  int op_slot_right_10480 = gc_frame_newslot(strlit10481);
  int callframe10483 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10484 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10483);
// compilenode returning call10484
// compilenode returning call10484
  int op_slot_left_10480 = gc_frame_newslot(call10484);
  params[0] = strlit10481;
  partcv[0] = 1;
  Object opresult10485 = callmethod(call10484, "==", 1, partcv, params);
// compilenode returning opresult10485
  int op_slot_right_10479 = gc_frame_newslot(opresult10485);
  int callframe10487 = gc_frame_new();
  if (strlit10488 == NULL) {
    strlit10488 = alloc_String("keyword");
    gc_root(strlit10488);
  }
// compilenode returning strlit10488
  gc_frame_newslot(strlit10488);
  params[0] = strlit10488;
  partcv[0] = 1;
  Object call10489 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10487);
// compilenode returning call10489
  int op_slot_left_10479 = gc_frame_newslot(call10489);
  params[0] = opresult10485;
  partcv[0] = 1;
  Object opresult10490 = callmethod(call10489, "&&", 1, partcv, params);
// compilenode returning opresult10490
  Object if10478 = done;
  if (istrue(opresult10490)) {
// Begin line 3192
  setline(3192);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10491 = gc_frame_new();
  partcv[0] = 0;
  Object call10492 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10491);
// compilenode returning call10492
// Begin line 3199
  setline(3199);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3193
  setline(3193);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10495 == NULL) {
    strlit10495 = alloc_String("identifier");
    gc_root(strlit10495);
  }
// compilenode returning strlit10495
  int op_slot_right_10494 = gc_frame_newslot(strlit10495);
  int callframe10497 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10498 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10497);
// compilenode returning call10498
// compilenode returning call10498
  int op_slot_left_10494 = gc_frame_newslot(call10498);
  params[0] = strlit10495;
  partcv[0] = 1;
  Object opresult10499 = callmethod(call10498, "!=", 1, partcv, params);
// compilenode returning opresult10499
  Object if10493 = done;
  if (istrue(opresult10499)) {
// Begin line 3195
  setline(3195);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3194
  setline(3194);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10500 = gc_frame_new();
  int callframe10501 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10502 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10501);
// compilenode returning call10502
// compilenode returning call10502
  partcv[0] = 0;
  Object call10503 = callmethod(call10502, "new",
    1, partcv, params);
  gc_frame_end(callframe10500);
// compilenode returning call10503
// compilenode returning call10503
  *var_suggestion = call10503;
  if (call10503 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3195
  setline(3195);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10504 = gc_frame_new();
  if (strlit10505 == NULL) {
    strlit10505 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit10505);
  }
// compilenode returning strlit10505
  gc_frame_newslot(strlit10505);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit10505;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10506 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe10504);
// compilenode returning call10506
// Begin line 3196
  setline(3196);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10507 = gc_frame_new();
  if (strlit10508 == NULL) {
    strlit10508 = alloc_String("A type declaration must have a name after the 'type'.");
    gc_root(strlit10508);
  }
// compilenode returning strlit10508
  gc_frame_newslot(strlit10508);
// Begin line 3197
  setline(3197);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10509 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10510 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10509);
// compilenode returning call10510
// compilenode returning call10510
  gc_frame_newslot(call10510);
  Object num10512 = alloc_Float64(1);
// compilenode returning num10512
  int op_slot_right_10511 = gc_frame_newslot(num10512);
  int callframe10515 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10516 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe10515);
// compilenode returning call10516
// compilenode returning call10516
  int op_slot_right_10514 = gc_frame_newslot(call10516);
  int callframe10518 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10519 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10518);
// compilenode returning call10519
// compilenode returning call10519
  int op_slot_left_10514 = gc_frame_newslot(call10519);
  params[0] = call10516;
  partcv[0] = 1;
  Object sum10520 = callmethod(call10519, "+", 1, partcv, params);
// compilenode returning sum10520
  int op_slot_left_10511 = gc_frame_newslot(sum10520);
  params[0] = num10512;
  partcv[0] = 1;
  Object sum10521 = callmethod(sum10520, "+", 1, partcv, params);
// compilenode returning sum10521
  gc_frame_newslot(sum10521);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3196
  setline(3196);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit10508;
  params[1] = call10510;
  params[2] = sum10521;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10522 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe10507);
// compilenode returning call10522
    gc_frame_newslot(call10522);
    if10493 = call10522;
  } else {
  }
// compilenode returning if10493
// Begin line 3199
  setline(3199);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10523 = gc_frame_new();
  partcv[0] = 0;
  Object call10524 = callmethodflags(self, "pushidentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10523);
// compilenode returning call10524
// Begin line 3200
  setline(3200);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10525 = gc_frame_new();
  partcv[0] = 0;
  Object call10526 = callmethodflags(self, "generic", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10525);
// compilenode returning call10526
// Begin line 3202
  setline(3202);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3201
  setline(3201);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10527 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call10528 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10527);
// compilenode returning call10528
// compilenode returning call10528
  *var_p = call10528;
  if (call10528 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3203
  setline(3203);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3202
  setline(3202);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array10529 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array10529
  *var_gens = array10529;
  if (array10529 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3207
  setline(3207);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3203
  setline(3203);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10532 == NULL) {
    strlit10532 = alloc_String("generic");
    gc_root(strlit10532);
  }
// compilenode returning strlit10532
  int op_slot_right_10531 = gc_frame_newslot(strlit10532);
  int callframe10534 = gc_frame_new();
// compilenode returning *var_p
  partcv[0] = 0;
  Object call10535 = callmethod(*var_p, "kind",
    1, partcv, params);
  gc_frame_end(callframe10534);
// compilenode returning call10535
// compilenode returning call10535
  int op_slot_left_10531 = gc_frame_newslot(call10535);
  params[0] = strlit10532;
  partcv[0] = 1;
  Object opresult10536 = callmethod(call10535, "==", 1, partcv, params);
// compilenode returning opresult10536
  Object if10530 = done;
  if (istrue(opresult10536)) {
// Begin line 3205
  setline(3205);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3204
  setline(3204);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10537 = gc_frame_new();
// compilenode returning *var_p
  partcv[0] = 0;
  Object call10538 = callmethod(*var_p, "params",
    1, partcv, params);
  gc_frame_end(callframe10537);
// compilenode returning call10538
// compilenode returning call10538
  *var_gens = call10538;
  if (call10538 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3206
  setline(3206);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3205
  setline(3205);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10540 = gc_frame_new();
// compilenode returning *var_p
  partcv[0] = 0;
  Object call10541 = callmethod(*var_p, "value",
    1, partcv, params);
  gc_frame_end(callframe10540);
// compilenode returning call10541
// compilenode returning call10541
  *var_p = call10541;
  if (call10541 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if10530 = done;
  } else {
  }
// compilenode returning if10530
// Begin line 3208
  setline(3208);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3207
  setline(3207);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10543 = gc_frame_new();
  partcv[0] = 0;
  Object call10544 = callmethodflags(self, "doannotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10543);
// compilenode returning call10544
  *var_anns = call10544;
  if (call10544 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3219
  setline(3219);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3208
  setline(3208);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10548 == NULL) {
    strlit10548 = alloc_String("=");
    gc_root(strlit10548);
  }
// compilenode returning strlit10548
  int op_slot_right_10547 = gc_frame_newslot(strlit10548);
  int callframe10550 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10551 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10550);
// compilenode returning call10551
// compilenode returning call10551
  int op_slot_left_10547 = gc_frame_newslot(call10551);
  params[0] = strlit10548;
  partcv[0] = 1;
  Object opresult10552 = callmethod(call10551, "!=", 1, partcv, params);
// compilenode returning opresult10552
  int op_slot_right_10546 = gc_frame_newslot(opresult10552);
  if (strlit10555 == NULL) {
    strlit10555 = alloc_String("op");
    gc_root(strlit10555);
  }
// compilenode returning strlit10555
  int op_slot_right_10554 = gc_frame_newslot(strlit10555);
  int callframe10557 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10558 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10557);
// compilenode returning call10558
// compilenode returning call10558
  int op_slot_left_10554 = gc_frame_newslot(call10558);
  params[0] = strlit10555;
  partcv[0] = 1;
  Object opresult10559 = callmethod(call10558, "!=", 1, partcv, params);
// compilenode returning opresult10559
  int op_slot_left_10546 = gc_frame_newslot(opresult10559);
  params[0] = opresult10552;
  partcv[0] = 1;
  Object opresult10560 = callmethod(opresult10559, "||", 1, partcv, params);
// compilenode returning opresult10560
  Object if10545 = done;
  if (istrue(opresult10560)) {
// Begin line 3210
  setline(3210);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3209
  setline(3209);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10561 = gc_frame_new();
  int callframe10562 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10563 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10562);
// compilenode returning call10563
// compilenode returning call10563
  partcv[0] = 0;
  Object call10564 = callmethod(call10563, "new",
    1, partcv, params);
  gc_frame_end(callframe10561);
// compilenode returning call10564
// compilenode returning call10564
  *var_suggestion = call10564;
  if (call10564 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3210
  setline(3210);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10565 = gc_frame_new();
  Object block10566 = alloc_Block(NULL, NULL, "parser", 3210);
  gc_frame_newslot(block10566);
  block_savedest(block10566);
  Object closure10567 = createclosure(1, "_apply");
setclosureframe(closure10567, stackframe);
  addtoclosure(closure10567, selfslot);
  struct UserObject *uo10567 = (struct UserObject*)block10566;
  uo10567->data[0] = (Object)closure10567;
  Method *meth_meth_parser__apply10567 = addmethod2pos(block10566, "_apply", &meth_parser__apply10567, 0);
int argcv_meth_parser__apply10567[] = {1};
meth_meth_parser__apply10567->type = alloc_MethodType(1, argcv_meth_parser__apply10567);
  meth_meth_parser__apply10567->definitionModule = modulename;
  meth_meth_parser__apply10567->definitionLine = 3209;
// compilenode returning block10566
  gc_frame_newslot(block10566);
  params[0] = block10566;
  partcv[0] = 1;
  Object call10575 = callmethodflags(self, "findNextToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10565);
// compilenode returning call10575
  *var_nextTok = call10575;
  if (call10575 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3211
  setline(3211);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10577 = gc_frame_new();
  Object block10578 = alloc_Block(NULL, NULL, "parser", 3211);
  gc_frame_newslot(block10578);
  block_savedest(block10578);
  Object closure10579 = createclosure(3, "_apply");
setclosureframe(closure10579, stackframe);
  addtoclosure(closure10579, var_sym);
  addtoclosure(closure10579, var_nextTok);
  addtoclosure(closure10579, selfslot);
  struct UserObject *uo10579 = (struct UserObject*)block10578;
  uo10579->data[0] = (Object)closure10579;
  Method *meth_meth_parser__apply10579 = addmethod2pos(block10578, "_apply", &meth_parser__apply10579, 0);
int argcv_meth_parser__apply10579[] = {0};
meth_meth_parser__apply10579->type = alloc_MethodType(1, argcv_meth_parser__apply10579);
  meth_meth_parser__apply10579->definitionModule = modulename;
  meth_meth_parser__apply10579->definitionLine = 3210;
// compilenode returning block10578
  gc_frame_newslot(block10578);
  Object bool10585 = alloc_Boolean(0);
// compilenode returning bool10585
  int op_slot_right_10584 = gc_frame_newslot(bool10585);
// compilenode returning *var_nextTok
  int op_slot_left_10584 = gc_frame_newslot(*var_nextTok);
  params[0] = bool10585;
  partcv[0] = 1;
  Object opresult10587 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult10587
  params[0] = block10578;
  partcv[0] = 1;
  Object call10588 = callmethod(opresult10587, "orElse",
    1, partcv, params);
  gc_frame_end(callframe10577);
// compilenode returning call10588
  Object if10576 = done;
  if (istrue(call10588)) {
// Begin line 3212
  setline(3212);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10589 = gc_frame_new();
  if (strlit10590 == NULL) {
    strlit10590 = alloc_String(" =");
    gc_root(strlit10590);
  }
// compilenode returning strlit10590
  gc_frame_newslot(strlit10590);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit10590;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10591 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe10589);
// compilenode returning call10591
    gc_frame_newslot(call10591);
    if10576 = call10591;
  } else {
// Begin line 3214
  setline(3214);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10592 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe10593 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call10594 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe10593);
// compilenode returning call10594
// compilenode returning call10594
  gc_frame_newslot(call10594);
  if (strlit10595 == NULL) {
    strlit10595 = alloc_String("=");
    gc_root(strlit10595);
  }
// compilenode returning strlit10595
  gc_frame_newslot(strlit10595);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call10594;
  params[2] = strlit10595;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call10596 = callmethod(*var_suggestion, "replaceTokenRange()with",
    2, partcv, params);
  gc_frame_end(callframe10592);
// compilenode returning call10596
    gc_frame_newslot(call10596);
    if10576 = call10596;
  }
// compilenode returning if10576
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10597 = gc_frame_new();
  if (strlit10598 == NULL) {
    strlit10598 = alloc_String("A type declaration must have a '=' after the type name.");
    gc_root(strlit10598);
  }
// compilenode returning strlit10598
  gc_frame_newslot(strlit10598);
// Begin line 3217
  setline(3217);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10599 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10600 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe10599);
// compilenode returning call10600
// compilenode returning call10600
  gc_frame_newslot(call10600);
  Object num10602 = alloc_Float64(1);
// compilenode returning num10602
  int op_slot_right_10601 = gc_frame_newslot(num10602);
  int callframe10605 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10606 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe10605);
// compilenode returning call10606
// compilenode returning call10606
  int op_slot_right_10604 = gc_frame_newslot(call10606);
  int callframe10608 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call10609 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10608);
// compilenode returning call10609
// compilenode returning call10609
  int op_slot_left_10604 = gc_frame_newslot(call10609);
  params[0] = call10606;
  partcv[0] = 1;
  Object sum10610 = callmethod(call10609, "+", 1, partcv, params);
// compilenode returning sum10610
  int op_slot_left_10601 = gc_frame_newslot(sum10610);
  params[0] = num10602;
  partcv[0] = 1;
  Object sum10611 = callmethod(sum10610, "+", 1, partcv, params);
// compilenode returning sum10611
  gc_frame_newslot(sum10611);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3216
  setline(3216);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit10598;
  params[1] = call10600;
  params[2] = sum10611;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10612 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe10597);
// compilenode returning call10612
    gc_frame_newslot(call10612);
    if10545 = call10612;
  } else {
  }
// compilenode returning if10545
// Begin line 3219
  setline(3219);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10613 = gc_frame_new();
  partcv[0] = 0;
  Object call10614 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10613);
// compilenode returning call10614
// Begin line 3222
  setline(3222);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3220
  setline(3220);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array10615 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array10615
  *var_methods = array10615;
  if (array10615 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3257
  setline(3257);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3222
  setline(3222);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10617 = gc_frame_new();
  if (strlit10618 == NULL) {
    strlit10618 = alloc_String("lbrace");
    gc_root(strlit10618);
  }
// compilenode returning strlit10618
  gc_frame_newslot(strlit10618);
  params[0] = strlit10618;
  partcv[0] = 1;
  Object call10619 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10617);
// compilenode returning call10619
  Object if10616 = done;
  if (istrue(call10619)) {
// Begin line 3223
  setline(3223);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10620 = gc_frame_new();
  partcv[0] = 0;
  Object call10621 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10620);
// compilenode returning call10621
// Begin line 3224
  setline(3224);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10622 = gc_frame_new();
  Object block10623 = alloc_Block(NULL, NULL, "parser", 3224);
  gc_frame_newslot(block10623);
  block_savedest(block10623);
  Object closure10624 = createclosure(1, "_apply");
setclosureframe(closure10624, stackframe);
  addtoclosure(closure10624, selfslot);
  struct UserObject *uo10624 = (struct UserObject*)block10623;
  uo10624->data[0] = (Object)closure10624;
  Method *meth_meth_parser__apply10624 = addmethod2pos(block10623, "_apply", &meth_parser__apply10624, 0);
int argcv_meth_parser__apply10624[] = {0};
meth_meth_parser__apply10624->type = alloc_MethodType(1, argcv_meth_parser__apply10624);
  meth_meth_parser__apply10624->definitionModule = modulename;
  meth_meth_parser__apply10624->definitionLine = 3217;
// compilenode returning block10623
  gc_frame_newslot(block10623);
  Object block10631 = alloc_Block(NULL, NULL, "parser", 3224);
  gc_frame_newslot(block10631);
  block_savedest(block10631);
  Object closure10632 = createclosure(3, "_apply");
setclosureframe(closure10632, stackframe);
  addtoclosure(closure10632, var_values);
  addtoclosure(closure10632, var_methods);
  addtoclosure(closure10632, selfslot);
  struct UserObject *uo10632 = (struct UserObject*)block10631;
  uo10632->data[0] = (Object)closure10632;
  Method *meth_meth_parser__apply10632 = addmethod2pos(block10631, "_apply", &meth_parser__apply10632, 0);
int argcv_meth_parser__apply10632[] = {0};
meth_meth_parser__apply10632->type = alloc_MethodType(1, argcv_meth_parser__apply10632);
  meth_meth_parser__apply10632->definitionModule = modulename;
  meth_meth_parser__apply10632->definitionLine = 3224;
// compilenode returning block10631
  gc_frame_newslot(block10631);
  params[0] = block10623;
  params[1] = block10631;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10640 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10622);
// compilenode returning call10640
// Begin line 3228
  setline(3228);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10641 = gc_frame_new();
  partcv[0] = 0;
  Object call10642 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10641);
// compilenode returning call10642
// Begin line 3229
  setline(3229);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10643 = gc_frame_new();
  int callframe10644 = gc_frame_new();
// compilenode returning *var_p
  partcv[0] = 0;
  Object call10645 = callmethod(*var_p, "value",
    1, partcv, params);
  gc_frame_end(callframe10644);
// compilenode returning call10645
// compilenode returning call10645
  gc_frame_newslot(call10645);
// compilenode returning *var_methods
  gc_frame_newslot(*var_methods);
  int callframe10646 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call10647 = callmethod(*var_ast, "typeNode",
    1, partcv, params);
  gc_frame_end(callframe10646);
// compilenode returning call10647
// compilenode returning call10647
  params[0] = call10645;
  params[1] = *var_methods;
  partcv[0] = 2;
  Object call10648 = callmethod(call10647, "new",
    1, partcv, params);
  gc_frame_end(callframe10643);
// compilenode returning call10648
  *var_t = call10648;
  if (call10648 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3231
  setline(3231);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3229
  setline(3229);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10649 = gc_frame_new();
// Begin line 3230
  setline(3230);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_gens
  gc_frame_newslot(*var_gens);
// compilenode returning *var_t
  params[0] = *var_gens;
  partcv[0] = 1;
  Object call10650 = callmethod(*var_t, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe10649);
// compilenode returning call10650
// compilenode returning done
// Begin line 3234
  setline(3234);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3231
  setline(3231);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_anns
  int op_slot_right_10652 = gc_frame_newslot(*var_anns);
  Object bool10654 = alloc_Boolean(0);
// compilenode returning bool10654
  int op_slot_left_10652 = gc_frame_newslot(bool10654);
  params[0] = *var_anns;
  partcv[0] = 1;
  Object opresult10655 = callmethod(bool10654, "!=", 1, partcv, params);
// compilenode returning opresult10655
  Object if10651 = done;
  if (istrue(opresult10655)) {
// Begin line 3232
  setline(3232);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10656 = gc_frame_new();
// compilenode returning *var_anns
  gc_frame_newslot(*var_anns);
  int callframe10657 = gc_frame_new();
// compilenode returning *var_t
  partcv[0] = 0;
  Object call10658 = callmethod(*var_t, "annotations",
    1, partcv, params);
  gc_frame_end(callframe10657);
// compilenode returning call10658
// compilenode returning call10658
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call10659 = callmethod(call10658, "extend",
    1, partcv, params);
  gc_frame_end(callframe10656);
// compilenode returning call10659
    gc_frame_newslot(call10659);
    if10651 = call10659;
  } else {
  }
// compilenode returning if10651
// Begin line 3234
  setline(3234);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10660 = gc_frame_new();
// compilenode returning *var_t
  gc_frame_newslot(*var_t);
// compilenode returning *var_values
  params[0] = *var_t;
  partcv[0] = 1;
  Object call10661 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe10660);
// compilenode returning call10661
    gc_frame_newslot(call10661);
    if10616 = call10661;
  } else {
// Begin line 3236
  setline(3236);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10662 = gc_frame_new();
  partcv[0] = 0;
  Object call10663 = callmethodflags(self, "dotyperef", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10662);
// compilenode returning call10663
// Begin line 3238
  setline(3238);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3237
  setline(3237);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10664 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call10665 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe10664);
// compilenode returning call10665
// compilenode returning call10665
  *var_ot = call10665;
  if (call10665 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3239
  setline(3239);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_nt = undefined;
// compilenode returning done
// Begin line 3252
  setline(3252);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3239
  setline(3239);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10668 == NULL) {
    strlit10668 = alloc_String("type");
    gc_root(strlit10668);
  }
// compilenode returning strlit10668
  int op_slot_right_10667 = gc_frame_newslot(strlit10668);
  int callframe10670 = gc_frame_new();
// compilenode returning *var_ot
  partcv[0] = 0;
  Object call10671 = callmethod(*var_ot, "kind",
    1, partcv, params);
  gc_frame_end(callframe10670);
// compilenode returning call10671
// compilenode returning call10671
  int op_slot_left_10667 = gc_frame_newslot(call10671);
  params[0] = strlit10668;
  partcv[0] = 1;
  Object opresult10672 = callmethod(call10671, "==", 1, partcv, params);
// compilenode returning opresult10672
  Object if10666 = done;
  if (istrue(opresult10672)) {
// Begin line 3240
  setline(3240);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10673 = gc_frame_new();
  int callframe10674 = gc_frame_new();
// compilenode returning *var_p
  partcv[0] = 0;
  Object call10675 = callmethod(*var_p, "value",
    1, partcv, params);
  gc_frame_end(callframe10674);
// compilenode returning call10675
// compilenode returning call10675
  gc_frame_newslot(call10675);
  int callframe10676 = gc_frame_new();
// compilenode returning *var_ot
  partcv[0] = 0;
  Object call10677 = callmethod(*var_ot, "methods",
    1, partcv, params);
  gc_frame_end(callframe10676);
// compilenode returning call10677
// compilenode returning call10677
  gc_frame_newslot(call10677);
  int callframe10678 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call10679 = callmethod(*var_ast, "typeNode",
    1, partcv, params);
  gc_frame_end(callframe10678);
// compilenode returning call10679
// compilenode returning call10679
  params[0] = call10675;
  params[1] = call10677;
  partcv[0] = 2;
  Object call10680 = callmethod(call10679, "new",
    1, partcv, params);
  gc_frame_end(callframe10673);
// compilenode returning call10680
  *var_nt = call10680;
  if (call10680 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3242
  setline(3242);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3240
  setline(3240);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10682 = gc_frame_new();
// Begin line 3241
  setline(3241);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10683 = gc_frame_new();
// compilenode returning *var_nt
  partcv[0] = 0;
  Object call10684 = callmethod(*var_nt, "generics",
    1, partcv, params);
  gc_frame_end(callframe10683);
// compilenode returning call10684
// compilenode returning call10684
  gc_frame_newslot(call10684);
// compilenode returning *var_nt
  params[0] = call10684;
  partcv[0] = 1;
  Object call10685 = callmethod(*var_nt, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe10682);
// compilenode returning call10685
// compilenode returning done
// Begin line 3242
  setline(3242);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10686 = gc_frame_new();
  int callframe10687 = gc_frame_new();
// compilenode returning *var_ot
  partcv[0] = 0;
  Object call10688 = callmethod(*var_ot, "unionTypes",
    1, partcv, params);
  gc_frame_end(callframe10687);
// compilenode returning call10688
// compilenode returning call10688
  gc_frame_newslot(call10688);
  Object block10689 = alloc_Block(NULL, NULL, "parser", 3242);
  gc_frame_newslot(block10689);
  block_savedest(block10689);
  Object closure10690 = createclosure(2, "_apply");
setclosureframe(closure10690, stackframe);
  addtoclosure(closure10690, var_nt);
  addtoclosure(closure10690, selfslot);
  struct UserObject *uo10690 = (struct UserObject*)block10689;
  uo10690->data[0] = (Object)closure10690;
  Method *meth_meth_parser__apply10690 = addmethod2pos(block10689, "_apply", &meth_parser__apply10690, 0);
int argcv_meth_parser__apply10690[] = {1};
meth_meth_parser__apply10690->type = alloc_MethodType(1, argcv_meth_parser__apply10690);
  meth_meth_parser__apply10690->definitionModule = modulename;
  meth_meth_parser__apply10690->definitionLine = 3242;
// compilenode returning block10689
  gc_frame_newslot(block10689);
  params[0] = call10688;
  params[1] = block10689;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10696 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10686);
// compilenode returning call10696
// Begin line 3245
  setline(3245);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10697 = gc_frame_new();
  int callframe10698 = gc_frame_new();
// compilenode returning *var_ot
  partcv[0] = 0;
  Object call10699 = callmethod(*var_ot, "intersectionTypes",
    1, partcv, params);
  gc_frame_end(callframe10698);
// compilenode returning call10699
// compilenode returning call10699
  gc_frame_newslot(call10699);
  Object block10700 = alloc_Block(NULL, NULL, "parser", 3245);
  gc_frame_newslot(block10700);
  block_savedest(block10700);
  Object closure10701 = createclosure(2, "_apply");
setclosureframe(closure10701, stackframe);
  addtoclosure(closure10701, var_nt);
  addtoclosure(closure10701, selfslot);
  struct UserObject *uo10701 = (struct UserObject*)block10700;
  uo10701->data[0] = (Object)closure10701;
  Method *meth_meth_parser__apply10701 = addmethod2pos(block10700, "_apply", &meth_parser__apply10701, 0);
int argcv_meth_parser__apply10701[] = {1};
meth_meth_parser__apply10701->type = alloc_MethodType(1, argcv_meth_parser__apply10701);
  meth_meth_parser__apply10701->definitionModule = modulename;
  meth_meth_parser__apply10701->definitionLine = 3245;
// compilenode returning block10700
  gc_frame_newslot(block10700);
  params[0] = call10699;
  params[1] = block10700;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10707 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10697);
// compilenode returning call10707
// Begin line 3249
  setline(3249);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3246
  setline(3246);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10708 = gc_frame_new();
// Begin line 3248
  setline(3248);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_gens
  gc_frame_newslot(*var_gens);
// compilenode returning *var_nt
  params[0] = *var_gens;
  partcv[0] = 1;
  Object call10709 = callmethod(*var_nt, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe10708);
// compilenode returning call10709
// compilenode returning done
    gc_frame_newslot(done);
    if10666 = done;
  } else {
// Begin line 3250
  setline(3250);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10710 = gc_frame_new();
  int callframe10711 = gc_frame_new();
// compilenode returning *var_p
  partcv[0] = 0;
  Object call10712 = callmethod(*var_p, "value",
    1, partcv, params);
  gc_frame_end(callframe10711);
// compilenode returning call10712
// compilenode returning call10712
  gc_frame_newslot(call10712);
  Object array10713 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array10713
  gc_frame_newslot(array10713);
  int callframe10714 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call10715 = callmethod(*var_ast, "typeNode",
    1, partcv, params);
  gc_frame_end(callframe10714);
// compilenode returning call10715
// compilenode returning call10715
  params[0] = call10712;
  params[1] = array10713;
  partcv[0] = 2;
  Object call10716 = callmethod(call10715, "new",
    1, partcv, params);
  gc_frame_end(callframe10710);
// compilenode returning call10716
  *var_nt = call10716;
  if (call10716 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if10666 = done;
  }
// compilenode returning if10666
// Begin line 3255
  setline(3255);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3252
  setline(3252);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_anns
  int op_slot_right_10719 = gc_frame_newslot(*var_anns);
  Object bool10721 = alloc_Boolean(0);
// compilenode returning bool10721
  int op_slot_left_10719 = gc_frame_newslot(bool10721);
  params[0] = *var_anns;
  partcv[0] = 1;
  Object opresult10722 = callmethod(bool10721, "!=", 1, partcv, params);
// compilenode returning opresult10722
  Object if10718 = done;
  if (istrue(opresult10722)) {
// Begin line 3253
  setline(3253);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10723 = gc_frame_new();
// compilenode returning *var_anns
  gc_frame_newslot(*var_anns);
  int callframe10724 = gc_frame_new();
// compilenode returning *var_nt
  partcv[0] = 0;
  Object call10725 = callmethod(*var_nt, "annotations",
    1, partcv, params);
  gc_frame_end(callframe10724);
// compilenode returning call10725
// compilenode returning call10725
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call10726 = callmethod(call10725, "extend",
    1, partcv, params);
  gc_frame_end(callframe10723);
// compilenode returning call10726
    gc_frame_newslot(call10726);
    if10718 = call10726;
  } else {
  }
// compilenode returning if10718
// Begin line 3255
  setline(3255);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10727 = gc_frame_new();
// compilenode returning *var_nt
  gc_frame_newslot(*var_nt);
// compilenode returning *var_values
  params[0] = *var_nt;
  partcv[0] = 1;
  Object call10728 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe10727);
// compilenode returning call10728
    gc_frame_newslot(call10728);
    if10616 = call10728;
  }
// compilenode returning if10616
    gc_frame_newslot(if10616);
    if10478 = if10616;
  } else {
  }
// compilenode returning if10478
  gc_frame_end(frame);
  return if10478;
}
Object meth_parser__apply10808(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_suggestion = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3274
  setline(3274);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10809 = gc_frame_new();
  if (strlit10810 == NULL) {
    strlit10810 = alloc_String(" ");
    gc_root(strlit10810);
  }
// compilenode returning strlit10810
  gc_frame_newslot(strlit10810);
  Object num10811 = alloc_Float64(1);
// compilenode returning num10811
  gc_frame_newslot(num10811);
  int callframe10812 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10813 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10812);
// compilenode returning call10813
// compilenode returning call10813
  gc_frame_newslot(call10813);
// compilenode returning *var_suggestion
  params[0] = strlit10810;
  params[1] = num10811;
  params[2] = call10813;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call10814 = callmethod(*var_suggestion, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe10809);
// compilenode returning call10814
  gc_frame_end(frame);
  return call10814;
}
Object meth_parser__apply10826(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_minIndentLevel = getfromclosure(closure, 0);
  Object *var_tok = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var_minIndentLevel
  int op_slot_right_10828 = gc_frame_newslot(*var_minIndentLevel);
  int callframe10830 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call10831 = callmethod(*var_tok, "indent",
    1, partcv, params);
  gc_frame_end(callframe10830);
// compilenode returning call10831
// compilenode returning call10831
  int op_slot_left_10828 = gc_frame_newslot(call10831);
  params[0] = *var_minIndentLevel;
  partcv[0] = 1;
  Object opresult10832 = callmethod(call10831, ">=", 1, partcv, params);
// compilenode returning opresult10832
  int op_slot_right_10827 = gc_frame_newslot(opresult10832);
  Object num10836 = alloc_Float64(1);
// compilenode returning num10836
  int op_slot_right_10835 = gc_frame_newslot(num10836);
  int callframe10838 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call10839 = callmethod(*var_tok, "indent",
    1, partcv, params);
  gc_frame_end(callframe10838);
// compilenode returning call10839
// compilenode returning call10839
  int op_slot_left_10835 = gc_frame_newslot(call10839);
  params[0] = num10836;
  partcv[0] = 1;
  Object sum10840 = callmethod(call10839, "+", 1, partcv, params);
// compilenode returning sum10840
  int op_slot_right_10834 = gc_frame_newslot(sum10840);
  int callframe10842 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call10843 = callmethod(*var_tok, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10842);
// compilenode returning call10843
// compilenode returning call10843
  int op_slot_left_10834 = gc_frame_newslot(call10843);
  params[0] = sum10840;
  partcv[0] = 1;
  Object opresult10844 = callmethod(call10843, "!=", 1, partcv, params);
// compilenode returning opresult10844
  int op_slot_left_10827 = gc_frame_newslot(opresult10844);
  params[0] = opresult10832;
  partcv[0] = 1;
  Object opresult10845 = callmethod(opresult10844, "||", 1, partcv, params);
// compilenode returning opresult10845
  gc_frame_end(frame);
  return opresult10845;
}
Object meth_parser__apply10848(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe10849 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call10850 = callmethod(*var_tok, "prev",
    1, partcv, params);
  gc_frame_end(callframe10849);
// compilenode returning call10850
// compilenode returning call10850
  *var_tok = call10850;
  if (call10850 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply10863(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_line = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3284
  setline(3284);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3283
  setline(3283);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10865 == NULL) {
    strlit10865 = alloc_String(" ");
    gc_root(strlit10865);
  }
// compilenode returning strlit10865
  int op_slot_right_10864 = gc_frame_newslot(strlit10865);
// compilenode returning *var_line
  int op_slot_left_10864 = gc_frame_newslot(*var_line);
  params[0] = strlit10865;
  partcv[0] = 1;
  Object opresult10867 = callmethod(*var_line, "++", 1, partcv, params);
// compilenode returning opresult10867
  *var_line = opresult10867;
  if (opresult10867 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_checkIndent10729(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 54, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkIndent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_indentFreePass = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_minIndentLevel = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for checkIndent (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for checkIndent");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_tok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "tok");
  Object *var_line = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "line");
// Begin line 3294
  setline(3294);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3261
  setline(3261);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_indentFreePass
  Object if10730 = done;
  if (istrue(*var_indentFreePass)) {
// Begin line 3263
  setline(3263);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3262
  setline(3262);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool10731 = alloc_Boolean(0);
// compilenode returning bool10731
  *var_indentFreePass = bool10731;
  if (bool10731 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if10730 = done;
  } else {
// Begin line 3265
  setline(3265);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3263
  setline(3263);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10735 == NULL) {
    strlit10735 = alloc_String("semicolon");
    gc_root(strlit10735);
  }
// compilenode returning strlit10735
  int op_slot_right_10734 = gc_frame_newslot(strlit10735);
  int callframe10737 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10738 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10737);
// compilenode returning call10738
// compilenode returning call10738
  int op_slot_left_10734 = gc_frame_newslot(call10738);
  params[0] = strlit10735;
  partcv[0] = 1;
  Object opresult10739 = callmethod(call10738, "==", 1, partcv, params);
// compilenode returning opresult10739
  Object if10733 = done;
  if (istrue(opresult10739)) {
    gc_frame_newslot(done);
    if10733 = done;
  } else {
// Begin line 3268
  setline(3268);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3266
  setline(3266);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10743 == NULL) {
    strlit10743 = alloc_String("rsquare");
    gc_root(strlit10743);
  }
// compilenode returning strlit10743
  int op_slot_right_10742 = gc_frame_newslot(strlit10743);
  int callframe10745 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10746 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10745);
// compilenode returning call10746
// compilenode returning call10746
  int op_slot_left_10742 = gc_frame_newslot(call10746);
  params[0] = strlit10743;
  partcv[0] = 1;
  Object opresult10747 = callmethod(call10746, "==", 1, partcv, params);
// compilenode returning opresult10747
  int op_slot_right_10741 = gc_frame_newslot(opresult10747);
// Begin line 3265
  setline(3265);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10751 == NULL) {
    strlit10751 = alloc_String("rparen");
    gc_root(strlit10751);
  }
// compilenode returning strlit10751
  int op_slot_right_10750 = gc_frame_newslot(strlit10751);
  int callframe10753 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10754 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10753);
// compilenode returning call10754
// compilenode returning call10754
  int op_slot_left_10750 = gc_frame_newslot(call10754);
  params[0] = strlit10751;
  partcv[0] = 1;
  Object opresult10755 = callmethod(call10754, "==", 1, partcv, params);
// compilenode returning opresult10755
  int op_slot_right_10749 = gc_frame_newslot(opresult10755);
  if (strlit10758 == NULL) {
    strlit10758 = alloc_String("rbrace");
    gc_root(strlit10758);
  }
// compilenode returning strlit10758
  int op_slot_right_10757 = gc_frame_newslot(strlit10758);
  int callframe10760 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10761 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10760);
// compilenode returning call10761
// compilenode returning call10761
  int op_slot_left_10757 = gc_frame_newslot(call10761);
  params[0] = strlit10758;
  partcv[0] = 1;
  Object opresult10762 = callmethod(call10761, "==", 1, partcv, params);
// compilenode returning opresult10762
  int op_slot_left_10749 = gc_frame_newslot(opresult10762);
  params[0] = opresult10755;
  partcv[0] = 1;
  Object opresult10763 = callmethod(opresult10762, "||", 1, partcv, params);
// compilenode returning opresult10763
  int op_slot_left_10741 = gc_frame_newslot(opresult10763);
  params[0] = opresult10747;
  partcv[0] = 1;
  Object opresult10764 = callmethod(opresult10763, "||", 1, partcv, params);
// compilenode returning opresult10764
  Object if10740 = done;
  if (istrue(opresult10764)) {
    gc_frame_newslot(done);
    if10740 = done;
  } else {
// Begin line 3269
  setline(3269);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3268
  setline(3268);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10767 == NULL) {
    strlit10767 = alloc_String("eof");
    gc_root(strlit10767);
  }
// compilenode returning strlit10767
  int op_slot_right_10766 = gc_frame_newslot(strlit10767);
  int callframe10769 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10770 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe10769);
// compilenode returning call10770
// compilenode returning call10770
  int op_slot_left_10766 = gc_frame_newslot(call10770);
  params[0] = strlit10767;
  partcv[0] = 1;
  Object opresult10771 = callmethod(call10770, "==", 1, partcv, params);
// compilenode returning opresult10771
  Object if10765 = done;
  if (istrue(opresult10771)) {
    gc_frame_newslot(done);
    if10765 = done;
  } else {
// Begin line 3291
  setline(3291);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3269
  setline(3269);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  int op_slot_right_10773 = gc_frame_newslot(*var_minIndentLevel);
  int callframe10775 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10776 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe10775);
// compilenode returning call10776
// compilenode returning call10776
  int op_slot_left_10773 = gc_frame_newslot(call10776);
  params[0] = *var_minIndentLevel;
  partcv[0] = 1;
  Object opresult10777 = callmethod(call10776, "<", 1, partcv, params);
// compilenode returning opresult10777
  Object if10772 = done;
  if (istrue(opresult10777)) {
// Begin line 3291
  setline(3291);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3270
  setline(3270);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  int op_slot_right_10779 = gc_frame_newslot(*var_minIndentLevel);
  Object num10782 = alloc_Float64(1);
// compilenode returning num10782
  int op_slot_right_10781 = gc_frame_newslot(num10782);
  int callframe10784 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10785 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10784);
// compilenode returning call10785
// compilenode returning call10785
  int op_slot_left_10781 = gc_frame_newslot(call10785);
  params[0] = num10782;
  partcv[0] = 1;
  Object diff10786 = callmethod(call10785, "-", 1, partcv, params);
// compilenode returning diff10786
  int op_slot_left_10779 = gc_frame_newslot(diff10786);
  params[0] = *var_minIndentLevel;
  partcv[0] = 1;
  Object opresult10787 = callmethod(diff10786, "!=", 1, partcv, params);
// compilenode returning opresult10787
  Object if10778 = done;
  if (istrue(opresult10787)) {
// Begin line 3272
  setline(3272);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3271
  setline(3271);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array10788 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array10788
  *var_suggestions = array10788;
  if (array10788 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3273
  setline(3273);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3272
  setline(3272);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10789 = gc_frame_new();
  int callframe10790 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10791 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10790);
// compilenode returning call10791
// compilenode returning call10791
  partcv[0] = 0;
  Object call10792 = callmethod(call10791, "new",
    1, partcv, params);
  gc_frame_end(callframe10789);
// compilenode returning call10792
// compilenode returning call10792
  *var_suggestion = call10792;
  if (call10792 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3273
  setline(3273);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10793 = gc_frame_new();
  Object num10797 = alloc_Float64(1);
// compilenode returning num10797
  int op_slot_right_10796 = gc_frame_newslot(num10797);
  int callframe10799 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10800 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10799);
// compilenode returning call10800
// compilenode returning call10800
  int op_slot_left_10796 = gc_frame_newslot(call10800);
  params[0] = num10797;
  partcv[0] = 1;
  Object diff10801 = callmethod(call10800, "-", 1, partcv, params);
// compilenode returning diff10801
  int op_slot_right_10795 = gc_frame_newslot(diff10801);
// compilenode returning *var_minIndentLevel
  int op_slot_left_10795 = gc_frame_newslot(*var_minIndentLevel);
  params[0] = diff10801;
  partcv[0] = 1;
  Object diff10803 = callmethod(*var_minIndentLevel, "-", 1, partcv, params);
// compilenode returning diff10803
  int op_slot_right_10794 = gc_frame_newslot(diff10803);
  Object num10805 = alloc_Float64(1);
// compilenode returning num10805
  int op_slot_left_10794 = gc_frame_newslot(num10805);
  params[0] = diff10803;
  partcv[0] = 1;
  Object opresult10806 = callmethod(num10805, "..", 1, partcv, params);
// compilenode returning opresult10806
  gc_frame_newslot(opresult10806);
  Object block10807 = alloc_Block(NULL, NULL, "parser", 3273);
  gc_frame_newslot(block10807);
  block_savedest(block10807);
  Object closure10808 = createclosure(3, "_apply");
setclosureframe(closure10808, stackframe);
  addtoclosure(closure10808, var_sym);
  addtoclosure(closure10808, var_suggestion);
  addtoclosure(closure10808, selfslot);
  struct UserObject *uo10808 = (struct UserObject*)block10807;
  uo10808->data[0] = (Object)closure10808;
  Method *meth_meth_parser__apply10808 = addmethod2pos(block10807, "_apply", &meth_parser__apply10808, 0);
int argcv_meth_parser__apply10808[] = {0};
meth_meth_parser__apply10808->type = alloc_MethodType(1, argcv_meth_parser__apply10808);
  meth_meth_parser__apply10808->definitionModule = modulename;
  meth_meth_parser__apply10808->definitionLine = 3273;
// compilenode returning block10807
  gc_frame_newslot(block10807);
  params[0] = opresult10806;
  params[1] = block10807;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10816 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10793);
// compilenode returning call10816
// Begin line 3276
  setline(3276);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10817 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10818 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe10817);
// compilenode returning call10818
// Begin line 3279
  setline(3279);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3277
  setline(3277);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10819 = gc_frame_new();
  int callframe10820 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call10821 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe10820);
// compilenode returning call10821
// compilenode returning call10821
  partcv[0] = 0;
  Object call10822 = callmethod(call10821, "new",
    1, partcv, params);
  gc_frame_end(callframe10819);
// compilenode returning call10822
// compilenode returning call10822
  *var_suggestion = call10822;
  if (call10822 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3280
  setline(3280);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3279
  setline(3279);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  *var_tok = *var_lastToken;
  if (*var_lastToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3280
  setline(3280);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10824 = gc_frame_new();
  Object block10825 = alloc_Block(NULL, NULL, "parser", 3280);
  gc_frame_newslot(block10825);
  block_savedest(block10825);
  Object closure10826 = createclosure(3, "_apply");
setclosureframe(closure10826, stackframe);
  addtoclosure(closure10826, var_minIndentLevel);
  addtoclosure(closure10826, var_tok);
  addtoclosure(closure10826, selfslot);
  struct UserObject *uo10826 = (struct UserObject*)block10825;
  uo10826->data[0] = (Object)closure10826;
  Method *meth_meth_parser__apply10826 = addmethod2pos(block10825, "_apply", &meth_parser__apply10826, 0);
int argcv_meth_parser__apply10826[] = {0};
meth_meth_parser__apply10826->type = alloc_MethodType(1, argcv_meth_parser__apply10826);
  meth_meth_parser__apply10826->definitionModule = modulename;
  meth_meth_parser__apply10826->definitionLine = 3277;
// compilenode returning block10825
  gc_frame_newslot(block10825);
  Object block10847 = alloc_Block(NULL, NULL, "parser", 3280);
  gc_frame_newslot(block10847);
  block_savedest(block10847);
  Object closure10848 = createclosure(2, "_apply");
setclosureframe(closure10848, stackframe);
  addtoclosure(closure10848, var_tok);
  addtoclosure(closure10848, selfslot);
  struct UserObject *uo10848 = (struct UserObject*)block10847;
  uo10848->data[0] = (Object)closure10848;
  Method *meth_meth_parser__apply10848 = addmethod2pos(block10847, "_apply", &meth_parser__apply10848, 0);
int argcv_meth_parser__apply10848[] = {0};
meth_meth_parser__apply10848->type = alloc_MethodType(1, argcv_meth_parser__apply10848);
  meth_meth_parser__apply10848->definitionModule = modulename;
  meth_meth_parser__apply10848->definitionLine = 3280;
// compilenode returning block10847
  gc_frame_newslot(block10847);
  params[0] = block10825;
  params[1] = block10847;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10853 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10824);
// compilenode returning call10853
// Begin line 3282
  setline(3282);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3281
  setline(3281);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10854 == NULL) {
    strlit10854 = alloc_String("");
    gc_root(strlit10854);
  }
// compilenode returning strlit10854
  *var_line = strlit10854;
  if (strlit10854 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3282
  setline(3282);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10855 = gc_frame_new();
  int callframe10857 = gc_frame_new();
// compilenode returning *var_tok
  partcv[0] = 0;
  Object call10858 = callmethod(*var_tok, "indent",
    1, partcv, params);
  gc_frame_end(callframe10857);
// compilenode returning call10858
// compilenode returning call10858
  int op_slot_right_10856 = gc_frame_newslot(call10858);
  Object num10860 = alloc_Float64(1);
// compilenode returning num10860
  int op_slot_left_10856 = gc_frame_newslot(num10860);
  params[0] = call10858;
  partcv[0] = 1;
  Object opresult10861 = callmethod(num10860, "..", 1, partcv, params);
// compilenode returning opresult10861
  gc_frame_newslot(opresult10861);
  Object block10862 = alloc_Block(NULL, NULL, "parser", 3282);
  gc_frame_newslot(block10862);
  block_savedest(block10862);
  Object closure10863 = createclosure(2, "_apply");
setclosureframe(closure10863, stackframe);
  addtoclosure(closure10863, var_line);
  addtoclosure(closure10863, selfslot);
  struct UserObject *uo10863 = (struct UserObject*)block10862;
  uo10863->data[0] = (Object)closure10863;
  Method *meth_meth_parser__apply10863 = addmethod2pos(block10862, "_apply", &meth_parser__apply10863, 0);
int argcv_meth_parser__apply10863[] = {0};
meth_meth_parser__apply10863->type = alloc_MethodType(1, argcv_meth_parser__apply10863);
  meth_meth_parser__apply10863->definitionModule = modulename;
  meth_meth_parser__apply10863->definitionLine = 3282;
// compilenode returning block10862
  gc_frame_newslot(block10862);
  params[0] = opresult10861;
  params[1] = block10862;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10870 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10855);
// compilenode returning call10870
// Begin line 3286
  setline(3286);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3285
  setline(3285);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10872 == NULL) {
    strlit10872 = alloc_String("}");
    gc_root(strlit10872);
  }
// compilenode returning strlit10872
  int op_slot_right_10871 = gc_frame_newslot(strlit10872);
// compilenode returning *var_line
  int op_slot_left_10871 = gc_frame_newslot(*var_line);
  params[0] = strlit10872;
  partcv[0] = 1;
  Object opresult10874 = callmethod(*var_line, "++", 1, partcv, params);
// compilenode returning opresult10874
  *var_line = opresult10874;
  if (opresult10874 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3286
  setline(3286);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10876 = gc_frame_new();
  Object num10878 = alloc_Float64(0.9);
// compilenode returning num10878
  int op_slot_right_10877 = gc_frame_newslot(num10878);
  int callframe10880 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10881 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10880);
// compilenode returning call10881
// compilenode returning call10881
  int op_slot_left_10877 = gc_frame_newslot(call10881);
  params[0] = num10878;
  partcv[0] = 1;
  Object diff10882 = callmethod(call10881, "-", 1, partcv, params);
// compilenode returning diff10882
  gc_frame_newslot(diff10882);
// compilenode returning *var_line
  gc_frame_newslot(*var_line);
// compilenode returning *var_suggestion
  params[0] = diff10882;
  params[1] = *var_line;
  partcv[0] = 2;
  Object call10883 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe10876);
// compilenode returning call10883
// Begin line 3287
  setline(3287);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10884 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10885 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe10884);
// compilenode returning call10885
// Begin line 3288
  setline(3288);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10886 = gc_frame_new();
  if (strlit10888 == NULL) {
    strlit10888 = alloc_String(". This is often caused by a missing '}'.");
    gc_root(strlit10888);
  }
// compilenode returning strlit10888
  int op_slot_right_10887 = gc_frame_newslot(strlit10888);
// compilenode returning *var_minIndentLevel
  int op_slot_right_10890 = gc_frame_newslot(*var_minIndentLevel);
  if (strlit10892 == NULL) {
    strlit10892 = alloc_String("The indentation for this line must be at least ");
    gc_root(strlit10892);
  }
// compilenode returning strlit10892
  int op_slot_left_10890 = gc_frame_newslot(strlit10892);
  params[0] = *var_minIndentLevel;
  partcv[0] = 1;
  Object opresult10893 = callmethod(strlit10892, "++", 1, partcv, params);
// compilenode returning opresult10893
  int op_slot_left_10887 = gc_frame_newslot(opresult10893);
  params[0] = strlit10888;
  partcv[0] = 1;
  Object opresult10894 = callmethod(opresult10893, "++", 1, partcv, params);
// compilenode returning opresult10894
  gc_frame_newslot(opresult10894);
// Begin line 3289
  setline(3289);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10895 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10896 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe10895);
// compilenode returning call10896
// compilenode returning call10896
  gc_frame_newslot(call10896);
  int callframe10897 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10898 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe10897);
// compilenode returning call10898
// compilenode returning call10898
  gc_frame_newslot(call10898);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 3288
  setline(3288);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = opresult10894;
  params[1] = call10896;
  params[2] = call10898;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10899 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe10886);
// compilenode returning call10899
    gc_frame_newslot(call10899);
    if10778 = call10899;
  } else {
  }
// compilenode returning if10778
    gc_frame_newslot(if10778);
    if10772 = if10778;
  } else {
// Begin line 3294
  setline(3294);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3291
  setline(3291);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  int op_slot_right_10901 = gc_frame_newslot(*var_minIndentLevel);
  int callframe10903 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10904 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe10903);
// compilenode returning call10904
// compilenode returning call10904
  int op_slot_left_10901 = gc_frame_newslot(call10904);
  params[0] = *var_minIndentLevel;
  partcv[0] = 1;
  Object opresult10905 = callmethod(call10904, ">", 1, partcv, params);
// compilenode returning opresult10905
  Object if10900 = done;
  if (istrue(opresult10905)) {
// Begin line 3293
  setline(3293);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3292
  setline(3292);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10906 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10907 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe10906);
// compilenode returning call10907
// compilenode returning call10907
  *var_minIndentLevel = call10907;
  if (call10907 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if10900 = done;
  } else {
  }
// compilenode returning if10900
    gc_frame_newslot(if10900);
    if10772 = if10900;
  }
// compilenode returning if10772
    gc_frame_newslot(if10772);
    if10765 = if10772;
  }
// compilenode returning if10765
    gc_frame_newslot(if10765);
    if10740 = if10765;
  }
// compilenode returning if10740
    gc_frame_newslot(if10740);
    if10733 = if10740;
  }
// compilenode returning if10733
    gc_frame_newslot(if10733);
    if10730 = if10733;
  }
// compilenode returning if10730
  gc_frame_end(frame);
  return if10730;
}
Object meth_parser__apply10987(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe10988 = gc_frame_new();
  partcv[0] = 0;
  Object call10989 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10988);
// compilenode returning call10989
  gc_frame_end(frame);
  return call10989;
}
Object meth_parser__apply11038(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  int callframe11039 = gc_frame_new();
  partcv[0] = 0;
  Object call11040 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11039);
// compilenode returning call11040
  gc_frame_end(frame);
  return call11040;
}
Object meth_parser__apply10992(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_dest = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "dest");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_val = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "val");
  Object *var_o = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "o");
// Begin line 3351
  setline(3351);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3328
  setline(3328);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10995 = gc_frame_new();
  if (strlit10996 == NULL) {
    strlit10996 = alloc_String("bind");
    gc_root(strlit10996);
  }
// compilenode returning strlit10996
  gc_frame_newslot(strlit10996);
  params[0] = strlit10996;
  partcv[0] = 1;
  Object call10997 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10995);
// compilenode returning call10997
  int op_slot_right_10994 = gc_frame_newslot(call10997);
// Begin line 3327
  setline(3327);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11001 == NULL) {
    strlit11001 = alloc_String("index");
    gc_root(strlit11001);
  }
// compilenode returning strlit11001
  int op_slot_right_11000 = gc_frame_newslot(strlit11001);
  int callframe11003 = gc_frame_new();
  int callframe11004 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call11005 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe11004);
// compilenode returning call11005
// compilenode returning call11005
  partcv[0] = 0;
  Object call11006 = callmethod(call11005, "kind",
    1, partcv, params);
  gc_frame_end(callframe11003);
// compilenode returning call11006
// compilenode returning call11006
  int op_slot_left_11000 = gc_frame_newslot(call11006);
  params[0] = strlit11001;
  partcv[0] = 1;
  Object opresult11007 = callmethod(call11006, "==", 1, partcv, params);
// compilenode returning opresult11007
  int op_slot_right_10999 = gc_frame_newslot(opresult11007);
// Begin line 3326
  setline(3326);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11011 == NULL) {
    strlit11011 = alloc_String("member");
    gc_root(strlit11011);
  }
// compilenode returning strlit11011
  int op_slot_right_11010 = gc_frame_newslot(strlit11011);
  int callframe11013 = gc_frame_new();
  int callframe11014 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call11015 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe11014);
// compilenode returning call11015
// compilenode returning call11015
  partcv[0] = 0;
  Object call11016 = callmethod(call11015, "kind",
    1, partcv, params);
  gc_frame_end(callframe11013);
// compilenode returning call11016
// compilenode returning call11016
  int op_slot_left_11010 = gc_frame_newslot(call11016);
  params[0] = strlit11011;
  partcv[0] = 1;
  Object opresult11017 = callmethod(call11016, "==", 1, partcv, params);
// compilenode returning opresult11017
  int op_slot_right_11009 = gc_frame_newslot(opresult11017);
// Begin line 3325
  setline(3325);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11020 == NULL) {
    strlit11020 = alloc_String("identifier");
    gc_root(strlit11020);
  }
// compilenode returning strlit11020
  int op_slot_right_11019 = gc_frame_newslot(strlit11020);
  int callframe11022 = gc_frame_new();
  int callframe11023 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call11024 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe11023);
// compilenode returning call11024
// compilenode returning call11024
  partcv[0] = 0;
  Object call11025 = callmethod(call11024, "kind",
    1, partcv, params);
  gc_frame_end(callframe11022);
// compilenode returning call11025
// compilenode returning call11025
  int op_slot_left_11019 = gc_frame_newslot(call11025);
  params[0] = strlit11020;
  partcv[0] = 1;
  Object opresult11026 = callmethod(call11025, "==", 1, partcv, params);
// compilenode returning opresult11026
  int op_slot_left_11009 = gc_frame_newslot(opresult11026);
  params[0] = opresult11017;
  partcv[0] = 1;
  Object opresult11027 = callmethod(opresult11026, "||", 1, partcv, params);
// compilenode returning opresult11027
  int op_slot_left_10999 = gc_frame_newslot(opresult11027);
  params[0] = opresult11007;
  partcv[0] = 1;
  Object opresult11028 = callmethod(opresult11027, "||", 1, partcv, params);
// compilenode returning opresult11028
  int op_slot_left_10994 = gc_frame_newslot(opresult11028);
  params[0] = call10997;
  partcv[0] = 1;
  Object opresult11029 = callmethod(opresult11028, "&&", 1, partcv, params);
// compilenode returning opresult11029
  Object if10993 = done;
  if (istrue(opresult11029)) {
// Begin line 3330
  setline(3330);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3329
  setline(3329);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11030 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call11031 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe11030);
// compilenode returning call11031
// compilenode returning call11031
  *var_dest = call11031;
  if (call11031 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3330
  setline(3330);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11032 = gc_frame_new();
  partcv[0] = 0;
  Object call11033 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11032);
// compilenode returning call11033
// Begin line 3347
  setline(3347);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3331
  setline(3331);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11035 = gc_frame_new();
  int callframe11036 = gc_frame_new();
  Object block11037 = alloc_Block(NULL, NULL, "parser", 3331);
  gc_frame_newslot(block11037);
  block_savedest(block11037);
  Object closure11038 = createclosure(1, "_apply");
setclosureframe(closure11038, stackframe);
  addtoclosure(closure11038, selfslot);
  struct UserObject *uo11038 = (struct UserObject*)block11037;
  uo11038->data[0] = (Object)closure11038;
  Method *meth_meth_parser__apply11038 = addmethod2pos(block11037, "_apply", &meth_parser__apply11038, 0);
int argcv_meth_parser__apply11038[] = {0};
meth_meth_parser__apply11038->type = alloc_MethodType(1, argcv_meth_parser__apply11038);
  meth_meth_parser__apply11038->definitionModule = modulename;
  meth_meth_parser__apply11038->definitionLine = 3331;
// compilenode returning block11037
  gc_frame_newslot(block11037);
  params[0] = block11037;
  partcv[0] = 1;
  Object call11042 = callmethodflags(self, "didConsume", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11036);
// compilenode returning call11042
  partcv[0] = 0;
  Object call11043 = callmethod(call11042, "not",
    1, partcv, params);
  gc_frame_end(callframe11035);
// compilenode returning call11043
// compilenode returning call11043
  Object if11034 = done;
  if (istrue(call11043)) {
// Begin line 3333
  setline(3333);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3332
  setline(3332);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array11044 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array11044
  *var_suggestions = array11044;
  if (array11044 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3334
  setline(3334);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3333
  setline(3333);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11045 = gc_frame_new();
  int callframe11046 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11047 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11046);
// compilenode returning call11047
// compilenode returning call11047
  partcv[0] = 0;
  Object call11048 = callmethod(call11047, "new",
    1, partcv, params);
  gc_frame_end(callframe11045);
// compilenode returning call11048
// compilenode returning call11048
  *var_suggestion = call11048;
  if (call11048 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3334
  setline(3334);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11049 = gc_frame_new();
  if (strlit11050 == NULL) {
    strlit11050 = alloc_String("rbrace");
    gc_root(strlit11050);
  }
// compilenode returning strlit11050
  gc_frame_newslot(strlit11050);
  params[0] = strlit11050;
  partcv[0] = 1;
  Object call11051 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11049);
// compilenode returning call11051
  *var_nextTok = call11051;
  if (call11051 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3340
  setline(3340);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3335
  setline(3335);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_11053 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_11053 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult11055 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult11055
  Object if11052 = done;
  if (istrue(opresult11055)) {
// Begin line 3336
  setline(3336);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11056 = gc_frame_new();
  if (strlit11057 == NULL) {
    strlit11057 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit11057);
  }
// compilenode returning strlit11057
  gc_frame_newslot(strlit11057);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_suggestion
  params[0] = strlit11057;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11058 = callmethod(*var_suggestion, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe11056);
// compilenode returning call11058
    gc_frame_newslot(call11058);
    if11052 = call11058;
  } else {
// Begin line 3338
  setline(3338);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11059 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe11060 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call11061 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe11060);
// compilenode returning call11061
// compilenode returning call11061
  gc_frame_newslot(call11061);
  Object bool11062 = alloc_Boolean(1);
// compilenode returning bool11062
  gc_frame_newslot(bool11062);
  Object bool11063 = alloc_Boolean(0);
// compilenode returning bool11063
  gc_frame_newslot(bool11063);
  if (strlit11064 == NULL) {
    strlit11064 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit11064);
  }
// compilenode returning strlit11064
  gc_frame_newslot(strlit11064);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call11061;
  params[2] = bool11062;
  params[3] = bool11063;
  params[4] = strlit11064;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call11065 = callmethod(*var_suggestion, "replaceTokenRange()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe11059);
// compilenode returning call11065
    gc_frame_newslot(call11065);
    if11052 = call11065;
  }
// compilenode returning if11052
// Begin line 3340
  setline(3340);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11066 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call11067 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11066);
// compilenode returning call11067
// Begin line 3342
  setline(3342);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3341
  setline(3341);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11068 = gc_frame_new();
  int callframe11069 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11070 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11069);
// compilenode returning call11070
// compilenode returning call11070
  partcv[0] = 0;
  Object call11071 = callmethod(call11070, "new",
    1, partcv, params);
  gc_frame_end(callframe11068);
// compilenode returning call11071
// compilenode returning call11071
  *var_suggestion = call11071;
  if (call11071 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3342
  setline(3342);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11073 = gc_frame_new();
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
  int callframe11074 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call11075 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe11074);
// compilenode returning call11075
// compilenode returning call11075
  gc_frame_newslot(call11075);
  Object bool11076 = alloc_Boolean(1);
// compilenode returning bool11076
  gc_frame_newslot(bool11076);
  Object bool11077 = alloc_Boolean(0);
// compilenode returning bool11077
  gc_frame_newslot(bool11077);
// compilenode returning *var_suggestion
  params[0] = *var_lastToken;
  params[1] = call11075;
  params[2] = bool11076;
  params[3] = bool11077;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call11078 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe11073);
// compilenode returning call11078
// Begin line 3343
  setline(3343);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11079 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call11080 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11079);
// compilenode returning call11080
// Begin line 3344
  setline(3344);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11081 = gc_frame_new();
  if (strlit11082 == NULL) {
    strlit11082 = alloc_String("A valid expression must follow ':='.");
    gc_root(strlit11082);
  }
// compilenode returning strlit11082
  gc_frame_newslot(strlit11082);
// Begin line 3345
  setline(3345);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11083 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11084 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11083);
// compilenode returning call11084
// compilenode returning call11084
  gc_frame_newslot(call11084);
  int callframe11085 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11086 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11085);
// compilenode returning call11086
// compilenode returning call11086
  gc_frame_newslot(call11086);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 3344
  setline(3344);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit11082;
  params[1] = call11084;
  params[2] = call11086;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call11087 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe11081);
// compilenode returning call11087
    gc_frame_newslot(call11087);
    if11034 = call11087;
  } else {
  }
// compilenode returning if11034
// Begin line 3348
  setline(3348);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3347
  setline(3347);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11088 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call11089 = callmethod(*var_values, "pop",
    1, partcv, params);
  gc_frame_end(callframe11088);
// compilenode returning call11089
// compilenode returning call11089
  *var_val = call11089;
  if (call11089 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3348
  setline(3348);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11090 = gc_frame_new();
// compilenode returning *var_dest
  gc_frame_newslot(*var_dest);
// compilenode returning *var_val
  gc_frame_newslot(*var_val);
  int callframe11091 = gc_frame_new();
// compilenode returning *var_ast
  partcv[0] = 0;
  Object call11092 = callmethod(*var_ast, "bindNode",
    1, partcv, params);
  gc_frame_end(callframe11091);
// compilenode returning call11092
// compilenode returning call11092
  params[0] = *var_dest;
  params[1] = *var_val;
  partcv[0] = 2;
  Object call11093 = callmethod(call11092, "new",
    1, partcv, params);
  gc_frame_end(callframe11090);
// compilenode returning call11093
  *var_o = call11093;
  if (call11093 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3349
  setline(3349);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11094 = gc_frame_new();
// compilenode returning *var_o
  gc_frame_newslot(*var_o);
// compilenode returning *var_values
  params[0] = *var_o;
  partcv[0] = 1;
  Object call11095 = callmethod(*var_values, "push",
    1, partcv, params);
  gc_frame_end(callframe11094);
// compilenode returning call11095
    gc_frame_newslot(call11095);
    if10993 = call11095;
  } else {
  }
// compilenode returning if10993
  gc_frame_end(frame);
  return if10993;
}
Object meth_parser_statement10909(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 55, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "statement");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_statementIndent = getfromclosure(closure, 1);
  Object *var_statementToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  Object *var_ast = getfromclosure(closure, 6);
  Object *var_indentFreePass = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for statement (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for statement");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_oldLine = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "oldLine");
// Begin line 3303
  setline(3303);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3302
  setline(3302);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10910 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10911 = callmethod(*var_sym, "indent",
    1, partcv, params);
  gc_frame_end(callframe10910);
// compilenode returning call10911
// compilenode returning call10911
  *var_statementIndent = call10911;
  if (call10911 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3304
  setline(3304);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3303
  setline(3303);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3304
  setline(3304);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10914 = gc_frame_new();
  partcv[0] = 0;
  Object call10915 = callmethodflags(self, "checkIndent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10914);
// compilenode returning call10915
// Begin line 3353
  setline(3353);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3305
  setline(3305);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10917 = gc_frame_new();
  if (strlit10918 == NULL) {
    strlit10918 = alloc_String("keyword");
    gc_root(strlit10918);
  }
// compilenode returning strlit10918
  gc_frame_newslot(strlit10918);
  params[0] = strlit10918;
  partcv[0] = 1;
  Object call10919 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10917);
// compilenode returning call10919
  Object if10916 = done;
  if (istrue(call10919)) {
// Begin line 3323
  setline(3323);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3306
  setline(3306);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10922 == NULL) {
    strlit10922 = alloc_String("var");
    gc_root(strlit10922);
  }
// compilenode returning strlit10922
  int op_slot_right_10921 = gc_frame_newslot(strlit10922);
  int callframe10924 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10925 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10924);
// compilenode returning call10925
// compilenode returning call10925
  int op_slot_left_10921 = gc_frame_newslot(call10925);
  params[0] = strlit10922;
  partcv[0] = 1;
  Object opresult10926 = callmethod(call10925, "==", 1, partcv, params);
// compilenode returning opresult10926
  Object if10920 = done;
  if (istrue(opresult10926)) {
// Begin line 3307
  setline(3307);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10927 = gc_frame_new();
  partcv[0] = 0;
  Object call10928 = callmethodflags(self, "vardec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10927);
// compilenode returning call10928
    gc_frame_newslot(call10928);
    if10920 = call10928;
  } else {
// Begin line 3310
  setline(3310);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3308
  setline(3308);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10931 == NULL) {
    strlit10931 = alloc_String("def");
    gc_root(strlit10931);
  }
// compilenode returning strlit10931
  int op_slot_right_10930 = gc_frame_newslot(strlit10931);
  int callframe10933 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10934 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10933);
// compilenode returning call10934
// compilenode returning call10934
  int op_slot_left_10930 = gc_frame_newslot(call10934);
  params[0] = strlit10931;
  partcv[0] = 1;
  Object opresult10935 = callmethod(call10934, "==", 1, partcv, params);
// compilenode returning opresult10935
  Object if10929 = done;
  if (istrue(opresult10935)) {
// Begin line 3309
  setline(3309);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10936 = gc_frame_new();
  partcv[0] = 0;
  Object call10937 = callmethodflags(self, "defdec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10936);
// compilenode returning call10937
    gc_frame_newslot(call10937);
    if10929 = call10937;
  } else {
// Begin line 3312
  setline(3312);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3310
  setline(3310);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10940 == NULL) {
    strlit10940 = alloc_String("import");
    gc_root(strlit10940);
  }
// compilenode returning strlit10940
  int op_slot_right_10939 = gc_frame_newslot(strlit10940);
  int callframe10942 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10943 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10942);
// compilenode returning call10943
// compilenode returning call10943
  int op_slot_left_10939 = gc_frame_newslot(call10943);
  params[0] = strlit10940;
  partcv[0] = 1;
  Object opresult10944 = callmethod(call10943, "==", 1, partcv, params);
// compilenode returning opresult10944
  Object if10938 = done;
  if (istrue(opresult10944)) {
// Begin line 3311
  setline(3311);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10945 = gc_frame_new();
  partcv[0] = 0;
  Object call10946 = callmethodflags(self, "doimport", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10945);
// compilenode returning call10946
    gc_frame_newslot(call10946);
    if10938 = call10946;
  } else {
// Begin line 3314
  setline(3314);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3312
  setline(3312);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10949 == NULL) {
    strlit10949 = alloc_String("dialect");
    gc_root(strlit10949);
  }
// compilenode returning strlit10949
  int op_slot_right_10948 = gc_frame_newslot(strlit10949);
  int callframe10951 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10952 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10951);
// compilenode returning call10952
// compilenode returning call10952
  int op_slot_left_10948 = gc_frame_newslot(call10952);
  params[0] = strlit10949;
  partcv[0] = 1;
  Object opresult10953 = callmethod(call10952, "==", 1, partcv, params);
// compilenode returning opresult10953
  Object if10947 = done;
  if (istrue(opresult10953)) {
// Begin line 3313
  setline(3313);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10954 = gc_frame_new();
  partcv[0] = 0;
  Object call10955 = callmethodflags(self, "dodialect", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10954);
// compilenode returning call10955
    gc_frame_newslot(call10955);
    if10947 = call10955;
  } else {
// Begin line 3316
  setline(3316);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3314
  setline(3314);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10958 == NULL) {
    strlit10958 = alloc_String("type");
    gc_root(strlit10958);
  }
// compilenode returning strlit10958
  int op_slot_right_10957 = gc_frame_newslot(strlit10958);
  int callframe10960 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10961 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10960);
// compilenode returning call10961
// compilenode returning call10961
  int op_slot_left_10957 = gc_frame_newslot(call10961);
  params[0] = strlit10958;
  partcv[0] = 1;
  Object opresult10962 = callmethod(call10961, "==", 1, partcv, params);
// compilenode returning opresult10962
  Object if10956 = done;
  if (istrue(opresult10962)) {
// Begin line 3315
  setline(3315);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10963 = gc_frame_new();
  partcv[0] = 0;
  Object call10964 = callmethodflags(self, "dotype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10963);
// compilenode returning call10964
    gc_frame_newslot(call10964);
    if10956 = call10964;
  } else {
// Begin line 3318
  setline(3318);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3316
  setline(3316);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10967 == NULL) {
    strlit10967 = alloc_String("class");
    gc_root(strlit10967);
  }
// compilenode returning strlit10967
  int op_slot_right_10966 = gc_frame_newslot(strlit10967);
  int callframe10969 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10970 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10969);
// compilenode returning call10970
// compilenode returning call10970
  int op_slot_left_10966 = gc_frame_newslot(call10970);
  params[0] = strlit10967;
  partcv[0] = 1;
  Object opresult10971 = callmethod(call10970, "==", 1, partcv, params);
// compilenode returning opresult10971
  Object if10965 = done;
  if (istrue(opresult10971)) {
// Begin line 3317
  setline(3317);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10972 = gc_frame_new();
  partcv[0] = 0;
  Object call10973 = callmethodflags(self, "doclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10972);
// compilenode returning call10973
    gc_frame_newslot(call10973);
    if10965 = call10973;
  } else {
// Begin line 3320
  setline(3320);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3318
  setline(3318);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit10976 == NULL) {
    strlit10976 = alloc_String("return");
    gc_root(strlit10976);
  }
// compilenode returning strlit10976
  int op_slot_right_10975 = gc_frame_newslot(strlit10976);
  int callframe10978 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call10979 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe10978);
// compilenode returning call10979
// compilenode returning call10979
  int op_slot_left_10975 = gc_frame_newslot(call10979);
  params[0] = strlit10976;
  partcv[0] = 1;
  Object opresult10980 = callmethod(call10979, "==", 1, partcv, params);
// compilenode returning opresult10980
  Object if10974 = done;
  if (istrue(opresult10980)) {
// Begin line 3319
  setline(3319);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10981 = gc_frame_new();
  partcv[0] = 0;
  Object call10982 = callmethodflags(self, "doreturn", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10981);
// compilenode returning call10982
    gc_frame_newslot(call10982);
    if10974 = call10982;
  } else {
// Begin line 3321
  setline(3321);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10983 = gc_frame_new();
  partcv[0] = 0;
  Object call10984 = callmethodflags(self, "expression", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10983);
// compilenode returning call10984
    gc_frame_newslot(call10984);
    if10974 = call10984;
  }
// compilenode returning if10974
    gc_frame_newslot(if10974);
    if10965 = if10974;
  }
// compilenode returning if10965
    gc_frame_newslot(if10965);
    if10956 = if10965;
  }
// compilenode returning if10956
    gc_frame_newslot(if10956);
    if10947 = if10956;
  }
// compilenode returning if10947
    gc_frame_newslot(if10947);
    if10938 = if10947;
  }
// compilenode returning if10938
    gc_frame_newslot(if10938);
    if10929 = if10938;
  }
// compilenode returning if10929
    gc_frame_newslot(if10929);
    if10920 = if10929;
  }
// compilenode returning if10920
    gc_frame_newslot(if10920);
    if10916 = if10920;
  } else {
// Begin line 3324
  setline(3324);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe10985 = gc_frame_new();
  Object block10986 = alloc_Block(NULL, NULL, "parser", 3324);
  gc_frame_newslot(block10986);
  block_savedest(block10986);
  Object closure10987 = createclosure(1, "_apply");
setclosureframe(closure10987, stackframe);
  addtoclosure(closure10987, selfslot);
  struct UserObject *uo10987 = (struct UserObject*)block10986;
  uo10987->data[0] = (Object)closure10987;
  Method *meth_meth_parser__apply10987 = addmethod2pos(block10986, "_apply", &meth_parser__apply10987, 0);
int argcv_meth_parser__apply10987[] = {0};
meth_meth_parser__apply10987->type = alloc_MethodType(1, argcv_meth_parser__apply10987);
  meth_meth_parser__apply10987->definitionModule = modulename;
  meth_meth_parser__apply10987->definitionLine = 3318;
// compilenode returning block10986
  gc_frame_newslot(block10986);
  Object block10991 = alloc_Block(NULL, NULL, "parser", 3324);
  gc_frame_newslot(block10991);
  block_savedest(block10991);
  Object closure10992 = createclosure(6, "_apply");
setclosureframe(closure10992, stackframe);
  addtoclosure(closure10992, var_values);
  addtoclosure(closure10992, var_errormessages);
  addtoclosure(closure10992, var_sym);
  addtoclosure(closure10992, var_lastToken);
  addtoclosure(closure10992, var_ast);
  addtoclosure(closure10992, selfslot);
  struct UserObject *uo10992 = (struct UserObject*)block10991;
  uo10992->data[0] = (Object)closure10992;
  Method *meth_meth_parser__apply10992 = addmethod2pos(block10991, "_apply", &meth_parser__apply10992, 0);
int argcv_meth_parser__apply10992[] = {0};
meth_meth_parser__apply10992->type = alloc_MethodType(1, argcv_meth_parser__apply10992);
  meth_meth_parser__apply10992->definitionModule = modulename;
  meth_meth_parser__apply10992->definitionLine = 3318;
// compilenode returning block10991
  gc_frame_newslot(block10991);
  params[0] = block10986;
  params[1] = block10991;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11097 = callmethodflags(self, "ifConsume()then", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10985);
// compilenode returning call11097
    gc_frame_newslot(call11097);
    if10916 = call11097;
  }
// compilenode returning if10916
// Begin line 3356
  setline(3356);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3353
  setline(3353);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11099 = gc_frame_new();
  if (strlit11100 == NULL) {
    strlit11100 = alloc_String("eof");
    gc_root(strlit11100);
  }
// compilenode returning strlit11100
  gc_frame_newslot(strlit11100);
  params[0] = strlit11100;
  partcv[0] = 1;
  Object call11101 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11099);
// compilenode returning call11101
  Object if11098 = done;
  if (istrue(call11101)) {
// Begin line 3355
  setline(3355);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3354
  setline(3354);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11102 = alloc_Boolean(1);
// compilenode returning bool11102
  return bool11102;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if11098 = undefined;
  } else {
  }
// compilenode returning if11098
// Begin line 3365
  setline(3365);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3356
  setline(3356);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11104 = gc_frame_new();
  if (strlit11105 == NULL) {
    strlit11105 = alloc_String("semicolon");
    gc_root(strlit11105);
  }
// compilenode returning strlit11105
  gc_frame_newslot(strlit11105);
  params[0] = strlit11105;
  partcv[0] = 1;
  Object call11106 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11104);
// compilenode returning call11106
  Object if11103 = done;
  if (istrue(call11106)) {
// Begin line 3358
  setline(3358);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3357
  setline(3357);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11107 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11108 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11107);
// compilenode returning call11108
// compilenode returning call11108
  *var_oldLine = call11108;
  if (call11108 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3358
  setline(3358);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11109 = gc_frame_new();
  partcv[0] = 0;
  Object call11110 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11109);
// compilenode returning call11110
// Begin line 3362
  setline(3362);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3359
  setline(3359);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_oldLine
  int op_slot_right_11112 = gc_frame_newslot(*var_oldLine);
  int callframe11114 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11115 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11114);
// compilenode returning call11115
// compilenode returning call11115
  int op_slot_left_11112 = gc_frame_newslot(call11115);
  params[0] = *var_oldLine;
  partcv[0] = 1;
  Object opresult11116 = callmethod(call11115, "==", 1, partcv, params);
// compilenode returning opresult11116
  Object if11111 = done;
  if (istrue(opresult11116)) {
// Begin line 3361
  setline(3361);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3360
  setline(3360);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11117 = alloc_Boolean(1);
// compilenode returning bool11117
  *var_indentFreePass = bool11117;
  if (bool11117 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if11111 = done;
  } else {
  }
// compilenode returning if11111
    gc_frame_newslot(if11111);
    if11103 = if11111;
  } else {
// Begin line 3363
  setline(3363);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11119 = gc_frame_new();
  partcv[0] = 0;
  Object call11120 = callmethodflags(self, "checkUnexpectedTokenAfterStatement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11119);
// compilenode returning call11120
    gc_frame_newslot(call11120);
    if11103 = call11120;
  }
// compilenode returning if11103
  gc_frame_end(frame);
  return if11103;
}
Object meth_parser_checkBadOperators11121(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 56, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkBadOperators");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for checkBadOperators (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for checkBadOperators");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sugg = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sugg");
// Begin line 3375
  setline(3375);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3368
  setline(3368);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11124 == NULL) {
    strlit11124 = alloc_String("=");
    gc_root(strlit11124);
  }
// compilenode returning strlit11124
  int op_slot_right_11123 = gc_frame_newslot(strlit11124);
  int callframe11126 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11127 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe11126);
// compilenode returning call11127
// compilenode returning call11127
  int op_slot_left_11123 = gc_frame_newslot(call11127);
  params[0] = strlit11124;
  partcv[0] = 1;
  Object opresult11128 = callmethod(call11127, "==", 1, partcv, params);
// compilenode returning opresult11128
  Object if11122 = done;
  if (istrue(opresult11128)) {
// Begin line 3370
  setline(3370);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3369
  setline(3369);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11129 = gc_frame_new();
  int callframe11130 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11131 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11130);
// compilenode returning call11131
// compilenode returning call11131
  partcv[0] = 0;
  Object call11132 = callmethod(call11131, "new",
    1, partcv, params);
  gc_frame_end(callframe11129);
// compilenode returning call11132
// compilenode returning call11132
  *var_sugg = call11132;
  if (call11132 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3370
  setline(3370);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11133 = gc_frame_new();
  if (strlit11134 == NULL) {
    strlit11134 = alloc_String("=");
    gc_root(strlit11134);
  }
// compilenode returning strlit11134
  gc_frame_newslot(strlit11134);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_sugg
  params[0] = strlit11134;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11135 = callmethod(*var_sugg, "insert()afterToken",
    2, partcv, params);
  gc_frame_end(callframe11133);
// compilenode returning call11135
// Begin line 3371
  setline(3371);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11136 = gc_frame_new();
  if (strlit11137 == NULL) {
    strlit11137 = alloc_String("Use '==' to test equality, not '='.");
    gc_root(strlit11137);
  }
// compilenode returning strlit11137
  gc_frame_newslot(strlit11137);
// Begin line 3372
  setline(3372);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11138 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11139 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11138);
// compilenode returning call11139
// compilenode returning call11139
  gc_frame_newslot(call11139);
  int callframe11140 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11141 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11140);
// compilenode returning call11141
// compilenode returning call11141
  gc_frame_newslot(call11141);
  int callframe11142 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11143 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11142);
// compilenode returning call11143
// compilenode returning call11143
  gc_frame_newslot(call11143);
// Begin line 3373
  setline(3373);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sugg
  gc_frame_newslot(*var_sugg);
// Begin line 3371
  setline(3371);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit11137;
  params[1] = call11139;
  params[2] = call11141;
  params[3] = call11143;
  params[4] = *var_sugg;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11144 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe11136);
// compilenode returning call11144
    gc_frame_newslot(call11144);
    if11122 = call11144;
  } else {
  }
// compilenode returning if11122
// Begin line 3382
  setline(3382);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3375
  setline(3375);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11147 == NULL) {
    strlit11147 = alloc_String("rgeneric");
    gc_root(strlit11147);
  }
// compilenode returning strlit11147
  int op_slot_right_11146 = gc_frame_newslot(strlit11147);
  int callframe11149 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11150 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe11149);
// compilenode returning call11150
// compilenode returning call11150
  int op_slot_left_11146 = gc_frame_newslot(call11150);
  params[0] = strlit11147;
  partcv[0] = 1;
  Object opresult11151 = callmethod(call11150, "==", 1, partcv, params);
// compilenode returning opresult11151
  Object if11145 = done;
  if (istrue(opresult11151)) {
// Begin line 3377
  setline(3377);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3376
  setline(3376);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11152 = gc_frame_new();
  int callframe11153 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11154 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11153);
// compilenode returning call11154
// compilenode returning call11154
  partcv[0] = 0;
  Object call11155 = callmethod(call11154, "new",
    1, partcv, params);
  gc_frame_end(callframe11152);
// compilenode returning call11155
// compilenode returning call11155
  *var_sugg = call11155;
  if (call11155 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3377
  setline(3377);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11156 = gc_frame_new();
  if (strlit11157 == NULL) {
    strlit11157 = alloc_String(" ");
    gc_root(strlit11157);
  }
// compilenode returning strlit11157
  gc_frame_newslot(strlit11157);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_sugg
  params[0] = strlit11157;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11158 = callmethod(*var_sugg, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe11156);
// compilenode returning call11158
// Begin line 3378
  setline(3378);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11159 = gc_frame_new();
  if (strlit11160 == NULL) {
    strlit11160 = alloc_String("The '>' operator requires a space before it.");
    gc_root(strlit11160);
  }
// compilenode returning strlit11160
  gc_frame_newslot(strlit11160);
// Begin line 3379
  setline(3379);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11161 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11162 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11161);
// compilenode returning call11162
// compilenode returning call11162
  gc_frame_newslot(call11162);
  int callframe11163 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11164 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11163);
// compilenode returning call11164
// compilenode returning call11164
  gc_frame_newslot(call11164);
  int callframe11165 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11166 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11165);
// compilenode returning call11166
// compilenode returning call11166
  gc_frame_newslot(call11166);
// Begin line 3380
  setline(3380);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sugg
  gc_frame_newslot(*var_sugg);
// Begin line 3378
  setline(3378);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit11160;
  params[1] = call11162;
  params[2] = call11164;
  params[3] = call11166;
  params[4] = *var_sugg;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11167 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe11159);
// compilenode returning call11167
    gc_frame_newslot(call11167);
    if11145 = call11167;
  } else {
  }
// compilenode returning if11145
  gc_frame_end(frame);
  return if11145;
}
Object meth_parser_checkBadAnonymousType11168(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 57, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkBadAnonymousType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for checkBadAnonymousType (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for checkBadAnonymousType");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sugg = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sugg");
// Begin line 3392
  setline(3392);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3385
  setline(3385);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11171 == NULL) {
    strlit11171 = alloc_String("lbrace");
    gc_root(strlit11171);
  }
// compilenode returning strlit11171
  int op_slot_right_11170 = gc_frame_newslot(strlit11171);
  int callframe11173 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11174 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe11173);
// compilenode returning call11174
// compilenode returning call11174
  int op_slot_left_11170 = gc_frame_newslot(call11174);
  params[0] = strlit11171;
  partcv[0] = 1;
  Object opresult11175 = callmethod(call11174, "==", 1, partcv, params);
// compilenode returning opresult11175
  Object if11169 = done;
  if (istrue(opresult11175)) {
// Begin line 3387
  setline(3387);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3386
  setline(3386);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11176 = gc_frame_new();
  int callframe11177 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11178 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11177);
// compilenode returning call11178
// compilenode returning call11178
  partcv[0] = 0;
  Object call11179 = callmethod(call11178, "new",
    1, partcv, params);
  gc_frame_end(callframe11176);
// compilenode returning call11179
// compilenode returning call11179
  *var_sugg = call11179;
  if (call11179 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3387
  setline(3387);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11180 = gc_frame_new();
  if (strlit11181 == NULL) {
    strlit11181 = alloc_String("type ");
    gc_root(strlit11181);
  }
// compilenode returning strlit11181
  gc_frame_newslot(strlit11181);
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_sugg
  params[0] = strlit11181;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11182 = callmethod(*var_sugg, "insert()beforeToken",
    2, partcv, params);
  gc_frame_end(callframe11180);
// compilenode returning call11182
// Begin line 3388
  setline(3388);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11183 = gc_frame_new();
  if (strlit11184 == NULL) {
    strlit11184 = alloc_String("Anonymous type literals must be written with the 'type' keyword'.");
    gc_root(strlit11184);
  }
// compilenode returning strlit11184
  gc_frame_newslot(strlit11184);
// Begin line 3389
  setline(3389);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11185 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11186 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11185);
// compilenode returning call11186
// compilenode returning call11186
  gc_frame_newslot(call11186);
  int callframe11187 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11188 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11187);
// compilenode returning call11188
// compilenode returning call11188
  gc_frame_newslot(call11188);
  int callframe11189 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11190 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11189);
// compilenode returning call11190
// compilenode returning call11190
  gc_frame_newslot(call11190);
// Begin line 3390
  setline(3390);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sugg
  gc_frame_newslot(*var_sugg);
// Begin line 3388
  setline(3388);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit11184;
  params[1] = call11186;
  params[2] = call11188;
  params[3] = call11190;
  params[4] = *var_sugg;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11191 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe11183);
// compilenode returning call11191
    gc_frame_newslot(call11191);
    if11169 = call11191;
  } else {
  }
// compilenode returning if11169
  gc_frame_end(frame);
  return if11169;
}
Object meth_parser__apply11299(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3425
  setline(3425);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3424
  setline(3424);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11301 == NULL) {
    strlit11301 = alloc_String("identifier");
    gc_root(strlit11301);
  }
// compilenode returning strlit11301
  int op_slot_right_11300 = gc_frame_newslot(strlit11301);
  int callframe11303 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11304 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe11303);
// compilenode returning call11304
// compilenode returning call11304
  int op_slot_left_11300 = gc_frame_newslot(call11304);
  params[0] = strlit11301;
  partcv[0] = 1;
  Object opresult11305 = callmethod(call11304, "==", 1, partcv, params);
// compilenode returning opresult11305
  gc_frame_end(frame);
  return opresult11305;
}
Object meth_parser__apply11309(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3423
  setline(3423);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3422
  setline(3422);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11311 == NULL) {
    strlit11311 = alloc_String("member");
    gc_root(strlit11311);
  }
// compilenode returning strlit11311
  int op_slot_right_11310 = gc_frame_newslot(strlit11311);
  int callframe11313 = gc_frame_new();
  int callframe11314 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call11315 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe11314);
// compilenode returning call11315
// compilenode returning call11315
  partcv[0] = 0;
  Object call11316 = callmethod(call11315, "kind",
    1, partcv, params);
  gc_frame_end(callframe11313);
// compilenode returning call11316
// compilenode returning call11316
  int op_slot_left_11310 = gc_frame_newslot(call11316);
  params[0] = strlit11311;
  partcv[0] = 1;
  Object opresult11317 = callmethod(call11316, "==", 1, partcv, params);
// compilenode returning opresult11317
  gc_frame_end(frame);
  return opresult11317;
}
Object meth_parser__apply11296(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3423
  setline(3423);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11297 = gc_frame_new();
  Object block11298 = alloc_Block(NULL, NULL, "parser", 3423);
  gc_frame_newslot(block11298);
  block_savedest(block11298);
  Object closure11299 = createclosure(2, "_apply");
setclosureframe(closure11299, stackframe);
  addtoclosure(closure11299, var_sym);
  addtoclosure(closure11299, selfslot);
  struct UserObject *uo11299 = (struct UserObject*)block11298;
  uo11299->data[0] = (Object)closure11299;
  Method *meth_meth_parser__apply11299 = addmethod2pos(block11298, "_apply", &meth_parser__apply11299, 0);
int argcv_meth_parser__apply11299[] = {0};
meth_meth_parser__apply11299->type = alloc_MethodType(1, argcv_meth_parser__apply11299);
  meth_meth_parser__apply11299->definitionModule = modulename;
  meth_meth_parser__apply11299->definitionLine = 3417;
// compilenode returning block11298
  gc_frame_newslot(block11298);
// Begin line 3421
  setline(3421);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11307 = gc_frame_new();
  Object block11308 = alloc_Block(NULL, NULL, "parser", 3421);
  gc_frame_newslot(block11308);
  block_savedest(block11308);
  Object closure11309 = createclosure(2, "_apply");
setclosureframe(closure11309, stackframe);
  addtoclosure(closure11309, var_values);
  addtoclosure(closure11309, selfslot);
  struct UserObject *uo11309 = (struct UserObject*)block11308;
  uo11309->data[0] = (Object)closure11309;
  Method *meth_meth_parser__apply11309 = addmethod2pos(block11308, "_apply", &meth_parser__apply11309, 0);
int argcv_meth_parser__apply11309[] = {0};
meth_meth_parser__apply11309->type = alloc_MethodType(1, argcv_meth_parser__apply11309);
  meth_meth_parser__apply11309->definitionModule = modulename;
  meth_meth_parser__apply11309->definitionLine = 3424;
// compilenode returning block11308
  gc_frame_newslot(block11308);
// Begin line 3421
  setline(3421);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11320 == NULL) {
    strlit11320 = alloc_String("identifier");
    gc_root(strlit11320);
  }
// compilenode returning strlit11320
  int op_slot_right_11319 = gc_frame_newslot(strlit11320);
  int callframe11322 = gc_frame_new();
  int callframe11323 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call11324 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe11323);
// compilenode returning call11324
// compilenode returning call11324
  partcv[0] = 0;
  Object call11325 = callmethod(call11324, "kind",
    1, partcv, params);
  gc_frame_end(callframe11322);
// compilenode returning call11325
// compilenode returning call11325
  int op_slot_left_11319 = gc_frame_newslot(call11325);
  params[0] = strlit11320;
  partcv[0] = 1;
  Object opresult11326 = callmethod(call11325, "==", 1, partcv, params);
// compilenode returning opresult11326
  params[0] = block11308;
  partcv[0] = 1;
  Object call11327 = callmethod(opresult11326, "orElse",
    1, partcv, params);
  gc_frame_end(callframe11307);
// compilenode returning call11327
  params[0] = block11298;
  partcv[0] = 1;
  Object call11328 = callmethod(call11327, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe11297);
// compilenode returning call11328
  gc_frame_end(frame);
  return call11328;
}
Object meth_parser_checkUnexpectedTokenAfterStatement11192(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 58, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(10, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkUnexpectedTokenAfterStatement");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_util = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for checkUnexpectedTokenAfterStatement (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for checkUnexpectedTokenAfterStatement");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sugg = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sugg");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_sugg2 = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "sugg2");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_n = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "n");
  Object *var_nextTok = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "nextTok");
  Object *var_newLine = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "newLine");
// Begin line 3461
  setline(3461);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3395
  setline(3395);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11195 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call11196 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe11195);
// compilenode returning call11196
// compilenode returning call11196
  int op_slot_right_11194 = gc_frame_newslot(call11196);
  int callframe11198 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11199 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11198);
// compilenode returning call11199
// compilenode returning call11199
  int op_slot_left_11194 = gc_frame_newslot(call11199);
  params[0] = call11196;
  partcv[0] = 1;
  Object opresult11200 = callmethod(call11199, "==", 1, partcv, params);
// compilenode returning opresult11200
  Object if11193 = done;
  if (istrue(opresult11200)) {
// Begin line 3409
  setline(3409);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3397
  setline(3397);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11204 == NULL) {
    strlit11204 = alloc_String("identifier");
    gc_root(strlit11204);
  }
// compilenode returning strlit11204
  int op_slot_right_11203 = gc_frame_newslot(strlit11204);
  int callframe11206 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call11207 = callmethod(*var_lastToken, "kind",
    1, partcv, params);
  gc_frame_end(callframe11206);
// compilenode returning call11207
// compilenode returning call11207
  int op_slot_left_11203 = gc_frame_newslot(call11207);
  params[0] = strlit11204;
  partcv[0] = 1;
  Object opresult11208 = callmethod(call11207, "==", 1, partcv, params);
// compilenode returning opresult11208
  int op_slot_right_11202 = gc_frame_newslot(opresult11208);
// Begin line 3396
  setline(3396);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11212 == NULL) {
    strlit11212 = alloc_String("=");
    gc_root(strlit11212);
  }
// compilenode returning strlit11212
  int op_slot_right_11211 = gc_frame_newslot(strlit11212);
  int callframe11214 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11215 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe11214);
// compilenode returning call11215
// compilenode returning call11215
  int op_slot_left_11211 = gc_frame_newslot(call11215);
  params[0] = strlit11212;
  partcv[0] = 1;
  Object opresult11216 = callmethod(call11215, "==", 1, partcv, params);
// compilenode returning opresult11216
  int op_slot_right_11210 = gc_frame_newslot(opresult11216);
  if (strlit11219 == NULL) {
    strlit11219 = alloc_String("op");
    gc_root(strlit11219);
  }
// compilenode returning strlit11219
  int op_slot_right_11218 = gc_frame_newslot(strlit11219);
  int callframe11221 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11222 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe11221);
// compilenode returning call11222
// compilenode returning call11222
  int op_slot_left_11218 = gc_frame_newslot(call11222);
  params[0] = strlit11219;
  partcv[0] = 1;
  Object opresult11223 = callmethod(call11222, "==", 1, partcv, params);
// compilenode returning opresult11223
  int op_slot_left_11210 = gc_frame_newslot(opresult11223);
  params[0] = opresult11216;
  partcv[0] = 1;
  Object opresult11224 = callmethod(opresult11223, "&&", 1, partcv, params);
// compilenode returning opresult11224
  int op_slot_left_11202 = gc_frame_newslot(opresult11224);
  params[0] = opresult11208;
  partcv[0] = 1;
  Object opresult11225 = callmethod(opresult11224, "&&", 1, partcv, params);
// compilenode returning opresult11225
  Object if11201 = done;
  if (istrue(opresult11225)) {
// Begin line 3399
  setline(3399);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3398
  setline(3398);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11226 = gc_frame_new();
  int callframe11227 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11228 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11227);
// compilenode returning call11228
// compilenode returning call11228
  partcv[0] = 0;
  Object call11229 = callmethod(call11228, "new",
    1, partcv, params);
  gc_frame_end(callframe11226);
// compilenode returning call11229
// compilenode returning call11229
  *var_sugg = call11229;
  if (call11229 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3400
  setline(3400);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3399
  setline(3399);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array11230 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array11230
  *var_suggestions = array11230;
  if (array11230 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3400
  setline(3400);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11231 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool11232 = alloc_Boolean(0);
// compilenode returning bool11232
  gc_frame_newslot(bool11232);
  Object bool11233 = alloc_Boolean(0);
// compilenode returning bool11233
  gc_frame_newslot(bool11233);
  if (strlit11234 == NULL) {
    strlit11234 = alloc_String(":=");
    gc_root(strlit11234);
  }
// compilenode returning strlit11234
  gc_frame_newslot(strlit11234);
// compilenode returning *var_sugg
  params[0] = *var_sym;
  params[1] = bool11232;
  params[2] = bool11233;
  params[3] = strlit11234;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call11235 = callmethod(*var_sugg, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe11231);
// compilenode returning call11235
// Begin line 3401
  setline(3401);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11236 = gc_frame_new();
// compilenode returning *var_sugg
  gc_frame_newslot(*var_sugg);
// compilenode returning *var_suggestions
  params[0] = *var_sugg;
  partcv[0] = 1;
  Object call11237 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11236);
// compilenode returning call11237
// Begin line 3403
  setline(3403);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3402
  setline(3402);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11238 = gc_frame_new();
  int callframe11239 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11240 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11239);
// compilenode returning call11240
// compilenode returning call11240
  partcv[0] = 0;
  Object call11241 = callmethod(call11240, "new",
    1, partcv, params);
  gc_frame_end(callframe11238);
// compilenode returning call11241
// compilenode returning call11241
  *var_sugg2 = call11241;
  if (call11241 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3403
  setline(3403);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11242 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool11243 = alloc_Boolean(0);
// compilenode returning bool11243
  gc_frame_newslot(bool11243);
  Object bool11244 = alloc_Boolean(0);
// compilenode returning bool11244
  gc_frame_newslot(bool11244);
  if (strlit11245 == NULL) {
    strlit11245 = alloc_String("==");
    gc_root(strlit11245);
  }
// compilenode returning strlit11245
  gc_frame_newslot(strlit11245);
// compilenode returning *var_sugg2
  params[0] = *var_sym;
  params[1] = bool11243;
  params[2] = bool11244;
  params[3] = strlit11245;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call11246 = callmethod(*var_sugg2, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe11242);
// compilenode returning call11246
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11247 = gc_frame_new();
// compilenode returning *var_sugg2
  gc_frame_newslot(*var_sugg2);
// compilenode returning *var_suggestions
  params[0] = *var_sugg2;
  partcv[0] = 1;
  Object call11248 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11247);
// compilenode returning call11248
// Begin line 3405
  setline(3405);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11249 = gc_frame_new();
  if (strlit11250 == NULL) {
    strlit11250 = alloc_String("Assignment uses ':=', not '='.");
    gc_root(strlit11250);
  }
// compilenode returning strlit11250
  gc_frame_newslot(strlit11250);
// Begin line 3406
  setline(3406);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11251 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11252 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11251);
// compilenode returning call11252
// compilenode returning call11252
  gc_frame_newslot(call11252);
  int callframe11253 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11254 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11253);
// compilenode returning call11254
// compilenode returning call11254
  gc_frame_newslot(call11254);
  int callframe11255 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11256 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11255);
// compilenode returning call11256
// compilenode returning call11256
  gc_frame_newslot(call11256);
// Begin line 3407
  setline(3407);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 3405
  setline(3405);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit11250;
  params[1] = call11252;
  params[2] = call11254;
  params[3] = call11256;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11257 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe11249);
// compilenode returning call11257
    gc_frame_newslot(call11257);
    if11201 = call11257;
  } else {
  }
// compilenode returning if11201
// Begin line 3417
  setline(3417);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3409
  setline(3409);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11260 == NULL) {
    strlit11260 = alloc_String("rgeneric");
    gc_root(strlit11260);
  }
// compilenode returning strlit11260
  int op_slot_right_11259 = gc_frame_newslot(strlit11260);
  int callframe11262 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11263 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe11262);
// compilenode returning call11263
// compilenode returning call11263
  int op_slot_left_11259 = gc_frame_newslot(call11263);
  params[0] = strlit11260;
  partcv[0] = 1;
  Object opresult11264 = callmethod(call11263, "==", 1, partcv, params);
// compilenode returning opresult11264
  Object if11258 = done;
  if (istrue(opresult11264)) {
// Begin line 3411
  setline(3411);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3410
  setline(3410);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11265 = gc_frame_new();
  int callframe11266 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11267 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11266);
// compilenode returning call11267
// compilenode returning call11267
  partcv[0] = 0;
  Object call11268 = callmethod(call11267, "new",
    1, partcv, params);
  gc_frame_end(callframe11265);
// compilenode returning call11268
// compilenode returning call11268
  *var_sugg = call11268;
  if (call11268 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3411
  setline(3411);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11269 = gc_frame_new();
  if (strlit11270 == NULL) {
    strlit11270 = alloc_String(" ");
    gc_root(strlit11270);
  }
// compilenode returning strlit11270
  gc_frame_newslot(strlit11270);
  int callframe11271 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11272 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11271);
// compilenode returning call11272
// compilenode returning call11272
  gc_frame_newslot(call11272);
  int callframe11273 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11274 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11273);
// compilenode returning call11274
// compilenode returning call11274
  gc_frame_newslot(call11274);
// compilenode returning *var_sugg
  params[0] = strlit11270;
  params[1] = call11272;
  params[2] = call11274;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call11275 = callmethod(*var_sugg, "insert()atPosition()onLine",
    3, partcv, params);
  gc_frame_end(callframe11269);
// compilenode returning call11275
// Begin line 3412
  setline(3412);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11276 = gc_frame_new();
// Begin line 3413
  setline(3413);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11277 == NULL) {
    strlit11277 = alloc_String("The '>' operator must have a space before it.");
    gc_root(strlit11277);
  }
// compilenode returning strlit11277
  gc_frame_newslot(strlit11277);
// Begin line 3414
  setline(3414);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11278 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11279 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11278);
// compilenode returning call11279
// compilenode returning call11279
  gc_frame_newslot(call11279);
  int callframe11280 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11281 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11280);
// compilenode returning call11281
// compilenode returning call11281
  gc_frame_newslot(call11281);
  int callframe11282 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11283 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11282);
// compilenode returning call11283
// compilenode returning call11283
  gc_frame_newslot(call11283);
// Begin line 3415
  setline(3415);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sugg
  gc_frame_newslot(*var_sugg);
// Begin line 3412
  setline(3412);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit11277;
  params[1] = call11279;
  params[2] = call11281;
  params[3] = call11283;
  params[4] = *var_sugg;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11284 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe11276);
// compilenode returning call11284
    gc_frame_newslot(call11284);
    if11258 = call11284;
  } else {
  }
// compilenode returning if11258
// Begin line 3460
  setline(3460);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3417
  setline(3417);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11287 == NULL) {
    strlit11287 = alloc_String("rbrace");
    gc_root(strlit11287);
  }
// compilenode returning strlit11287
  int op_slot_right_11286 = gc_frame_newslot(strlit11287);
  int callframe11289 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11290 = callmethod(*var_sym, "kind",
    1, partcv, params);
  gc_frame_end(callframe11289);
// compilenode returning call11290
// compilenode returning call11290
  int op_slot_left_11286 = gc_frame_newslot(call11290);
  params[0] = strlit11287;
  partcv[0] = 1;
  Object opresult11291 = callmethod(call11290, "!=", 1, partcv, params);
// compilenode returning opresult11291
  Object if11285 = done;
  if (istrue(opresult11291)) {
// Begin line 3419
  setline(3419);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3418
  setline(3418);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array11292 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array11292
  *var_suggestions = array11292;
  if (array11292 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3420
  setline(3420);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_suggestion = undefined;
// compilenode returning done
// Begin line 3445
  setline(3445);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3420
  setline(3420);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11294 = gc_frame_new();
  Object block11295 = alloc_Block(NULL, NULL, "parser", 3420);
  gc_frame_newslot(block11295);
  block_savedest(block11295);
  Object closure11296 = createclosure(3, "_apply");
setclosureframe(closure11296, stackframe);
  addtoclosure(closure11296, var_sym);
  addtoclosure(closure11296, var_values);
  addtoclosure(closure11296, selfslot);
  struct UserObject *uo11296 = (struct UserObject*)block11295;
  uo11296->data[0] = (Object)closure11296;
  Method *meth_meth_parser__apply11296 = addmethod2pos(block11295, "_apply", &meth_parser__apply11296, 0);
int argcv_meth_parser__apply11296[] = {0};
meth_meth_parser__apply11296->type = alloc_MethodType(1, argcv_meth_parser__apply11296);
  meth_meth_parser__apply11296->definitionModule = modulename;
  meth_meth_parser__apply11296->definitionLine = 3417;
// compilenode returning block11295
  gc_frame_newslot(block11295);
// Begin line 3420
  setline(3420);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11331 = alloc_Float64(0);
// compilenode returning num11331
  int op_slot_right_11330 = gc_frame_newslot(num11331);
  int callframe11333 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call11334 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe11333);
// compilenode returning call11334
// compilenode returning call11334
  int op_slot_left_11330 = gc_frame_newslot(call11334);
  params[0] = num11331;
  partcv[0] = 1;
  Object opresult11335 = callmethod(call11334, ">", 1, partcv, params);
// compilenode returning opresult11335
  params[0] = block11295;
  partcv[0] = 1;
  Object call11336 = callmethod(opresult11335, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe11294);
// compilenode returning call11336
  Object if11293 = done;
  if (istrue(call11336)) {
// Begin line 3428
  setline(3428);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3427
  setline(3427);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11337 = gc_frame_new();
  int callframe11338 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11339 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11338);
// compilenode returning call11339
// compilenode returning call11339
  partcv[0] = 0;
  Object call11340 = callmethod(call11339, "new",
    1, partcv, params);
  gc_frame_end(callframe11337);
// compilenode returning call11340
// compilenode returning call11340
  *var_suggestion = call11340;
  if (call11340 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3428
  setline(3428);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11342 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool11343 = alloc_Boolean(1);
// compilenode returning bool11343
  gc_frame_newslot(bool11343);
  Object bool11344 = alloc_Boolean(0);
// compilenode returning bool11344
  gc_frame_newslot(bool11344);
  if (strlit11346 == NULL) {
    strlit11346 = alloc_String(")");
    gc_root(strlit11346);
  }
// compilenode returning strlit11346
  int op_slot_right_11345 = gc_frame_newslot(strlit11346);
  int callframe11349 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11350 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe11349);
// compilenode returning call11350
// compilenode returning call11350
  int op_slot_right_11348 = gc_frame_newslot(call11350);
  if (strlit11352 == NULL) {
    strlit11352 = alloc_String("(");
    gc_root(strlit11352);
  }
// compilenode returning strlit11352
  int op_slot_left_11348 = gc_frame_newslot(strlit11352);
  params[0] = call11350;
  partcv[0] = 1;
  Object opresult11353 = callmethod(strlit11352, "++", 1, partcv, params);
// compilenode returning opresult11353
  int op_slot_left_11345 = gc_frame_newslot(opresult11353);
  params[0] = strlit11346;
  partcv[0] = 1;
  Object opresult11354 = callmethod(opresult11353, "++", 1, partcv, params);
// compilenode returning opresult11354
  gc_frame_newslot(opresult11354);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool11343;
  params[2] = bool11344;
  params[3] = opresult11354;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call11355 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe11342);
// compilenode returning call11355
// Begin line 3429
  setline(3429);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11356 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call11357 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11356);
// compilenode returning call11357
// Begin line 3439
  setline(3439);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3430
  setline(3430);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11360 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11361 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe11360);
// compilenode returning call11361
// compilenode returning call11361
  int op_slot_right_11359 = gc_frame_newslot(call11361);
  Object bool11363 = alloc_Boolean(0);
// compilenode returning bool11363
  int op_slot_left_11359 = gc_frame_newslot(bool11363);
  params[0] = call11361;
  partcv[0] = 1;
  Object opresult11364 = callmethod(bool11363, "!=", 1, partcv, params);
// compilenode returning opresult11364
  Object if11358 = done;
  if (istrue(opresult11364)) {
// Begin line 3432
  setline(3432);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3431
  setline(3431);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11365 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11366 = callmethod(*var_sym, "next",
    1, partcv, params);
  gc_frame_end(callframe11365);
// compilenode returning call11366
// compilenode returning call11366
  *var_n = call11366;
  if (call11366 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3438
  setline(3438);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3432
  setline(3432);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11369 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11370 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11369);
// compilenode returning call11370
// compilenode returning call11370
  int op_slot_right_11368 = gc_frame_newslot(call11370);
  int callframe11372 = gc_frame_new();
// compilenode returning *var_n
  partcv[0] = 0;
  Object call11373 = callmethod(*var_n, "line",
    1, partcv, params);
  gc_frame_end(callframe11372);
// compilenode returning call11373
// compilenode returning call11373
  int op_slot_left_11368 = gc_frame_newslot(call11373);
  params[0] = call11370;
  partcv[0] = 1;
  Object opresult11374 = callmethod(call11373, "==", 1, partcv, params);
// compilenode returning opresult11374
  Object if11367 = done;
  if (istrue(opresult11374)) {
// Begin line 3434
  setline(3434);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3433
  setline(3433);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11375 = gc_frame_new();
  int callframe11376 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11377 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11376);
// compilenode returning call11377
// compilenode returning call11377
  partcv[0] = 0;
  Object call11378 = callmethod(call11377, "new",
    1, partcv, params);
  gc_frame_end(callframe11375);
// compilenode returning call11378
// compilenode returning call11378
  *var_suggestion = call11378;
  if (call11378 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3434
  setline(3434);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11380 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool11381 = alloc_Boolean(1);
// compilenode returning bool11381
  gc_frame_newslot(bool11381);
  Object bool11382 = alloc_Boolean(0);
// compilenode returning bool11382
  gc_frame_newslot(bool11382);
  if (strlit11384 == NULL) {
    strlit11384 = alloc_String("");
    gc_root(strlit11384);
  }
// compilenode returning strlit11384
  int op_slot_right_11383 = gc_frame_newslot(strlit11384);
  int callframe11387 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11388 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe11387);
// compilenode returning call11388
// compilenode returning call11388
  int op_slot_right_11386 = gc_frame_newslot(call11388);
  if (strlit11390 == NULL) {
    strlit11390 = alloc_String("(");
    gc_root(strlit11390);
  }
// compilenode returning strlit11390
  int op_slot_left_11386 = gc_frame_newslot(strlit11390);
  params[0] = call11388;
  partcv[0] = 1;
  Object opresult11391 = callmethod(strlit11390, "++", 1, partcv, params);
// compilenode returning opresult11391
  int op_slot_left_11383 = gc_frame_newslot(opresult11391);
  params[0] = strlit11384;
  partcv[0] = 1;
  Object opresult11392 = callmethod(opresult11391, "++", 1, partcv, params);
// compilenode returning opresult11392
  gc_frame_newslot(opresult11392);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool11381;
  params[2] = bool11382;
  params[3] = opresult11392;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call11393 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe11380);
// compilenode returning call11393
// Begin line 3435
  setline(3435);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11394 = gc_frame_new();
  if (strlit11395 == NULL) {
    strlit11395 = alloc_String(")");
    gc_root(strlit11395);
  }
// compilenode returning strlit11395
  gc_frame_newslot(strlit11395);
  int callframe11396 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11397 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11396);
// compilenode returning call11397
// compilenode returning call11397
  gc_frame_newslot(call11397);
// compilenode returning *var_suggestion
  params[0] = strlit11395;
  params[1] = call11397;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11398 = callmethod(*var_suggestion, "append()onLine",
    2, partcv, params);
  gc_frame_end(callframe11394);
// compilenode returning call11398
// Begin line 3436
  setline(3436);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11399 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call11400 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11399);
// compilenode returning call11400
    gc_frame_newslot(call11400);
    if11367 = call11400;
  } else {
  }
// compilenode returning if11367
    gc_frame_newslot(if11367);
    if11358 = if11367;
  } else {
  }
// compilenode returning if11358
// Begin line 3444
  setline(3444);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3439
  setline(3439);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11403 == NULL) {
    strlit11403 = alloc_String("identifier");
    gc_root(strlit11403);
  }
// compilenode returning strlit11403
  int op_slot_right_11402 = gc_frame_newslot(strlit11403);
  int callframe11405 = gc_frame_new();
  int callframe11406 = gc_frame_new();
// compilenode returning *var_values
  partcv[0] = 0;
  Object call11407 = callmethod(*var_values, "last",
    1, partcv, params);
  gc_frame_end(callframe11406);
// compilenode returning call11407
// compilenode returning call11407
  partcv[0] = 0;
  Object call11408 = callmethod(call11407, "kind",
    1, partcv, params);
  gc_frame_end(callframe11405);
// compilenode returning call11408
// compilenode returning call11408
  int op_slot_left_11402 = gc_frame_newslot(call11408);
  params[0] = strlit11403;
  partcv[0] = 1;
  Object opresult11409 = callmethod(call11408, "==", 1, partcv, params);
// compilenode returning opresult11409
  Object if11401 = done;
  if (istrue(opresult11409)) {
// Begin line 3441
  setline(3441);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3440
  setline(3440);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11410 = gc_frame_new();
  int callframe11411 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11412 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11411);
// compilenode returning call11412
// compilenode returning call11412
  partcv[0] = 0;
  Object call11413 = callmethod(call11412, "new",
    1, partcv, params);
  gc_frame_end(callframe11410);
// compilenode returning call11413
// compilenode returning call11413
  *var_suggestion = call11413;
  if (call11413 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3441
  setline(3441);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11415 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  Object bool11416 = alloc_Boolean(0);
// compilenode returning bool11416
  gc_frame_newslot(bool11416);
  Object bool11417 = alloc_Boolean(0);
// compilenode returning bool11417
  gc_frame_newslot(bool11417);
  if (strlit11419 == NULL) {
    strlit11419 = alloc_String("""\x22""");
    gc_root(strlit11419);
  }
// compilenode returning strlit11419
  int op_slot_right_11418 = gc_frame_newslot(strlit11419);
  int callframe11422 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11423 = callmethod(*var_sym, "value",
    1, partcv, params);
  gc_frame_end(callframe11422);
// compilenode returning call11423
// compilenode returning call11423
  int op_slot_right_11421 = gc_frame_newslot(call11423);
  if (strlit11425 == NULL) {
    strlit11425 = alloc_String("""\x22""");
    gc_root(strlit11425);
  }
// compilenode returning strlit11425
  int op_slot_left_11421 = gc_frame_newslot(strlit11425);
  params[0] = call11423;
  partcv[0] = 1;
  Object opresult11426 = callmethod(strlit11425, "++", 1, partcv, params);
// compilenode returning opresult11426
  int op_slot_left_11418 = gc_frame_newslot(opresult11426);
  params[0] = strlit11419;
  partcv[0] = 1;
  Object opresult11427 = callmethod(opresult11426, "++", 1, partcv, params);
// compilenode returning opresult11427
  gc_frame_newslot(opresult11427);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = bool11416;
  params[2] = bool11417;
  params[3] = opresult11427;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call11428 = callmethod(*var_suggestion, "replaceToken()leading()trailing()with",
    4, partcv, params);
  gc_frame_end(callframe11415);
// compilenode returning call11428
// Begin line 3442
  setline(3442);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11429 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call11430 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11429);
// compilenode returning call11430
    gc_frame_newslot(call11430);
    if11401 = call11430;
  } else {
  }
// compilenode returning if11401
    gc_frame_newslot(if11401);
    if11293 = if11401;
  } else {
  }
// compilenode returning if11293
// Begin line 3445
  setline(3445);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11431 = gc_frame_new();
  if (strlit11432 == NULL) {
    strlit11432 = alloc_String("rbrace");
    gc_root(strlit11432);
  }
// compilenode returning strlit11432
  gc_frame_newslot(strlit11432);
  params[0] = strlit11432;
  partcv[0] = 1;
  Object call11433 = callmethodflags(self, "findNextValidToken", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11431);
// compilenode returning call11433
  *var_nextTok = call11433;
  if (call11433 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3457
  setline(3457);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3446
  setline(3446);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  int op_slot_right_11435 = gc_frame_newslot(*var_sym);
// compilenode returning *var_nextTok
  int op_slot_left_11435 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult11437 = callmethod(*var_nextTok, "==", 1, partcv, params);
// compilenode returning opresult11437
  Object if11434 = done;
  if (istrue(opresult11437)) {
// Begin line 3448
  setline(3448);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3447
  setline(3447);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11438 = gc_frame_new();
  int callframe11439 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11440 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11439);
// compilenode returning call11440
// compilenode returning call11440
  partcv[0] = 0;
  Object call11441 = callmethod(call11440, "new",
    1, partcv, params);
  gc_frame_end(callframe11438);
// compilenode returning call11441
// compilenode returning call11441
  *var_suggestion = call11441;
  if (call11441 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3448
  setline(3448);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11443 = gc_frame_new();
  int callframe11444 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call11445 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe11444);
// compilenode returning call11445
// compilenode returning call11445
  gc_frame_newslot(call11445);
  int callframe11446 = gc_frame_new();
  Object num11447 = alloc_Float64(1);
// compilenode returning num11447
  gc_frame_newslot(num11447);
  Object num11449 = alloc_Float64(1);
// compilenode returning num11449
  int op_slot_right_11448 = gc_frame_newslot(num11449);
  int callframe11452 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call11453 = callmethod(*var_lastToken, "size",
    1, partcv, params);
  gc_frame_end(callframe11452);
// compilenode returning call11453
// compilenode returning call11453
  int op_slot_right_11451 = gc_frame_newslot(call11453);
  int callframe11455 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call11456 = callmethod(*var_lastToken, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11455);
// compilenode returning call11456
// compilenode returning call11456
  int op_slot_left_11451 = gc_frame_newslot(call11456);
  params[0] = call11453;
  partcv[0] = 1;
  Object sum11457 = callmethod(call11456, "+", 1, partcv, params);
// compilenode returning sum11457
  int op_slot_left_11448 = gc_frame_newslot(sum11457);
  params[0] = num11449;
  partcv[0] = 1;
  Object diff11458 = callmethod(sum11457, "-", 1, partcv, params);
// compilenode returning diff11458
  gc_frame_newslot(diff11458);
  int callframe11459 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11460 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe11459);
// compilenode returning call11460
// compilenode returning call11460
  int callframe11461 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call11462 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe11461);
// compilenode returning call11462
// compilenode returning call11462
  params[0] = call11462;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres11463 = callmethod(call11460, "[]", 1, partcv, params);
// compilenode returning idxres11463
  params[0] = num11447;
  params[1] = diff11458;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11464 = callmethod(idxres11463, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe11446);
// compilenode returning call11464
  gc_frame_newslot(call11464);
// compilenode returning *var_suggestion
  params[0] = call11445;
  params[1] = call11464;
  partcv[0] = 2;
  Object call11465 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe11443);
// compilenode returning call11465
// Begin line 3449
  setline(3449);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11466 = gc_frame_new();
  int callframe11467 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11468 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11467);
// compilenode returning call11468
// compilenode returning call11468
  gc_frame_newslot(call11468);
  int callframe11469 = gc_frame_new();
  int callframe11470 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11471 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe11470);
// compilenode returning call11471
// compilenode returning call11471
  int callframe11472 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11473 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11472);
// compilenode returning call11473
// compilenode returning call11473
  params[0] = call11473;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres11474 = callmethod(call11471, "[]", 1, partcv, params);
// compilenode returning idxres11474
  partcv[0] = 0;
  Object call11475 = callmethod(idxres11474, "size",
    1, partcv, params);
  gc_frame_end(callframe11469);
// compilenode returning call11475
// compilenode returning call11475
  gc_frame_newslot(call11475);
  int callframe11476 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11477 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe11476);
// compilenode returning call11477
// compilenode returning call11477
  int callframe11478 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11479 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11478);
// compilenode returning call11479
// compilenode returning call11479
  params[0] = call11479;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres11480 = callmethod(call11477, "[]", 1, partcv, params);
// compilenode returning idxres11480
  params[0] = call11468;
  params[1] = call11475;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11481 = callmethod(idxres11480, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe11466);
// compilenode returning call11481
  *var_newLine = call11481;
  if (call11481 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3450
  setline(3450);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11482 = gc_frame_new();
  Object num11484 = alloc_Float64(0.1);
// compilenode returning num11484
  int op_slot_right_11483 = gc_frame_newslot(num11484);
  int callframe11486 = gc_frame_new();
// compilenode returning *var_lastToken
  partcv[0] = 0;
  Object call11487 = callmethod(*var_lastToken, "line",
    1, partcv, params);
  gc_frame_end(callframe11486);
// compilenode returning call11487
// compilenode returning call11487
  int op_slot_left_11483 = gc_frame_newslot(call11487);
  params[0] = num11484;
  partcv[0] = 1;
  Object sum11488 = callmethod(call11487, "+", 1, partcv, params);
// compilenode returning sum11488
  gc_frame_newslot(sum11488);
// compilenode returning *var_newLine
  gc_frame_newslot(*var_newLine);
// compilenode returning *var_suggestion
  params[0] = sum11488;
  params[1] = *var_newLine;
  partcv[0] = 2;
  Object call11489 = callmethod(*var_suggestion, "addLine",
    1, partcv, params);
  gc_frame_end(callframe11482);
// compilenode returning call11489
// Begin line 3451
  setline(3451);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11490 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call11491 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11490);
// compilenode returning call11491
    gc_frame_newslot(call11491);
    if11434 = call11491;
  } else {
// Begin line 3454
  setline(3454);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3453
  setline(3453);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11492 = gc_frame_new();
  int callframe11493 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11494 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11493);
// compilenode returning call11494
// compilenode returning call11494
  partcv[0] = 0;
  Object call11495 = callmethod(call11494, "new",
    1, partcv, params);
  gc_frame_end(callframe11492);
// compilenode returning call11495
// compilenode returning call11495
  *var_suggestion = call11495;
  if (call11495 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3454
  setline(3454);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11497 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
  int callframe11498 = gc_frame_new();
// compilenode returning *var_nextTok
  partcv[0] = 0;
  Object call11499 = callmethod(*var_nextTok, "prev",
    1, partcv, params);
  gc_frame_end(callframe11498);
// compilenode returning call11499
// compilenode returning call11499
  gc_frame_newslot(call11499);
  Object bool11500 = alloc_Boolean(1);
// compilenode returning bool11500
  gc_frame_newslot(bool11500);
  Object bool11501 = alloc_Boolean(0);
// compilenode returning bool11501
  gc_frame_newslot(bool11501);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  params[1] = call11499;
  params[2] = bool11500;
  params[3] = bool11501;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call11502 = callmethod(*var_suggestion, "deleteTokenRange()leading()trailing",
    3, partcv, params);
  gc_frame_end(callframe11497);
// compilenode returning call11502
// Begin line 3455
  setline(3455);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11503 = gc_frame_new();
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// compilenode returning *var_suggestions
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call11504 = callmethod(*var_suggestions, "push",
    1, partcv, params);
  gc_frame_end(callframe11503);
// compilenode returning call11504
    gc_frame_newslot(call11504);
    if11434 = call11504;
  }
// compilenode returning if11434
// Begin line 3457
  setline(3457);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11505 = gc_frame_new();
  if (strlit11506 == NULL) {
    strlit11506 = alloc_String("Multiple statements must be separated by a newline or a semicolon. This is often caused by missing parentheses.");
    gc_root(strlit11506);
  }
// compilenode returning strlit11506
  gc_frame_newslot(strlit11506);
// Begin line 3458
  setline(3458);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11507 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11508 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11507);
// compilenode returning call11508
// compilenode returning call11508
  gc_frame_newslot(call11508);
  int callframe11509 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11510 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11509);
// compilenode returning call11510
// compilenode returning call11510
  gc_frame_newslot(call11510);
// compilenode returning *var_suggestions
  gc_frame_newslot(*var_suggestions);
// Begin line 3457
  setline(3457);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit11506;
  params[1] = call11508;
  params[2] = call11510;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call11511 = callmethod(*var_errormessages, "syntaxError()atPosition()withSuggestions",
    3, partcv, params);
  gc_frame_end(callframe11505);
// compilenode returning call11511
    gc_frame_newslot(call11511);
    if11285 = call11511;
  } else {
  }
// compilenode returning if11285
    gc_frame_newslot(if11285);
    if11193 = if11285;
  } else {
  }
// compilenode returning if11193
  gc_frame_end(frame);
  return if11193;
}
Object meth_parser__apply11638(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object num11640 = alloc_Float64(0);
// compilenode returning num11640
  int op_slot_right_11639 = gc_frame_newslot(num11640);
  int callframe11642 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11643 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe11642);
// compilenode returning call11643
// compilenode returning call11643
  int op_slot_left_11639 = gc_frame_newslot(call11643);
  params[0] = num11640;
  partcv[0] = 1;
  Object opresult11644 = callmethod(call11643, ">", 1, partcv, params);
// compilenode returning opresult11644
  gc_frame_end(frame);
  return opresult11644;
}
Object meth_parser__apply11647(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[3];
  Object *var_oldlength = getfromclosure(closure, 0);
  Object *var_tokens = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
// Begin line 3504
  setline(3504);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11648 = gc_frame_new();
  partcv[0] = 0;
  Object call11649 = callmethodflags(self, "blank", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11648);
// compilenode returning call11649
// Begin line 3505
  setline(3505);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11650 = gc_frame_new();
  partcv[0] = 0;
  Object call11651 = callmethodflags(self, "methoddec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11650);
// compilenode returning call11651
// Begin line 3506
  setline(3506);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11652 = gc_frame_new();
  partcv[0] = 0;
  Object call11653 = callmethodflags(self, "blank", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11652);
// compilenode returning call11653
// Begin line 3507
  setline(3507);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11654 = gc_frame_new();
  partcv[0] = 0;
  Object call11655 = callmethodflags(self, "inheritsdec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11654);
// compilenode returning call11655
// Begin line 3508
  setline(3508);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11656 = gc_frame_new();
  partcv[0] = 0;
  Object call11657 = callmethodflags(self, "blank", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11656);
// compilenode returning call11657
// Begin line 3509
  setline(3509);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11658 = gc_frame_new();
  partcv[0] = 0;
  Object call11659 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11658);
// compilenode returning call11659
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3510
  setline(3510);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_oldlength
  int op_slot_right_11661 = gc_frame_newslot(*var_oldlength);
  int callframe11663 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11664 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe11663);
// compilenode returning call11664
// compilenode returning call11664
  int op_slot_left_11661 = gc_frame_newslot(call11664);
  params[0] = *var_oldlength;
  partcv[0] = 1;
  Object opresult11665 = callmethod(call11664, "==", 1, partcv, params);
// compilenode returning opresult11665
  Object if11660 = done;
  if (istrue(opresult11665)) {
// Begin line 3512
  setline(3512);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3511
  setline(3511);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11666 = gc_frame_new();
  int callframe11667 = gc_frame_new();
// compilenode returning *var_errormessages
  partcv[0] = 0;
  Object call11668 = callmethod(*var_errormessages, "suggestion",
    1, partcv, params);
  gc_frame_end(callframe11667);
// compilenode returning call11668
// compilenode returning call11668
  partcv[0] = 0;
  Object call11669 = callmethod(call11668, "new",
    1, partcv, params);
  gc_frame_end(callframe11666);
// compilenode returning call11669
// compilenode returning call11669
  *var_suggestion = call11669;
  if (call11669 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3512
  setline(3512);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11670 = gc_frame_new();
// compilenode returning *var_sym
  gc_frame_newslot(*var_sym);
// compilenode returning *var_suggestion
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call11671 = callmethod(*var_suggestion, "deleteToken",
    1, partcv, params);
  gc_frame_end(callframe11670);
// compilenode returning call11671
// Begin line 3513
  setline(3513);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11672 = gc_frame_new();
  if (strlit11673 == NULL) {
    strlit11673 = alloc_String("Invalid statement. This is often caused by an extra '}', ')', or ']'.");
    gc_root(strlit11673);
  }
// compilenode returning strlit11673
  gc_frame_newslot(strlit11673);
// Begin line 3514
  setline(3514);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11674 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11675 = callmethod(*var_sym, "line",
    1, partcv, params);
  gc_frame_end(callframe11674);
// compilenode returning call11675
// compilenode returning call11675
  gc_frame_newslot(call11675);
  int callframe11676 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11677 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11676);
// compilenode returning call11677
// compilenode returning call11677
  gc_frame_newslot(call11677);
  Object num11679 = alloc_Float64(1);
// compilenode returning num11679
  int op_slot_right_11678 = gc_frame_newslot(num11679);
  int callframe11682 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11683 = callmethod(*var_sym, "size",
    1, partcv, params);
  gc_frame_end(callframe11682);
// compilenode returning call11683
// compilenode returning call11683
  int op_slot_right_11681 = gc_frame_newslot(call11683);
  int callframe11685 = gc_frame_new();
// compilenode returning *var_sym
  partcv[0] = 0;
  Object call11686 = callmethod(*var_sym, "linePos",
    1, partcv, params);
  gc_frame_end(callframe11685);
// compilenode returning call11686
// compilenode returning call11686
  int op_slot_left_11681 = gc_frame_newslot(call11686);
  params[0] = call11683;
  partcv[0] = 1;
  Object sum11687 = callmethod(call11686, "+", 1, partcv, params);
// compilenode returning sum11687
  int op_slot_left_11678 = gc_frame_newslot(sum11687);
  params[0] = num11679;
  partcv[0] = 1;
  Object diff11688 = callmethod(sum11687, "-", 1, partcv, params);
// compilenode returning diff11688
  gc_frame_newslot(diff11688);
// compilenode returning *var_suggestion
  gc_frame_newslot(*var_suggestion);
// Begin line 3513
  setline(3513);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_errormessages
  params[0] = strlit11673;
  params[1] = call11675;
  params[2] = call11677;
  params[3] = diff11688;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11689 = callmethod(*var_errormessages, "syntaxError()atRange()withSuggestion",
    3, partcv, params);
  gc_frame_end(callframe11672);
// compilenode returning call11689
    gc_frame_newslot(call11689);
    if11660 = call11689;
  } else {
  }
// compilenode returning if11660
// Begin line 3517
  setline(3517);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11690 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11691 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe11690);
// compilenode returning call11691
// compilenode returning call11691
  *var_oldlength = call11691;
  if (call11691 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_parse11512(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 59, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "parse");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_defaultDefVisibility = getfromclosure(closure, 2);
  Object *var_defaultVarVisibility = getfromclosure(closure, 3);
  Object *var_defaultMethodVisibility = getfromclosure(closure, 4);
  Object *var_tokens = getfromclosure(closure, 5);
  Object *var_sym = getfromclosure(closure, 6);
  Object *var_lastToken = getfromclosure(closure, 7);
  Object *var_linenum = getfromclosure(closure, 8);
  Object *var_errormessages = getfromclosure(closure, 9);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for parse (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_toks = &(stackframe->slots[0]);
  *var_toks = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for parse");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_oldlength = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "oldlength");
// Begin line 3466
  setline(3466);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11513 = gc_frame_new();
  if (strlit11514 == NULL) {
    strlit11514 = alloc_String("processing tokens.");
    gc_root(strlit11514);
  }
// compilenode returning strlit11514
  gc_frame_newslot(strlit11514);
// compilenode returning *var_util
  params[0] = strlit11514;
  partcv[0] = 1;
  Object call11515 = callmethod(*var_util, "log_verbose",
    1, partcv, params);
  gc_frame_end(callframe11513);
// compilenode returning call11515
// Begin line 3468
  setline(3468);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3467
  setline(3467);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array11516 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array11516
  *var_values = array11516;
  if (array11516 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3473
  setline(3473);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3468
  setline(3468);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11519 = gc_frame_new();
  if (strlit11520 == NULL) {
    strlit11520 = alloc_String("DefaultVisibility");
    gc_root(strlit11520);
  }
// compilenode returning strlit11520
  gc_frame_newslot(strlit11520);
  int callframe11521 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11522 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11521);
// compilenode returning call11522
// compilenode returning call11522
  params[0] = strlit11520;
  partcv[0] = 1;
  Object call11523 = callmethod(call11522, "contains",
    1, partcv, params);
  gc_frame_end(callframe11519);
// compilenode returning call11523
  Object if11518 = done;
  if (istrue(call11523)) {
// Begin line 3469
  setline(3469);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11524 = gc_frame_new();
  if (strlit11525 == NULL) {
    strlit11525 = alloc_String("DefaultVisibility");
    gc_root(strlit11525);
  }
// compilenode returning strlit11525
  gc_frame_newslot(strlit11525);
  int callframe11526 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11527 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11526);
// compilenode returning call11527
// compilenode returning call11527
  params[0] = strlit11525;
  partcv[0] = 1;
  Object call11528 = callmethod(call11527, "get",
    1, partcv, params);
  gc_frame_end(callframe11524);
// compilenode returning call11528
  *var_defaultDefVisibility = call11528;
  if (call11528 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3470
  setline(3470);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11530 = gc_frame_new();
  if (strlit11531 == NULL) {
    strlit11531 = alloc_String("DefaultVisibility");
    gc_root(strlit11531);
  }
// compilenode returning strlit11531
  gc_frame_newslot(strlit11531);
  int callframe11532 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11533 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11532);
// compilenode returning call11533
// compilenode returning call11533
  params[0] = strlit11531;
  partcv[0] = 1;
  Object call11534 = callmethod(call11533, "get",
    1, partcv, params);
  gc_frame_end(callframe11530);
// compilenode returning call11534
  *var_defaultVarVisibility = call11534;
  if (call11534 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3471
  setline(3471);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11536 = gc_frame_new();
  if (strlit11537 == NULL) {
    strlit11537 = alloc_String("DefaultVisibility");
    gc_root(strlit11537);
  }
// compilenode returning strlit11537
  gc_frame_newslot(strlit11537);
  int callframe11538 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11539 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11538);
// compilenode returning call11539
// compilenode returning call11539
  params[0] = strlit11537;
  partcv[0] = 1;
  Object call11540 = callmethod(call11539, "get",
    1, partcv, params);
  gc_frame_end(callframe11536);
// compilenode returning call11540
  *var_defaultMethodVisibility = call11540;
  if (call11540 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if11518 = done;
  } else {
  }
// compilenode returning if11518
// Begin line 3476
  setline(3476);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3473
  setline(3473);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11543 = gc_frame_new();
  if (strlit11544 == NULL) {
    strlit11544 = alloc_String("DefaultDefVisibility");
    gc_root(strlit11544);
  }
// compilenode returning strlit11544
  gc_frame_newslot(strlit11544);
  int callframe11545 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11546 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11545);
// compilenode returning call11546
// compilenode returning call11546
  params[0] = strlit11544;
  partcv[0] = 1;
  Object call11547 = callmethod(call11546, "contains",
    1, partcv, params);
  gc_frame_end(callframe11543);
// compilenode returning call11547
  Object if11542 = done;
  if (istrue(call11547)) {
// Begin line 3474
  setline(3474);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11548 = gc_frame_new();
  if (strlit11549 == NULL) {
    strlit11549 = alloc_String("DefaultDefVisibility");
    gc_root(strlit11549);
  }
// compilenode returning strlit11549
  gc_frame_newslot(strlit11549);
  int callframe11550 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11551 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11550);
// compilenode returning call11551
// compilenode returning call11551
  params[0] = strlit11549;
  partcv[0] = 1;
  Object call11552 = callmethod(call11551, "get",
    1, partcv, params);
  gc_frame_end(callframe11548);
// compilenode returning call11552
  *var_defaultDefVisibility = call11552;
  if (call11552 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if11542 = done;
  } else {
  }
// compilenode returning if11542
// Begin line 3479
  setline(3479);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3476
  setline(3476);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11555 = gc_frame_new();
  if (strlit11556 == NULL) {
    strlit11556 = alloc_String("DefaultVarVisibility");
    gc_root(strlit11556);
  }
// compilenode returning strlit11556
  gc_frame_newslot(strlit11556);
  int callframe11557 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11558 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11557);
// compilenode returning call11558
// compilenode returning call11558
  params[0] = strlit11556;
  partcv[0] = 1;
  Object call11559 = callmethod(call11558, "contains",
    1, partcv, params);
  gc_frame_end(callframe11555);
// compilenode returning call11559
  Object if11554 = done;
  if (istrue(call11559)) {
// Begin line 3477
  setline(3477);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11560 = gc_frame_new();
  if (strlit11561 == NULL) {
    strlit11561 = alloc_String("DefaultVarVisibility");
    gc_root(strlit11561);
  }
// compilenode returning strlit11561
  gc_frame_newslot(strlit11561);
  int callframe11562 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11563 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11562);
// compilenode returning call11563
// compilenode returning call11563
  params[0] = strlit11561;
  partcv[0] = 1;
  Object call11564 = callmethod(call11563, "get",
    1, partcv, params);
  gc_frame_end(callframe11560);
// compilenode returning call11564
  *var_defaultVarVisibility = call11564;
  if (call11564 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if11554 = done;
  } else {
  }
// compilenode returning if11554
// Begin line 3482
  setline(3482);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3479
  setline(3479);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11567 = gc_frame_new();
  if (strlit11568 == NULL) {
    strlit11568 = alloc_String("DefaultMethodVisibility");
    gc_root(strlit11568);
  }
// compilenode returning strlit11568
  gc_frame_newslot(strlit11568);
  int callframe11569 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11570 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11569);
// compilenode returning call11570
// compilenode returning call11570
  params[0] = strlit11568;
  partcv[0] = 1;
  Object call11571 = callmethod(call11570, "contains",
    1, partcv, params);
  gc_frame_end(callframe11567);
// compilenode returning call11571
  Object if11566 = done;
  if (istrue(call11571)) {
// Begin line 3480
  setline(3480);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11572 = gc_frame_new();
  if (strlit11573 == NULL) {
    strlit11573 = alloc_String("DefaultMethodVisibility");
    gc_root(strlit11573);
  }
// compilenode returning strlit11573
  gc_frame_newslot(strlit11573);
  int callframe11574 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11575 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11574);
// compilenode returning call11575
// compilenode returning call11575
  params[0] = strlit11573;
  partcv[0] = 1;
  Object call11576 = callmethod(call11575, "get",
    1, partcv, params);
  gc_frame_end(callframe11572);
// compilenode returning call11576
  *var_defaultMethodVisibility = call11576;
  if (call11576 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if11566 = done;
  } else {
  }
// compilenode returning if11566
// Begin line 3485
  setline(3485);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3482
  setline(3482);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11580 = alloc_Float64(0);
// compilenode returning num11580
  int op_slot_right_11579 = gc_frame_newslot(num11580);
  int callframe11582 = gc_frame_new();
// compilenode returning *var_toks
  partcv[0] = 0;
  Object call11583 = callmethod(*var_toks, "size",
    1, partcv, params);
  gc_frame_end(callframe11582);
// compilenode returning call11583
// compilenode returning call11583
  int op_slot_left_11579 = gc_frame_newslot(call11583);
  params[0] = num11580;
  partcv[0] = 1;
  Object opresult11584 = callmethod(call11583, "==", 1, partcv, params);
// compilenode returning opresult11584
  Object if11578 = done;
  if (istrue(opresult11584)) {
// Begin line 3484
  setline(3484);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3483
  setline(3483);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array11585 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array11585
  return array11585;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if11578 = undefined;
  } else {
  }
// compilenode returning if11578
// Begin line 3486
  setline(3486);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3485
  setline(3485);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_toks
  *var_tokens = *var_toks;
  if (*var_toks == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3487
  setline(3487);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3486
  setline(3486);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11587 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11588 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe11587);
// compilenode returning call11588
// compilenode returning call11588
  *var_sym = call11588;
  if (call11588 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3489
  setline(3489);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3486
  setline(3486);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11590 = gc_frame_new();
// Begin line 3487
  setline(3487);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_sym
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call11591 = callmethod(*var_sym, "prev:=",
    1, partcv, params);
  gc_frame_end(callframe11590);
// compilenode returning call11591
// compilenode returning done
// Begin line 3489
  setline(3489);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11592 = gc_frame_new();
  Object inheritingObject11593 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj11593 = alloc_userobj2(15,9, objclass11593);
  gc_frame_newslot(obj11593);
// OBJECT OUTER DEC outer
  adddatum2(obj11593, self, 0);
  addmethodreal(obj11593,"outer", &reader_parser_outer_11594);
  Object oldself11593 = self;
  struct StackFrameObject *oldstackframe11593 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe11593);
  gc_frame_newslot((Object)stackframe);
  self = obj11593;
  Object *oldselfslot11593 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter11593 = (*(struct UserObject *)self).data[0], lowerouter11593 = thisouter11593;
  if (inheritingObject11593) {
    struct UserObject *inho11593 = (struct UserObject *)inheritingObject11593;
    while (inho11593->super != GraceDefaultObject) inho11593 = (struct UserObject *)inho11593->super;
    inho11593->super = obj11593;
    self = inheritingObject11593;
    *selfslot = self;
    lowerouter11593 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter11593;
  }
if (objclass11593 == NULL) {
  Method *reader11595 = addmethodrealflags(obj11593, "kind",&reader_parser_kind_11595, 0);
  Method *writer11595 = addmethodrealflags(obj11593, "kind:=",&writer_parser_kind_11595, 0);
  reader11595->definitionModule = modulename;
  writer11595->definitionModule = modulename;
  reader11595->definitionLine = 3491;
  writer11595->definitionLine = 3491;
}
obj11593->flags |= OFLAG_MUTABLE;
adddatum2(obj11593, alloc_Undefined(), 1);
if (objclass11593 == NULL) {
  Method *reader11596 = addmethodrealflags(obj11593, "line",&reader_parser_line_11596, 0);
  Method *writer11596 = addmethodrealflags(obj11593, "line:=",&writer_parser_line_11596, 0);
  reader11596->definitionModule = modulename;
  writer11596->definitionModule = modulename;
  reader11596->definitionLine = 3492;
  writer11596->definitionLine = 3492;
}
obj11593->flags |= OFLAG_MUTABLE;
adddatum2(obj11593, alloc_Undefined(), 2);
if (objclass11593 == NULL) {
  Method *reader11597 = addmethodrealflags(obj11593, "linePos",&reader_parser_linePos_11597, 0);
  Method *writer11597 = addmethodrealflags(obj11593, "linePos:=",&writer_parser_linePos_11597, 0);
  reader11597->definitionModule = modulename;
  writer11597->definitionModule = modulename;
  reader11597->definitionLine = 3493;
  writer11597->definitionLine = 3493;
}
obj11593->flags |= OFLAG_MUTABLE;
adddatum2(obj11593, alloc_Undefined(), 3);
if (objclass11593 == NULL) {
  Method *reader11598 = addmethodrealflags(obj11593, "indent",&reader_parser_indent_11598, 0);
  Method *writer11598 = addmethodrealflags(obj11593, "indent:=",&writer_parser_indent_11598, 0);
  reader11598->definitionModule = modulename;
  writer11598->definitionModule = modulename;
  reader11598->definitionLine = 3494;
  writer11598->definitionLine = 3494;
}
obj11593->flags |= OFLAG_MUTABLE;
adddatum2(obj11593, alloc_Undefined(), 4);
if (objclass11593 == NULL) {
  Method *reader11599 = addmethodrealflags(obj11593, "value",&reader_parser_value_11599, 0);
  Method *writer11599 = addmethodrealflags(obj11593, "value:=",&writer_parser_value_11599, 0);
  reader11599->definitionModule = modulename;
  writer11599->definitionModule = modulename;
  reader11599->definitionLine = 3495;
  writer11599->definitionLine = 3495;
}
obj11593->flags |= OFLAG_MUTABLE;
adddatum2(obj11593, alloc_Undefined(), 5);
if (objclass11593 == NULL) {
  Method *reader11600 = addmethodrealflags(obj11593, "size",&reader_parser_size_11600, MFLAG_DEF);
  reader11600->definitionModule = modulename;
  reader11600->definitionLine = 3496;
}
adddatum2(obj11593, alloc_Undefined(), 6);
if (objclass11593 == NULL) {
  Method *reader11601 = addmethodrealflags(obj11593, "next",&reader_parser_next_11601, 0);
  Method *writer11601 = addmethodrealflags(obj11593, "next:=",&writer_parser_next_11601, 0);
  reader11601->definitionModule = modulename;
  writer11601->definitionModule = modulename;
  reader11601->definitionLine = 3497;
  writer11601->definitionLine = 3497;
}
obj11593->flags |= OFLAG_MUTABLE;
adddatum2(obj11593, alloc_Undefined(), 7);
if (objclass11593 == NULL) {
  Method *reader11602 = addmethodrealflags(obj11593, "prev",&reader_parser_prev_11602, 0);
  Method *writer11602 = addmethodrealflags(obj11593, "prev:=",&writer_parser_prev_11602, 0);
  reader11602->definitionModule = modulename;
  writer11602->definitionModule = modulename;
  reader11602->definitionLine = 3498;
  writer11602->definitionLine = 3498;
}
obj11593->flags |= OFLAG_MUTABLE;
adddatum2(obj11593, alloc_Undefined(), 8);
  sourceObject = obj11593;
// Begin line 3490
  setline(3490);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11603 == NULL) {
    strlit11603 = alloc_String("eof");
    gc_root(strlit11603);
  }
// compilenode returning strlit11603
  adddatum2(obj11593, strlit11603, 1);
  sourceObject = obj11593;
// Begin line 3491
  setline(3491);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11604 = gc_frame_new();
  int callframe11605 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11606 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe11605);
// compilenode returning call11606
// compilenode returning call11606
  partcv[0] = 0;
  Object call11607 = callmethod(call11606, "line",
    1, partcv, params);
  gc_frame_end(callframe11604);
// compilenode returning call11607
// compilenode returning call11607
  adddatum2(obj11593, call11607, 2);
  sourceObject = obj11593;
// Begin line 3493
  setline(3493);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3492
  setline(3492);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11609 = alloc_Float64(1);
// compilenode returning num11609
  int op_slot_right_11608 = gc_frame_newslot(num11609);
  int callframe11611 = gc_frame_new();
  int callframe11612 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11613 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe11612);
// compilenode returning call11613
// compilenode returning call11613
  int callframe11614 = gc_frame_new();
  int callframe11615 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11616 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe11615);
// compilenode returning call11616
// compilenode returning call11616
  partcv[0] = 0;
  Object call11617 = callmethod(call11616, "line",
    1, partcv, params);
  gc_frame_end(callframe11614);
// compilenode returning call11617
// compilenode returning call11617
  params[0] = call11617;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres11618 = callmethod(call11613, "[]", 1, partcv, params);
// compilenode returning idxres11618
  partcv[0] = 0;
  Object call11619 = callmethod(idxres11618, "size",
    1, partcv, params);
  gc_frame_end(callframe11611);
// compilenode returning call11619
// compilenode returning call11619
  int op_slot_left_11608 = gc_frame_newslot(call11619);
  params[0] = num11609;
  partcv[0] = 1;
  Object sum11620 = callmethod(call11619, "+", 1, partcv, params);
// compilenode returning sum11620
  adddatum2(obj11593, sum11620, 3);
  sourceObject = obj11593;
// Begin line 3493
  setline(3493);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11621 = alloc_Float64(0);
// compilenode returning num11621
  adddatum2(obj11593, num11621, 4);
  sourceObject = obj11593;
// Begin line 3494
  setline(3494);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11622 == NULL) {
    strlit11622 = alloc_String("");
    gc_root(strlit11622);
  }
// compilenode returning strlit11622
  adddatum2(obj11593, strlit11622, 5);
  sourceObject = obj11593;
// Begin line 3495
  setline(3495);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11623 = alloc_Float64(0);
// compilenode returning num11623
  adddatum2(obj11593, num11623, 6);
  sourceObject = obj11593;
// Begin line 3496
  setline(3496);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11624 = alloc_Boolean(0);
// compilenode returning bool11624
  adddatum2(obj11593, bool11624, 7);
  sourceObject = obj11593;
// Begin line 3497
  setline(3497);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11625 = alloc_Boolean(0);
// compilenode returning bool11625
  adddatum2(obj11593, bool11625, 8);
objclass11593 = obj11593->class;
  objclass11593->definitionModule = modulename;
  objclass11593->definitionLine = 3489;
  (*(struct UserObject *)self).data[0] = lowerouter11593;
  self = oldself11593;
  selfslot = oldselfslot11593;
  stackframe = oldstackframe11593;
// compilenode returning obj11593
  gc_frame_newslot(obj11593);
// Begin line 3489
  setline(3489);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_tokens
  params[0] = obj11593;
  partcv[0] = 1;
  Object call11626 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe11592);
// compilenode returning call11626
// Begin line 3499
  setline(3499);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11627 = gc_frame_new();
  if (strlit11628 == NULL) {
    strlit11628 = alloc_String("parsing.");
    gc_root(strlit11628);
  }
// compilenode returning strlit11628
  gc_frame_newslot(strlit11628);
// compilenode returning *var_util
  params[0] = strlit11628;
  partcv[0] = 1;
  Object call11629 = callmethod(*var_util, "log_verbose",
    1, partcv, params);
  gc_frame_end(callframe11627);
// compilenode returning call11629
// Begin line 3501
  setline(3501);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3500
  setline(3500);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11630 = alloc_Float64(1);
// compilenode returning num11630
  *var_linenum = num11630;
  if (num11630 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3501
  setline(3501);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11632 = gc_frame_new();
  partcv[0] = 0;
  Object call11633 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11632);
// compilenode returning call11633
// Begin line 3503
  setline(3503);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3502
  setline(3502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11634 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11635 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe11634);
// compilenode returning call11635
// compilenode returning call11635
  *var_oldlength = call11635;
  if (call11635 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3503
  setline(3503);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11636 = gc_frame_new();
  Object block11637 = alloc_Block(NULL, NULL, "parser", 3503);
  gc_frame_newslot(block11637);
  block_savedest(block11637);
  Object closure11638 = createclosure(2, "_apply");
setclosureframe(closure11638, stackframe);
  addtoclosure(closure11638, var_tokens);
  addtoclosure(closure11638, selfslot);
  struct UserObject *uo11638 = (struct UserObject*)block11637;
  uo11638->data[0] = (Object)closure11638;
  Method *meth_meth_parser__apply11638 = addmethod2pos(block11637, "_apply", &meth_parser__apply11638, 0);
int argcv_meth_parser__apply11638[] = {0};
meth_meth_parser__apply11638->type = alloc_MethodType(1, argcv_meth_parser__apply11638);
  meth_meth_parser__apply11638->definitionModule = modulename;
  meth_meth_parser__apply11638->definitionLine = 3502;
// compilenode returning block11637
  gc_frame_newslot(block11637);
  Object block11646 = alloc_Block(NULL, NULL, "parser", 3503);
  gc_frame_newslot(block11646);
  block_savedest(block11646);
  Object closure11647 = createclosure(5, "_apply");
setclosureframe(closure11647, stackframe);
  addtoclosure(closure11647, var_oldlength);
  addtoclosure(closure11647, var_tokens);
  addtoclosure(closure11647, var_errormessages);
  addtoclosure(closure11647, var_sym);
  addtoclosure(closure11647, selfslot);
  struct UserObject *uo11647 = (struct UserObject*)block11646;
  uo11647->data[0] = (Object)closure11647;
  Method *meth_meth_parser__apply11647 = addmethod2pos(block11646, "_apply", &meth_parser__apply11647, 0);
int argcv_meth_parser__apply11647[] = {0};
meth_meth_parser__apply11647->type = alloc_MethodType(1, argcv_meth_parser__apply11647);
  meth_meth_parser__apply11647->definitionModule = modulename;
  meth_meth_parser__apply11647->definitionLine = 3503;
// compilenode returning block11646
  gc_frame_newslot(block11646);
  params[0] = block11637;
  params[1] = block11646;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11694 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11636);
// compilenode returning call11694
// Begin line 3518
  setline(3518);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11695 = gc_frame_new();
  partcv[0] = 0;
  Object call11696 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11695);
// compilenode returning call11696
// Begin line 3519
  setline(3519);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  gc_frame_end(frame);
  return *var_values;
}
Object meth_parser_parse11512_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 59, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "parse()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_defaultDefVisibility = getfromclosure(closure, 2);
  Object *var_defaultVarVisibility = getfromclosure(closure, 3);
  Object *var_defaultMethodVisibility = getfromclosure(closure, 4);
  Object *var_tokens = getfromclosure(closure, 5);
  Object *var_sym = getfromclosure(closure, 6);
  Object *var_lastToken = getfromclosure(closure, 7);
  Object *var_linenum = getfromclosure(closure, 8);
  Object *var_errormessages = getfromclosure(closure, 9);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for parse (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_toks = &(stackframe->slots[0]);
  *var_toks = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for parse");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_oldlength = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "oldlength");
// Begin line 3466
  setline(3466);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11513 = gc_frame_new();
  if (strlit11514 == NULL) {
    strlit11514 = alloc_String("processing tokens.");
    gc_root(strlit11514);
  }
// compilenode returning strlit11514
  gc_frame_newslot(strlit11514);
// compilenode returning *var_util
  params[0] = strlit11514;
  partcv[0] = 1;
  Object call11515 = callmethod(*var_util, "log_verbose",
    1, partcv, params);
  gc_frame_end(callframe11513);
// compilenode returning call11515
// Begin line 3468
  setline(3468);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3467
  setline(3467);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array11516 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array11516
  *var_values = array11516;
  if (array11516 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3473
  setline(3473);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3468
  setline(3468);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11519 = gc_frame_new();
  if (strlit11520 == NULL) {
    strlit11520 = alloc_String("DefaultVisibility");
    gc_root(strlit11520);
  }
// compilenode returning strlit11520
  gc_frame_newslot(strlit11520);
  int callframe11521 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11522 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11521);
// compilenode returning call11522
// compilenode returning call11522
  params[0] = strlit11520;
  partcv[0] = 1;
  Object call11523 = callmethod(call11522, "contains",
    1, partcv, params);
  gc_frame_end(callframe11519);
// compilenode returning call11523
  Object if11518 = done;
  if (istrue(call11523)) {
// Begin line 3469
  setline(3469);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11524 = gc_frame_new();
  if (strlit11525 == NULL) {
    strlit11525 = alloc_String("DefaultVisibility");
    gc_root(strlit11525);
  }
// compilenode returning strlit11525
  gc_frame_newslot(strlit11525);
  int callframe11526 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11527 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11526);
// compilenode returning call11527
// compilenode returning call11527
  params[0] = strlit11525;
  partcv[0] = 1;
  Object call11528 = callmethod(call11527, "get",
    1, partcv, params);
  gc_frame_end(callframe11524);
// compilenode returning call11528
  *var_defaultDefVisibility = call11528;
  if (call11528 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3470
  setline(3470);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11530 = gc_frame_new();
  if (strlit11531 == NULL) {
    strlit11531 = alloc_String("DefaultVisibility");
    gc_root(strlit11531);
  }
// compilenode returning strlit11531
  gc_frame_newslot(strlit11531);
  int callframe11532 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11533 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11532);
// compilenode returning call11533
// compilenode returning call11533
  params[0] = strlit11531;
  partcv[0] = 1;
  Object call11534 = callmethod(call11533, "get",
    1, partcv, params);
  gc_frame_end(callframe11530);
// compilenode returning call11534
  *var_defaultVarVisibility = call11534;
  if (call11534 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3471
  setline(3471);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11536 = gc_frame_new();
  if (strlit11537 == NULL) {
    strlit11537 = alloc_String("DefaultVisibility");
    gc_root(strlit11537);
  }
// compilenode returning strlit11537
  gc_frame_newslot(strlit11537);
  int callframe11538 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11539 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11538);
// compilenode returning call11539
// compilenode returning call11539
  params[0] = strlit11537;
  partcv[0] = 1;
  Object call11540 = callmethod(call11539, "get",
    1, partcv, params);
  gc_frame_end(callframe11536);
// compilenode returning call11540
  *var_defaultMethodVisibility = call11540;
  if (call11540 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if11518 = done;
  } else {
  }
// compilenode returning if11518
// Begin line 3476
  setline(3476);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3473
  setline(3473);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11543 = gc_frame_new();
  if (strlit11544 == NULL) {
    strlit11544 = alloc_String("DefaultDefVisibility");
    gc_root(strlit11544);
  }
// compilenode returning strlit11544
  gc_frame_newslot(strlit11544);
  int callframe11545 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11546 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11545);
// compilenode returning call11546
// compilenode returning call11546
  params[0] = strlit11544;
  partcv[0] = 1;
  Object call11547 = callmethod(call11546, "contains",
    1, partcv, params);
  gc_frame_end(callframe11543);
// compilenode returning call11547
  Object if11542 = done;
  if (istrue(call11547)) {
// Begin line 3474
  setline(3474);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11548 = gc_frame_new();
  if (strlit11549 == NULL) {
    strlit11549 = alloc_String("DefaultDefVisibility");
    gc_root(strlit11549);
  }
// compilenode returning strlit11549
  gc_frame_newslot(strlit11549);
  int callframe11550 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11551 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11550);
// compilenode returning call11551
// compilenode returning call11551
  params[0] = strlit11549;
  partcv[0] = 1;
  Object call11552 = callmethod(call11551, "get",
    1, partcv, params);
  gc_frame_end(callframe11548);
// compilenode returning call11552
  *var_defaultDefVisibility = call11552;
  if (call11552 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if11542 = done;
  } else {
  }
// compilenode returning if11542
// Begin line 3479
  setline(3479);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3476
  setline(3476);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11555 = gc_frame_new();
  if (strlit11556 == NULL) {
    strlit11556 = alloc_String("DefaultVarVisibility");
    gc_root(strlit11556);
  }
// compilenode returning strlit11556
  gc_frame_newslot(strlit11556);
  int callframe11557 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11558 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11557);
// compilenode returning call11558
// compilenode returning call11558
  params[0] = strlit11556;
  partcv[0] = 1;
  Object call11559 = callmethod(call11558, "contains",
    1, partcv, params);
  gc_frame_end(callframe11555);
// compilenode returning call11559
  Object if11554 = done;
  if (istrue(call11559)) {
// Begin line 3477
  setline(3477);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11560 = gc_frame_new();
  if (strlit11561 == NULL) {
    strlit11561 = alloc_String("DefaultVarVisibility");
    gc_root(strlit11561);
  }
// compilenode returning strlit11561
  gc_frame_newslot(strlit11561);
  int callframe11562 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11563 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11562);
// compilenode returning call11563
// compilenode returning call11563
  params[0] = strlit11561;
  partcv[0] = 1;
  Object call11564 = callmethod(call11563, "get",
    1, partcv, params);
  gc_frame_end(callframe11560);
// compilenode returning call11564
  *var_defaultVarVisibility = call11564;
  if (call11564 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if11554 = done;
  } else {
  }
// compilenode returning if11554
// Begin line 3482
  setline(3482);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3479
  setline(3479);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11567 = gc_frame_new();
  if (strlit11568 == NULL) {
    strlit11568 = alloc_String("DefaultMethodVisibility");
    gc_root(strlit11568);
  }
// compilenode returning strlit11568
  gc_frame_newslot(strlit11568);
  int callframe11569 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11570 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11569);
// compilenode returning call11570
// compilenode returning call11570
  params[0] = strlit11568;
  partcv[0] = 1;
  Object call11571 = callmethod(call11570, "contains",
    1, partcv, params);
  gc_frame_end(callframe11567);
// compilenode returning call11571
  Object if11566 = done;
  if (istrue(call11571)) {
// Begin line 3480
  setline(3480);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11572 = gc_frame_new();
  if (strlit11573 == NULL) {
    strlit11573 = alloc_String("DefaultMethodVisibility");
    gc_root(strlit11573);
  }
// compilenode returning strlit11573
  gc_frame_newslot(strlit11573);
  int callframe11574 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11575 = callmethod(*var_util, "extensions",
    1, partcv, params);
  gc_frame_end(callframe11574);
// compilenode returning call11575
// compilenode returning call11575
  params[0] = strlit11573;
  partcv[0] = 1;
  Object call11576 = callmethod(call11575, "get",
    1, partcv, params);
  gc_frame_end(callframe11572);
// compilenode returning call11576
  *var_defaultMethodVisibility = call11576;
  if (call11576 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
    gc_frame_newslot(done);
    if11566 = done;
  } else {
  }
// compilenode returning if11566
// Begin line 3485
  setline(3485);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3482
  setline(3482);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11580 = alloc_Float64(0);
// compilenode returning num11580
  int op_slot_right_11579 = gc_frame_newslot(num11580);
  int callframe11582 = gc_frame_new();
// compilenode returning *var_toks
  partcv[0] = 0;
  Object call11583 = callmethod(*var_toks, "size",
    1, partcv, params);
  gc_frame_end(callframe11582);
// compilenode returning call11583
// compilenode returning call11583
  int op_slot_left_11579 = gc_frame_newslot(call11583);
  params[0] = num11580;
  partcv[0] = 1;
  Object opresult11584 = callmethod(call11583, "==", 1, partcv, params);
// compilenode returning opresult11584
  Object if11578 = done;
  if (istrue(opresult11584)) {
// Begin line 3484
  setline(3484);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3483
  setline(3483);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array11585 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array11585
  return array11585;
// compilenode returning undefined
    gc_frame_newslot(undefined);
    if11578 = undefined;
  } else {
  }
// compilenode returning if11578
// Begin line 3486
  setline(3486);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3485
  setline(3485);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_toks
  *var_tokens = *var_toks;
  if (*var_toks == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3487
  setline(3487);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3486
  setline(3486);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11587 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11588 = callmethod(*var_tokens, "first",
    1, partcv, params);
  gc_frame_end(callframe11587);
// compilenode returning call11588
// compilenode returning call11588
  *var_sym = call11588;
  if (call11588 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3489
  setline(3489);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3486
  setline(3486);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11590 = gc_frame_new();
// Begin line 3487
  setline(3487);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  gc_frame_newslot(*var_lastToken);
// compilenode returning *var_sym
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call11591 = callmethod(*var_sym, "prev:=",
    1, partcv, params);
  gc_frame_end(callframe11590);
// compilenode returning call11591
// compilenode returning done
// Begin line 3489
  setline(3489);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11592 = gc_frame_new();
  Object inheritingObject11593 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj11593 = alloc_userobj2(15,9, objclass11593);
  gc_frame_newslot(obj11593);
// OBJECT OUTER DEC outer
  adddatum2(obj11593, self, 0);
  addmethodreal(obj11593,"outer", &reader_parser_outer_11594);
  Object oldself11593 = self;
  struct StackFrameObject *oldstackframe11593 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe11593);
  gc_frame_newslot((Object)stackframe);
  self = obj11593;
  Object *oldselfslot11593 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter11593 = (*(struct UserObject *)self).data[0], lowerouter11593 = thisouter11593;
  if (inheritingObject11593) {
    struct UserObject *inho11593 = (struct UserObject *)inheritingObject11593;
    while (inho11593->super != GraceDefaultObject) inho11593 = (struct UserObject *)inho11593->super;
    inho11593->super = obj11593;
    self = inheritingObject11593;
    *selfslot = self;
    lowerouter11593 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter11593;
  }
if (objclass11593 == NULL) {
  Method *reader11595 = addmethodrealflags(obj11593, "kind",&reader_parser_kind_11595, 0);
  Method *writer11595 = addmethodrealflags(obj11593, "kind:=",&writer_parser_kind_11595, 0);
  reader11595->definitionModule = modulename;
  writer11595->definitionModule = modulename;
  reader11595->definitionLine = 3491;
  writer11595->definitionLine = 3491;
}
obj11593->flags |= OFLAG_MUTABLE;
adddatum2(obj11593, alloc_Undefined(), 1);
if (objclass11593 == NULL) {
  Method *reader11596 = addmethodrealflags(obj11593, "line",&reader_parser_line_11596, 0);
  Method *writer11596 = addmethodrealflags(obj11593, "line:=",&writer_parser_line_11596, 0);
  reader11596->definitionModule = modulename;
  writer11596->definitionModule = modulename;
  reader11596->definitionLine = 3492;
  writer11596->definitionLine = 3492;
}
obj11593->flags |= OFLAG_MUTABLE;
adddatum2(obj11593, alloc_Undefined(), 2);
if (objclass11593 == NULL) {
  Method *reader11597 = addmethodrealflags(obj11593, "linePos",&reader_parser_linePos_11597, 0);
  Method *writer11597 = addmethodrealflags(obj11593, "linePos:=",&writer_parser_linePos_11597, 0);
  reader11597->definitionModule = modulename;
  writer11597->definitionModule = modulename;
  reader11597->definitionLine = 3493;
  writer11597->definitionLine = 3493;
}
obj11593->flags |= OFLAG_MUTABLE;
adddatum2(obj11593, alloc_Undefined(), 3);
if (objclass11593 == NULL) {
  Method *reader11598 = addmethodrealflags(obj11593, "indent",&reader_parser_indent_11598, 0);
  Method *writer11598 = addmethodrealflags(obj11593, "indent:=",&writer_parser_indent_11598, 0);
  reader11598->definitionModule = modulename;
  writer11598->definitionModule = modulename;
  reader11598->definitionLine = 3494;
  writer11598->definitionLine = 3494;
}
obj11593->flags |= OFLAG_MUTABLE;
adddatum2(obj11593, alloc_Undefined(), 4);
if (objclass11593 == NULL) {
  Method *reader11599 = addmethodrealflags(obj11593, "value",&reader_parser_value_11599, 0);
  Method *writer11599 = addmethodrealflags(obj11593, "value:=",&writer_parser_value_11599, 0);
  reader11599->definitionModule = modulename;
  writer11599->definitionModule = modulename;
  reader11599->definitionLine = 3495;
  writer11599->definitionLine = 3495;
}
obj11593->flags |= OFLAG_MUTABLE;
adddatum2(obj11593, alloc_Undefined(), 5);
if (objclass11593 == NULL) {
  Method *reader11600 = addmethodrealflags(obj11593, "size",&reader_parser_size_11600, MFLAG_DEF);
  reader11600->definitionModule = modulename;
  reader11600->definitionLine = 3496;
}
adddatum2(obj11593, alloc_Undefined(), 6);
if (objclass11593 == NULL) {
  Method *reader11601 = addmethodrealflags(obj11593, "next",&reader_parser_next_11601, 0);
  Method *writer11601 = addmethodrealflags(obj11593, "next:=",&writer_parser_next_11601, 0);
  reader11601->definitionModule = modulename;
  writer11601->definitionModule = modulename;
  reader11601->definitionLine = 3497;
  writer11601->definitionLine = 3497;
}
obj11593->flags |= OFLAG_MUTABLE;
adddatum2(obj11593, alloc_Undefined(), 7);
if (objclass11593 == NULL) {
  Method *reader11602 = addmethodrealflags(obj11593, "prev",&reader_parser_prev_11602, 0);
  Method *writer11602 = addmethodrealflags(obj11593, "prev:=",&writer_parser_prev_11602, 0);
  reader11602->definitionModule = modulename;
  writer11602->definitionModule = modulename;
  reader11602->definitionLine = 3498;
  writer11602->definitionLine = 3498;
}
obj11593->flags |= OFLAG_MUTABLE;
adddatum2(obj11593, alloc_Undefined(), 8);
  sourceObject = obj11593;
// Begin line 3490
  setline(3490);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11603 == NULL) {
    strlit11603 = alloc_String("eof");
    gc_root(strlit11603);
  }
// compilenode returning strlit11603
  adddatum2(obj11593, strlit11603, 1);
  sourceObject = obj11593;
// Begin line 3491
  setline(3491);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11604 = gc_frame_new();
  int callframe11605 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11606 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe11605);
// compilenode returning call11606
// compilenode returning call11606
  partcv[0] = 0;
  Object call11607 = callmethod(call11606, "line",
    1, partcv, params);
  gc_frame_end(callframe11604);
// compilenode returning call11607
// compilenode returning call11607
  adddatum2(obj11593, call11607, 2);
  sourceObject = obj11593;
// Begin line 3493
  setline(3493);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3492
  setline(3492);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11609 = alloc_Float64(1);
// compilenode returning num11609
  int op_slot_right_11608 = gc_frame_newslot(num11609);
  int callframe11611 = gc_frame_new();
  int callframe11612 = gc_frame_new();
// compilenode returning *var_util
  partcv[0] = 0;
  Object call11613 = callmethod(*var_util, "lines",
    1, partcv, params);
  gc_frame_end(callframe11612);
// compilenode returning call11613
// compilenode returning call11613
  int callframe11614 = gc_frame_new();
  int callframe11615 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11616 = callmethod(*var_tokens, "last",
    1, partcv, params);
  gc_frame_end(callframe11615);
// compilenode returning call11616
// compilenode returning call11616
  partcv[0] = 0;
  Object call11617 = callmethod(call11616, "line",
    1, partcv, params);
  gc_frame_end(callframe11614);
// compilenode returning call11617
// compilenode returning call11617
  params[0] = call11617;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres11618 = callmethod(call11613, "[]", 1, partcv, params);
// compilenode returning idxres11618
  partcv[0] = 0;
  Object call11619 = callmethod(idxres11618, "size",
    1, partcv, params);
  gc_frame_end(callframe11611);
// compilenode returning call11619
// compilenode returning call11619
  int op_slot_left_11608 = gc_frame_newslot(call11619);
  params[0] = num11609;
  partcv[0] = 1;
  Object sum11620 = callmethod(call11619, "+", 1, partcv, params);
// compilenode returning sum11620
  adddatum2(obj11593, sum11620, 3);
  sourceObject = obj11593;
// Begin line 3493
  setline(3493);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11621 = alloc_Float64(0);
// compilenode returning num11621
  adddatum2(obj11593, num11621, 4);
  sourceObject = obj11593;
// Begin line 3494
  setline(3494);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11622 == NULL) {
    strlit11622 = alloc_String("");
    gc_root(strlit11622);
  }
// compilenode returning strlit11622
  adddatum2(obj11593, strlit11622, 5);
  sourceObject = obj11593;
// Begin line 3495
  setline(3495);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11623 = alloc_Float64(0);
// compilenode returning num11623
  adddatum2(obj11593, num11623, 6);
  sourceObject = obj11593;
// Begin line 3496
  setline(3496);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11624 = alloc_Boolean(0);
// compilenode returning bool11624
  adddatum2(obj11593, bool11624, 7);
  sourceObject = obj11593;
// Begin line 3497
  setline(3497);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11625 = alloc_Boolean(0);
// compilenode returning bool11625
  adddatum2(obj11593, bool11625, 8);
objclass11593 = obj11593->class;
  objclass11593->definitionModule = modulename;
  objclass11593->definitionLine = 3489;
  (*(struct UserObject *)self).data[0] = lowerouter11593;
  self = oldself11593;
  selfslot = oldselfslot11593;
  stackframe = oldstackframe11593;
// compilenode returning obj11593
  gc_frame_newslot(obj11593);
// Begin line 3489
  setline(3489);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_tokens
  params[0] = obj11593;
  partcv[0] = 1;
  Object call11626 = callmethod(*var_tokens, "push",
    1, partcv, params);
  gc_frame_end(callframe11592);
// compilenode returning call11626
// Begin line 3499
  setline(3499);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11627 = gc_frame_new();
  if (strlit11628 == NULL) {
    strlit11628 = alloc_String("parsing.");
    gc_root(strlit11628);
  }
// compilenode returning strlit11628
  gc_frame_newslot(strlit11628);
// compilenode returning *var_util
  params[0] = strlit11628;
  partcv[0] = 1;
  Object call11629 = callmethod(*var_util, "log_verbose",
    1, partcv, params);
  gc_frame_end(callframe11627);
// compilenode returning call11629
// Begin line 3501
  setline(3501);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3500
  setline(3500);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11630 = alloc_Float64(1);
// compilenode returning num11630
  *var_linenum = num11630;
  if (num11630 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3501
  setline(3501);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11632 = gc_frame_new();
  partcv[0] = 0;
  Object call11633 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11632);
// compilenode returning call11633
// Begin line 3503
  setline(3503);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 3502
  setline(3502);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11634 = gc_frame_new();
// compilenode returning *var_tokens
  partcv[0] = 0;
  Object call11635 = callmethod(*var_tokens, "size",
    1, partcv, params);
  gc_frame_end(callframe11634);
// compilenode returning call11635
// compilenode returning call11635
  *var_oldlength = call11635;
  if (call11635 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
// Begin line 3503
  setline(3503);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11636 = gc_frame_new();
  Object block11637 = alloc_Block(NULL, NULL, "parser", 3503);
  gc_frame_newslot(block11637);
  block_savedest(block11637);
  Object closure11638 = createclosure(2, "_apply");
setclosureframe(closure11638, stackframe);
  addtoclosure(closure11638, var_tokens);
  addtoclosure(closure11638, selfslot);
  struct UserObject *uo11638 = (struct UserObject*)block11637;
  uo11638->data[0] = (Object)closure11638;
  Method *meth_meth_parser__apply11638 = addmethod2pos(block11637, "_apply", &meth_parser__apply11638, 0);
int argcv_meth_parser__apply11638[] = {0};
meth_meth_parser__apply11638->type = alloc_MethodType(1, argcv_meth_parser__apply11638);
  meth_meth_parser__apply11638->definitionModule = modulename;
  meth_meth_parser__apply11638->definitionLine = 3502;
// compilenode returning block11637
  gc_frame_newslot(block11637);
  Object block11646 = alloc_Block(NULL, NULL, "parser", 3503);
  gc_frame_newslot(block11646);
  block_savedest(block11646);
  Object closure11647 = createclosure(5, "_apply");
setclosureframe(closure11647, stackframe);
  addtoclosure(closure11647, var_oldlength);
  addtoclosure(closure11647, var_tokens);
  addtoclosure(closure11647, var_errormessages);
  addtoclosure(closure11647, var_sym);
  addtoclosure(closure11647, selfslot);
  struct UserObject *uo11647 = (struct UserObject*)block11646;
  uo11647->data[0] = (Object)closure11647;
  Method *meth_meth_parser__apply11647 = addmethod2pos(block11646, "_apply", &meth_parser__apply11647, 0);
int argcv_meth_parser__apply11647[] = {0};
meth_meth_parser__apply11647->type = alloc_MethodType(1, argcv_meth_parser__apply11647);
  meth_meth_parser__apply11647->definitionModule = modulename;
  meth_meth_parser__apply11647->definitionLine = 3503;
// compilenode returning block11646
  gc_frame_newslot(block11646);
  params[0] = block11637;
  params[1] = block11646;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11694 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11636);
// compilenode returning call11694
// Begin line 3518
  setline(3518);
  setmodule(modulename);
  setsource(originalSourceLines);
  int callframe11695 = gc_frame_new();
  partcv[0] = 0;
  Object call11696 = callmethodflags(self, "statement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11695);
// compilenode returning call11696
// Begin line 3519
  setline(3519);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  gc_frame_end(frame);
  return *var_values;
}
Object meth_parser_don_39_tBreak11699(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 60, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "don'tBreak");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_don_39_tBreak = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for don'tBreak (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for <Identifier[don'tBreak]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 8
  setline(8);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_don_39_tBreak
  gc_frame_end(frame);
  return *var_don_39_tBreak;
}
Object meth_parser_lastline11701(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 61, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastline");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastline = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lastline (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for <Identifier[lastline]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastline
  gc_frame_end(frame);
  return *var_lastline;
}
Object meth_parser_lastline_58__61_11702(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 62, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastline:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_lastline = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lastline:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for <Identifier[lastline:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_lastline = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_linenum11705(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 63, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "linenum");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_linenum = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for linenum (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for <Identifier[linenum]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_linenum
  gc_frame_end(frame);
  return *var_linenum;
}
Object meth_parser_linenum_58__61_11706(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 64, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "linenum:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_linenum = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for linenum:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for <Identifier[linenum:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_linenum = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_lastIndent11709(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 65, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastIndent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastIndent = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lastIndent (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for <Identifier[lastIndent]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastIndent
  gc_frame_end(frame);
  return *var_lastIndent;
}
Object meth_parser_lastIndent_58__61_11710(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 66, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastIndent:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_lastIndent = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lastIndent:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for <Identifier[lastIndent:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_lastIndent = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_indentFreePass11713(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 67, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "indentFreePass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_indentFreePass = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for indentFreePass (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for <Identifier[indentFreePass]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_indentFreePass
  gc_frame_end(frame);
  return *var_indentFreePass;
}
Object meth_parser_indentFreePass_58__61_11714(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 68, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "indentFreePass:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_indentFreePass = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for indentFreePass:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for <Identifier[indentFreePass:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_indentFreePass = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_minIndentLevel11717(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 69, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "minIndentLevel");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_minIndentLevel = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for minIndentLevel (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for <Identifier[minIndentLevel]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_minIndentLevel
  gc_frame_end(frame);
  return *var_minIndentLevel;
}
Object meth_parser_minIndentLevel_58__61_11718(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 70, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "minIndentLevel:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_minIndentLevel = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for minIndentLevel:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for <Identifier[minIndentLevel:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_minIndentLevel = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_statementIndent11721(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 71, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "statementIndent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_statementIndent = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for statementIndent (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for <Identifier[statementIndent]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_statementIndent
  gc_frame_end(frame);
  return *var_statementIndent;
}
Object meth_parser_statementIndent_58__61_11722(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 72, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "statementIndent:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_statementIndent = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for statementIndent:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for <Identifier[statementIndent:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_statementIndent = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_statementToken11724(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 73, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "statementToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_statementToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for statementToken (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for <Identifier[statementToken]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_statementToken
  gc_frame_end(frame);
  return *var_statementToken;
}
Object meth_parser_statementToken_58__61_11725(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 74, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "statementToken:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_statementToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for statementToken:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for <Identifier[statementToken:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_statementToken = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_tokens11728(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 75, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "tokens");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for tokens (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for <Identifier[tokens]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_tokens
  gc_frame_end(frame);
  return *var_tokens;
}
Object meth_parser_tokens_58__61_11729(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 76, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "tokens:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for tokens:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for <Identifier[tokens:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_tokens = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_values11732(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 77, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "values");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for values (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for <Identifier[values]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_values
  gc_frame_end(frame);
  return *var_values;
}
Object meth_parser_values_58__61_11733(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 78, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "values:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for values:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for <Identifier[values:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_values = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_auto_count11736(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 79, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "auto_count");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_auto_count = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for auto_count (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for <Identifier[auto_count]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_auto_count
  gc_frame_end(frame);
  return *var_auto_count;
}
Object meth_parser_auto_count_58__61_11737(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 80, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "auto_count:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_auto_count = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for auto_count:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for <Identifier[auto_count:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_auto_count = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_don_39_tTakeBlock11740(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 81, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "don'tTakeBlock");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_don_39_tTakeBlock = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for don'tTakeBlock (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for <Identifier[don'tTakeBlock]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_don_39_tTakeBlock
  gc_frame_end(frame);
  return *var_don_39_tTakeBlock;
}
Object meth_parser_don_39_tTakeBlock_58__61_11741(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 82, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "don'tTakeBlock:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_don_39_tTakeBlock = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for don'tTakeBlock:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for <Identifier[don'tTakeBlock:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_don_39_tTakeBlock = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_braceIsType11744(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 83, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "braceIsType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_braceIsType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for braceIsType (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for <Identifier[braceIsType]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_braceIsType
  gc_frame_end(frame);
  return *var_braceIsType;
}
Object meth_parser_braceIsType_58__61_11745(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 84, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "braceIsType:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_braceIsType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for braceIsType:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for <Identifier[braceIsType:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_braceIsType = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_defaultDefVisibility11748(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 85, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defaultDefVisibility");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_defaultDefVisibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defaultDefVisibility (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for <Identifier[defaultDefVisibility]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_defaultDefVisibility
  gc_frame_end(frame);
  return *var_defaultDefVisibility;
}
Object meth_parser_defaultDefVisibility_58__61_11749(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 86, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defaultDefVisibility:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_defaultDefVisibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defaultDefVisibility:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for <Identifier[defaultDefVisibility:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_defaultDefVisibility = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_defaultVarVisibility11752(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 87, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defaultVarVisibility");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_defaultVarVisibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defaultVarVisibility (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for <Identifier[defaultVarVisibility]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_defaultVarVisibility
  gc_frame_end(frame);
  return *var_defaultVarVisibility;
}
Object meth_parser_defaultVarVisibility_58__61_11753(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 88, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defaultVarVisibility:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_defaultVarVisibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defaultVarVisibility:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for <Identifier[defaultVarVisibility:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_defaultVarVisibility = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_defaultMethodVisibility11756(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 89, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defaultMethodVisibility");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_defaultMethodVisibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defaultMethodVisibility (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for <Identifier[defaultMethodVisibility]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_defaultMethodVisibility
  gc_frame_end(frame);
  return *var_defaultMethodVisibility;
}
Object meth_parser_defaultMethodVisibility_58__61_11757(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 90, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defaultMethodVisibility:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_defaultMethodVisibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defaultMethodVisibility:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for <Identifier[defaultMethodVisibility:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_defaultMethodVisibility = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_sym11759(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 91, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "sym");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for sym (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for <Identifier[sym]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_sym
  gc_frame_end(frame);
  return *var_sym;
}
Object meth_parser_sym_58__61_11760(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 92, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "sym:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for sym:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for <Identifier[sym:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_sym = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_lastToken11776(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 93, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lastToken (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for <Identifier[lastToken]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_lastToken
  gc_frame_end(frame);
  return *var_lastToken;
}
Object meth_parser_lastToken_58__61_11777(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 94, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastToken:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for lastToken:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for <Identifier[lastToken:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_lastToken = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object meth_parser_comment11780(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 95, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "comment");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_comment = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for comment (probably reflection error): got %i lists, expected 1.", nparts);
if (argcv && argcv[0] > 0)
  gracedie("too many arguments for <Identifier[comment]>");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning *var_comment
  gc_frame_end(frame);
  return *var_comment;
}
Object meth_parser_comment_58__61_11781(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 96, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "comment:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method");
  Object params[1];
  int partcv[1];
  Object *var_comment = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for comment:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
if (argcv && argcv[0] > 1)
  gracedie("too many arguments for <Identifier[comment:=]>");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// compilenode returning *var__var_assign_tmp
  *var_comment = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compilenode returning done
  gc_frame_end(frame);
  return done;
}
Object module_parser_init() {
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(101, 101);
  self->class->definitionModule = modulename;
  gc_root(self);
  prelude = module_StandardPrelude_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
  setclassname(self, "Module<parser>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(101, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object params[1];
  int partcv[1];
Object *var_io = alloc_var();
Object *var_ast = alloc_var();
Object *var_util = alloc_var();
Object *var_collections = alloc_var();
Object *var_errormessages = alloc_var();
  Object *var_don_39_tBreak = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "don'tBreak");
  Object *var_lastline = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "lastline");
  Object *var_linenum = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "linenum");
  Object *var_lastIndent = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "lastIndent");
  Object *var_indentFreePass = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "indentFreePass");
  Object *var_minIndentLevel = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "minIndentLevel");
  Object *var_statementIndent = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "statementIndent");
  Object *var_statementToken = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "statementToken");
  Object *var_tokens = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "tokens");
  Object *var_values = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "values");
  Object *var_auto_count = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "auto_count");
  Object *var_don_39_tTakeBlock = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "don'tTakeBlock");
  Object *var_braceIsType = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "braceIsType");
  Object *var_defaultDefVisibility = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "defaultDefVisibility");
  Object *var_defaultVarVisibility = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "defaultVarVisibility");
  Object *var_defaultMethodVisibility = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "defaultMethodVisibility");
  Object *var_sym = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "sym");
  Object *var_lastToken = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "lastToken");
  Object *var_comment = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "comment");
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure0 = createclosure(8, "next");
setclosureframe(closure0, stackframe);
  addtoclosure(closure0, var_sym);
  addtoclosure(closure0, var_lastToken);
  addtoclosure(closure0, var_tokens);
  addtoclosure(closure0, var_linenum);
  addtoclosure(closure0, var_lastline);
  addtoclosure(closure0, var_lastIndent);
  addtoclosure(closure0, var_comment);
  addtoclosure(closure0, var_util);
  struct UserObject *uo0 = (struct UserObject*)self;
  uo0->data[1] = (Object)closure0;
  Method *meth_meth_parser_next0 = addmethod2pos(self, "next", &meth_parser_next0, 1);
int argcv_meth_parser_next0[] = {0};
meth_meth_parser_next0->type = alloc_MethodType(1, argcv_meth_parser_next0);
  meth_meth_parser_next0->definitionModule = modulename;
  meth_meth_parser_next0->definitionLine = 40;
// compilenode returning 
// Begin line 69
  setline(69);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure94 = createclosure(2, "findNextToken");
setclosureframe(closure94, stackframe);
  addtoclosure(closure94, var_sym);
  addtoclosure(closure94, var_lastToken);
  struct UserObject *uo94 = (struct UserObject*)self;
  uo94->data[2] = (Object)closure94;
  Method *meth_meth_parser_findNextToken94 = addmethod2pos(self, "findNextToken", &meth_parser_findNextToken94, 2);
int argcv_meth_parser_findNextToken94[] = {1};
meth_meth_parser_findNextToken94->type = alloc_MethodType(1, argcv_meth_parser_findNextToken94);
  meth_meth_parser_findNextToken94->definitionModule = modulename;
  meth_meth_parser_findNextToken94->definitionLine = 69;
// compilenode returning 
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure139 = createclosure(1, "findNextTokenIndentedAt");
setclosureframe(closure139, stackframe);
  addtoclosure(closure139, var_sym);
  struct UserObject *uo139 = (struct UserObject*)self;
  uo139->data[3] = (Object)closure139;
  Method *meth_meth_parser_findNextTokenIndentedAt139 = addmethod2pos(self, "findNextTokenIndentedAt", &meth_parser_findNextTokenIndentedAt139, 3);
int argcv_meth_parser_findNextTokenIndentedAt139[] = {1};
meth_meth_parser_findNextTokenIndentedAt139->type = alloc_MethodType(1, argcv_meth_parser_findNextTokenIndentedAt139);
  meth_meth_parser_findNextTokenIndentedAt139->definitionModule = modulename;
  meth_meth_parser_findNextTokenIndentedAt139->definitionLine = 84;
// compilenode returning 
// Begin line 99
  setline(99);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure220 = createclosure(1, "findNextValidToken");
setclosureframe(closure220, stackframe);
  addtoclosure(closure220, var_sym);
  struct UserObject *uo220 = (struct UserObject*)self;
  uo220->data[4] = (Object)closure220;
  Method *meth_meth_parser_findNextValidToken220 = addmethod2pos(self, "findNextValidToken", &meth_parser_findNextValidToken220, 4);
int argcv_meth_parser_findNextValidToken220[] = {0};
meth_meth_parser_findNextValidToken220->type = alloc_MethodType(1, argcv_meth_parser_findNextValidToken220);
  meth_meth_parser_findNextValidToken220->definitionModule = modulename;
  meth_meth_parser_findNextValidToken220->definitionLine = 99;
// compilenode returning 
// Begin line 123
  setline(123);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure259 = createclosure(1, "findClosingBrace");
setclosureframe(closure259, stackframe);
  addtoclosure(closure259, var_sym);
  struct UserObject *uo259 = (struct UserObject*)self;
  uo259->data[5] = (Object)closure259;
  Method *meth_meth_parser_findClosingBrace259 = addmethod2pos(self, "findClosingBrace", &meth_parser_findClosingBrace259, 5);
int argcv_meth_parser_findClosingBrace259[] = {2};
meth_meth_parser_findClosingBrace259->type = alloc_MethodType(1, argcv_meth_parser_findClosingBrace259);
  meth_meth_parser_findClosingBrace259->definitionModule = modulename;
  meth_meth_parser_findClosingBrace259->definitionLine = 123;
  block_savedest(self);
  Object closure411 = createclosure(1, "findClosingBrace()object");
setclosureframe(closure411, stackframe);
  addtoclosure(closure411, var_sym);
  Method *meth_meth_parser_findClosingBrace259_object = addmethod2pos(self, "findClosingBrace()object", &meth_parser_findClosingBrace259_object, 5);
  meth_meth_parser_findClosingBrace259_object->definitionModule = modulename;
  meth_meth_parser_findClosingBrace259_object->definitionLine = 123;
// compilenode returning 
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure412 = createclosure(1, "accept");
setclosureframe(closure412, stackframe);
  addtoclosure(closure412, var_sym);
  struct UserObject *uo412 = (struct UserObject*)self;
  uo412->data[6] = (Object)closure412;
  Method *meth_meth_parser_accept412 = addmethod2pos(self, "accept", &meth_parser_accept412, 6);
int argcv_meth_parser_accept412[] = {1};
meth_meth_parser_accept412->type = alloc_MethodType(1, argcv_meth_parser_accept412);
  meth_meth_parser_accept412->definitionModule = modulename;
  meth_meth_parser_accept412->definitionLine = 159;
// compilenode returning 
// Begin line 166
  setline(166);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure418 = createclosure(3, "acceptSameLine");
setclosureframe(closure418, stackframe);
  addtoclosure(closure418, var_lastIndent);
  addtoclosure(closure418, var_sym);
  addtoclosure(closure418, var_lastline);
  struct UserObject *uo418 = (struct UserObject*)self;
  uo418->data[7] = (Object)closure418;
  Method *meth_meth_parser_acceptSameLine418 = addmethod2pos(self, "acceptSameLine", &meth_parser_acceptSameLine418, 7);
int argcv_meth_parser_acceptSameLine418[] = {1};
meth_meth_parser_acceptSameLine418->type = alloc_MethodType(1, argcv_meth_parser_acceptSameLine418);
  meth_meth_parser_acceptSameLine418->definitionModule = modulename;
  meth_meth_parser_acceptSameLine418->definitionLine = 166;
// compilenode returning 
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure440 = createclosure(1, "accept()onLineOf");
setclosureframe(closure440, stackframe);
  addtoclosure(closure440, var_sym);
  struct UserObject *uo440 = (struct UserObject*)self;
  uo440->data[8] = (Object)closure440;
  Method *meth_meth_parser_accept_40__41_onLineOf440 = addmethod2pos(self, "accept()onLineOf", &meth_parser_accept_40__41_onLineOf440, 8);
int argcv_meth_parser_accept_40__41_onLineOf440[] = {1, 1};
meth_meth_parser_accept_40__41_onLineOf440->type = alloc_MethodType(2, argcv_meth_parser_accept_40__41_onLineOf440);
  meth_meth_parser_accept_40__41_onLineOf440->definitionModule = modulename;
  meth_meth_parser_accept_40__41_onLineOf440->definitionLine = 173;
// compilenode returning 
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure466 = createclosure(2, "accept()onLineOfLastOr");
setclosureframe(closure466, stackframe);
  addtoclosure(closure466, var_sym);
  addtoclosure(closure466, var_lastToken);
  struct UserObject *uo466 = (struct UserObject*)self;
  uo466->data[9] = (Object)closure466;
  Method *meth_meth_parser_accept_40__41_onLineOfLastOr466 = addmethod2pos(self, "accept()onLineOfLastOr", &meth_parser_accept_40__41_onLineOfLastOr466, 9);
int argcv_meth_parser_accept_40__41_onLineOfLastOr466[] = {1, 1};
meth_meth_parser_accept_40__41_onLineOfLastOr466->type = alloc_MethodType(2, argcv_meth_parser_accept_40__41_onLineOfLastOr466);
  meth_meth_parser_accept_40__41_onLineOfLastOr466->definitionModule = modulename;
  meth_meth_parser_accept_40__41_onLineOfLastOr466->definitionLine = 179;
// compilenode returning 
// Begin line 184
  setline(184);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure502 = createclosure(3, "tokenOnSameLine");
setclosureframe(closure502, stackframe);
  addtoclosure(closure502, var_lastIndent);
  addtoclosure(closure502, var_sym);
  addtoclosure(closure502, var_lastline);
  struct UserObject *uo502 = (struct UserObject*)self;
  uo502->data[10] = (Object)closure502;
  Method *meth_meth_parser_tokenOnSameLine502 = addmethod2pos(self, "tokenOnSameLine", &meth_parser_tokenOnSameLine502, 10);
int argcv_meth_parser_tokenOnSameLine502[] = {0};
meth_meth_parser_tokenOnSameLine502->type = alloc_MethodType(1, argcv_meth_parser_tokenOnSameLine502);
  meth_meth_parser_tokenOnSameLine502->definitionModule = modulename;
  meth_meth_parser_tokenOnSameLine502->definitionLine = 184;
// compilenode returning 
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure516 = createclosure(1, "didConsume");
setclosureframe(closure516, stackframe);
  addtoclosure(closure516, var_tokens);
  struct UserObject *uo516 = (struct UserObject*)self;
  uo516->data[11] = (Object)closure516;
  Method *meth_meth_parser_didConsume516 = addmethod2pos(self, "didConsume", &meth_parser_didConsume516, 11);
int argcv_meth_parser_didConsume516[] = {1};
meth_meth_parser_didConsume516->type = alloc_MethodType(1, argcv_meth_parser_didConsume516);
  meth_meth_parser_didConsume516->definitionModule = modulename;
  meth_meth_parser_didConsume516->definitionLine = 188;
// compilenode returning 
// Begin line 194
  setline(194);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure526 = createclosure(1, "ifConsume()then");
setclosureframe(closure526, stackframe);
  addtoclosure(closure526, var_tokens);
  struct UserObject *uo526 = (struct UserObject*)self;
  uo526->data[12] = (Object)closure526;
  Method *meth_meth_parser_ifConsume_40__41_then526 = addmethod2pos(self, "ifConsume()then", &meth_parser_ifConsume_40__41_then526, 12);
int argcv_meth_parser_ifConsume_40__41_then526[] = {1, 1};
meth_meth_parser_ifConsume_40__41_then526->type = alloc_MethodType(2, argcv_meth_parser_ifConsume_40__41_then526);
  meth_meth_parser_ifConsume_40__41_then526->definitionModule = modulename;
  meth_meth_parser_ifConsume_40__41_then526->definitionLine = 194;
// compilenode returning 
// Begin line 203
  setline(203);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure539 = createclosure(3, "pushnum");
setclosureframe(closure539, stackframe);
  addtoclosure(closure539, var_sym);
  addtoclosure(closure539, var_ast);
  addtoclosure(closure539, var_values);
  struct UserObject *uo539 = (struct UserObject*)self;
  uo539->data[13] = (Object)closure539;
  Method *meth_meth_parser_pushnum539 = addmethod2pos(self, "pushnum", &meth_parser_pushnum539, 13);
int argcv_meth_parser_pushnum539[] = {0};
meth_meth_parser_pushnum539->type = alloc_MethodType(1, argcv_meth_parser_pushnum539);
  meth_meth_parser_pushnum539->definitionModule = modulename;
  meth_meth_parser_pushnum539->definitionLine = 203;
// compilenode returning 
// Begin line 210
  setline(210);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure550 = createclosure(3, "pushoctets");
setclosureframe(closure550, stackframe);
  addtoclosure(closure550, var_sym);
  addtoclosure(closure550, var_ast);
  addtoclosure(closure550, var_values);
  struct UserObject *uo550 = (struct UserObject*)self;
  uo550->data[14] = (Object)closure550;
  Method *meth_meth_parser_pushoctets550 = addmethod2pos(self, "pushoctets", &meth_parser_pushoctets550, 14);
int argcv_meth_parser_pushoctets550[] = {0};
meth_meth_parser_pushoctets550->type = alloc_MethodType(1, argcv_meth_parser_pushoctets550);
  meth_meth_parser_pushoctets550->definitionModule = modulename;
  meth_meth_parser_pushoctets550->definitionLine = 210;
// compilenode returning 
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure561 = createclosure(3, "pushstring");
setclosureframe(closure561, stackframe);
  addtoclosure(closure561, var_sym);
  addtoclosure(closure561, var_ast);
  addtoclosure(closure561, var_values);
  struct UserObject *uo561 = (struct UserObject*)self;
  uo561->data[15] = (Object)closure561;
  Method *meth_meth_parser_pushstring561 = addmethod2pos(self, "pushstring", &meth_parser_pushstring561, 15);
int argcv_meth_parser_pushstring561[] = {0};
meth_meth_parser_pushstring561->type = alloc_MethodType(1, argcv_meth_parser_pushstring561);
  meth_meth_parser_pushstring561->definitionModule = modulename;
  meth_meth_parser_pushstring561->definitionLine = 217;
// compilenode returning 
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure572 = createclosure(5, "pushidentifier");
setclosureframe(closure572, stackframe);
  addtoclosure(closure572, var_sym);
  addtoclosure(closure572, var_util);
  addtoclosure(closure572, var_ast);
  addtoclosure(closure572, var_auto_count);
  addtoclosure(closure572, var_values);
  struct UserObject *uo572 = (struct UserObject*)self;
  uo572->data[16] = (Object)closure572;
  Method *meth_meth_parser_pushidentifier572 = addmethod2pos(self, "pushidentifier", &meth_parser_pushidentifier572, 16);
int argcv_meth_parser_pushidentifier572[] = {0};
meth_meth_parser_pushidentifier572->type = alloc_MethodType(1, argcv_meth_parser_pushidentifier572);
  meth_meth_parser_pushidentifier572->definitionModule = modulename;
  meth_meth_parser_pushidentifier572->definitionLine = 225;
// compilenode returning 
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure609 = createclosure(2, "checkAnnotation");
setclosureframe(closure609, stackframe);
  addtoclosure(closure609, var_sym);
  addtoclosure(closure609, var_errormessages);
  struct UserObject *uo609 = (struct UserObject*)self;
  uo609->data[17] = (Object)closure609;
  Method *meth_meth_parser_checkAnnotation609 = addmethod2pos(self, "checkAnnotation", &meth_parser_checkAnnotation609, 17);
int argcv_meth_parser_checkAnnotation609[] = {1};
meth_meth_parser_checkAnnotation609->type = alloc_MethodType(1, argcv_meth_parser_checkAnnotation609);
  meth_meth_parser_checkAnnotation609->definitionModule = modulename;
  meth_meth_parser_checkAnnotation609->definitionLine = 236;
// compilenode returning 
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure698 = createclosure(6, "doannotation");
setclosureframe(closure698, stackframe);
  addtoclosure(closure698, var_sym);
  addtoclosure(closure698, var_collections);
  addtoclosure(closure698, var_don_39_tTakeBlock);
  addtoclosure(closure698, var_errormessages);
  addtoclosure(closure698, var_lastToken);
  addtoclosure(closure698, var_values);
  struct UserObject *uo698 = (struct UserObject*)self;
  uo698->data[18] = (Object)closure698;
  Method *meth_meth_parser_doannotation698 = addmethod2pos(self, "doannotation", &meth_parser_doannotation698, 18);
int argcv_meth_parser_doannotation698[] = {0};
meth_meth_parser_doannotation698->type = alloc_MethodType(1, argcv_meth_parser_doannotation698);
  meth_meth_parser_doannotation698->definitionModule = modulename;
  meth_meth_parser_doannotation698->definitionLine = 254;
// compilenode returning 
// Begin line 302
  setline(302);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure878 = createclosure(4, "blank");
setclosureframe(closure878, stackframe);
  addtoclosure(closure878, var_lastToken);
  addtoclosure(closure878, var_sym);
  addtoclosure(closure878, var_values);
  addtoclosure(closure878, var_ast);
  struct UserObject *uo878 = (struct UserObject*)self;
  uo878->data[19] = (Object)closure878;
  Method *meth_meth_parser_blank878 = addmethod2pos(self, "blank", &meth_parser_blank878, 19);
int argcv_meth_parser_blank878[] = {0};
meth_meth_parser_blank878->type = alloc_MethodType(1, argcv_meth_parser_blank878);
  meth_meth_parser_blank878->definitionModule = modulename;
  meth_meth_parser_blank878->definitionLine = 302;
// compilenode returning 
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure913 = createclosure(2, "dotypeterm");
setclosureframe(closure913, stackframe);
  addtoclosure(closure913, var_don_39_tTakeBlock);
  addtoclosure(closure913, var_sym);
  struct UserObject *uo913 = (struct UserObject*)self;
  uo913->data[20] = (Object)closure913;
  Method *meth_meth_parser_dotypeterm913 = addmethod2pos(self, "dotypeterm", &meth_parser_dotypeterm913, 20);
int argcv_meth_parser_dotypeterm913[] = {0};
meth_meth_parser_dotypeterm913->type = alloc_MethodType(1, argcv_meth_parser_dotypeterm913);
  meth_meth_parser_dotypeterm913->definitionModule = modulename;
  meth_meth_parser_dotypeterm913->definitionLine = 312;
// compilenode returning 
// Begin line 326
  setline(326);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure945 = createclosure(5, "dotyperef");
setclosureframe(closure945, stackframe);
  addtoclosure(closure945, var_errormessages);
  addtoclosure(closure945, var_lastToken);
  addtoclosure(closure945, var_sym);
  addtoclosure(closure945, var_values);
  addtoclosure(closure945, var_ast);
  struct UserObject *uo945 = (struct UserObject*)self;
  uo945->data[21] = (Object)closure945;
  Method *meth_meth_parser_dotyperef945 = addmethod2pos(self, "dotyperef", &meth_parser_dotyperef945, 21);
int argcv_meth_parser_dotyperef945[] = {0};
meth_meth_parser_dotyperef945->type = alloc_MethodType(1, argcv_meth_parser_dotyperef945);
  meth_meth_parser_dotyperef945->definitionModule = modulename;
  meth_meth_parser_dotyperef945->definitionLine = 326;
// compilenode returning 
// Begin line 413
  setline(413);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure1261 = createclosure(11, "block");
setclosureframe(closure1261, stackframe);
  addtoclosure(closure1261, var_sym);
  addtoclosure(closure1261, var_statementIndent);
  addtoclosure(closure1261, var_statementToken);
  addtoclosure(closure1261, var_values);
  addtoclosure(closure1261, var_braceIsType);
  addtoclosure(closure1261, var_errormessages);
  addtoclosure(closure1261, var_lastToken);
  addtoclosure(closure1261, var_indentFreePass);
  addtoclosure(closure1261, var_ast);
  addtoclosure(closure1261, var_minIndentLevel);
  addtoclosure(closure1261, var_util);
  struct UserObject *uo1261 = (struct UserObject*)self;
  uo1261->data[22] = (Object)closure1261;
  Method *meth_meth_parser_block1261 = addmethod2pos(self, "block", &meth_parser_block1261, 22);
int argcv_meth_parser_block1261[] = {0};
meth_meth_parser_block1261->type = alloc_MethodType(1, argcv_meth_parser_block1261);
  meth_meth_parser_block1261->definitionModule = modulename;
  meth_meth_parser_block1261->definitionLine = 413;
// compilenode returning 
// Begin line 583
  setline(583);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure1776 = createclosure(8, "doif");
setclosureframe(closure1776, stackframe);
  addtoclosure(closure1776, var_sym);
  addtoclosure(closure1776, var_errormessages);
  addtoclosure(closure1776, var_lastToken);
  addtoclosure(closure1776, var_values);
  addtoclosure(closure1776, var_minIndentLevel);
  addtoclosure(closure1776, var_statementIndent);
  addtoclosure(closure1776, var_statementToken);
  addtoclosure(closure1776, var_ast);
  struct UserObject *uo1776 = (struct UserObject*)self;
  uo1776->data[23] = (Object)closure1776;
  Method *meth_meth_parser_doif1776 = addmethod2pos(self, "doif", &meth_parser_doif1776, 23);
int argcv_meth_parser_doif1776[] = {0};
meth_meth_parser_doif1776->type = alloc_MethodType(1, argcv_meth_parser_doif1776);
  meth_meth_parser_doif1776->definitionModule = modulename;
  meth_meth_parser_doif1776->definitionLine = 583;
// compilenode returning 
// Begin line 958
  setline(958);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure3087 = createclosure(1, "identifier");
setclosureframe(closure3087, stackframe);
  addtoclosure(closure3087, var_sym);
  struct UserObject *uo3087 = (struct UserObject*)self;
  uo3087->data[24] = (Object)closure3087;
  Method *meth_meth_parser_identifier3087 = addmethod2pos(self, "identifier", &meth_parser_identifier3087, 24);
int argcv_meth_parser_identifier3087[] = {0};
meth_meth_parser_identifier3087->type = alloc_MethodType(1, argcv_meth_parser_identifier3087);
  meth_meth_parser_identifier3087->definitionModule = modulename;
  meth_meth_parser_identifier3087->definitionLine = 958;
// compilenode returning 
// Begin line 968
  setline(968);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure3103 = createclosure(5, "prefixop");
setclosureframe(closure3103, stackframe);
  addtoclosure(closure3103, var_sym);
  addtoclosure(closure3103, var_errormessages);
  addtoclosure(closure3103, var_lastToken);
  addtoclosure(closure3103, var_values);
  addtoclosure(closure3103, var_ast);
  struct UserObject *uo3103 = (struct UserObject*)self;
  uo3103->data[25] = (Object)closure3103;
  Method *meth_meth_parser_prefixop3103 = addmethod2pos(self, "prefixop", &meth_parser_prefixop3103, 25);
int argcv_meth_parser_prefixop3103[] = {0};
meth_meth_parser_prefixop3103->type = alloc_MethodType(1, argcv_meth_parser_prefixop3103);
  meth_meth_parser_prefixop3103->definitionModule = modulename;
  meth_meth_parser_prefixop3103->definitionLine = 968;
// compilenode returning 
// Begin line 1025
  setline(1025);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure3290 = createclosure(5, "generic");
setclosureframe(closure3290, stackframe);
  addtoclosure(closure3290, var_values);
  addtoclosure(closure3290, var_sym);
  addtoclosure(closure3290, var_errormessages);
  addtoclosure(closure3290, var_lastToken);
  addtoclosure(closure3290, var_ast);
  struct UserObject *uo3290 = (struct UserObject*)self;
  uo3290->data[26] = (Object)closure3290;
  Method *meth_meth_parser_generic3290 = addmethod2pos(self, "generic", &meth_parser_generic3290, 26);
int argcv_meth_parser_generic3290[] = {0};
meth_meth_parser_generic3290->type = alloc_MethodType(1, argcv_meth_parser_generic3290);
  meth_meth_parser_generic3290->definitionModule = modulename;
  meth_meth_parser_generic3290->definitionLine = 1025;
// compilenode returning 
// Begin line 1082
  setline(1082);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure3465 = createclosure(7, "trycatch");
setclosureframe(closure3465, stackframe);
  addtoclosure(closure3465, var_sym);
  addtoclosure(closure3465, var_minIndentLevel);
  addtoclosure(closure3465, var_errormessages);
  addtoclosure(closure3465, var_lastToken);
  addtoclosure(closure3465, var_values);
  addtoclosure(closure3465, var_tokens);
  addtoclosure(closure3465, var_ast);
  struct UserObject *uo3465 = (struct UserObject*)self;
  uo3465->data[27] = (Object)closure3465;
  Method *meth_meth_parser_trycatch3465 = addmethod2pos(self, "trycatch", &meth_parser_trycatch3465, 27);
int argcv_meth_parser_trycatch3465[] = {0};
meth_meth_parser_trycatch3465->type = alloc_MethodType(1, argcv_meth_parser_trycatch3465);
  meth_meth_parser_trycatch3465->definitionModule = modulename;
  meth_meth_parser_trycatch3465->definitionLine = 1082;
// compilenode returning 
// Begin line 1249
  setline(1249);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure4057 = createclosure(8, "catchcase");
setclosureframe(closure4057, stackframe);
  addtoclosure(closure4057, var_sym);
  addtoclosure(closure4057, var_minIndentLevel);
  addtoclosure(closure4057, var_util);
  addtoclosure(closure4057, var_errormessages);
  addtoclosure(closure4057, var_lastToken);
  addtoclosure(closure4057, var_values);
  addtoclosure(closure4057, var_tokens);
  addtoclosure(closure4057, var_ast);
  struct UserObject *uo4057 = (struct UserObject*)self;
  uo4057->data[28] = (Object)closure4057;
  Method *meth_meth_parser_catchcase4057 = addmethod2pos(self, "catchcase", &meth_parser_catchcase4057, 28);
int argcv_meth_parser_catchcase4057[] = {0};
meth_meth_parser_catchcase4057->type = alloc_MethodType(1, argcv_meth_parser_catchcase4057);
  meth_meth_parser_catchcase4057->definitionModule = modulename;
  meth_meth_parser_catchcase4057->definitionLine = 1249;
// compilenode returning 
// Begin line 1410
  setline(1410);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure4619 = createclosure(7, "matchcase");
setclosureframe(closure4619, stackframe);
  addtoclosure(closure4619, var_sym);
  addtoclosure(closure4619, var_minIndentLevel);
  addtoclosure(closure4619, var_errormessages);
  addtoclosure(closure4619, var_lastToken);
  addtoclosure(closure4619, var_values);
  addtoclosure(closure4619, var_tokens);
  addtoclosure(closure4619, var_ast);
  struct UserObject *uo4619 = (struct UserObject*)self;
  uo4619->data[29] = (Object)closure4619;
  Method *meth_meth_parser_matchcase4619 = addmethod2pos(self, "matchcase", &meth_parser_matchcase4619, 29);
int argcv_meth_parser_matchcase4619[] = {0};
meth_meth_parser_matchcase4619->type = alloc_MethodType(1, argcv_meth_parser_matchcase4619);
  meth_meth_parser_matchcase4619->definitionModule = modulename;
  meth_meth_parser_matchcase4619->definitionLine = 1410;
// compilenode returning 
// Begin line 1563
  setline(1563);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure5142 = createclosure(1, "term");
setclosureframe(closure5142, stackframe);
  addtoclosure(closure5142, var_sym);
  struct UserObject *uo5142 = (struct UserObject*)self;
  uo5142->data[30] = (Object)closure5142;
  Method *meth_meth_parser_term5142 = addmethod2pos(self, "term", &meth_parser_term5142, 30);
int argcv_meth_parser_term5142[] = {0};
meth_meth_parser_term5142->type = alloc_MethodType(1, argcv_meth_parser_term5142);
  meth_meth_parser_term5142->definitionModule = modulename;
  meth_meth_parser_term5142->definitionLine = 1563;
// compilenode returning 
// Begin line 1596
  setline(1596);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure5262 = createclosure(5, "expression");
setclosureframe(closure5262, stackframe);
  addtoclosure(closure5262, var_values);
  addtoclosure(closure5262, var_statementToken);
  addtoclosure(closure5262, var_sym);
  addtoclosure(closure5262, var_errormessages);
  addtoclosure(closure5262, var_lastToken);
  struct UserObject *uo5262 = (struct UserObject*)self;
  uo5262->data[31] = (Object)closure5262;
  Method *meth_meth_parser_expression5262 = addmethod2pos(self, "expression", &meth_parser_expression5262, 31);
int argcv_meth_parser_expression5262[] = {0};
meth_meth_parser_expression5262->type = alloc_MethodType(1, argcv_meth_parser_expression5262);
  meth_meth_parser_expression5262->definitionModule = modulename;
  meth_meth_parser_expression5262->definitionLine = 1596;
// compilenode returning 
// Begin line 1635
  setline(1635);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure5357 = createclosure(5, "postfixsquare");
setclosureframe(closure5357, stackframe);
  addtoclosure(closure5357, var_values);
  addtoclosure(closure5357, var_errormessages);
  addtoclosure(closure5357, var_sym);
  addtoclosure(closure5357, var_lastToken);
  addtoclosure(closure5357, var_ast);
  struct UserObject *uo5357 = (struct UserObject*)self;
  uo5357->data[32] = (Object)closure5357;
  Method *meth_meth_parser_postfixsquare5357 = addmethod2pos(self, "postfixsquare", &meth_parser_postfixsquare5357, 32);
int argcv_meth_parser_postfixsquare5357[] = {0};
meth_meth_parser_postfixsquare5357->type = alloc_MethodType(1, argcv_meth_parser_postfixsquare5357);
  meth_meth_parser_postfixsquare5357->definitionModule = modulename;
  meth_meth_parser_postfixsquare5357->definitionLine = 1635;
// compilenode returning 
// Begin line 1676
  setline(1676);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo5467 = (struct UserObject*)self;
  uo5467->data[33] = emptyclosure;
  Method *meth_meth_parser_oprec5467 = addmethod2pos(self, "oprec", &meth_parser_oprec5467, 33);
int argcv_meth_parser_oprec5467[] = {1};
meth_meth_parser_oprec5467->type = alloc_MethodType(1, argcv_meth_parser_oprec5467);
  meth_meth_parser_oprec5467->definitionModule = modulename;
  meth_meth_parser_oprec5467->definitionLine = 1676;
// compilenode returning 
// Begin line 1686
  setline(1686);
  setmodule(modulename);
  setsource(originalSourceLines);
  struct UserObject *uo5481 = (struct UserObject*)self;
  uo5481->data[34] = emptyclosure;
  Method *meth_meth_parser_toprec5481 = addmethod2pos(self, "toprec", &meth_parser_toprec5481, 34);
int argcv_meth_parser_toprec5481[] = {1};
meth_meth_parser_toprec5481->type = alloc_MethodType(1, argcv_meth_parser_toprec5481);
  meth_meth_parser_toprec5481->definitionModule = modulename;
  meth_meth_parser_toprec5481->definitionLine = 1686;
// compilenode returning 
// Begin line 1698
  setline(1698);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure5494 = createclosure(7, "expressionrest");
setclosureframe(closure5494, stackframe);
  addtoclosure(closure5494, var_values);
  addtoclosure(closure5494, var_sym);
  addtoclosure(closure5494, var_statementToken);
  addtoclosure(closure5494, var_errormessages);
  addtoclosure(closure5494, var_lastToken);
  addtoclosure(closure5494, var_ast);
  addtoclosure(closure5494, var_util);
  struct UserObject *uo5494 = (struct UserObject*)self;
  uo5494->data[35] = (Object)closure5494;
  Method *meth_meth_parser_expressionrest5494 = addmethod2pos(self, "expressionrest", &meth_parser_expressionrest5494, 35);
int argcv_meth_parser_expressionrest5494[] = {0};
meth_meth_parser_expressionrest5494->type = alloc_MethodType(1, argcv_meth_parser_expressionrest5494);
  meth_meth_parser_expressionrest5494->definitionModule = modulename;
  meth_meth_parser_expressionrest5494->definitionLine = 1698;
// compilenode returning 
// Begin line 1840
  setline(1840);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure5949 = createclosure(5, "dotrest");
setclosureframe(closure5949, stackframe);
  addtoclosure(closure5949, var_values);
  addtoclosure(closure5949, var_sym);
  addtoclosure(closure5949, var_ast);
  addtoclosure(closure5949, var_errormessages);
  addtoclosure(closure5949, var_lastToken);
  struct UserObject *uo5949 = (struct UserObject*)self;
  uo5949->data[36] = (Object)closure5949;
  Method *meth_meth_parser_dotrest5949 = addmethod2pos(self, "dotrest", &meth_parser_dotrest5949, 36);
int argcv_meth_parser_dotrest5949[] = {0};
meth_meth_parser_dotrest5949->type = alloc_MethodType(1, argcv_meth_parser_dotrest5949);
  meth_meth_parser_dotrest5949->definitionModule = modulename;
  meth_meth_parser_dotrest5949->definitionLine = 1840;
// compilenode returning 
// Begin line 1873
  setline(1873);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure6040 = createclosure(10, "callrest");
setclosureframe(closure6040, stackframe);
  addtoclosure(closure6040, var_values);
  addtoclosure(closure6040, var_linenum);
  addtoclosure(closure6040, var_sym);
  addtoclosure(closure6040, var_ast);
  addtoclosure(closure6040, var_lastToken);
  addtoclosure(closure6040, var_minIndentLevel);
  addtoclosure(closure6040, var_collections);
  addtoclosure(closure6040, var_errormessages);
  addtoclosure(closure6040, var_don_39_tTakeBlock);
  addtoclosure(closure6040, var_util);
  struct UserObject *uo6040 = (struct UserObject*)self;
  uo6040->data[37] = (Object)closure6040;
  Method *meth_meth_parser_callrest6040 = addmethod2pos(self, "callrest", &meth_parser_callrest6040, 37);
int argcv_meth_parser_callrest6040[] = {0};
meth_meth_parser_callrest6040->type = alloc_MethodType(1, argcv_meth_parser_callrest6040);
  meth_meth_parser_callrest6040->definitionModule = modulename;
  meth_meth_parser_callrest6040->definitionLine = 1873;
// compilenode returning 
// Begin line 2101
  setline(2101);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure6751 = createclosure(7, "callmprest");
setclosureframe(closure6751, stackframe);
  addtoclosure(closure6751, var_linenum);
  addtoclosure(closure6751, var_lastToken);
  addtoclosure(closure6751, var_ast);
  addtoclosure(closure6751, var_values);
  addtoclosure(closure6751, var_errormessages);
  addtoclosure(closure6751, var_sym);
  addtoclosure(closure6751, var_lastline);
  struct UserObject *uo6751 = (struct UserObject*)self;
  uo6751->data[38] = (Object)closure6751;
  Method *meth_meth_parser_callmprest6751 = addmethod2pos(self, "callmprest", &meth_parser_callmprest6751, 38);
int argcv_meth_parser_callmprest6751[] = {3};
meth_meth_parser_callmprest6751->type = alloc_MethodType(1, argcv_meth_parser_callmprest6751);
  meth_meth_parser_callmprest6751->definitionModule = modulename;
  meth_meth_parser_callmprest6751->definitionLine = 2101;
// compilenode returning 
// Begin line 2232
  setline(2232);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure7183 = createclosure(6, "defdec");
setclosureframe(closure7183, stackframe);
  addtoclosure(closure7183, var_sym);
  addtoclosure(closure7183, var_errormessages);
  addtoclosure(closure7183, var_lastToken);
  addtoclosure(closure7183, var_ast);
  addtoclosure(closure7183, var_values);
  addtoclosure(closure7183, var_defaultDefVisibility);
  struct UserObject *uo7183 = (struct UserObject*)self;
  uo7183->data[39] = (Object)closure7183;
  Method *meth_meth_parser_defdec7183 = addmethod2pos(self, "defdec", &meth_parser_defdec7183, 39);
int argcv_meth_parser_defdec7183[] = {0};
meth_meth_parser_defdec7183->type = alloc_MethodType(1, argcv_meth_parser_defdec7183);
  meth_meth_parser_defdec7183->definitionModule = modulename;
  meth_meth_parser_defdec7183->definitionLine = 2232;
// compilenode returning 
// Begin line 2327
  setline(2327);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure7530 = createclosure(6, "vardec");
setclosureframe(closure7530, stackframe);
  addtoclosure(closure7530, var_sym);
  addtoclosure(closure7530, var_errormessages);
  addtoclosure(closure7530, var_lastToken);
  addtoclosure(closure7530, var_ast);
  addtoclosure(closure7530, var_values);
  addtoclosure(closure7530, var_defaultVarVisibility);
  struct UserObject *uo7530 = (struct UserObject*)self;
  uo7530->data[40] = (Object)closure7530;
  Method *meth_meth_parser_vardec7530 = addmethod2pos(self, "vardec", &meth_parser_vardec7530, 40);
int argcv_meth_parser_vardec7530[] = {0};
meth_meth_parser_vardec7530->type = alloc_MethodType(1, argcv_meth_parser_vardec7530);
  meth_meth_parser_vardec7530->definitionModule = modulename;
  meth_meth_parser_vardec7530->definitionLine = 2327;
// compilenode returning 
// Begin line 2420
  setline(2420);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure7862 = createclosure(5, "doarray");
setclosureframe(closure7862, stackframe);
  addtoclosure(closure7862, var_values);
  addtoclosure(closure7862, var_errormessages);
  addtoclosure(closure7862, var_sym);
  addtoclosure(closure7862, var_lastToken);
  addtoclosure(closure7862, var_ast);
  struct UserObject *uo7862 = (struct UserObject*)self;
  uo7862->data[41] = (Object)closure7862;
  Method *meth_meth_parser_doarray7862 = addmethod2pos(self, "doarray", &meth_parser_doarray7862, 41);
int argcv_meth_parser_doarray7862[] = {0};
meth_meth_parser_doarray7862->type = alloc_MethodType(1, argcv_meth_parser_doarray7862);
  meth_meth_parser_doarray7862->definitionModule = modulename;
  meth_meth_parser_doarray7862->definitionLine = 2420;
// compilenode returning 
// Begin line 2463
  setline(2463);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure7991 = createclosure(5, "dodialect");
setclosureframe(closure7991, stackframe);
  addtoclosure(closure7991, var_sym);
  addtoclosure(closure7991, var_errormessages);
  addtoclosure(closure7991, var_lastToken);
  addtoclosure(closure7991, var_ast);
  addtoclosure(closure7991, var_values);
  struct UserObject *uo7991 = (struct UserObject*)self;
  uo7991->data[42] = (Object)closure7991;
  Method *meth_meth_parser_dodialect7991 = addmethod2pos(self, "dodialect", &meth_parser_dodialect7991, 42);
int argcv_meth_parser_dodialect7991[] = {0};
meth_meth_parser_dodialect7991->type = alloc_MethodType(1, argcv_meth_parser_dodialect7991);
  meth_meth_parser_dodialect7991->definitionModule = modulename;
  meth_meth_parser_dodialect7991->definitionLine = 2463;
// compilenode returning 
// Begin line 2485
  setline(2485);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure8080 = createclosure(5, "inheritsdec");
setclosureframe(closure8080, stackframe);
  addtoclosure(closure8080, var_sym);
  addtoclosure(closure8080, var_errormessages);
  addtoclosure(closure8080, var_lastToken);
  addtoclosure(closure8080, var_values);
  addtoclosure(closure8080, var_ast);
  struct UserObject *uo8080 = (struct UserObject*)self;
  uo8080->data[43] = (Object)closure8080;
  Method *meth_meth_parser_inheritsdec8080 = addmethod2pos(self, "inheritsdec", &meth_parser_inheritsdec8080, 43);
int argcv_meth_parser_inheritsdec8080[] = {0};
meth_meth_parser_inheritsdec8080->type = alloc_MethodType(1, argcv_meth_parser_inheritsdec8080);
  meth_meth_parser_inheritsdec8080->definitionModule = modulename;
  meth_meth_parser_inheritsdec8080->definitionLine = 2485;
// compilenode returning 
// Begin line 2511
  setline(2511);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure8169 = createclosure(8, "doobject");
setclosureframe(closure8169, stackframe);
  addtoclosure(closure8169, var_sym);
  addtoclosure(closure8169, var_minIndentLevel);
  addtoclosure(closure8169, var_errormessages);
  addtoclosure(closure8169, var_lastToken);
  addtoclosure(closure8169, var_values);
  addtoclosure(closure8169, var_statementToken);
  addtoclosure(closure8169, var_util);
  addtoclosure(closure8169, var_ast);
  struct UserObject *uo8169 = (struct UserObject*)self;
  uo8169->data[44] = (Object)closure8169;
  Method *meth_meth_parser_doobject8169 = addmethod2pos(self, "doobject", &meth_parser_doobject8169, 44);
int argcv_meth_parser_doobject8169[] = {0};
meth_meth_parser_doobject8169->type = alloc_MethodType(1, argcv_meth_parser_doobject8169);
  meth_meth_parser_doobject8169->definitionModule = modulename;
  meth_meth_parser_doobject8169->definitionLine = 2511;
// compilenode returning 
// Begin line 2588
  setline(2588);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure8406 = createclosure(10, "doclass");
setclosureframe(closure8406, stackframe);
  addtoclosure(closure8406, var_sym);
  addtoclosure(closure8406, var_minIndentLevel);
  addtoclosure(closure8406, var_errormessages);
  addtoclosure(closure8406, var_lastToken);
  addtoclosure(closure8406, var_tokens);
  addtoclosure(closure8406, var_values);
  addtoclosure(closure8406, var_statementToken);
  addtoclosure(closure8406, var_util);
  addtoclosure(closure8406, var_ast);
  addtoclosure(closure8406, var_defaultMethodVisibility);
  struct UserObject *uo8406 = (struct UserObject*)self;
  uo8406->data[45] = (Object)closure8406;
  Method *meth_meth_parser_doclass8406 = addmethod2pos(self, "doclass", &meth_parser_doclass8406, 45);
int argcv_meth_parser_doclass8406[] = {0};
meth_meth_parser_doclass8406->type = alloc_MethodType(1, argcv_meth_parser_doclass8406);
  meth_meth_parser_doclass8406->definitionModule = modulename;
  meth_meth_parser_doclass8406->definitionLine = 2588;
// compilenode returning 
// Begin line 2677
  setline(2677);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure8704 = createclosure(8, "methoddec");
setclosureframe(closure8704, stackframe);
  addtoclosure(closure8704, var_sym);
  addtoclosure(closure8704, var_minIndentLevel);
  addtoclosure(closure8704, var_values);
  addtoclosure(closure8704, var_errormessages);
  addtoclosure(closure8704, var_lastToken);
  addtoclosure(closure8704, var_util);
  addtoclosure(closure8704, var_ast);
  addtoclosure(closure8704, var_defaultMethodVisibility);
  struct UserObject *uo8704 = (struct UserObject*)self;
  uo8704->data[46] = (Object)closure8704;
  Method *meth_meth_parser_methoddec8704 = addmethod2pos(self, "methoddec", &meth_parser_methoddec8704, 46);
int argcv_meth_parser_methoddec8704[] = {0};
meth_meth_parser_methoddec8704->type = alloc_MethodType(1, argcv_meth_parser_methoddec8704);
  meth_meth_parser_methoddec8704->definitionModule = modulename;
  meth_meth_parser_methoddec8704->definitionLine = 2677;
// compilenode returning 
// Begin line 2769
  setline(2769);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure8948 = createclosure(5, "parsempmndecrest");
setclosureframe(closure8948, stackframe);
  addtoclosure(closure8948, var_ast);
  addtoclosure(closure8948, var_values);
  addtoclosure(closure8948, var_errormessages);
  addtoclosure(closure8948, var_lastToken);
  addtoclosure(closure8948, var_sym);
  struct UserObject *uo8948 = (struct UserObject*)self;
  uo8948->data[47] = (Object)closure8948;
  Method *meth_meth_parser_parsempmndecrest8948 = addmethod2pos(self, "parsempmndecrest", &meth_parser_parsempmndecrest8948, 47);
int argcv_meth_parser_parsempmndecrest8948[] = {2};
meth_meth_parser_parsempmndecrest8948->type = alloc_MethodType(1, argcv_meth_parser_parsempmndecrest8948);
  meth_meth_parser_parsempmndecrest8948->definitionModule = modulename;
  meth_meth_parser_parsempmndecrest8948->definitionLine = 2769;
// compilenode returning 
// Begin line 2850
  setline(2850);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure9206 = createclosure(6, "methodsignature");
setclosureframe(closure9206, stackframe);
  addtoclosure(closure9206, var_sym);
  addtoclosure(closure9206, var_errormessages);
  addtoclosure(closure9206, var_lastToken);
  addtoclosure(closure9206, var_values);
  addtoclosure(closure9206, var_ast);
  addtoclosure(closure9206, var_tokens);
  struct UserObject *uo9206 = (struct UserObject*)self;
  uo9206->data[48] = (Object)closure9206;
  Method *meth_meth_parser_methodsignature9206 = addmethod2pos(self, "methodsignature", &meth_parser_methodsignature9206, 48);
int argcv_meth_parser_methodsignature9206[] = {1};
meth_meth_parser_methodsignature9206->type = alloc_MethodType(1, argcv_meth_parser_methodsignature9206);
  meth_meth_parser_methodsignature9206->definitionModule = modulename;
  meth_meth_parser_methodsignature9206->definitionLine = 2850;
  block_savedest(self);
  Object closure9928 = createclosure(6, "methodsignature()object");
setclosureframe(closure9928, stackframe);
  addtoclosure(closure9928, var_sym);
  addtoclosure(closure9928, var_errormessages);
  addtoclosure(closure9928, var_lastToken);
  addtoclosure(closure9928, var_values);
  addtoclosure(closure9928, var_ast);
  addtoclosure(closure9928, var_tokens);
  Method *meth_meth_parser_methodsignature9206_object = addmethod2pos(self, "methodsignature()object", &meth_parser_methodsignature9206_object, 48);
  meth_meth_parser_methodsignature9206_object->definitionModule = modulename;
  meth_meth_parser_methodsignature9206_object->definitionLine = 2850;
// compilenode returning 
// Begin line 3047
  setline(3047);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure9929 = createclosure(6, "doimport");
setclosureframe(closure9929, stackframe);
  addtoclosure(closure9929, var_sym);
  addtoclosure(closure9929, var_errormessages);
  addtoclosure(closure9929, var_lastToken);
  addtoclosure(closure9929, var_values);
  addtoclosure(closure9929, var_util);
  addtoclosure(closure9929, var_ast);
  struct UserObject *uo9929 = (struct UserObject*)self;
  uo9929->data[49] = (Object)closure9929;
  Method *meth_meth_parser_doimport9929 = addmethod2pos(self, "doimport", &meth_parser_doimport9929, 49);
int argcv_meth_parser_doimport9929[] = {0};
meth_meth_parser_doimport9929->type = alloc_MethodType(1, argcv_meth_parser_doimport9929);
  meth_meth_parser_doimport9929->definitionModule = modulename;
  meth_meth_parser_doimport9929->definitionLine = 3047;
// compilenode returning 
// Begin line 3105
  setline(3105);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure10184 = createclosure(5, "doreturn");
setclosureframe(closure10184, stackframe);
  addtoclosure(closure10184, var_sym);
  addtoclosure(closure10184, var_errormessages);
  addtoclosure(closure10184, var_lastToken);
  addtoclosure(closure10184, var_values);
  addtoclosure(closure10184, var_ast);
  struct UserObject *uo10184 = (struct UserObject*)self;
  uo10184->data[50] = (Object)closure10184;
  Method *meth_meth_parser_doreturn10184 = addmethod2pos(self, "doreturn", &meth_parser_doreturn10184, 50);
int argcv_meth_parser_doreturn10184[] = {0};
meth_meth_parser_doreturn10184->type = alloc_MethodType(1, argcv_meth_parser_doreturn10184);
  meth_meth_parser_doreturn10184->definitionModule = modulename;
  meth_meth_parser_doreturn10184->definitionLine = 3105;
// compilenode returning 
// Begin line 3138
  setline(3138);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure10295 = createclosure(6, "domethodtype");
setclosureframe(closure10295, stackframe);
  addtoclosure(closure10295, var_ast);
  addtoclosure(closure10295, var_values);
  addtoclosure(closure10295, var_sym);
  addtoclosure(closure10295, var_lastToken);
  addtoclosure(closure10295, var_errormessages);
  addtoclosure(closure10295, var_util);
  struct UserObject *uo10295 = (struct UserObject*)self;
  uo10295->data[51] = (Object)closure10295;
  Method *meth_meth_parser_domethodtype10295 = addmethod2pos(self, "domethodtype", &meth_parser_domethodtype10295, 51);
int argcv_meth_parser_domethodtype10295[] = {0};
meth_meth_parser_domethodtype10295->type = alloc_MethodType(1, argcv_meth_parser_domethodtype10295);
  meth_meth_parser_domethodtype10295->definitionModule = modulename;
  meth_meth_parser_domethodtype10295->definitionLine = 3138;
// compilenode returning 
// Begin line 3166
  setline(3166);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure10393 = createclosure(5, "doanontype");
setclosureframe(closure10393, stackframe);
  addtoclosure(closure10393, var_sym);
  addtoclosure(closure10393, var_errormessages);
  addtoclosure(closure10393, var_auto_count);
  addtoclosure(closure10393, var_values);
  addtoclosure(closure10393, var_ast);
  struct UserObject *uo10393 = (struct UserObject*)self;
  uo10393->data[52] = (Object)closure10393;
  Method *meth_meth_parser_doanontype10393 = addmethod2pos(self, "doanontype", &meth_parser_doanontype10393, 52);
int argcv_meth_parser_doanontype10393[] = {0};
meth_meth_parser_doanontype10393->type = alloc_MethodType(1, argcv_meth_parser_doanontype10393);
  meth_meth_parser_doanontype10393->definitionModule = modulename;
  meth_meth_parser_doanontype10393->definitionLine = 3166;
// compilenode returning 
// Begin line 3190
  setline(3190);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure10477 = createclosure(5, "dotype");
setclosureframe(closure10477, stackframe);
  addtoclosure(closure10477, var_sym);
  addtoclosure(closure10477, var_errormessages);
  addtoclosure(closure10477, var_lastToken);
  addtoclosure(closure10477, var_values);
  addtoclosure(closure10477, var_ast);
  struct UserObject *uo10477 = (struct UserObject*)self;
  uo10477->data[53] = (Object)closure10477;
  Method *meth_meth_parser_dotype10477 = addmethod2pos(self, "dotype", &meth_parser_dotype10477, 53);
int argcv_meth_parser_dotype10477[] = {0};
meth_meth_parser_dotype10477->type = alloc_MethodType(1, argcv_meth_parser_dotype10477);
  meth_meth_parser_dotype10477->definitionModule = modulename;
  meth_meth_parser_dotype10477->definitionLine = 3190;
// compilenode returning 
// Begin line 3260
  setline(3260);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure10729 = createclosure(5, "checkIndent");
setclosureframe(closure10729, stackframe);
  addtoclosure(closure10729, var_indentFreePass);
  addtoclosure(closure10729, var_sym);
  addtoclosure(closure10729, var_minIndentLevel);
  addtoclosure(closure10729, var_errormessages);
  addtoclosure(closure10729, var_lastToken);
  struct UserObject *uo10729 = (struct UserObject*)self;
  uo10729->data[54] = (Object)closure10729;
  Method *meth_meth_parser_checkIndent10729 = addmethod2pos(self, "checkIndent", &meth_parser_checkIndent10729, 54);
int argcv_meth_parser_checkIndent10729[] = {0};
meth_meth_parser_checkIndent10729->type = alloc_MethodType(1, argcv_meth_parser_checkIndent10729);
  meth_meth_parser_checkIndent10729->definitionModule = modulename;
  meth_meth_parser_checkIndent10729->definitionLine = 3260;
// compilenode returning 
// Begin line 3301
  setline(3301);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure10909 = createclosure(8, "statement");
setclosureframe(closure10909, stackframe);
  addtoclosure(closure10909, var_sym);
  addtoclosure(closure10909, var_statementIndent);
  addtoclosure(closure10909, var_statementToken);
  addtoclosure(closure10909, var_values);
  addtoclosure(closure10909, var_errormessages);
  addtoclosure(closure10909, var_lastToken);
  addtoclosure(closure10909, var_ast);
  addtoclosure(closure10909, var_indentFreePass);
  struct UserObject *uo10909 = (struct UserObject*)self;
  uo10909->data[55] = (Object)closure10909;
  Method *meth_meth_parser_statement10909 = addmethod2pos(self, "statement", &meth_parser_statement10909, 55);
int argcv_meth_parser_statement10909[] = {0};
meth_meth_parser_statement10909->type = alloc_MethodType(1, argcv_meth_parser_statement10909);
  meth_meth_parser_statement10909->definitionModule = modulename;
  meth_meth_parser_statement10909->definitionLine = 3301;
// compilenode returning 
// Begin line 3367
  setline(3367);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11121 = createclosure(2, "checkBadOperators");
setclosureframe(closure11121, stackframe);
  addtoclosure(closure11121, var_sym);
  addtoclosure(closure11121, var_errormessages);
  struct UserObject *uo11121 = (struct UserObject*)self;
  uo11121->data[56] = (Object)closure11121;
  Method *meth_meth_parser_checkBadOperators11121 = addmethod2pos(self, "checkBadOperators", &meth_parser_checkBadOperators11121, 56);
int argcv_meth_parser_checkBadOperators11121[] = {0};
meth_meth_parser_checkBadOperators11121->type = alloc_MethodType(1, argcv_meth_parser_checkBadOperators11121);
  meth_meth_parser_checkBadOperators11121->definitionModule = modulename;
  meth_meth_parser_checkBadOperators11121->definitionLine = 3367;
// compilenode returning 
// Begin line 3384
  setline(3384);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11168 = createclosure(2, "checkBadAnonymousType");
setclosureframe(closure11168, stackframe);
  addtoclosure(closure11168, var_sym);
  addtoclosure(closure11168, var_errormessages);
  struct UserObject *uo11168 = (struct UserObject*)self;
  uo11168->data[57] = (Object)closure11168;
  Method *meth_meth_parser_checkBadAnonymousType11168 = addmethod2pos(self, "checkBadAnonymousType", &meth_parser_checkBadAnonymousType11168, 57);
int argcv_meth_parser_checkBadAnonymousType11168[] = {0};
meth_meth_parser_checkBadAnonymousType11168->type = alloc_MethodType(1, argcv_meth_parser_checkBadAnonymousType11168);
  meth_meth_parser_checkBadAnonymousType11168->definitionModule = modulename;
  meth_meth_parser_checkBadAnonymousType11168->definitionLine = 3384;
// compilenode returning 
// Begin line 3394
  setline(3394);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11192 = createclosure(5, "checkUnexpectedTokenAfterStatement");
setclosureframe(closure11192, stackframe);
  addtoclosure(closure11192, var_lastToken);
  addtoclosure(closure11192, var_sym);
  addtoclosure(closure11192, var_errormessages);
  addtoclosure(closure11192, var_values);
  addtoclosure(closure11192, var_util);
  struct UserObject *uo11192 = (struct UserObject*)self;
  uo11192->data[58] = (Object)closure11192;
  Method *meth_meth_parser_checkUnexpectedTokenAfterStatement11192 = addmethod2pos(self, "checkUnexpectedTokenAfterStatement", &meth_parser_checkUnexpectedTokenAfterStatement11192, 58);
int argcv_meth_parser_checkUnexpectedTokenAfterStatement11192[] = {0};
meth_meth_parser_checkUnexpectedTokenAfterStatement11192->type = alloc_MethodType(1, argcv_meth_parser_checkUnexpectedTokenAfterStatement11192);
  meth_meth_parser_checkUnexpectedTokenAfterStatement11192->definitionModule = modulename;
  meth_meth_parser_checkUnexpectedTokenAfterStatement11192->definitionLine = 3394;
// compilenode returning 
// Begin line 3465
  setline(3465);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11512 = createclosure(10, "parse");
setclosureframe(closure11512, stackframe);
  addtoclosure(closure11512, var_util);
  addtoclosure(closure11512, var_values);
  addtoclosure(closure11512, var_defaultDefVisibility);
  addtoclosure(closure11512, var_defaultVarVisibility);
  addtoclosure(closure11512, var_defaultMethodVisibility);
  addtoclosure(closure11512, var_tokens);
  addtoclosure(closure11512, var_sym);
  addtoclosure(closure11512, var_lastToken);
  addtoclosure(closure11512, var_linenum);
  addtoclosure(closure11512, var_errormessages);
  struct UserObject *uo11512 = (struct UserObject*)self;
  uo11512->data[59] = (Object)closure11512;
  Method *meth_meth_parser_parse11512 = addmethod2pos(self, "parse", &meth_parser_parse11512, 59);
int argcv_meth_parser_parse11512[] = {1};
meth_meth_parser_parse11512->type = alloc_MethodType(1, argcv_meth_parser_parse11512);
  meth_meth_parser_parse11512->definitionModule = modulename;
  meth_meth_parser_parse11512->definitionLine = 3465;
  block_savedest(self);
  Object closure11697 = createclosure(10, "parse()object");
setclosureframe(closure11697, stackframe);
  addtoclosure(closure11697, var_util);
  addtoclosure(closure11697, var_values);
  addtoclosure(closure11697, var_defaultDefVisibility);
  addtoclosure(closure11697, var_defaultVarVisibility);
  addtoclosure(closure11697, var_defaultMethodVisibility);
  addtoclosure(closure11697, var_tokens);
  addtoclosure(closure11697, var_sym);
  addtoclosure(closure11697, var_lastToken);
  addtoclosure(closure11697, var_linenum);
  addtoclosure(closure11697, var_errormessages);
  Method *meth_meth_parser_parse11512_object = addmethod2pos(self, "parse()object", &meth_parser_parse11512_object, 59);
  meth_meth_parser_parse11512_object->definitionModule = modulename;
  meth_meth_parser_parse11512_object->definitionLine = 3465;
// compilenode returning 
// Begin line 2
  setline(2);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of io as io
  if (module_io == NULL)
    module_io = module_io_init();
  *var_io = module_io;
// compilenode returning done
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of ast as ast
  if (module_ast == NULL)
    module_ast = module_ast_init();
  *var_ast = module_ast;
// compilenode returning done
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of util as util
  if (module_util == NULL)
    module_util = module_util_init();
  *var_util = module_util;
// compilenode returning done
// Begin line 5
  setline(5);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of mgcollections as collections
  if (module_mgcollections == NULL)
    module_mgcollections = module_mgcollections_init();
  *var_collections = module_mgcollections;
// compilenode returning done
// Begin line 6
  setline(6);
  setmodule(modulename);
  setsource(originalSourceLines);
// Import of errormessages as errormessages
  if (module_errormessages == NULL)
    module_errormessages = module_errormessages_init();
  *var_errormessages = module_errormessages;
// compilenode returning done
// compilenode returning 
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 8
  setline(8);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11698 = alloc_Boolean(1);
// compilenode returning bool11698
  *var_don_39_tBreak = bool11698;
  if (bool11698 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11699 = createclosure(1, "don'tBreak");
setclosureframe(closure11699, stackframe);
  addtoclosure(closure11699, var_don_39_tBreak);
  struct UserObject *uo11699 = (struct UserObject*)self;
  uo11699->data[60] = (Object)closure11699;
  Method *meth_meth_parser_don_39_tBreak11699 = addmethod2pos(self, "don'tBreak", &meth_parser_don_39_tBreak11699, 60);
int argcv_meth_parser_don_39_tBreak11699[] = {0};
meth_meth_parser_don_39_tBreak11699->type = alloc_MethodType(1, argcv_meth_parser_don_39_tBreak11699);
  meth_meth_parser_don_39_tBreak11699->definitionModule = modulename;
  meth_meth_parser_don_39_tBreak11699->definitionLine = 3516;
// compilenode returning 
// compilenode returning done
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11700 = alloc_Float64(0);
// compilenode returning num11700
  *var_lastline = num11700;
  if (num11700 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11701 = createclosure(1, "lastline");
setclosureframe(closure11701, stackframe);
  addtoclosure(closure11701, var_lastline);
  struct UserObject *uo11701 = (struct UserObject*)self;
  uo11701->data[61] = (Object)closure11701;
  Method *meth_meth_parser_lastline11701 = addmethod2pos(self, "lastline", &meth_parser_lastline11701, 61);
int argcv_meth_parser_lastline11701[] = {0};
meth_meth_parser_lastline11701->type = alloc_MethodType(1, argcv_meth_parser_lastline11701);
  meth_meth_parser_lastline11701->definitionModule = modulename;
  meth_meth_parser_lastline11701->definitionLine = 3516;
// compilenode returning 
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11702 = createclosure(1, "lastline:=");
setclosureframe(closure11702, stackframe);
  addtoclosure(closure11702, var_lastline);
  struct UserObject *uo11702 = (struct UserObject*)self;
  uo11702->data[62] = (Object)closure11702;
  Method *meth_meth_parser_lastline_58__61_11702 = addmethod2pos(self, "lastline:=", &meth_parser_lastline_58__61_11702, 62);
int argcv_meth_parser_lastline_58__61_11702[] = {1};
meth_meth_parser_lastline_58__61_11702->type = alloc_MethodType(1, argcv_meth_parser_lastline_58__61_11702);
  meth_meth_parser_lastline_58__61_11702->definitionModule = modulename;
  meth_meth_parser_lastline_58__61_11702->definitionLine = 3516;
// compilenode returning 
// compilenode returning done
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11704 = alloc_Float64(0);
// compilenode returning num11704
  *var_linenum = num11704;
  if (num11704 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11705 = createclosure(1, "linenum");
setclosureframe(closure11705, stackframe);
  addtoclosure(closure11705, var_linenum);
  struct UserObject *uo11705 = (struct UserObject*)self;
  uo11705->data[63] = (Object)closure11705;
  Method *meth_meth_parser_linenum11705 = addmethod2pos(self, "linenum", &meth_parser_linenum11705, 63);
int argcv_meth_parser_linenum11705[] = {0};
meth_meth_parser_linenum11705->type = alloc_MethodType(1, argcv_meth_parser_linenum11705);
  meth_meth_parser_linenum11705->definitionModule = modulename;
  meth_meth_parser_linenum11705->definitionLine = 3516;
// compilenode returning 
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11706 = createclosure(1, "linenum:=");
setclosureframe(closure11706, stackframe);
  addtoclosure(closure11706, var_linenum);
  struct UserObject *uo11706 = (struct UserObject*)self;
  uo11706->data[64] = (Object)closure11706;
  Method *meth_meth_parser_linenum_58__61_11706 = addmethod2pos(self, "linenum:=", &meth_parser_linenum_58__61_11706, 64);
int argcv_meth_parser_linenum_58__61_11706[] = {1};
meth_meth_parser_linenum_58__61_11706->type = alloc_MethodType(1, argcv_meth_parser_linenum_58__61_11706);
  meth_meth_parser_linenum_58__61_11706->definitionModule = modulename;
  meth_meth_parser_linenum_58__61_11706->definitionLine = 3516;
// compilenode returning 
// compilenode returning done
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11708 = alloc_Float64(0);
// compilenode returning num11708
  *var_lastIndent = num11708;
  if (num11708 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11709 = createclosure(1, "lastIndent");
setclosureframe(closure11709, stackframe);
  addtoclosure(closure11709, var_lastIndent);
  struct UserObject *uo11709 = (struct UserObject*)self;
  uo11709->data[65] = (Object)closure11709;
  Method *meth_meth_parser_lastIndent11709 = addmethod2pos(self, "lastIndent", &meth_parser_lastIndent11709, 65);
int argcv_meth_parser_lastIndent11709[] = {0};
meth_meth_parser_lastIndent11709->type = alloc_MethodType(1, argcv_meth_parser_lastIndent11709);
  meth_meth_parser_lastIndent11709->definitionModule = modulename;
  meth_meth_parser_lastIndent11709->definitionLine = 3516;
// compilenode returning 
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11710 = createclosure(1, "lastIndent:=");
setclosureframe(closure11710, stackframe);
  addtoclosure(closure11710, var_lastIndent);
  struct UserObject *uo11710 = (struct UserObject*)self;
  uo11710->data[66] = (Object)closure11710;
  Method *meth_meth_parser_lastIndent_58__61_11710 = addmethod2pos(self, "lastIndent:=", &meth_parser_lastIndent_58__61_11710, 66);
int argcv_meth_parser_lastIndent_58__61_11710[] = {1};
meth_meth_parser_lastIndent_58__61_11710->type = alloc_MethodType(1, argcv_meth_parser_lastIndent_58__61_11710);
  meth_meth_parser_lastIndent_58__61_11710->definitionModule = modulename;
  meth_meth_parser_lastIndent_58__61_11710->definitionLine = 3516;
// compilenode returning 
// compilenode returning done
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11712 = alloc_Boolean(0);
// compilenode returning bool11712
  *var_indentFreePass = bool11712;
  if (bool11712 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11713 = createclosure(1, "indentFreePass");
setclosureframe(closure11713, stackframe);
  addtoclosure(closure11713, var_indentFreePass);
  struct UserObject *uo11713 = (struct UserObject*)self;
  uo11713->data[67] = (Object)closure11713;
  Method *meth_meth_parser_indentFreePass11713 = addmethod2pos(self, "indentFreePass", &meth_parser_indentFreePass11713, 67);
int argcv_meth_parser_indentFreePass11713[] = {0};
meth_meth_parser_indentFreePass11713->type = alloc_MethodType(1, argcv_meth_parser_indentFreePass11713);
  meth_meth_parser_indentFreePass11713->definitionModule = modulename;
  meth_meth_parser_indentFreePass11713->definitionLine = 3516;
// compilenode returning 
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11714 = createclosure(1, "indentFreePass:=");
setclosureframe(closure11714, stackframe);
  addtoclosure(closure11714, var_indentFreePass);
  struct UserObject *uo11714 = (struct UserObject*)self;
  uo11714->data[68] = (Object)closure11714;
  Method *meth_meth_parser_indentFreePass_58__61_11714 = addmethod2pos(self, "indentFreePass:=", &meth_parser_indentFreePass_58__61_11714, 68);
int argcv_meth_parser_indentFreePass_58__61_11714[] = {1};
meth_meth_parser_indentFreePass_58__61_11714->type = alloc_MethodType(1, argcv_meth_parser_indentFreePass_58__61_11714);
  meth_meth_parser_indentFreePass_58__61_11714->definitionModule = modulename;
  meth_meth_parser_indentFreePass_58__61_11714->definitionLine = 3516;
// compilenode returning 
// compilenode returning done
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11716 = alloc_Float64(0);
// compilenode returning num11716
  *var_minIndentLevel = num11716;
  if (num11716 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11717 = createclosure(1, "minIndentLevel");
setclosureframe(closure11717, stackframe);
  addtoclosure(closure11717, var_minIndentLevel);
  struct UserObject *uo11717 = (struct UserObject*)self;
  uo11717->data[69] = (Object)closure11717;
  Method *meth_meth_parser_minIndentLevel11717 = addmethod2pos(self, "minIndentLevel", &meth_parser_minIndentLevel11717, 69);
int argcv_meth_parser_minIndentLevel11717[] = {0};
meth_meth_parser_minIndentLevel11717->type = alloc_MethodType(1, argcv_meth_parser_minIndentLevel11717);
  meth_meth_parser_minIndentLevel11717->definitionModule = modulename;
  meth_meth_parser_minIndentLevel11717->definitionLine = 3516;
// compilenode returning 
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11718 = createclosure(1, "minIndentLevel:=");
setclosureframe(closure11718, stackframe);
  addtoclosure(closure11718, var_minIndentLevel);
  struct UserObject *uo11718 = (struct UserObject*)self;
  uo11718->data[70] = (Object)closure11718;
  Method *meth_meth_parser_minIndentLevel_58__61_11718 = addmethod2pos(self, "minIndentLevel:=", &meth_parser_minIndentLevel_58__61_11718, 70);
int argcv_meth_parser_minIndentLevel_58__61_11718[] = {1};
meth_meth_parser_minIndentLevel_58__61_11718->type = alloc_MethodType(1, argcv_meth_parser_minIndentLevel_58__61_11718);
  meth_meth_parser_minIndentLevel_58__61_11718->definitionModule = modulename;
  meth_meth_parser_minIndentLevel_58__61_11718->definitionLine = 3516;
// compilenode returning 
// compilenode returning done
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11720 = alloc_Float64(0);
// compilenode returning num11720
  *var_statementIndent = num11720;
  if (num11720 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11721 = createclosure(1, "statementIndent");
setclosureframe(closure11721, stackframe);
  addtoclosure(closure11721, var_statementIndent);
  struct UserObject *uo11721 = (struct UserObject*)self;
  uo11721->data[71] = (Object)closure11721;
  Method *meth_meth_parser_statementIndent11721 = addmethod2pos(self, "statementIndent", &meth_parser_statementIndent11721, 71);
int argcv_meth_parser_statementIndent11721[] = {0};
meth_meth_parser_statementIndent11721->type = alloc_MethodType(1, argcv_meth_parser_statementIndent11721);
  meth_meth_parser_statementIndent11721->definitionModule = modulename;
  meth_meth_parser_statementIndent11721->definitionLine = 3516;
// compilenode returning 
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11722 = createclosure(1, "statementIndent:=");
setclosureframe(closure11722, stackframe);
  addtoclosure(closure11722, var_statementIndent);
  struct UserObject *uo11722 = (struct UserObject*)self;
  uo11722->data[72] = (Object)closure11722;
  Method *meth_meth_parser_statementIndent_58__61_11722 = addmethod2pos(self, "statementIndent:=", &meth_parser_statementIndent_58__61_11722, 72);
int argcv_meth_parser_statementIndent_58__61_11722[] = {1};
meth_meth_parser_statementIndent_58__61_11722->type = alloc_MethodType(1, argcv_meth_parser_statementIndent_58__61_11722);
  meth_meth_parser_statementIndent_58__61_11722->definitionModule = modulename;
  meth_meth_parser_statementIndent_58__61_11722->definitionLine = 3516;
// compilenode returning 
// compilenode returning done
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_statementToken = undefined;
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11724 = createclosure(1, "statementToken");
setclosureframe(closure11724, stackframe);
  addtoclosure(closure11724, var_statementToken);
  struct UserObject *uo11724 = (struct UserObject*)self;
  uo11724->data[73] = (Object)closure11724;
  Method *meth_meth_parser_statementToken11724 = addmethod2pos(self, "statementToken", &meth_parser_statementToken11724, 73);
int argcv_meth_parser_statementToken11724[] = {0};
meth_meth_parser_statementToken11724->type = alloc_MethodType(1, argcv_meth_parser_statementToken11724);
  meth_meth_parser_statementToken11724->definitionModule = modulename;
  meth_meth_parser_statementToken11724->definitionLine = 3516;
// compilenode returning 
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11725 = createclosure(1, "statementToken:=");
setclosureframe(closure11725, stackframe);
  addtoclosure(closure11725, var_statementToken);
  struct UserObject *uo11725 = (struct UserObject*)self;
  uo11725->data[74] = (Object)closure11725;
  Method *meth_meth_parser_statementToken_58__61_11725 = addmethod2pos(self, "statementToken:=", &meth_parser_statementToken_58__61_11725, 74);
int argcv_meth_parser_statementToken_58__61_11725[] = {1};
meth_meth_parser_statementToken_58__61_11725->type = alloc_MethodType(1, argcv_meth_parser_statementToken_58__61_11725);
  meth_meth_parser_statementToken_58__61_11725->definitionModule = modulename;
  meth_meth_parser_statementToken_58__61_11725->definitionLine = 3516;
// compilenode returning 
// compilenode returning done
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11727 = alloc_Boolean(0);
// compilenode returning bool11727
  *var_tokens = bool11727;
  if (bool11727 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11728 = createclosure(1, "tokens");
setclosureframe(closure11728, stackframe);
  addtoclosure(closure11728, var_tokens);
  struct UserObject *uo11728 = (struct UserObject*)self;
  uo11728->data[75] = (Object)closure11728;
  Method *meth_meth_parser_tokens11728 = addmethod2pos(self, "tokens", &meth_parser_tokens11728, 75);
int argcv_meth_parser_tokens11728[] = {0};
meth_meth_parser_tokens11728->type = alloc_MethodType(1, argcv_meth_parser_tokens11728);
  meth_meth_parser_tokens11728->definitionModule = modulename;
  meth_meth_parser_tokens11728->definitionLine = 3516;
// compilenode returning 
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11729 = createclosure(1, "tokens:=");
setclosureframe(closure11729, stackframe);
  addtoclosure(closure11729, var_tokens);
  struct UserObject *uo11729 = (struct UserObject*)self;
  uo11729->data[76] = (Object)closure11729;
  Method *meth_meth_parser_tokens_58__61_11729 = addmethod2pos(self, "tokens:=", &meth_parser_tokens_58__61_11729, 76);
int argcv_meth_parser_tokens_58__61_11729[] = {1};
meth_meth_parser_tokens_58__61_11729->type = alloc_MethodType(1, argcv_meth_parser_tokens_58__61_11729);
  meth_meth_parser_tokens_58__61_11729->definitionModule = modulename;
  meth_meth_parser_tokens_58__61_11729->definitionLine = 3516;
// compilenode returning 
// compilenode returning done
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object array11731 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compilenode returning array11731
  *var_values = array11731;
  if (array11731 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11732 = createclosure(1, "values");
setclosureframe(closure11732, stackframe);
  addtoclosure(closure11732, var_values);
  struct UserObject *uo11732 = (struct UserObject*)self;
  uo11732->data[77] = (Object)closure11732;
  Method *meth_meth_parser_values11732 = addmethod2pos(self, "values", &meth_parser_values11732, 77);
int argcv_meth_parser_values11732[] = {0};
meth_meth_parser_values11732->type = alloc_MethodType(1, argcv_meth_parser_values11732);
  meth_meth_parser_values11732->definitionModule = modulename;
  meth_meth_parser_values11732->definitionLine = 3516;
// compilenode returning 
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11733 = createclosure(1, "values:=");
setclosureframe(closure11733, stackframe);
  addtoclosure(closure11733, var_values);
  struct UserObject *uo11733 = (struct UserObject*)self;
  uo11733->data[78] = (Object)closure11733;
  Method *meth_meth_parser_values_58__61_11733 = addmethod2pos(self, "values:=", &meth_parser_values_58__61_11733, 78);
int argcv_meth_parser_values_58__61_11733[] = {1};
meth_meth_parser_values_58__61_11733->type = alloc_MethodType(1, argcv_meth_parser_values_58__61_11733);
  meth_meth_parser_values_58__61_11733->definitionModule = modulename;
  meth_meth_parser_values_58__61_11733->definitionLine = 3516;
// compilenode returning 
// compilenode returning done
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11735 = alloc_Float64(0);
// compilenode returning num11735
  *var_auto_count = num11735;
  if (num11735 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11736 = createclosure(1, "auto_count");
setclosureframe(closure11736, stackframe);
  addtoclosure(closure11736, var_auto_count);
  struct UserObject *uo11736 = (struct UserObject*)self;
  uo11736->data[79] = (Object)closure11736;
  Method *meth_meth_parser_auto_count11736 = addmethod2pos(self, "auto_count", &meth_parser_auto_count11736, 79);
int argcv_meth_parser_auto_count11736[] = {0};
meth_meth_parser_auto_count11736->type = alloc_MethodType(1, argcv_meth_parser_auto_count11736);
  meth_meth_parser_auto_count11736->definitionModule = modulename;
  meth_meth_parser_auto_count11736->definitionLine = 3516;
// compilenode returning 
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11737 = createclosure(1, "auto_count:=");
setclosureframe(closure11737, stackframe);
  addtoclosure(closure11737, var_auto_count);
  struct UserObject *uo11737 = (struct UserObject*)self;
  uo11737->data[80] = (Object)closure11737;
  Method *meth_meth_parser_auto_count_58__61_11737 = addmethod2pos(self, "auto_count:=", &meth_parser_auto_count_58__61_11737, 80);
int argcv_meth_parser_auto_count_58__61_11737[] = {1};
meth_meth_parser_auto_count_58__61_11737->type = alloc_MethodType(1, argcv_meth_parser_auto_count_58__61_11737);
  meth_meth_parser_auto_count_58__61_11737->definitionModule = modulename;
  meth_meth_parser_auto_count_58__61_11737->definitionLine = 3516;
// compilenode returning 
// compilenode returning done
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11739 = alloc_Boolean(0);
// compilenode returning bool11739
  *var_don_39_tTakeBlock = bool11739;
  if (bool11739 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11740 = createclosure(1, "don'tTakeBlock");
setclosureframe(closure11740, stackframe);
  addtoclosure(closure11740, var_don_39_tTakeBlock);
  struct UserObject *uo11740 = (struct UserObject*)self;
  uo11740->data[81] = (Object)closure11740;
  Method *meth_meth_parser_don_39_tTakeBlock11740 = addmethod2pos(self, "don'tTakeBlock", &meth_parser_don_39_tTakeBlock11740, 81);
int argcv_meth_parser_don_39_tTakeBlock11740[] = {0};
meth_meth_parser_don_39_tTakeBlock11740->type = alloc_MethodType(1, argcv_meth_parser_don_39_tTakeBlock11740);
  meth_meth_parser_don_39_tTakeBlock11740->definitionModule = modulename;
  meth_meth_parser_don_39_tTakeBlock11740->definitionLine = 3516;
// compilenode returning 
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11741 = createclosure(1, "don'tTakeBlock:=");
setclosureframe(closure11741, stackframe);
  addtoclosure(closure11741, var_don_39_tTakeBlock);
  struct UserObject *uo11741 = (struct UserObject*)self;
  uo11741->data[82] = (Object)closure11741;
  Method *meth_meth_parser_don_39_tTakeBlock_58__61_11741 = addmethod2pos(self, "don'tTakeBlock:=", &meth_parser_don_39_tTakeBlock_58__61_11741, 82);
int argcv_meth_parser_don_39_tTakeBlock_58__61_11741[] = {1};
meth_meth_parser_don_39_tTakeBlock_58__61_11741->type = alloc_MethodType(1, argcv_meth_parser_don_39_tTakeBlock_58__61_11741);
  meth_meth_parser_don_39_tTakeBlock_58__61_11741->definitionModule = modulename;
  meth_meth_parser_don_39_tTakeBlock_58__61_11741->definitionLine = 3516;
// compilenode returning 
// compilenode returning done
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11743 = alloc_Boolean(0);
// compilenode returning bool11743
  *var_braceIsType = bool11743;
  if (bool11743 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11744 = createclosure(1, "braceIsType");
setclosureframe(closure11744, stackframe);
  addtoclosure(closure11744, var_braceIsType);
  struct UserObject *uo11744 = (struct UserObject*)self;
  uo11744->data[83] = (Object)closure11744;
  Method *meth_meth_parser_braceIsType11744 = addmethod2pos(self, "braceIsType", &meth_parser_braceIsType11744, 83);
int argcv_meth_parser_braceIsType11744[] = {0};
meth_meth_parser_braceIsType11744->type = alloc_MethodType(1, argcv_meth_parser_braceIsType11744);
  meth_meth_parser_braceIsType11744->definitionModule = modulename;
  meth_meth_parser_braceIsType11744->definitionLine = 3516;
// compilenode returning 
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11745 = createclosure(1, "braceIsType:=");
setclosureframe(closure11745, stackframe);
  addtoclosure(closure11745, var_braceIsType);
  struct UserObject *uo11745 = (struct UserObject*)self;
  uo11745->data[84] = (Object)closure11745;
  Method *meth_meth_parser_braceIsType_58__61_11745 = addmethod2pos(self, "braceIsType:=", &meth_parser_braceIsType_58__61_11745, 84);
int argcv_meth_parser_braceIsType_58__61_11745[] = {1};
meth_meth_parser_braceIsType_58__61_11745->type = alloc_MethodType(1, argcv_meth_parser_braceIsType_58__61_11745);
  meth_meth_parser_braceIsType_58__61_11745->definitionModule = modulename;
  meth_meth_parser_braceIsType_58__61_11745->definitionLine = 3516;
// compilenode returning 
// compilenode returning done
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11747 == NULL) {
    strlit11747 = alloc_String("confidential");
    gc_root(strlit11747);
  }
// compilenode returning strlit11747
  *var_defaultDefVisibility = strlit11747;
  if (strlit11747 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11748 = createclosure(1, "defaultDefVisibility");
setclosureframe(closure11748, stackframe);
  addtoclosure(closure11748, var_defaultDefVisibility);
  struct UserObject *uo11748 = (struct UserObject*)self;
  uo11748->data[85] = (Object)closure11748;
  Method *meth_meth_parser_defaultDefVisibility11748 = addmethod2pos(self, "defaultDefVisibility", &meth_parser_defaultDefVisibility11748, 85);
int argcv_meth_parser_defaultDefVisibility11748[] = {0};
meth_meth_parser_defaultDefVisibility11748->type = alloc_MethodType(1, argcv_meth_parser_defaultDefVisibility11748);
  meth_meth_parser_defaultDefVisibility11748->definitionModule = modulename;
  meth_meth_parser_defaultDefVisibility11748->definitionLine = 3516;
// compilenode returning 
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11749 = createclosure(1, "defaultDefVisibility:=");
setclosureframe(closure11749, stackframe);
  addtoclosure(closure11749, var_defaultDefVisibility);
  struct UserObject *uo11749 = (struct UserObject*)self;
  uo11749->data[86] = (Object)closure11749;
  Method *meth_meth_parser_defaultDefVisibility_58__61_11749 = addmethod2pos(self, "defaultDefVisibility:=", &meth_parser_defaultDefVisibility_58__61_11749, 86);
int argcv_meth_parser_defaultDefVisibility_58__61_11749[] = {1};
meth_meth_parser_defaultDefVisibility_58__61_11749->type = alloc_MethodType(1, argcv_meth_parser_defaultDefVisibility_58__61_11749);
  meth_meth_parser_defaultDefVisibility_58__61_11749->definitionModule = modulename;
  meth_meth_parser_defaultDefVisibility_58__61_11749->definitionLine = 3516;
// compilenode returning 
// compilenode returning done
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11751 == NULL) {
    strlit11751 = alloc_String("confidential");
    gc_root(strlit11751);
  }
// compilenode returning strlit11751
  *var_defaultVarVisibility = strlit11751;
  if (strlit11751 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11752 = createclosure(1, "defaultVarVisibility");
setclosureframe(closure11752, stackframe);
  addtoclosure(closure11752, var_defaultVarVisibility);
  struct UserObject *uo11752 = (struct UserObject*)self;
  uo11752->data[87] = (Object)closure11752;
  Method *meth_meth_parser_defaultVarVisibility11752 = addmethod2pos(self, "defaultVarVisibility", &meth_parser_defaultVarVisibility11752, 87);
int argcv_meth_parser_defaultVarVisibility11752[] = {0};
meth_meth_parser_defaultVarVisibility11752->type = alloc_MethodType(1, argcv_meth_parser_defaultVarVisibility11752);
  meth_meth_parser_defaultVarVisibility11752->definitionModule = modulename;
  meth_meth_parser_defaultVarVisibility11752->definitionLine = 3516;
// compilenode returning 
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11753 = createclosure(1, "defaultVarVisibility:=");
setclosureframe(closure11753, stackframe);
  addtoclosure(closure11753, var_defaultVarVisibility);
  struct UserObject *uo11753 = (struct UserObject*)self;
  uo11753->data[88] = (Object)closure11753;
  Method *meth_meth_parser_defaultVarVisibility_58__61_11753 = addmethod2pos(self, "defaultVarVisibility:=", &meth_parser_defaultVarVisibility_58__61_11753, 88);
int argcv_meth_parser_defaultVarVisibility_58__61_11753[] = {1};
meth_meth_parser_defaultVarVisibility_58__61_11753->type = alloc_MethodType(1, argcv_meth_parser_defaultVarVisibility_58__61_11753);
  meth_meth_parser_defaultVarVisibility_58__61_11753->definitionModule = modulename;
  meth_meth_parser_defaultVarVisibility_58__61_11753->definitionLine = 3516;
// compilenode returning 
// compilenode returning done
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11755 == NULL) {
    strlit11755 = alloc_String("public");
    gc_root(strlit11755);
  }
// compilenode returning strlit11755
  *var_defaultMethodVisibility = strlit11755;
  if (strlit11755 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11756 = createclosure(1, "defaultMethodVisibility");
setclosureframe(closure11756, stackframe);
  addtoclosure(closure11756, var_defaultMethodVisibility);
  struct UserObject *uo11756 = (struct UserObject*)self;
  uo11756->data[89] = (Object)closure11756;
  Method *meth_meth_parser_defaultMethodVisibility11756 = addmethod2pos(self, "defaultMethodVisibility", &meth_parser_defaultMethodVisibility11756, 89);
int argcv_meth_parser_defaultMethodVisibility11756[] = {0};
meth_meth_parser_defaultMethodVisibility11756->type = alloc_MethodType(1, argcv_meth_parser_defaultMethodVisibility11756);
  meth_meth_parser_defaultMethodVisibility11756->definitionModule = modulename;
  meth_meth_parser_defaultMethodVisibility11756->definitionLine = 3516;
// compilenode returning 
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11757 = createclosure(1, "defaultMethodVisibility:=");
setclosureframe(closure11757, stackframe);
  addtoclosure(closure11757, var_defaultMethodVisibility);
  struct UserObject *uo11757 = (struct UserObject*)self;
  uo11757->data[90] = (Object)closure11757;
  Method *meth_meth_parser_defaultMethodVisibility_58__61_11757 = addmethod2pos(self, "defaultMethodVisibility:=", &meth_parser_defaultMethodVisibility_58__61_11757, 90);
int argcv_meth_parser_defaultMethodVisibility_58__61_11757[] = {1};
meth_meth_parser_defaultMethodVisibility_58__61_11757->type = alloc_MethodType(1, argcv_meth_parser_defaultMethodVisibility_58__61_11757);
  meth_meth_parser_defaultMethodVisibility_58__61_11757->definitionModule = modulename;
  meth_meth_parser_defaultMethodVisibility_58__61_11757->definitionLine = 3516;
// compilenode returning 
// compilenode returning done
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
  *var_sym = undefined;
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11759 = createclosure(1, "sym");
setclosureframe(closure11759, stackframe);
  addtoclosure(closure11759, var_sym);
  struct UserObject *uo11759 = (struct UserObject*)self;
  uo11759->data[91] = (Object)closure11759;
  Method *meth_meth_parser_sym11759 = addmethod2pos(self, "sym", &meth_parser_sym11759, 91);
int argcv_meth_parser_sym11759[] = {0};
meth_meth_parser_sym11759->type = alloc_MethodType(1, argcv_meth_parser_sym11759);
  meth_meth_parser_sym11759->definitionModule = modulename;
  meth_meth_parser_sym11759->definitionLine = 3516;
// compilenode returning 
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11760 = createclosure(1, "sym:=");
setclosureframe(closure11760, stackframe);
  addtoclosure(closure11760, var_sym);
  struct UserObject *uo11760 = (struct UserObject*)self;
  uo11760->data[92] = (Object)closure11760;
  Method *meth_meth_parser_sym_58__61_11760 = addmethod2pos(self, "sym:=", &meth_parser_sym_58__61_11760, 92);
int argcv_meth_parser_sym_58__61_11760[] = {1};
meth_meth_parser_sym_58__61_11760->type = alloc_MethodType(1, argcv_meth_parser_sym_58__61_11760);
  meth_meth_parser_sym_58__61_11760->definitionModule = modulename;
  meth_meth_parser_sym_58__61_11760->definitionLine = 3516;
// compilenode returning 
// compilenode returning done
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object inheritingObject11762 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj11762 = alloc_userobj2(11,7, objclass11762);
  gc_frame_newslot(obj11762);
// OBJECT OUTER DEC outer
  adddatum2(obj11762, self, 0);
  addmethodreal(obj11762,"outer", &reader_parser_outer_11763);
  Object oldself11762 = self;
  struct StackFrameObject *oldstackframe11762 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe11762);
  gc_frame_newslot((Object)stackframe);
  self = obj11762;
  Object *oldselfslot11762 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter11762 = (*(struct UserObject *)self).data[0], lowerouter11762 = thisouter11762;
  if (inheritingObject11762) {
    struct UserObject *inho11762 = (struct UserObject *)inheritingObject11762;
    while (inho11762->super != GraceDefaultObject) inho11762 = (struct UserObject *)inho11762->super;
    inho11762->super = obj11762;
    self = inheritingObject11762;
    *selfslot = self;
    lowerouter11762 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter11762;
  }
if (objclass11762 == NULL) {
  Method *reader11764 = addmethodrealflags(obj11762, "kind",&reader_parser_kind_11764, 0);
  Method *writer11764 = addmethodrealflags(obj11762, "kind:=",&writer_parser_kind_11764, 0);
  reader11764->definitionModule = modulename;
  writer11764->definitionModule = modulename;
  reader11764->definitionLine = 29;
  writer11764->definitionLine = 29;
}
obj11762->flags |= OFLAG_MUTABLE;
adddatum2(obj11762, alloc_Undefined(), 1);
if (objclass11762 == NULL) {
  Method *reader11765 = addmethodrealflags(obj11762, "line",&reader_parser_line_11765, 0);
  Method *writer11765 = addmethodrealflags(obj11762, "line:=",&writer_parser_line_11765, 0);
  reader11765->definitionModule = modulename;
  writer11765->definitionModule = modulename;
  reader11765->definitionLine = 30;
  writer11765->definitionLine = 30;
}
obj11762->flags |= OFLAG_MUTABLE;
adddatum2(obj11762, alloc_Undefined(), 2);
if (objclass11762 == NULL) {
  Method *reader11766 = addmethodrealflags(obj11762, "linePos",&reader_parser_linePos_11766, 0);
  Method *writer11766 = addmethodrealflags(obj11762, "linePos:=",&writer_parser_linePos_11766, 0);
  reader11766->definitionModule = modulename;
  writer11766->definitionModule = modulename;
  reader11766->definitionLine = 31;
  writer11766->definitionLine = 31;
}
obj11762->flags |= OFLAG_MUTABLE;
adddatum2(obj11762, alloc_Undefined(), 3);
if (objclass11762 == NULL) {
  Method *reader11767 = addmethodrealflags(obj11762, "indent",&reader_parser_indent_11767, 0);
  Method *writer11767 = addmethodrealflags(obj11762, "indent:=",&writer_parser_indent_11767, 0);
  reader11767->definitionModule = modulename;
  writer11767->definitionModule = modulename;
  reader11767->definitionLine = 32;
  writer11767->definitionLine = 32;
}
obj11762->flags |= OFLAG_MUTABLE;
adddatum2(obj11762, alloc_Undefined(), 4);
if (objclass11762 == NULL) {
  Method *reader11768 = addmethodrealflags(obj11762, "value",&reader_parser_value_11768, 0);
  Method *writer11768 = addmethodrealflags(obj11762, "value:=",&writer_parser_value_11768, 0);
  reader11768->definitionModule = modulename;
  writer11768->definitionModule = modulename;
  reader11768->definitionLine = 33;
  writer11768->definitionLine = 33;
}
obj11762->flags |= OFLAG_MUTABLE;
adddatum2(obj11762, alloc_Undefined(), 5);
if (objclass11762 == NULL) {
  Method *reader11769 = addmethodrealflags(obj11762, "size",&reader_parser_size_11769, MFLAG_DEF);
  reader11769->definitionModule = modulename;
  reader11769->definitionLine = 34;
}
adddatum2(obj11762, alloc_Undefined(), 6);
  sourceObject = obj11762;
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11770 == NULL) {
    strlit11770 = alloc_String("start");
    gc_root(strlit11770);
  }
// compilenode returning strlit11770
  adddatum2(obj11762, strlit11770, 1);
  sourceObject = obj11762;
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11771 = alloc_Float64(1);
// compilenode returning num11771
  adddatum2(obj11762, num11771, 2);
  sourceObject = obj11762;
// Begin line 30
  setline(30);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11772 = alloc_Float64(0);
// compilenode returning num11772
  adddatum2(obj11762, num11772, 3);
  sourceObject = obj11762;
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11773 = alloc_Float64(0);
// compilenode returning num11773
  adddatum2(obj11762, num11773, 4);
  sourceObject = obj11762;
// Begin line 32
  setline(32);
  setmodule(modulename);
  setsource(originalSourceLines);
  if (strlit11774 == NULL) {
    strlit11774 = alloc_String("");
    gc_root(strlit11774);
  }
// compilenode returning strlit11774
  adddatum2(obj11762, strlit11774, 5);
  sourceObject = obj11762;
// Begin line 33
  setline(33);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object num11775 = alloc_Float64(0);
// compilenode returning num11775
  adddatum2(obj11762, num11775, 6);
objclass11762 = obj11762->class;
  objclass11762->definitionModule = modulename;
  objclass11762->definitionLine = 27;
  (*(struct UserObject *)self).data[0] = lowerouter11762;
  self = oldself11762;
  selfslot = oldselfslot11762;
  stackframe = oldstackframe11762;
// compilenode returning obj11762
  *var_lastToken = obj11762;
  if (obj11762 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11776 = createclosure(1, "lastToken");
setclosureframe(closure11776, stackframe);
  addtoclosure(closure11776, var_lastToken);
  struct UserObject *uo11776 = (struct UserObject*)self;
  uo11776->data[93] = (Object)closure11776;
  Method *meth_meth_parser_lastToken11776 = addmethod2pos(self, "lastToken", &meth_parser_lastToken11776, 93);
int argcv_meth_parser_lastToken11776[] = {0};
meth_meth_parser_lastToken11776->type = alloc_MethodType(1, argcv_meth_parser_lastToken11776);
  meth_meth_parser_lastToken11776->definitionModule = modulename;
  meth_meth_parser_lastToken11776->definitionLine = 3516;
// compilenode returning 
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11777 = createclosure(1, "lastToken:=");
setclosureframe(closure11777, stackframe);
  addtoclosure(closure11777, var_lastToken);
  struct UserObject *uo11777 = (struct UserObject*)self;
  uo11777->data[94] = (Object)closure11777;
  Method *meth_meth_parser_lastToken_58__61_11777 = addmethod2pos(self, "lastToken:=", &meth_parser_lastToken_58__61_11777, 94);
int argcv_meth_parser_lastToken_58__61_11777[] = {1};
meth_meth_parser_lastToken_58__61_11777->type = alloc_MethodType(1, argcv_meth_parser_lastToken_58__61_11777);
  meth_meth_parser_lastToken_58__61_11777->definitionModule = modulename;
  meth_meth_parser_lastToken_58__61_11777->definitionLine = 3516;
// compilenode returning 
// compilenode returning done
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
  Object bool11779 = alloc_Boolean(0);
// compilenode returning bool11779
  *var_comment = bool11779;
  if (bool11779 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11780 = createclosure(1, "comment");
setclosureframe(closure11780, stackframe);
  addtoclosure(closure11780, var_comment);
  struct UserObject *uo11780 = (struct UserObject*)self;
  uo11780->data[95] = (Object)closure11780;
  Method *meth_meth_parser_comment11780 = addmethod2pos(self, "comment", &meth_parser_comment11780, 95);
int argcv_meth_parser_comment11780[] = {0};
meth_meth_parser_comment11780->type = alloc_MethodType(1, argcv_meth_parser_comment11780);
  meth_meth_parser_comment11780->definitionModule = modulename;
  meth_meth_parser_comment11780->definitionLine = 3516;
// compilenode returning 
// Begin line 3516
  setline(3516);
  setmodule(modulename);
  setsource(originalSourceLines);
  block_savedest(self);
  Object closure11781 = createclosure(1, "comment:=");
setclosureframe(closure11781, stackframe);
  addtoclosure(closure11781, var_comment);
  struct UserObject *uo11781 = (struct UserObject*)self;
  uo11781->data[96] = (Object)closure11781;
  Method *meth_meth_parser_comment_58__61_11781 = addmethod2pos(self, "comment:=", &meth_parser_comment_58__61_11781, 96);
int argcv_meth_parser_comment_58__61_11781[] = {1};
meth_meth_parser_comment_58__61_11781->type = alloc_MethodType(1, argcv_meth_parser_comment_58__61_11781);
  meth_meth_parser_comment_58__61_11781->definitionModule = modulename;
  meth_meth_parser_comment_58__61_11781->definitionLine = 3516;
// compilenode returning 
// compilenode returning done
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// compilenode returning 
// Begin line 69
  setline(69);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 99
  setline(99);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 123
  setline(123);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 166
  setline(166);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 184
  setline(184);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 194
  setline(194);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 203
  setline(203);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 210
  setline(210);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 302
  setline(302);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 326
  setline(326);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 413
  setline(413);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 583
  setline(583);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 958
  setline(958);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 968
  setline(968);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 1410
  setline(1410);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 1563
  setline(1563);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 1596
  setline(1596);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 1635
  setline(1635);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 1676
  setline(1676);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 1686
  setline(1686);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 1698
  setline(1698);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 1840
  setline(1840);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 1873
  setline(1873);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2101
  setline(2101);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2232
  setline(2232);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2327
  setline(2327);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2420
  setline(2420);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2463
  setline(2463);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2485
  setline(2485);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2511
  setline(2511);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2588
  setline(2588);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2677
  setline(2677);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2769
  setline(2769);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 2850
  setline(2850);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 3047
  setline(3047);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 3105
  setline(3105);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 3138
  setline(3138);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 3166
  setline(3166);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 3190
  setline(3190);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 3260
  setline(3260);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 3301
  setline(3301);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 3367
  setline(3367);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 3384
  setline(3384);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
// Begin line 3394
  setline(3394);
  setmodule(modulename);
  setsource(originalSourceLines);
// compilenode returning 
  gc_frame_end(frame);
  return self;
}
